/*===========================================================================*/
/*   (Ast/object.scm)                                                        */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/object.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;


	static BgL_nodez00_bglt BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_objectz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_objectz00();
	BGL_EXPORTED_DECL obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	extern obj_t BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62fieldzd2accesszb0zzast_objectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_objectz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzast_objectz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_objectz00();
	static obj_t BGl_makezd2fieldzd2setz12z12zzast_objectz00(obj_t, obj_t,
		BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2classzd2slotz00zzobject_toolsz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl___bigloo__z00zzast_objectz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t BGl_wclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzast_objectz00();
	static obj_t BGl_makezd2fieldzd2refz00zzast_objectz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_objectz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_objectz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fieldzd2setzd2ze3nodezd2envz31zzast_objectz00,
		BgL_bgl_za762fieldza7d2setza7d2112za7,
		BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00, 0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_fieldzd2refzd2ze3nodezd2envz31zzast_objectz00,
		BgL_bgl_za762fieldza7d2refza7d2113za7,
		BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00, 0L, BUNSPEC, 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_fieldzd2accesszd2envz00zzast_objectz00,
		BgL_bgl_za762fieldza7d2acces2114z00,
		BGl_z62fieldzd2accesszb0zzast_objectz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2102z00zzast_objectz00,
		BgL_bgl_string2102za700za7za7a2115za7, "#!bigloo", 8);
	      DEFINE_STRING(BGl_string2103z00zzast_objectz00,
		BgL_bgl_string2103za700za7za7a2116za7, "Class \"~a\" has not field \"~a\"",
		29);
	      DEFINE_STRING(BGl_string2104z00zzast_objectz00,
		BgL_bgl_string2104za700za7za7a2117za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2105z00zzast_objectz00,
		BgL_bgl_string2105za700za7za7a2118za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string2106z00zzast_objectz00,
		BgL_bgl_string2106za700za7za7a2119za7, "Field read-only \"~a\"", 20);
	      DEFINE_STRING(BGl_string2107z00zzast_objectz00,
		BgL_bgl_string2107za700za7za7a2120za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2108z00zzast_objectz00,
		BgL_bgl_string2108za700za7za7a2121za7, "ast_object", 10);
	      DEFINE_STRING(BGl_string2109z00zzast_objectz00,
		BgL_bgl_string2109za700za7za7a2122za7,
		"call-virtual-setter @ call-virtual-getter __object -> ", 54);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long
		BgL_checksumz00_2574, char *BgL_fromz00_2575)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_objectz00))
				{
					BGl_requirezd2initializa7ationz75zzast_objectz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_objectz00();
					BGl_cnstzd2initzd2zzast_objectz00();
					BGl_importedzd2moduleszd2initz00zzast_objectz00();
					BGl_toplevelzd2initzd2zzast_objectz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_object");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_object");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			{	/* Ast/object.scm 15 */
				obj_t BgL_cportz00_2566;

				BgL_cportz00_2566 =
					bgl_open_input_string(BGl_string2109z00zzast_objectz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2567;

					BgL_iz00_2567 = ((long) 4);
				BgL_loopz00_2568:
					if ((BgL_iz00_2567 == ((long) -1)))
						{	/* Ast/object.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/object.scm 15 */
							{	/* Ast/object.scm 15 */
								obj_t BgL_arg2111z00_2570;

								{	/* Ast/object.scm 15 */

									{	/* Ast/object.scm 15 */
										obj_t BgL_locationz00_2572;

										BgL_locationz00_2572 = BBOOL(((bool_t) 0));
										{	/* Ast/object.scm 15 */

											BgL_arg2111z00_2570 =
												BGl_readz00zz__readerz00(BgL_cportz00_2566,
												BgL_locationz00_2572);
										}
									}
								}
								{	/* Ast/object.scm 15 */
									int BgL_auxz00_2597;

									BgL_auxz00_2597 = (int) (BgL_iz00_2567);
									CNST_TABLE_SET(BgL_auxz00_2597, BgL_arg2111z00_2570);
							}}
							{	/* Ast/object.scm 15 */
								int BgL_auxz00_2573;

								BgL_auxz00_2573 = (int) ((BgL_iz00_2567 - ((long) 1)));
								{
									long BgL_iz00_2602;

									BgL_iz00_2602 = (long) (BgL_auxz00_2573);
									BgL_iz00_2567 = BgL_iz00_2602;
									goto BgL_loopz00_2568;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return (BGl___bigloo__z00zzast_objectz00 =
				string_to_symbol(BSTRING_TO_STRING(BGl_string2102z00zzast_objectz00)),
				BUNSPEC);
		}
	}



/* field-access */
	BGL_EXPORTED_DEF obj_t BGl_fieldzd2accesszd2zzast_objectz00(obj_t
		BgL_varz00_17, obj_t BgL_fieldz00_18)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 63 */
			{	/* Ast/object.scm 64 */
				obj_t BgL_arg1943z00_1497;

				{	/* Ast/object.scm 64 */
					obj_t BgL_arg1944z00_1498;

					{	/* Ast/object.scm 64 */
						obj_t BgL_arg1945z00_1499;

						BgL_arg1945z00_1499 = MAKE_PAIR(BgL_fieldz00_18, BNIL);
						BgL_arg1944z00_1498 = MAKE_PAIR(BgL_varz00_17, BgL_arg1945z00_1499);
					}
					BgL_arg1943z00_1497 =
						MAKE_PAIR(BGl___bigloo__z00zzast_objectz00, BgL_arg1944z00_1498);
				}
				return MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1943z00_1497);
		}}
	}



/* &field-access */
	obj_t BGl_z62fieldzd2accesszb0zzast_objectz00(obj_t BgL_envz00_2549,
		obj_t BgL_varz00_2550, obj_t BgL_fieldz00_2551)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 63 */
			return
				BGl_fieldzd2accesszd2zzast_objectz00(BgL_varz00_2550,
				BgL_fieldz00_2551);
		}
	}



/* field-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t BgL_lz00_19,
		obj_t BgL_expz00_20, obj_t BgL_stackz00_21, obj_t BgL_locz00_22,
		obj_t BgL_sitez00_23)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 69 */
			{	/* Ast/object.scm 70 */
				obj_t BgL_l2z00_1500;

				{	/* Ast/object.scm 70 */
					bool_t BgL_testz00_2612;

					{	/* Ast/object.scm 70 */
						obj_t BgL_arg1968z00_1530;

						BgL_arg1968z00_1530 = CAR(BgL_lz00_19);
						BgL_testz00_2612 =
							(BgL_arg1968z00_1530 == BGl___bigloo__z00zzast_objectz00);
					}
					if (BgL_testz00_2612)
						{	/* Ast/object.scm 70 */
							BgL_l2z00_1500 = CDR(BgL_lz00_19);
						}
					else
						{	/* Ast/object.scm 70 */
							BgL_l2z00_1500 = BgL_lz00_19;
						}
				}
				{	/* Ast/object.scm 70 */
					BgL_nodez00_bglt BgL_varz00_1501;

					BgL_varz00_1501 =
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_l2z00_1500),
						BgL_stackz00_21, BgL_locz00_22, BgL_sitez00_23);
					{	/* Ast/object.scm 71 */

						{	/* Ast/object.scm 73 */
							bool_t BgL_testz00_2618;

							{	/* Ast/object.scm 73 */
								bool_t BgL_res2083z00_2468;

								{	/* Ast/object.scm 73 */
									obj_t BgL_objz00_2467;

									BgL_objz00_2467 = ((obj_t) BgL_varz00_1501);
									BgL_res2083z00_2468 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2467,
										BGl_varz00zzast_nodez00);
								}
								BgL_testz00_2618 = BgL_res2083z00_2468;
							}
							if (BgL_testz00_2618)
								{	/* Ast/object.scm 74 */
									BgL_variablez00_bglt BgL_i1106z00_1503;

									BgL_i1106z00_1503 =
										(((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_varz00_1501)))->BgL_variablez00);
									{	/* Ast/object.scm 75 */
										obj_t BgL_g1110z00_1504;

										BgL_g1110z00_1504 = CDR(BgL_l2z00_1500);
										{
											obj_t BgL_nodez00_1507;
											obj_t BgL_klassz00_1508;
											obj_t BgL_slotsz00_1509;

											{	/* Ast/object.scm 75 */
												BgL_typez00_bglt BgL_arg1948z00_1506;

												BgL_arg1948z00_1506 =
													(((BgL_variablez00_bglt) CREF(BgL_i1106z00_1503))->
													BgL_typez00);
												{
													obj_t BgL_auxz00_2625;

													BgL_nodez00_1507 = ((obj_t) BgL_varz00_1501);
													BgL_klassz00_1508 = ((obj_t) BgL_arg1948z00_1506);
													BgL_slotsz00_1509 = BgL_g1110z00_1504;
												BgL_zc3anonymousza31949ze3z83_1510:
													if (NULLP(BgL_slotsz00_1509))
														{	/* Ast/object.scm 79 */
															BgL_auxz00_2625 = BgL_nodez00_1507;
														}
													else
														{	/* Ast/object.scm 81 */
															bool_t BgL_testz00_2628;

															if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1508,
																	BGl_tclassz00zzobject_classz00))
																{	/* Ast/object.scm 81 */
																	BgL_testz00_2628 = ((bool_t) 1);
																}
															else
																{	/* Ast/object.scm 81 */
																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_klassz00_1508,
																			BGl_jclassz00zzobject_classz00))
																		{	/* Ast/object.scm 81 */
																			BgL_testz00_2628 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/object.scm 81 */
																			BgL_testz00_2628 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_klassz00_1508,
																				BGl_wclassz00zzobject_classz00);
																		}
																}
															if (BgL_testz00_2628)
																{	/* Ast/object.scm 84 */
																	obj_t BgL_slotz00_1513;

																	{	/* Ast/object.scm 84 */
																		obj_t BgL_arg1961z00_1522;

																		BgL_arg1961z00_1522 =
																			CAR(BgL_slotsz00_1509);
																		BgL_slotz00_1513 =
																			BGl_findzd2classzd2slotz00zzobject_toolsz00
																			(((BgL_typez00_bglt) BgL_klassz00_1508),
																			BgL_arg1961z00_1522);
																	}
																	if (CBOOL(BgL_slotz00_1513))
																		{	/* Ast/object.scm 90 */
																			obj_t BgL_nodez00_1514;

																			BgL_nodez00_1514 =
																				BGl_makezd2fieldzd2refz00zzast_objectz00
																				(BgL_slotz00_1513, BgL_nodez00_1507,
																				BgL_stackz00_21, BgL_locz00_22,
																				BgL_sitez00_23);
																			{	/* Ast/object.scm 91 */
																				obj_t BgL_arg1952z00_1515;
																				obj_t BgL_arg1954z00_1516;

																				BgL_arg1952z00_1515 =
																					(((BgL_slotz00_bglt) CREF(
																							((BgL_slotz00_bglt)
																								BgL_slotz00_1513)))->
																					BgL_typez00);
																				BgL_arg1954z00_1516 =
																					CDR(BgL_slotsz00_1509);
																				{
																					obj_t BgL_slotsz00_2645;
																					obj_t BgL_klassz00_2644;
																					obj_t BgL_nodez00_2643;

																					BgL_nodez00_2643 = BgL_nodez00_1514;
																					BgL_klassz00_2644 =
																						BgL_arg1952z00_1515;
																					BgL_slotsz00_2645 =
																						BgL_arg1954z00_1516;
																					BgL_slotsz00_1509 = BgL_slotsz00_2645;
																					BgL_klassz00_1508 = BgL_klassz00_2644;
																					BgL_nodez00_1507 = BgL_nodez00_2643;
																					goto
																						BgL_zc3anonymousza31949ze3z83_1510;
																				}
																			}
																		}
																	else
																		{	/* Ast/object.scm 88 */
																			obj_t BgL_arg1955z00_1517;

																			{	/* Ast/object.scm 88 */
																				obj_t BgL_arg1956z00_1518;
																				obj_t BgL_arg1958z00_1519;

																				BgL_arg1956z00_1518 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_klassz00_1508)))->
																					BgL_idz00);
																				BgL_arg1958z00_1519 =
																					CAR(BgL_slotsz00_1509);
																				{	/* Ast/object.scm 87 */
																					obj_t BgL_list1959z00_1520;

																					{	/* Ast/object.scm 87 */
																						obj_t BgL_arg1960z00_1521;

																						BgL_arg1960z00_1521 =
																							MAKE_PAIR(BgL_arg1958z00_1519,
																							BNIL);
																						BgL_list1959z00_1520 =
																							MAKE_PAIR(BgL_arg1956z00_1518,
																							BgL_arg1960z00_1521);
																					}
																					BgL_arg1955z00_1517 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2103z00zzast_objectz00,
																						BgL_list1959z00_1520);
																				}
																			}
																			BgL_auxz00_2625 =
																				((obj_t)
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BgL_arg1955z00_1517, BgL_expz00_20,
																					BgL_locz00_22));
																		}
																}
															else
																{	/* Ast/object.scm 81 */
																	BgL_auxz00_2625 =
																		((obj_t)
																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																		(BGl_string2104z00zzast_objectz00,
																			BgL_expz00_20, BgL_locz00_22));
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_2625);
												}
											}
										}
									}
								}
							else
								{	/* Ast/object.scm 92 */
									bool_t BgL_testz00_2659;

									if (INTEGERP
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Ast/object.scm 92 */
											BgL_testz00_2659 =
												(
												(long)
												CINT
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) ==
												((long) 0));
										}
									else
										{	/* Ast/object.scm 92 */
											BgL_testz00_2659 =
												BGl_2zd3zd3zz__r4_numbers_6_5z00
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
												BINT(((long) 0)));
										}
									if (BgL_testz00_2659)
										{	/* Ast/object.scm 92 */
											return
												BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
												(BGl_string2105z00zzast_objectz00, BgL_expz00_20,
												BgL_locz00_22);
										}
									else
										{	/* Ast/object.scm 92 */
											return BgL_varz00_1501;
										}
								}
						}
					}
				}
			}
		}
	}



/* &field-ref->node */
	BgL_nodez00_bglt BGl_z62fieldzd2refzd2ze3nodez81zzast_objectz00(obj_t
		BgL_envz00_2552, obj_t BgL_lz00_2553, obj_t BgL_expz00_2554,
		obj_t BgL_stackz00_2555, obj_t BgL_locz00_2556, obj_t BgL_sitez00_2557)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 69 */
			return
				BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(BgL_lz00_2553,
				BgL_expz00_2554, BgL_stackz00_2555, BgL_locz00_2556, BgL_sitez00_2557);
		}
	}



/* field-set->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t BgL_lz00_24,
		obj_t BgL_valz00_25, obj_t BgL_expz00_26, obj_t BgL_stackz00_27,
		obj_t BgL_locz00_28, obj_t BgL_sitez00_29)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 100 */
			{	/* Ast/object.scm 101 */
				obj_t BgL_l2z00_1531;

				{	/* Ast/object.scm 101 */
					bool_t BgL_testz00_2668;

					{	/* Ast/object.scm 101 */
						obj_t BgL_arg1995z00_1568;

						BgL_arg1995z00_1568 = CAR(BgL_lz00_24);
						BgL_testz00_2668 =
							(BgL_arg1995z00_1568 == BGl___bigloo__z00zzast_objectz00);
					}
					if (BgL_testz00_2668)
						{	/* Ast/object.scm 101 */
							BgL_l2z00_1531 = CDR(BgL_lz00_24);
						}
					else
						{	/* Ast/object.scm 101 */
							BgL_l2z00_1531 = BgL_lz00_24;
						}
				}
				{	/* Ast/object.scm 101 */
					BgL_nodez00_bglt BgL_varz00_1532;

					BgL_varz00_1532 =
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_l2z00_1531),
						BgL_stackz00_27, BgL_locz00_28, BgL_sitez00_29);
					{	/* Ast/object.scm 102 */
						BgL_nodez00_bglt BgL_valz00_1533;

						BgL_valz00_1533 =
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_valz00_25, BgL_stackz00_27,
							BgL_locz00_28, BgL_sitez00_29);
						{	/* Ast/object.scm 103 */

							{	/* Ast/object.scm 105 */
								bool_t BgL_testz00_2675;

								{	/* Ast/object.scm 105 */
									bool_t BgL_res2092z00_2498;

									{	/* Ast/object.scm 105 */
										obj_t BgL_objz00_2497;

										BgL_objz00_2497 = ((obj_t) BgL_varz00_1532);
										BgL_res2092z00_2498 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2497,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_2675 = BgL_res2092z00_2498;
								}
								if (BgL_testz00_2675)
									{	/* Ast/object.scm 106 */
										BgL_variablez00_bglt BgL_i1111z00_1535;

										BgL_i1111z00_1535 =
											(((BgL_varz00_bglt) CREF(
													((BgL_varz00_bglt) BgL_varz00_1532)))->
											BgL_variablez00);
										{	/* Ast/object.scm 107 */
											obj_t BgL_g1113z00_1536;

											BgL_g1113z00_1536 = CDR(BgL_l2z00_1531);
											{
												obj_t BgL_nodez00_1539;
												obj_t BgL_klassz00_1540;
												obj_t BgL_slotsz00_1541;

												{	/* Ast/object.scm 107 */
													BgL_typez00_bglt BgL_arg1970z00_1538;

													BgL_arg1970z00_1538 =
														(((BgL_variablez00_bglt) CREF(BgL_i1111z00_1535))->
														BgL_typez00);
													{
														obj_t BgL_auxz00_2682;

														BgL_nodez00_1539 = ((obj_t) BgL_varz00_1532);
														BgL_klassz00_1540 = ((obj_t) BgL_arg1970z00_1538);
														BgL_slotsz00_1541 = BgL_g1113z00_1536;
													BgL_zc3anonymousza31971ze3z83_1542:
														{	/* Ast/object.scm 110 */
															bool_t BgL_testz00_2683;

															if (BGl_isazf3zf3zz__objectz00(BgL_klassz00_1540,
																	BGl_tclassz00zzobject_classz00))
																{	/* Ast/object.scm 110 */
																	BgL_testz00_2683 = ((bool_t) 1);
																}
															else
																{	/* Ast/object.scm 110 */
																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_klassz00_1540,
																			BGl_jclassz00zzobject_classz00))
																		{	/* Ast/object.scm 110 */
																			BgL_testz00_2683 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/object.scm 110 */
																			BgL_testz00_2683 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_klassz00_1540,
																				BGl_wclassz00zzobject_classz00);
																		}
																}
															if (BgL_testz00_2683)
																{	/* Ast/object.scm 112 */
																	obj_t BgL_slotz00_1544;

																	{	/* Ast/object.scm 112 */
																		obj_t BgL_arg1987z00_1560;

																		BgL_arg1987z00_1560 =
																			CAR(BgL_slotsz00_1541);
																		BgL_slotz00_1544 =
																			BGl_findzd2classzd2slotz00zzobject_toolsz00
																			(((BgL_typez00_bglt) BgL_klassz00_1540),
																			BgL_arg1987z00_1560);
																	}
																	if (CBOOL(BgL_slotz00_1544))
																		{	/* Ast/object.scm 114 */
																			if (NULLP(CDR(BgL_slotsz00_1541)))
																				{	/* Ast/object.scm 120 */
																					bool_t BgL_testz00_2697;

																					if (
																						(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_slotz00_1544)))->
																							BgL_readzd2onlyzf3z21))
																						{	/* Ast/object.scm 120 */
																							BgL_testz00_2697 =
																								(BgL_lz00_24 == BgL_l2z00_1531);
																						}
																					else
																						{	/* Ast/object.scm 120 */
																							BgL_testz00_2697 = ((bool_t) 0);
																						}
																					if (BgL_testz00_2697)
																						{	/* Ast/object.scm 122 */
																							obj_t BgL_arg1975z00_1547;

																							{	/* Ast/object.scm 122 */
																								obj_t BgL_arg1976z00_1548;

																								BgL_arg1976z00_1548 =
																									CAR(BgL_slotsz00_1541);
																								{	/* Ast/object.scm 122 */
																									obj_t BgL_list1977z00_1549;

																									BgL_list1977z00_1549 =
																										MAKE_PAIR
																										(BgL_arg1976z00_1548, BNIL);
																									BgL_arg1975z00_1547 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string2106z00zzast_objectz00,
																										BgL_list1977z00_1549);
																								}
																							}
																							BgL_auxz00_2682 =
																								((obj_t)
																								BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																								(BgL_arg1975z00_1547,
																									BgL_expz00_26,
																									BgL_locz00_28));
																						}
																					else
																						{	/* Ast/object.scm 120 */
																							BgL_auxz00_2682 =
																								BGl_makezd2fieldzd2setz12z12zzast_objectz00
																								(BgL_slotz00_1544,
																								BgL_nodez00_1539,
																								BgL_valz00_1533,
																								BgL_stackz00_27, BgL_locz00_28,
																								BgL_sitez00_29);
																						}
																				}
																			else
																				{	/* Ast/object.scm 126 */
																					obj_t BgL_nodez00_1551;

																					BgL_nodez00_1551 =
																						BGl_makezd2fieldzd2refz00zzast_objectz00
																						(BgL_slotz00_1544, BgL_nodez00_1539,
																						BgL_stackz00_27, BgL_locz00_28,
																						BgL_sitez00_29);
																					{	/* Ast/object.scm 127 */
																						obj_t BgL_arg1979z00_1552;
																						obj_t BgL_arg1980z00_1553;

																						BgL_arg1979z00_1552 =
																							(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_slotz00_1544)))->
																							BgL_typez00);
																						BgL_arg1980z00_1553 =
																							CDR(BgL_slotsz00_1541);
																						{
																							obj_t BgL_slotsz00_2714;
																							obj_t BgL_klassz00_2713;
																							obj_t BgL_nodez00_2712;

																							BgL_nodez00_2712 =
																								BgL_nodez00_1551;
																							BgL_klassz00_2713 =
																								BgL_arg1979z00_1552;
																							BgL_slotsz00_2714 =
																								BgL_arg1980z00_1553;
																							BgL_slotsz00_1541 =
																								BgL_slotsz00_2714;
																							BgL_klassz00_1540 =
																								BgL_klassz00_2713;
																							BgL_nodez00_1539 =
																								BgL_nodez00_2712;
																							goto
																								BgL_zc3anonymousza31971ze3z83_1542;
																						}
																					}
																				}
																		}
																	else
																		{	/* Ast/object.scm 117 */
																			obj_t BgL_arg1982z00_1555;

																			{	/* Ast/object.scm 117 */
																				obj_t BgL_arg1983z00_1556;
																				obj_t BgL_arg1984z00_1557;

																				BgL_arg1983z00_1556 =
																					(((BgL_typez00_bglt) CREF(
																							((BgL_typez00_bglt)
																								BgL_klassz00_1540)))->
																					BgL_idz00);
																				BgL_arg1984z00_1557 =
																					CAR(BgL_slotsz00_1541);
																				{	/* Ast/object.scm 116 */
																					obj_t BgL_list1985z00_1558;

																					{	/* Ast/object.scm 116 */
																						obj_t BgL_arg1986z00_1559;

																						BgL_arg1986z00_1559 =
																							MAKE_PAIR(BgL_arg1984z00_1557,
																							BNIL);
																						BgL_list1985z00_1558 =
																							MAKE_PAIR(BgL_arg1983z00_1556,
																							BgL_arg1986z00_1559);
																					}
																					BgL_arg1982z00_1555 =
																						BGl_formatz00zz__r4_output_6_10_3z00
																						(BGl_string2107z00zzast_objectz00,
																						BgL_list1985z00_1558);
																				}
																			}
																			BgL_auxz00_2682 =
																				((obj_t)
																				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																				(BgL_arg1982z00_1555, BgL_expz00_26,
																					BgL_locz00_28));
																		}
																}
															else
																{	/* Ast/object.scm 110 */
																	BgL_auxz00_2682 =
																		((obj_t)
																		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																		(BGl_string2104z00zzast_objectz00,
																			BgL_expz00_26, BgL_locz00_28));
																}
														}
														return ((BgL_nodez00_bglt) BgL_auxz00_2682);
													}
												}
											}
										}
									}
								else
									{	/* Ast/object.scm 128 */
										bool_t BgL_testz00_2728;

										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Ast/object.scm 128 */
												BgL_testz00_2728 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													== ((long) 0));
											}
										else
											{	/* Ast/object.scm 128 */
												BgL_testz00_2728 =
													BGl_2zd3zd3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 0)));
											}
										if (BgL_testz00_2728)
											{	/* Ast/object.scm 128 */
												return
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string2105z00zzast_objectz00, BgL_expz00_26,
													BgL_locz00_28);
											}
										else
											{	/* Ast/object.scm 128 */
												return BgL_varz00_1532;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &field-set->node */
	BgL_nodez00_bglt BGl_z62fieldzd2setzd2ze3nodez81zzast_objectz00(obj_t
		BgL_envz00_2558, obj_t BgL_lz00_2559, obj_t BgL_valz00_2560,
		obj_t BgL_expz00_2561, obj_t BgL_stackz00_2562, obj_t BgL_locz00_2563,
		obj_t BgL_sitez00_2564)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 100 */
			return
				BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(BgL_lz00_2559,
				BgL_valz00_2560, BgL_expz00_2561, BgL_stackz00_2562, BgL_locz00_2563,
				BgL_sitez00_2564);
		}
	}



/* make-field-ref */
	obj_t BGl_makezd2fieldzd2refz00zzast_objectz00(obj_t BgL_slotz00_30,
		obj_t BgL_objz00_31, obj_t BgL_stackz00_32, obj_t BgL_locz00_33,
		obj_t BgL_sitez00_34)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 136 */
			if (CBOOL(
					(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_30)))->BgL_getterz00)))
				{	/* Ast/object.scm 138 */
					obj_t BgL_vnumz00_1570;

					BgL_vnumz00_1570 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_30)))->BgL_virtualzd2numzd2);
					{	/* Ast/object.scm 138 */
						obj_t BgL_expz00_1571;

						{	/* Ast/object.scm 139 */
							obj_t BgL_arg1997z00_1572;
							obj_t BgL_arg1998z00_1573;

							{	/* Ast/object.scm 139 */
								obj_t BgL_arg2000z00_1574;

								{	/* Ast/object.scm 139 */
									obj_t BgL_arg2001z00_1575;

									BgL_arg2001z00_1575 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg2000z00_1574 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg2001z00_1575);
								}
								BgL_arg1997z00_1572 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2000z00_1574);
							}
							{	/* Ast/object.scm 139 */
								obj_t BgL_arg2002z00_1576;

								BgL_arg2002z00_1576 = MAKE_PAIR(BgL_vnumz00_1570, BNIL);
								BgL_arg1998z00_1573 =
									MAKE_PAIR(BgL_objz00_31, BgL_arg2002z00_1576);
							}
							BgL_expz00_1571 =
								MAKE_PAIR(BgL_arg1997z00_1572, BgL_arg1998z00_1573);
						}
						{	/* Ast/object.scm 139 */

							return
								((obj_t)
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1571,
									BgL_stackz00_32, BgL_locz00_33, BgL_sitez00_34));
						}
					}
				}
			else
				{	/* Ast/object.scm 141 */
					obj_t BgL_privz00_1577;

					{	/* Ast/object.scm 141 */
						obj_t BgL_arg2004z00_1578;

						BgL_arg2004z00_1578 =
							(((BgL_slotz00_bglt) CREF(
									((BgL_slotz00_bglt) BgL_slotz00_30)))->BgL_classzd2ownerzd2);
						BgL_privz00_1577 =
							BGl_makezd2classzd2refz00zzobject_toolsz00(
							((BgL_typez00_bglt) BgL_arg2004z00_1578),
							((BgL_slotz00_bglt) BgL_slotz00_30), BgL_objz00_31);
					}
					return
						BGl_privatezd2nodezd2zzast_privatez00(BgL_privz00_1577,
						BgL_stackz00_32, BgL_locz00_33, BgL_sitez00_34);
				}
		}
	}



/* make-field-set! */
	obj_t BGl_makezd2fieldzd2setz12z12zzast_objectz00(obj_t BgL_slotz00_35,
		obj_t BgL_objz00_36, BgL_nodez00_bglt BgL_valz00_37, obj_t BgL_stackz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		AN_OBJECT;
		{	/* Ast/object.scm 149 */
			if (CBOOL(
					(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_35)))->BgL_setterz00)))
				{	/* Ast/object.scm 152 */
					obj_t BgL_vnumz00_1580;

					BgL_vnumz00_1580 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_35)))->BgL_virtualzd2numzd2);
					{	/* Ast/object.scm 152 */
						obj_t BgL_expz00_1581;

						{	/* Ast/object.scm 153 */
							obj_t BgL_arg2006z00_1582;
							obj_t BgL_arg2007z00_1583;

							{	/* Ast/object.scm 153 */
								obj_t BgL_arg2008z00_1584;

								{	/* Ast/object.scm 153 */
									obj_t BgL_arg2009z00_1585;

									BgL_arg2009z00_1585 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg2008z00_1584 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg2009z00_1585);
								}
								BgL_arg2006z00_1582 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2008z00_1584);
							}
							{	/* Ast/object.scm 153 */
								obj_t BgL_arg2010z00_1586;

								{	/* Ast/object.scm 153 */
									obj_t BgL_arg2011z00_1587;

									BgL_arg2011z00_1587 =
										MAKE_PAIR(((obj_t) BgL_valz00_37), BNIL);
									BgL_arg2010z00_1586 =
										MAKE_PAIR(BgL_vnumz00_1580, BgL_arg2011z00_1587);
								}
								BgL_arg2007z00_1583 =
									MAKE_PAIR(BgL_objz00_36, BgL_arg2010z00_1586);
							}
							BgL_expz00_1581 =
								MAKE_PAIR(BgL_arg2006z00_1582, BgL_arg2007z00_1583);
						}
						{	/* Ast/object.scm 153 */

							return
								((obj_t)
								BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1581,
									BgL_stackz00_38, BgL_locz00_39, BgL_sitez00_40));
						}
					}
				}
			else
				{	/* Ast/object.scm 156 */
					obj_t BgL_privz00_1588;

					{	/* Ast/object.scm 156 */
						obj_t BgL_arg2012z00_1589;

						BgL_arg2012z00_1589 =
							(((BgL_slotz00_bglt) CREF(
									((BgL_slotz00_bglt) BgL_slotz00_35)))->BgL_classzd2ownerzd2);
						BgL_privz00_1588 =
							BGl_makezd2classzd2setz12z12zzobject_toolsz00(
							((BgL_typez00_bglt) BgL_arg2012z00_1589),
							((BgL_slotz00_bglt) BgL_slotz00_35), BgL_objz00_36,
							((obj_t) BgL_valz00_37));
					}
					return
						BGl_privatezd2nodezd2zzast_privatez00(BgL_privz00_1588,
						BgL_stackz00_38, BgL_locz00_39, BgL_sitez00_40);
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_objectz00()
	{
		AN_OBJECT;
		{	/* Ast/object.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
			return
				BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2108z00zzast_objectz00));
		}
	}

#ifdef __cplusplus
}
#endif
