/*===========================================================================*/
/*   (Ast/pragma.scm)                                                        */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/pragma.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_pragmaz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_formatz00;
	}                *BgL_pragmaz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static BgL_nodez00_bglt
		BGl_z62pragmazf2typezd2ze3nodeza1zzast_pragmaz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_pragmaz00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_methodzd2initzd2zzast_pragmaz00();
	BGL_IMPORT obj_t rgc_buffer_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t, obj_t,
		BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_pragmaz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_pragmaz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_parserz00zzast_pragmaz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__rgcz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzast_pragmaz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT bool_t rgc_fill_buffer(obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pragmazf2typezd2ze3nodezd2envz11zzast_pragmaz00,
		BgL_bgl_za762pragmaza7f2type2055z00,
		BGl_z62pragmazf2typezd2ze3nodeza1zzast_pragmaz00, 0L, BUNSPEC, 7);
	      DEFINE_STRING(BGl_string2042z00zzast_pragmaz00,
		BgL_bgl_string2042za700za7za7a2056za7,
		"Wrong number of arguments in `pragma' form", 42);
	      DEFINE_STRING(BGl_string2043z00zzast_pragmaz00,
		BgL_bgl_string2043za700za7za7a2057za7, "Illegal `pragma' form", 21);
	      DEFINE_STRING(BGl_string2044z00zzast_pragmaz00,
		BgL_bgl_string2044za700za7za7a2058za7, "pragma", 6);
	      DEFINE_STRING(BGl_string2045z00zzast_pragmaz00,
		BgL_bgl_string2045za700za7za7a2059za7, "Pragma ignored with this back-end",
		33);
	      DEFINE_STRING(BGl_string2046z00zzast_pragmaz00,
		BgL_bgl_string2046za700za7za7a2060za7, "regular-grammar", 15);
	      DEFINE_STRING(BGl_string2047z00zzast_pragmaz00,
		BgL_bgl_string2047za700za7za7a2061za7, "Illegal match", 13);
	      DEFINE_STRING(BGl_string2048z00zzast_pragmaz00,
		BgL_bgl_string2048za700za7za7a2062za7, "Illegal range `~a'", 18);
	      DEFINE_STRING(BGl_string2049z00zzast_pragmaz00,
		BgL_bgl_string2049za700za7za7a2063za7, "the-substring", 13);
	      DEFINE_STRING(BGl_string2050z00zzast_pragmaz00,
		BgL_bgl_string2050za700za7za7a2064za7, "ast_pragma", 10);
	      DEFINE_STRING(BGl_string2051z00zzast_pragmaz00,
		BgL_bgl_string2051za700za7za7a2065za7, "set! value ", 11);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long
		BgL_checksumz00_2342, char *BgL_fromz00_2343)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_pragmaz00))
				{
					BGl_requirezd2initializa7ationz75zzast_pragmaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_pragmaz00();
					BGl_cnstzd2initzd2zzast_pragmaz00();
					BGl_importedzd2moduleszd2initz00zzast_pragmaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__rgcz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_pragma");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_pragma");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_pragma");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			{	/* Ast/pragma.scm 14 */
				obj_t BgL_cportz00_2334;

				BgL_cportz00_2334 =
					bgl_open_input_string(BGl_string2051z00zzast_pragmaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2335;

					BgL_iz00_2335 = ((long) 1);
				BgL_loopz00_2336:
					if ((BgL_iz00_2335 == ((long) -1)))
						{	/* Ast/pragma.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/pragma.scm 14 */
							{	/* Ast/pragma.scm 14 */
								obj_t BgL_arg2054z00_2338;

								{	/* Ast/pragma.scm 14 */

									{	/* Ast/pragma.scm 14 */
										obj_t BgL_locationz00_2340;

										BgL_locationz00_2340 = BBOOL(((bool_t) 0));
										{	/* Ast/pragma.scm 14 */

											BgL_arg2054z00_2338 =
												BGl_readz00zz__readerz00(BgL_cportz00_2334,
												BgL_locationz00_2340);
										}
									}
								}
								{	/* Ast/pragma.scm 14 */
									int BgL_auxz00_2369;

									BgL_auxz00_2369 = (int) (BgL_iz00_2335);
									CNST_TABLE_SET(BgL_auxz00_2369, BgL_arg2054z00_2338);
							}}
							{	/* Ast/pragma.scm 14 */
								int BgL_auxz00_2341;

								BgL_auxz00_2341 = (int) ((BgL_iz00_2335 - ((long) 1)));
								{
									long BgL_iz00_2374;

									BgL_iz00_2374 = (long) (BgL_auxz00_2341);
									BgL_iz00_2335 = BgL_iz00_2374;
									goto BgL_loopz00_2336;
								}
							}
						}
				}
			}
		}
	}



/* pragma/type->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t BgL_freez00_3,
		obj_t BgL_effectz00_4, BgL_typez00_bglt BgL_typez00_5, obj_t BgL_expz00_6,
		obj_t BgL_stackz00_7, obj_t BgL_locz00_8, obj_t BgL_sitez00_9)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			{	/* Ast/pragma.scm 27 */
				bool_t BgL_testz00_2376;

				{	/* Ast/pragma.scm 27 */
					obj_t BgL_arg1835z00_1239;

					BgL_arg1835z00_1239 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_testz00_2376 =
						(((BgL_backendz00_bglt) CREF(
								((BgL_backendz00_bglt) BgL_arg1835z00_1239)))->
						BgL_pragmazd2supportzd2);
				}
				if (BgL_testz00_2376)
					{
						obj_t BgL_formatz00_1207;
						obj_t BgL_valuesz00_1208;

						if (PAIRP(BgL_expz00_6))
							{	/* Ast/pragma.scm 34 */
								obj_t BgL_cdrzd2109zd2_1213;

								BgL_cdrzd2109zd2_1213 = CDR(BgL_expz00_6);
								if (PAIRP(BgL_cdrzd2109zd2_1213))
									{	/* Ast/pragma.scm 34 */
										obj_t BgL_carzd2112zd2_1215;

										BgL_carzd2112zd2_1215 = CAR(BgL_cdrzd2109zd2_1213);
										if (STRINGP(BgL_carzd2112zd2_1215))
											{	/* Ast/pragma.scm 34 */
												BgL_formatz00_1207 = BgL_carzd2112zd2_1215;
												BgL_valuesz00_1208 = CDR(BgL_cdrzd2109zd2_1213);
												{	/* Ast/pragma.scm 36 */
													obj_t BgL_maxzd2indexzd2_1218;
													obj_t BgL_locz00_1219;

													BgL_maxzd2indexzd2_1218 =
														BGl_getzd2maxzd2indexz00zzast_pragmaz00
														(BgL_formatz00_1207);
													BgL_locz00_1219 =
														BGl_findzd2locationzf2locz20zztools_locationz00
														(BgL_expz00_6, BgL_locz00_8);
													if (((long) CINT(BgL_maxzd2indexzd2_1218) ==
															bgl_list_length(BgL_valuesz00_1208)))
														{
															obj_t BgL_expsz00_1223;
															obj_t BgL_nodesz00_1224;

															{
																BgL_pragmaz00_bglt BgL_auxz00_2394;

																BgL_expsz00_1223 = BgL_valuesz00_1208;
																BgL_nodesz00_1224 = BNIL;
															BgL_zc3anonymousza31805ze3z83_1225:
																if (NULLP(BgL_expsz00_1223))
																	{	/* Ast/pragma.scm 46 */
																		BgL_pragmaz00_bglt BgL_new1097z00_1227;

																		{	/* Ast/pragma.scm 46 */
																			BgL_pragmaz00_bglt BgL_new1096z00_1228;

																			BgL_new1096z00_1228 =
																				((BgL_pragmaz00_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_pragmaz00_bgl))));
																			{	/* Ast/pragma.scm 46 */
																				long BgL_arg1812z00_1229;

																				{	/* Ast/pragma.scm 46 */
																					long BgL_res1986z00_2180;

																					{	/* Ast/pragma.scm 46 */
																						obj_t BgL_classz00_2177;

																						BgL_classz00_2177 =
																							BGl_pragmaz00zzast_nodez00;
																						{	/* Ast/pragma.scm 46 */
																							obj_t BgL_vectorz00_2178;
																							int BgL_kz00_2179;

																							BgL_vectorz00_2178 =
																								BgL_classz00_2177;
																							BgL_kz00_2179 =
																								(int) (((long) 1));
																							BgL_res1986z00_2180 =
																								(long)
																								CINT(VECTOR_REF
																								(BgL_vectorz00_2178,
																									BgL_kz00_2179));
																					}}
																					BgL_arg1812z00_1229 =
																						BgL_res1986z00_2180;
																				}
																				{	/* Ast/pragma.scm 46 */
																					BgL_objectz00_bglt BgL_objz00_2181;

																					BgL_objz00_2181 =
																						((BgL_objectz00_bglt)
																						BgL_new1096z00_1228);
																					BGL_OBJECT_CLASS_NUM_SET
																						(BgL_objz00_2181,
																						BgL_arg1812z00_1229);
																			}}
																			{	/* Ast/pragma.scm 46 */
																				BgL_objectz00_bglt BgL_auxz00_2403;

																				BgL_auxz00_2403 =
																					((BgL_objectz00_bglt)
																					BgL_new1096z00_1228);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_2403,
																					BFALSE);
																			}
																			BgL_new1097z00_1227 = BgL_new1096z00_1228;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1097z00_1227)))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_1219), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1097z00_1227)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_typez00_5),
																			BUNSPEC);
																		{
																			obj_t BgL_auxz00_2410;

																			if (BgL_freez00_3)
																				{	/* Ast/pragma.scm 51 */
																					BgL_auxz00_2410 = BFALSE;
																				}
																			else
																				{	/* Ast/pragma.scm 51 */
																					BgL_auxz00_2410 = BTRUE;
																				}
																			((((BgL_nodezf2effectzf2_bglt) CREF(
																							((BgL_nodezf2effectzf2_bglt)
																								BgL_new1097z00_1227)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BgL_auxz00_2410), BUNSPEC);
																		}
																		((((BgL_nodezf2effectzf2_bglt) CREF(
																						((BgL_nodezf2effectzf2_bglt)
																							BgL_new1097z00_1227)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		((((BgL_externz00_bglt)
																					CREF(((BgL_externz00_bglt)
																							BgL_new1097z00_1227)))->
																				BgL_exprza2za2) =
																			((obj_t)
																				bgl_reverse_bang(BgL_nodesz00_1224)),
																			BUNSPEC);
																		((((BgL_externz00_bglt)
																					CREF(((BgL_externz00_bglt)
																							BgL_new1097z00_1227)))->
																				BgL_effectz00) =
																			((obj_t) BgL_effectz00_4), BUNSPEC);
																		((((BgL_pragmaz00_bglt)
																					CREF(BgL_new1097z00_1227))->
																				BgL_formatz00) =
																			((obj_t) BgL_formatz00_1207), BUNSPEC);
																		BgL_auxz00_2394 = BgL_new1097z00_1227;
																	}
																else
																	{	/* Ast/pragma.scm 53 */
																		obj_t BgL_arg1815z00_1230;
																		obj_t BgL_arg1816z00_1231;

																		BgL_arg1815z00_1230 = CDR(BgL_expsz00_1223);
																		{	/* Ast/pragma.scm 55 */
																			BgL_nodez00_bglt BgL_arg1821z00_1232;

																			{	/* Ast/pragma.scm 55 */
																				obj_t BgL_arg1827z00_1233;
																				obj_t BgL_arg1830z00_1234;
																				obj_t BgL_arg1831z00_1235;

																				BgL_arg1827z00_1233 =
																					CAR(BgL_expsz00_1223);
																				BgL_arg1830z00_1234 =
																					BGl_findzd2locationzf2locz20zztools_locationz00
																					(CAR(BgL_expsz00_1223),
																					BgL_locz00_1219);
																				if (BgL_freez00_3)
																					{	/* Ast/pragma.scm 58 */
																						BgL_arg1831z00_1235 =
																							CNST_TABLE_REF(((long) 0));
																					}
																				else
																					{	/* Ast/pragma.scm 58 */
																						BgL_arg1831z00_1235 =
																							CNST_TABLE_REF(((long) 1));
																					}
																				BgL_arg1821z00_1232 =
																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																					(BgL_arg1827z00_1233, BgL_stackz00_7,
																					BgL_arg1830z00_1234,
																					BgL_arg1831z00_1235);
																			}
																			BgL_arg1816z00_1231 =
																				MAKE_PAIR(
																				((obj_t) BgL_arg1821z00_1232),
																				BgL_nodesz00_1224);
																		}
																		{
																			obj_t BgL_nodesz00_2434;
																			obj_t BgL_expsz00_2433;

																			BgL_expsz00_2433 = BgL_arg1815z00_1230;
																			BgL_nodesz00_2434 = BgL_arg1816z00_1231;
																			BgL_nodesz00_1224 = BgL_nodesz00_2434;
																			BgL_expsz00_1223 = BgL_expsz00_2433;
																			goto BgL_zc3anonymousza31805ze3z83_1225;
																		}
																	}
																return ((BgL_nodez00_bglt) BgL_auxz00_2394);
															}
														}
													else
														{	/* Ast/pragma.scm 38 */
															return
																BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
																(BGl_string2042z00zzast_pragmaz00, BgL_expz00_6,
																BgL_locz00_1219);
														}
												}
											}
										else
											{	/* Ast/pragma.scm 34 */
											BgL_tagzd2102zd2_1210:
												return
													BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
													(BGl_string2043z00zzast_pragmaz00, BgL_expz00_6,
													BgL_locz00_8);
											}
									}
								else
									{	/* Ast/pragma.scm 34 */
										goto BgL_tagzd2102zd2_1210;
									}
							}
						else
							{	/* Ast/pragma.scm 34 */
								goto BgL_tagzd2102zd2_1210;
							}
					}
				else
					{	/* Ast/pragma.scm 27 */
						BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_8,
							BGl_string2044z00zzast_pragmaz00,
							BGl_string2045z00zzast_pragmaz00, BgL_expz00_6);
						return BGl_sexpzd2ze3nodez31zzast_sexpz00(BUNSPEC, BgL_stackz00_7,
							BgL_locz00_8, BgL_sitez00_9);
					}
			}
		}
	}



/* &pragma/type->node */
	BgL_nodez00_bglt BGl_z62pragmazf2typezd2ze3nodeza1zzast_pragmaz00(obj_t
		BgL_envz00_2326, obj_t BgL_freez00_2327, obj_t BgL_effectz00_2328,
		obj_t BgL_typez00_2329, obj_t BgL_expz00_2330, obj_t BgL_stackz00_2331,
		obj_t BgL_locz00_2332, obj_t BgL_sitez00_2333)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 26 */
			return
				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(CBOOL(BgL_freez00_2327),
				BgL_effectz00_2328, ((BgL_typez00_bglt) BgL_typez00_2329),
				BgL_expz00_2330, BgL_stackz00_2331, BgL_locz00_2332, BgL_sitez00_2333);
		}
	}



/* get-max-index */
	obj_t BGl_getzd2maxzd2indexz00zzast_pragmaz00(obj_t BgL_fmtz00_10)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 66 */
			{	/* Ast/pragma.scm 67 */
				obj_t BgL_portz00_1241;

				{	/* Ast/pragma.scm 74 */

					BgL_portz00_1241 =
						BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_fmtz00_10,
						BINT(((long) 0)));
				}
				{	/* Ast/pragma.scm 75 */
					obj_t BgL_g1106z00_1242;

					BgL_g1106z00_1242 = BGl_parserz00zzast_pragmaz00(BgL_portz00_1241);
					{
						obj_t BgL_expz00_1244;
						obj_t BgL_maxz00_1245;

						BgL_expz00_1244 = BgL_g1106z00_1242;
						BgL_maxz00_1245 = BINT(((long) 0));
					BgL_zc3anonymousza31836ze3z83_1246:
						{	/* Ast/pragma.scm 78 */
							bool_t BgL_testz00_2447;

							{	/* Ast/pragma.scm 78 */
								bool_t BgL_res2039z00_2319;

								BgL_res2039z00_2319 = EOF_OBJECTP(BgL_expz00_1244);
								BgL_testz00_2447 = BgL_res2039z00_2319;
							}
							if (BgL_testz00_2447)
								{	/* Ast/pragma.scm 78 */
									return BgL_maxz00_1245;
								}
							else
								{	/* Ast/pragma.scm 78 */
									if (CHARP(BgL_expz00_1244))
										{
											obj_t BgL_expz00_2451;

											BgL_expz00_2451 =
												BGl_parserz00zzast_pragmaz00(BgL_portz00_1241);
											BgL_expz00_1244 = BgL_expz00_2451;
											goto BgL_zc3anonymousza31836ze3z83_1246;
										}
									else
										{	/* Ast/pragma.scm 83 */
											obj_t BgL_arg1840z00_1250;
											obj_t BgL_arg1841z00_1251;

											BgL_arg1840z00_1250 =
												BGl_parserz00zzast_pragmaz00(BgL_portz00_1241);
											if (
												((long) CINT(BgL_expz00_1244) >
													(long) CINT(BgL_maxz00_1245)))
												{	/* Ast/pragma.scm 83 */
													BgL_arg1841z00_1251 = BgL_expz00_1244;
												}
											else
												{	/* Ast/pragma.scm 83 */
													BgL_arg1841z00_1251 = BgL_maxz00_1245;
												}
											{
												obj_t BgL_maxz00_2459;
												obj_t BgL_expz00_2458;

												BgL_expz00_2458 = BgL_arg1840z00_1250;
												BgL_maxz00_2459 = BgL_arg1841z00_1251;
												BgL_maxz00_1245 = BgL_maxz00_2459;
												BgL_expz00_1244 = BgL_expz00_2458;
												goto BgL_zc3anonymousza31836ze3z83_1246;
											}
										}
								}
						}
					}
				}
			}
		}
	}



/* parser */
	obj_t BGl_parserz00zzast_pragmaz00(obj_t BgL_inputzd2portzd2_1255)
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 67 */
			{
				obj_t BgL_inputzd2portzd2_1287;
				long BgL_lastzd2matchzd2_1288;
				obj_t BgL_inputzd2portzd2_1296;
				long BgL_lastzd2matchzd2_1297;
				obj_t BgL_inputzd2portzd2_1305;
				long BgL_lastzd2matchzd2_1306;
				obj_t BgL_inputzd2portzd2_1314;
				long BgL_lastzd2matchzd2_1315;
				obj_t BgL_inputzd2portzd2_1323;
				long BgL_lastzd2matchzd2_1324;
				int BgL_minz00_1341;
				int BgL_maxz00_1342;

			BgL_zc3anonymousza31927ze3z83_1402:
				{	/* Ast/pragma.scm 67 */
					long BgL_res2037z00_2314;

					BgL_res2037z00_2314 = RGC_START_MATCH(BgL_inputzd2portzd2_1255);
					BgL_res2037z00_2314;
				}
				{	/* Ast/pragma.scm 67 */
					long BgL_matchz00_1403;

					BgL_inputzd2portzd2_1323 = BgL_inputzd2portzd2_1255;
					BgL_lastzd2matchzd2_1324 = ((long) 2);
				BgL_zc3anonymousza31864ze3z83_1325:
					{	/* Ast/pragma.scm 67 */
						int BgL_currentzd2charzd2_1326;

						{	/* Ast/pragma.scm 67 */
							int BgL_res2018z00_2264;

							BgL_res2018z00_2264 =
								RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1323);
							BgL_currentzd2charzd2_1326 = BgL_res2018z00_2264;
						}
						if (((long) (BgL_currentzd2charzd2_1326) == ((long) 0)))
							{	/* Ast/pragma.scm 67 */
								bool_t BgL_testz00_2466;

								{	/* Ast/pragma.scm 67 */
									bool_t BgL_res2020z00_2269;

									BgL_res2020z00_2269 =
										RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1323);
									BgL_testz00_2466 = BgL_res2020z00_2269;
								}
								if (BgL_testz00_2466)
									{	/* Ast/pragma.scm 67 */
										if (rgc_fill_buffer(BgL_inputzd2portzd2_1323))
											{

												goto BgL_zc3anonymousza31864ze3z83_1325;
											}
										else
											{	/* Ast/pragma.scm 67 */
												BgL_matchz00_1403 = BgL_lastzd2matchzd2_1324;
											}
									}
								else
									{	/* Ast/pragma.scm 67 */
										BgL_inputzd2portzd2_1314 = BgL_inputzd2portzd2_1323;
										BgL_lastzd2matchzd2_1315 = BgL_lastzd2matchzd2_1324;
									BgL_zc3anonymousza31859ze3z83_1316:
										{	/* Ast/pragma.scm 67 */
											long BgL_newzd2matchzd2_1317;

											{	/* Ast/pragma.scm 67 */
												long BgL_res2012z00_2250;

												BgL_res2012z00_2250 =
													RGC_STOP_MATCH(BgL_inputzd2portzd2_1314);
												BgL_res2012z00_2250;
											}
											BgL_newzd2matchzd2_1317 = ((long) 1);
											{	/* Ast/pragma.scm 67 */
												int BgL_currentzd2charzd2_1318;

												{	/* Ast/pragma.scm 67 */
													int BgL_res2013z00_2252;

													BgL_res2013z00_2252 =
														RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1314);
													BgL_currentzd2charzd2_1318 = BgL_res2013z00_2252;
												}
												if (((long) (BgL_currentzd2charzd2_1318) == ((long) 0)))
													{	/* Ast/pragma.scm 67 */
														bool_t BgL_testz00_2475;

														{	/* Ast/pragma.scm 67 */
															bool_t BgL_res2015z00_2257;

															BgL_res2015z00_2257 =
																RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1314);
															BgL_testz00_2475 = BgL_res2015z00_2257;
														}
														if (BgL_testz00_2475)
															{	/* Ast/pragma.scm 67 */
																if (rgc_fill_buffer(BgL_inputzd2portzd2_1314))
																	{

																		goto BgL_zc3anonymousza31859ze3z83_1316;
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_matchz00_1403 = BgL_newzd2matchzd2_1317;
																	}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_inputzd2portzd2_1287 =
																	BgL_inputzd2portzd2_1314;
																BgL_lastzd2matchzd2_1288 =
																	BgL_newzd2matchzd2_1317;
															BgL_zc3anonymousza31844ze3z83_1289:
																{	/* Ast/pragma.scm 67 */
																	long BgL_newzd2matchzd2_1290;

																	{	/* Ast/pragma.scm 67 */
																		long BgL_res1990z00_2196;

																		BgL_res1990z00_2196 =
																			RGC_STOP_MATCH(BgL_inputzd2portzd2_1287);
																		BgL_res1990z00_2196;
																	}
																	BgL_newzd2matchzd2_1290 = ((long) 1);
																	{	/* Ast/pragma.scm 67 */
																		int BgL_currentzd2charzd2_1291;

																		{	/* Ast/pragma.scm 67 */
																			int BgL_res1991z00_2198;

																			BgL_res1991z00_2198 =
																				RGC_BUFFER_GET_CHAR
																				(BgL_inputzd2portzd2_1287);
																			BgL_currentzd2charzd2_1291 =
																				BgL_res1991z00_2198;
																		}
																		if (
																			((long) (BgL_currentzd2charzd2_1291) ==
																				((long) 0)))
																			{	/* Ast/pragma.scm 67 */
																				bool_t BgL_testz00_2484;

																				{	/* Ast/pragma.scm 67 */
																					bool_t BgL_res1993z00_2203;

																					BgL_res1993z00_2203 =
																						RGC_BUFFER_EMPTY
																						(BgL_inputzd2portzd2_1287);
																					BgL_testz00_2484 =
																						BgL_res1993z00_2203;
																				}
																				if (BgL_testz00_2484)
																					{	/* Ast/pragma.scm 67 */
																						if (rgc_fill_buffer
																							(BgL_inputzd2portzd2_1287))
																							{

																								goto
																									BgL_zc3anonymousza31844ze3z83_1289;
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_matchz00_1403 =
																									BgL_newzd2matchzd2_1290;
																							}
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_2488;

																						BgL_lastzd2matchzd2_2488 =
																							BgL_newzd2matchzd2_1290;
																						BgL_lastzd2matchzd2_1288 =
																							BgL_lastzd2matchzd2_2488;
																						goto
																							BgL_zc3anonymousza31844ze3z83_1289;
																					}
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				if (
																					((long) (BgL_currentzd2charzd2_1291)
																						== ((long) 36)))
																					{	/* Ast/pragma.scm 67 */
																						BgL_matchz00_1403 =
																							BgL_newzd2matchzd2_1290;
																					}
																				else
																					{
																						long BgL_lastzd2matchzd2_2492;

																						BgL_lastzd2matchzd2_2492 =
																							BgL_newzd2matchzd2_1290;
																						BgL_lastzd2matchzd2_1288 =
																							BgL_lastzd2matchzd2_2492;
																						goto
																							BgL_zc3anonymousza31844ze3z83_1289;
																					}
																			}
																	}
																}
															}
													}
												else
													{	/* Ast/pragma.scm 67 */
														if (
															((long) (BgL_currentzd2charzd2_1318) ==
																((long) 36)))
															{	/* Ast/pragma.scm 67 */
																BgL_matchz00_1403 = BgL_newzd2matchzd2_1317;
															}
														else
															{
																long BgL_lastzd2matchzd2_2497;
																obj_t BgL_inputzd2portzd2_2496;

																BgL_inputzd2portzd2_2496 =
																	BgL_inputzd2portzd2_1314;
																BgL_lastzd2matchzd2_2497 =
																	BgL_newzd2matchzd2_1317;
																BgL_lastzd2matchzd2_1288 =
																	BgL_lastzd2matchzd2_2497;
																BgL_inputzd2portzd2_1287 =
																	BgL_inputzd2portzd2_2496;
																goto BgL_zc3anonymousza31844ze3z83_1289;
															}
													}
											}
										}
									}
							}
						else
							{	/* Ast/pragma.scm 67 */
								if (((long) (BgL_currentzd2charzd2_1326) == ((long) 36)))
									{	/* Ast/pragma.scm 67 */
										BgL_inputzd2portzd2_1296 = BgL_inputzd2portzd2_1323;
										BgL_lastzd2matchzd2_1297 = BgL_lastzd2matchzd2_1324;
									BgL_zc3anonymousza31849ze3z83_1298:
										{	/* Ast/pragma.scm 67 */
											long BgL_newzd2matchzd2_1299;

											{	/* Ast/pragma.scm 67 */
												long BgL_res1996z00_2210;

												BgL_res1996z00_2210 =
													RGC_STOP_MATCH(BgL_inputzd2portzd2_1296);
												BgL_res1996z00_2210;
											}
											BgL_newzd2matchzd2_1299 = ((long) 2);
											{	/* Ast/pragma.scm 67 */
												int BgL_currentzd2charzd2_1300;

												{	/* Ast/pragma.scm 67 */
													int BgL_res1997z00_2212;

													BgL_res1997z00_2212 =
														RGC_BUFFER_GET_CHAR(BgL_inputzd2portzd2_1296);
													BgL_currentzd2charzd2_1300 = BgL_res1997z00_2212;
												}
												if (((long) (BgL_currentzd2charzd2_1300) == ((long) 0)))
													{	/* Ast/pragma.scm 67 */
														bool_t BgL_testz00_2506;

														{	/* Ast/pragma.scm 67 */
															bool_t BgL_res2001z00_2222;

															{	/* Ast/pragma.scm 67 */
																bool_t BgL_testz00_2507;

																{	/* Ast/pragma.scm 67 */
																	bool_t BgL_res1999z00_2219;

																	BgL_res1999z00_2219 =
																		RGC_BUFFER_EMPTY(BgL_inputzd2portzd2_1296);
																	BgL_testz00_2507 = BgL_res1999z00_2219;
																}
																if (BgL_testz00_2507)
																	{	/* Ast/pragma.scm 67 */
																		BgL_res2001z00_2222 =
																			rgc_fill_buffer(BgL_inputzd2portzd2_1296);
																	}
																else
																	{	/* Ast/pragma.scm 67 */
																		BgL_res2001z00_2222 = ((bool_t) 0);
																	}
															}
															BgL_testz00_2506 = BgL_res2001z00_2222;
														}
														if (BgL_testz00_2506)
															{

																goto BgL_zc3anonymousza31849ze3z83_1298;
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_matchz00_1403 = BgL_newzd2matchzd2_1299;
															}
													}
												else
													{	/* Ast/pragma.scm 67 */
														bool_t BgL_testz00_2510;

														if (
															((long) (BgL_currentzd2charzd2_1300) >=
																((long) 48)))
															{	/* Ast/pragma.scm 67 */
																BgL_testz00_2510 =
																	(
																	(long) (BgL_currentzd2charzd2_1300) <
																	((long) 58));
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_testz00_2510 = ((bool_t) 0);
															}
														if (BgL_testz00_2510)
															{	/* Ast/pragma.scm 67 */
																BgL_inputzd2portzd2_1305 =
																	BgL_inputzd2portzd2_1296;
																BgL_lastzd2matchzd2_1306 =
																	BgL_newzd2matchzd2_1299;
															BgL_zc3anonymousza31854ze3z83_1307:
																{	/* Ast/pragma.scm 67 */
																	long BgL_newzd2matchzd2_1308;

																	{	/* Ast/pragma.scm 67 */
																		long BgL_res2004z00_2230;

																		BgL_res2004z00_2230 =
																			RGC_STOP_MATCH(BgL_inputzd2portzd2_1305);
																		BgL_res2004z00_2230;
																	}
																	BgL_newzd2matchzd2_1308 = ((long) 0);
																	{	/* Ast/pragma.scm 67 */
																		int BgL_currentzd2charzd2_1309;

																		{	/* Ast/pragma.scm 67 */
																			int BgL_res2005z00_2232;

																			BgL_res2005z00_2232 =
																				RGC_BUFFER_GET_CHAR
																				(BgL_inputzd2portzd2_1305);
																			BgL_currentzd2charzd2_1309 =
																				BgL_res2005z00_2232;
																		}
																		if (
																			((long) (BgL_currentzd2charzd2_1309) ==
																				((long) 0)))
																			{	/* Ast/pragma.scm 67 */
																				bool_t BgL_testz00_2521;

																				{	/* Ast/pragma.scm 67 */
																					bool_t BgL_res2009z00_2242;

																					{	/* Ast/pragma.scm 67 */
																						bool_t BgL_testz00_2522;

																						{	/* Ast/pragma.scm 67 */
																							bool_t BgL_res2007z00_2239;

																							BgL_res2007z00_2239 =
																								RGC_BUFFER_EMPTY
																								(BgL_inputzd2portzd2_1305);
																							BgL_testz00_2522 =
																								BgL_res2007z00_2239;
																						}
																						if (BgL_testz00_2522)
																							{	/* Ast/pragma.scm 67 */
																								BgL_res2009z00_2242 =
																									rgc_fill_buffer
																									(BgL_inputzd2portzd2_1305);
																							}
																						else
																							{	/* Ast/pragma.scm 67 */
																								BgL_res2009z00_2242 =
																									((bool_t) 0);
																							}
																					}
																					BgL_testz00_2521 =
																						BgL_res2009z00_2242;
																				}
																				if (BgL_testz00_2521)
																					{

																						goto
																							BgL_zc3anonymousza31854ze3z83_1307;
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						BgL_matchz00_1403 =
																							BgL_newzd2matchzd2_1308;
																					}
																			}
																		else
																			{	/* Ast/pragma.scm 67 */
																				bool_t BgL_testz00_2525;

																				if (
																					((long) (BgL_currentzd2charzd2_1309)
																						>= ((long) 48)))
																					{	/* Ast/pragma.scm 67 */
																						BgL_testz00_2525 =
																							(
																							(long)
																							(BgL_currentzd2charzd2_1309) <
																							((long) 58));
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						BgL_testz00_2525 = ((bool_t) 0);
																					}
																				if (BgL_testz00_2525)
																					{
																						long BgL_lastzd2matchzd2_2531;

																						BgL_lastzd2matchzd2_2531 =
																							BgL_newzd2matchzd2_1308;
																						BgL_lastzd2matchzd2_1306 =
																							BgL_lastzd2matchzd2_2531;
																						goto
																							BgL_zc3anonymousza31854ze3z83_1307;
																					}
																				else
																					{	/* Ast/pragma.scm 67 */
																						BgL_matchz00_1403 =
																							BgL_newzd2matchzd2_1308;
																					}
																			}
																	}
																}
															}
														else
															{	/* Ast/pragma.scm 67 */
																BgL_matchz00_1403 = BgL_newzd2matchzd2_1299;
															}
													}
											}
										}
									}
								else
									{
										long BgL_lastzd2matchzd2_2533;
										obj_t BgL_inputzd2portzd2_2532;

										BgL_inputzd2portzd2_2532 = BgL_inputzd2portzd2_1323;
										BgL_lastzd2matchzd2_2533 = BgL_lastzd2matchzd2_1324;
										BgL_lastzd2matchzd2_1315 = BgL_lastzd2matchzd2_2533;
										BgL_inputzd2portzd2_1314 = BgL_inputzd2portzd2_2532;
										goto BgL_zc3anonymousza31859ze3z83_1316;
									}
							}
					}
					RGC_SET_FILEPOS(BgL_inputzd2portzd2_1255);
					{

						switch (BgL_matchz00_1403)
							{
							case ((long) 2):

								{	/* Ast/pragma.scm 67 */
									bool_t BgL_testz00_2535;

									{	/* Ast/pragma.scm 67 */
										long BgL_arg1921z00_1393;

										{	/* Ast/pragma.scm 67 */
											long BgL_res2034z00_2307;

											BgL_res2034z00_2307 =
												RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1255);
											BgL_arg1921z00_1393 = BgL_res2034z00_2307;
										}
										BgL_testz00_2535 = (BgL_arg1921z00_1393 == ((long) 0));
									}
									if (BgL_testz00_2535)
										{	/* Ast/pragma.scm 67 */
											return BCNST(256);
										}
									else
										{	/* Ast/pragma.scm 67 */
											unsigned char BgL_res2036z00_2312;

											BgL_res2036z00_2312 =
												RGC_BUFFER_CHARACTER(BgL_inputzd2portzd2_1255);
											return BCHAR(BgL_res2036z00_2312);
										}
								}
								break;
							case ((long) 1):

								goto BgL_zc3anonymousza31927ze3z83_1402;
								break;
							case ((long) 0):

								{	/* Ast/pragma.scm 69 */
									obj_t BgL_arg1929z00_1407;

									{	/* Ast/pragma.scm 69 */
										long BgL_arg1931z00_1410;

										{	/* Ast/pragma.scm 69 */
											long BgL_res2038z00_2317;

											BgL_res2038z00_2317 =
												RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1255);
											BgL_arg1931z00_1410 = BgL_res2038z00_2317;
										}
										BgL_minz00_1341 = (int) (((long) 1));
										BgL_maxz00_1342 = (int) (BgL_arg1931z00_1410);
										if (((long) (BgL_maxz00_1342) < ((long) 0)))
											{	/* Ast/pragma.scm 67 */
												long BgL_arg1878z00_1345;

												{	/* Ast/pragma.scm 67 */
													long BgL_res2026z00_2285;

													BgL_res2026z00_2285 =
														RGC_BUFFER_MATCH_LENGTH(BgL_inputzd2portzd2_1255);
													BgL_arg1878z00_1345 = BgL_res2026z00_2285;
												}
												{	/* Ast/pragma.scm 67 */
													long BgL_za72za7_2287;

													BgL_za72za7_2287 = (long) (BgL_maxz00_1342);
													BgL_maxz00_1342 =
														(int) ((BgL_arg1878z00_1345 + BgL_za72za7_2287));
											}}
										else
											{	/* Ast/pragma.scm 67 */
												BFALSE;
											}
										{	/* Ast/pragma.scm 67 */
											bool_t BgL_testz00_2548;

											if (((long) (BgL_minz00_1341) >= ((long) 0)))
												{	/* Ast/pragma.scm 67 */
													if (
														((long) (BgL_maxz00_1342) >=
															(long) (BgL_minz00_1341)))
														{	/* Ast/pragma.scm 67 */
															long BgL_arg1886z00_1353;

															{	/* Ast/pragma.scm 67 */
																long BgL_res2030z00_2296;

																BgL_res2030z00_2296 =
																	RGC_BUFFER_MATCH_LENGTH
																	(BgL_inputzd2portzd2_1255);
																BgL_arg1886z00_1353 = BgL_res2030z00_2296;
															}
															BgL_testz00_2548 =
																(
																(long) (BgL_maxz00_1342) <=
																BgL_arg1886z00_1353);
														}
													else
														{	/* Ast/pragma.scm 67 */
															BgL_testz00_2548 = ((bool_t) 0);
														}
												}
											else
												{	/* Ast/pragma.scm 67 */
													BgL_testz00_2548 = ((bool_t) 0);
												}
											if (BgL_testz00_2548)
												{	/* Ast/pragma.scm 67 */
													BgL_arg1929z00_1407 =
														rgc_buffer_substring(BgL_inputzd2portzd2_1255,
														(long) (BgL_minz00_1341), (long) (BgL_maxz00_1342));
												}
											else
												{	/* Ast/pragma.scm 67 */
													obj_t BgL_arg1880z00_1347;
													obj_t BgL_arg1881z00_1348;

													{	/* Ast/pragma.scm 67 */
														obj_t BgL_arg1882z00_1349;

														{	/* Ast/pragma.scm 67 */
															long BgL_arg1875z00_1340;

															{	/* Ast/pragma.scm 67 */
																long BgL_res2023z00_2276;

																BgL_res2023z00_2276 =
																	RGC_BUFFER_MATCH_LENGTH
																	(BgL_inputzd2portzd2_1255);
																BgL_arg1875z00_1340 = BgL_res2023z00_2276;
															}
															BgL_arg1882z00_1349 =
																rgc_buffer_substring(BgL_inputzd2portzd2_1255,
																((long) 0), BgL_arg1875z00_1340);
														}
														{	/* Ast/pragma.scm 67 */
															obj_t BgL_list1883z00_1350;

															BgL_list1883z00_1350 =
																MAKE_PAIR(BgL_arg1882z00_1349, BNIL);
															BgL_arg1880z00_1347 =
																BGl_formatz00zz__r4_output_6_10_3z00
																(BGl_string2048z00zzast_pragmaz00,
																BgL_list1883z00_1350);
													}}
													BgL_arg1881z00_1348 =
														MAKE_PAIR(BINT(BgL_minz00_1341),
														BINT(BgL_maxz00_1342));
													BgL_arg1929z00_1407 =
														BGl_errorz00zz__errorz00
														(BGl_string2049z00zzast_pragmaz00,
														BgL_arg1880z00_1347, BgL_arg1881z00_1348);
									}}}
									{	/* Ast/pragma.scm 69 */

										return
											BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
											(BgL_arg1929z00_1407, BINT(((long) 10)));
								}} break;
							default:
								return
									BGl_errorz00zz__errorz00(BGl_string2046z00zzast_pragmaz00,
									BGl_string2047z00zzast_pragmaz00, BINT(BgL_matchz00_1403));
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_pragmaz00()
	{
		AN_OBJECT;
		{	/* Ast/pragma.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2050z00zzast_pragmaz00));
		}
	}

#ifdef __cplusplus
}
#endif
