/*===========================================================================*/
/*   (Cfa/pair.scm)                                                          */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/pair.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2conszd2appz00_bgl
	{
		struct BgL_variablez00_bgl *BgL_ownerz00;
	}                          *BgL_prezd2conszd2appz00_bglt;

	typedef struct BgL_prezd2conszd2refzd2appzd2_bgl
	{
		obj_t BgL_getz00;
	}                                *BgL_prezd2conszd2refzd2appzd2_bglt;

	typedef struct BgL_prezd2conszd2setz12zd2appzc0_bgl
	{
		obj_t BgL_getz00;
	}                                   *BgL_prezd2conszd2setz12zd2appzc0_bglt;

	typedef struct BgL_conszd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_approxesz00;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                    *BgL_conszd2appzd2_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_conszd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                             *BgL_conszd2setz12zd2appz12_bglt;


	extern obj_t
		BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza33016ze3ze1zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_pairz00();
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_pairz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
	extern obj_t BGl_conszd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	extern obj_t BGl_conszd2appzd2zzcfa_info2z00;
	BGL_EXPORTED_DECL bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00();
	BGL_EXPORTED_DECL obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2920za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2922za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62loosezd2allocz12zd2conszd2ap2932za2zzcfa_pairz00(obj_t,
		obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2prezd2cons2924za2zzcfa_pairz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3anonymousza33033ze3ze1zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2app2926z70zzcfa_pairz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_cfunz00zzast_varz00;
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	extern obj_t BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00;
	static obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2cfazd2stampza2zd2zzcfa_iteratez00;
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app2930zb0zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_pairz00();
	static obj_t BGl_genericzd2initzd2zzcfa_pairz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2refzd2app2928za2zzcfa_pairz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_pairz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_prezd2conszd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pairzd2optimzf3zd2envzf3zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73291za7,
		BGl_z62pairzd2optimzf3z43zzcfa_pairz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string3278z00zzcfa_pairz00,
		BgL_bgl_string3278za700za7za7c3292za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3282z00zzcfa_pairz00,
		BgL_bgl_string3282za700za7za7c3293za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3286z00zzcfa_pairz00,
		BgL_bgl_string3286za700za7za7c3294za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string3287z00zzcfa_pairz00,
		BgL_bgl_string3287za700za7za7c3295za7, "cfa_pair", 8);
	      DEFINE_STRING(BGl_string3288z00zzcfa_pairz00,
		BgL_bgl_string3288za700za7za7c3296za7,
		"all pair? $pair? ((@ cons __r4_pairs_and_lists_6_3) (@ set-car! __r4_pairs_and_lists_6_3) (@ set-cdr! __r4_pairs_and_lists_6_3) (@ $cons foreign) (@ $set-car! foreign) (@ $set-cdr! foreign)) ",
		191);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_patchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762patchza7d2pairza73297za7,
		BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3277z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73298za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2920za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3279z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73299za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2922za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3280z00zzcfa_pairz00,
		BgL_bgl_za762nodeza7d2setupza73300za7,
		BGl_z62nodezd2setupz12zd2prezd2cons2924za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3281z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3301za7,
		BGl_z62cfaz12zd2conszd2app2926z70zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3283z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3302za7,
		BGl_z62cfaz12zd2conszd2refzd2app2928za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3284z00zzcfa_pairz00,
		BgL_bgl_za762cfaza712za7d2cons3303za7,
		BGl_z62cfaz12zd2conszd2setz12zd2app2930zb0zzcfa_pairz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3285z00zzcfa_pairz00,
		BgL_bgl_za762looseza7d2alloc3304z00,
		BGl_z62loosezd2allocz12zd2conszd2ap2932za2zzcfa_pairz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2pairzd2setz12zd2envzc0zzcfa_pairz00,
		BgL_bgl_za762unpatchza7d2pai3305z00,
		BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pairzd2optimzd2quotezd2maxlenzd2envz00zzcfa_pairz00,
		BgL_bgl_za762pairza7d2optimza73306za7,
		BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long
		BgL_checksumz00_5296, char *BgL_fromz00_5297)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_pairz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_pairz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_pairz00();
					BGl_cnstzd2initzd2zzcfa_pairz00();
					BGl_importedzd2moduleszd2initz00zzcfa_pairz00();
					BGl_methodzd2initzd2zzcfa_pairz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_pair");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_pair");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			{	/* Cfa/pair.scm 17 */
				obj_t BgL_cportz00_5288;

				BgL_cportz00_5288 =
					bgl_open_input_string(BGl_string3288z00zzcfa_pairz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5289;

					BgL_iz00_5289 = ((long) 3);
				BgL_loopz00_5290:
					if ((BgL_iz00_5289 == ((long) -1)))
						{	/* Cfa/pair.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/pair.scm 17 */
							{	/* Cfa/pair.scm 17 */
								obj_t BgL_arg3290z00_5292;

								{	/* Cfa/pair.scm 17 */

									{	/* Cfa/pair.scm 17 */
										obj_t BgL_locationz00_5294;

										BgL_locationz00_5294 = BBOOL(((bool_t) 0));
										{	/* Cfa/pair.scm 17 */

											BgL_arg3290z00_5292 =
												BGl_readz00zz__readerz00(BgL_cportz00_5288,
												BgL_locationz00_5294);
										}
									}
								}
								{	/* Cfa/pair.scm 17 */
									int BgL_auxz00_5316;

									BgL_auxz00_5316 = (int) (BgL_iz00_5289);
									CNST_TABLE_SET(BgL_auxz00_5316, BgL_arg3290z00_5292);
							}}
							{	/* Cfa/pair.scm 17 */
								int BgL_auxz00_5295;

								BgL_auxz00_5295 = (int) ((BgL_iz00_5289 - ((long) 1)));
								{
									long BgL_iz00_5321;

									BgL_iz00_5321 = (long) (BgL_auxz00_5295);
									BgL_iz00_5289 = BgL_iz00_5321;
									goto BgL_loopz00_5290;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* pair-optim? */
	BGL_EXPORTED_DEF bool_t BGl_pairzd2optimzf3z21zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/pair.scm 45 */
					return CBOOL(BGl_za2optimzd2cfazd2pairzf3za2zf3zzengine_paramz00);
				}
			else
				{	/* Cfa/pair.scm 45 */
					return ((bool_t) 0);
				}
		}
	}



/* &pair-optim? */
	obj_t BGl_z62pairzd2optimzf3z43zzcfa_pairz00(obj_t BgL_envz00_5248)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 44 */
			return BBOOL(BGl_pairzd2optimzf3z21zzcfa_pairz00());
		}
	}



/* pair-optim-quote-maxlen */
	BGL_EXPORTED_DEF obj_t BGl_pairzd2optimzd2quotezd2maxlenzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* &pair-optim-quote-maxlen */
	obj_t BGl_z62pairzd2optimzd2quotezd2maxlenzb0zzcfa_pairz00(obj_t
		BgL_envz00_5249)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 50 */
			return
				BGl_za2optimzd2cfazd2pairzd2quotezd2maxzd2lengthza2zd2zzengine_paramz00;
		}
	}



/* patch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 62 */
					{	/* Cfa/pair.scm 63 */
						obj_t BgL_g2915z00_2896;

						BgL_g2915z00_2896 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2913z00_2898;

							BgL_l2913z00_2898 = BgL_g2915z00_2896;
						BgL_zc3anonymousza32937ze3z83_2899:
							if (PAIRP(BgL_l2913z00_2898))
								{	/* Cfa/pair.scm 74 */
									{	/* Cfa/pair.scm 64 */
										obj_t BgL_idz00_2901;

										BgL_idz00_2901 = CAR(BgL_l2913z00_2898);
										{	/* Cfa/pair.scm 64 */
											obj_t BgL_gz00_2902;

											{	/* Cfa/pair.scm 64 */
												obj_t BgL_arg2948z00_2915;
												obj_t BgL_arg2949z00_2916;

												{	/* Cfa/pair.scm 64 */
													obj_t BgL_pairz00_5009;

													BgL_pairz00_5009 = BgL_idz00_2901;
													BgL_arg2948z00_2915 = CAR(CDR(BgL_pairz00_5009));
												}
												{	/* Cfa/pair.scm 64 */
													obj_t BgL_pairz00_5013;

													BgL_pairz00_5013 = BgL_idz00_2901;
													BgL_arg2949z00_2916 = CAR(CDR(CDR(BgL_pairz00_5013)));
												}
												BgL_gz00_2902 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2948z00_2915, BgL_arg2949z00_2916);
											}
											{	/* Cfa/pair.scm 64 */
												BgL_valuez00_bglt BgL_funz00_2903;

												BgL_funz00_2903 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_2902))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 65 */

													{	/* Cfa/pair.scm 66 */
														BgL_funz00_bglt BgL_oz00_5025;

														BgL_oz00_5025 = ((BgL_funz00_bglt) BgL_funz00_2903);
														((((BgL_funz00_bglt) CREF(BgL_oz00_5025))->
																BgL_topzf3zf3) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
													}
													{	/* Cfa/pair.scm 67 */
														bool_t BgL_testz00_5346;

														{	/* Cfa/pair.scm 67 */
															bool_t BgL_res3242z00_5029;

															{	/* Cfa/pair.scm 67 */
																obj_t BgL_objz00_5028;

																BgL_objz00_5028 = ((obj_t) BgL_funz00_2903);
																BgL_res3242z00_5029 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_5028,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5346 = BgL_res3242z00_5029;
														}
														if (BgL_testz00_5346)
															{	/* Cfa/pair.scm 68 */
																obj_t BgL_argsz00_2906;

																BgL_argsz00_2906 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_2903)))->
																	BgL_argszd2typezd2);
																{	/* Cfa/pair.scm 69 */
																	BgL_typez00_bglt BgL_arg2941z00_2907;

																	BgL_arg2941z00_2907 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 69 */
																		obj_t BgL_pairz00_5032;
																		obj_t BgL_objz00_5033;

																		BgL_pairz00_5032 = BgL_argsz00_2906;
																		BgL_objz00_5033 =
																			((obj_t) BgL_arg2941z00_2907);
																		SET_CAR(BgL_pairz00_5032, BgL_objz00_5033);
																	}
																}
																{	/* Cfa/pair.scm 70 */
																	obj_t BgL_arg2942z00_2908;
																	BgL_typez00_bglt BgL_arg2943z00_2909;

																	BgL_arg2942z00_2908 = CDR(BgL_argsz00_2906);
																	BgL_arg2943z00_2909 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 70 */
																		obj_t BgL_pairz00_5035;
																		obj_t BgL_objz00_5036;

																		BgL_pairz00_5035 = BgL_arg2942z00_2908;
																		BgL_objz00_5036 =
																			((obj_t) BgL_arg2943z00_2909);
																		SET_CAR(BgL_pairz00_5035, BgL_objz00_5036);
																	}
																}
															}
														else
															{	/* Cfa/pair.scm 71 */
																obj_t BgL_argsz00_2910;

																BgL_argsz00_2910 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_2903)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 72 */
																	obj_t BgL_arg2944z00_2911;
																	BgL_typez00_bglt BgL_arg2945z00_2912;

																	BgL_arg2944z00_2911 = CAR(BgL_argsz00_2910);
																	BgL_arg2945z00_2912 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 72 */
																		BgL_localz00_bglt BgL_oz00_5040;

																		BgL_oz00_5040 =
																			((BgL_localz00_bglt) BgL_arg2944z00_2911);
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_oz00_5040)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg2945z00_2912),
																			BUNSPEC);
																	}
																}
																{	/* Cfa/pair.scm 73 */
																	obj_t BgL_arg2946z00_2913;
																	BgL_typez00_bglt BgL_arg2947z00_2914;

																	{	/* Cfa/pair.scm 73 */
																		obj_t BgL_pairz00_5043;

																		BgL_pairz00_5043 = BgL_argsz00_2910;
																		BgL_arg2946z00_2913 =
																			CAR(CDR(BgL_pairz00_5043));
																	}
																	BgL_arg2947z00_2914 =
																		BGl_getzd2defaultzd2typez00zztype_cachez00
																		();
																	{	/* Cfa/pair.scm 73 */
																		BgL_localz00_bglt BgL_oz00_5047;

																		BgL_oz00_5047 =
																			((BgL_localz00_bglt) BgL_arg2946z00_2913);
																		((((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_oz00_5047)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg2947z00_2914),
																			BUNSPEC);
																	}
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2913z00_5371;

										BgL_l2913z00_5371 = CDR(BgL_l2913z00_2898);
										BgL_l2913z00_2898 = BgL_l2913z00_5371;
										goto BgL_zc3anonymousza32937ze3z83_2899;
									}
								}
							else
								{	/* Cfa/pair.scm 74 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 80 */
						obj_t BgL_gz00_2919;

						BgL_gz00_2919 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2919,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 82 */
								BgL_valuez00_bglt BgL_fz00_2921;

								BgL_fz00_2921 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2919))))->BgL_valuez00);
								{	/* Cfa/pair.scm 83 */
									obj_t BgL_arg2952z00_2922;
									BgL_typez00_bglt BgL_arg2953z00_2923;

									BgL_arg2952z00_2922 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_2921)))->
										BgL_argszd2typezd2);
									BgL_arg2953z00_2923 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									{	/* Cfa/pair.scm 83 */
										obj_t BgL_pairz00_5058;
										obj_t BgL_objz00_5059;

										BgL_pairz00_5058 = BgL_arg2952z00_2922;
										BgL_objz00_5059 = ((obj_t) BgL_arg2953z00_2923);
										return SET_CAR(BgL_pairz00_5058, BgL_objz00_5059);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 81 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 62 */
					return BFALSE;
				}
		}
	}



/* &patch-pair-set! */
	obj_t BGl_z62patchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5250)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 59 */
			return BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* unpatch-pair-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			if (BGl_pairzd2optimzf3z21zzcfa_pairz00())
				{	/* Cfa/pair.scm 89 */
					{	/* Cfa/pair.scm 90 */
						obj_t BgL_g2918z00_2926;

						BgL_g2918z00_2926 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l2916z00_2928;

							BgL_l2916z00_2928 = BgL_g2918z00_2926;
						BgL_zc3anonymousza32956ze3z83_2929:
							if (PAIRP(BgL_l2916z00_2928))
								{	/* Cfa/pair.scm 100 */
									{	/* Cfa/pair.scm 91 */
										obj_t BgL_idz00_2931;

										BgL_idz00_2931 = CAR(BgL_l2916z00_2928);
										{	/* Cfa/pair.scm 91 */
											obj_t BgL_gz00_2932;

											{	/* Cfa/pair.scm 91 */
												obj_t BgL_arg2962z00_2940;
												obj_t BgL_arg2963z00_2941;

												{	/* Cfa/pair.scm 91 */
													obj_t BgL_pairz00_5063;

													BgL_pairz00_5063 = BgL_idz00_2931;
													BgL_arg2962z00_2940 = CAR(CDR(BgL_pairz00_5063));
												}
												{	/* Cfa/pair.scm 91 */
													obj_t BgL_pairz00_5067;

													BgL_pairz00_5067 = BgL_idz00_2931;
													BgL_arg2963z00_2941 = CAR(CDR(CDR(BgL_pairz00_5067)));
												}
												BgL_gz00_2932 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2962z00_2940, BgL_arg2963z00_2941);
											}
											{	/* Cfa/pair.scm 91 */
												BgL_valuez00_bglt BgL_funz00_2933;

												BgL_funz00_2933 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_2932))))->
													BgL_valuez00);
												{	/* Cfa/pair.scm 92 */

													{	/* Cfa/pair.scm 93 */
														bool_t BgL_testz00_5401;

														{	/* Cfa/pair.scm 93 */
															bool_t BgL_res3247z00_5077;

															{	/* Cfa/pair.scm 93 */
																obj_t BgL_objz00_5076;

																BgL_objz00_5076 = ((obj_t) BgL_funz00_2933);
																BgL_res3247z00_5077 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_5076,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5401 = BgL_res3247z00_5077;
														}
														if (BgL_testz00_5401)
															{	/* Cfa/pair.scm 94 */
																obj_t BgL_argsz00_2935;

																BgL_argsz00_2935 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_funz00_2933)))->
																	BgL_argszd2typezd2);
																SET_CAR(BgL_argsz00_2935,
																	BGl_za2objza2z00zztype_cachez00);
																{	/* Cfa/pair.scm 96 */
																	obj_t BgL_arg2959z00_2936;

																	BgL_arg2959z00_2936 = CDR(BgL_argsz00_2935);
																	SET_CAR(BgL_arg2959z00_2936,
																		BGl_za2objza2z00zztype_cachez00);
																}
															}
														else
															{	/* Cfa/pair.scm 97 */
																obj_t BgL_argsz00_2937;

																BgL_argsz00_2937 =
																	(((BgL_sfunz00_bglt) CREF(
																			((BgL_sfunz00_bglt) BgL_funz00_2933)))->
																	BgL_argsz00);
																{	/* Cfa/pair.scm 98 */
																	obj_t BgL_arg2960z00_2938;

																	BgL_arg2960z00_2938 = CAR(BgL_argsz00_2937);
																	{	/* Cfa/pair.scm 98 */
																		BgL_localz00_bglt BgL_oz00_5088;
																		BgL_typez00_bglt BgL_vz00_5089;

																		BgL_oz00_5088 =
																			((BgL_localz00_bglt) BgL_arg2960z00_2938);
																		BgL_vz00_5089 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt)
																							BgL_oz00_5088)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5089),
																			BUNSPEC);
																	}
																}
																{	/* Cfa/pair.scm 99 */
																	obj_t BgL_arg2961z00_2939;

																	{	/* Cfa/pair.scm 99 */
																		obj_t BgL_pairz00_5091;

																		BgL_pairz00_5091 = BgL_argsz00_2937;
																		BgL_arg2961z00_2939 =
																			CAR(CDR(BgL_pairz00_5091));
																	}
																	{	/* Cfa/pair.scm 99 */
																		BgL_localz00_bglt BgL_oz00_5095;
																		BgL_typez00_bglt BgL_vz00_5096;

																		BgL_oz00_5095 =
																			((BgL_localz00_bglt) BgL_arg2961z00_2939);
																		BgL_vz00_5096 =
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																		((((BgL_variablez00_bglt)
																					CREF(((BgL_variablez00_bglt)
																							BgL_oz00_5095)))->BgL_typez00) =
																			((BgL_typez00_bglt) BgL_vz00_5096),
																			BUNSPEC);
																	}
																}
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2916z00_5422;

										BgL_l2916z00_5422 = CDR(BgL_l2916z00_2928);
										BgL_l2916z00_2928 = BgL_l2916z00_5422;
										goto BgL_zc3anonymousza32956ze3z83_2929;
									}
								}
							else
								{	/* Cfa/pair.scm 100 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/pair.scm 106 */
						obj_t BgL_gz00_2944;

						BgL_gz00_2944 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2944,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 108 */
								BgL_valuez00_bglt BgL_fz00_2946;

								BgL_fz00_2946 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2944))))->BgL_valuez00);
								{	/* Cfa/pair.scm 109 */
									obj_t BgL_arg2966z00_2947;

									BgL_arg2966z00_2947 =
										(((BgL_cfunz00_bglt) CREF(
												((BgL_cfunz00_bglt) BgL_fz00_2946)))->
										BgL_argszd2typezd2);
									SET_CAR(BgL_arg2966z00_2947, BGl_za2objza2z00zztype_cachez00);
								}
							}
						else
							{	/* Cfa/pair.scm 107 */
								BFALSE;
							}
					}
					{	/* Cfa/pair.scm 110 */
						obj_t BgL_gz00_2949;

						BgL_gz00_2949 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_2949,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/pair.scm 112 */
								BgL_valuez00_bglt BgL_fz00_2951;

								BgL_fz00_2951 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_2949))))->BgL_valuez00);
								{	/* Cfa/pair.scm 113 */
									obj_t BgL_arg2969z00_2952;

									{	/* Cfa/pair.scm 113 */
										obj_t BgL_pairz00_5115;

										BgL_pairz00_5115 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_fz00_2951)))->BgL_argsz00);
										BgL_arg2969z00_2952 = CAR(BgL_pairz00_5115);
									}
									{	/* Cfa/pair.scm 113 */
										BgL_localz00_bglt BgL_oz00_5116;
										BgL_typez00_bglt BgL_vz00_5117;

										BgL_oz00_5116 = ((BgL_localz00_bglt) BgL_arg2969z00_2952);
										BgL_vz00_5117 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_5116)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_5117), BUNSPEC);
									}
								}
							}
						else
							{	/* Cfa/pair.scm 111 */
								BFALSE;
							}
					}
				}
			else
				{	/* Cfa/pair.scm 89 */
					BFALSE;
				}
			return BUNSPEC;
		}
	}



/* &unpatch-pair-set! */
	obj_t BGl_z62unpatchzd2pairzd2setz12z70zzcfa_pairz00(obj_t BgL_envz00_5251)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 88 */
			return BGl_unpatchzd2pairzd2setz12z12zzcfa_pairz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2appz00zzcfa_info2z00, BGl_proc3277z00zzcfa_pairz00,
				BGl_string3278z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2refzd2appzd2zzcfa_info2z00,
				BGl_proc3279z00zzcfa_pairz00, BGl_string3278z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2conszd2setz12zd2appzc0zzcfa_info2z00,
				BGl_proc3280z00zzcfa_pairz00, BGl_string3278z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2appzd2zzcfa_info2z00,
				BGl_proc3281z00zzcfa_pairz00, BGl_string3282z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_conszd2refzd2appz00zzcfa_info2z00,
				BGl_proc3283z00zzcfa_pairz00, BGl_string3282z00zzcfa_pairz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_conszd2setz12zd2appz12zzcfa_info2z00, BGl_proc3284z00zzcfa_pairz00,
				BGl_string3282z00zzcfa_pairz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_conszd2appzd2zzcfa_info2z00, BGl_proc3285z00zzcfa_pairz00,
				BGl_string3286z00zzcfa_pairz00);
		}
	}



/* &loose-alloc!-cons-ap2932 */
	obj_t BGl_z62loosezd2allocz12zd2conszd2ap2932za2zzcfa_pairz00(obj_t
		BgL_envz00_5263, obj_t BgL_allocz00_5264)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 245 */
			{
				BgL_appz00_bglt BgL_allocz00_3086;

				BgL_allocz00_3086 = ((BgL_appz00_bglt) BgL_allocz00_5264);
				{	/* Cfa/pair.scm 247 */
					bool_t BgL_testz00_5456;

					{	/* Cfa/pair.scm 247 */
						long BgL_arg3059z00_3103;

						{
							BgL_conszd2appzd2_bglt BgL_auxz00_5457;

							{
								obj_t BgL_auxz00_5458;

								{	/* Cfa/pair.scm 247 */
									BgL_objectz00_bglt BgL_auxz00_5459;

									BgL_auxz00_5459 = ((BgL_objectz00_bglt) BgL_allocz00_3086);
									BgL_auxz00_5458 = BGL_OBJECT_WIDENING(BgL_auxz00_5459);
								}
								BgL_auxz00_5457 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5458);
							}
							BgL_arg3059z00_3103 =
								(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5457))->
								BgL_lostzd2stampzd2);
						}
						BgL_testz00_5456 =
							(BgL_arg3059z00_3103 ==
							(long) CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00));
					}
					if (BgL_testz00_5456)
						{	/* Cfa/pair.scm 247 */
							return BFALSE;
						}
					else
						{	/* Cfa/pair.scm 247 */
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5466;

								{
									obj_t BgL_auxz00_5467;

									{	/* Cfa/pair.scm 250 */
										BgL_objectz00_bglt BgL_auxz00_5468;

										BgL_auxz00_5468 = ((BgL_objectz00_bglt) BgL_allocz00_3086);
										BgL_auxz00_5467 = BGL_OBJECT_WIDENING(BgL_auxz00_5468);
									}
									BgL_auxz00_5466 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5467);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5466))->
										BgL_lostzd2stampzd2) =
									((long) (long)
										CINT(BGl_za2cfazd2stampza2zd2zzcfa_iteratez00)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 251 */
								obj_t BgL_arg3045z00_3091;

								{	/* Cfa/pair.scm 251 */
									obj_t BgL_auxz00_5474;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5475;

										{
											obj_t BgL_auxz00_5476;

											{	/* Cfa/pair.scm 251 */
												BgL_objectz00_bglt BgL_auxz00_5477;

												BgL_auxz00_5477 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5476 = BGL_OBJECT_WIDENING(BgL_auxz00_5477);
											}
											BgL_auxz00_5475 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5476);
										}
										BgL_auxz00_5474 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5475))->
											BgL_approxesz00);
									}
									BgL_arg3045z00_3091 = CAR(BgL_auxz00_5474);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3045z00_3091));
							}
							{	/* Cfa/pair.scm 252 */
								obj_t BgL_arg3048z00_3093;

								{	/* Cfa/pair.scm 252 */
									obj_t BgL_auxz00_5485;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5486;

										{
											obj_t BgL_auxz00_5487;

											{	/* Cfa/pair.scm 252 */
												BgL_objectz00_bglt BgL_auxz00_5488;

												BgL_auxz00_5488 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5487 = BGL_OBJECT_WIDENING(BgL_auxz00_5488);
											}
											BgL_auxz00_5486 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5487);
										}
										BgL_auxz00_5485 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5486))->
											BgL_approxesz00);
									}
									BgL_arg3048z00_3093 = CDR(BgL_auxz00_5485);
								}
								BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
									(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
									((BgL_approxz00_bglt) BgL_arg3048z00_3093));
							}
							{	/* Cfa/pair.scm 253 */
								obj_t BgL_arg3050z00_3095;

								{	/* Cfa/pair.scm 253 */
									obj_t BgL_auxz00_5496;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5497;

										{
											obj_t BgL_auxz00_5498;

											{	/* Cfa/pair.scm 253 */
												BgL_objectz00_bglt BgL_auxz00_5499;

												BgL_auxz00_5499 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5498 = BGL_OBJECT_WIDENING(BgL_auxz00_5499);
											}
											BgL_auxz00_5497 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5498);
										}
										BgL_auxz00_5496 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5497))->
											BgL_approxesz00);
									}
									BgL_arg3050z00_3095 = CAR(BgL_auxz00_5496);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3050z00_3095),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 254 */
								obj_t BgL_arg3052z00_3097;

								{	/* Cfa/pair.scm 254 */
									obj_t BgL_auxz00_5508;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5509;

										{
											obj_t BgL_auxz00_5510;

											{	/* Cfa/pair.scm 254 */
												BgL_objectz00_bglt BgL_auxz00_5511;

												BgL_auxz00_5511 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5510 = BGL_OBJECT_WIDENING(BgL_auxz00_5511);
											}
											BgL_auxz00_5509 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5510);
										}
										BgL_auxz00_5508 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5509))->
											BgL_approxesz00);
									}
									BgL_arg3052z00_3097 = CDR(BgL_auxz00_5508);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3052z00_3097),
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 255 */
								obj_t BgL_arg3054z00_3099;

								{	/* Cfa/pair.scm 255 */
									obj_t BgL_auxz00_5520;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5521;

										{
											obj_t BgL_auxz00_5522;

											{	/* Cfa/pair.scm 255 */
												BgL_objectz00_bglt BgL_auxz00_5523;

												BgL_auxz00_5523 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5522 = BGL_OBJECT_WIDENING(BgL_auxz00_5523);
											}
											BgL_auxz00_5521 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5522);
										}
										BgL_auxz00_5520 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5521))->
											BgL_approxesz00);
									}
									BgL_arg3054z00_3099 = CAR(BgL_auxz00_5520);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3054z00_3099));
							}
							{	/* Cfa/pair.scm 256 */
								obj_t BgL_arg3057z00_3101;

								{	/* Cfa/pair.scm 256 */
									obj_t BgL_auxz00_5531;

									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5532;

										{
											obj_t BgL_auxz00_5533;

											{	/* Cfa/pair.scm 256 */
												BgL_objectz00_bglt BgL_auxz00_5534;

												BgL_auxz00_5534 =
													((BgL_objectz00_bglt) BgL_allocz00_3086);
												BgL_auxz00_5533 = BGL_OBJECT_WIDENING(BgL_auxz00_5534);
											}
											BgL_auxz00_5532 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5533);
										}
										BgL_auxz00_5531 =
											(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5532))->
											BgL_approxesz00);
									}
									BgL_arg3057z00_3101 = CDR(BgL_auxz00_5531);
								}
								return
									BGl_approxzd2setzd2topz12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3057z00_3101));
							}
						}
				}
			}
		}
	}



/* &cfa!-cons-set!-app2930 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2conszd2setz12zd2app2930zb0zzcfa_pairz00(obj_t
		BgL_envz00_5265, obj_t BgL_nodez00_5266)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 212 */
			{
				BgL_appz00_bglt BgL_nodez00_3063;

				BgL_nodez00_3063 = ((BgL_appz00_bglt) BgL_nodez00_5266);
				{	/* Cfa/pair.scm 214 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3067;
					BgL_approxz00_bglt BgL_valzd2approxzd2_3068;

					{	/* Cfa/pair.scm 214 */
						obj_t BgL_arg3039z00_3081;

						{	/* Cfa/pair.scm 214 */
							obj_t BgL_pairz00_5217;

							BgL_pairz00_5217 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3063)))->BgL_argsz00);
							BgL_arg3039z00_3081 = CAR(BgL_pairz00_5217);
						}
						BgL_conszd2approxzd2_3067 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3039z00_3081));
					}
					{	/* Cfa/pair.scm 215 */
						obj_t BgL_arg3042z00_3083;

						{	/* Cfa/pair.scm 215 */
							obj_t BgL_pairz00_5218;

							BgL_pairz00_5218 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3063)))->BgL_argsz00);
							BgL_arg3042z00_3083 = CAR(CDR(BgL_pairz00_5218));
						}
						BgL_valzd2approxzd2_3068 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3042z00_3083));
					}
					{	/* Cfa/pair.scm 220 */
						bool_t BgL_testz00_5554;

						{	/* Cfa/pair.scm 220 */
							BgL_typez00_bglt BgL_arg3030z00_3070;

							BgL_arg3030z00_3070 =
								(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3067))->
								BgL_typez00);
							BgL_testz00_5554 =
								(((obj_t) BgL_arg3030z00_3070) ==
								BGl_za2pairza2z00zztype_cachez00);
						}
						if (BgL_testz00_5554)
							{	/* Cfa/pair.scm 220 */
								BFALSE;
							}
						else
							{	/* Cfa/pair.scm 220 */
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_valzd2approxzd2_3068,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3067))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 223 */
							((obj_t)
								BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3068,
									CNST_TABLE_REF(((long) 3))));
						}
					else
						{	/* Cfa/pair.scm 229 */
							obj_t BgL_zc3anonymousza33033ze3z83_5255;

							BgL_zc3anonymousza33033ze3z83_5255 =
								MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33033ze3ze1zzcfa_pairz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33033ze3z83_5255,
								(int) (((long) 0)), ((obj_t) BgL_nodez00_3063));
							PROCEDURE_SET(BgL_zc3anonymousza33033ze3z83_5255,
								(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3068));
							BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
								(BgL_zc3anonymousza33033ze3z83_5255, BgL_conszd2approxzd2_3067);
				}}
				{
					BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5575;

					{
						obj_t BgL_auxz00_5576;

						{	/* Cfa/pair.scm 236 */
							BgL_objectz00_bglt BgL_auxz00_5577;

							BgL_auxz00_5577 = ((BgL_objectz00_bglt) BgL_nodez00_3063);
							BgL_auxz00_5576 = BGL_OBJECT_WIDENING(BgL_auxz00_5577);
						}
						BgL_auxz00_5575 =
							((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5576);
					}
					return
						(((BgL_conszd2setz12zd2appz12_bglt) CREF(BgL_auxz00_5575))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3033> */
	obj_t BGl_z62zc3anonymousza33033ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5267,
		obj_t BgL_appz00_5270)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 228 */
			{	/* Cfa/pair.scm 229 */
				BgL_appz00_bglt BgL_i1182z00_5268;
				BgL_approxz00_bglt BgL_valzd2approxzd2_5269;

				BgL_i1182z00_5268 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5267, (int) (((long) 0))));
				BgL_valzd2approxzd2_5269 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_5267, (int) (((long) 1))));
				{
					obj_t BgL_appz00_3073;

					BgL_appz00_3073 = BgL_appz00_5270;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3073,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 230 */
							BgL_appz00_bglt BgL_i1183z00_3076;

							BgL_i1183z00_3076 = ((BgL_appz00_bglt) BgL_appz00_3073);
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5592;

								{
									obj_t BgL_auxz00_5593;

									{	/* Cfa/pair.scm 231 */
										BgL_objectz00_bglt BgL_auxz00_5594;

										BgL_auxz00_5594 = ((BgL_objectz00_bglt) BgL_i1183z00_3076);
										BgL_auxz00_5593 = BGL_OBJECT_WIDENING(BgL_auxz00_5594);
									}
									BgL_auxz00_5592 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5593);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5592))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 232 */
								obj_t BgL_arg3035z00_3077;

								{	/* Cfa/pair.scm 232 */
									obj_t BgL_fun3037z00_3078;

									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5599;

										{
											obj_t BgL_auxz00_5600;

											{	/* Cfa/pair.scm 232 */
												BgL_objectz00_bglt BgL_auxz00_5601;

												BgL_auxz00_5601 =
													((BgL_objectz00_bglt) BgL_i1182z00_5268);
												BgL_auxz00_5600 = BGL_OBJECT_WIDENING(BgL_auxz00_5601);
											}
											BgL_auxz00_5599 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5600);
										}
										BgL_fun3037z00_3078 =
											(((BgL_conszd2setz12zd2appz12_bglt)
												CREF(BgL_auxz00_5599))->BgL_getz00);
									}
									{	/* Cfa/pair.scm 232 */
										obj_t BgL_arg3036z00_3079;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5606;

											{
												obj_t BgL_auxz00_5607;

												{	/* Cfa/pair.scm 232 */
													BgL_objectz00_bglt BgL_auxz00_5608;

													BgL_auxz00_5608 =
														((BgL_objectz00_bglt) BgL_i1183z00_3076);
													BgL_auxz00_5607 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5608);
												}
												BgL_auxz00_5606 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5607);
											}
											BgL_arg3036z00_3079 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5606))->
												BgL_approxesz00);
										}
										BgL_arg3035z00_3077 =
											PROCEDURE_ENTRY(BgL_fun3037z00_3078) (BgL_fun3037z00_3078,
											BgL_arg3036z00_3079, BEOA);
									}
								}
								return
									((obj_t)
									BGl_unionzd2approxz12zc0zzcfa_approxz00(
										((BgL_approxz00_bglt) BgL_arg3035z00_3077),
										BgL_valzd2approxzd2_5269));
							}
						}
					else
						{	/* Cfa/pair.scm 229 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-ref-app2928 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2refzd2app2928za2zzcfa_pairz00(obj_t
		BgL_envz00_5271, obj_t BgL_nodez00_5272)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 183 */
			{
				BgL_appz00_bglt BgL_nodez00_3037;

				BgL_nodez00_3037 = ((BgL_appz00_bglt) BgL_nodez00_5272);
				{	/* Cfa/pair.scm 185 */
					BgL_approxz00_bglt BgL_conszd2approxzd2_3041;

					{	/* Cfa/pair.scm 185 */
						obj_t BgL_arg3027z00_3060;

						{	/* Cfa/pair.scm 185 */
							obj_t BgL_pairz00_5208;

							BgL_pairz00_5208 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3037)))->BgL_argsz00);
							BgL_arg3027z00_3060 = CAR(BgL_pairz00_5208);
						}
						BgL_conszd2approxzd2_3041 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3027z00_3060));
					}
					if (
						(((BgL_approxz00_bglt) CREF(BgL_conszd2approxzd2_3041))->
							BgL_topzf3zf3))
						{	/* Cfa/pair.scm 191 */
							{	/* Cfa/pair.scm 192 */
								BgL_approxz00_bglt BgL_arg3013z00_3043;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5627;

									{
										obj_t BgL_auxz00_5628;

										{	/* Cfa/pair.scm 192 */
											BgL_objectz00_bglt BgL_auxz00_5629;

											BgL_auxz00_5629 = ((BgL_objectz00_bglt) BgL_nodez00_3037);
											BgL_auxz00_5628 = BGL_OBJECT_WIDENING(BgL_auxz00_5629);
										}
										BgL_auxz00_5627 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5628);
									}
									BgL_arg3013z00_3043 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5627))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2typez12z12zzcfa_approxz00
									(BgL_arg3013z00_3043,
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
							}
							{	/* Cfa/pair.scm 193 */
								BgL_approxz00_bglt BgL_arg3014z00_3044;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5636;

									{
										obj_t BgL_auxz00_5637;

										{	/* Cfa/pair.scm 193 */
											BgL_objectz00_bglt BgL_auxz00_5638;

											BgL_auxz00_5638 = ((BgL_objectz00_bglt) BgL_nodez00_3037);
											BgL_auxz00_5637 = BGL_OBJECT_WIDENING(BgL_auxz00_5638);
										}
										BgL_auxz00_5636 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5637);
									}
									BgL_arg3014z00_3044 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5636))->
										BgL_approxz00);
								}
								BGl_approxzd2setzd2topz12z12zzcfa_approxz00
									(BgL_arg3014z00_3044);
							}
						}
					else
						{	/* Cfa/pair.scm 191 */
							BFALSE;
						}
					{	/* Cfa/pair.scm 197 */
						obj_t BgL_zc3anonymousza33016ze3z83_5257;

						BgL_zc3anonymousza33016ze3z83_5257 =
							MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza33016ze3ze1zzcfa_pairz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33016ze3z83_5257,
							(int) (((long) 0)), ((obj_t) BgL_nodez00_3037));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3anonymousza33016ze3z83_5257, BgL_conszd2approxzd2_3041);
				}}
				{
					BgL_conszd2refzd2appz00_bglt BgL_auxz00_5651;

					{
						obj_t BgL_auxz00_5652;

						{	/* Cfa/pair.scm 207 */
							BgL_objectz00_bglt BgL_auxz00_5653;

							BgL_auxz00_5653 = ((BgL_objectz00_bglt) BgL_nodez00_3037);
							BgL_auxz00_5652 = BGL_OBJECT_WIDENING(BgL_auxz00_5653);
						}
						BgL_auxz00_5651 = ((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5652);
					}
					return
						(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5651))->
						BgL_approxz00);
				}
			}
		}
	}



/* &<anonymous:3016> */
	obj_t BGl_z62zc3anonymousza33016ze3ze1zzcfa_pairz00(obj_t BgL_envz00_5273,
		obj_t BgL_appz00_5275)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 196 */
			{	/* Cfa/pair.scm 197 */
				BgL_appz00_bglt BgL_i1180z00_5274;

				BgL_i1180z00_5274 =
					((BgL_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_5273, (int) (((long) 0))));
				{
					obj_t BgL_appz00_3046;

					BgL_appz00_3046 = BgL_appz00_5275;
					if (BGl_isazf3zf3zz__objectz00(BgL_appz00_3046,
							BGl_conszd2appzd2zzcfa_info2z00))
						{	/* Cfa/pair.scm 198 */
							BgL_appz00_bglt BgL_i1181z00_3049;

							BgL_i1181z00_3049 = ((BgL_appz00_bglt) BgL_appz00_3046);
							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5665;

								{
									obj_t BgL_auxz00_5666;

									{	/* Cfa/pair.scm 199 */
										BgL_objectz00_bglt BgL_auxz00_5667;

										BgL_auxz00_5667 = ((BgL_objectz00_bglt) BgL_i1181z00_3049);
										BgL_auxz00_5666 = BGL_OBJECT_WIDENING(BgL_auxz00_5667);
									}
									BgL_auxz00_5665 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5666);
								}
								((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5665))->
										BgL_seenzf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
							}
							{	/* Cfa/pair.scm 202 */
								BgL_approxz00_bglt BgL_arg3018z00_3050;
								obj_t BgL_arg3019z00_3051;

								{
									BgL_conszd2refzd2appz00_bglt BgL_auxz00_5672;

									{
										obj_t BgL_auxz00_5673;

										{	/* Cfa/pair.scm 202 */
											BgL_objectz00_bglt BgL_auxz00_5674;

											BgL_auxz00_5674 =
												((BgL_objectz00_bglt) BgL_i1180z00_5274);
											BgL_auxz00_5673 = BGL_OBJECT_WIDENING(BgL_auxz00_5674);
										}
										BgL_auxz00_5672 =
											((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5673);
									}
									BgL_arg3018z00_3050 =
										(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5672))->
										BgL_approxz00);
								}
								{	/* Cfa/pair.scm 202 */
									obj_t BgL_fun3021z00_3052;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5679;

										{
											obj_t BgL_auxz00_5680;

											{	/* Cfa/pair.scm 202 */
												BgL_objectz00_bglt BgL_auxz00_5681;

												BgL_auxz00_5681 =
													((BgL_objectz00_bglt) BgL_i1180z00_5274);
												BgL_auxz00_5680 = BGL_OBJECT_WIDENING(BgL_auxz00_5681);
											}
											BgL_auxz00_5679 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5680);
										}
										BgL_fun3021z00_3052 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5679))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 202 */
										obj_t BgL_arg3020z00_3053;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5686;

											{
												obj_t BgL_auxz00_5687;

												{	/* Cfa/pair.scm 202 */
													BgL_objectz00_bglt BgL_auxz00_5688;

													BgL_auxz00_5688 =
														((BgL_objectz00_bglt) BgL_i1181z00_3049);
													BgL_auxz00_5687 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5688);
												}
												BgL_auxz00_5686 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5687);
											}
											BgL_arg3020z00_3053 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5686))->
												BgL_approxesz00);
										}
										BgL_arg3019z00_3051 =
											PROCEDURE_ENTRY(BgL_fun3021z00_3052) (BgL_fun3021z00_3052,
											BgL_arg3020z00_3053, BEOA);
									}
								}
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg3018z00_3050,
									((BgL_approxz00_bglt) BgL_arg3019z00_3051));
							}
							{	/* Cfa/pair.scm 203 */
								obj_t BgL_arg3022z00_3054;
								BgL_typez00_bglt BgL_arg3023z00_3055;

								{	/* Cfa/pair.scm 203 */
									obj_t BgL_fun3025z00_3056;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5699;

										{
											obj_t BgL_auxz00_5700;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5701;

												BgL_auxz00_5701 =
													((BgL_objectz00_bglt) BgL_i1180z00_5274);
												BgL_auxz00_5700 = BGL_OBJECT_WIDENING(BgL_auxz00_5701);
											}
											BgL_auxz00_5699 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5700);
										}
										BgL_fun3025z00_3056 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5699))->
											BgL_getz00);
									}
									{	/* Cfa/pair.scm 203 */
										obj_t BgL_arg3024z00_3057;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5706;

											{
												obj_t BgL_auxz00_5707;

												{	/* Cfa/pair.scm 203 */
													BgL_objectz00_bglt BgL_auxz00_5708;

													BgL_auxz00_5708 =
														((BgL_objectz00_bglt) BgL_i1181z00_3049);
													BgL_auxz00_5707 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5708);
												}
												BgL_auxz00_5706 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5707);
											}
											BgL_arg3024z00_3057 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5706))->
												BgL_approxesz00);
										}
										BgL_arg3022z00_3054 =
											PROCEDURE_ENTRY(BgL_fun3025z00_3056) (BgL_fun3025z00_3056,
											BgL_arg3024z00_3057, BEOA);
									}
								}
								{
									BgL_approxz00_bglt BgL_auxz00_5717;

									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5718;

										{
											obj_t BgL_auxz00_5719;

											{	/* Cfa/pair.scm 203 */
												BgL_objectz00_bglt BgL_auxz00_5720;

												BgL_auxz00_5720 =
													((BgL_objectz00_bglt) BgL_i1180z00_5274);
												BgL_auxz00_5719 = BGL_OBJECT_WIDENING(BgL_auxz00_5720);
											}
											BgL_auxz00_5718 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5719);
										}
										BgL_auxz00_5717 =
											(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5718))->
											BgL_approxz00);
									}
									BgL_arg3023z00_3055 =
										(((BgL_approxz00_bglt) CREF(BgL_auxz00_5717))->BgL_typez00);
								}
								return
									BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
									((BgL_approxz00_bglt) BgL_arg3022z00_3054),
									BgL_arg3023z00_3055);
							}
						}
					else
						{	/* Cfa/pair.scm 197 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cfa!-cons-app2926 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2conszd2app2926z70zzcfa_pairz00(obj_t
		BgL_envz00_5276, obj_t BgL_nodez00_5277)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 159 */
			{
				BgL_appz00_bglt BgL_nodez00_3010;

				BgL_nodez00_3010 = ((BgL_appz00_bglt) BgL_nodez00_5277);
				{	/* Cfa/pair.scm 162 */
					BgL_approxz00_bglt BgL_caraz00_3014;
					BgL_approxz00_bglt BgL_cdraz00_3015;

					{	/* Cfa/pair.scm 162 */
						obj_t BgL_arg3008z00_3032;

						{	/* Cfa/pair.scm 162 */
							obj_t BgL_pairz00_5191;

							BgL_pairz00_5191 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3010)))->BgL_argsz00);
							BgL_arg3008z00_3032 = CAR(BgL_pairz00_5191);
						}
						BgL_caraz00_3014 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3008z00_3032));
					}
					{	/* Cfa/pair.scm 163 */
						obj_t BgL_arg3010z00_3034;

						{	/* Cfa/pair.scm 163 */
							obj_t BgL_pairz00_5192;

							BgL_pairz00_5192 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3010)))->BgL_argsz00);
							BgL_arg3010z00_3034 = CAR(CDR(BgL_pairz00_5192));
						}
						BgL_cdraz00_3015 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg3010z00_3034));
					}
					{	/* Cfa/pair.scm 164 */
						obj_t BgL_arg2990z00_3016;

						{	/* Cfa/pair.scm 164 */
							obj_t BgL_auxz00_5739;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5740;

								{
									obj_t BgL_auxz00_5741;

									{	/* Cfa/pair.scm 164 */
										BgL_objectz00_bglt BgL_auxz00_5742;

										BgL_auxz00_5742 = ((BgL_objectz00_bglt) BgL_nodez00_3010);
										BgL_auxz00_5741 = BGL_OBJECT_WIDENING(BgL_auxz00_5742);
									}
									BgL_auxz00_5740 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5741);
								}
								BgL_auxz00_5739 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5740))->
									BgL_approxesz00);
							}
							BgL_arg2990z00_3016 = CAR(BgL_auxz00_5739);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg2990z00_3016), BgL_caraz00_3014);
					}
					{	/* Cfa/pair.scm 165 */
						obj_t BgL_arg2992z00_3018;

						{	/* Cfa/pair.scm 165 */
							obj_t BgL_auxz00_5750;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5751;

								{
									obj_t BgL_auxz00_5752;

									{	/* Cfa/pair.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_5753;

										BgL_auxz00_5753 = ((BgL_objectz00_bglt) BgL_nodez00_3010);
										BgL_auxz00_5752 = BGL_OBJECT_WIDENING(BgL_auxz00_5753);
									}
									BgL_auxz00_5751 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5752);
								}
								BgL_auxz00_5750 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5751))->
									BgL_approxesz00);
							}
							BgL_arg2992z00_3018 = CDR(BgL_auxz00_5750);
						}
						BGl_unionzd2approxz12zc0zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg2992z00_3018), BgL_cdraz00_3015);
					}
					{	/* Cfa/pair.scm 172 */
						obj_t BgL_arg2994z00_3020;
						BgL_typez00_bglt BgL_arg2995z00_3021;

						{	/* Cfa/pair.scm 172 */
							obj_t BgL_auxz00_5761;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5762;

								{
									obj_t BgL_auxz00_5763;

									{	/* Cfa/pair.scm 172 */
										BgL_objectz00_bglt BgL_auxz00_5764;

										BgL_auxz00_5764 = ((BgL_objectz00_bglt) BgL_nodez00_3010);
										BgL_auxz00_5763 = BGL_OBJECT_WIDENING(BgL_auxz00_5764);
									}
									BgL_auxz00_5762 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5763);
								}
								BgL_auxz00_5761 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5762))->
									BgL_approxesz00);
							}
							BgL_arg2994z00_3020 = CAR(BgL_auxz00_5761);
						}
						{	/* Cfa/pair.scm 173 */
							BgL_typez00_bglt BgL_arg2997z00_3023;

							{
								BgL_approxz00_bglt BgL_auxz00_5770;

								{
									obj_t BgL_auxz00_5771;

									{	/* Cfa/pair.scm 173 */
										obj_t BgL_auxz00_5772;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5773;

											{
												obj_t BgL_auxz00_5774;

												{	/* Cfa/pair.scm 173 */
													BgL_objectz00_bglt BgL_auxz00_5775;

													BgL_auxz00_5775 =
														((BgL_objectz00_bglt) BgL_nodez00_3010);
													BgL_auxz00_5774 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5775);
												}
												BgL_auxz00_5773 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5774);
											}
											BgL_auxz00_5772 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5773))->
												BgL_approxesz00);
										}
										BgL_auxz00_5771 = CAR(BgL_auxz00_5772);
									}
									BgL_auxz00_5770 = ((BgL_approxz00_bglt) BgL_auxz00_5771);
								}
								BgL_arg2997z00_3023 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_5770))->BgL_typez00);
							}
							BgL_arg2995z00_3021 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg2997z00_3023);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg2994z00_3020), BgL_arg2995z00_3021);
					}
					{	/* Cfa/pair.scm 174 */
						obj_t BgL_arg3001z00_3026;
						BgL_typez00_bglt BgL_arg3002z00_3027;

						{	/* Cfa/pair.scm 174 */
							obj_t BgL_auxz00_5786;

							{
								BgL_conszd2appzd2_bglt BgL_auxz00_5787;

								{
									obj_t BgL_auxz00_5788;

									{	/* Cfa/pair.scm 174 */
										BgL_objectz00_bglt BgL_auxz00_5789;

										BgL_auxz00_5789 = ((BgL_objectz00_bglt) BgL_nodez00_3010);
										BgL_auxz00_5788 = BGL_OBJECT_WIDENING(BgL_auxz00_5789);
									}
									BgL_auxz00_5787 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5788);
								}
								BgL_auxz00_5786 =
									(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5787))->
									BgL_approxesz00);
							}
							BgL_arg3001z00_3026 = CDR(BgL_auxz00_5786);
						}
						{	/* Cfa/pair.scm 175 */
							BgL_typez00_bglt BgL_arg3004z00_3029;

							{
								BgL_approxz00_bglt BgL_auxz00_5795;

								{
									obj_t BgL_auxz00_5796;

									{	/* Cfa/pair.scm 175 */
										obj_t BgL_auxz00_5797;

										{
											BgL_conszd2appzd2_bglt BgL_auxz00_5798;

											{
												obj_t BgL_auxz00_5799;

												{	/* Cfa/pair.scm 175 */
													BgL_objectz00_bglt BgL_auxz00_5800;

													BgL_auxz00_5800 =
														((BgL_objectz00_bglt) BgL_nodez00_3010);
													BgL_auxz00_5799 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5800);
												}
												BgL_auxz00_5798 =
													((BgL_conszd2appzd2_bglt) BgL_auxz00_5799);
											}
											BgL_auxz00_5797 =
												(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5798))->
												BgL_approxesz00);
										}
										BgL_auxz00_5796 = CDR(BgL_auxz00_5797);
									}
									BgL_auxz00_5795 = ((BgL_approxz00_bglt) BgL_auxz00_5796);
								}
								BgL_arg3004z00_3029 =
									(((BgL_approxz00_bglt) CREF(BgL_auxz00_5795))->BgL_typez00);
							}
							BgL_arg3002z00_3027 =
								BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_arg3004z00_3029);
						}
						BGl_approxzd2setzd2typez12z12zzcfa_approxz00(
							((BgL_approxz00_bglt) BgL_arg3001z00_3026), BgL_arg3002z00_3027);
					}
					{
						BgL_conszd2appzd2_bglt BgL_auxz00_5811;

						{
							obj_t BgL_auxz00_5812;

							{	/* Cfa/pair.scm 178 */
								BgL_objectz00_bglt BgL_auxz00_5813;

								BgL_auxz00_5813 = ((BgL_objectz00_bglt) BgL_nodez00_3010);
								BgL_auxz00_5812 = BGL_OBJECT_WIDENING(BgL_auxz00_5813);
							}
							BgL_auxz00_5811 = ((BgL_conszd2appzd2_bglt) BgL_auxz00_5812);
						}
						return
							(((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5811))->BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2924 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2924za2zzcfa_pairz00(obj_t
		BgL_envz00_5278, obj_t BgL_nodez00_5279)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 147 */
			{
				BgL_appz00_bglt BgL_nodez00_2993;

				BgL_nodez00_2993 = ((BgL_appz00_bglt) BgL_nodez00_5279);
				{	/* Cfa/pair.scm 149 */
					obj_t BgL_arg2985z00_2997;

					BgL_arg2985z00_2997 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2993)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2985z00_2997);
				}
				{	/* Cfa/pair.scm 150 */
					obj_t BgL_cgetz00_2998;

					{
						BgL_prezd2conszd2setz12zd2appzc0_bglt BgL_auxz00_5822;

						{
							obj_t BgL_auxz00_5823;

							{	/* Cfa/pair.scm 150 */
								BgL_objectz00_bglt BgL_auxz00_5824;

								BgL_auxz00_5824 = ((BgL_objectz00_bglt) BgL_nodez00_2993);
								BgL_auxz00_5823 = BGL_OBJECT_WIDENING(BgL_auxz00_5824);
							}
							BgL_auxz00_5822 =
								((BgL_prezd2conszd2setz12zd2appzc0_bglt) BgL_auxz00_5823);
						}
						BgL_cgetz00_2998 =
							(((BgL_prezd2conszd2setz12zd2appzc0_bglt) CREF(BgL_auxz00_5822))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 150 */
						BgL_appz00_bglt BgL_nodez00_2999;

						{	/* Cfa/pair.scm 151 */
							long BgL_arg2987z00_3006;

							{	/* Cfa/pair.scm 151 */
								obj_t BgL_arg2988z00_3007;

								{	/* Cfa/pair.scm 151 */
									obj_t BgL_arg2989z00_3008;

									{	/* Cfa/pair.scm 151 */
										BgL_objectz00_bglt BgL_objectz00_5169;

										BgL_objectz00_5169 =
											((BgL_objectz00_bglt) BgL_nodez00_2993);
										{	/* Cfa/pair.scm 151 */
											long BgL_arg1825z00_5170;

											{	/* Cfa/pair.scm 151 */
												long BgL_arg1826z00_5171;

												{	/* Cfa/pair.scm 151 */
													long BgL_res3261z00_5173;

													BgL_res3261z00_5173 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5169);
													BgL_arg1826z00_5171 = BgL_res3261z00_5173;
												}
												BgL_arg1825z00_5170 =
													(BgL_arg1826z00_5171 - OBJECT_TYPE);
											}
											BgL_arg2989z00_3008 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1825z00_5170));
									}}
									BgL_arg2988z00_3007 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg2989z00_3008);
								}
								{	/* Cfa/pair.scm 151 */
									long BgL_res3263z00_5182;

									{	/* Cfa/pair.scm 151 */
										obj_t BgL_classz00_5179;

										BgL_classz00_5179 = BgL_arg2988z00_3007;
										{	/* Cfa/pair.scm 151 */
											obj_t BgL_vectorz00_5180;
											int BgL_kz00_5181;

											BgL_vectorz00_5180 = BgL_classz00_5179;
											BgL_kz00_5181 = (int) (((long) 1));
											BgL_res3263z00_5182 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_5180,
													BgL_kz00_5181));
									}}
									BgL_arg2987z00_3006 = BgL_res3263z00_5182;
							}}
							{	/* Cfa/pair.scm 151 */
								BgL_objectz00_bglt BgL_objz00_5183;

								BgL_objz00_5183 = ((BgL_objectz00_bglt) BgL_nodez00_2993);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5183, BgL_arg2987z00_3006);
						}}
						{	/* Cfa/pair.scm 151 */
							BgL_objectz00_bglt BgL_auxz00_5840;

							BgL_auxz00_5840 = ((BgL_objectz00_bglt) BgL_nodez00_2993);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5840, BFALSE);
						}
						BgL_nodez00_2999 = BgL_nodez00_2993;
						{	/* Cfa/pair.scm 151 */

							{	/* Cfa/pair.scm 152 */
								BgL_appz00_bglt BgL_tmp1175z00_3000;

								BgL_tmp1175z00_3000 = ((BgL_appz00_bglt) BgL_nodez00_2999);
								{	/* Cfa/pair.scm 152 */
									BgL_appz00_bglt BgL_tmp1176z00_3001;
									BgL_conszd2setz12zd2appz12_bglt BgL_wide1177z00_3002;

									BgL_tmp1176z00_3001 = ((BgL_appz00_bglt) BgL_tmp1175z00_3000);
									BgL_wide1177z00_3002 =
										((BgL_conszd2setz12zd2appz12_bglt)
										BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2setz12zd2appz12_bgl))));
									{	/* Cfa/pair.scm 152 */
										obj_t BgL_auxz00_5848;
										BgL_objectz00_bglt BgL_auxz00_5846;

										BgL_auxz00_5848 = ((obj_t) BgL_wide1177z00_3002);
										BgL_auxz00_5846 =
											((BgL_objectz00_bglt) BgL_tmp1176z00_3001);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5846, BgL_auxz00_5848);
									}
									{	/* Cfa/pair.scm 152 */
										long BgL_arg2986z00_3003;

										{	/* Cfa/pair.scm 152 */
											long BgL_res3264z00_5188;

											{	/* Cfa/pair.scm 152 */
												obj_t BgL_classz00_5185;

												BgL_classz00_5185 =
													BGl_conszd2setz12zd2appz12zzcfa_info2z00;
												{	/* Cfa/pair.scm 152 */
													obj_t BgL_vectorz00_5186;
													int BgL_kz00_5187;

													BgL_vectorz00_5186 = BgL_classz00_5185;
													BgL_kz00_5187 = (int) (((long) 1));
													BgL_res3264z00_5188 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5186,
															BgL_kz00_5187));
											}}
											BgL_arg2986z00_3003 = BgL_res3264z00_5188;
										}
										{	/* Cfa/pair.scm 152 */
											BgL_objectz00_bglt BgL_objz00_5189;

											BgL_objz00_5189 =
												((BgL_objectz00_bglt) BgL_tmp1176z00_3001);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5189,
													BgL_arg2986z00_3003));
									}} BgL_tmp1176z00_3001;
								}
								{	/* Cfa/pair.scm 152 */
									BgL_appz00_bglt BgL_new1178z00_3004;

									BgL_new1178z00_3004 = ((BgL_appz00_bglt) BgL_tmp1175z00_3000);
									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5858;

										{
											obj_t BgL_auxz00_5859;

											{	/* Cfa/pair.scm 152 */
												BgL_objectz00_bglt BgL_auxz00_5860;

												BgL_auxz00_5860 =
													((BgL_objectz00_bglt) BgL_new1178z00_3004);
												BgL_auxz00_5859 = BGL_OBJECT_WIDENING(BgL_auxz00_5860);
											}
											BgL_auxz00_5858 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5859);
										}
										((((BgL_conszd2setz12zd2appz12_bglt)
													CREF(BgL_auxz00_5858))->BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2typezd2approxz00zzcfa_approxz00((
														(BgL_typez00_bglt)
														BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
									}
									{
										BgL_conszd2setz12zd2appz12_bglt BgL_auxz00_5867;

										{
											obj_t BgL_auxz00_5868;

											{	/* Cfa/pair.scm 152 */
												BgL_objectz00_bglt BgL_auxz00_5869;

												BgL_auxz00_5869 =
													((BgL_objectz00_bglt) BgL_new1178z00_3004);
												BgL_auxz00_5868 = BGL_OBJECT_WIDENING(BgL_auxz00_5869);
											}
											BgL_auxz00_5867 =
												((BgL_conszd2setz12zd2appz12_bglt) BgL_auxz00_5868);
										}
										((((BgL_conszd2setz12zd2appz12_bglt)
													CREF(BgL_auxz00_5867))->BgL_getz00) =
											((obj_t) BgL_cgetz00_2998), BUNSPEC);
									}
									return ((obj_t) BgL_new1178z00_3004);
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2922 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2922za2zzcfa_pairz00(obj_t
		BgL_envz00_5280, obj_t BgL_nodez00_5281)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 134 */
			{
				BgL_appz00_bglt BgL_nodez00_2976;

				BgL_nodez00_2976 = ((BgL_appz00_bglt) BgL_nodez00_5281);
				{	/* Cfa/pair.scm 137 */
					obj_t BgL_arg2980z00_2980;

					BgL_arg2980z00_2980 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2976)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2980z00_2980);
				}
				{	/* Cfa/pair.scm 138 */
					obj_t BgL_cgetz00_2981;

					{
						BgL_prezd2conszd2refzd2appzd2_bglt BgL_auxz00_5879;

						{
							obj_t BgL_auxz00_5880;

							{	/* Cfa/pair.scm 138 */
								BgL_objectz00_bglt BgL_auxz00_5881;

								BgL_auxz00_5881 = ((BgL_objectz00_bglt) BgL_nodez00_2976);
								BgL_auxz00_5880 = BGL_OBJECT_WIDENING(BgL_auxz00_5881);
							}
							BgL_auxz00_5879 =
								((BgL_prezd2conszd2refzd2appzd2_bglt) BgL_auxz00_5880);
						}
						BgL_cgetz00_2981 =
							(((BgL_prezd2conszd2refzd2appzd2_bglt) CREF(BgL_auxz00_5879))->
							BgL_getz00);
					}
					{	/* Cfa/pair.scm 138 */
						BgL_appz00_bglt BgL_nodez00_2982;

						{	/* Cfa/pair.scm 139 */
							long BgL_arg2982z00_2989;

							{	/* Cfa/pair.scm 139 */
								obj_t BgL_arg2983z00_2990;

								{	/* Cfa/pair.scm 139 */
									obj_t BgL_arg2984z00_2991;

									{	/* Cfa/pair.scm 139 */
										BgL_objectz00_bglt BgL_objectz00_5147;

										BgL_objectz00_5147 =
											((BgL_objectz00_bglt) BgL_nodez00_2976);
										{	/* Cfa/pair.scm 139 */
											long BgL_arg1825z00_5148;

											{	/* Cfa/pair.scm 139 */
												long BgL_arg1826z00_5149;

												{	/* Cfa/pair.scm 139 */
													long BgL_res3257z00_5151;

													BgL_res3257z00_5151 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5147);
													BgL_arg1826z00_5149 = BgL_res3257z00_5151;
												}
												BgL_arg1825z00_5148 =
													(BgL_arg1826z00_5149 - OBJECT_TYPE);
											}
											BgL_arg2984z00_2991 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1825z00_5148));
									}}
									BgL_arg2983z00_2990 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg2984z00_2991);
								}
								{	/* Cfa/pair.scm 139 */
									long BgL_res3259z00_5160;

									{	/* Cfa/pair.scm 139 */
										obj_t BgL_classz00_5157;

										BgL_classz00_5157 = BgL_arg2983z00_2990;
										{	/* Cfa/pair.scm 139 */
											obj_t BgL_vectorz00_5158;
											int BgL_kz00_5159;

											BgL_vectorz00_5158 = BgL_classz00_5157;
											BgL_kz00_5159 = (int) (((long) 1));
											BgL_res3259z00_5160 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_5158,
													BgL_kz00_5159));
									}}
									BgL_arg2982z00_2989 = BgL_res3259z00_5160;
							}}
							{	/* Cfa/pair.scm 139 */
								BgL_objectz00_bglt BgL_objz00_5161;

								BgL_objz00_5161 = ((BgL_objectz00_bglt) BgL_nodez00_2976);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5161, BgL_arg2982z00_2989);
						}}
						{	/* Cfa/pair.scm 139 */
							BgL_objectz00_bglt BgL_auxz00_5897;

							BgL_auxz00_5897 = ((BgL_objectz00_bglt) BgL_nodez00_2976);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5897, BFALSE);
						}
						BgL_nodez00_2982 = BgL_nodez00_2976;
						{	/* Cfa/pair.scm 139 */

							{	/* Cfa/pair.scm 140 */
								BgL_appz00_bglt BgL_tmp1169z00_2983;

								BgL_tmp1169z00_2983 = ((BgL_appz00_bglt) BgL_nodez00_2982);
								{	/* Cfa/pair.scm 140 */
									BgL_appz00_bglt BgL_tmp1170z00_2984;
									BgL_conszd2refzd2appz00_bglt BgL_wide1171z00_2985;

									BgL_tmp1170z00_2984 = ((BgL_appz00_bglt) BgL_tmp1169z00_2983);
									BgL_wide1171z00_2985 =
										((BgL_conszd2refzd2appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2refzd2appz00_bgl))));
									{	/* Cfa/pair.scm 140 */
										obj_t BgL_auxz00_5905;
										BgL_objectz00_bglt BgL_auxz00_5903;

										BgL_auxz00_5905 = ((obj_t) BgL_wide1171z00_2985);
										BgL_auxz00_5903 =
											((BgL_objectz00_bglt) BgL_tmp1170z00_2984);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5903, BgL_auxz00_5905);
									}
									{	/* Cfa/pair.scm 140 */
										long BgL_arg2981z00_2986;

										{	/* Cfa/pair.scm 140 */
											long BgL_res3260z00_5166;

											{	/* Cfa/pair.scm 140 */
												obj_t BgL_classz00_5163;

												BgL_classz00_5163 =
													BGl_conszd2refzd2appz00zzcfa_info2z00;
												{	/* Cfa/pair.scm 140 */
													obj_t BgL_vectorz00_5164;
													int BgL_kz00_5165;

													BgL_vectorz00_5164 = BgL_classz00_5163;
													BgL_kz00_5165 = (int) (((long) 1));
													BgL_res3260z00_5166 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5164,
															BgL_kz00_5165));
											}}
											BgL_arg2981z00_2986 = BgL_res3260z00_5166;
										}
										{	/* Cfa/pair.scm 140 */
											BgL_objectz00_bglt BgL_objz00_5167;

											BgL_objz00_5167 =
												((BgL_objectz00_bglt) BgL_tmp1170z00_2984);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5167,
													BgL_arg2981z00_2986));
									}} BgL_tmp1170z00_2984;
								}
								{	/* Cfa/pair.scm 140 */
									BgL_appz00_bglt BgL_new1172z00_2987;

									BgL_new1172z00_2987 = ((BgL_appz00_bglt) BgL_tmp1169z00_2983);
									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5915;

										{
											obj_t BgL_auxz00_5916;

											{	/* Cfa/pair.scm 140 */
												BgL_objectz00_bglt BgL_auxz00_5917;

												BgL_auxz00_5917 =
													((BgL_objectz00_bglt) BgL_new1172z00_2987);
												BgL_auxz00_5916 = BGL_OBJECT_WIDENING(BgL_auxz00_5917);
											}
											BgL_auxz00_5915 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5916);
										}
										((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5915))->
												BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
											BUNSPEC);
									}
									{
										BgL_conszd2refzd2appz00_bglt BgL_auxz00_5923;

										{
											obj_t BgL_auxz00_5924;

											{	/* Cfa/pair.scm 140 */
												BgL_objectz00_bglt BgL_auxz00_5925;

												BgL_auxz00_5925 =
													((BgL_objectz00_bglt) BgL_new1172z00_2987);
												BgL_auxz00_5924 = BGL_OBJECT_WIDENING(BgL_auxz00_5925);
											}
											BgL_auxz00_5923 =
												((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_5924);
										}
										((((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_5923))->
												BgL_getz00) = ((obj_t) BgL_cgetz00_2981), BUNSPEC);
									}
									return ((obj_t) BgL_new1172z00_2987);
								}
							}
						}
					}
				}
			}
		}
	}



/* &node-setup!-pre-cons2920 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2cons2920za2zzcfa_pairz00(obj_t
		BgL_envz00_5282, obj_t BgL_nodez00_5283)
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 119 */
			{
				BgL_appz00_bglt BgL_nodez00_2955;

				BgL_nodez00_2955 = ((BgL_appz00_bglt) BgL_nodez00_5283);
				{	/* Cfa/pair.scm 121 */
					obj_t BgL_arg2972z00_2959;

					BgL_arg2972z00_2959 =
						(((BgL_appz00_bglt) CREF(
								((BgL_appz00_bglt) BgL_nodez00_2955)))->BgL_argsz00);
					BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2972z00_2959);
				}
				{	/* Cfa/pair.scm 122 */
					BgL_variablez00_bglt BgL_ownerz00_2960;

					{
						BgL_prezd2conszd2appz00_bglt BgL_auxz00_5935;

						{
							obj_t BgL_auxz00_5936;

							{	/* Cfa/pair.scm 122 */
								BgL_objectz00_bglt BgL_auxz00_5937;

								BgL_auxz00_5937 = ((BgL_objectz00_bglt) BgL_nodez00_2955);
								BgL_auxz00_5936 = BGL_OBJECT_WIDENING(BgL_auxz00_5937);
							}
							BgL_auxz00_5935 =
								((BgL_prezd2conszd2appz00_bglt) BgL_auxz00_5936);
						}
						BgL_ownerz00_2960 =
							(((BgL_prezd2conszd2appz00_bglt) CREF(BgL_auxz00_5935))->
							BgL_ownerz00);
					}
					{	/* Cfa/pair.scm 122 */
						BgL_appz00_bglt BgL_nodez00_2961;

						{	/* Cfa/pair.scm 123 */
							long BgL_arg2977z00_2972;

							{	/* Cfa/pair.scm 123 */
								obj_t BgL_arg2978z00_2973;

								{	/* Cfa/pair.scm 123 */
									obj_t BgL_arg2979z00_2974;

									{	/* Cfa/pair.scm 123 */
										BgL_objectz00_bglt BgL_objectz00_5122;

										BgL_objectz00_5122 =
											((BgL_objectz00_bglt) BgL_nodez00_2955);
										{	/* Cfa/pair.scm 123 */
											long BgL_arg1825z00_5123;

											{	/* Cfa/pair.scm 123 */
												long BgL_arg1826z00_5124;

												{	/* Cfa/pair.scm 123 */
													long BgL_res3253z00_5126;

													BgL_res3253z00_5126 =
														BGL_OBJECT_CLASS_NUM(BgL_objectz00_5122);
													BgL_arg1826z00_5124 = BgL_res3253z00_5126;
												}
												BgL_arg1825z00_5123 =
													(BgL_arg1826z00_5124 - OBJECT_TYPE);
											}
											BgL_arg2979z00_2974 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												(int) (BgL_arg1825z00_5123));
									}}
									BgL_arg2978z00_2973 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg2979z00_2974);
								}
								{	/* Cfa/pair.scm 123 */
									long BgL_res3255z00_5135;

									{	/* Cfa/pair.scm 123 */
										obj_t BgL_classz00_5132;

										BgL_classz00_5132 = BgL_arg2978z00_2973;
										{	/* Cfa/pair.scm 123 */
											obj_t BgL_vectorz00_5133;
											int BgL_kz00_5134;

											BgL_vectorz00_5133 = BgL_classz00_5132;
											BgL_kz00_5134 = (int) (((long) 1));
											BgL_res3255z00_5135 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_5133,
													BgL_kz00_5134));
									}}
									BgL_arg2977z00_2972 = BgL_res3255z00_5135;
							}}
							{	/* Cfa/pair.scm 123 */
								BgL_objectz00_bglt BgL_objz00_5136;

								BgL_objz00_5136 = ((BgL_objectz00_bglt) BgL_nodez00_2955);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5136, BgL_arg2977z00_2972);
						}}
						{	/* Cfa/pair.scm 123 */
							BgL_objectz00_bglt BgL_auxz00_5953;

							BgL_auxz00_5953 = ((BgL_objectz00_bglt) BgL_nodez00_2955);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5953, BFALSE);
						}
						BgL_nodez00_2961 = BgL_nodez00_2955;
						{	/* Cfa/pair.scm 123 */
							BgL_appz00_bglt BgL_wnodez00_2962;

							{	/* Cfa/pair.scm 124 */
								BgL_appz00_bglt BgL_tmp1163z00_2964;

								BgL_tmp1163z00_2964 = ((BgL_appz00_bglt) BgL_nodez00_2961);
								{	/* Cfa/pair.scm 124 */
									BgL_appz00_bglt BgL_tmp1164z00_2965;
									BgL_conszd2appzd2_bglt BgL_wide1165z00_2966;

									BgL_tmp1164z00_2965 = ((BgL_appz00_bglt) BgL_tmp1163z00_2964);
									BgL_wide1165z00_2966 =
										((BgL_conszd2appzd2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_conszd2appzd2_bgl))));
									{	/* Cfa/pair.scm 124 */
										obj_t BgL_auxz00_5961;
										BgL_objectz00_bglt BgL_auxz00_5959;

										BgL_auxz00_5961 = ((obj_t) BgL_wide1165z00_2966);
										BgL_auxz00_5959 =
											((BgL_objectz00_bglt) BgL_tmp1164z00_2965);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5959, BgL_auxz00_5961);
									}
									{	/* Cfa/pair.scm 124 */
										long BgL_arg2974z00_2967;

										{	/* Cfa/pair.scm 124 */
											long BgL_res3256z00_5141;

											{	/* Cfa/pair.scm 124 */
												obj_t BgL_classz00_5138;

												BgL_classz00_5138 = BGl_conszd2appzd2zzcfa_info2z00;
												{	/* Cfa/pair.scm 124 */
													obj_t BgL_vectorz00_5139;
													int BgL_kz00_5140;

													BgL_vectorz00_5139 = BgL_classz00_5138;
													BgL_kz00_5140 = (int) (((long) 1));
													BgL_res3256z00_5141 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_5139,
															BgL_kz00_5140));
											}}
											BgL_arg2974z00_2967 = BgL_res3256z00_5141;
										}
										{	/* Cfa/pair.scm 124 */
											BgL_objectz00_bglt BgL_objz00_5142;

											BgL_objz00_5142 =
												((BgL_objectz00_bglt) BgL_tmp1164z00_2965);
											((BgL_appz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5142,
													BgL_arg2974z00_2967));
									}} BgL_tmp1164z00_2965;
								}
								{	/* Cfa/pair.scm 124 */
									BgL_appz00_bglt BgL_new1166z00_2968;

									BgL_new1166z00_2968 = ((BgL_appz00_bglt) BgL_tmp1163z00_2964);
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5971;

										{
											obj_t BgL_auxz00_5972;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_5973;

												BgL_auxz00_5973 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_5972 = BGL_OBJECT_WIDENING(BgL_auxz00_5973);
											}
											BgL_auxz00_5971 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5972);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5971))->
												BgL_approxz00) =
											((BgL_approxz00_bglt)
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00()),
											BUNSPEC);
									}
									{
										obj_t BgL_auxz00_5985;
										BgL_conszd2appzd2_bglt BgL_auxz00_5979;

										{	/* Cfa/pair.scm 126 */
											BgL_approxz00_bglt BgL_arg2975z00_2969;
											BgL_approxz00_bglt BgL_arg2976z00_2970;

											BgL_arg2975z00_2969 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
											BgL_arg2976z00_2970 =
												BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
											BgL_auxz00_5985 =
												MAKE_PAIR(
												((obj_t) BgL_arg2975z00_2969),
												((obj_t) BgL_arg2976z00_2970));
										}
										{
											obj_t BgL_auxz00_5980;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_5981;

												BgL_auxz00_5981 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_5980 = BGL_OBJECT_WIDENING(BgL_auxz00_5981);
											}
											BgL_auxz00_5979 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5980);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5979))->
												BgL_approxesz00) = ((obj_t) BgL_auxz00_5985), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5992;

										{
											obj_t BgL_auxz00_5993;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_5994;

												BgL_auxz00_5994 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_5993 = BGL_OBJECT_WIDENING(BgL_auxz00_5994);
											}
											BgL_auxz00_5992 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_5993);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5992))->
												BgL_lostzd2stampzd2) = ((long) ((long) -1)), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_5999;

										{
											obj_t BgL_auxz00_6000;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6001;

												BgL_auxz00_6001 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_6000 = BGL_OBJECT_WIDENING(BgL_auxz00_6001);
											}
											BgL_auxz00_5999 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6000);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_5999))->
												BgL_ownerz00) =
											((BgL_variablez00_bglt) BgL_ownerz00_2960), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6006;

										{
											obj_t BgL_auxz00_6007;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6008;

												BgL_auxz00_6008 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_6007 = BGL_OBJECT_WIDENING(BgL_auxz00_6008);
											}
											BgL_auxz00_6006 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6007);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6006))->
												BgL_stackzd2stampzd2) = ((obj_t) BNIL), BUNSPEC);
									}
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6013;

										{
											obj_t BgL_auxz00_6014;

											{	/* Cfa/pair.scm 124 */
												BgL_objectz00_bglt BgL_auxz00_6015;

												BgL_auxz00_6015 =
													((BgL_objectz00_bglt) BgL_new1166z00_2968);
												BgL_auxz00_6014 = BGL_OBJECT_WIDENING(BgL_auxz00_6015);
											}
											BgL_auxz00_6013 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6014);
										}
										((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6013))->
												BgL_seenzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									}
									BgL_wnodez00_2962 = BgL_new1166z00_2968;
							}}
							{	/* Cfa/pair.scm 124 */

								{	/* Cfa/pair.scm 129 */
									BgL_approxz00_bglt BgL_arg2973z00_2963;

									BgL_arg2973z00_2963 =
										BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
										((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00),
										((BgL_nodez00_bglt) BgL_nodez00_2961));
									{
										BgL_conszd2appzd2_bglt BgL_auxz00_6023;

										{
											obj_t BgL_auxz00_6024;

											{	/* Cfa/pair.scm 129 */
												BgL_objectz00_bglt BgL_auxz00_6025;

												BgL_auxz00_6025 =
													((BgL_objectz00_bglt) BgL_wnodez00_2962);
												BgL_auxz00_6024 = BGL_OBJECT_WIDENING(BgL_auxz00_6025);
											}
											BgL_auxz00_6023 =
												((BgL_conszd2appzd2_bglt) BgL_auxz00_6024);
										}
										return
											((((BgL_conszd2appzd2_bglt) CREF(BgL_auxz00_6023))->
												BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_arg2973z00_2963), BUNSPEC);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_pairz00()
	{
		AN_OBJECT;
		{	/* Cfa/pair.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3287z00zzcfa_pairz00));
		}
	}

#ifdef __cplusplus
}
#endif
