/*===========================================================================*/
/*   (Effect/feffect.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/feffect.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1978za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00;
	static BgL_feffectz00_bglt BGl_za2effectzd2topza2zd2zzeffect_feffectz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1980z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1982z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_feffectz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_feffectz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1955z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1947z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1975z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1967za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_mergez12z12zzeffect_feffectz00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1965za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt,
		BgL_feffectz00_bglt);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1959z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_printfz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1951z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static obj_t BGl_mergezd2callerz12zc0zzeffect_feffectz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1949z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62objectzd2displayzd2feffe1943z62zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_feffectz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00();
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1984za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_feffectz00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21961z70zzeffect_feffectz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32087ze3ze1zzeffect_feffectz00(obj_t);
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	static BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1969za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1986za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62bodyzd2effectz121944za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_feffectz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1973z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
	static BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1953z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1971z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2select1957z70zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	static BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1963za2zzeffect_feffectz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t __cnst[6];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2300z00,
		BGl_z62bodyzd2effectz121944za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzeffect_feffectz00,
		BgL_bgl_za762objectza7d2disp2301z00, va_generic_entry,
		BGl_z62objectzd2displayzd2feffe1943z62zzeffect_feffectz00, BUNSPEC, -2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2274z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2302z00,
		BGl_z62bodyzd2effectz12zd2atom1947z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2276z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2303z00,
		BGl_z62bodyzd2effectz12zd2kwote1949z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2277z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2304z00,
		BGl_z62bodyzd2effectz12zd2var1951z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2278z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2305z00,
		BGl_z62bodyzd2effectz12zd2setq1953z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2279z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2306z00,
		BGl_z62bodyzd2effectz12zd2conditi1955z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2280z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2307z00,
		BGl_z62bodyzd2effectz12zd2select1957z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2281z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2308z00,
		BGl_z62bodyzd2effectz12zd2fail1959z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2282z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2309z00,
		BGl_z62bodyzd2effectz12zd2setzd2exzd21961z70zzeffect_feffectz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2283z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2310z00,
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1963za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2284z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2311z00,
		BGl_z62bodyzd2effectz12zd2makezd2bo1965za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2285z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2312z00,
		BGl_z62bodyzd2effectz12zd2boxzd2ref1967za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2286z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2313z00,
		BGl_z62bodyzd2effectz12zd2boxzd2set1969za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2287z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2314z00,
		BGl_z62bodyzd2effectz12zd2cast1971z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2288z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2315z00,
		BGl_z62bodyzd2effectz12zd2sequenc1973z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2289z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2316z00,
		BGl_z62bodyzd2effectz12zd2funcall1975z70zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2290z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2317z00,
		BGl_z62bodyzd2effectz12zd2appzd2ly1978za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2291z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2318z00,
		BGl_z62bodyzd2effectz12zd2app1980z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2292z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2319z00,
		BGl_z62bodyzd2effectz12zd2extern1982z70zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2320z00,
		BGl_z62bodyzd2effectz12zd2letzd2fun1984za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2294z00zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2321z00,
		BGl_z62bodyzd2effectz12zd2letzd2var1986za2zzeffect_feffectz00, 0L, BUNSPEC,
		2);
	BGL_IMPORT obj_t BGl_objectzd2displayzd2envz00zz__objectz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
		BgL_bgl_za762bodyza7d2effect2322z00,
		BGl_z62bodyzd2effectz12za2zzeffect_feffectz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_feffectz12zd2envzc0zzeffect_feffectz00,
		BgL_bgl_za762feffectza712za7702323za7,
		BGl_z62feffectz12z70zzeffect_feffectz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2267z00zzeffect_feffectz00,
		BgL_bgl_string2267za700za7za7e2324za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2268z00zzeffect_feffectz00,
		BgL_bgl_string2268za700za7za7e2325za7, "Illegal `effect' pragma", 23);
	      DEFINE_STRING(BGl_string2270z00zzeffect_feffectz00,
		BgL_bgl_string2270za700za7za7e2326za7, "body-effect!1944", 16);
	      DEFINE_STRING(BGl_string2271z00zzeffect_feffectz00,
		BgL_bgl_string2271za700za7za7e2327za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2273z00zzeffect_feffectz00,
		BgL_bgl_string2273za700za7za7e2328za7, "object-display", 14);
	      DEFINE_STRING(BGl_string2275z00zzeffect_feffectz00,
		BgL_bgl_string2275za700za7za7e2329za7, "body-effect!", 12);
	      DEFINE_STRING(BGl_string2295z00zzeffect_feffectz00,
		BgL_bgl_string2295za700za7za7e2330za7, "#|feffect: ~a ~a|", 17);
	      DEFINE_STRING(BGl_string2296z00zzeffect_feffectz00,
		BgL_bgl_string2296za700za7za7e2331za7, "effect_feffect", 14);
	      DEFINE_STRING(BGl_string2297z00zzeffect_feffectz00,
		BgL_bgl_string2297za700za7za7e2332za7,
		"body-effect!1944 (static export) write read (memory) top ", 57);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_parsezd2effectzd2envz00zzeffect_feffectz00,
		BgL_bgl_za762parseza7d2effec2333z00,
		BGl_z62parsezd2effectzb0zzeffect_feffectz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long
		BgL_checksumz00_2797, char *BgL_fromz00_2798)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_feffectz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_feffectz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_cnstzd2initzd2zzeffect_feffectz00();
					BGl_importedzd2moduleszd2initz00zzeffect_feffectz00();
					BGl_genericzd2initzd2zzeffect_feffectz00();
					BGl_methodzd2initzd2zzeffect_feffectz00();
					BGl_toplevelzd2initzd2zzeffect_feffectz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_feffect");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_feffect");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 16 */
				obj_t BgL_cportz00_2785;

				BgL_cportz00_2785 =
					bgl_open_input_string(BGl_string2297z00zzeffect_feffectz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2786;

					BgL_iz00_2786 = ((long) 5);
				BgL_loopz00_2787:
					if ((BgL_iz00_2786 == ((long) -1)))
						{	/* Effect/feffect.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Effect/feffect.scm 16 */
							{	/* Effect/feffect.scm 16 */
								obj_t BgL_arg2299z00_2789;

								{	/* Effect/feffect.scm 16 */

									{	/* Effect/feffect.scm 16 */
										obj_t BgL_locationz00_2791;

										BgL_locationz00_2791 = BBOOL(((bool_t) 0));
										{	/* Effect/feffect.scm 16 */

											BgL_arg2299z00_2789 =
												BGl_readz00zz__readerz00(BgL_cportz00_2785,
												BgL_locationz00_2791);
										}
									}
								}
								{	/* Effect/feffect.scm 16 */
									int BgL_auxz00_2823;

									BgL_auxz00_2823 = (int) (BgL_iz00_2786);
									CNST_TABLE_SET(BgL_auxz00_2823, BgL_arg2299z00_2789);
							}}
							{	/* Effect/feffect.scm 16 */
								int BgL_auxz00_2792;

								BgL_auxz00_2792 = (int) ((BgL_iz00_2786 - ((long) 1)));
								{
									long BgL_iz00_2828;

									BgL_iz00_2828 = (long) (BgL_auxz00_2792);
									BgL_iz00_2786 = BgL_iz00_2828;
									goto BgL_loopz00_2787;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			{	/* Effect/feffect.scm 72 */
				BgL_feffectz00_bglt BgL_new1103z00_1283;

				{	/* Effect/feffect.scm 72 */
					BgL_feffectz00_bglt BgL_new1101z00_1284;

					BgL_new1101z00_1284 =
						((BgL_feffectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 72 */
						long BgL_arg1987z00_1285;

						{	/* Effect/feffect.scm 72 */
							long BgL_res2205z00_2392;

							{	/* Effect/feffect.scm 72 */
								obj_t BgL_classz00_2389;

								BgL_classz00_2389 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 72 */
									obj_t BgL_vectorz00_2390;
									int BgL_kz00_2391;

									BgL_vectorz00_2390 = BgL_classz00_2389;
									BgL_kz00_2391 = (int) (((long) 1));
									BgL_res2205z00_2392 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2390, BgL_kz00_2391));
							}}
							BgL_arg1987z00_1285 = BgL_res2205z00_2392;
						}
						{	/* Effect/feffect.scm 72 */
							BgL_objectz00_bglt BgL_objz00_2393;

							BgL_objz00_2393 = ((BgL_objectz00_bglt) BgL_new1101z00_1284);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2393, BgL_arg1987z00_1285);
					}}
					{	/* Effect/feffect.scm 72 */
						BgL_objectz00_bglt BgL_auxz00_2836;

						BgL_auxz00_2836 = ((BgL_objectz00_bglt) BgL_new1101z00_1284);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2836, BFALSE);
					}
					BgL_new1103z00_1283 = BgL_new1101z00_1284;
				}
				((((BgL_feffectz00_bglt) CREF(BgL_new1103z00_1283))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_feffectz00_bglt) CREF(BgL_new1103z00_1283))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 0))), BUNSPEC);
				BGl_za2effectzd2topza2zd2zzeffect_feffectz00 = BgL_new1103z00_1283;
			}
			{	/* Effect/feffect.scm 73 */
				BgL_feffectz00_bglt BgL_new1105z00_1286;

				{	/* Effect/feffect.scm 73 */
					BgL_feffectz00_bglt BgL_new1104z00_1287;

					BgL_new1104z00_1287 =
						((BgL_feffectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 73 */
						long BgL_arg1988z00_1288;

						{	/* Effect/feffect.scm 73 */
							long BgL_res2206z00_2398;

							{	/* Effect/feffect.scm 73 */
								obj_t BgL_classz00_2395;

								BgL_classz00_2395 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 73 */
									obj_t BgL_vectorz00_2396;
									int BgL_kz00_2397;

									BgL_vectorz00_2396 = BgL_classz00_2395;
									BgL_kz00_2397 = (int) (((long) 1));
									BgL_res2206z00_2398 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2396, BgL_kz00_2397));
							}}
							BgL_arg1988z00_1288 = BgL_res2206z00_2398;
						}
						{	/* Effect/feffect.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2399;

							BgL_objz00_2399 = ((BgL_objectz00_bglt) BgL_new1104z00_1287);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2399, BgL_arg1988z00_1288);
					}}
					{	/* Effect/feffect.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_2849;

						BgL_auxz00_2849 = ((BgL_objectz00_bglt) BgL_new1104z00_1287);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2849, BFALSE);
					}
					BgL_new1105z00_1286 = BgL_new1104z00_1287;
				}
				((((BgL_feffectz00_bglt) CREF(BgL_new1105z00_1286))->BgL_readz00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				((((BgL_feffectz00_bglt) CREF(BgL_new1105z00_1286))->BgL_writez00) =
					((obj_t) BNIL), BUNSPEC);
				BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00 =
					BgL_new1105z00_1286;
			}
			{	/* Effect/feffect.scm 74 */
				BgL_feffectz00_bglt BgL_new1107z00_1289;

				{	/* Effect/feffect.scm 74 */
					BgL_feffectz00_bglt BgL_new1106z00_1290;

					BgL_new1106z00_1290 =
						((BgL_feffectz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_feffectz00_bgl))));
					{	/* Effect/feffect.scm 74 */
						long BgL_arg1989z00_1291;

						{	/* Effect/feffect.scm 74 */
							long BgL_res2207z00_2404;

							{	/* Effect/feffect.scm 74 */
								obj_t BgL_classz00_2401;

								BgL_classz00_2401 = BGl_feffectz00zzast_varz00;
								{	/* Effect/feffect.scm 74 */
									obj_t BgL_vectorz00_2402;
									int BgL_kz00_2403;

									BgL_vectorz00_2402 = BgL_classz00_2401;
									BgL_kz00_2403 = (int) (((long) 1));
									BgL_res2207z00_2404 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2402, BgL_kz00_2403));
							}}
							BgL_arg1989z00_1291 = BgL_res2207z00_2404;
						}
						{	/* Effect/feffect.scm 74 */
							BgL_objectz00_bglt BgL_objz00_2405;

							BgL_objz00_2405 = ((BgL_objectz00_bglt) BgL_new1106z00_1290);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2405, BgL_arg1989z00_1291);
					}}
					{	/* Effect/feffect.scm 74 */
						BgL_objectz00_bglt BgL_auxz00_2861;

						BgL_auxz00_2861 = ((BgL_objectz00_bglt) BgL_new1106z00_1290);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_2861, BFALSE);
					}
					BgL_new1107z00_1289 = BgL_new1106z00_1290;
				}
				((((BgL_feffectz00_bglt) CREF(BgL_new1107z00_1289))->BgL_readz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_feffectz00_bglt) CREF(BgL_new1107z00_1289))->BgL_writez00) =
					((obj_t) CNST_TABLE_REF(((long) 1))), BUNSPEC);
				BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00 =
					BgL_new1107z00_1289;
			}
			return BUNSPEC;
		}
	}



/* feffect! */
	BGL_EXPORTED_DEF obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 32 */
			{
				obj_t BgL_l1816z00_1301;

				BgL_l1816z00_1301 = BgL_globalsz00_3;
			BgL_zc3anonymousza31993ze3z83_1302:
				if (PAIRP(BgL_l1816z00_1301))
					{	/* Effect/feffect.scm 33 */
						{	/* Effect/feffect.scm 33 */
							obj_t BgL_arg1995z00_1304;

							BgL_arg1995z00_1304 = CAR(BgL_l1816z00_1301);
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(
								((BgL_globalz00_bglt) BgL_arg1995z00_1304));
						}
						{
							obj_t BgL_l1816z00_2872;

							BgL_l1816z00_2872 = CDR(BgL_l1816z00_1301);
							BgL_l1816z00_1301 = BgL_l1816z00_2872;
							goto BgL_zc3anonymousza31993ze3z83_1302;
						}
					}
				else
					{	/* Effect/feffect.scm 33 */
						((bool_t) 1);
					}
			}
			return
				BBOOL(BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00
				(BgL_globalsz00_3));
		}
	}



/* &feffect! */
	obj_t BGl_z62feffectz12z70zzeffect_feffectz00(obj_t BgL_envz00_2676,
		obj_t BgL_globalsz00_2677)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 32 */
			return BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_2677);
		}
	}



/* feffect-fix-point! */
	bool_t BGl_feffectzd2fixzd2pointz12z12zzeffect_feffectz00(obj_t
		BgL_globalsz00_4)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 39 */
			{	/* Effect/feffect.scm 40 */
				obj_t BgL_changedz00_1307;

				BgL_changedz00_1307 = MAKE_CELL(BTRUE);
				{
					obj_t BgL_varz00_1319;

					{

					BgL_zc3anonymousza31997ze3z83_1310:
						if (CBOOL(CELL_REF(BgL_changedz00_1307)))
							{	/* Effect/feffect.scm 54 */
								CELL_SET(BgL_changedz00_1307, BFALSE);
								{
									obj_t BgL_l1824z00_1312;

									BgL_l1824z00_1312 = BgL_globalsz00_4;
								BgL_zc3anonymousza31998ze3z83_1313:
									if (PAIRP(BgL_l1824z00_1312))
										{	/* Effect/feffect.scm 57 */
											BgL_varz00_1319 = CAR(BgL_l1824z00_1312);
											{	/* Effect/feffect.scm 47 */

												if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1319,
														BGl_localzf2fromzf2zzeffect_cgraphz00))
													{	/* Effect/feffect.scm 50 */
														obj_t BgL_g1820z00_1324;

														{
															BgL_localzf2fromzf2_bglt BgL_auxz00_2883;

															{
																obj_t BgL_auxz00_2884;

																{	/* Effect/feffect.scm 50 */
																	BgL_objectz00_bglt BgL_auxz00_2885;

																	BgL_auxz00_2885 =
																		((BgL_objectz00_bglt)
																		((BgL_localz00_bglt) BgL_varz00_1319));
																	BgL_auxz00_2884 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_2885);
																}
																BgL_auxz00_2883 =
																	((BgL_localzf2fromzf2_bglt) BgL_auxz00_2884);
															}
															BgL_g1820z00_1324 =
																(((BgL_localzf2fromzf2_bglt)
																	CREF(BgL_auxz00_2883))->BgL_fromz00);
														}
														{
															obj_t BgL_l1818z00_1326;

															BgL_l1818z00_1326 = BgL_g1820z00_1324;
														BgL_zc3anonymousza32004ze3z83_1327:
															if (PAIRP(BgL_l1818z00_1326))
																{	/* Effect/feffect.scm 50 */
																	BGl_mergezd2callerz12zc0zzeffect_feffectz00
																		(BgL_changedz00_1307, BgL_varz00_1319,
																		CAR(BgL_l1818z00_1326));
																	{
																		obj_t BgL_l1818z00_2895;

																		BgL_l1818z00_2895 = CDR(BgL_l1818z00_1326);
																		BgL_l1818z00_1326 = BgL_l1818z00_2895;
																		goto BgL_zc3anonymousza32004ze3z83_1327;
																	}
																}
															else
																{	/* Effect/feffect.scm 50 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* Effect/feffect.scm 49 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1319,
																BGl_globalzf2fromzf2zzeffect_cgraphz00))
															{	/* Effect/feffect.scm 52 */
																obj_t BgL_g1823z00_1333;

																{
																	BgL_globalzf2fromzf2_bglt BgL_auxz00_2899;

																	{
																		obj_t BgL_auxz00_2900;

																		{	/* Effect/feffect.scm 52 */
																			BgL_objectz00_bglt BgL_auxz00_2901;

																			BgL_auxz00_2901 =
																				((BgL_objectz00_bglt)
																				((BgL_globalz00_bglt) BgL_varz00_1319));
																			BgL_auxz00_2900 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_2901);
																		}
																		BgL_auxz00_2899 =
																			((BgL_globalzf2fromzf2_bglt)
																			BgL_auxz00_2900);
																	}
																	BgL_g1823z00_1333 =
																		(((BgL_globalzf2fromzf2_bglt)
																			CREF(BgL_auxz00_2899))->BgL_fromz00);
																}
																{
																	obj_t BgL_l1821z00_1335;

																	BgL_l1821z00_1335 = BgL_g1823z00_1333;
																BgL_zc3anonymousza32009ze3z83_1336:
																	if (PAIRP(BgL_l1821z00_1335))
																		{	/* Effect/feffect.scm 52 */
																			BGl_mergezd2callerz12zc0zzeffect_feffectz00
																				(BgL_changedz00_1307, BgL_varz00_1319,
																				CAR(BgL_l1821z00_1335));
																			{
																				obj_t BgL_l1821z00_2911;

																				BgL_l1821z00_2911 =
																					CDR(BgL_l1821z00_1335);
																				BgL_l1821z00_1335 = BgL_l1821z00_2911;
																				goto BgL_zc3anonymousza32009ze3z83_1336;
																			}
																		}
																	else
																		{	/* Effect/feffect.scm 52 */
																			((bool_t) 1);
																		}
																}
															}
														else
															{	/* Effect/feffect.scm 51 */
																((bool_t) 0);
															}
													}
											}
											{
												obj_t BgL_l1824z00_2914;

												BgL_l1824z00_2914 = CDR(BgL_l1824z00_1312);
												BgL_l1824z00_1312 = BgL_l1824z00_2914;
												goto BgL_zc3anonymousza31998ze3z83_1313;
											}
										}
									else
										{	/* Effect/feffect.scm 57 */
											((bool_t) 1);
										}
								}
								goto BgL_zc3anonymousza31997ze3z83_1310;
							}
						else
							{	/* Effect/feffect.scm 54 */
								return ((bool_t) 0);
							}
					}
				}
			}
		}
	}



/* merge-caller! */
	obj_t BGl_mergezd2callerz12zc0zzeffect_feffectz00(obj_t BgL_changedz00_2782,
		obj_t BgL_varz00_2781, obj_t BgL_fz00_1341)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 46 */
			{	/* Effect/feffect.scm 43 */
				obj_t BgL_efz00_1343;
				obj_t BgL_etz00_1344;

				BgL_efz00_1343 =
					(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_fz00_1341)))->
									BgL_valuez00))))->BgL_effectz00);
				BgL_etz00_1344 =
					(((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) (((BgL_variablez00_bglt)
										CREF(((BgL_variablez00_bglt) BgL_varz00_2781)))->
									BgL_valuez00))))->BgL_effectz00);
				{	/* Effect/feffect.scm 45 */
					bool_t BgL_testz00_2924;

					{	/* Effect/feffect.scm 45 */
						bool_t BgL_res2211z00_2422;

						{	/* Effect/feffect.scm 45 */
							obj_t BgL_objz00_2421;

							BgL_objz00_2421 = BgL_efz00_1343;
							BgL_res2211z00_2422 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_2421,
								BGl_feffectz00zzast_varz00);
						}
						BgL_testz00_2924 = BgL_res2211z00_2422;
					}
					if (BgL_testz00_2924)
						{	/* Effect/feffect.scm 45 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 45 */
							BgL_efz00_1343 =
								((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
						}
				}
				{	/* Effect/feffect.scm 46 */
					obj_t BgL_auxz00_2783;

					{	/* Effect/feffect.scm 46 */
						bool_t BgL__ortest_1099z00_1346;

						BgL__ortest_1099z00_1346 =
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_etz00_1344,
							BgL_efz00_1343);
						if (BgL__ortest_1099z00_1346)
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2783 = BBOOL(BgL__ortest_1099z00_1346);
							}
						else
							{	/* Effect/feffect.scm 46 */
								BgL_auxz00_2783 = CELL_REF(BgL_changedz00_2782);
							}
					}
					return CELL_SET(BgL_changedz00_2782, BgL_auxz00_2783);
				}
			}
		}
	}



/* parse-effect */
	BGL_EXPORTED_DEF BgL_feffectz00_bglt
		BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t BgL_propz00_7)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 79 */
			{	/* Effect/feffect.scm 80 */
				BgL_feffectz00_bglt BgL_ez00_1351;

				{	/* Effect/feffect.scm 80 */
					BgL_feffectz00_bglt BgL_new1109z00_1382;

					{	/* Effect/feffect.scm 80 */
						BgL_feffectz00_bglt BgL_new1108z00_1383;

						BgL_new1108z00_1383 =
							((BgL_feffectz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_feffectz00_bgl))));
						{	/* Effect/feffect.scm 80 */
							long BgL_arg2041z00_1384;

							{	/* Effect/feffect.scm 80 */
								long BgL_res2218z00_2449;

								{	/* Effect/feffect.scm 80 */
									obj_t BgL_classz00_2446;

									BgL_classz00_2446 = BGl_feffectz00zzast_varz00;
									{	/* Effect/feffect.scm 80 */
										obj_t BgL_vectorz00_2447;
										int BgL_kz00_2448;

										BgL_vectorz00_2447 = BgL_classz00_2446;
										BgL_kz00_2448 = (int) (((long) 1));
										BgL_res2218z00_2449 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2447,
												BgL_kz00_2448));
								}}
								BgL_arg2041z00_1384 = BgL_res2218z00_2449;
							}
							{	/* Effect/feffect.scm 80 */
								BgL_objectz00_bglt BgL_objz00_2450;

								BgL_objz00_2450 = ((BgL_objectz00_bglt) BgL_new1108z00_1383);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2450, BgL_arg2041z00_1384);
						}}
						{	/* Effect/feffect.scm 80 */
							BgL_objectz00_bglt BgL_auxz00_2936;

							BgL_auxz00_2936 = ((BgL_objectz00_bglt) BgL_new1108z00_1383);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2936, BFALSE);
						}
						BgL_new1109z00_1382 = BgL_new1108z00_1383;
					}
					((((BgL_feffectz00_bglt) CREF(BgL_new1109z00_1382))->BgL_readz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_feffectz00_bglt) CREF(BgL_new1109z00_1382))->BgL_writez00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_ez00_1351 = BgL_new1109z00_1382;
				}
				{	/* Effect/feffect.scm 81 */
					obj_t BgL_g1110z00_1352;

					BgL_g1110z00_1352 = CDR(BgL_propz00_7);
					{
						obj_t BgL_vz00_1354;

						{
							obj_t BgL_auxz00_2942;

							BgL_vz00_1354 = BgL_g1110z00_1352;
						BgL_zc3anonymousza32017ze3z83_1355:
							if (NULLP(BgL_vz00_1354))
								{	/* Effect/feffect.scm 82 */
									BgL_auxz00_2942 = ((obj_t) BgL_ez00_1351);
								}
							else
								{

									{	/* Effect/feffect.scm 84 */
										obj_t BgL_ezd2362zd2_1362;

										BgL_ezd2362zd2_1362 = CAR(BgL_vz00_1354);
										if (PAIRP(BgL_ezd2362zd2_1362))
											{	/* Effect/feffect.scm 84 */
												obj_t BgL_cdrzd2367zd2_1364;

												BgL_cdrzd2367zd2_1364 = CDR(BgL_ezd2362zd2_1362);
												if (
													(CAR(BgL_ezd2362zd2_1362) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Effect/feffect.scm 84 */
														if (PAIRP(BgL_cdrzd2367zd2_1364))
															{	/* Effect/feffect.scm 84 */
																if (NULLP(CDR(BgL_cdrzd2367zd2_1364)))
																	{	/* Effect/feffect.scm 84 */
																		obj_t BgL_arg2023z00_1368;

																		BgL_arg2023z00_1368 =
																			CAR(BgL_cdrzd2367zd2_1364);
																		((((BgL_feffectz00_bglt)
																					CREF(BgL_ez00_1351))->BgL_readz00) =
																			((obj_t) BgL_arg2023z00_1368), BUNSPEC);
																		{
																			obj_t BgL_vz00_2961;

																			BgL_vz00_2961 = CDR(BgL_vz00_1354);
																			BgL_vz00_1354 = BgL_vz00_2961;
																			goto BgL_zc3anonymousza32017ze3z83_1355;
																		}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																	BgL_tagzd2361zd2_1361:
																		BgL_auxz00_2942 =
																			BGl_userzd2errorzd2zztools_errorz00
																			(BGl_string2267z00zzeffect_feffectz00,
																			BGl_string2268z00zzeffect_feffectz00,
																			BgL_vz00_1354, BNIL);
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1361;
															}
													}
												else
													{	/* Effect/feffect.scm 84 */
														if (
															(CAR(BgL_ezd2362zd2_1362) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Effect/feffect.scm 84 */
																if (PAIRP(BgL_cdrzd2367zd2_1364))
																	{	/* Effect/feffect.scm 84 */
																		if (NULLP(CDR(BgL_cdrzd2367zd2_1364)))
																			{	/* Effect/feffect.scm 84 */
																				obj_t BgL_arg2028z00_1374;

																				BgL_arg2028z00_1374 =
																					CAR(BgL_cdrzd2367zd2_1364);
																				((((BgL_feffectz00_bglt)
																							CREF(BgL_ez00_1351))->
																						BgL_writez00) =
																					((obj_t) BgL_arg2028z00_1374),
																					BUNSPEC);
																				{
																					obj_t BgL_vz00_2975;

																					BgL_vz00_2975 = CDR(BgL_vz00_1354);
																					BgL_vz00_1354 = BgL_vz00_2975;
																					goto
																						BgL_zc3anonymousza32017ze3z83_1355;
																				}
																			}
																		else
																			{	/* Effect/feffect.scm 84 */
																				goto BgL_tagzd2361zd2_1361;
																			}
																	}
																else
																	{	/* Effect/feffect.scm 84 */
																		goto BgL_tagzd2361zd2_1361;
																	}
															}
														else
															{	/* Effect/feffect.scm 84 */
																goto BgL_tagzd2361zd2_1361;
															}
													}
											}
										else
											{	/* Effect/feffect.scm 84 */
												goto BgL_tagzd2361zd2_1361;
											}
									}
								}
							return ((BgL_feffectz00_bglt) BgL_auxz00_2942);
						}
					}
				}
			}
		}
	}



/* &parse-effect */
	BgL_feffectz00_bglt BGl_z62parsezd2effectzb0zzeffect_feffectz00(obj_t
		BgL_envz00_2678, obj_t BgL_propz00_2679)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 79 */
			return BGl_parsezd2effectzd2zzeffect_feffectz00(BgL_propz00_2679);
		}
	}



/* merge-effects! */
	bool_t BGl_mergezd2effectsz12zc0zzeffect_feffectz00(obj_t BgL_f1z00_8,
		obj_t BgL_f2z00_9)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 100 */
			{	/* Effect/feffect.scm 137 */
				obj_t BgL_changedz00_1385;

				BgL_changedz00_1385 = MAKE_CELL(BFALSE);
				{	/* Effect/feffect.scm 136 */
					obj_t BgL_arg2042z00_1388;

					{	/* Effect/feffect.scm 136 */
						obj_t BgL_arg2043z00_1389;
						obj_t BgL_arg2044z00_1390;

						BgL_arg2043z00_1389 =
							(((BgL_feffectz00_bglt) CREF(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_readz00);
						BgL_arg2044z00_1390 =
							(((BgL_feffectz00_bglt) CREF(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_readz00);
						BgL_arg2042z00_1388 =
							BGl_mergez12z12zzeffect_feffectz00(BgL_changedz00_1385,
							BgL_arg2043z00_1389, BgL_arg2044z00_1390);
					}
					{	/* Effect/feffect.scm 136 */
						BgL_feffectz00_bglt BgL_oz00_2520;

						BgL_oz00_2520 = ((BgL_feffectz00_bglt) BgL_f1z00_8);
						((((BgL_feffectz00_bglt) CREF(BgL_oz00_2520))->BgL_readz00) =
							((obj_t) BgL_arg2042z00_1388), BUNSPEC);
					}
				}
				{	/* Effect/feffect.scm 137 */
					obj_t BgL_arg2045z00_1391;

					{	/* Effect/feffect.scm 137 */
						obj_t BgL_arg2046z00_1392;
						obj_t BgL_arg2047z00_1393;

						BgL_arg2046z00_1392 =
							(((BgL_feffectz00_bglt) CREF(
									((BgL_feffectz00_bglt) BgL_f1z00_8)))->BgL_writez00);
						BgL_arg2047z00_1393 =
							(((BgL_feffectz00_bglt) CREF(
									((BgL_feffectz00_bglt) BgL_f2z00_9)))->BgL_writez00);
						BgL_arg2045z00_1391 =
							BGl_mergez12z12zzeffect_feffectz00(BgL_changedz00_1385,
							BgL_arg2046z00_1392, BgL_arg2047z00_1393);
					}
					{	/* Effect/feffect.scm 137 */
						BgL_feffectz00_bglt BgL_oz00_2527;

						BgL_oz00_2527 = ((BgL_feffectz00_bglt) BgL_f1z00_8);
						((((BgL_feffectz00_bglt) CREF(BgL_oz00_2527))->BgL_writez00) =
							((obj_t) BgL_arg2045z00_1391), BUNSPEC);
					}
				}
				return CBOOL(CELL_REF(BgL_changedz00_1385));
			}
		}
	}



/* merge! */
	obj_t BGl_mergez12z12zzeffect_feffectz00(obj_t BgL_changedz00_2777,
		obj_t BgL_e1z00_1424, obj_t BgL_e2z00_1425)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 135 */
			{
				obj_t BgL_l1z00_1394;
				obj_t BgL_l2z00_1395;

				if ((BgL_e1z00_1424 == CNST_TABLE_REF(((long) 0))))
					{	/* Effect/feffect.scm 127 */
						return BgL_e1z00_1424;
					}
				else
					{	/* Effect/feffect.scm 127 */
						if (NULLP(BgL_e2z00_1425))
							{	/* Effect/feffect.scm 129 */
								return BgL_e1z00_1424;
							}
						else
							{	/* Effect/feffect.scm 129 */
								if ((BgL_e2z00_1425 == CNST_TABLE_REF(((long) 0))))
									{	/* Effect/feffect.scm 131 */
										CELL_SET(BgL_changedz00_2777, BTRUE);
										return CNST_TABLE_REF(((long) 0));
									}
								else
									{	/* Effect/feffect.scm 131 */
										BgL_l1z00_1394 = BgL_e1z00_1424;
										BgL_l2z00_1395 = BgL_e2z00_1425;
										if (NULLP(BgL_l1z00_1394))
											{	/* Effect/feffect.scm 104 */
												if (PAIRP(BgL_l2z00_1395))
													{	/* Effect/feffect.scm 105 */
														CELL_SET(BgL_changedz00_2777, BTRUE);
													}
												else
													{	/* Effect/feffect.scm 105 */
														BFALSE;
													}
												return BgL_l2z00_1395;
											}
										else
											{	/* Effect/feffect.scm 104 */
												if (NULLP(BgL_l2z00_1395))
													{	/* Effect/feffect.scm 108 */
														return BgL_l1z00_1394;
													}
												else
													{	/* Effect/feffect.scm 111 */
														obj_t BgL_kz00_1400;

														{	/* Effect/feffect.scm 111 */

															{	/* Effect/feffect.scm 111 */

																BgL_kz00_1400 =
																	BGl_gensymz00zz__r4_symbols_6_4z00(BFALSE);
															}
														}
														{
															obj_t BgL_l1826z00_1402;

															BgL_l1826z00_1402 = BgL_l1z00_1394;
														BgL_zc3anonymousza32052ze3z83_1403:
															if (PAIRP(BgL_l1826z00_1402))
																{	/* Effect/feffect.scm 112 */
																	BGl_putpropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1826z00_1402), BgL_kz00_1400, BTRUE);
																	{
																		obj_t BgL_l1826z00_3014;

																		BgL_l1826z00_3014 = CDR(BgL_l1826z00_1402);
																		BgL_l1826z00_1402 = BgL_l1826z00_3014;
																		goto BgL_zc3anonymousza32052ze3z83_1403;
																	}
																}
															else
																{	/* Effect/feffect.scm 112 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1828z00_1409;

															BgL_l1828z00_1409 = BgL_l2z00_1395;
														BgL_zc3anonymousza32055ze3z83_1410:
															if (PAIRP(BgL_l1828z00_1409))
																{	/* Effect/feffect.scm 115 */
																	{	/* Effect/feffect.scm 116 */
																		obj_t BgL_sz00_1412;

																		BgL_sz00_1412 = CAR(BgL_l1828z00_1409);
																		if (CBOOL
																			(BGl_getpropz00zz__r4_symbols_6_4z00
																				(BgL_sz00_1412, BgL_kz00_1400)))
																			{	/* Effect/feffect.scm 116 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/feffect.scm 116 */
																				CELL_SET(BgL_changedz00_2777, BTRUE);
																				BgL_l1z00_1394 =
																					MAKE_PAIR(BgL_sz00_1412,
																					BgL_l1z00_1394);
																			}
																	}
																	{
																		obj_t BgL_l1828z00_3023;

																		BgL_l1828z00_3023 = CDR(BgL_l1828z00_1409);
																		BgL_l1828z00_1409 = BgL_l1828z00_3023;
																		goto BgL_zc3anonymousza32055ze3z83_1410;
																	}
																}
															else
																{	/* Effect/feffect.scm 115 */
																	((bool_t) 1);
																}
														}
														{
															obj_t BgL_l1830z00_1417;

															BgL_l1830z00_1417 = BgL_l1z00_1394;
														BgL_zc3anonymousza32059ze3z83_1418:
															if (PAIRP(BgL_l1830z00_1417))
																{	/* Effect/feffect.scm 121 */
																	BGl_rempropz12z12zz__r4_symbols_6_4z00(CAR
																		(BgL_l1830z00_1417), BgL_kz00_1400);
																	{
																		obj_t BgL_l1830z00_3029;

																		BgL_l1830z00_3029 = CDR(BgL_l1830z00_1417);
																		BgL_l1830z00_1417 = BgL_l1830z00_3029;
																		goto BgL_zc3anonymousza32059ze3z83_1418;
																	}
																}
															else
																{	/* Effect/feffect.scm 121 */
																	((bool_t) 1);
																}
														}
														return BgL_l1z00_1394;
													}
											}
									}
							}
					}
			}
		}
	}



/* fun-effect! */
	BgL_feffectz00_bglt BGl_funzd2effectz12zc0zzeffect_feffectz00(obj_t
		BgL_vz00_10)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 143 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_10, BGl_globalz00zzast_varz00))
				{	/* Effect/feffect.scm 144 */
					return
						BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(
						((BgL_globalz00_bglt) BgL_vz00_10));
				}
			else
				{	/* Effect/feffect.scm 146 */
					BgL_feffectz00_bglt BgL_res2233z00_2533;

					{	/* Effect/feffect.scm 146 */
						BgL_localz00_bglt BgL_vz00_2532;

						BgL_vz00_2532 = ((BgL_localz00_bglt) BgL_vz00_10);
						BgL_res2233z00_2533 =
							BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
							((BgL_variablez00_bglt) BgL_vz00_2532));
					}
					return BgL_res2233z00_2533;
				}
		}
	}



/* fun-effect-global! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2globalz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_11)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 151 */
			{	/* Effect/feffect.scm 152 */
				bool_t BgL_testz00_3038;

				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							(((BgL_globalz00_bglt) CREF(BgL_vz00_11))->BgL_importz00),
							CNST_TABLE_REF(((long) 4)))))
					{	/* Effect/feffect.scm 153 */
						bool_t BgL_testz00_3044;

						{	/* Effect/feffect.scm 153 */
							BgL_valuez00_bglt BgL_arg2070z00_1436;

							BgL_arg2070z00_1436 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_vz00_11)))->BgL_valuez00);
							{	/* Effect/feffect.scm 153 */
								bool_t BgL_res2235z00_2540;

								{	/* Effect/feffect.scm 153 */
									obj_t BgL_objz00_2539;

									BgL_objz00_2539 = ((obj_t) BgL_arg2070z00_1436);
									BgL_res2235z00_2540 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2539,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_3044 = BgL_res2235z00_2540;
						}}
						if (BgL_testz00_3044)
							{	/* Effect/feffect.scm 153 */
								BgL_testz00_3038 = ((bool_t) 0);
							}
						else
							{	/* Effect/feffect.scm 153 */
								BgL_testz00_3038 = ((bool_t) 1);
							}
					}
				else
					{	/* Effect/feffect.scm 152 */
						BgL_testz00_3038 = ((bool_t) 1);
					}
				if (BgL_testz00_3038)
					{	/* Effect/feffect.scm 152 */
						return
							BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_vz00_11);
					}
				else
					{	/* Effect/feffect.scm 152 */
						return
							BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_vz00_11);
					}
			}
		}
	}



/* fun-effect-alien! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2alienz12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_gz00_12)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 162 */
			{	/* Effect/feffect.scm 163 */
				BgL_funz00_bglt BgL_i1111z00_1438;

				BgL_i1111z00_1438 =
					((BgL_funz00_bglt)
					(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_gz00_12)))->BgL_valuez00));
				{	/* Effect/feffect.scm 164 */
					bool_t BgL_testz00_3054;

					{	/* Effect/feffect.scm 164 */
						obj_t BgL_arg2073z00_1440;

						BgL_arg2073z00_1440 =
							(((BgL_funz00_bglt) CREF(BgL_i1111z00_1438))->BgL_effectz00);
						BgL_testz00_3054 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2073z00_1440,
							BGl_feffectz00zzast_varz00);
					}
					if (BgL_testz00_3054)
						{	/* Effect/feffect.scm 164 */
							BFALSE;
						}
					else
						{	/* Effect/feffect.scm 164 */
							((((BgL_funz00_bglt) CREF(BgL_i1111z00_1438))->BgL_effectz00) =
								((obj_t) ((obj_t)
										BGl_za2effectzd2topza2zd2zzeffect_feffectz00)), BUNSPEC);
						}
				}
				return
					((BgL_feffectz00_bglt)
					(((BgL_funz00_bglt) CREF(BgL_i1111z00_1438))->BgL_effectz00));
			}
		}
	}



/* fun-effect-module! */
	BgL_feffectz00_bglt
		BGl_funzd2effectzd2modulez12z12zzeffect_feffectz00(BgL_globalz00_bglt
		BgL_vz00_13)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 171 */
			{	/* Effect/feffect.scm 172 */
				BgL_valuez00_bglt BgL_funz00_1441;

				BgL_funz00_1441 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_vz00_13)))->BgL_valuez00);
				{	/* Effect/feffect.scm 172 */
					obj_t BgL_efz00_1442;

					BgL_efz00_1442 =
						(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_1441)))->BgL_effectz00);
					{	/* Effect/feffect.scm 173 */

						{	/* Effect/feffect.scm 176 */
							bool_t BgL_testz00_3065;

							{	/* Effect/feffect.scm 176 */
								bool_t BgL_res2239z00_2552;

								{	/* Effect/feffect.scm 176 */
									obj_t BgL_objz00_2551;

									BgL_objz00_2551 = ((obj_t) BgL_funz00_1441);
									BgL_res2239z00_2552 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2551,
										BGl_feffectz00zzast_varz00);
								}
								BgL_testz00_3065 = BgL_res2239z00_2552;
							}
							if (BgL_testz00_3065)
								{	/* Effect/feffect.scm 176 */
									return ((BgL_feffectz00_bglt) BgL_efz00_1442);
								}
							else
								{	/* Effect/feffect.scm 176 */
									return
										BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(
										((BgL_variablez00_bglt) BgL_vz00_13));
								}
						}
					}
				}
			}
		}
	}



/* do-fun-effect! */
	BgL_feffectz00_bglt
		BGl_dozd2funzd2effectz12z12zzeffect_feffectz00(BgL_variablez00_bglt
		BgL_vz00_15)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 195 */
			{	/* Effect/feffect.scm 196 */
				BgL_sfunz00_bglt BgL_i1112z00_1444;

				BgL_i1112z00_1444 =
					((BgL_sfunz00_bglt)
					(((BgL_variablez00_bglt) CREF(BgL_vz00_15))->BgL_valuez00));
				{	/* Effect/feffect.scm 197 */
					bool_t BgL_testz00_3073;

					{	/* Effect/feffect.scm 197 */
						obj_t BgL_arg2079z00_1451;

						BgL_arg2079z00_1451 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_i1112z00_1444)))->BgL_effectz00);
						BgL_testz00_3073 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2079z00_1451,
							BGl_feffectz00zzast_varz00);
					}
					if (BgL_testz00_3073)
						{	/* Effect/feffect.scm 197 */
							return
								((BgL_feffectz00_bglt)
								(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_i1112z00_1444)))->BgL_effectz00));
						}
					else
						{	/* Effect/feffect.scm 197 */
							{
								obj_t BgL_auxz00_3080;

								{	/* Effect/feffect.scm 200 */
									BgL_feffectz00_bglt BgL_new1114z00_1446;

									{	/* Effect/feffect.scm 200 */
										BgL_feffectz00_bglt BgL_new1113z00_1447;

										BgL_new1113z00_1447 =
											((BgL_feffectz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_feffectz00_bgl))));
										{	/* Effect/feffect.scm 200 */
											long BgL_arg2076z00_1448;

											{	/* Effect/feffect.scm 200 */
												long BgL_res2242z00_2561;

												{	/* Effect/feffect.scm 200 */
													obj_t BgL_classz00_2558;

													BgL_classz00_2558 = BGl_feffectz00zzast_varz00;
													{	/* Effect/feffect.scm 200 */
														obj_t BgL_vectorz00_2559;
														int BgL_kz00_2560;

														BgL_vectorz00_2559 = BgL_classz00_2558;
														BgL_kz00_2560 = (int) (((long) 1));
														BgL_res2242z00_2561 =
															(long) CINT(VECTOR_REF(BgL_vectorz00_2559,
																BgL_kz00_2560));
												}}
												BgL_arg2076z00_1448 = BgL_res2242z00_2561;
											}
											{	/* Effect/feffect.scm 200 */
												BgL_objectz00_bglt BgL_objz00_2562;

												BgL_objz00_2562 =
													((BgL_objectz00_bglt) BgL_new1113z00_1447);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2562,
													BgL_arg2076z00_1448);
										}}
										{	/* Effect/feffect.scm 200 */
											BgL_objectz00_bglt BgL_auxz00_3088;

											BgL_auxz00_3088 =
												((BgL_objectz00_bglt) BgL_new1113z00_1447);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3088, BFALSE);
										}
										BgL_new1114z00_1446 = BgL_new1113z00_1447;
									}
									((((BgL_feffectz00_bglt) CREF(BgL_new1114z00_1446))->
											BgL_readz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_feffectz00_bglt) CREF(BgL_new1114z00_1446))->
											BgL_writez00) = ((obj_t) BNIL), BUNSPEC);
									BgL_auxz00_3080 = ((obj_t) BgL_new1114z00_1446);
								}
								((((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt) BgL_i1112z00_1444)))->
										BgL_effectz00) = ((obj_t) BgL_auxz00_3080), BUNSPEC);
							}
							{	/* Effect/feffect.scm 201 */
								obj_t BgL_arg2077z00_1449;
								obj_t BgL_arg2078z00_1450;

								BgL_arg2077z00_1449 =
									(((BgL_sfunz00_bglt) CREF(BgL_i1112z00_1444))->BgL_bodyz00);
								BgL_arg2078z00_1450 =
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_i1112z00_1444)))->BgL_effectz00);
								return
									BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
									((BgL_nodez00_bglt) BgL_arg2077z00_1449),
									((BgL_feffectz00_bglt) BgL_arg2078z00_1450));
							}
						}
				}
			}
		}
	}



/* body-effect*! */
	obj_t BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(obj_t BgL_nodeza2za2_58,
		obj_t BgL_effectz00_59)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 373 */
			{
				obj_t BgL_l1939z00_1453;

				BgL_l1939z00_1453 = BgL_nodeza2za2_58;
			BgL_zc3anonymousza32080ze3z83_1454:
				if (PAIRP(BgL_l1939z00_1453))
					{	/* Effect/feffect.scm 374 */
						{	/* Effect/feffect.scm 374 */
							obj_t BgL_nz00_1456;

							BgL_nz00_1456 = CAR(BgL_l1939z00_1453);
							BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
								((BgL_nodez00_bglt) BgL_nz00_1456),
								((BgL_feffectz00_bglt) BgL_effectz00_59));
						}
						{
							obj_t BgL_l1939z00_3107;

							BgL_l1939z00_3107 = CDR(BgL_l1939z00_1453);
							BgL_l1939z00_1453 = BgL_l1939z00_3107;
							goto BgL_zc3anonymousza32080ze3z83_1454;
						}
					}
				else
					{	/* Effect/feffect.scm 374 */
						((bool_t) 1);
					}
			}
			return BgL_effectz00_59;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_proc2269z00zzeffect_feffectz00, BGl_nodez00zzast_nodez00,
				BGl_string2270z00zzeffect_feffectz00);
		}
	}



/* &body-effect!1944 */
	obj_t BGl_z62bodyzd2effectz121944za2zzeffect_feffectz00(obj_t BgL_envz00_2681,
		obj_t BgL_nodez00_2682, obj_t BgL_effectz00_2683)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 210 */
			{
				BgL_nodez00_bglt BgL_nodez00_1460;
				BgL_feffectz00_bglt BgL_effectz00_1461;

				BgL_nodez00_1460 = ((BgL_nodez00_bglt) BgL_nodez00_2682);
				BgL_effectz00_1461 = ((BgL_feffectz00_bglt) BgL_effectz00_2683);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 5)),
					BGl_string2271z00zzeffect_feffectz00, ((obj_t) BgL_nodez00_1460));
		}}
	}



/* body-effect! */
	BgL_feffectz00_bglt
		BGl_bodyzd2effectz12zc0zzeffect_feffectz00(BgL_nodez00_bglt BgL_nodez00_16,
		BgL_feffectz00_bglt BgL_effectz00_17)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 210 */
			{	/* Effect/feffect.scm 210 */
				obj_t BgL_method1945z00_1464;

				{	/* Effect/feffect.scm 210 */
					obj_t BgL_res2250z00_2596;

					{	/* Effect/feffect.scm 210 */
						BgL_objectz00_bglt BgL_objz00_2568;

						BgL_objz00_2568 = ((BgL_objectz00_bglt) BgL_nodez00_16);
						{	/* Effect/feffect.scm 210 */
							long BgL_objzd2classzd2numz00_2569;

							{	/* Effect/feffect.scm 210 */
								long BgL_res2244z00_2572;

								BgL_res2244z00_2572 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2568);
								BgL_objzd2classzd2numz00_2569 = BgL_res2244z00_2572;
							}
							{	/* Effect/feffect.scm 210 */
								obj_t BgL_arg1822z00_2570;

								BgL_arg1822z00_2570 =
									PROCEDURE_REF
									(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
									(int) (((long) 1)));
								{	/* Effect/feffect.scm 210 */
									obj_t BgL_arrayz00_2573;
									int BgL_offsetz00_2574;

									BgL_arrayz00_2573 = BgL_arg1822z00_2570;
									BgL_offsetz00_2574 = (int) (BgL_objzd2classzd2numz00_2569);
									{	/* Effect/feffect.scm 210 */
										long BgL_offsetz00_2575;

										BgL_offsetz00_2575 =
											((long) (BgL_offsetz00_2574) - OBJECT_TYPE);
										{	/* Effect/feffect.scm 210 */
											long BgL_modz00_2576;

											{	/* Effect/feffect.scm 210 */
												int BgL_arg1824z00_2577;

												BgL_arg1824z00_2577 = (int) (((long) 16));
												{	/* Effect/feffect.scm 210 */
													long BgL_res2247z00_2587;

													{	/* Effect/feffect.scm 210 */
														long BgL_auxz00_3123;

														BgL_auxz00_3123 = (long) (BgL_arg1824z00_2577);
														BgL_res2247z00_2587 =
															(BgL_offsetz00_2575 / BgL_auxz00_3123);
													}
													BgL_modz00_2576 = BgL_res2247z00_2587;
											}}
											{	/* Effect/feffect.scm 210 */
												long BgL_restz00_2578;

												{	/* Effect/feffect.scm 210 */
													int BgL_arg1823z00_2579;

													BgL_arg1823z00_2579 = (int) (((long) 16));
													{	/* Effect/feffect.scm 210 */
														long BgL_res2249z00_2591;

														{	/* Effect/feffect.scm 210 */
															long BgL_auxz00_3127;

															BgL_auxz00_3127 = (long) (BgL_arg1823z00_2579);
															BgL_res2249z00_2591 =
																(BgL_offsetz00_2575 % BgL_auxz00_3127);
														}
														BgL_restz00_2578 = BgL_res2249z00_2591;
												}}
												{	/* Effect/feffect.scm 210 */

													BgL_res2250z00_2596 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2573,
															(int) (BgL_modz00_2576)),
														(int) (BgL_restz00_2578));
					}}}}}}}}
					BgL_method1945z00_1464 = BgL_res2250z00_2596;
				}
				return
					((BgL_feffectz00_bglt)
					PROCEDURE_ENTRY(BgL_method1945z00_1464) (BgL_method1945z00_1464,
						((obj_t) BgL_nodez00_16), ((obj_t) BgL_effectz00_17), BEOA));
			}
		}
	}



/* &body-effect! */
	BgL_feffectz00_bglt BGl_z62bodyzd2effectz12za2zzeffect_feffectz00(obj_t
		BgL_envz00_2684, obj_t BgL_nodez00_2685, obj_t BgL_effectz00_2686)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 210 */
			return
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
				((BgL_nodez00_bglt) BgL_nodez00_2685),
				((BgL_feffectz00_bglt) BgL_effectz00_2686));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_objectzd2displayzd2envz00zz__objectz00, BGl_feffectz00zzast_varz00,
				BGl_proc2272z00zzeffect_feffectz00,
				BGl_string2273z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_atomz00zzast_nodez00, BGl_proc2274z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2276z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_varz00zzast_nodez00, BGl_proc2277z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setqz00zzast_nodez00, BGl_proc2278z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2279z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_selectz00zzast_nodez00, BGl_proc2280z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_failz00zzast_nodez00, BGl_proc2281z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2282z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2283z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2284z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2285z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2286z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_castz00zzast_nodez00, BGl_proc2287z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2288z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2289z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2290z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_appz00zzast_nodez00, BGl_proc2291z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_externz00zzast_nodez00, BGl_proc2292z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2293z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_bodyzd2effectz12zd2envz12zzeffect_feffectz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2294z00zzeffect_feffectz00,
				BGl_string2275z00zzeffect_feffectz00);
		}
	}



/* &body-effect!-let-var1986 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2var1986za2zzeffect_feffectz00(obj_t
		BgL_envz00_2709, obj_t BgL_nodez00_2710, obj_t BgL_effectz00_2711)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 363 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1633;
				BgL_feffectz00_bglt BgL_effectz00_1634;

				BgL_nodez00_1633 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2710);
				BgL_effectz00_1634 = ((BgL_feffectz00_bglt) BgL_effectz00_2711);
				{	/* Effect/feffect.scm 365 */
					obj_t BgL_g1938z00_1638;

					BgL_g1938z00_1638 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1633))->BgL_bindingsz00);
					{
						obj_t BgL_l1936z00_1640;

						BgL_l1936z00_1640 = BgL_g1938z00_1638;
					BgL_zc3anonymousza32138ze3z83_1641:
						if (PAIRP(BgL_l1936z00_1640))
							{	/* Effect/feffect.scm 365 */
								{	/* Effect/feffect.scm 366 */
									obj_t BgL_bindingz00_1643;

									BgL_bindingz00_1643 = CAR(BgL_l1936z00_1640);
									{	/* Effect/feffect.scm 366 */
										obj_t BgL_arg2142z00_1644;

										BgL_arg2142z00_1644 = CDR(BgL_bindingz00_1643);
										BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
											((BgL_nodez00_bglt) BgL_arg2142z00_1644),
											BgL_effectz00_1634);
									}
								}
								{
									obj_t BgL_l1936z00_3173;

									BgL_l1936z00_3173 = CDR(BgL_l1936z00_1640);
									BgL_l1936z00_1640 = BgL_l1936z00_3173;
									goto BgL_zc3anonymousza32138ze3z83_1641;
								}
							}
						else
							{	/* Effect/feffect.scm 365 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1633))->BgL_bodyz00),
					BgL_effectz00_1634);
			}
		}
	}



/* &body-effect!-let-fun1984 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2letzd2fun1984za2zzeffect_feffectz00(obj_t
		BgL_envz00_2712, obj_t BgL_nodez00_2713, obj_t BgL_effectz00_2714)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 355 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1618;
				BgL_feffectz00_bglt BgL_effectz00_1619;

				BgL_nodez00_1618 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2713);
				BgL_effectz00_1619 = ((BgL_feffectz00_bglt) BgL_effectz00_2714);
				{	/* Effect/feffect.scm 357 */
					obj_t BgL_g1935z00_1623;

					BgL_g1935z00_1623 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1618))->BgL_localsz00);
					{
						obj_t BgL_l1933z00_1625;

						BgL_l1933z00_1625 = BgL_g1935z00_1623;
					BgL_zc3anonymousza32131ze3z83_1626:
						if (PAIRP(BgL_l1933z00_1625))
							{	/* Effect/feffect.scm 357 */
								BGl_funzd2effectz12zc0zzeffect_feffectz00(CAR
									(BgL_l1933z00_1625));
								{
									obj_t BgL_l1933z00_3184;

									BgL_l1933z00_3184 = CDR(BgL_l1933z00_1625);
									BgL_l1933z00_1625 = BgL_l1933z00_3184;
									goto BgL_zc3anonymousza32131ze3z83_1626;
								}
							}
						else
							{	/* Effect/feffect.scm 357 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1618))->BgL_bodyz00),
					BgL_effectz00_1619);
			}
		}
	}



/* &body-effect!-extern1982 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2extern1982z70zzeffect_feffectz00(obj_t
		BgL_envz00_2715, obj_t BgL_nodez00_2716, obj_t BgL_effectz00_2717)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 345 */
			{
				BgL_externz00_bglt BgL_nodez00_1610;
				obj_t BgL_effectz00_1611;

				BgL_nodez00_1610 = ((BgL_externz00_bglt) BgL_nodez00_2716);
				BgL_effectz00_1611 = BgL_effectz00_2717;
				{	/* Effect/feffect.scm 346 */
					obj_t BgL_efz00_1614;

					{	/* Effect/feffect.scm 346 */
						bool_t BgL_testz00_3190;

						{	/* Effect/feffect.scm 346 */
							obj_t BgL_arg2130z00_1616;

							BgL_arg2130z00_1616 =
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1610))->BgL_effectz00);
							BgL_testz00_3190 =
								BGl_isazf3zf3zz__objectz00(BgL_arg2130z00_1616,
								BGl_feffectz00zzast_varz00);
						}
						if (BgL_testz00_3190)
							{	/* Effect/feffect.scm 346 */
								BgL_efz00_1614 =
									(((BgL_externz00_bglt) CREF(BgL_nodez00_1610))->
									BgL_effectz00);
							}
						else
							{	/* Effect/feffect.scm 346 */
								BgL_efz00_1614 =
									((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00);
							}
					}
					BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_1611,
						BgL_efz00_1614);
					return ((BgL_feffectz00_bglt) BgL_effectz00_1611);
				}
			}
		}
	}



/* &body-effect!-app1980 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2app1980z70zzeffect_feffectz00(obj_t
		BgL_envz00_2718, obj_t BgL_nodez00_2719, obj_t BgL_effectz00_2720)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 335 */
			{
				BgL_appz00_bglt BgL_nodez00_1600;
				obj_t BgL_effectz00_1601;

				BgL_nodez00_1600 = ((BgL_appz00_bglt) BgL_nodez00_2719);
				BgL_effectz00_1601 = BgL_effectz00_2720;
				BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1600))->BgL_argsz00),
					BgL_effectz00_1601);
				{	/* Effect/feffect.scm 338 */
					BgL_feffectz00_bglt BgL_efz00_1606;

					{	/* Effect/feffect.scm 338 */
						BgL_variablez00_bglt BgL_arg2125z00_1607;

						BgL_arg2125z00_1607 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1600))->BgL_funz00)))->
							BgL_variablez00);
						BgL_efz00_1606 =
							BGl_funzd2effectz12zc0zzeffect_feffectz00(((obj_t)
								BgL_arg2125z00_1607));
					}
					BGl_mergezd2effectsz12zc0zzeffect_feffectz00(BgL_effectz00_1601,
						((obj_t) BgL_efz00_1606));
				}
				return ((BgL_feffectz00_bglt) BgL_effectz00_1601);
			}
		}
	}



/* &body-effect!-app-ly1978 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2appzd2ly1978za2zzeffect_feffectz00(obj_t
		BgL_envz00_2721, obj_t BgL_nodez00_2722, obj_t BgL_effectz00_2723)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 328 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1595;
				BgL_feffectz00_bglt BgL_effectz00_1596;

				BgL_nodez00_1595 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2722);
				BgL_effectz00_1596 = ((BgL_feffectz00_bglt) BgL_effectz00_2723);
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
					((obj_t) BgL_effectz00_1596),
					((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
				return BgL_effectz00_1596;
			}
		}
	}



/* &body-effect!-funcall1975 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2funcall1975z70zzeffect_feffectz00(obj_t
		BgL_envz00_2724, obj_t BgL_nodez00_2725, obj_t BgL_effectz00_2726)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 321 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1590;
				BgL_feffectz00_bglt BgL_effectz00_1591;

				BgL_nodez00_1590 = ((BgL_funcallz00_bglt) BgL_nodez00_2725);
				BgL_effectz00_1591 = ((BgL_feffectz00_bglt) BgL_effectz00_2726);
				BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
					((obj_t) BgL_effectz00_1591),
					((obj_t) BGl_za2effectzd2topza2zd2zzeffect_feffectz00));
				return BgL_effectz00_1591;
			}
		}
	}



/* &body-effect!-sequenc1973 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2sequenc1973z70zzeffect_feffectz00(obj_t
		BgL_envz00_2727, obj_t BgL_nodez00_2728, obj_t BgL_effectz00_2729)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 315 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1584;
				BgL_feffectz00_bglt BgL_effectz00_1585;

				BgL_nodez00_1584 = ((BgL_sequencez00_bglt) BgL_nodez00_2728);
				BgL_effectz00_1585 = ((BgL_feffectz00_bglt) BgL_effectz00_2729);
				{	/* Effect/feffect.scm 316 */
					obj_t BgL_arg2123z00_2639;

					BgL_arg2123z00_2639 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1584))->BgL_nodesz00);
					return
						((BgL_feffectz00_bglt)
						BGl_bodyzd2effectza2z12z62zzeffect_feffectz00(BgL_arg2123z00_2639,
							((obj_t) BgL_effectz00_1585)));
				}
			}
		}
	}



/* &body-effect!-cast1971 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2cast1971z70zzeffect_feffectz00(obj_t
		BgL_envz00_2730, obj_t BgL_nodez00_2731, obj_t BgL_effectz00_2732)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 308 */
			{
				BgL_castz00_bglt BgL_nodez00_1577;
				BgL_feffectz00_bglt BgL_effectz00_1578;

				BgL_nodez00_1577 = ((BgL_castz00_bglt) BgL_nodez00_2731);
				BgL_effectz00_1578 = ((BgL_feffectz00_bglt) BgL_effectz00_2732);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1577))->BgL_argz00),
					BgL_effectz00_1578);
			}
		}
	}



/* &body-effect!-box-set1969 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2set1969za2zzeffect_feffectz00(obj_t
		BgL_envz00_2733, obj_t BgL_nodez00_2734, obj_t BgL_effectz00_2735)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 300 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1569;
				BgL_feffectz00_bglt BgL_effectz00_1570;

				BgL_nodez00_1569 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2734);
				BgL_effectz00_1570 = ((BgL_feffectz00_bglt) BgL_effectz00_2735);
				{	/* Effect/feffect.scm 301 */
					BgL_varz00_bglt BgL_arg2120z00_2635;

					BgL_arg2120z00_2635 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1569))->BgL_varz00);
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
						((BgL_nodez00_bglt) BgL_arg2120z00_2635), BgL_effectz00_1570);
				}
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1569))->BgL_valuez00),
					BgL_effectz00_1570);
			}
		}
	}



/* &body-effect!-box-ref1967 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2boxzd2ref1967za2zzeffect_feffectz00(obj_t
		BgL_envz00_2736, obj_t BgL_nodez00_2737, obj_t BgL_effectz00_2738)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 294 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1563;
				BgL_feffectz00_bglt BgL_effectz00_1564;

				BgL_nodez00_1563 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2737);
				BgL_effectz00_1564 = ((BgL_feffectz00_bglt) BgL_effectz00_2738);
				{	/* Effect/feffect.scm 295 */
					BgL_varz00_bglt BgL_arg2119z00_2630;

					BgL_arg2119z00_2630 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1563))->BgL_varz00);
					return
						BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
						((BgL_nodez00_bglt) BgL_arg2119z00_2630), BgL_effectz00_1564);
				}
			}
		}
	}



/* &body-effect!-make-bo1965 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2makezd2bo1965za2zzeffect_feffectz00(obj_t
		BgL_envz00_2739, obj_t BgL_nodez00_2740, obj_t BgL_effectz00_2741)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 288 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1557;
				BgL_feffectz00_bglt BgL_effectz00_1558;

				BgL_nodez00_1557 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2740);
				BgL_effectz00_1558 = ((BgL_feffectz00_bglt) BgL_effectz00_2741);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1557))->BgL_valuez00),
					BgL_effectz00_1558);
			}
		}
	}



/* &body-effect!-jump-ex1963 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2jumpzd2ex1963za2zzeffect_feffectz00(obj_t
		BgL_envz00_2742, obj_t BgL_nodez00_2743, obj_t BgL_effectz00_2744)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 280 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1549;
				BgL_feffectz00_bglt BgL_effectz00_1550;

				BgL_nodez00_1549 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2743);
				BgL_effectz00_1550 = ((BgL_feffectz00_bglt) BgL_effectz00_2744);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1549))->BgL_exitz00),
					BgL_effectz00_1550);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1549))->
						BgL_valuez00), BgL_effectz00_1550);
			}
		}
	}



/* &body-effect!-set-ex-1961 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setzd2exzd21961z70zzeffect_feffectz00(obj_t
		BgL_envz00_2745, obj_t BgL_nodez00_2746, obj_t BgL_effectz00_2747)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 273 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1542;
				BgL_feffectz00_bglt BgL_effectz00_1543;

				BgL_nodez00_1542 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2746);
				BgL_effectz00_1543 = ((BgL_feffectz00_bglt) BgL_effectz00_2747);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1542))->BgL_bodyz00),
					BgL_effectz00_1543);
			}
		}
	}



/* &body-effect!-fail1959 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2fail1959z70zzeffect_feffectz00(obj_t
		BgL_envz00_2748, obj_t BgL_nodez00_2749, obj_t BgL_effectz00_2750)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 264 */
			{
				BgL_failz00_bglt BgL_nodez00_1533;
				BgL_feffectz00_bglt BgL_effectz00_1534;

				BgL_nodez00_1533 = ((BgL_failz00_bglt) BgL_nodez00_2749);
				BgL_effectz00_1534 = ((BgL_feffectz00_bglt) BgL_effectz00_2750);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1533))->BgL_procz00),
					BgL_effectz00_1534);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1533))->BgL_msgz00), BgL_effectz00_1534);
				return BGl_bodyzd2effectz12zc0zzeffect_feffectz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_1533))->BgL_objz00), BgL_effectz00_1534);
			}
		}
	}



/* &body-effect!-select1957 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2select1957z70zzeffect_feffectz00(obj_t
		BgL_envz00_2751, obj_t BgL_nodez00_2752, obj_t BgL_effectz00_2753)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 253 */
			{
				BgL_selectz00_bglt BgL_nodez00_1517;
				BgL_feffectz00_bglt BgL_effectz00_1518;

				BgL_nodez00_1517 = ((BgL_selectz00_bglt) BgL_nodez00_2752);
				BgL_effectz00_1518 = ((BgL_feffectz00_bglt) BgL_effectz00_2753);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1517))->BgL_testz00),
					BgL_effectz00_1518);
				{	/* Effect/feffect.scm 256 */
					obj_t BgL_g1932z00_1523;

					BgL_g1932z00_1523 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1517))->BgL_clausesz00);
					{
						obj_t BgL_l1832z00_1525;

						BgL_l1832z00_1525 = BgL_g1932z00_1523;
					BgL_zc3anonymousza32106ze3z83_1526:
						if (PAIRP(BgL_l1832z00_1525))
							{	/* Effect/feffect.scm 256 */
								{	/* Effect/feffect.scm 257 */
									obj_t BgL_clausez00_1528;

									BgL_clausez00_1528 = CAR(BgL_l1832z00_1525);
									{	/* Effect/feffect.scm 257 */
										obj_t BgL_arg2108z00_1529;

										BgL_arg2108z00_1529 = CDR(BgL_clausez00_1528);
										BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
											((BgL_nodez00_bglt) BgL_arg2108z00_1529),
											BgL_effectz00_1518);
									}
								}
								{
									obj_t BgL_l1832z00_3271;

									BgL_l1832z00_3271 = CDR(BgL_l1832z00_1525);
									BgL_l1832z00_1525 = BgL_l1832z00_3271;
									goto BgL_zc3anonymousza32106ze3z83_1526;
								}
							}
						else
							{	/* Effect/feffect.scm 256 */
								((bool_t) 1);
							}
					}
				}
				return BgL_effectz00_1518;
			}
		}
	}



/* &body-effect!-conditi1955 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2conditi1955z70zzeffect_feffectz00(obj_t
		BgL_envz00_2754, obj_t BgL_nodez00_2755, obj_t BgL_effectz00_2756)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 244 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1508;
				BgL_feffectz00_bglt BgL_effectz00_1509;

				BgL_nodez00_1508 = ((BgL_conditionalz00_bglt) BgL_nodez00_2755);
				BgL_effectz00_1509 = ((BgL_feffectz00_bglt) BgL_effectz00_2756);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1508))->BgL_testz00),
					BgL_effectz00_1509);
				BGl_bodyzd2effectz12zc0zzeffect_feffectz00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_1508))->BgL_truez00), BgL_effectz00_1509);
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00((((BgL_conditionalz00_bglt)
							CREF(BgL_nodez00_1508))->BgL_falsez00), BgL_effectz00_1509);
			}
		}
	}



/* &body-effect!-setq1953 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2setq1953z70zzeffect_feffectz00(obj_t
		BgL_envz00_2757, obj_t BgL_nodez00_2758, obj_t BgL_effectz00_2759)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 235 */
			{
				BgL_setqz00_bglt BgL_nodez00_1498;
				BgL_feffectz00_bglt BgL_effectz00_1499;

				BgL_nodez00_1498 = ((BgL_setqz00_bglt) BgL_nodez00_2758);
				BgL_effectz00_1499 = ((BgL_feffectz00_bglt) BgL_effectz00_2759);
				{	/* Effect/feffect.scm 237 */
					bool_t BgL_testz00_3283;

					{	/* Effect/feffect.scm 237 */
						BgL_variablez00_bglt BgL_arg2097z00_1504;

						BgL_arg2097z00_1504 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_setqz00_bglt) CREF(BgL_nodez00_1498))->BgL_varz00)))->
							BgL_variablez00);
						{	/* Effect/feffect.scm 237 */
							bool_t BgL_res2256z00_2613;

							{	/* Effect/feffect.scm 237 */
								obj_t BgL_objz00_2612;

								BgL_objz00_2612 = ((obj_t) BgL_arg2097z00_1504);
								BgL_res2256z00_2613 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2612,
									BGl_globalz00zzast_varz00);
							}
							BgL_testz00_3283 = BgL_res2256z00_2613;
						}
					}
					if (BgL_testz00_3283)
						{	/* Effect/feffect.scm 237 */
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
								((obj_t) BgL_effectz00_1499),
								((obj_t) BGl_za2effectzd2writezd2memza2z00zzeffect_feffectz00));
						}
					else
						{	/* Effect/feffect.scm 237 */
							((bool_t) 0);
						}
				}
				return
					BGl_bodyzd2effectz12zc0zzeffect_feffectz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1498))->BgL_valuez00),
					BgL_effectz00_1499);
			}
		}
	}



/* &body-effect!-var1951 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2var1951z70zzeffect_feffectz00(obj_t
		BgL_envz00_2760, obj_t BgL_nodez00_2761, obj_t BgL_effectz00_2762)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 227 */
			{
				BgL_varz00_bglt BgL_nodez00_1491;
				BgL_feffectz00_bglt BgL_effectz00_1492;

				BgL_nodez00_1491 = ((BgL_varz00_bglt) BgL_nodez00_2761);
				BgL_effectz00_1492 = ((BgL_feffectz00_bglt) BgL_effectz00_2762);
				{	/* Effect/feffect.scm 228 */
					bool_t BgL_testz00_3295;

					{	/* Effect/feffect.scm 228 */
						BgL_variablez00_bglt BgL_arg2094z00_2603;

						BgL_arg2094z00_2603 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_1491))->BgL_variablez00);
						{	/* Effect/feffect.scm 228 */
							bool_t BgL_res2254z00_2608;

							{	/* Effect/feffect.scm 228 */
								obj_t BgL_objz00_2607;

								BgL_objz00_2607 = ((obj_t) BgL_arg2094z00_2603);
								BgL_res2254z00_2608 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2607,
									BGl_globalz00zzast_varz00);
							}
							BgL_testz00_3295 = BgL_res2254z00_2608;
						}
					}
					if (BgL_testz00_3295)
						{	/* Effect/feffect.scm 228 */
							BGl_mergezd2effectsz12zc0zzeffect_feffectz00(
								((obj_t) BgL_effectz00_1492),
								((obj_t) BGl_za2effectzd2readzd2memza2z00zzeffect_feffectz00));
						}
					else
						{	/* Effect/feffect.scm 228 */
							((bool_t) 0);
						}
				}
				return BgL_effectz00_1492;
			}
		}
	}



/* &body-effect!-kwote1949 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2kwote1949z70zzeffect_feffectz00(obj_t
		BgL_envz00_2763, obj_t BgL_nodez00_2764, obj_t BgL_effectz00_2765)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 221 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2765);
		}
	}



/* &body-effect!-atom1947 */
	BgL_feffectz00_bglt
		BGl_z62bodyzd2effectz12zd2atom1947z70zzeffect_feffectz00(obj_t
		BgL_envz00_2766, obj_t BgL_nodez00_2767, obj_t BgL_effectz00_2768)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 215 */
			return ((BgL_feffectz00_bglt) BgL_effectz00_2768);
		}
	}



/* &object-display-feffe1943 */
	obj_t BGl_z62objectzd2displayzd2feffe1943z62zzeffect_feffectz00(obj_t
		BgL_envz00_2769, obj_t BgL_fz00_2770, obj_t BgL_pz00_2771)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 63 */
			{
				BgL_feffectz00_bglt BgL_fz00_1465;
				obj_t BgL_pz00_1466;

				BgL_fz00_1465 = ((BgL_feffectz00_bglt) BgL_fz00_2770);
				BgL_pz00_1466 = BgL_pz00_2771;
				{	/* Effect/feffect.scm 64 */
					obj_t BgL_arg2084z00_1469;

					if (PAIRP(BgL_pz00_1466))
						{	/* Effect/feffect.scm 64 */
							BgL_arg2084z00_1469 = CAR(BgL_pz00_1466);
						}
					else
						{	/* Effect/feffect.scm 64 */
							obj_t BgL_res2252z00_2601;

							{	/* Effect/feffect.scm 64 */
								obj_t BgL_auxz00_3309;

								BgL_auxz00_3309 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2252z00_2601 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_3309);
							}
							BgL_arg2084z00_1469 = BgL_res2252z00_2601;
						}
					{	/* Effect/feffect.scm 66 */
						obj_t BgL_zc3anonymousza32087ze3z83_2707;

						BgL_zc3anonymousza32087ze3z83_2707 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32087ze3ze1zzeffect_feffectz00,
							(int) (((long) 0)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32087ze3z83_2707,
							(int) (((long) 0)), ((obj_t) BgL_fz00_1465));
						return
							BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
							(BgL_arg2084z00_1469, BgL_zc3anonymousza32087ze3z83_2707);
					}
				}
			}
		}
	}



/* &<anonymous:2087> */
	obj_t BGl_z62zc3anonymousza32087ze3ze1zzeffect_feffectz00(obj_t
		BgL_envz00_2772)
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 65 */
			{	/* Effect/feffect.scm 66 */
				BgL_feffectz00_bglt BgL_fz00_2773;

				BgL_fz00_2773 =
					((BgL_feffectz00_bglt)
					PROCEDURE_REF(BgL_envz00_2772, (int) (((long) 0))));
				{

					{	/* Effect/feffect.scm 67 */
						obj_t BgL_arg2088z00_1474;
						obj_t BgL_arg2089z00_1475;

						BgL_arg2088z00_1474 =
							(((BgL_feffectz00_bglt) CREF(BgL_fz00_2773))->BgL_readz00);
						BgL_arg2089z00_1475 =
							(((BgL_feffectz00_bglt) CREF(BgL_fz00_2773))->BgL_writez00);
						{	/* Effect/feffect.scm 67 */
							obj_t BgL_list2090z00_1476;

							{	/* Effect/feffect.scm 67 */
								obj_t BgL_arg2091z00_1477;

								BgL_arg2091z00_1477 = MAKE_PAIR(BgL_arg2089z00_1475, BNIL);
								BgL_list2090z00_1476 =
									MAKE_PAIR(BgL_arg2088z00_1474, BgL_arg2091z00_1477);
							}
							return
								BGl_printfz00zz__r4_output_6_10_3z00
								(BGl_string2295z00zzeffect_feffectz00, BgL_list2090z00_1476);
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_feffectz00()
	{
		AN_OBJECT;
		{	/* Effect/feffect.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2296z00zzeffect_feffectz00));
		}
	}

#ifdef __cplusplus
}
#endif
