/*===========================================================================*/
/*   (Engine/link.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/link.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_linkz00 = BUNSPEC;
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00();
	BGL_EXPORTED_DECL obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t);
	static obj_t BGl_z62unprofzd2srczd2namez62zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_linkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzengine_linkz00();
	BGL_IMPORT obj_t bgl_register_eval_srfi(obj_t);
	extern obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_basenamez00zz__osz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t,
		bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzengine_linkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_linkz00();
	static obj_t BGl_z62findzd2srczd2filez62zzengine_linkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62linkz62zzengine_linkz00(obj_t);
	extern obj_t BGl_readzd2directiveszd2zzread_includez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_linkz00zzengine_linkz00();
	static obj_t BGl_z62zc3anonymousza31287ze3ze1zzengine_linkz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_za2bigloozd2nameza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t fexists(char *);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_linkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t BGl_za2srczd2suffixza2zd2zzengine_paramz00;
	extern obj_t BGl_za2ozd2filesza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	static obj_t BGl_loopz00zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2librarieszb0zzengine_linkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_zc3anonymousza31317ze3z83zzengine_linkz00(obj_t);
	static obj_t BGl_z62makezd2tmpzd2mainz62zzengine_linkz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STRING(BGl_string1400z00zzengine_linkz00,
		BgL_bgl_string1400za700za7za7e1413za7, ".", 1);
	      DEFINE_STRING(BGl_string1402z00zzengine_linkz00,
		BgL_bgl_string1402za700za7za7e1414za7, ";; ", 3);
	      DEFINE_STRING(BGl_string1403z00zzengine_linkz00,
		BgL_bgl_string1403za700za7za7e1415za7,
		";; !!! generated file, don't edit !!!", 37);
	      DEFINE_STRING(BGl_string1404z00zzengine_linkz00,
		BgL_bgl_string1404za700za7za7e1416za7,
		";; ==================================", 37);
	      DEFINE_STRING(BGl_string1405z00zzengine_linkz00,
		BgL_bgl_string1405za700za7za7e1417za7, "(main *the-command-line*)", 25);
	      DEFINE_STRING(BGl_string1406z00zzengine_linkz00,
		BgL_bgl_string1406za700za7za7e1418za7, "", 0);
	      DEFINE_STRING(BGl_string1407z00zzengine_linkz00,
		BgL_bgl_string1407za700za7za7e1419za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string1408z00zzengine_linkz00,
		BgL_bgl_string1408za700za7za7e1420za7, "engine_link", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2tmpzd2mainzd2envzd2zzengine_linkz00,
		BgL_bgl_za762makeza7d2tmpza7d21421za7,
		BGl_z62makezd2tmpzd2mainz62zzengine_linkz00, 0L, BUNSPEC, 5);
	      DEFINE_STRING(BGl_string1409z00zzengine_linkz00,
		BgL_bgl_string1409za700za7za7e1422za7,
		"module import cond-expand include eval library bigloo-compile ", 62);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2filezd2forzd2linkzd2envz00zzengine_linkz00,
		BgL_bgl_za762findza7d2fileza7d1423za7,
		BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2srczd2filezd2envzd2zzengine_linkz00,
		BgL_bgl_za762findza7d2srcza7d21424za7,
		BGl_z62findzd2srczd2filez62zzengine_linkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1401z00zzengine_linkz00,
		BgL_bgl_za762za7c3anonymousza71425za7,
		BGl_z62zc3anonymousza31287ze3ze1zzengine_linkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_linkzd2envzd2zzengine_linkz00,
		BgL_bgl_za762linkza762za7za7engi1426z00, BGl_z62linkz62zzengine_linkz00, 0L,
		BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1396z00zzengine_linkz00,
		BgL_bgl_string1396za700za7za7e1427za7, "No Bigloo module found for -- ",
		30);
	      DEFINE_STRING(BGl_string1397z00zzengine_linkz00,
		BgL_bgl_string1397za700za7za7e1428za7, "link", 4);
	      DEFINE_STRING(BGl_string1398z00zzengine_linkz00,
		BgL_bgl_string1398za700za7za7e1429za7, "'. Using file -- ", 17);
	      DEFINE_STRING(BGl_string1399z00zzengine_linkz00,
		BgL_bgl_string1399za700za7za7e1430za7,
		"Several source files found for object `", 39);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2librarieszd2envz00zzengine_linkz00,
		BgL_bgl_za762findza7d2librar1431z00,
		BGl_z62findzd2librarieszb0zzengine_linkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unprofzd2srczd2namezd2envzd2zzengine_linkz00,
		BgL_bgl_za762unprofza7d2srcza71432za7,
		BGl_z62unprofzd2srczd2namez62zzengine_linkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_linkz00(long
		BgL_checksumz00_549, char *BgL_fromz00_550)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_linkz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_linkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_linkz00();
					BGl_cnstzd2initzd2zzengine_linkz00();
					BGl_importedzd2moduleszd2initz00zzengine_linkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_link");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_link");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			{	/* Engine/link.scm 20 */
				obj_t BgL_cportz00_541;

				BgL_cportz00_541 =
					bgl_open_input_string(BGl_string1409z00zzengine_linkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_542;

					BgL_iz00_542 = ((long) 6);
				BgL_loopz00_543:
					if ((BgL_iz00_542 == ((long) -1)))
						{	/* Engine/link.scm 20 */
							return BUNSPEC;
						}
					else
						{	/* Engine/link.scm 20 */
							{	/* Engine/link.scm 20 */
								obj_t BgL_arg1412z00_545;

								{	/* Engine/link.scm 20 */

									{	/* Engine/link.scm 20 */
										obj_t BgL_locationz00_547;

										BgL_locationz00_547 = BBOOL(((bool_t) 0));
										{	/* Engine/link.scm 20 */

											BgL_arg1412z00_545 =
												BGl_readz00zz__readerz00(BgL_cportz00_541,
												BgL_locationz00_547);
										}
									}
								}
								{	/* Engine/link.scm 20 */
									int BgL_auxz00_576;

									BgL_auxz00_576 = (int) (BgL_iz00_542);
									CNST_TABLE_SET(BgL_auxz00_576, BgL_arg1412z00_545);
							}}
							{	/* Engine/link.scm 20 */
								int BgL_auxz00_548;

								BgL_auxz00_548 = (int) ((BgL_iz00_542 - ((long) 1)));
								{
									long BgL_iz00_581;

									BgL_iz00_581 = (long) (BgL_auxz00_548);
									BgL_iz00_542 = BgL_iz00_581;
									goto BgL_loopz00_543;
								}
							}
						}
				}
			}
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzengine_linkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_110;

				BgL_headz00_110 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_111;
					obj_t BgL_tailz00_112;

					BgL_prevz00_111 = BgL_headz00_110;
					BgL_tailz00_112 = BgL_l1z00_1;
				BgL_loopz00_113:
					if (PAIRP(BgL_tailz00_112))
						{
							obj_t BgL_newzd2prevzd2_115;

							BgL_newzd2prevzd2_115 =
								MAKE_PAIR(CAR(BgL_tailz00_112), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_111, BgL_newzd2prevzd2_115);
							{
								obj_t BgL_tailz00_590;
								obj_t BgL_prevz00_589;

								BgL_prevz00_589 = BgL_newzd2prevzd2_115;
								BgL_tailz00_590 = CDR(BgL_tailz00_112);
								BgL_tailz00_112 = BgL_tailz00_590;
								BgL_prevz00_111 = BgL_prevz00_589;
								goto BgL_loopz00_113;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_110);
				}
			}
		}
	}



/* link */
	BGL_EXPORTED_DEF obj_t BGl_linkz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 42 */
			bgl_register_eval_srfi(CNST_TABLE_REF(((long) 0)));
			BGl_installzd2initialzd2expanderz00zzexpand_installz00();
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			{
				obj_t BgL_objectsz00_120;
				obj_t BgL_sourcesz00_121;

				BgL_objectsz00_120 = BGl_za2ozd2filesza2zd2zzengine_paramz00;
				BgL_sourcesz00_121 = BNIL;
			BgL_zc3anonymousza31139ze3z83_122:
				if (NULLP(BgL_objectsz00_120))
					{	/* Engine/link.scm 54 */
						obj_t BgL_arg1142z00_124;

						BgL_arg1142z00_124 = BGl_thezd2backendzd2zzbackend_backendz00();
						return
							BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
							((BgL_backendz00_bglt) BgL_arg1142z00_124), BgL_sourcesz00_121);
					}
				else
					{	/* Engine/link.scm 55 */
						obj_t BgL_objectz00_125;

						BgL_objectz00_125 = CAR(BgL_objectsz00_120);
						{	/* Engine/link.scm 55 */
							obj_t BgL_prefz00_126;

							BgL_prefz00_126 =
								BGl_unprofzd2srczd2namez00zzengine_linkz00
								(BGl_prefixz00zz__osz00(BgL_objectz00_125));
							{	/* Engine/link.scm 56 */
								obj_t BgL_bprefz00_127;

								BgL_bprefz00_127 = BGl_basenamez00zz__osz00(BgL_prefz00_126);
								{	/* Engine/link.scm 57 */
									obj_t BgL_scmzd2filezd2_128;

									BgL_scmzd2filezd2_128 =
										BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefz00_126,
										BgL_bprefz00_127);
									{	/* Engine/link.scm 58 */

										if (STRINGP(BgL_scmzd2filezd2_128))
											{	/* Engine/link.scm 60 */
												obj_t BgL_arg1144z00_130;
												obj_t BgL_arg1145z00_131;

												BgL_arg1144z00_130 = CDR(BgL_objectsz00_120);
												{	/* Engine/link.scm 60 */
													obj_t BgL_arg1146z00_132;

													BgL_arg1146z00_132 =
														MAKE_PAIR(BgL_scmzd2filezd2_128, BgL_objectz00_125);
													BgL_arg1145z00_131 =
														MAKE_PAIR(BgL_arg1146z00_132, BgL_sourcesz00_121);
												}
												{
													obj_t BgL_sourcesz00_613;
													obj_t BgL_objectsz00_612;

													BgL_objectsz00_612 = BgL_arg1144z00_130;
													BgL_sourcesz00_613 = BgL_arg1145z00_131;
													BgL_sourcesz00_121 = BgL_sourcesz00_613;
													BgL_objectsz00_120 = BgL_objectsz00_612;
													goto BgL_zc3anonymousza31139ze3z83_122;
												}
											}
										else
											{	/* Engine/link.scm 59 */
												{	/* Engine/link.scm 62 */
													bool_t BgL_testz00_614;

													{	/* Engine/link.scm 62 */
														int BgL_arg1154z00_138;

														BgL_arg1154z00_138 =
															BGl_bigloozd2warningzd2zz__paramz00();
														BgL_testz00_614 =
															((long) (BgL_arg1154z00_138) >= ((long) 2));
													}
													if (BgL_testz00_614)
														{	/* Engine/link.scm 65 */
															obj_t BgL_arg1149z00_134;

															BgL_arg1149z00_134 = CAR(BgL_objectsz00_120);
															{	/* Engine/link.scm 63 */
																obj_t BgL_list1150z00_135;

																{	/* Engine/link.scm 63 */
																	obj_t BgL_arg1152z00_136;

																	{	/* Engine/link.scm 63 */
																		obj_t BgL_arg1153z00_137;

																		BgL_arg1153z00_137 =
																			MAKE_PAIR(BgL_arg1149z00_134, BNIL);
																		BgL_arg1152z00_136 =
																			MAKE_PAIR
																			(BGl_string1396z00zzengine_linkz00,
																			BgL_arg1153z00_137);
																	}
																	BgL_list1150z00_135 =
																		MAKE_PAIR(BGl_string1397z00zzengine_linkz00,
																		BgL_arg1152z00_136);
																}
																BGl_warningz00zz__errorz00(BgL_list1150z00_135);
															}
														}
													else
														{	/* Engine/link.scm 62 */
															BFALSE;
														}
												}
												{
													obj_t BgL_objectsz00_623;

													BgL_objectsz00_623 = CDR(BgL_objectsz00_120);
													BgL_objectsz00_120 = BgL_objectsz00_623;
													goto BgL_zc3anonymousza31139ze3z83_122;
												}
											}
									}
								}
							}
						}
					}
			}
		}
	}



/* &link */
	obj_t BGl_z62linkz62zzengine_linkz00(obj_t BgL_envz00_522)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 42 */
			return BGl_linkz00zzengine_linkz00();
		}
	}



/* unprof-src-name */
	BGL_EXPORTED_DEF obj_t BGl_unprofzd2srczd2namez00zzengine_linkz00(obj_t
		BgL_namez00_3)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 71 */
			if (CBOOL(BGl_za2profilezd2modeza2zd2zzengine_paramz00))
				{	/* Engine/link.scm 74 */
					long BgL_lenz00_142;

					BgL_lenz00_142 = STRING_LENGTH(BgL_namez00_3);
					{	/* Engine/link.scm 75 */
						bool_t BgL_testz00_629;

						if ((BgL_lenz00_142 > ((long) 2)))
							{	/* Engine/link.scm 75 */
								if (
									(STRING_REF(BgL_namez00_3,
											(BgL_lenz00_142 - ((long) 1))) == ((unsigned char) 'p')))
									{	/* Engine/link.scm 76 */
										BgL_testz00_629 =
											(STRING_REF(BgL_namez00_3,
												(BgL_lenz00_142 - ((long) 2))) ==
											((unsigned char) '_'));
									}
								else
									{	/* Engine/link.scm 76 */
										BgL_testz00_629 = ((bool_t) 0);
									}
							}
						else
							{	/* Engine/link.scm 75 */
								BgL_testz00_629 = ((bool_t) 0);
							}
						if (BgL_testz00_629)
							{	/* Engine/link.scm 75 */
								return
									c_substring(BgL_namez00_3, ((long) 0),
									(BgL_lenz00_142 - ((long) 2)));
							}
						else
							{	/* Engine/link.scm 75 */
								return BgL_namez00_3;
							}
					}
				}
			else
				{	/* Engine/link.scm 72 */
					return BgL_namez00_3;
				}
		}
	}



/* &unprof-src-name */
	obj_t BGl_z62unprofzd2srczd2namez62zzengine_linkz00(obj_t BgL_envz00_523,
		obj_t BgL_namez00_524)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 71 */
			return BGl_unprofzd2srczd2namez00zzengine_linkz00(BgL_namez00_524);
		}
	}



/* find-file-for-link */
	BGL_EXPORTED_DEF obj_t BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(obj_t
		BgL_filez00_4)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 84 */
			if (fexists(BSTRING_TO_STRING(BgL_filez00_4)))
				{	/* Engine/link.scm 85 */
					return BgL_filez00_4;
				}
			else
				{	/* Engine/link.scm 85 */
					return
						BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_4,
						BGl_za2loadzd2pathza2zd2zz__evalz00);
				}
		}
	}



/* &find-file-for-link */
	obj_t BGl_z62findzd2filezd2forzd2linkzb0zzengine_linkz00(obj_t BgL_envz00_525,
		obj_t BgL_filez00_526)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 84 */
			return BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(BgL_filez00_526);
		}
	}



/* find-src-file */
	BGL_EXPORTED_DEF obj_t BGl_findzd2srczd2filez00zzengine_linkz00(obj_t
		BgL_prefixz00_5, obj_t BgL_bnamez00_6)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 92 */
			{
				obj_t BgL_suffixz00_154;
				obj_t BgL_filesz00_155;

				BgL_suffixz00_154 = BGl_za2srczd2suffixza2zd2zzengine_paramz00;
				BgL_filesz00_155 = BNIL;
			BgL_zc3anonymousza31173ze3z83_156:
				if (NULLP(BgL_suffixz00_154))
					{	/* Engine/link.scm 95 */
						if (NULLP(BgL_filesz00_155))
							{	/* Engine/link.scm 97 */
								return BFALSE;
							}
						else
							{	/* Engine/link.scm 97 */
								if (NULLP(CDR(BgL_filesz00_155)))
									{	/* Engine/link.scm 99 */
										return CAR(BgL_filesz00_155);
									}
								else
									{	/* Engine/link.scm 99 */
										{	/* Engine/link.scm 103 */
											obj_t BgL_arg1180z00_160;

											BgL_arg1180z00_160 = CAR(BgL_filesz00_155);
											{	/* Engine/link.scm 102 */
												obj_t BgL_list1181z00_161;

												{	/* Engine/link.scm 102 */
													obj_t BgL_arg1182z00_162;

													{	/* Engine/link.scm 102 */
														obj_t BgL_arg1186z00_163;

														{	/* Engine/link.scm 102 */
															obj_t BgL_arg1187z00_164;

															{	/* Engine/link.scm 102 */
																obj_t BgL_arg1194z00_165;

																BgL_arg1194z00_165 =
																	MAKE_PAIR(BgL_arg1180z00_160, BNIL);
																BgL_arg1187z00_164 =
																	MAKE_PAIR(BGl_string1398z00zzengine_linkz00,
																	BgL_arg1194z00_165);
															}
															BgL_arg1186z00_163 =
																MAKE_PAIR(BgL_bnamez00_6, BgL_arg1187z00_164);
														}
														BgL_arg1182z00_162 =
															MAKE_PAIR(BGl_string1399z00zzengine_linkz00,
															BgL_arg1186z00_163);
													}
													BgL_list1181z00_161 =
														MAKE_PAIR(BGl_string1397z00zzengine_linkz00,
														BgL_arg1182z00_162);
												}
												BGl_warningz00zz__errorz00(BgL_list1181z00_161);
											}
										}
										return CAR(BgL_filesz00_155);
									}
							}
					}
				else
					{	/* Engine/link.scm 105 */
						obj_t BgL_sufz00_167;

						BgL_sufz00_167 = CAR(BgL_suffixz00_154);
						{	/* Engine/link.scm 105 */
							obj_t BgL_fz00_168;

							BgL_fz00_168 =
								BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00(string_append_3
								(BgL_prefixz00_5, BGl_string1400z00zzengine_linkz00,
									BgL_sufz00_167));
							{	/* Engine/link.scm 106 */

								if (STRINGP(BgL_fz00_168))
									{	/* Engine/link.scm 108 */
										obj_t BgL_arg1205z00_170;
										obj_t BgL_arg1208z00_171;

										BgL_arg1205z00_170 = CDR(BgL_suffixz00_154);
										BgL_arg1208z00_171 =
											MAKE_PAIR(BgL_fz00_168, BgL_filesz00_155);
										{
											obj_t BgL_filesz00_671;
											obj_t BgL_suffixz00_670;

											BgL_suffixz00_670 = BgL_arg1205z00_170;
											BgL_filesz00_671 = BgL_arg1208z00_171;
											BgL_filesz00_155 = BgL_filesz00_671;
											BgL_suffixz00_154 = BgL_suffixz00_670;
											goto BgL_zc3anonymousza31173ze3z83_156;
										}
									}
								else
									{	/* Engine/link.scm 109 */
										obj_t BgL_fz00_172;

										BgL_fz00_172 =
											BGl_findzd2filezd2forzd2linkzd2zzengine_linkz00
											(string_append_3(BgL_bnamez00_6,
												BGl_string1400z00zzengine_linkz00, BgL_sufz00_167));
										if (STRINGP(BgL_fz00_172))
											{	/* Engine/link.scm 111 */
												obj_t BgL_arg1210z00_174;
												obj_t BgL_arg1211z00_175;

												BgL_arg1210z00_174 = CDR(BgL_suffixz00_154);
												BgL_arg1211z00_175 =
													MAKE_PAIR(BgL_fz00_172, BgL_filesz00_155);
												{
													obj_t BgL_filesz00_679;
													obj_t BgL_suffixz00_678;

													BgL_suffixz00_678 = BgL_arg1210z00_174;
													BgL_filesz00_679 = BgL_arg1211z00_175;
													BgL_filesz00_155 = BgL_filesz00_679;
													BgL_suffixz00_154 = BgL_suffixz00_678;
													goto BgL_zc3anonymousza31173ze3z83_156;
												}
											}
										else
											{
												obj_t BgL_suffixz00_680;

												BgL_suffixz00_680 = CDR(BgL_suffixz00_154);
												BgL_suffixz00_154 = BgL_suffixz00_680;
												goto BgL_zc3anonymousza31173ze3z83_156;
											}
									}
							}
						}
					}
			}
		}
	}



/* &find-src-file */
	obj_t BGl_z62findzd2srczd2filez62zzengine_linkz00(obj_t BgL_envz00_527,
		obj_t BgL_prefixz00_528, obj_t BgL_bnamez00_529)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 92 */
			return
				BGl_findzd2srczd2filez00zzengine_linkz00(BgL_prefixz00_528,
				BgL_bnamez00_529);
		}
	}



/* find-libraries */
	BGL_EXPORTED_DEF obj_t BGl_findzd2librarieszd2zzengine_linkz00(obj_t
		BgL_clausesz00_7)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 117 */
			return BGl_loopz00zzengine_linkz00(BgL_clausesz00_7, BNIL);
		}
	}



/* <anonymous:1317> */
	obj_t BGl_zc3anonymousza31317ze3z83zzengine_linkz00(obj_t BgL_l1115z00_272)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 133 */
			if (NULLP(BgL_l1115z00_272))
				{	/* Engine/link.scm 133 */
					return BNIL;
				}
			else
				{	/* Engine/link.scm 133 */
					return
						bgl_append2(BGl_readzd2directiveszd2zzread_includez00(CAR
							(BgL_l1115z00_272)),
						BGl_zc3anonymousza31317ze3z83zzengine_linkz00(CDR
							(BgL_l1115z00_272)));
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zzengine_linkz00(obj_t BgL_clausesz00_182,
		obj_t BgL_librariesz00_183)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 118 */
		BGl_loopz00zzengine_linkz00:
			{
				obj_t BgL_evclausesz00_190;
				obj_t BgL_restz00_191;
				obj_t BgL_includesz00_193;
				obj_t BgL_restz00_194;
				obj_t BgL_restz00_196;

				if (NULLP(BgL_clausesz00_182))
					{	/* Engine/link.scm 118 */
						return bgl_reverse_bang(BgL_librariesz00_183);
					}
				else
					{	/* Engine/link.scm 118 */
						if (PAIRP(BgL_clausesz00_182))
							{	/* Engine/link.scm 118 */
								obj_t BgL_carzd2121zd2_202;

								BgL_carzd2121zd2_202 = CAR(BgL_clausesz00_182);
								if (PAIRP(BgL_carzd2121zd2_202))
									{	/* Engine/link.scm 118 */
										if (
											(CAR(BgL_carzd2121zd2_202) == CNST_TABLE_REF(((long) 1))))
											{	/* Engine/link.scm 118 */
												obj_t BgL_arg1223z00_206;

												BgL_arg1223z00_206 = CDR(BgL_clausesz00_182);
												{	/* Engine/link.scm 118 */
													obj_t BgL_libz00_462;

													BgL_libz00_462 = BgL_carzd2121zd2_202;
													{	/* Engine/link.scm 118 */
														obj_t BgL_arg1283z00_465;

														BgL_arg1283z00_465 =
															MAKE_PAIR(BgL_libz00_462, BgL_librariesz00_183);
														{
															obj_t BgL_librariesz00_706;
															obj_t BgL_clausesz00_705;

															BgL_clausesz00_705 = BgL_arg1223z00_206;
															BgL_librariesz00_706 = BgL_arg1283z00_465;
															BgL_librariesz00_183 = BgL_librariesz00_706;
															BgL_clausesz00_182 = BgL_clausesz00_705;
															goto BGl_loopz00zzengine_linkz00;
														}
													}
												}
											}
										else
											{	/* Engine/link.scm 118 */
												if (
													(CAR(BgL_carzd2121zd2_202) ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Engine/link.scm 118 */
														BgL_evclausesz00_190 = CDR(BgL_carzd2121zd2_202);
														BgL_restz00_191 = CDR(BgL_clausesz00_182);
														{	/* Engine/link.scm 126 */
															obj_t BgL_evlibsz00_253;

															{	/* Engine/link.scm 126 */
																obj_t BgL_list1286z00_256;

																BgL_list1286z00_256 =
																	MAKE_PAIR(BgL_evclausesz00_190, BNIL);
																BgL_evlibsz00_253 =
																	BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
																	(BGl_proc1401z00zzengine_linkz00,
																	BgL_list1286z00_256);
															}
															{
																obj_t BgL_librariesz00_714;
																obj_t BgL_clausesz00_713;

																BgL_clausesz00_713 = BgL_restz00_191;
																BgL_librariesz00_714 =
																	BGl_appendzd221011zd2zzengine_linkz00
																	(BgL_evlibsz00_253, BgL_librariesz00_183);
																BgL_librariesz00_183 = BgL_librariesz00_714;
																BgL_clausesz00_182 = BgL_clausesz00_713;
																goto BGl_loopz00zzengine_linkz00;
															}
														}
													}
												else
													{	/* Engine/link.scm 118 */
														obj_t BgL_carzd2148zd2_211;

														BgL_carzd2148zd2_211 = CAR(BgL_clausesz00_182);
														if (
															(CAR(BgL_carzd2148zd2_211) ==
																CNST_TABLE_REF(((long) 3))))
															{	/* Engine/link.scm 118 */
																BgL_includesz00_193 = CDR(BgL_carzd2148zd2_211);
																BgL_restz00_194 = CDR(BgL_clausesz00_182);
																{	/* Engine/link.scm 133 */
																	obj_t BgL_directivesz00_269;

																	BgL_directivesz00_269 =
																		BGl_zc3anonymousza31317ze3z83zzengine_linkz00
																		(BgL_includesz00_193);
																	{
																		obj_t BgL_clausesz00_724;

																		BgL_clausesz00_724 =
																			BGl_appendzd221011zd2zzengine_linkz00
																			(BgL_directivesz00_269, BgL_restz00_194);
																		BgL_clausesz00_182 = BgL_clausesz00_724;
																		goto BGl_loopz00zzengine_linkz00;
																	}
																}
															}
														else
															{	/* Engine/link.scm 118 */
																if (
																	(CAR(BgL_carzd2148zd2_211) ==
																		CNST_TABLE_REF(((long) 4))))
																	{	/* Engine/link.scm 118 */
																		BgL_restz00_196 = CDR(BgL_clausesz00_182);
																		{	/* Engine/link.scm 138 */
																			obj_t BgL_arg1327z00_280;
																			obj_t BgL_arg1328z00_281;

																			{	/* Engine/link.scm 138 */
																				obj_t BgL_arg1329z00_282;

																				BgL_arg1329z00_282 =
																					BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
																					(CAR(BgL_clausesz00_182));
																				{	/* Engine/link.scm 138 */
																					obj_t BgL_list1330z00_283;

																					BgL_list1330z00_283 =
																						MAKE_PAIR(BgL_arg1329z00_282, BNIL);
																					BgL_arg1327z00_280 =
																						BgL_list1330z00_283;
																			}}
																			BgL_arg1328z00_281 =
																				BGl_loopz00zzengine_linkz00
																				(BgL_restz00_196, BgL_librariesz00_183);
																			{
																				obj_t BgL_librariesz00_737;
																				obj_t BgL_clausesz00_736;

																				BgL_clausesz00_736 = BgL_arg1327z00_280;
																				BgL_librariesz00_737 =
																					BgL_arg1328z00_281;
																				BgL_librariesz00_183 =
																					BgL_librariesz00_737;
																				BgL_clausesz00_182 = BgL_clausesz00_736;
																				goto BGl_loopz00zzengine_linkz00;
																			}
																		}
																	}
																else
																	{	/* Engine/link.scm 118 */
																	BgL_tagzd2106zd2_198:
																		{
																			obj_t BgL_clausesz00_739;

																			BgL_clausesz00_739 =
																				CDR(BgL_clausesz00_182);
																			BgL_clausesz00_182 = BgL_clausesz00_739;
																			goto BGl_loopz00zzengine_linkz00;
																		}
																	}
															}
													}
											}
									}
								else
									{	/* Engine/link.scm 118 */
										goto BgL_tagzd2106zd2_198;
									}
							}
						else
							{	/* Engine/link.scm 118 */
								goto BgL_tagzd2106zd2_198;
							}
					}
			}
		}
	}



/* &find-libraries */
	obj_t BGl_z62findzd2librarieszb0zzengine_linkz00(obj_t BgL_envz00_531,
		obj_t BgL_clausesz00_532)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 117 */
			return BGl_findzd2librarieszd2zzengine_linkz00(BgL_clausesz00_532);
		}
	}



/* &<anonymous:1287> */
	obj_t BGl_z62zc3anonymousza31287ze3ze1zzengine_linkz00(obj_t BgL_envz00_533,
		obj_t BgL_clausesz00_534)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 126 */
			{
				obj_t BgL_clausesz00_257;

				BgL_clausesz00_257 = BgL_clausesz00_534;
				if (PAIRP(BgL_clausesz00_257))
					{	/* Engine/link.scm 126 */
						if ((CAR(BgL_clausesz00_257) == CNST_TABLE_REF(((long) 1))))
							{	/* Engine/link.scm 126 */
								obj_t BgL_arg1308z00_443;

								BgL_arg1308z00_443 = MAKE_PAIR(BgL_clausesz00_257, BNIL);
								return
									MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg1308z00_443);
							}
						else
							{	/* Engine/link.scm 126 */
								return BFALSE;
							}
					}
				else
					{	/* Engine/link.scm 126 */
						return BFALSE;
					}
			}
		}
	}



/* make-tmp-main */
	BGL_EXPORTED_DEF obj_t BGl_makezd2tmpzd2mainz00zzengine_linkz00(obj_t
		BgL_filez00_8, bool_t BgL_mainz00_9, obj_t BgL_modulez00_10,
		obj_t BgL_clausesz00_11, obj_t BgL_librariesz00_12)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 146 */
			{	/* Engine/link.scm 147 */
				obj_t BgL_poutz00_287;

				{	/* Engine/link.scm 147 */

					BgL_poutz00_287 =
						BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_filez00_8,
						BTRUE);
				}
				if (OUTPUT_PORTP(BgL_poutz00_287))
					{	/* Engine/link.scm 148 */
						{	/* Engine/link.scm 151 */
							obj_t BgL_port1116z00_289;

							BgL_port1116z00_289 = BgL_poutz00_287;
							BGL_DISPLAY_STRING(BGl_string1402z00zzengine_linkz00,
								BgL_port1116z00_289);
							bgl_display_obj(BGl_za2bigloozd2nameza2zd2zzengine_paramz00,
								BgL_port1116z00_289);
							bgl_display_char(((unsigned char) '\n'), BgL_port1116z00_289);
						}
						{	/* Engine/link.scm 152 */
							obj_t BgL_port1117z00_290;

							BgL_port1117z00_290 = BgL_poutz00_287;
							BGL_DISPLAY_STRING(BGl_string1403z00zzengine_linkz00,
								BgL_port1117z00_290);
							bgl_display_char(((unsigned char) '\n'), BgL_port1117z00_290);
						}
						{	/* Engine/link.scm 153 */
							obj_t BgL_port1118z00_291;

							BgL_port1118z00_291 = BgL_poutz00_287;
							BGL_DISPLAY_STRING(BGl_string1404z00zzengine_linkz00,
								BgL_port1118z00_291);
							bgl_display_char(((unsigned char) '\n'), BgL_port1118z00_291);
						}
						bgl_display_char(((unsigned char) '\n'), BgL_poutz00_287);
						{	/* Engine/link.scm 155 */
							obj_t BgL_modz00_292;

							{	/* Engine/link.scm 156 */
								obj_t BgL_arg1341z00_294;

								{	/* Engine/link.scm 156 */
									obj_t BgL_arg1343z00_295;

									{	/* Engine/link.scm 156 */
										obj_t BgL_arg1349z00_296;
										obj_t BgL_arg1350z00_297;

										{	/* Engine/link.scm 156 */
											obj_t BgL_arg1361z00_298;

											BgL_arg1361z00_298 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(bgl_reverse(BgL_clausesz00_11), BNIL);
											BgL_arg1349z00_296 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
												BgL_arg1361z00_298);
										}
										BgL_arg1350z00_297 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_librariesz00_12, BNIL);
										BgL_arg1343z00_295 =
											MAKE_PAIR(BgL_arg1349z00_296, BgL_arg1350z00_297);
									}
									BgL_arg1341z00_294 =
										MAKE_PAIR(BgL_modulez00_10, BgL_arg1343z00_295);
								}
								BgL_modz00_292 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BgL_arg1341z00_294);
							}
							{	/* Engine/link.scm 158 */
								obj_t BgL_port1119z00_293;

								BgL_port1119z00_293 = BgL_poutz00_287;
								bgl_display_obj(BgL_modz00_292, BgL_port1119z00_293);
								bgl_display_char(((unsigned char) '\n'), BgL_port1119z00_293);
							}
							bgl_display_char(((unsigned char) '\n'), BgL_poutz00_287);
						}
						if (BgL_mainz00_9)
							{	/* Engine/link.scm 160 */
								{	/* Engine/link.scm 161 */
									obj_t BgL_port1120z00_300;

									BgL_port1120z00_300 = BgL_poutz00_287;
									BGL_DISPLAY_STRING(BGl_string1405z00zzengine_linkz00,
										BgL_port1120z00_300);
									bgl_display_char(((unsigned char) '\n'), BgL_port1120z00_300);
								}
								bgl_display_char(((unsigned char) '\n'), BgL_poutz00_287);
							}
						else
							{	/* Engine/link.scm 160 */
								BFALSE;
							}
						return bgl_close_output_port(BgL_poutz00_287);
					}
				else
					{	/* Engine/link.scm 148 */
						return
							BGl_errorz00zz__errorz00(BGl_string1406z00zzengine_linkz00,
							BGl_string1407z00zzengine_linkz00, BgL_filez00_8);
					}
			}
		}
	}



/* &make-tmp-main */
	obj_t BGl_z62makezd2tmpzd2mainz62zzengine_linkz00(obj_t BgL_envz00_535,
		obj_t BgL_filez00_536, obj_t BgL_mainz00_537, obj_t BgL_modulez00_538,
		obj_t BgL_clausesz00_539, obj_t BgL_librariesz00_540)
	{
		AN_OBJECT;
		{	/* Engine/link.scm 146 */
			return
				BGl_makezd2tmpzd2mainz00zzengine_linkz00(BgL_filez00_536,
				CBOOL(BgL_mainz00_537), BgL_modulez00_538, BgL_clausesz00_539,
				BgL_librariesz00_540);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_linkz00()
	{
		AN_OBJECT;
		{	/* Engine/link.scm 20 */
			BGl_modulezd2initializa7ationz75zzcc_ldz00(((long) 335315213),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzread_readerz00(((long) 95801752),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			BGl_modulezd2initializa7ationz75zzexpand_installz00(((long) 291484121),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
			return
				BGl_modulezd2initializa7ationz75zzread_includez00(((long) 236488026),
				BSTRING_TO_STRING(BGl_string1408z00zzengine_linkz00));
		}
	}

#ifdef __cplusplus
}
#endif
