/*===========================================================================*/
/*   (Globalize/clocto.scm)                                                  */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Globalize/clocto.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sfunzf2ginfozf2_bgl
	{
		bool_t BgL_gzf3zf3;
		obj_t BgL_cfromz00;
		obj_t BgL_cfromza2za2;
		obj_t BgL_ctoz00;
		obj_t BgL_ctoza2za2;
		obj_t BgL_cfunctionz00;
		obj_t BgL_integratorz00;
		obj_t BgL_imarkz00;
		obj_t BgL_ownerz00;
		obj_t BgL_integratedz00;
		obj_t BgL_pluggedzd2inzd2;
		long BgL_markz00;
		obj_t BgL_freezd2markzd2;
		obj_t BgL_thezd2globalzd2;
		obj_t BgL_kapturedz00;
		obj_t BgL_newzd2bodyzd2;
		long BgL_bmarkz00;
		long BgL_umarkz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
	}                      *BgL_sfunzf2ginfozf2_bglt;


	static obj_t BGl_objectzd2initzd2zzglobaliza7e_cloctoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7
		(BgL_localz00_bglt);
	static obj_t BGl_appendzd221011zd2zzglobaliza7e_cloctoza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7();
	extern obj_t BGl_unionz00zzglobaliza7e_kaptureza7(obj_t);
	static obj_t
		BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 =
		BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzglobaliza7e_cloctoza7();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_ctozd2transitivezd2closurez12zd2envzc0zzglobaliza7e_cloctoza7,
		BgL_bgl_za762ctoza7d2transit2013z00,
		BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7,
		BgL_bgl_string2012za700za7za7g2014za7, "globalize_clocto", 16);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzglobaliza7e_cloctoza7(long
		BgL_checksumz00_2394, char *BgL_fromz00_2395)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7))
				{
					BGl_requirezd2initializa7ationz75zzglobaliza7e_cloctoza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
					BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"globalize_clocto");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"globalize_clocto");
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzglobaliza7e_cloctoza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1426;

				BgL_headz00_1426 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1427;
					obj_t BgL_tailz00_1428;

					BgL_prevz00_1427 = BgL_headz00_1426;
					BgL_tailz00_1428 = BgL_l1z00_1;
				BgL_loopz00_1429:
					if (PAIRP(BgL_tailz00_1428))
						{
							obj_t BgL_newzd2prevzd2_1431;

							BgL_newzd2prevzd2_1431 =
								MAKE_PAIR(CAR(BgL_tailz00_1428), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1427, BgL_newzd2prevzd2_1431);
							{
								obj_t BgL_tailz00_2410;
								obj_t BgL_prevz00_2409;

								BgL_prevz00_2409 = BgL_newzd2prevzd2_1431;
								BgL_tailz00_2410 = CDR(BgL_tailz00_1428);
								BgL_tailz00_1428 = BgL_tailz00_2410;
								BgL_prevz00_1427 = BgL_prevz00_2409;
								goto BgL_loopz00_1429;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1426);
				}
			}
		}
	}



/* cto-transitive-closure! */
	BGL_EXPORTED_DEF obj_t
		BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7
		(BgL_localz00_bglt BgL_hostz00_3)
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 36 */
			{	/* Globalize/clocto.scm 37 */
				BgL_valuez00_bglt BgL_infoz00_1434;

				BgL_infoz00_1434 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_hostz00_3)))->BgL_valuez00);
				{	/* Globalize/clocto.scm 37 */
					obj_t BgL_ctoz00_1435;

					{	/* Globalize/clocto.scm 38 */
						obj_t BgL_arg1938z00_1469;
						obj_t BgL_arg1939z00_1470;

						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2415;

							{
								obj_t BgL_auxz00_2416;

								{	/* Globalize/clocto.scm 38 */
									BgL_objectz00_bglt BgL_auxz00_2417;

									BgL_auxz00_2417 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_infoz00_1434));
									BgL_auxz00_2416 = BGL_OBJECT_WIDENING(BgL_auxz00_2417);
								}
								BgL_auxz00_2415 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2416);
							}
							BgL_arg1938z00_1469 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2415))->
								BgL_ctoz00);
						}
						{
							BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2423;

							{
								obj_t BgL_auxz00_2424;

								{	/* Globalize/clocto.scm 39 */
									BgL_objectz00_bglt BgL_auxz00_2425;

									BgL_auxz00_2425 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_infoz00_1434));
									BgL_auxz00_2424 = BGL_OBJECT_WIDENING(BgL_auxz00_2425);
								}
								BgL_auxz00_2423 = ((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2424);
							}
							BgL_arg1939z00_1470 =
								(((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2423))->
								BgL_cfunctionz00);
						}
						BgL_ctoz00_1435 =
							BGl_appendzd221011zd2zzglobaliza7e_cloctoza7(BgL_arg1938z00_1469,
							BgL_arg1939z00_1470);
					}
					{	/* Globalize/clocto.scm 38 */
						obj_t BgL_ctoza2zd2origz70_1436;

						{	/* Globalize/clocto.scm 40 */
							obj_t BgL_list1937z00_1468;

							BgL_list1937z00_1468 = MAKE_PAIR(BgL_ctoz00_1435, BNIL);
							BgL_ctoza2zd2origz70_1436 = BgL_list1937z00_1468;
						}
						{	/* Globalize/clocto.scm 40 */

							{
								obj_t BgL_ctoz00_1438;
								obj_t BgL_ctoza2za2_1439;

								BgL_ctoz00_1438 = BgL_ctoz00_1435;
								BgL_ctoza2za2_1439 = BgL_ctoza2zd2origz70_1436;
							BgL_zc3anonymousza31909ze3z83_1440:
								if (NULLP(BgL_ctoz00_1438))
									{	/* Globalize/clocto.scm 46 */
										obj_t BgL_arg1911z00_1442;

										if ((BgL_ctoza2za2_1439 == BgL_ctoza2zd2origz70_1436))
											{	/* Globalize/clocto.scm 46 */
												BgL_arg1911z00_1442 = CAR(BgL_ctoza2zd2origz70_1436);
											}
										else
											{	/* Globalize/clocto.scm 46 */
												BgL_arg1911z00_1442 =
													BGl_unionz00zzglobaliza7e_kaptureza7
													(BgL_ctoza2za2_1439);
											}
										{	/* Globalize/clocto.scm 45 */
											BgL_sfunz00_bglt BgL_oz00_2346;

											BgL_oz00_2346 = ((BgL_sfunz00_bglt) BgL_infoz00_1434);
											{
												BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2440;

												{
													obj_t BgL_auxz00_2441;

													{	/* Globalize/clocto.scm 45 */
														BgL_objectz00_bglt BgL_auxz00_2442;

														BgL_auxz00_2442 =
															((BgL_objectz00_bglt) BgL_oz00_2346);
														BgL_auxz00_2441 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2442);
													}
													BgL_auxz00_2440 =
														((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2441);
												}
												return
													((((BgL_sfunzf2ginfozf2_bglt) CREF(BgL_auxz00_2440))->
														BgL_ctoza2za2) =
													((obj_t) BgL_arg1911z00_1442), BUNSPEC);
											}
										}
									}
								else
									{	/* Globalize/clocto.scm 49 */
										bool_t BgL_testz00_2447;

										{	/* Globalize/clocto.scm 49 */
											obj_t BgL_arg1936z00_1466;

											BgL_arg1936z00_1466 = CAR(BgL_ctoz00_1438);
											BgL_testz00_2447 =
												(BgL_arg1936z00_1466 == BGl_localz00zzast_varz00);
										}
										if (BgL_testz00_2447)
											{
												obj_t BgL_ctoz00_2450;

												BgL_ctoz00_2450 = CDR(BgL_ctoz00_1438);
												BgL_ctoz00_1438 = BgL_ctoz00_2450;
												goto BgL_zc3anonymousza31909ze3z83_1440;
											}
										else
											{	/* Globalize/clocto.scm 51 */
												bool_t BgL_testz00_2452;

												{
													BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2453;

													{
														obj_t BgL_auxz00_2454;

														{	/* Globalize/clocto.scm 51 */
															BgL_objectz00_bglt BgL_auxz00_2455;

															{
																BgL_sfunz00_bglt BgL_auxz00_2456;

																{
																	BgL_valuez00_bglt BgL_auxz00_2457;

																	{
																		BgL_variablez00_bglt BgL_auxz00_2458;

																		{
																			BgL_localz00_bglt BgL_auxz00_2459;

																			{	/* Globalize/clocto.scm 51 */
																				obj_t BgL_pairz00_2351;

																				BgL_pairz00_2351 = BgL_ctoz00_1438;
																				BgL_auxz00_2459 =
																					((BgL_localz00_bglt)
																					CAR(BgL_pairz00_2351));
																			}
																			BgL_auxz00_2458 =
																				((BgL_variablez00_bglt)
																				BgL_auxz00_2459);
																		}
																		BgL_auxz00_2457 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_2458))->BgL_valuez00);
																	}
																	BgL_auxz00_2456 =
																		((BgL_sfunz00_bglt) BgL_auxz00_2457);
																}
																BgL_auxz00_2455 =
																	((BgL_objectz00_bglt) BgL_auxz00_2456);
															}
															BgL_auxz00_2454 =
																BGL_OBJECT_WIDENING(BgL_auxz00_2455);
														}
														BgL_auxz00_2453 =
															((BgL_sfunzf2ginfozf2_bglt) BgL_auxz00_2454);
													}
													BgL_testz00_2452 =
														(((BgL_sfunzf2ginfozf2_bglt)
															CREF(BgL_auxz00_2453))->BgL_gzf3zf3);
												}
												if (BgL_testz00_2452)
													{
														obj_t BgL_ctoz00_2469;

														BgL_ctoz00_2469 = CDR(BgL_ctoz00_1438);
														BgL_ctoz00_1438 = BgL_ctoz00_2469;
														goto BgL_zc3anonymousza31909ze3z83_1440;
													}
												else
													{	/* Globalize/clocto.scm 53 */
														bool_t BgL_testz00_2471;

														{	/* Globalize/clocto.scm 53 */
															obj_t BgL_auxz00_2472;

															{
																BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2473;

																{
																	obj_t BgL_auxz00_2474;

																	{	/* Globalize/clocto.scm 53 */
																		BgL_objectz00_bglt BgL_auxz00_2475;

																		{
																			BgL_sfunz00_bglt BgL_auxz00_2476;

																			{
																				BgL_valuez00_bglt BgL_auxz00_2477;

																				{
																					BgL_variablez00_bglt BgL_auxz00_2478;

																					{
																						BgL_localz00_bglt BgL_auxz00_2479;

																						{	/* Globalize/clocto.scm 53 */
																							obj_t BgL_pairz00_2359;

																							BgL_pairz00_2359 =
																								BgL_ctoz00_1438;
																							BgL_auxz00_2479 =
																								((BgL_localz00_bglt)
																								CAR(BgL_pairz00_2359));
																						}
																						BgL_auxz00_2478 =
																							((BgL_variablez00_bglt)
																							BgL_auxz00_2479);
																					}
																					BgL_auxz00_2477 =
																						(((BgL_variablez00_bglt)
																							CREF(BgL_auxz00_2478))->
																						BgL_valuez00);
																				}
																				BgL_auxz00_2476 =
																					((BgL_sfunz00_bglt) BgL_auxz00_2477);
																			}
																			BgL_auxz00_2475 =
																				((BgL_objectz00_bglt) BgL_auxz00_2476);
																		}
																		BgL_auxz00_2474 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2475);
																	}
																	BgL_auxz00_2473 =
																		((BgL_sfunzf2ginfozf2_bglt)
																		BgL_auxz00_2474);
																}
																BgL_auxz00_2472 =
																	(((BgL_sfunzf2ginfozf2_bglt)
																		CREF(BgL_auxz00_2473))->BgL_ctoza2za2);
															}
															BgL_testz00_2471 = CBOOL(BgL_auxz00_2472);
														}
														if (BgL_testz00_2471)
															{
																obj_t BgL_ctoz00_2490;

																BgL_ctoz00_2490 = CDR(BgL_ctoz00_1438);
																BgL_ctoz00_1438 = BgL_ctoz00_2490;
																goto BgL_zc3anonymousza31909ze3z83_1440;
															}
														else
															{	/* Globalize/clocto.scm 57 */
																obj_t BgL_calleez00_1450;

																{	/* Globalize/clocto.scm 58 */
																	obj_t BgL_arg1924z00_1456;
																	obj_t BgL_arg1925z00_1457;

																	{
																		BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2492;

																		{
																			obj_t BgL_auxz00_2493;

																			{	/* Globalize/clocto.scm 58 */
																				BgL_objectz00_bglt BgL_auxz00_2494;

																				{
																					BgL_sfunz00_bglt BgL_auxz00_2495;

																					{
																						BgL_valuez00_bglt BgL_auxz00_2496;

																						{
																							BgL_variablez00_bglt
																								BgL_auxz00_2497;
																							{
																								BgL_localz00_bglt
																									BgL_auxz00_2498;
																								{	/* Globalize/clocto.scm 58 */
																									obj_t BgL_pairz00_2366;

																									BgL_pairz00_2366 =
																										BgL_ctoz00_1438;
																									BgL_auxz00_2498 =
																										((BgL_localz00_bglt)
																										CAR(BgL_pairz00_2366));
																								}
																								BgL_auxz00_2497 =
																									((BgL_variablez00_bglt)
																									BgL_auxz00_2498);
																							}
																							BgL_auxz00_2496 =
																								(((BgL_variablez00_bglt)
																									CREF(BgL_auxz00_2497))->
																								BgL_valuez00);
																						}
																						BgL_auxz00_2495 =
																							((BgL_sfunz00_bglt)
																							BgL_auxz00_2496);
																					}
																					BgL_auxz00_2494 =
																						((BgL_objectz00_bglt)
																						BgL_auxz00_2495);
																				}
																				BgL_auxz00_2493 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2494);
																			}
																			BgL_auxz00_2492 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_auxz00_2493);
																		}
																		BgL_arg1924z00_1456 =
																			(((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_2492))->BgL_ctoz00);
																	}
																	{
																		BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2508;

																		{
																			obj_t BgL_auxz00_2509;

																			{	/* Globalize/clocto.scm 59 */
																				BgL_objectz00_bglt BgL_auxz00_2510;

																				{
																					BgL_sfunz00_bglt BgL_auxz00_2511;

																					{
																						BgL_valuez00_bglt BgL_auxz00_2512;

																						{
																							BgL_variablez00_bglt
																								BgL_auxz00_2513;
																							{
																								BgL_localz00_bglt
																									BgL_auxz00_2514;
																								{	/* Globalize/clocto.scm 59 */
																									obj_t BgL_pairz00_2372;

																									BgL_pairz00_2372 =
																										BgL_ctoz00_1438;
																									BgL_auxz00_2514 =
																										((BgL_localz00_bglt)
																										CAR(BgL_pairz00_2372));
																								}
																								BgL_auxz00_2513 =
																									((BgL_variablez00_bglt)
																									BgL_auxz00_2514);
																							}
																							BgL_auxz00_2512 =
																								(((BgL_variablez00_bglt)
																									CREF(BgL_auxz00_2513))->
																								BgL_valuez00);
																						}
																						BgL_auxz00_2511 =
																							((BgL_sfunz00_bglt)
																							BgL_auxz00_2512);
																					}
																					BgL_auxz00_2510 =
																						((BgL_objectz00_bglt)
																						BgL_auxz00_2511);
																				}
																				BgL_auxz00_2509 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_2510);
																			}
																			BgL_auxz00_2508 =
																				((BgL_sfunzf2ginfozf2_bglt)
																				BgL_auxz00_2509);
																		}
																		BgL_arg1925z00_1457 =
																			(((BgL_sfunzf2ginfozf2_bglt)
																				CREF(BgL_auxz00_2508))->
																			BgL_cfunctionz00);
																	}
																	BgL_calleez00_1450 =
																		BGl_appendzd221011zd2zzglobaliza7e_cloctoza7
																		(BgL_arg1924z00_1456, BgL_arg1925z00_1457);
																}
																{	/* Globalize/clocto.scm 61 */
																	BgL_valuez00_bglt BgL_arg1919z00_1451;

																	{
																		BgL_variablez00_bglt BgL_auxz00_2525;

																		{
																			BgL_localz00_bglt BgL_auxz00_2526;

																			{	/* Globalize/clocto.scm 61 */
																				obj_t BgL_pairz00_2378;

																				BgL_pairz00_2378 = BgL_ctoz00_1438;
																				BgL_auxz00_2526 =
																					((BgL_localz00_bglt)
																					CAR(BgL_pairz00_2378));
																			}
																			BgL_auxz00_2525 =
																				((BgL_variablez00_bglt)
																				BgL_auxz00_2526);
																		}
																		BgL_arg1919z00_1451 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_auxz00_2525))->BgL_valuez00);
																	}
																	{	/* Globalize/clocto.scm 61 */
																		BgL_sfunz00_bglt BgL_oz00_2382;

																		BgL_oz00_2382 =
																			((BgL_sfunz00_bglt) BgL_arg1919z00_1451);
																		{
																			BgL_sfunzf2ginfozf2_bglt BgL_auxz00_2532;

																			{
																				obj_t BgL_auxz00_2533;

																				{	/* Globalize/clocto.scm 61 */
																					BgL_objectz00_bglt BgL_auxz00_2534;

																					BgL_auxz00_2534 =
																						((BgL_objectz00_bglt)
																						BgL_oz00_2382);
																					BgL_auxz00_2533 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_2534);
																				}
																				BgL_auxz00_2532 =
																					((BgL_sfunzf2ginfozf2_bglt)
																					BgL_auxz00_2533);
																			}
																			((((BgL_sfunzf2ginfozf2_bglt)
																						CREF(BgL_auxz00_2532))->
																					BgL_ctoza2za2) =
																				((obj_t) BTRUE), BUNSPEC);
																		}
																	}
																}
																{	/* Globalize/clocto.scm 63 */
																	obj_t BgL_arg1921z00_1453;
																	obj_t BgL_arg1922z00_1454;

																	BgL_arg1921z00_1453 =
																		BGl_appendzd221011zd2zzglobaliza7e_cloctoza7
																		(CDR(BgL_ctoz00_1438), BgL_calleez00_1450);
																	BgL_arg1922z00_1454 =
																		MAKE_PAIR(BgL_calleez00_1450,
																		BgL_ctoza2za2_1439);
																	{
																		obj_t BgL_ctoza2za2_2543;
																		obj_t BgL_ctoz00_2542;

																		BgL_ctoz00_2542 = BgL_arg1921z00_1453;
																		BgL_ctoza2za2_2543 = BgL_arg1922z00_1454;
																		BgL_ctoza2za2_1439 = BgL_ctoza2za2_2543;
																		BgL_ctoz00_1438 = BgL_ctoz00_2542;
																		goto BgL_zc3anonymousza31909ze3z83_1440;
																	}
																}
															}
													}
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &cto-transitive-closure! */
	obj_t BGl_z62ctozd2transitivezd2closurez12z70zzglobaliza7e_cloctoza7(obj_t
		BgL_envz00_2392, obj_t BgL_hostz00_2393)
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 36 */
			return
				BGl_ctozd2transitivezd2closurez12z12zzglobaliza7e_cloctoza7(
				((BgL_localz00_bglt) BgL_hostz00_2393));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzglobaliza7e_cloctoza7()
	{
		AN_OBJECT;
		{	/* Globalize/clocto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_ginfoza7(((long) 0),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
			return
				BGl_modulezd2initializa7ationz75zzglobaliza7e_kaptureza7(((long)
					459831036),
				BSTRING_TO_STRING(BGl_string2012z00zzglobaliza7e_cloctoza7));
		}
	}

#ifdef __cplusplus
}
#endif
