/*===========================================================================*/
/*   (Object/java_access.scm)                                                */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/java_access.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;


	static obj_t
		BGl_z62importzd2javazd2classzd2accessorsz12za2zzobject_javazd2accesszd2
		(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t
		BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
		(BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2 =
		BUNSPEC;
	extern obj_t
		BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(obj_t);
	extern obj_t
		BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00(BgL_typez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_javazd2accesszd2();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_javazd2accesszd2();
	extern obj_t
		BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
		(BgL_typez00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzobject_javazd2accesszd2(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_javazd2accesszd2();
	extern obj_t BGl_jclassz00zzobject_classz00;
	BGL_EXPORTED_DECL obj_t
		BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t,
		obj_t, BgL_typez00_bglt, bool_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_javazd2accesszd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzobject_javazd2accesszd2();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00(BgL_typez00_bglt, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static bool_t
		BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2(BgL_typez00_bglt,
		obj_t);
	extern obj_t
		BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
		(BgL_typez00_bglt, obj_t, obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string1546z00zzobject_javazd2accesszd2,
		BgL_bgl_string1546za700za7za7o1553za7, "super of `", 10);
	      DEFINE_STRING(BGl_string1547z00zzobject_javazd2accesszd2,
		BgL_bgl_string1547za700za7za7o1554za7, "' is not a class", 16);
	      DEFINE_STRING(BGl_string1548z00zzobject_javazd2accesszd2,
		BgL_bgl_string1548za700za7za7o1555za7, "object_java-access", 18);
	      DEFINE_STRING(BGl_string1549z00zzobject_javazd2accesszd2,
		BgL_bgl_string1549za700za7za7o1556za7, "foreign ", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_importzd2javazd2classzd2accessorsz12zd2envz12zzobject_javazd2accesszd2,
		BgL_bgl_za762importza7d2java1557z00,
		BGl_z62importzd2javazd2classzd2accessorsz12za2zzobject_javazd2accesszd2, 0L,
		BUNSPEC, 6);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzobject_javazd2accesszd2(long
		BgL_checksumz00_1126, char *BgL_fromz00_1127)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2))
				{
					BGl_requirezd2initializa7ationz75zzobject_javazd2accesszd2 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2();
					BGl_cnstzd2initzd2zzobject_javazd2accesszd2();
					BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_java-access");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_java-access");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			{	/* Object/java_access.scm 21 */
				obj_t BgL_cportz00_1118;

				BgL_cportz00_1118 =
					bgl_open_input_string(BGl_string1549z00zzobject_javazd2accesszd2,
					(int) (((long) 0)));
				{
					long BgL_iz00_1119;

					BgL_iz00_1119 = ((long) 0);
				BgL_loopz00_1120:
					if ((BgL_iz00_1119 == ((long) -1)))
						{	/* Object/java_access.scm 21 */
							return BUNSPEC;
						}
					else
						{	/* Object/java_access.scm 21 */
							{	/* Object/java_access.scm 21 */
								obj_t BgL_arg1552z00_1122;

								{	/* Object/java_access.scm 21 */

									{	/* Object/java_access.scm 21 */
										obj_t BgL_locationz00_1124;

										BgL_locationz00_1124 = BBOOL(((bool_t) 0));
										{	/* Object/java_access.scm 21 */

											BgL_arg1552z00_1122 =
												BGl_readz00zz__readerz00(BgL_cportz00_1118,
												BgL_locationz00_1124);
										}
									}
								}
								{	/* Object/java_access.scm 21 */
									int BgL_auxz00_1145;

									BgL_auxz00_1145 = (int) (BgL_iz00_1119);
									CNST_TABLE_SET(BgL_auxz00_1145, BgL_arg1552z00_1122);
							}}
							{	/* Object/java_access.scm 21 */
								int BgL_auxz00_1125;

								BgL_auxz00_1125 = (int) ((BgL_iz00_1119 - ((long) 1)));
								{
									long BgL_iz00_1150;

									BgL_iz00_1150 = (long) (BgL_auxz00_1125);
									BgL_iz00_1119 = BgL_iz00_1150;
									goto BgL_loopz00_1120;
								}
							}
						}
				}
			}
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_javazd2accesszd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_660;

				BgL_headz00_660 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_661;
					obj_t BgL_tailz00_662;

					BgL_prevz00_661 = BgL_headz00_660;
					BgL_tailz00_662 = BgL_l1z00_1;
				BgL_loopz00_663:
					if (PAIRP(BgL_tailz00_662))
						{
							obj_t BgL_newzd2prevzd2_665;

							BgL_newzd2prevzd2_665 =
								MAKE_PAIR(CAR(BgL_tailz00_662), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_661, BgL_newzd2prevzd2_665);
							{
								obj_t BgL_tailz00_1159;
								obj_t BgL_prevz00_1158;

								BgL_prevz00_1158 = BgL_newzd2prevzd2_665;
								BgL_tailz00_1159 = CDR(BgL_tailz00_662);
								BgL_tailz00_662 = BgL_tailz00_1159;
								BgL_prevz00_661 = BgL_prevz00_1158;
								goto BgL_loopz00_663;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_660);
				}
			}
		}
	}



/* import-java-class-accessors! */
	BGL_EXPORTED_DEF obj_t
		BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2(obj_t
		BgL_pslotsz00_3, obj_t BgL_constrsz00_4, BgL_typez00_bglt BgL_classz00_5,
		bool_t BgL_abstractzf3zf3_6, obj_t BgL_modulez00_7, obj_t BgL_srcz00_8)
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 49 */
			if (BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2
				(BgL_classz00_5, BgL_srcz00_8))
				{	/* Object/java_access.scm 51 */
					{	/* Object/java_access.scm 55 */
						obj_t BgL_cslotsz00_1078;

						{	/* Object/java_access.scm 55 */
							obj_t BgL_arg1473z00_1079;

							{
								BgL_jclassz00_bglt BgL_auxz00_1164;

								{
									obj_t BgL_auxz00_1165;

									{	/* Object/java_access.scm 55 */
										BgL_objectz00_bglt BgL_auxz00_1166;

										BgL_auxz00_1166 = ((BgL_objectz00_bglt) BgL_classz00_5);
										BgL_auxz00_1165 = BGL_OBJECT_WIDENING(BgL_auxz00_1166);
									}
									BgL_auxz00_1164 = ((BgL_jclassz00_bglt) BgL_auxz00_1165);
								}
								BgL_arg1473z00_1079 =
									(((BgL_jclassz00_bglt) CREF(BgL_auxz00_1164))->
									BgL_itszd2superzd2);
							}
							BgL_cslotsz00_1078 =
								BGl_makezd2javazd2classzd2slotszd2zzobject_slotsz00
								(BgL_classz00_5, BgL_pslotsz00_3, BgL_arg1473z00_1079,
								BgL_srcz00_8);
						}
						{
							BgL_jclassz00_bglt BgL_auxz00_1172;

							{
								obj_t BgL_auxz00_1173;

								{	/* Object/java_access.scm 55 */
									BgL_objectz00_bglt BgL_auxz00_1174;

									BgL_auxz00_1174 = ((BgL_objectz00_bglt) BgL_classz00_5);
									BgL_auxz00_1173 = BGL_OBJECT_WIDENING(BgL_auxz00_1174);
								}
								BgL_auxz00_1172 = ((BgL_jclassz00_bglt) BgL_auxz00_1173);
							}
							((((BgL_jclassz00_bglt) CREF(BgL_auxz00_1172))->BgL_slotsz00) =
								((obj_t) BgL_cslotsz00_1078), BUNSPEC);
						}
					}
					BGl_genzd2javazd2classzd2coercionsz12zc0zzobject_coercionz00(
						((obj_t) BgL_classz00_5));
					{	/* Object/java_access.scm 60 */
						obj_t BgL_fieldsz00_670;

						{	/* Object/java_access.scm 60 */
							obj_t BgL_arg1448z00_679;

							{
								BgL_jclassz00_bglt BgL_auxz00_1181;

								{
									obj_t BgL_auxz00_1182;

									{	/* Object/java_access.scm 60 */
										BgL_objectz00_bglt BgL_auxz00_1183;

										BgL_auxz00_1183 = ((BgL_objectz00_bglt) BgL_classz00_5);
										BgL_auxz00_1182 = BGL_OBJECT_WIDENING(BgL_auxz00_1183);
									}
									BgL_auxz00_1181 = ((BgL_jclassz00_bglt) BgL_auxz00_1182);
								}
								BgL_arg1448z00_679 =
									(((BgL_jclassz00_bglt) CREF(BgL_auxz00_1181))->BgL_slotsz00);
							}
							BgL_fieldsz00_670 =
								BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
								(BgL_classz00_5, BgL_arg1448z00_679, BgL_srcz00_8);
						}
						if (
							((((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_classz00_5)))->BgL_idz00) ==
								CNST_TABLE_REF(((long) 0))))
							{	/* Object/java_access.scm 61 */
								return BgL_fieldsz00_670;
							}
						else
							{	/* Object/java_access.scm 63 */
								obj_t BgL_predz00_672;

								BgL_predz00_672 =
									BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00
									(BgL_classz00_5, BgL_srcz00_8, BgL_modulez00_7);
								if (BgL_abstractzf3zf3_6)
									{	/* Object/java_access.scm 64 */
										return
											BGl_appendzd221011zd2zzobject_javazd2accesszd2
											(BgL_predz00_672, BgL_fieldsz00_670);
									}
								else
									{	/* Object/java_access.scm 66 */
										obj_t BgL_constz00_673;

										BgL_constz00_673 =
											BGl_genzd2javazd2classzd2constructorszd2zzobject_creatorz00
											(BgL_classz00_5, BgL_constrsz00_4, BgL_srcz00_8);
										{	/* Object/java_access.scm 66 */
											obj_t BgL_creatorz00_674;

											BgL_creatorz00_674 =
												BGl_importzd2javazd2classzd2creatorzd2zzobject_creatorz00
												(BgL_classz00_5, BgL_constrsz00_4, BgL_srcz00_8);
											{	/* Object/java_access.scm 68 */

												return
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_predz00_672,
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_creatorz00_674,
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_fieldsz00_670,
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
															(BgL_constz00_673, BNIL))));
											}
										}
									}
							}
					}
				}
			else
				{	/* Object/java_access.scm 51 */
					return BNIL;
				}
		}
	}



/* &import-java-class-accessors! */
	obj_t
		BGl_z62importzd2javazd2classzd2accessorsz12za2zzobject_javazd2accesszd2
		(obj_t BgL_envz00_1111, obj_t BgL_pslotsz00_1112, obj_t BgL_constrsz00_1113,
		obj_t BgL_classz00_1114, obj_t BgL_abstractzf3zf3_1115,
		obj_t BgL_modulez00_1116, obj_t BgL_srcz00_1117)
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 49 */
			return
				BGl_importzd2javazd2classzd2accessorsz12zc0zzobject_javazd2accesszd2
				(BgL_pslotsz00_1112, BgL_constrsz00_1113,
				((BgL_typez00_bglt) BgL_classz00_1114), CBOOL(BgL_abstractzf3zf3_1115),
				BgL_modulez00_1116, BgL_srcz00_1117);
		}
	}



/* correct-java-class? */
	bool_t
		BGl_correctzd2javazd2classzf3zf3zzobject_javazd2accesszd2(BgL_typez00_bglt
		BgL_classz00_9, obj_t BgL_srcz00_10)
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 80 */
			{	/* Object/java_access.scm 81 */
				obj_t BgL_superz00_680;
				obj_t BgL_classzd2idzd2_681;

				{
					BgL_jclassz00_bglt BgL_auxz00_1206;

					{
						obj_t BgL_auxz00_1207;

						{	/* Object/java_access.scm 81 */
							BgL_objectz00_bglt BgL_auxz00_1208;

							BgL_auxz00_1208 = ((BgL_objectz00_bglt) BgL_classz00_9);
							BgL_auxz00_1207 = BGL_OBJECT_WIDENING(BgL_auxz00_1208);
						}
						BgL_auxz00_1206 = ((BgL_jclassz00_bglt) BgL_auxz00_1207);
					}
					BgL_superz00_680 =
						(((BgL_jclassz00_bglt) CREF(BgL_auxz00_1206))->BgL_itszd2superzd2);
				}
				BgL_classzd2idzd2_681 =
					(((BgL_typez00_bglt) CREF(
							((BgL_typez00_bglt) BgL_classz00_9)))->BgL_idz00);
				{	/* Object/java_access.scm 86 */
					bool_t BgL_testz00_1215;

					if (BGl_isazf3zf3zz__objectz00(BgL_superz00_680,
							BGl_typez00zztype_typez00))
						{	/* Object/java_access.scm 86 */
							if (BGl_isazf3zf3zz__objectz00(BgL_superz00_680,
									BGl_jclassz00zzobject_classz00))
								{	/* Object/java_access.scm 86 */
									BgL_testz00_1215 = ((bool_t) 0);
								}
							else
								{	/* Object/java_access.scm 86 */
									BgL_testz00_1215 = ((bool_t) 1);
								}
						}
					else
						{	/* Object/java_access.scm 86 */
							BgL_testz00_1215 = ((bool_t) 0);
						}
					if (BgL_testz00_1215)
						{	/* Object/java_access.scm 86 */
							{	/* Object/java_access.scm 87 */
								obj_t BgL_arg1457z00_683;
								obj_t BgL_arg1458z00_684;

								BgL_arg1457z00_683 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_superz00_680)))->BgL_idz00);
								{	/* Object/java_access.scm 89 */
									obj_t BgL_arg1464z00_686;

									{	/* Object/java_access.scm 89 */
										obj_t BgL_res1545z00_1099;

										{	/* Object/java_access.scm 89 */
											obj_t BgL_arg1334z00_1098;

											BgL_arg1334z00_1098 =
												SYMBOL_TO_STRING(BgL_classzd2idzd2_681);
											BgL_res1545z00_1099 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1334z00_1098);
										}
										BgL_arg1464z00_686 = BgL_res1545z00_1099;
									}
									BgL_arg1458z00_684 =
										string_append_3(BGl_string1546z00zzobject_javazd2accesszd2,
										BgL_arg1464z00_686,
										BGl_string1547z00zzobject_javazd2accesszd2);
								}
								{	/* Object/java_access.scm 87 */
									obj_t BgL_list1459z00_685;

									BgL_list1459z00_685 =
										MAKE_PAIR(BGl_typez00zztype_typez00, BNIL);
									BGl_userzd2errorzd2zztools_errorz00(BgL_arg1457z00_683,
										BgL_arg1458z00_684, BgL_srcz00_10, BgL_list1459z00_685);
								}
							}
							return ((bool_t) 0);
						}
					else
						{	/* Object/java_access.scm 86 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_javazd2accesszd2()
	{
		AN_OBJECT;
		{	/* Object/java_access.scm 21 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_getterz00(((long) 23938048),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long) 508385191),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long) 458696231),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long) 208160543),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 328591477),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string1548z00zzobject_javazd2accesszd2));
		}
	}

#ifdef __cplusplus
}
#endif
