/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/shape.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_shapez00();
	static obj_t BGl_z62shapez62zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_z62shapezd2local1724zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_za2namezd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62shapezd2global1722zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62shapezd2node1728zb0zztools_shapez00(obj_t, obj_t);
	extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62shape1717z62zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztools_shapez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00();
	static obj_t BGl_loopz00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62shapezd2type1726zb0zztools_shapez00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_shapezd2envzd2zztools_shapez00,
		BgL_bgl_za762shapeza762za7za7too2034z00, BGl_z62shapez62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2010z00zztools_shapez00,
		BgL_bgl_string2010za700za7za7t2035za7, "shape1717", 9);
	      DEFINE_STRING(BGl_string2011z00zztools_shapez00,
		BgL_bgl_string2011za700za7za7t2036za7, "#<class:~a>", 11);
	      DEFINE_STRING(BGl_string2013z00zztools_shapez00,
		BgL_bgl_string2013za700za7za7t2037za7, "shape", 5);
	      DEFINE_STRING(BGl_string2017z00zztools_shapez00,
		BgL_bgl_string2017za700za7za7t2038za7, "-", 1);
	      DEFINE_STRING(BGl_string2018z00zztools_shapez00,
		BgL_bgl_string2018za700za7za7t2039za7, "\"", 1);
	      DEFINE_STRING(BGl_string2019z00zztools_shapez00,
		BgL_bgl_string2019za700za7za7t2040za7, "::", 2);
	      DEFINE_STRING(BGl_string2020z00zztools_shapez00,
		BgL_bgl_string2020za700za7za7t2041za7, "", 0);
	      DEFINE_STRING(BGl_string2021z00zztools_shapez00,
		BgL_bgl_string2021za700za7za7t2042za7, "-<user>", 7);
	      DEFINE_STRING(BGl_string2022z00zztools_shapez00,
		BgL_bgl_string2022za700za7za7t2043za7, "-<no-user>", 10);
	      DEFINE_STRING(BGl_string2023z00zztools_shapez00,
		BgL_bgl_string2023za700za7za7t2044za7, "{", 1);
	      DEFINE_STRING(BGl_string2024z00zztools_shapez00,
		BgL_bgl_string2024za700za7za7t2045za7, "}", 1);
	      DEFINE_STRING(BGl_string2025z00zztools_shapez00,
		BgL_bgl_string2025za700za7za7t2046za7, "~a<<~a>>", 8);
	      DEFINE_STRING(BGl_string2026z00zztools_shapez00,
		BgL_bgl_string2026za700za7za7t2047za7, "@", 1);
	      DEFINE_STRING(BGl_string2027z00zztools_shapez00,
		BgL_bgl_string2027za700za7za7t2048za7, "Can't find global anymore -- ", 29);
	      DEFINE_STRING(BGl_string2028z00zztools_shapez00,
		BgL_bgl_string2028za700za7za7t2049za7, "global-shape:", 13);
	      DEFINE_STRING(BGl_string2029z00zztools_shapez00,
		BgL_bgl_string2029za700za7za7t2050za7, "tools_shape", 11);
	      DEFINE_STRING(BGl_string2030z00zztools_shapez00,
		BgL_bgl_string2030za700za7za7t2051za7, "@ _ a-tvector ", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zztools_shapez00,
		BgL_bgl_za762shape1717za762za72052za7, BGl_z62shape1717z62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2globa2053z00,
		BGl_z62shapezd2global1722zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2014z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2local2054z00,
		BGl_z62shapezd2local1724zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2015z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2type12055z00,
		BGl_z62shapezd2type1726zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2016z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2node12056z00,
		BGl_z62shapezd2node1728zb0zztools_shapez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long
		BgL_checksumz00_2222, char *BgL_fromz00_2223)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
				{
					BGl_requirezd2initializa7ationz75zztools_shapez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_shapez00();
					BGl_cnstzd2initzd2zztools_shapez00();
					BGl_importedzd2moduleszd2initz00zztools_shapez00();
					BGl_genericzd2initzd2zztools_shapez00();
					BGl_methodzd2initzd2zztools_shapez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "tools_shape");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			{	/* Tools/shape.scm 16 */
				obj_t BgL_cportz00_2213;

				BgL_cportz00_2213 =
					bgl_open_input_string(BGl_string2030z00zztools_shapez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2214;

					BgL_iz00_2214 = ((long) 2);
				BgL_loopz00_2215:
					if ((BgL_iz00_2214 == ((long) -1)))
						{	/* Tools/shape.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Tools/shape.scm 16 */
							{	/* Tools/shape.scm 16 */
								obj_t BgL_arg2033z00_2217;

								{	/* Tools/shape.scm 16 */

									{	/* Tools/shape.scm 16 */
										obj_t BgL_locationz00_2219;

										BgL_locationz00_2219 = BBOOL(((bool_t) 0));
										{	/* Tools/shape.scm 16 */

											BgL_arg2033z00_2217 =
												BGl_readz00zz__readerz00(BgL_cportz00_2213,
												BgL_locationz00_2219);
										}
									}
								}
								{	/* Tools/shape.scm 16 */
									int BgL_auxz00_2249;

									BgL_auxz00_2249 = (int) (BgL_iz00_2214);
									CNST_TABLE_SET(BgL_auxz00_2249, BgL_arg2033z00_2217);
							}}
							{	/* Tools/shape.scm 16 */
								int BgL_auxz00_2220;

								BgL_auxz00_2220 = (int) ((BgL_iz00_2214 - ((long) 1)));
								{
									long BgL_iz00_2254;

									BgL_iz00_2254 = (long) (BgL_auxz00_2220);
									BgL_iz00_2214 = BgL_iz00_2254;
									goto BgL_loopz00_2215;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_proc2009z00zztools_shapez00,
				BFALSE, BGl_string2010z00zztools_shapez00);
		}
	}



/* &shape1717 */
	obj_t BGl_z62shape1717z62zztools_shapez00(obj_t BgL_envz00_2196,
		obj_t BgL_expz00_2197)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			{
				obj_t BgL_expz00_1133;

				BgL_expz00_1133 = BgL_expz00_2197;
				if (BGl_classzf3zf3zz__objectz00(BgL_expz00_1133))
					{	/* Tools/shape.scm 31 */
						obj_t BgL_arg1750z00_1136;

						BgL_arg1750z00_1136 =
							BGl_classzd2namezd2zz__objectz00(BgL_expz00_1133);
						{	/* Tools/shape.scm 31 */
							obj_t BgL_list1751z00_1137;

							BgL_list1751z00_1137 = MAKE_PAIR(BgL_arg1750z00_1136, BNIL);
							return
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string2011z00zztools_shapez00, BgL_list1751z00_1137);
						}
					}
				else
					{	/* Tools/shape.scm 30 */
						if (PAIRP(BgL_expz00_1133))
							{	/* Tools/shape.scm 32 */
								return BGl_loopz00zztools_shapez00(BgL_expz00_1133);
							}
						else
							{	/* Tools/shape.scm 32 */
								if (VECTORP(BgL_expz00_1133))
									{	/* Tools/shape.scm 44 */
										int BgL_lenz00_1156;

										BgL_lenz00_1156 = VECTOR_LENGTH(BgL_expz00_1133);
										{	/* Tools/shape.scm 44 */
											obj_t BgL_resz00_1157;

											BgL_resz00_1157 = make_vector(BgL_lenz00_1156, BNIL);
											{	/* Tools/shape.scm 45 */

												{
													long BgL_indicez00_1159;

													BgL_indicez00_1159 = ((long) 0);
												BgL_zc3anonymousza31776ze3z83_1160:
													if ((BgL_indicez00_1159 == (long) (BgL_lenz00_1156)))
														{	/* Tools/shape.scm 47 */
															return BgL_resz00_1157;
														}
													else
														{	/* Tools/shape.scm 47 */
															VECTOR_SET(BgL_resz00_1157,
																(int) (BgL_indicez00_1159),
																BGl_shapez00zztools_shapez00(VECTOR_REF
																	(BgL_expz00_1133,
																		(int) (BgL_indicez00_1159))));
															{
																long BgL_indicez00_2277;

																BgL_indicez00_2277 =
																	(BgL_indicez00_1159 + ((long) 1));
																BgL_indicez00_1159 = BgL_indicez00_2277;
																goto BgL_zc3anonymousza31776ze3z83_1160;
															}
														}
												}
											}
										}
									}
								else
									{	/* Tools/shape.scm 54 */
										bool_t BgL_testz00_2279;

										if (STRUCTP(BgL_expz00_1133))
											{	/* Tools/shape.scm 54 */
												BgL_testz00_2279 =
													(STRUCT_KEY(BgL_expz00_1133) ==
													CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Tools/shape.scm 54 */
												BgL_testz00_2279 = ((bool_t) 0);
											}
										if (BgL_testz00_2279)
											{	/* Tools/shape.scm 55 */
												obj_t BgL_arg1794z00_1167;
												obj_t BgL_arg1797z00_1168;

												BgL_arg1794z00_1167 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1133, (int) (((long) 0))));
												BgL_arg1797z00_1168 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1133, (int) (((long) 1))));
												{	/* Tools/shape.scm 55 */
													obj_t BgL_newz00_2033;

													BgL_newz00_2033 =
														create_struct(CNST_TABLE_REF(((long) 0)),
														(int) (((long) 2)));
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_2294;

														BgL_auxz00_2294 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_2033, BgL_auxz00_2294,
															BgL_arg1797z00_1168);
													}
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_2297;

														BgL_auxz00_2297 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_2033, BgL_auxz00_2297,
															BgL_arg1794z00_1167);
													}
													return BgL_newz00_2033;
												}
											}
										else
											{	/* Tools/shape.scm 54 */
												if (STRUCTP(BgL_expz00_1133))
													{	/* Tools/shape.scm 57 */
														obj_t BgL_keyz00_1172;

														BgL_keyz00_1172 = STRUCT_KEY(BgL_expz00_1133);
														{	/* Tools/shape.scm 57 */
															int BgL_lenz00_1173;

															BgL_lenz00_1173 = STRUCT_LENGTH(BgL_expz00_1133);
															{	/* Tools/shape.scm 58 */
																obj_t BgL_resz00_1174;

																BgL_resz00_1174 =
																	make_struct(BgL_keyz00_1172, BgL_lenz00_1173,
																	BNIL);
																{	/* Tools/shape.scm 59 */

																	{
																		long BgL_indicez00_1176;

																		BgL_indicez00_1176 = ((long) 0);
																	BgL_zc3anonymousza31806ze3z83_1177:
																		if (
																			(BgL_indicez00_1176 ==
																				(long) (BgL_lenz00_1173)))
																			{	/* Tools/shape.scm 61 */
																				return BgL_resz00_1174;
																			}
																		else
																			{	/* Tools/shape.scm 61 */
																				{	/* Tools/shape.scm 64 */
																					obj_t BgL_auxz00_2310;
																					int BgL_auxz00_2308;

																					BgL_auxz00_2310 =
																						BGl_shapez00zztools_shapez00
																						(STRUCT_REF(BgL_expz00_1133,
																							(int) (BgL_indicez00_1176)));
																					BgL_auxz00_2308 =
																						(int) (BgL_indicez00_1176);
																					STRUCT_SET(BgL_resz00_1174,
																						BgL_auxz00_2308, BgL_auxz00_2310);
																				}
																				{
																					long BgL_indicez00_2315;

																					BgL_indicez00_2315 =
																						(BgL_indicez00_1176 + ((long) 1));
																					BgL_indicez00_1176 =
																						BgL_indicez00_2315;
																					goto
																						BgL_zc3anonymousza31806ze3z83_1177;
																				}
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Tools/shape.scm 56 */
														return BgL_expz00_1133;
													}
											}
									}
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_shapez00(obj_t BgL_expz00_1140)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 33 */
			if (NULLP(BgL_expz00_1140))
				{	/* Tools/shape.scm 35 */
					return BNIL;
				}
			else
				{	/* Tools/shape.scm 35 */
					if (PAIRP(BgL_expz00_1140))
						{	/* Tools/shape.scm 39 */
							bool_t BgL_testz00_2321;

							{	/* Tools/shape.scm 39 */
								bool_t BgL_res1959z00_1994;

								BgL_res1959z00_1994 = EXTENDED_PAIRP(BgL_expz00_1140);
								BgL_testz00_2321 = BgL_res1959z00_1994;
							}
							if (BgL_testz00_2321)
								{	/* Tools/shape.scm 40 */
									obj_t BgL_arg1759z00_1145;
									obj_t BgL_arg1766z00_1146;
									obj_t BgL_arg1767z00_1147;

									BgL_arg1759z00_1145 =
										BGl_shapez00zztools_shapez00(CAR(BgL_expz00_1140));
									BgL_arg1766z00_1146 =
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1140));
									BgL_arg1767z00_1147 = CER(BgL_expz00_1140);
									{	/* Tools/shape.scm 40 */
										obj_t BgL_res1960z00_2001;

										BgL_res1960z00_2001 =
											MAKE_EXTENDED_PAIR(BgL_arg1759z00_1145,
											BgL_arg1766z00_1146, BgL_arg1767z00_1147);
										return BgL_res1960z00_2001;
									}
								}
							else
								{	/* Tools/shape.scm 39 */
									return
										MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_expz00_1140)),
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1140)));
								}
						}
					else
						{	/* Tools/shape.scm 37 */
							return BGl_shapez00zztools_shapez00(BgL_expz00_1140);
						}
				}
		}
	}



/* shape */
	BGL_EXPORTED_DEF obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_13)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			if (BGL_OBJECTP(BgL_expz00_13))
				{	/* Tools/shape.scm 28 */
					obj_t BgL_method1720z00_1185;

					{	/* Tools/shape.scm 28 */
						obj_t BgL_res1979z00_2095;

						{	/* Tools/shape.scm 28 */
							BgL_objectz00_bglt BgL_objz00_2067;

							BgL_objz00_2067 = ((BgL_objectz00_bglt) BgL_expz00_13);
							{	/* Tools/shape.scm 28 */
								long BgL_objzd2classzd2numz00_2068;

								{	/* Tools/shape.scm 28 */
									long BgL_res1973z00_2071;

									BgL_res1973z00_2071 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2067);
									BgL_objzd2classzd2numz00_2068 = BgL_res1973z00_2071;
								}
								{	/* Tools/shape.scm 28 */
									obj_t BgL_arg1822z00_2069;

									BgL_arg1822z00_2069 =
										PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
										(int) (((long) 1)));
									{	/* Tools/shape.scm 28 */
										obj_t BgL_arrayz00_2072;
										int BgL_offsetz00_2073;

										BgL_arrayz00_2072 = BgL_arg1822z00_2069;
										BgL_offsetz00_2073 = (int) (BgL_objzd2classzd2numz00_2068);
										{	/* Tools/shape.scm 28 */
											long BgL_offsetz00_2074;

											BgL_offsetz00_2074 =
												((long) (BgL_offsetz00_2073) - OBJECT_TYPE);
											{	/* Tools/shape.scm 28 */
												long BgL_modz00_2075;

												{	/* Tools/shape.scm 28 */
													int BgL_arg1824z00_2076;

													BgL_arg1824z00_2076 = (int) (((long) 16));
													{	/* Tools/shape.scm 28 */
														long BgL_res1976z00_2086;

														{	/* Tools/shape.scm 28 */
															long BgL_auxz00_2345;

															BgL_auxz00_2345 = (long) (BgL_arg1824z00_2076);
															BgL_res1976z00_2086 =
																(BgL_offsetz00_2074 / BgL_auxz00_2345);
														}
														BgL_modz00_2075 = BgL_res1976z00_2086;
												}}
												{	/* Tools/shape.scm 28 */
													long BgL_restz00_2077;

													{	/* Tools/shape.scm 28 */
														int BgL_arg1823z00_2078;

														BgL_arg1823z00_2078 = (int) (((long) 16));
														{	/* Tools/shape.scm 28 */
															long BgL_res1978z00_2090;

															{	/* Tools/shape.scm 28 */
																long BgL_auxz00_2349;

																BgL_auxz00_2349 = (long) (BgL_arg1823z00_2078);
																BgL_res1978z00_2090 =
																	(BgL_offsetz00_2074 % BgL_auxz00_2349);
															}
															BgL_restz00_2077 = BgL_res1978z00_2090;
													}}
													{	/* Tools/shape.scm 28 */

														BgL_res1979z00_2095 =
															VECTOR_REF(VECTOR_REF(BgL_arrayz00_2072,
																(int) (BgL_modz00_2075)),
															(int) (BgL_restz00_2077));
						}}}}}}}}
						BgL_method1720z00_1185 = BgL_res1979z00_2095;
					}
					return
						PROCEDURE_ENTRY(BgL_method1720z00_1185) (BgL_method1720z00_1185,
						BgL_expz00_13, BEOA);
				}
			else
				{	/* Tools/shape.scm 28 */
					obj_t BgL_fun1818z00_1186;

					BgL_fun1818z00_1186 =
						PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1818z00_1186) (BgL_fun1818z00_1186,
						BgL_expz00_13, BEOA);
				}
		}
	}



/* &shape */
	obj_t BGl_z62shapez62zztools_shapez00(obj_t BgL_envz00_2198,
		obj_t BgL_expz00_2199)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			return BGl_shapez00zztools_shapez00(BgL_expz00_2199);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_globalz00zzast_varz00,
				BGl_proc2012z00zztools_shapez00, BGl_string2013z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_localz00zzast_varz00,
				BGl_proc2014z00zztools_shapez00, BGl_string2013z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_typez00zztype_typez00,
				BGl_proc2015z00zztools_shapez00, BGl_string2013z00zztools_shapez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00,
				BGl_proc2016z00zztools_shapez00, BGl_string2013z00zztools_shapez00);
		}
	}



/* &shape-node1728 */
	obj_t BGl_z62shapezd2node1728zb0zztools_shapez00(obj_t BgL_envz00_2204,
		obj_t BgL_nodez00_2205)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 161 */
			{	/* Tools/shape.scm 162 */
				BgL_nodez00_bglt BgL_nodez00_2221;

				BgL_nodez00_2221 = ((BgL_nodez00_bglt) BgL_nodez00_2205);
				return BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_2221);
			}
		}
	}



/* &shape-type1726 */
	obj_t BGl_z62shapezd2type1726zb0zztools_shapez00(obj_t BgL_envz00_2206,
		obj_t BgL_typez00_2207)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 143 */
			{
				BgL_typez00_bglt BgL_typez00_1274;

				BgL_typez00_1274 = ((BgL_typez00_bglt) BgL_typez00_2207);
				{	/* Tools/shape.scm 144 */
					obj_t BgL_spz00_1277;

					{	/* Tools/shape.scm 144 */
						obj_t BgL_arg1901z00_1286;

						BgL_arg1901z00_1286 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1274))->BgL_idz00);
						{	/* Tools/shape.scm 144 */
							obj_t BgL_res2008z00_2179;

							{	/* Tools/shape.scm 144 */
								obj_t BgL_arg1334z00_2178;

								BgL_arg1334z00_2178 = SYMBOL_TO_STRING(BgL_arg1901z00_1286);
								BgL_res2008z00_2179 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1334z00_2178);
							}
							BgL_spz00_1277 = BgL_res2008z00_2179;
						}
					}
					{	/* Tools/shape.scm 144 */
						obj_t BgL_sz00_1278;

						if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
							{	/* Tools/shape.scm 151 */
								obj_t BgL_arg1899z00_1284;

								{	/* Tools/shape.scm 151 */
									long BgL_arg1900z00_1285;

									BgL_arg1900z00_1285 = (long) (BgL_typez00_1274);
									BgL_arg1899z00_1284 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1900z00_1285, ((long) 16));
								}
								BgL_sz00_1278 =
									string_append_3(BgL_spz00_1277,
									BGl_string2017z00zztools_shapez00, BgL_arg1899z00_1284);
							}
						else
							{	/* Tools/shape.scm 145 */
								BgL_sz00_1278 = BgL_spz00_1277;
							}
						{	/* Tools/shape.scm 145 */

							if (CBOOL(BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 155 */
									obj_t BgL_arg1894z00_1279;

									BgL_arg1894z00_1279 =
										(((BgL_typez00_bglt) CREF(BgL_typez00_1274))->BgL_namez00);
									{	/* Tools/shape.scm 155 */
										obj_t BgL_list1895z00_1280;

										{	/* Tools/shape.scm 155 */
											obj_t BgL_arg1896z00_1281;

											{	/* Tools/shape.scm 155 */
												obj_t BgL_arg1897z00_1282;

												{	/* Tools/shape.scm 155 */
													obj_t BgL_arg1898z00_1283;

													BgL_arg1898z00_1283 =
														MAKE_PAIR(BGl_string2018z00zztools_shapez00, BNIL);
													BgL_arg1897z00_1282 =
														MAKE_PAIR(BgL_arg1894z00_1279, BgL_arg1898z00_1283);
												}
												BgL_arg1896z00_1281 =
													MAKE_PAIR(BGl_string2018z00zztools_shapez00,
													BgL_arg1897z00_1282);
											}
											BgL_list1895z00_1280 =
												MAKE_PAIR(BgL_sz00_1278, BgL_arg1896z00_1281);
										}
										return
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list1895z00_1280);
									}
								}
							else
								{	/* Tools/shape.scm 154 */
									return BgL_sz00_1278;
								}
						}
					}
				}
			}
		}
	}



/* &shape-local1724 */
	obj_t BGl_z62shapezd2local1724zb0zztools_shapez00(obj_t BgL_envz00_2208,
		obj_t BgL_varz00_2209)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 115 */
			{
				BgL_localz00_bglt BgL_varz00_1246;

				BgL_varz00_1246 = ((BgL_localz00_bglt) BgL_varz00_2209);
				{	/* Tools/shape.scm 116 */
					obj_t BgL_symz00_1249;

					if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 117 */
							obj_t BgL_arg1886z00_1264;
							obj_t BgL_arg1888z00_1265;

							BgL_arg1886z00_1264 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1246)))->BgL_idz00);
							{	/* Tools/shape.scm 120 */
								obj_t BgL_arg1892z00_1269;

								{	/* Tools/shape.scm 120 */

									BgL_arg1892z00_1269 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(((BgL_localz00_bglt) CREF(BgL_varz00_1246))->BgL_keyz00),
										((long) 10));
								}
								BgL_arg1888z00_1265 =
									string_to_symbol(BSTRING_TO_STRING(BgL_arg1892z00_1269));
							}
							{	/* Tools/shape.scm 117 */
								obj_t BgL_list1889z00_1266;

								{	/* Tools/shape.scm 117 */
									obj_t BgL_arg1890z00_1267;

									{	/* Tools/shape.scm 117 */
										obj_t BgL_arg1891z00_1268;

										BgL_arg1891z00_1268 = MAKE_PAIR(BgL_arg1888z00_1265, BNIL);
										BgL_arg1890z00_1267 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
											BgL_arg1891z00_1268);
									}
									BgL_list1889z00_1266 =
										MAKE_PAIR(BgL_arg1886z00_1264, BgL_arg1890z00_1267);
								}
								BgL_symz00_1249 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list1889z00_1266);
						}}
					else
						{	/* Tools/shape.scm 116 */
							BgL_symz00_1249 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1246)))->BgL_idz00);
						}
					{	/* Tools/shape.scm 116 */
						obj_t BgL_symz00_1250;

						{	/* Tools/shape.scm 122 */
							obj_t BgL_res2002z00_2160;

							{	/* Tools/shape.scm 122 */
								obj_t BgL_arg1334z00_2159;

								BgL_arg1334z00_2159 = SYMBOL_TO_STRING(BgL_symz00_1249);
								BgL_res2002z00_2160 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1334z00_2159);
							}
							BgL_symz00_1250 = BgL_res2002z00_2160;
						}
						{	/* Tools/shape.scm 122 */
							BgL_typez00_bglt BgL_typez00_1251;

							BgL_typez00_1251 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1246)))->BgL_typez00);
							{	/* Tools/shape.scm 123 */
								obj_t BgL_tshapez00_1252;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 126 */
										obj_t BgL_arg1885z00_1263;

										BgL_arg1885z00_1263 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1251));
										BgL_tshapez00_1252 =
											string_append(BGl_string2019z00zztools_shapez00,
											BgL_arg1885z00_1263);
									}
								else
									{	/* Tools/shape.scm 124 */
										BgL_tshapez00_1252 = BGl_string2020z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 124 */
									obj_t BgL_ushapez00_1253;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 127 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1246)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1253 =
														BGl_string2021z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1253 =
														BGl_string2022z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 127 */
											BgL_ushapez00_1253 = BGl_string2020z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 127 */
										obj_t BgL_ashapez00_1254;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 136 */
												obj_t BgL_arg1882z00_1260;

												{	/* Tools/shape.scm 136 */
													obj_t BgL_arg1883z00_1261;

													BgL_arg1883z00_1261 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1246)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 136 */
														obj_t BgL_res2005z00_2171;

														{	/* Tools/shape.scm 136 */
															obj_t BgL_symbolz00_2169;

															BgL_symbolz00_2169 = BgL_arg1883z00_1261;
															{	/* Tools/shape.scm 136 */
																obj_t BgL_arg1334z00_2170;

																BgL_arg1334z00_2170 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2169);
																BgL_res2005z00_2171 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1334z00_2170);
															}
														}
														BgL_arg1882z00_1260 = BgL_res2005z00_2171;
													}
												}
												BgL_ashapez00_1254 =
													string_append_3(BGl_string2023z00zztools_shapez00,
													BgL_arg1882z00_1260,
													BGl_string2024z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 133 */
												BgL_ashapez00_1254 = BGl_string2020z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 132 */

											{	/* Tools/shape.scm 138 */
												obj_t BgL_arg1877z00_1255;

												{	/* Tools/shape.scm 138 */
													obj_t BgL_list1878z00_1256;

													{	/* Tools/shape.scm 138 */
														obj_t BgL_arg1879z00_1257;

														{	/* Tools/shape.scm 138 */
															obj_t BgL_arg1880z00_1258;

															{	/* Tools/shape.scm 138 */
																obj_t BgL_arg1881z00_1259;

																BgL_arg1881z00_1259 =
																	MAKE_PAIR(BgL_ashapez00_1254, BNIL);
																BgL_arg1880z00_1258 =
																	MAKE_PAIR(BgL_ushapez00_1253,
																	BgL_arg1881z00_1259);
															}
															BgL_arg1879z00_1257 =
																MAKE_PAIR(BgL_tshapez00_1252,
																BgL_arg1880z00_1258);
														}
														BgL_list1878z00_1256 =
															MAKE_PAIR(BgL_symz00_1250, BgL_arg1879z00_1257);
													}
													BgL_arg1877z00_1255 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1878z00_1256);
												}
												return
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1877z00_1255));
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &shape-global1722 */
	obj_t BGl_z62shapezd2global1722zb0zztools_shapez00(obj_t BgL_envz00_2210,
		obj_t BgL_varz00_2211)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 74 */
			{
				BgL_globalz00_bglt BgL_varz00_1187;

				BgL_varz00_1187 = ((BgL_globalz00_bglt) BgL_varz00_2211);
				{	/* Tools/shape.scm 75 */
					obj_t BgL_strzd2idzd2_1190;

					if (CBOOL(BGl_za2namezd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 77 */
							obj_t BgL_arg1872z00_1240;
							obj_t BgL_arg1873z00_1241;

							BgL_arg1872z00_1240 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1187)))->BgL_idz00);
							BgL_arg1873z00_1241 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1187)))->BgL_namez00);
							{	/* Tools/shape.scm 77 */
								obj_t BgL_list1874z00_1242;

								{	/* Tools/shape.scm 77 */
									obj_t BgL_arg1875z00_1243;

									BgL_arg1875z00_1243 = MAKE_PAIR(BgL_arg1873z00_1241, BNIL);
									BgL_list1874z00_1242 =
										MAKE_PAIR(BgL_arg1872z00_1240, BgL_arg1875z00_1243);
								}
								BgL_strzd2idzd2_1190 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2025z00zztools_shapez00, BgL_list1874z00_1242);
							}
						}
					else
						{	/* Tools/shape.scm 76 */
							obj_t BgL_arg1876z00_1244;

							BgL_arg1876z00_1244 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1187)))->BgL_idz00);
							{	/* Tools/shape.scm 76 */
								obj_t BgL_res1983z00_2107;

								{	/* Tools/shape.scm 76 */
									obj_t BgL_arg1334z00_2106;

									BgL_arg1334z00_2106 = SYMBOL_TO_STRING(BgL_arg1876z00_1244);
									BgL_res1983z00_2107 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1334z00_2106);
								}
								BgL_strzd2idzd2_1190 = BgL_res1983z00_2107;
							}
						}
					{	/* Tools/shape.scm 75 */
						obj_t BgL_modulez00_1191;

						{	/* Tools/shape.scm 78 */
							obj_t BgL_arg1871z00_1239;

							BgL_arg1871z00_1239 =
								(((BgL_globalz00_bglt) CREF(BgL_varz00_1187))->BgL_modulez00);
							{	/* Tools/shape.scm 78 */
								obj_t BgL_res1985z00_2113;

								{	/* Tools/shape.scm 78 */
									obj_t BgL_arg1334z00_2112;

									BgL_arg1334z00_2112 = SYMBOL_TO_STRING(BgL_arg1871z00_1239);
									BgL_res1985z00_2113 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1334z00_2112);
								}
								BgL_modulez00_1191 = BgL_res1985z00_2113;
							}
						}
						{	/* Tools/shape.scm 78 */
							BgL_typez00_bglt BgL_typez00_1192;

							BgL_typez00_1192 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1187)))->BgL_typez00);
							{	/* Tools/shape.scm 79 */
								obj_t BgL_tshapez00_1193;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 82 */
										obj_t BgL_arg1870z00_1238;

										BgL_arg1870z00_1238 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1192));
										BgL_tshapez00_1193 =
											string_append(BGl_string2019z00zztools_shapez00,
											BgL_arg1870z00_1238);
									}
								else
									{	/* Tools/shape.scm 80 */
										BgL_tshapez00_1193 = BGl_string2020z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 80 */
									obj_t BgL_ushapez00_1194;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 83 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1187)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1194 =
														BGl_string2021z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1194 =
														BGl_string2022z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 83 */
											BgL_ushapez00_1194 = BGl_string2020z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 83 */
										obj_t BgL_ashapez00_1195;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 92 */
												obj_t BgL_arg1866z00_1235;

												{	/* Tools/shape.scm 92 */
													obj_t BgL_arg1867z00_1236;

													BgL_arg1867z00_1236 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1187)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 92 */
														obj_t BgL_res1988z00_2124;

														{	/* Tools/shape.scm 92 */
															obj_t BgL_symbolz00_2122;

															BgL_symbolz00_2122 = BgL_arg1867z00_1236;
															{	/* Tools/shape.scm 92 */
																obj_t BgL_arg1334z00_2123;

																BgL_arg1334z00_2123 =
																	SYMBOL_TO_STRING(BgL_symbolz00_2122);
																BgL_res1988z00_2124 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1334z00_2123);
															}
														}
														BgL_arg1866z00_1235 = BgL_res1988z00_2124;
													}
												}
												BgL_ashapez00_1195 =
													string_append_3(BGl_string2023z00zztools_shapez00,
													BgL_arg1866z00_1235,
													BGl_string2024z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 89 */
												BgL_ashapez00_1195 = BGl_string2020z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 88 */

											if (CBOOL
												(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
												{	/* Tools/shape.scm 97 */
													obj_t BgL_arg1821z00_1196;

													{	/* Tools/shape.scm 97 */
														obj_t BgL_list1822z00_1197;

														{	/* Tools/shape.scm 97 */
															obj_t BgL_arg1827z00_1198;

															{	/* Tools/shape.scm 97 */
																obj_t BgL_arg1830z00_1199;

																{	/* Tools/shape.scm 97 */
																	obj_t BgL_arg1831z00_1200;

																	{	/* Tools/shape.scm 97 */
																		obj_t BgL_arg1832z00_1201;

																		{	/* Tools/shape.scm 97 */
																			obj_t BgL_arg1834z00_1202;

																			BgL_arg1834z00_1202 =
																				MAKE_PAIR(BgL_ashapez00_1195, BNIL);
																			BgL_arg1832z00_1201 =
																				MAKE_PAIR(BgL_ushapez00_1194,
																				BgL_arg1834z00_1202);
																		}
																		BgL_arg1831z00_1200 =
																			MAKE_PAIR(BgL_tshapez00_1193,
																			BgL_arg1832z00_1201);
																	}
																	BgL_arg1830z00_1199 =
																		MAKE_PAIR(BgL_modulez00_1191,
																		BgL_arg1831z00_1200);
																}
																BgL_arg1827z00_1198 =
																	MAKE_PAIR(BGl_string2026z00zztools_shapez00,
																	BgL_arg1830z00_1199);
															}
															BgL_list1822z00_1197 =
																MAKE_PAIR(BgL_strzd2idzd2_1190,
																BgL_arg1827z00_1198);
														}
														BgL_arg1821z00_1196 =
															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
															(BgL_list1822z00_1197);
													}
													return
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg1821z00_1196));
												}
											else
												{

													{	/* Tools/shape.scm 99 */
														obj_t BgL_aux1094z00_1204;

														{	/* Tools/shape.scm 99 */
															obj_t BgL_arg1856z00_1224;
															obj_t BgL_arg1857z00_1225;

															BgL_arg1856z00_1224 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_varz00_1187)))->
																BgL_idz00);
															BgL_arg1857z00_1225 =
																(((BgL_globalz00_bglt) CREF(BgL_varz00_1187))->
																BgL_modulez00);
															BgL_aux1094z00_1204 =
																BGl_globalzd2bucketzd2positionz00zzast_envz00
																(BgL_arg1856z00_1224, BgL_arg1857z00_1225);
														}
														if (INTEGERP(BgL_aux1094z00_1204))
															{	/* Tools/shape.scm 99 */
																switch ((long) CINT(BgL_aux1094z00_1204))
																	{
																	case ((long) -1):

																		{	/* Tools/shape.scm 103 */
																			obj_t BgL_arg1836z00_1206;

																			{	/* Tools/shape.scm 103 */
																				obj_t BgL_arg1841z00_1210;

																				{	/* Tools/shape.scm 103 */
																					obj_t BgL_arg1842z00_1211;
																					obj_t BgL_arg1844z00_1212;

																					BgL_arg1842z00_1211 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_varz00_1187)))->
																						BgL_idz00);
																					BgL_arg1844z00_1212 =
																						MAKE_PAIR((((BgL_globalz00_bglt)
																								CREF(BgL_varz00_1187))->
																							BgL_modulez00), BNIL);
																					BgL_arg1841z00_1210 =
																						MAKE_PAIR(BgL_arg1842z00_1211,
																						BgL_arg1844z00_1212);
																				}
																				BgL_arg1836z00_1206 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1841z00_1210);
																			}
																			{	/* Tools/shape.scm 101 */
																				obj_t BgL_list1837z00_1207;

																				{	/* Tools/shape.scm 101 */
																					obj_t BgL_arg1839z00_1208;

																					{	/* Tools/shape.scm 101 */
																						obj_t BgL_arg1840z00_1209;

																						BgL_arg1840z00_1209 =
																							MAKE_PAIR(BgL_arg1836z00_1206,
																							BNIL);
																						BgL_arg1839z00_1208 =
																							MAKE_PAIR
																							(BGl_string2027z00zztools_shapez00,
																							BgL_arg1840z00_1209);
																					}
																					BgL_list1837z00_1207 =
																						MAKE_PAIR
																						(BGl_string2028z00zztools_shapez00,
																						BgL_arg1839z00_1208);
																				}
																				BGl_warningz00zz__errorz00
																					(BgL_list1837z00_1207);
																		}}
																		{	/* Tools/shape.scm 104 */
																			obj_t BgL_arg1846z00_1214;

																			{	/* Tools/shape.scm 104 */
																				obj_t BgL_list1847z00_1215;

																				{	/* Tools/shape.scm 104 */
																					obj_t BgL_arg1848z00_1216;

																					{	/* Tools/shape.scm 104 */
																						obj_t BgL_arg1849z00_1217;

																						{	/* Tools/shape.scm 104 */
																							obj_t BgL_arg1850z00_1218;

																							BgL_arg1850z00_1218 =
																								MAKE_PAIR(BgL_ashapez00_1195,
																								BNIL);
																							BgL_arg1849z00_1217 =
																								MAKE_PAIR(BgL_ushapez00_1194,
																								BgL_arg1850z00_1218);
																						}
																						BgL_arg1848z00_1216 =
																							MAKE_PAIR(BgL_tshapez00_1193,
																							BgL_arg1849z00_1217);
																					}
																					BgL_list1847z00_1215 =
																						MAKE_PAIR(BgL_strzd2idzd2_1190,
																						BgL_arg1848z00_1216);
																				}
																				BgL_arg1846z00_1214 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1847z00_1215);
																			}
																			return
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg1846z00_1214));
																		}
																		break;
																	case ((long) 0):

																		{	/* Tools/shape.scm 106 */
																			obj_t BgL_arg1851z00_1219;

																			{	/* Tools/shape.scm 106 */
																				obj_t BgL_list1852z00_1220;

																				{	/* Tools/shape.scm 106 */
																					obj_t BgL_arg1853z00_1221;

																					{	/* Tools/shape.scm 106 */
																						obj_t BgL_arg1854z00_1222;

																						{	/* Tools/shape.scm 106 */
																							obj_t BgL_arg1855z00_1223;

																							BgL_arg1855z00_1223 =
																								MAKE_PAIR(BgL_ashapez00_1195,
																								BNIL);
																							BgL_arg1854z00_1222 =
																								MAKE_PAIR(BgL_ushapez00_1194,
																								BgL_arg1855z00_1223);
																						}
																						BgL_arg1853z00_1221 =
																							MAKE_PAIR(BgL_tshapez00_1193,
																							BgL_arg1854z00_1222);
																					}
																					BgL_list1852z00_1220 =
																						MAKE_PAIR(BgL_strzd2idzd2_1190,
																						BgL_arg1853z00_1221);
																				}
																				BgL_arg1851z00_1219 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1852z00_1220);
																			}
																			return
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg1851z00_1219));
																		}
																		break;
																	default:
																	BgL_case_else1093z00_1203:
																		{	/* Tools/shape.scm 108 */
																			obj_t BgL_symz00_1226;

																			{	/* Tools/shape.scm 109 */
																				obj_t BgL_arg1861z00_1230;

																				{	/* Tools/shape.scm 109 */
																					obj_t BgL_list1862z00_1231;

																					{	/* Tools/shape.scm 109 */
																						obj_t BgL_arg1863z00_1232;

																						{	/* Tools/shape.scm 109 */
																							obj_t BgL_arg1864z00_1233;

																							{	/* Tools/shape.scm 109 */
																								obj_t BgL_arg1865z00_1234;

																								BgL_arg1865z00_1234 =
																									MAKE_PAIR(BgL_ashapez00_1195,
																									BNIL);
																								BgL_arg1864z00_1233 =
																									MAKE_PAIR(BgL_ushapez00_1194,
																									BgL_arg1865z00_1234);
																							}
																							BgL_arg1863z00_1232 =
																								MAKE_PAIR(BgL_tshapez00_1193,
																								BgL_arg1864z00_1233);
																						}
																						BgL_list1862z00_1231 =
																							MAKE_PAIR(BgL_strzd2idzd2_1190,
																							BgL_arg1863z00_1232);
																					}
																					BgL_arg1861z00_1230 =
																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																						(BgL_list1862z00_1231);
																				}
																				BgL_symz00_1226 =
																					string_to_symbol(BSTRING_TO_STRING
																					(BgL_arg1861z00_1230));
																			}
																			{	/* Tools/shape.scm 110 */
																				obj_t BgL_arg1858z00_1227;

																				{	/* Tools/shape.scm 110 */
																					obj_t BgL_arg1859z00_1228;

																					BgL_arg1859z00_1228 =
																						MAKE_PAIR(string_to_symbol
																						(BSTRING_TO_STRING
																							(BgL_modulez00_1191)), BNIL);
																					BgL_arg1858z00_1227 =
																						MAKE_PAIR(BgL_symz00_1226,
																						BgL_arg1859z00_1228);
																				}
																				return
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1858z00_1227);
															}}}}
														else
															{	/* Tools/shape.scm 99 */
																goto BgL_case_else1093z00_1203;
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2029z00zztools_shapez00));
		}
	}

#ifdef __cplusplus
}
#endif
