/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
extern int bgl_input_fill_string(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
extern obj_t input_obj(obj_t);
static obj_t BGl_genericzd2initzd2zz__binaryz00();
extern obj_t open_input_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__binaryz00();
BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t);
extern obj_t bgl_input_string(obj_t, int);
static obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t, char);
extern int bgl_output_string(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__binaryz00();
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t close_binary_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t append_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
static obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, unsigned char);
extern obj_t bgl_flush_binary_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
static obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
static obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2strin1574z00, BGl_z62inputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2stri1575z00, BGl_z62outputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762flushza7d2binar1576z00, BGl_z62flushzd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2output1577z00, BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2char1578z00, BGl_z62outputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2charza71579za7, BGl_z62inputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1555z00zz__binaryz00, BgL_bgl_string1555za700za7za7_1580za7, "/tmp/bigloo/runtime/Llib/binary.scm", 35 );
DEFINE_STRING( BGl_string1556z00zz__binaryz00, BgL_bgl_string1556za700za7za7_1581za7, "&open-output-binary-file", 24 );
DEFINE_STRING( BGl_string1557z00zz__binaryz00, BgL_bgl_string1557za700za7za7_1582za7, "bstring", 7 );
DEFINE_STRING( BGl_string1558z00zz__binaryz00, BgL_bgl_string1558za700za7za7_1583za7, "&append-output-binary-file", 26 );
DEFINE_STRING( BGl_string1559z00zz__binaryz00, BgL_bgl_string1559za700za7za7_1584za7, "&open-input-binary-file", 23 );
DEFINE_STRING( BGl_string1560z00zz__binaryz00, BgL_bgl_string1560za700za7za7_1585za7, "&close-binary-port", 18 );
DEFINE_STRING( BGl_string1561z00zz__binaryz00, BgL_bgl_string1561za700za7za7_1586za7, "binary-port", 11 );
DEFINE_STRING( BGl_string1562z00zz__binaryz00, BgL_bgl_string1562za700za7za7_1587za7, "&flush-binary-port", 18 );
DEFINE_STRING( BGl_string1563z00zz__binaryz00, BgL_bgl_string1563za700za7za7_1588za7, "&input-obj", 10 );
DEFINE_STRING( BGl_string1564z00zz__binaryz00, BgL_bgl_string1564za700za7za7_1589za7, "&output-obj", 11 );
DEFINE_STRING( BGl_string1565z00zz__binaryz00, BgL_bgl_string1565za700za7za7_1590za7, "&output-char", 12 );
DEFINE_STRING( BGl_string1566z00zz__binaryz00, BgL_bgl_string1566za700za7za7_1591za7, "bchar", 5 );
DEFINE_STRING( BGl_string1567z00zz__binaryz00, BgL_bgl_string1567za700za7za7_1592za7, "&output-byte", 12 );
DEFINE_STRING( BGl_string1568z00zz__binaryz00, BgL_bgl_string1568za700za7za7_1593za7, "bint", 4 );
DEFINE_STRING( BGl_string1569z00zz__binaryz00, BgL_bgl_string1569za700za7za7_1594za7, "&input-char", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl_za762inputza7d2fillza71595za7, BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1570z00zz__binaryz00, BgL_bgl_string1570za700za7za7_1596za7, "&output-string", 14 );
DEFINE_STRING( BGl_string1571z00zz__binaryz00, BgL_bgl_string1571za700za7za7_1597za7, "&input-string", 13 );
DEFINE_STRING( BGl_string1572z00zz__binaryz00, BgL_bgl_string1572za700za7za7_1598za7, "&input-fill-string!", 19 );
DEFINE_STRING( BGl_string1573z00zz__binaryz00, BgL_bgl_string1573za700za7za7_1599za7, "__binary", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762closeza7d2binar1600z00, BGl_z62closezd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2bytezd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2byte1601z00, BGl_z62outputzd2bytezb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl_za762binaryza7d2port1602z00, BGl_z62binaryzd2portzf3z43zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2objza71603za7, BGl_z62outputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762appendza7d2outp1604z00, BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2objza7b1605za7, BGl_z62inputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2inputza71606za7, BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_1452, char * BgL_fromz00_1453)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/binary.scm 137 */
return 
BINARY_PORTP(BgL_objz00_3);} 
}



/* &binary-port? */
obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t BgL_envz00_1360, obj_t BgL_objz00_1361)
{ AN_OBJECT;
{ /* Llib/binary.scm 137 */
return 
BBOOL(
BINARY_PORTP(BgL_objz00_1361));} 
}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* Llib/binary.scm 143 */
return 
open_output_binary_file(BgL_strz00_4);} 
}



/* &open-output-binary-file */
obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1362, obj_t BgL_strz00_1363)
{ AN_OBJECT;
{ /* Llib/binary.scm 143 */
{ /* Llib/binary.scm 144 */
obj_t BgL_strz00_1431;
if(
STRINGP(BgL_strz00_1363))
{ /* Llib/binary.scm 144 */
BgL_strz00_1431 = BgL_strz00_1363; }  else 
{ 
obj_t BgL_auxz00_1464;
BgL_auxz00_1464 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)5612)), BGl_string1556z00zz__binaryz00, BGl_string1557z00zz__binaryz00, BgL_strz00_1363); 
FAILURE(BgL_auxz00_1464,BFALSE,BFALSE);} 
return 
open_output_binary_file(BgL_strz00_1431);} } 
}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_5)
{ AN_OBJECT;
{ /* Llib/binary.scm 149 */
return 
append_output_binary_file(BgL_strz00_5);} 
}



/* &append-output-binary-file */
obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1364, obj_t BgL_strz00_1365)
{ AN_OBJECT;
{ /* Llib/binary.scm 149 */
{ /* Llib/binary.scm 150 */
obj_t BgL_strz00_1432;
if(
STRINGP(BgL_strz00_1365))
{ /* Llib/binary.scm 150 */
BgL_strz00_1432 = BgL_strz00_1365; }  else 
{ 
obj_t BgL_auxz00_1472;
BgL_auxz00_1472 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)5910)), BGl_string1558z00zz__binaryz00, BGl_string1557z00zz__binaryz00, BgL_strz00_1365); 
FAILURE(BgL_auxz00_1472,BFALSE,BFALSE);} 
return 
append_output_binary_file(BgL_strz00_1432);} } 
}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_6)
{ AN_OBJECT;
{ /* Llib/binary.scm 155 */
return 
open_input_binary_file(BgL_strz00_6);} 
}



/* &open-input-binary-file */
obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1366, obj_t BgL_strz00_1367)
{ AN_OBJECT;
{ /* Llib/binary.scm 155 */
{ /* Llib/binary.scm 156 */
obj_t BgL_strz00_1433;
if(
STRINGP(BgL_strz00_1367))
{ /* Llib/binary.scm 156 */
BgL_strz00_1433 = BgL_strz00_1367; }  else 
{ 
obj_t BgL_auxz00_1480;
BgL_auxz00_1480 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)6207)), BGl_string1559z00zz__binaryz00, BGl_string1557z00zz__binaryz00, BgL_strz00_1367); 
FAILURE(BgL_auxz00_1480,BFALSE,BFALSE);} 
return 
open_input_binary_file(BgL_strz00_1433);} } 
}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_7)
{ AN_OBJECT;
{ /* Llib/binary.scm 161 */
return 
close_binary_port(BgL_portz00_7);} 
}



/* &close-binary-port */
obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1368, obj_t BgL_portz00_1369)
{ AN_OBJECT;
{ /* Llib/binary.scm 161 */
{ /* Llib/binary.scm 162 */
obj_t BgL_portz00_1434;
if(
BINARY_PORTP(BgL_portz00_1369))
{ /* Llib/binary.scm 162 */
BgL_portz00_1434 = BgL_portz00_1369; }  else 
{ 
obj_t BgL_auxz00_1488;
BgL_auxz00_1488 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)6504)), BGl_string1560z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1369); 
FAILURE(BgL_auxz00_1488,BFALSE,BFALSE);} 
return 
close_binary_port(BgL_portz00_1434);} } 
}



/* flush-binary-port */
BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_8)
{ AN_OBJECT;
{ /* Llib/binary.scm 167 */
return 
bgl_flush_binary_port(BgL_portz00_8);} 
}



/* &flush-binary-port */
obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1370, obj_t BgL_portz00_1371)
{ AN_OBJECT;
{ /* Llib/binary.scm 167 */
{ /* Llib/binary.scm 168 */
obj_t BgL_portz00_1435;
if(
BINARY_PORTP(BgL_portz00_1371))
{ /* Llib/binary.scm 168 */
BgL_portz00_1435 = BgL_portz00_1371; }  else 
{ 
obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)6797)), BGl_string1562z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1371); 
FAILURE(BgL_auxz00_1496,BFALSE,BFALSE);} 
return 
bgl_flush_binary_port(BgL_portz00_1435);} } 
}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_9)
{ AN_OBJECT;
{ /* Llib/binary.scm 173 */
return 
input_obj(BgL_portz00_9);} 
}



/* &input-obj */
obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1372, obj_t BgL_portz00_1373)
{ AN_OBJECT;
{ /* Llib/binary.scm 173 */
{ /* Llib/binary.scm 174 */
obj_t BgL_portz00_1436;
if(
BINARY_PORTP(BgL_portz00_1373))
{ /* Llib/binary.scm 174 */
BgL_portz00_1436 = BgL_portz00_1373; }  else 
{ 
obj_t BgL_auxz00_1504;
BgL_auxz00_1504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7082)), BGl_string1563z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1373); 
FAILURE(BgL_auxz00_1504,BFALSE,BFALSE);} 
return 
input_obj(BgL_portz00_1436);} } 
}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_10, obj_t BgL_objz00_11)
{ AN_OBJECT;
{ /* Llib/binary.scm 179 */
return 
output_obj(BgL_portz00_10, BgL_objz00_11);} 
}



/* &output-obj */
obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1374, obj_t BgL_portz00_1375, obj_t BgL_objz00_1376)
{ AN_OBJECT;
{ /* Llib/binary.scm 179 */
{ /* Llib/binary.scm 180 */
obj_t BgL_portz00_1437;
if(
BINARY_PORTP(BgL_portz00_1375))
{ /* Llib/binary.scm 180 */
BgL_portz00_1437 = BgL_portz00_1375; }  else 
{ 
obj_t BgL_auxz00_1512;
BgL_auxz00_1512 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7364)), BGl_string1564z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1375); 
FAILURE(BgL_auxz00_1512,BFALSE,BFALSE);} 
return 
output_obj(BgL_portz00_1437, BgL_objz00_1376);} } 
}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12, unsigned char BgL_charz00_13)
{ AN_OBJECT;
{ /* Llib/binary.scm 185 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_12, BgL_charz00_13);} 
}



/* &output-char */
obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1377, obj_t BgL_portz00_1378, obj_t BgL_charz00_1379)
{ AN_OBJECT;
{ /* Llib/binary.scm 185 */
{ /* Llib/binary.scm 186 */
obj_t BgL_portz00_1439;unsigned char BgL_charz00_1440;
if(
BINARY_PORTP(BgL_portz00_1378))
{ /* Llib/binary.scm 186 */
BgL_portz00_1439 = BgL_portz00_1378; }  else 
{ 
obj_t BgL_auxz00_1520;
BgL_auxz00_1520 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7658)), BGl_string1565z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1378); 
FAILURE(BgL_auxz00_1520,BFALSE,BFALSE);} 
{ /* Llib/binary.scm 186 */
obj_t BgL_auxz00_1524;
if(
CHARP(BgL_charz00_1379))
{ /* Llib/binary.scm 186 */
BgL_auxz00_1524 = BgL_charz00_1379
; }  else 
{ 
obj_t BgL_auxz00_1527;
BgL_auxz00_1527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7658)), BGl_string1565z00zz__binaryz00, BGl_string1566z00zz__binaryz00, BgL_charz00_1379); 
FAILURE(BgL_auxz00_1527,BFALSE,BFALSE);} 
BgL_charz00_1440 = 
CCHAR(BgL_auxz00_1524); } 
return 
BGL_OUTPUT_CHAR(BgL_portz00_1439, BgL_charz00_1440);} } 
}



/* output-byte */
BGL_EXPORTED_DEF obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t BgL_portz00_14, char BgL_charz00_15)
{ AN_OBJECT;
{ /* Llib/binary.scm 191 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_14, BgL_charz00_15);} 
}



/* &output-byte */
obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t BgL_envz00_1380, obj_t BgL_portz00_1381, obj_t BgL_charz00_1382)
{ AN_OBJECT;
{ /* Llib/binary.scm 191 */
{ /* Llib/binary.scm 192 */
obj_t BgL_portz00_1441;char BgL_charz00_1442;
if(
BINARY_PORTP(BgL_portz00_1381))
{ /* Llib/binary.scm 192 */
BgL_portz00_1441 = BgL_portz00_1381; }  else 
{ 
obj_t BgL_auxz00_1536;
BgL_auxz00_1536 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7949)), BGl_string1567z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1381); 
FAILURE(BgL_auxz00_1536,BFALSE,BFALSE);} 
{ /* Llib/binary.scm 192 */
obj_t BgL_auxz00_1540;
if(
INTEGERP(BgL_charz00_1382))
{ /* Llib/binary.scm 192 */
BgL_auxz00_1540 = BgL_charz00_1382
; }  else 
{ 
obj_t BgL_auxz00_1543;
BgL_auxz00_1543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)7949)), BGl_string1567z00zz__binaryz00, BGl_string1568z00zz__binaryz00, BgL_charz00_1382); 
FAILURE(BgL_auxz00_1543,BFALSE,BFALSE);} 
BgL_charz00_1442 = 
(signed char)CINT(BgL_auxz00_1540); } 
return 
BGL_OUTPUT_CHAR(BgL_portz00_1441, BgL_charz00_1442);} } 
}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_16)
{ AN_OBJECT;
{ /* Llib/binary.scm 197 */
{ /* Llib/binary.scm 198 */
int BgL_charz00_1443;
BgL_charz00_1443 = 
BGL_INPUT_CHAR(BgL_portz00_16); 
if(
BGL_INT_EOFP(BgL_charz00_1443))
{ /* Llib/binary.scm 198 */
return BEOF;}  else 
{ /* Llib/binary.scm 198 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_1443)));} } } 
}



/* &input-char */
obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1383, obj_t BgL_portz00_1384)
{ AN_OBJECT;
{ /* Llib/binary.scm 197 */
{ /* Llib/binary.scm 198 */
obj_t BgL_portz00_1444;
if(
BINARY_PORTP(BgL_portz00_1384))
{ /* Llib/binary.scm 198 */
BgL_portz00_1444 = BgL_portz00_1384; }  else 
{ 
obj_t BgL_auxz00_1557;
BgL_auxz00_1557 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)8234)), BGl_string1569z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1384); 
FAILURE(BgL_auxz00_1557,BFALSE,BFALSE);} 
{ /* Llib/binary.scm 198 */
int BgL_charz00_1445;
BgL_charz00_1445 = 
BGL_INPUT_CHAR(BgL_portz00_1444); 
if(
BGL_INT_EOFP(BgL_charz00_1445))
{ /* Llib/binary.scm 198 */
return BEOF;}  else 
{ /* Llib/binary.scm 198 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_1445)));} } } } 
}



/* output-string */
BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_17, obj_t BgL_stringz00_18)
{ AN_OBJECT;
{ /* Llib/binary.scm 206 */
return 
BINT(
bgl_output_string(BgL_portz00_17, BgL_stringz00_18));} 
}



/* &output-string */
obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1385, obj_t BgL_portz00_1386, obj_t BgL_stringz00_1387)
{ AN_OBJECT;
{ /* Llib/binary.scm 206 */
{ /* Llib/binary.scm 207 */
obj_t BgL_portz00_1446;obj_t BgL_stringz00_1447;
if(
BINARY_PORTP(BgL_portz00_1386))
{ /* Llib/binary.scm 207 */
BgL_portz00_1446 = BgL_portz00_1386; }  else 
{ 
obj_t BgL_auxz00_1571;
BgL_auxz00_1571 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)8598)), BGl_string1570z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1386); 
FAILURE(BgL_auxz00_1571,BFALSE,BFALSE);} 
if(
STRINGP(BgL_stringz00_1387))
{ /* Llib/binary.scm 207 */
BgL_stringz00_1447 = BgL_stringz00_1387; }  else 
{ 
obj_t BgL_auxz00_1577;
BgL_auxz00_1577 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)8598)), BGl_string1570z00zz__binaryz00, BGl_string1557z00zz__binaryz00, BgL_stringz00_1387); 
FAILURE(BgL_auxz00_1577,BFALSE,BFALSE);} 
return 
BINT(
bgl_output_string(BgL_portz00_1446, BgL_stringz00_1447));} } 
}



/* input-string */
BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_19, int BgL_lenz00_20)
{ AN_OBJECT;
{ /* Llib/binary.scm 212 */
return 
bgl_input_string(BgL_portz00_19, BgL_lenz00_20);} 
}



/* &input-string */
obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1388, obj_t BgL_portz00_1389, obj_t BgL_lenz00_1390)
{ AN_OBJECT;
{ /* Llib/binary.scm 212 */
{ /* Llib/binary.scm 213 */
obj_t BgL_portz00_1448;int BgL_lenz00_1449;
if(
BINARY_PORTP(BgL_portz00_1389))
{ /* Llib/binary.scm 213 */
BgL_portz00_1448 = BgL_portz00_1389; }  else 
{ 
obj_t BgL_auxz00_1586;
BgL_auxz00_1586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)8893)), BGl_string1571z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1389); 
FAILURE(BgL_auxz00_1586,BFALSE,BFALSE);} 
{ /* Llib/binary.scm 213 */
obj_t BgL_auxz00_1590;
if(
INTEGERP(BgL_lenz00_1390))
{ /* Llib/binary.scm 213 */
BgL_auxz00_1590 = BgL_lenz00_1390
; }  else 
{ 
obj_t BgL_auxz00_1593;
BgL_auxz00_1593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)8893)), BGl_string1571z00zz__binaryz00, BGl_string1568z00zz__binaryz00, BgL_lenz00_1390); 
FAILURE(BgL_auxz00_1593,BFALSE,BFALSE);} 
BgL_lenz00_1449 = 
CINT(BgL_auxz00_1590); } 
return 
bgl_input_string(BgL_portz00_1448, BgL_lenz00_1449);} } 
}



/* input-fill-string! */
BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_portz00_21, obj_t BgL_strz00_22)
{ AN_OBJECT;
{ /* Llib/binary.scm 218 */
return 
bgl_input_fill_string(BgL_portz00_21, BgL_strz00_22);} 
}



/* &input-fill-string! */
obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t BgL_envz00_1391, obj_t BgL_portz00_1392, obj_t BgL_strz00_1393)
{ AN_OBJECT;
{ /* Llib/binary.scm 218 */
{ /* Llib/binary.scm 219 */
int BgL_auxz00_1600;
{ /* Llib/binary.scm 219 */
obj_t BgL_portz00_1450;obj_t BgL_strz00_1451;
if(
BINARY_PORTP(BgL_portz00_1392))
{ /* Llib/binary.scm 219 */
BgL_portz00_1450 = BgL_portz00_1392; }  else 
{ 
obj_t BgL_auxz00_1603;
BgL_auxz00_1603 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)9190)), BGl_string1572z00zz__binaryz00, BGl_string1561z00zz__binaryz00, BgL_portz00_1392); 
FAILURE(BgL_auxz00_1603,BFALSE,BFALSE);} 
if(
STRINGP(BgL_strz00_1393))
{ /* Llib/binary.scm 219 */
BgL_strz00_1451 = BgL_strz00_1393; }  else 
{ 
obj_t BgL_auxz00_1609;
BgL_auxz00_1609 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1555z00zz__binaryz00, 
BINT(((long)9190)), BGl_string1572z00zz__binaryz00, BGl_string1557z00zz__binaryz00, BgL_strz00_1393); 
FAILURE(BgL_auxz00_1609,BFALSE,BFALSE);} 
BgL_auxz00_1600 = 
bgl_input_fill_string(BgL_portz00_1450, BgL_strz00_1451); } 
return 
BINT(BgL_auxz00_1600);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)373318193), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)109807001), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)441709255), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)159639574), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)223284409), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)220651073), 
BSTRING_TO_STRING(BGl_string1573z00zz__binaryz00));} 
}

#ifdef __cplusplus
}
#endif
