/*===========================================================================*/
/*   (Llib/param.scm)                                                        */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/param.scm -indent -o objs/obj_s/Llib/param.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00();
static obj_t BGl_za2parameterzd2mutexza2zd2zz__paramz00 = BUNSPEC;
static bool_t BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00;
BGL_EXPORTED_DECL int BGl_bigloozd2warningzd2zz__paramz00();
BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2readerz00zz__paramz00();
static obj_t BGl_z62bigloozd2debugzd2setz12z70zz__paramz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__paramz00 = BUNSPEC;
static obj_t BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2debugzd2modulez62zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00(long);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00(int);
static obj_t BGl_za2bigloozd2warningza2zd2zz__paramz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2debugzb0zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2modulez00zz__paramz00();
static obj_t BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00(obj_t, obj_t);
static obj_t BGl_za2bigloozd2debugza2zd2zz__paramz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2loadzd2readerz62zz__paramz00(obj_t);
BGL_EXPORTED_DECL long bgl_dns_cache_validity_timeout();
static obj_t BGl_toplevelzd2initzd2zz__paramz00();
BGL_EXPORTED_DECL int bgl_debug();
static bool_t BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00;
static obj_t BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00(obj_t, obj_t);
static obj_t BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(bool_t);
static obj_t BGl_z62bigloozd2warningzd2setz12z70zz__paramz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2initializa7edz12z67zz__paramz00();
static obj_t BGl_z62bigloozd2loadzd2modulez62zz__paramz00(obj_t);
BGL_EXPORTED_DECL bool_t bgl_dns_enable_cache();
BGL_EXPORTED_DECL obj_t BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00(obj_t);
extern obj_t BGl_getenvz00zz__osz00(char *);
BGL_EXPORTED_DECL obj_t bgl_debug_set(int);
static obj_t BGl_cnstzd2initzd2zz__paramz00();
extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_genericzd2initzd2zz__paramz00();
BGL_EXPORTED_DECL bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00();
BGL_EXPORTED_DECL bool_t BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__paramz00();
static obj_t BGl_objectzd2initzd2zz__paramz00();
static obj_t BGl_z62bigloozd2libraryzd2pathz62zz__paramz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2modulezd2extensionzd2handlerzd2zz__paramz00();
static obj_t BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(obj_t);
static obj_t BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 = BUNSPEC;
static bool_t BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00;
extern obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
static obj_t BGl_zc3anonymousza31150ze3z83zz__paramz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2casezd2sensitivez00zz__paramz00();
static obj_t BGl_symbol1524z00zz__paramz00 = BUNSPEC;
static obj_t BGl_symbol1526z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(bool_t);
BGL_EXPORTED_DECL bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00();
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
BGL_EXPORTED_DECL obj_t BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(int);
static obj_t BGl_symbol1532z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_bigloozd2debugzd2modulez00zz__paramz00();
static obj_t BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00(obj_t, obj_t);
static obj_t BGl_symbol1537z00zz__paramz00 = BUNSPEC;
static long BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00;
static obj_t BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = BUNSPEC;
static obj_t BGl_symbol1541z00zz__paramz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__paramz00();
static bool_t BGl_za2bigloozd2initializa7edpza2z75zz__paramz00;
static obj_t BGl_z62bigloozd2warningzb0zz__paramz00(obj_t);
static obj_t BGl_symbol1546z00zz__paramz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2tracezd2colorz62zz__paramz00(obj_t);
static obj_t BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(bool_t);
static obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
BGL_EXPORTED_DECL obj_t BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00(obj_t);
static obj_t BGl_symbol1554z00zz__paramz00 = BUNSPEC;
static obj_t BGl_symbol1556z00zz__paramz00 = BUNSPEC;
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2casezd2sensitivez62zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int);
static obj_t BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2initializa7edz12z05zz__paramz00(obj_t);
static bool_t BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00;
static obj_t BGl_symbol1565z00zz__paramz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
static obj_t BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2compilerzd2debugz62zz__paramz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(bool_t);
static obj_t BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00(obj_t, obj_t);
extern long BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00();
BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(obj_t);
static obj_t BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00(obj_t, obj_t);
static obj_t BGl_list1553z00zz__paramz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static long BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2dnsza71576za7, BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2loadzd2modulezd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2load1577z00, BGl_z62bigloozd2loadzd2modulez62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2modu1578z00, BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2debugzd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2debu1579z00, BGl_z62bigloozd2debugzb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2initializa7edz12zd2envzb5zz__paramz00, BgL_bgl_za762biglooza7d2init1580z00, BGl_z62bigloozd2initializa7edz12z05zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2loadzd2readerzd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2load1581z00, BGl_z62bigloozd2loadzd2readerz62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2tracezd2colorzd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2trac1582z00, BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2debugzd2modulezd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2debu1583z00, BGl_z62bigloozd2debugzd2modulez62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1522z00zz__paramz00, BgL_bgl_string1522za700za7za7_1584za7, "param", 5 );
DEFINE_STRING( BGl_string1523z00zz__paramz00, BgL_bgl_string1523za700za7za7_1585za7, "BIGLOOSTACKDEPTH", 16 );
DEFINE_STRING( BGl_string1525z00zz__paramz00, BgL_bgl_string1525za700za7za7_1586za7, "sensitive", 9 );
DEFINE_STRING( BGl_string1527z00zz__paramz00, BgL_bgl_string1527za700za7za7_1587za7, "library-directory", 17 );
DEFINE_STRING( BGl_string1528z00zz__paramz00, BgL_bgl_string1528za700za7za7_1588za7, ".", 1 );
DEFINE_STRING( BGl_string1529z00zz__paramz00, BgL_bgl_string1529za700za7za7_1589za7, "/tmp/bigloo/runtime/Llib/param.scm", 34 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2extensionzd2handlerzd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2modu1590z00, BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1530z00zz__paramz00, BgL_bgl_string1530za700za7za7_1591za7, "bigloo-compiler-debug", 21 );
DEFINE_STRING( BGl_string1531z00zz__paramz00, BgL_bgl_string1531za700za7za7_1592za7, "bint", 4 );
DEFINE_STRING( BGl_string1533z00zz__paramz00, BgL_bgl_string1533za700za7za7_1593za7, "bigloo-compiler-debug-set!", 26 );
DEFINE_STRING( BGl_string1534z00zz__paramz00, BgL_bgl_string1534za700za7za7_1594za7, "Illegal debug level", 19 );
DEFINE_STRING( BGl_string1535z00zz__paramz00, BgL_bgl_string1535za700za7za7_1595za7, "&bigloo-compiler-debug-set!", 27 );
DEFINE_STRING( BGl_string1536z00zz__paramz00, BgL_bgl_string1536za700za7za7_1596za7, "bigloo-debug", 12 );
DEFINE_STRING( BGl_string1538z00zz__paramz00, BgL_bgl_string1538za700za7za7_1597za7, "bigloo-debug-set!", 17 );
DEFINE_STRING( BGl_string1539z00zz__paramz00, BgL_bgl_string1539za700za7za7_1598za7, "&bigloo-debug-set!", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2loadzd2modulezd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2load1599z00, BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1540z00zz__paramz00, BgL_bgl_string1540za700za7za7_1600za7, "bigloo-debug-module", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2casezd2sensitivezd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2case1601z00, BGl_z62bigloozd2casezd2sensitivez62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1542z00zz__paramz00, BgL_bgl_string1542za700za7za7_1602za7, "bigloo-debug-module-set!", 24 );
DEFINE_STRING( BGl_string1543z00zz__paramz00, BgL_bgl_string1543za700za7za7_1603za7, "Illegal debug module level", 26 );
DEFINE_STRING( BGl_string1544z00zz__paramz00, BgL_bgl_string1544za700za7za7_1604za7, "&bigloo-debug-module-set!", 25 );
DEFINE_STRING( BGl_string1545z00zz__paramz00, BgL_bgl_string1545za700za7za7_1605za7, "bigloo-warning", 14 );
DEFINE_STRING( BGl_string1547z00zz__paramz00, BgL_bgl_string1547za700za7za7_1606za7, "bigloo-warning-set!", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2strictzd2r5rszd2stringszd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2stri1607z00, BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1548z00zz__paramz00, BgL_bgl_string1548za700za7za7_1608za7, "Illegal warning level", 21 );
DEFINE_STRING( BGl_string1549z00zz__paramz00, BgL_bgl_string1549za700za7za7_1609za7, "&bigloo-warning-set!", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2dnszd2enablezd2cachezd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2dnsza71610za7, BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2evalzd2strictzd2modulezd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2eval1611z00, BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2tracezd2colorzd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2trac1612z00, BGl_z62bigloozd2tracezd2colorz62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1550z00zz__paramz00, BgL_bgl_string1550za700za7za7_1613za7, "&bigloo-trace-stack-depth-set!", 30 );
DEFINE_STRING( BGl_string1551z00zz__paramz00, BgL_bgl_string1551za700za7za7_1614za7, "bigloo-case-sensitive", 21 );
DEFINE_STRING( BGl_string1552z00zz__paramz00, BgL_bgl_string1552za700za7za7_1615za7, "symbol", 6 );
DEFINE_STRING( BGl_string1555z00zz__paramz00, BgL_bgl_string1555za700za7za7_1616za7, "downcase", 8 );
DEFINE_STRING( BGl_string1557z00zz__paramz00, BgL_bgl_string1557za700za7za7_1617za7, "upcase", 6 );
DEFINE_STRING( BGl_string1558z00zz__paramz00, BgL_bgl_string1558za700za7za7_1618za7, "bigloo-sensitivity-set!", 23 );
DEFINE_STRING( BGl_string1559z00zz__paramz00, BgL_bgl_string1559za700za7za7_1619za7, "Illegal sensitive value", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2tracezd2stackzd2depthzd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2trac1620z00, BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2compilerzd2debugzd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2comp1621z00, BGl_z62bigloozd2compilerzd2debugz62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1560z00zz__paramz00, BgL_bgl_string1560za700za7za7_1622za7, "&bigloo-case-sensitive-set!", 27 );
DEFINE_STRING( BGl_string1561z00zz__paramz00, BgL_bgl_string1561za700za7za7_1623za7, "bigloo-library-path", 19 );
DEFINE_STRING( BGl_string1562z00zz__paramz00, BgL_bgl_string1562za700za7za7_1624za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1563z00zz__paramz00, BgL_bgl_string1563za700za7za7_1625za7, "every", 5 );
DEFINE_STRING( BGl_string1564z00zz__paramz00, BgL_bgl_string1564za700za7za7_1626za7, "list", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2compilerzd2debugzd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2comp1627z00, BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1566z00zz__paramz00, BgL_bgl_string1566za700za7za7_1628za7, "bigloo-library-path-set!", 24 );
DEFINE_STRING( BGl_string1567z00zz__paramz00, BgL_bgl_string1567za700za7za7_1629za7, "Illegal values", 14 );
DEFINE_STRING( BGl_string1568z00zz__paramz00, BgL_bgl_string1568za700za7za7_1630za7, "Illegal list", 12 );
DEFINE_STRING( BGl_string1569z00zz__paramz00, BgL_bgl_string1569za700za7za7_1631za7, "<anonymous:1150>", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2loadzd2readerzd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2load1632z00, BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2strictzd2r5rszd2stringszd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2stri1633z00, BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1570z00zz__paramz00, BgL_bgl_string1570za700za7za7_1634za7, "pair", 4 );
DEFINE_STRING( BGl_string1571z00zz__paramz00, BgL_bgl_string1571za700za7za7_1635za7, "&bigloo-library-path-set!", 25 );
DEFINE_STRING( BGl_string1572z00zz__paramz00, BgL_bgl_string1572za700za7za7_1636za7, "&bigloo-dns-cache-validity-timeout-set!", 39 );
DEFINE_STRING( BGl_string1573z00zz__paramz00, BgL_bgl_string1573za700za7za7_1637za7, "__param", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2dnsza71638za7, BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2warningzd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2warn1639z00, BGl_z62bigloozd2warningzb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2casezd2sensitivezd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2case1640z00, BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2debugzd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2debu1641z00, BGl_z62bigloozd2debugzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2debugzd2modulezd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2debu1642z00, BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2initializa7edzf3zd2envz54zz__paramz00, BgL_bgl_za762biglooza7d2init1643z00, BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2evalzd2strictzd2modulezd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2eval1644z00, BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2libraryzd2pathzd2envzd2zz__paramz00, BgL_bgl_za762biglooza7d2libr1645z00, BGl_z62bigloozd2libraryzd2pathz62zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2libraryzd2pathzd2setz12zd2envz12zz__paramz00, BgL_bgl_za762biglooza7d2libr1646z00, BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2tracezd2stackzd2depthzd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2trac1647z00, BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2warningzd2setz12zd2envzc0zz__paramz00, BgL_bgl_za762biglooza7d2warn1648z00, BGl_z62bigloozd2warningzd2setz12z70zz__paramz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2dnszd2enablezd2cachezd2envz00zz__paramz00, BgL_bgl_za762biglooza7d2dnsza71649za7, BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00, 0L, BUNSPEC, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long BgL_checksumz00_1345, char * BgL_fromz00_1346)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__paramz00))
{ 
BGl_requirezd2initializa7ationz75zz__paramz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__paramz00(); 
BGl_importedzd2moduleszd2initz00zz__paramz00(); 
BGl_toplevelzd2initzd2zz__paramz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
BGl_symbol1524z00zz__paramz00 = 
bstring_to_symbol(BGl_string1525z00zz__paramz00); 
BGl_symbol1526z00zz__paramz00 = 
bstring_to_symbol(BGl_string1527z00zz__paramz00); 
BGl_symbol1532z00zz__paramz00 = 
bstring_to_symbol(BGl_string1533z00zz__paramz00); 
BGl_symbol1537z00zz__paramz00 = 
bstring_to_symbol(BGl_string1538z00zz__paramz00); 
BGl_symbol1541z00zz__paramz00 = 
bstring_to_symbol(BGl_string1542z00zz__paramz00); 
BGl_symbol1546z00zz__paramz00 = 
bstring_to_symbol(BGl_string1547z00zz__paramz00); 
BGl_symbol1554z00zz__paramz00 = 
bstring_to_symbol(BGl_string1555z00zz__paramz00); 
BGl_symbol1556z00zz__paramz00 = 
bstring_to_symbol(BGl_string1557z00zz__paramz00); 
BGl_list1553z00zz__paramz00 = 
MAKE_PAIR(BGl_symbol1524z00zz__paramz00, 
MAKE_PAIR(BGl_symbol1554z00zz__paramz00, 
MAKE_PAIR(BGl_symbol1556z00zz__paramz00, BNIL))); 
return ( 
BGl_symbol1565z00zz__paramz00 = 
bstring_to_symbol(BGl_string1566z00zz__paramz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
{ /* Llib/param.scm 103 */
obj_t BgL_res1427z00_880;
BgL_res1427z00_880 = 
bgl_make_mutex(BGl_string1522z00zz__paramz00); 
BGl_za2parameterzd2mutexza2zd2zz__paramz00 = BgL_res1427z00_880; } 
BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00 = ((bool_t)0); 
BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = 
BINT(((long)0)); 
BGl_za2bigloozd2debugza2zd2zz__paramz00 = 
BINT(((long)0)); 
BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = 
BINT(((long)0)); 
BGl_za2bigloozd2warningza2zd2zz__paramz00 = 
BINT(((long)1)); 
BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00 = ((bool_t)1); 
{ /* Llib/param.scm 190 */
obj_t BgL_envzd2valuezd2_547;
BgL_envzd2valuezd2_547 = 
BGl_getenvz00zz__osz00(
BSTRING_TO_STRING(BGl_string1523z00zz__paramz00)); 
if(
STRINGP(BgL_envzd2valuezd2_547))
{ /* Llib/param.scm 191 */
BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 = 
BGl_stringzd2ze3integerz31zz__r4_numbers_6_5_fixnumz00(BgL_envzd2valuezd2_547, BNIL); }  else 
{ /* Llib/param.scm 191 */
BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 = ((long)10); } } 
BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 = BGl_symbol1524z00zz__paramz00; 
BGl_za2bigloozd2initializa7edpza2z75zz__paramz00 = ((bool_t)0); 
BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 = BFALSE; 
BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 = BFALSE; 
BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 = BFALSE; 
BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00 = ((bool_t)1); 
{ /* Llib/param.scm 254 */
obj_t BgL_arg1112z00_550;
BgL_arg1112z00_550 = 
BGl_bigloozd2configzd2zz__configurez00(BGl_symbol1526z00zz__paramz00); 
{ /* Llib/param.scm 254 */
obj_t BgL_list1113z00_551;
{ /* Llib/param.scm 254 */
obj_t BgL_arg1114z00_552;
BgL_arg1114z00_552 = 
MAKE_PAIR(BgL_arg1112z00_550, BNIL); 
BgL_list1113z00_551 = 
MAKE_PAIR(BGl_string1528z00zz__paramz00, BgL_arg1114z00_552); } 
BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = BgL_list1113z00_551; } } 
BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00 = ((bool_t)1); 
return ( 
BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00 = ((long)20), BUNSPEC) ;} 
}



/* bigloo-strict-r5rs-strings */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2strictzd2r5rszd2stringszd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 129 */
return BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00;} 
}



/* &bigloo-strict-r5rs-strings */
obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszb0zz__paramz00(obj_t BgL_envz00_1252)
{ AN_OBJECT;
{ /* Llib/param.scm 129 */
{ /* Llib/param.scm 129 */
bool_t BgL_auxz00_1378;
BgL_auxz00_1378 = BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00; 
return 
BBOOL(BgL_auxz00_1378);} } 
}



/* bigloo-strict-r5rs-strings-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(bool_t BgL_vz00_3)
{ AN_OBJECT;
{ /* Llib/param.scm 129 */
{ /* Llib/param.scm 129 */
obj_t BgL_g1086z00_885;
BgL_g1086z00_885 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 129 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 129 */
bgl_mutex_lock(BgL_g1086z00_885); }  else 
{ /* Llib/param.scm 129 */
bgl_mutex_timed_lock(BgL_g1086z00_885, ((long)0)); } } } 
BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__paramz00 = BgL_vz00_3; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BBOOL(BgL_vz00_3);} 
}



/* &bigloo-strict-r5rs-strings-set! */
obj_t BGl_z62bigloozd2strictzd2r5rszd2stringszd2setz12z70zz__paramz00(obj_t BgL_envz00_1253, obj_t BgL_vz00_1254)
{ AN_OBJECT;
{ /* Llib/param.scm 129 */
return 
BGl_bigloozd2strictzd2r5rszd2stringszd2setz12z12zz__paramz00(
CBOOL(BgL_vz00_1254));} 
}



/* bigloo-compiler-debug */
BGL_EXPORTED_DEF int BGl_bigloozd2compilerzd2debugz00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 136 */
{ /* Llib/param.scm 136 */
obj_t BgL_auxz00_1388;
{ /* Llib/param.scm 136 */
obj_t BgL_aux1490z00_1299;
BgL_aux1490z00_1299 = BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00; 
if(
INTEGERP(BgL_aux1490z00_1299))
{ /* Llib/param.scm 136 */
BgL_auxz00_1388 = BgL_aux1490z00_1299
; }  else 
{ 
obj_t BgL_auxz00_1391;
BgL_auxz00_1391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)4764)), BGl_string1530z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_aux1490z00_1299); 
FAILURE(BgL_auxz00_1391,BFALSE,BFALSE);} } 
return 
CINT(BgL_auxz00_1388);} } 
}



/* &bigloo-compiler-debug */
obj_t BGl_z62bigloozd2compilerzd2debugz62zz__paramz00(obj_t BgL_envz00_1255)
{ AN_OBJECT;
{ /* Llib/param.scm 136 */
return 
BINT(
BGl_bigloozd2compilerzd2debugz00zz__paramz00());} 
}



/* bigloo-compiler-debug-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00(int BgL_vz00_4)
{ AN_OBJECT;
{ /* Llib/param.scm 136 */
{ /* Llib/param.scm 136 */
obj_t BgL_g1086z00_563;
BgL_g1086z00_563 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_563); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_563, ((long)0)); } } } 
if(
(
(long)(BgL_vz00_4)<((long)0)))
{ /* Llib/param.scm 139 */
BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1532z00zz__paramz00, BGl_string1534z00zz__paramz00, 
BINT(BgL_vz00_4)); }  else 
{ /* Llib/param.scm 139 */
BGl_za2bigloozd2compilerzd2debugza2z00zz__paramz00 = 
BINT(BgL_vz00_4); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_4);} 
}



/* &bigloo-compiler-debug-set! */
obj_t BGl_z62bigloozd2compilerzd2debugzd2setz12za2zz__paramz00(obj_t BgL_envz00_1256, obj_t BgL_vz00_1257)
{ AN_OBJECT;
{ /* Llib/param.scm 136 */
{ /* Llib/param.scm 136 */
int BgL_auxz00_1410;
{ /* Llib/param.scm 136 */
obj_t BgL_auxz00_1411;
if(
INTEGERP(BgL_vz00_1257))
{ /* Llib/param.scm 136 */
BgL_auxz00_1411 = BgL_vz00_1257
; }  else 
{ 
obj_t BgL_auxz00_1414;
BgL_auxz00_1414 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)4764)), BGl_string1535z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1257); 
FAILURE(BgL_auxz00_1414,BFALSE,BFALSE);} 
BgL_auxz00_1410 = 
CINT(BgL_auxz00_1411); } 
return 
BGl_bigloozd2compilerzd2debugzd2setz12zc0zz__paramz00(BgL_auxz00_1410);} } 
}



/* bigloo-debug */
BGL_EXPORTED_DEF int bgl_debug()
{ AN_OBJECT;
{ /* Llib/param.scm 148 */
{ /* Llib/param.scm 148 */
obj_t BgL_auxz00_1420;
{ /* Llib/param.scm 148 */
obj_t BgL_aux1494z00_1303;
BgL_aux1494z00_1303 = BGl_za2bigloozd2debugza2zd2zz__paramz00; 
if(
INTEGERP(BgL_aux1494z00_1303))
{ /* Llib/param.scm 148 */
BgL_auxz00_1420 = BgL_aux1494z00_1303
; }  else 
{ 
obj_t BgL_auxz00_1423;
BgL_auxz00_1423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)5317)), BGl_string1536z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_aux1494z00_1303); 
FAILURE(BgL_auxz00_1423,BFALSE,BFALSE);} } 
return 
CINT(BgL_auxz00_1420);} } 
}



/* &bigloo-debug */
obj_t BGl_z62bigloozd2debugzb0zz__paramz00(obj_t BgL_envz00_1258)
{ AN_OBJECT;
{ /* Llib/param.scm 148 */
return 
BINT(
bgl_debug());} 
}



/* bigloo-debug-set! */
BGL_EXPORTED_DEF obj_t bgl_debug_set(int BgL_vz00_5)
{ AN_OBJECT;
{ /* Llib/param.scm 148 */
{ /* Llib/param.scm 148 */
obj_t BgL_g1086z00_568;
BgL_g1086z00_568 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_568); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_568, ((long)0)); } } } 
if(
(
(long)(BgL_vz00_5)<((long)0)))
{ /* Llib/param.scm 151 */
BGl_za2bigloozd2debugza2zd2zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1537z00zz__paramz00, BGl_string1534z00zz__paramz00, 
BINT(BgL_vz00_5)); }  else 
{ /* Llib/param.scm 151 */
BGl_za2bigloozd2debugza2zd2zz__paramz00 = 
BINT(BgL_vz00_5); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_5);} 
}



/* &bigloo-debug-set! */
obj_t BGl_z62bigloozd2debugzd2setz12z70zz__paramz00(obj_t BgL_envz00_1259, obj_t BgL_vz00_1260)
{ AN_OBJECT;
{ /* Llib/param.scm 148 */
{ /* Llib/param.scm 148 */
int BgL_auxz00_1442;
{ /* Llib/param.scm 148 */
obj_t BgL_auxz00_1443;
if(
INTEGERP(BgL_vz00_1260))
{ /* Llib/param.scm 148 */
BgL_auxz00_1443 = BgL_vz00_1260
; }  else 
{ 
obj_t BgL_auxz00_1446;
BgL_auxz00_1446 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)5317)), BGl_string1539z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1260); 
FAILURE(BgL_auxz00_1446,BFALSE,BFALSE);} 
BgL_auxz00_1442 = 
CINT(BgL_auxz00_1443); } 
return 
bgl_debug_set(BgL_auxz00_1442);} } 
}



/* bigloo-debug-module */
BGL_EXPORTED_DEF int BGl_bigloozd2debugzd2modulez00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 160 */
{ /* Llib/param.scm 160 */
obj_t BgL_auxz00_1452;
{ /* Llib/param.scm 160 */
obj_t BgL_aux1498z00_1307;
BgL_aux1498z00_1307 = BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00; 
if(
INTEGERP(BgL_aux1498z00_1307))
{ /* Llib/param.scm 160 */
BgL_auxz00_1452 = BgL_aux1498z00_1307
; }  else 
{ 
obj_t BgL_auxz00_1455;
BgL_auxz00_1455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)5849)), BGl_string1540z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_aux1498z00_1307); 
FAILURE(BgL_auxz00_1455,BFALSE,BFALSE);} } 
return 
CINT(BgL_auxz00_1452);} } 
}



/* &bigloo-debug-module */
obj_t BGl_z62bigloozd2debugzd2modulez62zz__paramz00(obj_t BgL_envz00_1261)
{ AN_OBJECT;
{ /* Llib/param.scm 160 */
return 
BINT(
BGl_bigloozd2debugzd2modulez00zz__paramz00());} 
}



/* bigloo-debug-module-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(int BgL_vz00_6)
{ AN_OBJECT;
{ /* Llib/param.scm 160 */
{ /* Llib/param.scm 160 */
obj_t BgL_g1086z00_573;
BgL_g1086z00_573 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_573); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_573, ((long)0)); } } } 
if(
(
(long)(BgL_vz00_6)<((long)0)))
{ /* Llib/param.scm 163 */
BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1541z00zz__paramz00, BGl_string1543z00zz__paramz00, 
BINT(BgL_vz00_6)); }  else 
{ /* Llib/param.scm 163 */
BGl_za2bigloozd2debugzd2moduleza2z00zz__paramz00 = 
BINT(BgL_vz00_6); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_6);} 
}



/* &bigloo-debug-module-set! */
obj_t BGl_z62bigloozd2debugzd2modulezd2setz12za2zz__paramz00(obj_t BgL_envz00_1262, obj_t BgL_vz00_1263)
{ AN_OBJECT;
{ /* Llib/param.scm 160 */
{ /* Llib/param.scm 160 */
int BgL_auxz00_1474;
{ /* Llib/param.scm 160 */
obj_t BgL_auxz00_1475;
if(
INTEGERP(BgL_vz00_1263))
{ /* Llib/param.scm 160 */
BgL_auxz00_1475 = BgL_vz00_1263
; }  else 
{ 
obj_t BgL_auxz00_1478;
BgL_auxz00_1478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)5849)), BGl_string1544z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1263); 
FAILURE(BgL_auxz00_1478,BFALSE,BFALSE);} 
BgL_auxz00_1474 = 
CINT(BgL_auxz00_1475); } 
return 
BGl_bigloozd2debugzd2modulezd2setz12zc0zz__paramz00(BgL_auxz00_1474);} } 
}



/* bigloo-warning */
BGL_EXPORTED_DEF int BGl_bigloozd2warningzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 172 */
{ /* Llib/param.scm 172 */
obj_t BgL_auxz00_1484;
{ /* Llib/param.scm 172 */
obj_t BgL_aux1502z00_1311;
BgL_aux1502z00_1311 = BGl_za2bigloozd2warningza2zd2zz__paramz00; 
if(
INTEGERP(BgL_aux1502z00_1311))
{ /* Llib/param.scm 172 */
BgL_auxz00_1484 = BgL_aux1502z00_1311
; }  else 
{ 
obj_t BgL_auxz00_1487;
BgL_auxz00_1487 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)6402)), BGl_string1545z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_aux1502z00_1311); 
FAILURE(BgL_auxz00_1487,BFALSE,BFALSE);} } 
return 
CINT(BgL_auxz00_1484);} } 
}



/* &bigloo-warning */
obj_t BGl_z62bigloozd2warningzb0zz__paramz00(obj_t BgL_envz00_1264)
{ AN_OBJECT;
{ /* Llib/param.scm 172 */
return 
BINT(
BGl_bigloozd2warningzd2zz__paramz00());} 
}



/* bigloo-warning-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2warningzd2setz12z12zz__paramz00(int BgL_vz00_7)
{ AN_OBJECT;
{ /* Llib/param.scm 172 */
{ /* Llib/param.scm 172 */
obj_t BgL_g1086z00_578;
BgL_g1086z00_578 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_578); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_578, ((long)0)); } } } 
if(
(
(long)(BgL_vz00_7)<((long)0)))
{ /* Llib/param.scm 175 */
BGl_za2bigloozd2warningza2zd2zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1546z00zz__paramz00, BGl_string1548z00zz__paramz00, 
BINT(BgL_vz00_7)); }  else 
{ /* Llib/param.scm 175 */
BGl_za2bigloozd2warningza2zd2zz__paramz00 = 
BINT(BgL_vz00_7); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_7);} 
}



/* &bigloo-warning-set! */
obj_t BGl_z62bigloozd2warningzd2setz12z70zz__paramz00(obj_t BgL_envz00_1265, obj_t BgL_vz00_1266)
{ AN_OBJECT;
{ /* Llib/param.scm 172 */
{ /* Llib/param.scm 172 */
int BgL_auxz00_1506;
{ /* Llib/param.scm 172 */
obj_t BgL_auxz00_1507;
if(
INTEGERP(BgL_vz00_1266))
{ /* Llib/param.scm 172 */
BgL_auxz00_1507 = BgL_vz00_1266
; }  else 
{ 
obj_t BgL_auxz00_1510;
BgL_auxz00_1510 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)6402)), BGl_string1549z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1266); 
FAILURE(BgL_auxz00_1510,BFALSE,BFALSE);} 
BgL_auxz00_1506 = 
CINT(BgL_auxz00_1507); } 
return 
BGl_bigloozd2warningzd2setz12z12zz__paramz00(BgL_auxz00_1506);} } 
}



/* bigloo-trace-color */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 182 */
return BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00;} 
}



/* &bigloo-trace-color */
obj_t BGl_z62bigloozd2tracezd2colorz62zz__paramz00(obj_t BgL_envz00_1267)
{ AN_OBJECT;
{ /* Llib/param.scm 182 */
{ /* Llib/param.scm 182 */
bool_t BgL_auxz00_1516;
BgL_auxz00_1516 = BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00; 
return 
BBOOL(BgL_auxz00_1516);} } 
}



/* bigloo-trace-color-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(bool_t BgL_vz00_8)
{ AN_OBJECT;
{ /* Llib/param.scm 182 */
{ /* Llib/param.scm 182 */
obj_t BgL_g1086z00_942;
BgL_g1086z00_942 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 182 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 182 */
bgl_mutex_lock(BgL_g1086z00_942); }  else 
{ /* Llib/param.scm 182 */
bgl_mutex_timed_lock(BgL_g1086z00_942, ((long)0)); } } } 
BGl_za2bigloozd2tracezd2colorza2z00zz__paramz00 = BgL_vz00_8; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BBOOL(BgL_vz00_8);} 
}



/* &bigloo-trace-color-set! */
obj_t BGl_z62bigloozd2tracezd2colorzd2setz12za2zz__paramz00(obj_t BgL_envz00_1268, obj_t BgL_vz00_1269)
{ AN_OBJECT;
{ /* Llib/param.scm 182 */
return 
BGl_bigloozd2tracezd2colorzd2setz12zc0zz__paramz00(
CBOOL(BgL_vz00_1269));} 
}



/* bigloo-trace-stack-depth */
BGL_EXPORTED_DEF int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 189 */
return 
(int)(BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00);} 
}



/* &bigloo-trace-stack-depth */
obj_t BGl_z62bigloozd2tracezd2stackzd2depthzb0zz__paramz00(obj_t BgL_envz00_1270)
{ AN_OBJECT;
{ /* Llib/param.scm 189 */
return 
BINT(
BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00());} 
}



/* bigloo-trace-stack-depth-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int BgL_vz00_9)
{ AN_OBJECT;
{ /* Llib/param.scm 189 */
{ /* Llib/param.scm 189 */
obj_t BgL_g1086z00_951;
BgL_g1086z00_951 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 189 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 189 */
bgl_mutex_lock(BgL_g1086z00_951); }  else 
{ /* Llib/param.scm 189 */
bgl_mutex_timed_lock(BgL_g1086z00_951, ((long)0)); } } } 
BGl_za2bigloozd2tracezd2stackzd2depthza2zd2zz__paramz00 = 
(long)(BgL_vz00_9); 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_9);} 
}



/* &bigloo-trace-stack-depth-set! */
obj_t BGl_z62bigloozd2tracezd2stackzd2depthzd2setz12z70zz__paramz00(obj_t BgL_envz00_1271, obj_t BgL_vz00_1272)
{ AN_OBJECT;
{ /* Llib/param.scm 189 */
{ /* Llib/param.scm 189 */
int BgL_auxz00_1536;
{ /* Llib/param.scm 189 */
obj_t BgL_auxz00_1537;
if(
INTEGERP(BgL_vz00_1272))
{ /* Llib/param.scm 189 */
BgL_auxz00_1537 = BgL_vz00_1272
; }  else 
{ 
obj_t BgL_auxz00_1540;
BgL_auxz00_1540 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)7207)), BGl_string1550z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1272); 
FAILURE(BgL_auxz00_1540,BFALSE,BFALSE);} 
BgL_auxz00_1536 = 
CINT(BgL_auxz00_1537); } 
return 
BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(BgL_auxz00_1536);} } 
}



/* bigloo-case-sensitive */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2casezd2sensitivez00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 204 */
{ /* Llib/param.scm 204 */
obj_t BgL_aux1508z00_1317;
BgL_aux1508z00_1317 = BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00; 
if(
SYMBOLP(BgL_aux1508z00_1317))
{ /* Llib/param.scm 204 */
return BgL_aux1508z00_1317;}  else 
{ 
obj_t BgL_auxz00_1548;
BgL_auxz00_1548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)8037)), BGl_string1551z00zz__paramz00, BGl_string1552z00zz__paramz00, BgL_aux1508z00_1317); 
FAILURE(BgL_auxz00_1548,BFALSE,BFALSE);} } } 
}



/* &bigloo-case-sensitive */
obj_t BGl_z62bigloozd2casezd2sensitivez62zz__paramz00(obj_t BgL_envz00_1273)
{ AN_OBJECT;
{ /* Llib/param.scm 204 */
return 
BGl_bigloozd2casezd2sensitivez00zz__paramz00();} 
}



/* bigloo-case-sensitive-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00(obj_t BgL_vz00_10)
{ AN_OBJECT;
{ /* Llib/param.scm 204 */
{ /* Llib/param.scm 204 */
obj_t BgL_g1086z00_587;
BgL_g1086z00_587 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_587); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_587, ((long)0)); } } } 
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_vz00_10, BGl_list1553z00zz__paramz00)))
{ /* Llib/param.scm 208 */
BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 = BgL_vz00_10; }  else 
{ /* Llib/param.scm 208 */
BGl_za2bigloozd2casezd2sensitiveza2z00zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_string1558z00zz__paramz00, BGl_string1559z00zz__paramz00, BgL_vz00_10); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return BgL_vz00_10;} 
}



/* &bigloo-case-sensitive-set! */
obj_t BGl_z62bigloozd2casezd2sensitivezd2setz12za2zz__paramz00(obj_t BgL_envz00_1274, obj_t BgL_vz00_1275)
{ AN_OBJECT;
{ /* Llib/param.scm 204 */
{ /* Llib/param.scm 204 */
obj_t BgL_auxz00_1562;
if(
SYMBOLP(BgL_vz00_1275))
{ /* Llib/param.scm 204 */
BgL_auxz00_1562 = BgL_vz00_1275
; }  else 
{ 
obj_t BgL_auxz00_1565;
BgL_auxz00_1565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)8037)), BGl_string1560z00zz__paramz00, BGl_string1552z00zz__paramz00, BgL_vz00_1275); 
FAILURE(BgL_auxz00_1565,BFALSE,BFALSE);} 
return 
BGl_bigloozd2casezd2sensitivezd2setz12zc0zz__paramz00(BgL_auxz00_1562);} } 
}



/* bigloo-initialized! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2initializa7edz12z67zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 221 */
return ( 
BGl_za2bigloozd2initializa7edpza2z75zz__paramz00 = ((bool_t)1), BUNSPEC) ;} 
}



/* &bigloo-initialized! */
obj_t BGl_z62bigloozd2initializa7edz12z05zz__paramz00(obj_t BgL_envz00_1276)
{ AN_OBJECT;
{ /* Llib/param.scm 221 */
return 
BGl_bigloozd2initializa7edz12z67zz__paramz00();} 
}



/* bigloo-initialized? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2initializa7edzf3z86zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 227 */
return BGl_za2bigloozd2initializa7edpza2z75zz__paramz00;} 
}



/* &bigloo-initialized? */
obj_t BGl_z62bigloozd2initializa7edzf3ze4zz__paramz00(obj_t BgL_envz00_1277)
{ AN_OBJECT;
{ /* Llib/param.scm 227 */
return 
BBOOL(BGl_za2bigloozd2initializa7edpza2z75zz__paramz00);} 
}



/* bigloo-load-reader */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2readerz00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 233 */
return BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00;} 
}



/* &bigloo-load-reader */
obj_t BGl_z62bigloozd2loadzd2readerz62zz__paramz00(obj_t BgL_envz00_1278)
{ AN_OBJECT;
{ /* Llib/param.scm 233 */
return BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00;} 
}



/* bigloo-load-reader-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(obj_t BgL_vz00_11)
{ AN_OBJECT;
{ /* Llib/param.scm 233 */
{ /* Llib/param.scm 233 */
obj_t BgL_g1086z00_967;
BgL_g1086z00_967 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 233 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 233 */
bgl_mutex_lock(BgL_g1086z00_967); }  else 
{ /* Llib/param.scm 233 */
bgl_mutex_timed_lock(BgL_g1086z00_967, ((long)0)); } } } 
BGl_za2bigloozd2loadzd2readerza2z00zz__paramz00 = BgL_vz00_11; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return BgL_vz00_11;} 
}



/* &bigloo-load-reader-set! */
obj_t BGl_z62bigloozd2loadzd2readerzd2setz12za2zz__paramz00(obj_t BgL_envz00_1279, obj_t BgL_vz00_1280)
{ AN_OBJECT;
{ /* Llib/param.scm 233 */
return 
BGl_bigloozd2loadzd2readerzd2setz12zc0zz__paramz00(BgL_vz00_1280);} 
}



/* bigloo-load-module */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2modulez00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 238 */
return BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00;} 
}



/* &bigloo-load-module */
obj_t BGl_z62bigloozd2loadzd2modulez62zz__paramz00(obj_t BgL_envz00_1281)
{ AN_OBJECT;
{ /* Llib/param.scm 238 */
return BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00;} 
}



/* bigloo-load-module-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(obj_t BgL_vz00_12)
{ AN_OBJECT;
{ /* Llib/param.scm 238 */
{ /* Llib/param.scm 238 */
obj_t BgL_g1086z00_976;
BgL_g1086z00_976 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 238 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 238 */
bgl_mutex_lock(BgL_g1086z00_976); }  else 
{ /* Llib/param.scm 238 */
bgl_mutex_timed_lock(BgL_g1086z00_976, ((long)0)); } } } 
BGl_za2bigloozd2loadzd2moduleza2z00zz__paramz00 = BgL_vz00_12; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return BgL_vz00_12;} 
}



/* &bigloo-load-module-set! */
obj_t BGl_z62bigloozd2loadzd2modulezd2setz12za2zz__paramz00(obj_t BgL_envz00_1282, obj_t BgL_vz00_1283)
{ AN_OBJECT;
{ /* Llib/param.scm 238 */
return 
BGl_bigloozd2loadzd2modulezd2setz12zc0zz__paramz00(BgL_vz00_1283);} 
}



/* bigloo-module-extension-handler */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2modulezd2extensionzd2handlerzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 243 */
return BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00;} 
}



/* &bigloo-module-extension-handler */
obj_t BGl_z62bigloozd2modulezd2extensionzd2handlerzb0zz__paramz00(obj_t BgL_envz00_1284)
{ AN_OBJECT;
{ /* Llib/param.scm 243 */
return BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00;} 
}



/* bigloo-module-extension-handler-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00(obj_t BgL_vz00_13)
{ AN_OBJECT;
{ /* Llib/param.scm 243 */
{ /* Llib/param.scm 243 */
obj_t BgL_g1086z00_985;
BgL_g1086z00_985 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 243 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 243 */
bgl_mutex_lock(BgL_g1086z00_985); }  else 
{ /* Llib/param.scm 243 */
bgl_mutex_timed_lock(BgL_g1086z00_985, ((long)0)); } } } 
BGl_za2bigloozd2modulezd2extensionzd2handlerza2zd2zz__paramz00 = BgL_vz00_13; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return BgL_vz00_13;} 
}



/* &bigloo-module-extension-handler-set! */
obj_t BGl_z62bigloozd2modulezd2extensionzd2handlerzd2setz12z70zz__paramz00(obj_t BgL_envz00_1285, obj_t BgL_vz00_1286)
{ AN_OBJECT;
{ /* Llib/param.scm 243 */
return 
BGl_bigloozd2modulezd2extensionzd2handlerzd2setz12z12zz__paramz00(BgL_vz00_1286);} 
}



/* bigloo-eval-strict-module */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2evalzd2strictzd2modulezd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 248 */
return BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00;} 
}



/* &bigloo-eval-strict-module */
obj_t BGl_z62bigloozd2evalzd2strictzd2modulezb0zz__paramz00(obj_t BgL_envz00_1287)
{ AN_OBJECT;
{ /* Llib/param.scm 248 */
{ /* Llib/param.scm 248 */
bool_t BgL_auxz00_1590;
BgL_auxz00_1590 = BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00; 
return 
BBOOL(BgL_auxz00_1590);} } 
}



/* bigloo-eval-strict-module-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(bool_t BgL_vz00_14)
{ AN_OBJECT;
{ /* Llib/param.scm 248 */
{ /* Llib/param.scm 248 */
obj_t BgL_g1086z00_994;
BgL_g1086z00_994 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 248 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 248 */
bgl_mutex_lock(BgL_g1086z00_994); }  else 
{ /* Llib/param.scm 248 */
bgl_mutex_timed_lock(BgL_g1086z00_994, ((long)0)); } } } 
BGl_za2bigloozd2evalzd2strictzd2moduleza2zd2zz__paramz00 = BgL_vz00_14; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BBOOL(BgL_vz00_14);} 
}



/* &bigloo-eval-strict-module-set! */
obj_t BGl_z62bigloozd2evalzd2strictzd2modulezd2setz12z70zz__paramz00(obj_t BgL_envz00_1288, obj_t BgL_vz00_1289)
{ AN_OBJECT;
{ /* Llib/param.scm 248 */
return 
BGl_bigloozd2evalzd2strictzd2modulezd2setz12z12zz__paramz00(
CBOOL(BgL_vz00_1289));} 
}



/* bigloo-library-path */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2libraryzd2pathz00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 253 */
{ /* Llib/param.scm 253 */
obj_t BgL_aux1512z00_1321;
BgL_aux1512z00_1321 = BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00; 
{ /* Llib/param.scm 253 */
bool_t BgL_testz00_1600;
if(
PAIRP(BgL_aux1512z00_1321))
{ /* Llib/param.scm 253 */
BgL_testz00_1600 = ((bool_t)1)
; }  else 
{ /* Llib/param.scm 253 */
BgL_testz00_1600 = 
NULLP(BgL_aux1512z00_1321)
; } 
if(BgL_testz00_1600)
{ /* Llib/param.scm 253 */
return BgL_aux1512z00_1321;}  else 
{ 
obj_t BgL_auxz00_1604;
BgL_auxz00_1604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)10375)), BGl_string1561z00zz__paramz00, BGl_string1562z00zz__paramz00, BgL_aux1512z00_1321); 
FAILURE(BgL_auxz00_1604,BFALSE,BFALSE);} } } } 
}



/* &bigloo-library-path */
obj_t BGl_z62bigloozd2libraryzd2pathz62zz__paramz00(obj_t BgL_envz00_1290)
{ AN_OBJECT;
{ /* Llib/param.scm 253 */
return 
BGl_bigloozd2libraryzd2pathz00zz__paramz00();} 
}



/* bigloo-library-path-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(obj_t BgL_vz00_15)
{ AN_OBJECT;
{ /* Llib/param.scm 253 */
{ /* Llib/param.scm 253 */
obj_t BgL_g1086z00_599;
BgL_g1086z00_599 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1086z00_599); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1086z00_599, ((long)0)); } } } 
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_vz00_15))
{ /* Llib/param.scm 259 */
bool_t BgL_testz00_1615;
{ 
obj_t BgL_l1062z00_618;
{ /* Llib/param.scm 259 */
obj_t BgL_auxz00_1616;
BgL_l1062z00_618 = BgL_vz00_15; 
BgL_zc3anonymousza31155ze3z83_619:
if(
NULLP(BgL_l1062z00_618))
{ /* Llib/param.scm 259 */
BgL_auxz00_1616 = BTRUE
; }  else 
{ /* Llib/param.scm 259 */
if(
PAIRP(BgL_l1062z00_618))
{ /* Llib/param.scm 259 */
bool_t BgL_testz00_1621;
{ /* Llib/param.scm 259 */
obj_t BgL_auxz00_1622;
BgL_auxz00_1622 = 
CAR(BgL_l1062z00_618); 
BgL_testz00_1621 = 
STRINGP(BgL_auxz00_1622); } 
if(BgL_testz00_1621)
{ 
obj_t BgL_l1062z00_1625;
BgL_l1062z00_1625 = 
CDR(BgL_l1062z00_618); 
BgL_l1062z00_618 = BgL_l1062z00_1625; 
goto BgL_zc3anonymousza31155ze3z83_619;}  else 
{ /* Llib/param.scm 259 */
BgL_auxz00_1616 = BFALSE
; } }  else 
{ /* Llib/param.scm 259 */
BgL_auxz00_1616 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string1563z00zz__paramz00, BGl_string1564z00zz__paramz00, BgL_l1062z00_618, BGl_string1529z00zz__paramz00, 
BINT(((long)10577)))
; } } 
BgL_testz00_1615 = 
CBOOL(BgL_auxz00_1616); } } 
if(BgL_testz00_1615)
{ /* Llib/param.scm 259 */
BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = BgL_vz00_15; }  else 
{ /* Llib/param.scm 262 */
obj_t BgL_arg1149z00_604;
BgL_arg1149z00_604 = 
BGl_zc3anonymousza31150ze3z83zz__paramz00(BgL_vz00_15); 
BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1565z00zz__paramz00, BGl_string1567z00zz__paramz00, BgL_arg1149z00_604); } }  else 
{ /* Llib/param.scm 257 */
BGl_za2bigloozd2libraryzd2pathza2z00zz__paramz00 = 
BGl_errorz00zz__errorz00(BGl_symbol1565z00zz__paramz00, BGl_string1568z00zz__paramz00, BgL_vz00_15); } 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return BgL_vz00_15;} 
}



/* <anonymous:1150> */
obj_t BGl_zc3anonymousza31150ze3z83zz__paramz00(obj_t BgL_lis1066z00_606)
{ AN_OBJECT;
{ /* Llib/param.scm 262 */
BGl_zc3anonymousza31150ze3z83zz__paramz00:
if(
NULLP(BgL_lis1066z00_606))
{ /* Llib/param.scm 262 */
return BgL_lis1066z00_606;}  else 
{ /* Llib/param.scm 262 */
obj_t BgL_head1067z00_609;obj_t BgL_tail1068z00_610;
{ /* Llib/param.scm 262 */
obj_t BgL_pairz00_1019;
if(
PAIRP(BgL_lis1066z00_606))
{ /* Llib/param.scm 262 */
BgL_pairz00_1019 = BgL_lis1066z00_606; }  else 
{ 
obj_t BgL_auxz00_1638;
BgL_auxz00_1638 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)10657)), BGl_string1569z00zz__paramz00, BGl_string1570z00zz__paramz00, BgL_lis1066z00_606); 
FAILURE(BgL_auxz00_1638,BFALSE,BFALSE);} 
BgL_head1067z00_609 = 
CAR(BgL_pairz00_1019); } 
{ /* Llib/param.scm 262 */
obj_t BgL_pairz00_1020;
if(
PAIRP(BgL_lis1066z00_606))
{ /* Llib/param.scm 262 */
BgL_pairz00_1020 = BgL_lis1066z00_606; }  else 
{ 
obj_t BgL_auxz00_1645;
BgL_auxz00_1645 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)10657)), BGl_string1569z00zz__paramz00, BGl_string1570z00zz__paramz00, BgL_lis1066z00_606); 
FAILURE(BgL_auxz00_1645,BFALSE,BFALSE);} 
BgL_tail1068z00_610 = 
CDR(BgL_pairz00_1020); } 
{ /* Llib/param.scm 262 */
bool_t BgL_testz00_1650;
if(
STRINGP(BgL_head1067z00_609))
{ /* Llib/param.scm 262 */
BgL_testz00_1650 = ((bool_t)0)
; }  else 
{ /* Llib/param.scm 262 */
BgL_testz00_1650 = ((bool_t)1)
; } 
if(BgL_testz00_1650)
{ /* Llib/param.scm 262 */
obj_t BgL_newzd2tail1069zd2_612;
BgL_newzd2tail1069zd2_612 = 
BGl_zc3anonymousza31150ze3z83zz__paramz00(BgL_tail1068z00_610); 
if(
(BgL_tail1068z00_610==BgL_newzd2tail1069zd2_612))
{ /* Llib/param.scm 262 */
return BgL_lis1066z00_606;}  else 
{ /* Llib/param.scm 262 */
obj_t BgL_res1457z00_1028;
BgL_res1457z00_1028 = 
MAKE_PAIR(BgL_head1067z00_609, BgL_newzd2tail1069zd2_612); 
return BgL_res1457z00_1028;} }  else 
{ 
obj_t BgL_lis1066z00_1657;
BgL_lis1066z00_1657 = BgL_tail1068z00_610; 
BgL_lis1066z00_606 = BgL_lis1066z00_1657; 
goto BGl_zc3anonymousza31150ze3z83zz__paramz00;} } } } 
}



/* &bigloo-library-path-set! */
obj_t BGl_z62bigloozd2libraryzd2pathzd2setz12za2zz__paramz00(obj_t BgL_envz00_1291, obj_t BgL_vz00_1292)
{ AN_OBJECT;
{ /* Llib/param.scm 253 */
{ /* Llib/param.scm 253 */
obj_t BgL_auxz00_1658;
{ /* Llib/param.scm 253 */
bool_t BgL_testz00_1659;
if(
PAIRP(BgL_vz00_1292))
{ /* Llib/param.scm 253 */
BgL_testz00_1659 = ((bool_t)1)
; }  else 
{ /* Llib/param.scm 253 */
BgL_testz00_1659 = 
NULLP(BgL_vz00_1292)
; } 
if(BgL_testz00_1659)
{ /* Llib/param.scm 253 */
BgL_auxz00_1658 = BgL_vz00_1292
; }  else 
{ 
obj_t BgL_auxz00_1663;
BgL_auxz00_1663 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)10375)), BGl_string1571z00zz__paramz00, BGl_string1562z00zz__paramz00, BgL_vz00_1292); 
FAILURE(BgL_auxz00_1663,BFALSE,BFALSE);} } 
return 
BGl_bigloozd2libraryzd2pathzd2setz12zc0zz__paramz00(BgL_auxz00_1658);} } 
}



/* bigloo-dns-enable-cache */
BGL_EXPORTED_DEF bool_t bgl_dns_enable_cache()
{ AN_OBJECT;
{ /* Llib/param.scm 269 */
return BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00;} 
}



/* &bigloo-dns-enable-cache */
obj_t BGl_z62bigloozd2dnszd2enablezd2cachezb0zz__paramz00(obj_t BgL_envz00_1293)
{ AN_OBJECT;
{ /* Llib/param.scm 269 */
{ /* Llib/param.scm 269 */
bool_t BgL_auxz00_1668;
BgL_auxz00_1668 = BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00; 
return 
BBOOL(BgL_auxz00_1668);} } 
}



/* bigloo-dns-enable-cache-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(bool_t BgL_vz00_16)
{ AN_OBJECT;
{ /* Llib/param.scm 269 */
{ /* Llib/param.scm 269 */
obj_t BgL_g1086z00_1030;
BgL_g1086z00_1030 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 269 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 269 */
bgl_mutex_lock(BgL_g1086z00_1030); }  else 
{ /* Llib/param.scm 269 */
bgl_mutex_timed_lock(BgL_g1086z00_1030, ((long)0)); } } } 
BGl_za2bigloozd2dnszd2enablezd2cacheza2zd2zz__paramz00 = BgL_vz00_16; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BBOOL(BgL_vz00_16);} 
}



/* &bigloo-dns-enable-cache-set! */
obj_t BGl_z62bigloozd2dnszd2enablezd2cachezd2setz12z70zz__paramz00(obj_t BgL_envz00_1294, obj_t BgL_vz00_1295)
{ AN_OBJECT;
{ /* Llib/param.scm 269 */
return 
BGl_bigloozd2dnszd2enablezd2cachezd2setz12z12zz__paramz00(
CBOOL(BgL_vz00_1295));} 
}



/* bigloo-dns-cache-validity-timeout */
BGL_EXPORTED_DEF long bgl_dns_cache_validity_timeout()
{ AN_OBJECT;
{ /* Llib/param.scm 274 */
return BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00;} 
}



/* &bigloo-dns-cache-validity-timeout */
obj_t BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutz62zz__paramz00(obj_t BgL_envz00_1296)
{ AN_OBJECT;
{ /* Llib/param.scm 274 */
{ /* Llib/param.scm 274 */
long BgL_auxz00_1678;
BgL_auxz00_1678 = BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00; 
return 
BINT(BgL_auxz00_1678);} } 
}



/* bigloo-dns-cache-validity-timeout-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00(long BgL_vz00_17)
{ AN_OBJECT;
{ /* Llib/param.scm 274 */
{ /* Llib/param.scm 274 */
obj_t BgL_g1086z00_1039;
BgL_g1086z00_1039 = BGl_za2parameterzd2mutexza2zd2zz__paramz00; 
{ /* Llib/param.scm 274 */

if(
(((long)0)==((long)0)))
{ /* Llib/param.scm 274 */
bgl_mutex_lock(BgL_g1086z00_1039); }  else 
{ /* Llib/param.scm 274 */
bgl_mutex_timed_lock(BgL_g1086z00_1039, ((long)0)); } } } 
BGl_za2bigloozd2dnszd2cachezd2validityzd2timeoutza2z00zz__paramz00 = BgL_vz00_17; 
bgl_mutex_unlock(BGl_za2parameterzd2mutexza2zd2zz__paramz00); 
return 
BINT(BgL_vz00_17);} 
}



/* &bigloo-dns-cache-validity-timeout-set! */
obj_t BGl_z62bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12za2zz__paramz00(obj_t BgL_envz00_1297, obj_t BgL_vz00_1298)
{ AN_OBJECT;
{ /* Llib/param.scm 274 */
{ /* Llib/param.scm 274 */
long BgL_auxz00_1686;
{ /* Llib/param.scm 274 */
obj_t BgL_auxz00_1687;
if(
INTEGERP(BgL_vz00_1298))
{ /* Llib/param.scm 274 */
BgL_auxz00_1687 = BgL_vz00_1298
; }  else 
{ 
obj_t BgL_auxz00_1690;
BgL_auxz00_1690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1529z00zz__paramz00, 
BINT(((long)11214)), BGl_string1572z00zz__paramz00, BGl_string1531z00zz__paramz00, BgL_vz00_1298); 
FAILURE(BgL_auxz00_1690,BFALSE,BFALSE);} 
BgL_auxz00_1686 = 
(long)CINT(BgL_auxz00_1687); } 
return 
BGl_bigloozd2dnszd2cachezd2validityzd2timeoutzd2setz12zc0zz__paramz00(BgL_auxz00_1686);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__paramz00()
{ AN_OBJECT;
{ /* Llib/param.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)223284409), 
BSTRING_TO_STRING(BGl_string1573z00zz__paramz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)220651073), 
BSTRING_TO_STRING(BGl_string1573z00zz__paramz00)); 
return 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)507523616), 
BSTRING_TO_STRING(BGl_string1573z00zz__paramz00));} 
}

#ifdef __cplusplus
}
#endif
