/*===========================================================================*/
/*   (Llib/socket.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/socket.scm -indent -o objs/obj_s/Llib/socket.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_list1802z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t);
static obj_t BGl_symbol1836z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t);
extern obj_t bgl_datagram_socket_close(obj_t);
static obj_t BGl_z62hostz62zz__socketz00(obj_t, obj_t);
extern obj_t bgl_make_client_socket(obj_t, int, int, obj_t, obj_t);
static obj_t BGl_symbol1845z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2closezd2zz__socketz00(obj_t);
extern long bgl_socket_accept_many(obj_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62datagramzd2socketzd2outputzd2portzb0zz__socketz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__socketz00 = BUNSPEC;
extern obj_t bgl_make_server_socket(obj_t, int, int);
static obj_t BGl_z62datagramzd2socketzd2portzd2numberzb0zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol1852z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62socketzd2inputzb0zz__socketz00(obj_t, obj_t);
static obj_t BGl_list1827z00zz__socketz00 = BUNSPEC;
static obj_t BGl_z62socketzd2portzd2numberz62zz__socketz00(obj_t, obj_t);
extern obj_t bgl_setsockopt(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62socketzd2localzd2addressz62zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t socket_close(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hostz00zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t, int, obj_t, obj_t, obj_t, obj_t);
extern obj_t bgl_gethostname();
extern obj_t BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(obj_t, obj_t);
extern obj_t bgl_gethostinterfaces();
BGL_EXPORTED_DECL obj_t BGl_socketzd2acceptzd2manyz00zz__socketz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2optionzd2setz12z12zz__socketz00(obj_t, obj_t, obj_t);
static obj_t BGl_list1832z00zz__socketz00 = BUNSPEC;
static obj_t BGl_list1833z00zz__socketz00 = BUNSPEC;
static obj_t BGl_symbol1867z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t);
static obj_t BGl_symbol1871z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t);
static obj_t BGl_list1840z00zz__socketz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__socketz00();
static obj_t BGl_z62socketzd2outputzb0zz__socketz00(obj_t, obj_t);
extern obj_t bgl_host(obj_t);
extern void socket_cleanup();
static obj_t BGl_symbol1799z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_z52socketzd2initz12z92zz__socketz00();
static obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t);
static obj_t BGl_z62getzd2interfaceszb0zz__socketz00(obj_t);
extern obj_t socket_local_addr(obj_t);
static obj_t BGl_z62datagramzd2socketzd2optionzd2setz12za2zz__socketz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_hostnamez00zz__socketz00();
static obj_t BGl_search1092z00zz__socketz00(int, obj_t, obj_t, long);
static obj_t BGl_z62datagramzd2socketzd2optionz62zz__socketz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2hostnamez00zz__socketz00(obj_t);
extern obj_t bgl_getsockopt(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62socketzd2optionzd2setz12z70zz__socketz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(obj_t, obj_t, obj_t);
extern obj_t bgl_getprotobyname(char *);
BGL_EXPORTED_DECL obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__socketz00();
extern obj_t BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(obj_t, obj_t, int);
static obj_t BGl_z62socketzd2hostnamezb0zz__socketz00(obj_t, obj_t);
static obj_t BGl_z62makezd2serverzd2socketz62zz__socketz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__socketz00();
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2receivez00zz__socketz00(obj_t, int);
static obj_t BGl_importedzd2moduleszd2initz00zz__socketz00();
static obj_t BGl_z62datagramzd2socketzd2receivez62zz__socketz00(obj_t, obj_t, obj_t);
static obj_t BGl__makezd2datagramzd2clientzd2socketzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2protocolszd2zz__socketz00();
static obj_t BGl_z62socketzd2downzf3z43zz__socketz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__socketz00();
static obj_t BGl_z62socketzd2clientzf3z43zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2closez00zz__socketz00(obj_t);
static obj_t BGl__makezd2datagramzd2serverzd2socketzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_socketzd2optionzd2zz__socketz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62socketzd2serverzf3z43zz__socketz00(obj_t, obj_t);
static obj_t BGl_z62zc3anonymousza31167ze3ze1zz__socketz00(obj_t, obj_t);
static bool_t BGl_za2socketzd2initializa7edza2z75zz__socketz00;
extern obj_t bgl_make_unix_socket(obj_t, int, obj_t, obj_t);
extern obj_t bgl_datagram_socket_receive(obj_t, long);
BGL_EXPORTED_DECL bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t);
static obj_t BGl_keyword1803z00zz__socketz00 = BUNSPEC;
static obj_t BGl_keyword1805z00zz__socketz00 = BUNSPEC;
static obj_t BGl_keyword1807z00zz__socketz00 = BUNSPEC;
static obj_t BGl_z62z52socketzd2initz12zf0zz__socketz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_datagramzd2socketzf3z21zz__socketz00(obj_t);
static obj_t BGl_keyword1809z00zz__socketz00 = BUNSPEC;
static obj_t BGl_za2socketzd2mutexza2zd2zz__socketz00 = BUNSPEC;
static obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2acceptzd2manyz00zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2outputzd2portzd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzf3zf3zz__socketz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_hostinfoz00zz__socketz00(obj_t);
extern obj_t bgl_getsockopt(obj_t, obj_t);
static obj_t BGl_z62socketzf3z91zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2datagramzd2clientzd2socketzd2zz__socketz00(obj_t, int, obj_t);
static obj_t BGl_z62datagramzd2socketzd2hostzd2addresszb0zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2portzd2numberzd2zz__socketz00(obj_t);
extern obj_t make_vector(int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2datagramzd2serverzd2socketzd2zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2interfaceszd2zz__socketz00();
extern obj_t bgl_setsockopt(obj_t, obj_t, obj_t);
static obj_t BGl_keyword1828z00zz__socketz00 = BUNSPEC;
static obj_t BGl_z62getzd2protocolszb0zz__socketz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2optionz00zz__socketz00(obj_t, obj_t);
static obj_t BGl_z62datagramzd2socketzd2closez62zz__socketz00(obj_t, obj_t);
extern obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__socketz00();
static obj_t BGl_z62hostnamez62zz__socketz00(obj_t);
static obj_t BGl_z62datagramzd2socketzd2hostnamez62zz__socketz00(obj_t, obj_t);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_keyword1830z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t, obj_t);
extern obj_t bgl_make_datagram_client_socket(obj_t, int, bool_t);
static obj_t BGl_keyword1834z00zz__socketz00 = BUNSPEC;
static obj_t BGl_z62socketzd2optionzb0zz__socketz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2hostzd2addresszd2zz__socketz00(obj_t);
extern obj_t bgl_make_datagram_server_socket(int);
extern obj_t bgl_socket_accept(obj_t, bool_t, obj_t, obj_t);
static obj_t BGl_z62socketzd2hostzd2addressz62zz__socketz00(obj_t, obj_t);
static obj_t BGl_keyword1841z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t);
static obj_t BGl_keyword1843z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_datagramzd2socketzd2optionzd2setz12zc0zz__socketz00(obj_t, obj_t, obj_t);
extern obj_t bstring_to_keyword(obj_t);
extern void socket_startup();
extern obj_t socket_shutdown(obj_t, bool_t);
static obj_t BGl_z62getzd2protocolzb0zz__socketz00(obj_t, obj_t);
static obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t);
extern obj_t bgl_getprotoents();
extern obj_t bgl_getprotobynumber(long);
static obj_t BGl_search1105z00zz__socketz00(int, obj_t, obj_t, long);
static obj_t BGl_symbol1811z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_datagramzd2socketzd2clientzf3zf3zz__socketz00(obj_t);
static obj_t BGl_symbol1817z00zz__socketz00 = BUNSPEC;
static obj_t BGl_z62datagramzd2socketzd2clientzf3z91zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol1819z00zz__socketz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_datagramzd2socketzd2serverzf3zf3zz__socketz00(obj_t);
static obj_t BGl_z62datagramzd2socketzf3z43zz__socketz00(obj_t, obj_t);
static obj_t BGl_search1114z00zz__socketz00(int, obj_t, obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_getzd2protocolzd2zz__socketz00(obj_t);
static obj_t BGl_z62datagramzd2socketzd2serverzf3z91zz__socketz00(obj_t, obj_t);
static obj_t BGl_symbol1821z00zz__socketz00 = BUNSPEC;
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_hostinfo(obj_t);
static obj_t BGl_z62hostinfoz62zz__socketz00(obj_t, obj_t);
static obj_t BGl_z62socketzd2closezb0zz__socketz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_hostinfozd2envzd2zz__socketz00, BgL_bgl_za762hostinfoza762za7za71881z00, BGl_z62hostinfoz62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2closezd2envz00zz__socketz00, BgL_bgl_za762socketza7d2clos1882z00, BGl_z62socketzd2closezb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2datagramzd2clientzd2socketzd2envz00zz__socketz00, BgL_bgl__makeza7d2datagram1883za7, opt_generic_entry, BGl__makezd2datagramzd2clientzd2socketzd2zz__socketz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1870z00zz__socketz00, BgL_bgl_string1870za700za7za7_1884za7, "_make-datagram-server-socket", 28 );
DEFINE_STRING( BGl_string1872z00zz__socketz00, BgL_bgl_string1872za700za7za7_1885za7, "make-datagram-client-socket", 27 );
DEFINE_STRING( BGl_string1791z00zz__socketz00, BgL_bgl_string1791za700za7za7_1886za7, "/tmp/bigloo/runtime/Llib/socket.scm", 35 );
DEFINE_STRING( BGl_string1873z00zz__socketz00, BgL_bgl_string1873za700za7za7_1887za7, "wrong number of arguments: [2..3] expected, provided", 52 );
DEFINE_STRING( BGl_string1792z00zz__socketz00, BgL_bgl_string1792za700za7za7_1888za7, "&socket-hostname", 16 );
DEFINE_STRING( BGl_string1874z00zz__socketz00, BgL_bgl_string1874za700za7za7_1889za7, "_make-datagram-client-socket", 28 );
DEFINE_STRING( BGl_string1793z00zz__socketz00, BgL_bgl_string1793za700za7za7_1890za7, "&socket-host-address", 20 );
DEFINE_STRING( BGl_string1875z00zz__socketz00, BgL_bgl_string1875za700za7za7_1891za7, "&datagram-socket-close", 22 );
DEFINE_STRING( BGl_string1794z00zz__socketz00, BgL_bgl_string1794za700za7za7_1892za7, "&socket-local-address", 21 );
DEFINE_STRING( BGl_string1876z00zz__socketz00, BgL_bgl_string1876za700za7za7_1893za7, "&datagram-socket-receive", 24 );
DEFINE_STRING( BGl_string1795z00zz__socketz00, BgL_bgl_string1795za700za7za7_1894za7, "&socket-down?", 13 );
DEFINE_STRING( BGl_string1877z00zz__socketz00, BgL_bgl_string1877za700za7za7_1895za7, "&datagram-socket-output-port", 28 );
DEFINE_STRING( BGl_string1796z00zz__socketz00, BgL_bgl_string1796za700za7za7_1896za7, "&socket-port-number", 19 );
DEFINE_STRING( BGl_string1878z00zz__socketz00, BgL_bgl_string1878za700za7za7_1897za7, "&datagram-socket-option", 23 );
DEFINE_STRING( BGl_string1797z00zz__socketz00, BgL_bgl_string1797za700za7za7_1898za7, "&socket-input", 13 );
DEFINE_STRING( BGl_string1879z00zz__socketz00, BgL_bgl_string1879za700za7za7_1899za7, "&datagram-socket-option-set!", 28 );
DEFINE_STRING( BGl_string1798z00zz__socketz00, BgL_bgl_string1798za700za7za7_1900za7, "&socket-output", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2datagramzd2serverzd2socketzd2envz00zz__socketz00, BgL_bgl__makeza7d2datagram1901za7, opt_generic_entry, BGl__makezd2datagramzd2serverzd2socketzd2zz__socketz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2receivezd2envzd2zz__socketz00, BgL_bgl_za762datagramza7d2so1902z00, BGl_z62datagramzd2socketzd2receivez62zz__socketz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__socketz00, BgL_bgl_za762za7c3anonymousza71903za7, BGl_z62zc3anonymousza31167ze3ze1zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1880z00zz__socketz00, BgL_bgl_string1880za700za7za7_1904za7, "__socket", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2clientzd2socketzd2envzd2zz__socketz00, BgL_bgl__makeza7d2clientza7d1905z00, opt_generic_entry, BGl__makezd2clientzd2socketz00zz__socketz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2acceptzd2manyzd2envzd2zz__socketz00, BgL_bgl__socketza7d2accept1906za7, opt_generic_entry, BGl__socketzd2acceptzd2manyz00zz__socketz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2optionzd2envz00zz__socketz00, BgL_bgl_za762socketza7d2opti1907z00, BGl_z62socketzd2optionzb0zz__socketz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2shutdownzd2envz00zz__socketz00, BgL_bgl__socketza7d2shutdo1908za7, opt_generic_entry, BGl__socketzd2shutdownzd2zz__socketz00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2serverzd2socketzd2envzd2zz__socketz00, BgL_bgl_za762makeza7d2server1909z00, va_generic_entry, BGl_z62makezd2serverzd2socketz62zz__socketz00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52socketzd2initz12zd2envz40zz__socketz00, BgL_bgl_za762za752socketza7d2i1910za7, BGl_z62z52socketzd2initz12zf0zz__socketz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2portzd2numberzd2envzd2zz__socketz00, BgL_bgl_za762socketza7d2port1911z00, BGl_z62socketzd2portzd2numberz62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2localzd2addresszd2envzd2zz__socketz00, BgL_bgl_za762socketza7d2loca1912z00, BGl_z62socketzd2localzd2addressz62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2outputzd2portzd2envz00zz__socketz00, BgL_bgl_za762datagramza7d2so1913z00, BGl_z62datagramzd2socketzd2outputzd2portzb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2portzd2numberzd2envz00zz__socketz00, BgL_bgl_za762datagramza7d2so1914z00, BGl_z62datagramzd2socketzd2portzd2numberzb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2clientzf3zd2envz21zz__socketz00, BgL_bgl_za762datagramza7d2so1915z00, BGl_z62datagramzd2socketzd2clientzf3z91zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2serverzf3zd2envz21zz__socketz00, BgL_bgl_za762datagramza7d2so1916z00, BGl_z62datagramzd2socketzd2serverzf3z91zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2optionzd2setz12zd2envzc0zz__socketz00, BgL_bgl_za762socketza7d2opti1917z00, BGl_z62socketzd2optionzd2setz12z70zz__socketz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2optionzd2setz12zd2envz12zz__socketz00, BgL_bgl_za762datagramza7d2so1918z00, BGl_z62datagramzd2socketzd2optionzd2setz12za2zz__socketz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzf3zd2envz21zz__socketz00, BgL_bgl_za762socketza7f3za791za71919z00, BGl_z62socketzf3z91zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2hostnamezd2envz00zz__socketz00, BgL_bgl_za762socketza7d2host1920z00, BGl_z62socketzd2hostnamezb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2acceptzd2envz00zz__socketz00, BgL_bgl__socketza7d2accept1921za7, opt_generic_entry, BGl__socketzd2acceptzd2zz__socketz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1800z00zz__socketz00, BgL_bgl_string1800za700za7za7_1922za7, "inet", 4 );
DEFINE_STRING( BGl_string1801z00zz__socketz00, BgL_bgl_string1801za700za7za7_1923za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1804z00zz__socketz00, BgL_bgl_string1804za700za7za7_1924za7, "domain", 6 );
DEFINE_STRING( BGl_string1806z00zz__socketz00, BgL_bgl_string1806za700za7za7_1925za7, "inbuf", 5 );
DEFINE_STRING( BGl_string1808z00zz__socketz00, BgL_bgl_string1808za700za7za7_1926za7, "outbuf", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hostzd2envzd2zz__socketz00, BgL_bgl_za762hostza762za7za7__so1927z00, BGl_z62hostz62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2protocolzd2envz00zz__socketz00, BgL_bgl_za762getza7d2protoco1928z00, BGl_z62getzd2protocolzb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1810z00zz__socketz00, BgL_bgl_string1810za700za7za7_1929za7, "timeout", 7 );
DEFINE_STRING( BGl_string1812z00zz__socketz00, BgL_bgl_string1812za700za7za7_1930za7, "make-client-socket::socket", 26 );
DEFINE_STRING( BGl_string1813z00zz__socketz00, BgL_bgl_string1813za700za7za7_1931za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string1814z00zz__socketz00, BgL_bgl_string1814za700za7za7_1932za7, "_make-client-socket", 19 );
DEFINE_STRING( BGl_string1815z00zz__socketz00, BgL_bgl_string1815za700za7za7_1933za7, "bint", 4 );
DEFINE_STRING( BGl_string1816z00zz__socketz00, BgL_bgl_string1816za700za7za7_1934za7, "bstring", 7 );
DEFINE_STRING( BGl_string1818z00zz__socketz00, BgL_bgl_string1818za700za7za7_1935za7, "make-client-socket", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2inputzd2envz00zz__socketz00, BgL_bgl_za762socketza7d2inpu1936z00, BGl_z62socketzd2inputzb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2outputzd2envz00zz__socketz00, BgL_bgl_za762socketza7d2outp1937z00, BGl_z62socketzd2outputzb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1820z00zz__socketz00, BgL_bgl_string1820za700za7za7_1938za7, "unix", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2downzf3zd2envzf3zz__socketz00, BgL_bgl_za762socketza7d2down1939z00, BGl_z62socketzd2downzf3z43zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1822z00zz__socketz00, BgL_bgl_string1822za700za7za7_1940za7, "local", 5 );
DEFINE_STRING( BGl_string1823z00zz__socketz00, BgL_bgl_string1823za700za7za7_1941za7, "Unknown socket domain", 21 );
DEFINE_STRING( BGl_string1824z00zz__socketz00, BgL_bgl_string1824za700za7za7_1942za7, "wrong number of arguments: [2..6] expected, provided", 52 );
DEFINE_STRING( BGl_string1825z00zz__socketz00, BgL_bgl_string1825za700za7za7_1943za7, "make-server-socket", 18 );
DEFINE_STRING( BGl_string1826z00zz__socketz00, BgL_bgl_string1826za700za7za7_1944za7, "pair", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2clientzf3zd2envzf3zz__socketz00, BgL_bgl_za762socketza7d2clie1945z00, BGl_z62socketzd2clientzf3z43zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1829z00zz__socketz00, BgL_bgl_string1829za700za7za7_1946za7, "backlog", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2serverzf3zd2envzf3zz__socketz00, BgL_bgl_za762socketza7d2serv1947z00, BGl_z62socketzd2serverzf3z43zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1831z00zz__socketz00, BgL_bgl_string1831za700za7za7_1948za7, "name", 4 );
DEFINE_STRING( BGl_string1835z00zz__socketz00, BgL_bgl_string1835za700za7za7_1949za7, "errp", 4 );
DEFINE_STRING( BGl_string1837z00zz__socketz00, BgL_bgl_string1837za700za7za7_1950za7, "socket-accept", 13 );
DEFINE_STRING( BGl_string1838z00zz__socketz00, BgL_bgl_string1838za700za7za7_1951za7, "_socket-accept", 14 );
DEFINE_STRING( BGl_string1839z00zz__socketz00, BgL_bgl_string1839za700za7za7_1952za7, "wrong number of arguments: [1..4] expected, provided", 52 );
DEFINE_STRING( BGl_string1842z00zz__socketz00, BgL_bgl_string1842za700za7za7_1953za7, "inbufs", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2interfaceszd2envz00zz__socketz00, BgL_bgl_za762getza7d2interfa1954z00, BGl_z62getzd2interfaceszb0zz__socketz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1844z00zz__socketz00, BgL_bgl_string1844za700za7za7_1955za7, "outbufs", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2protocolszd2envz00zz__socketz00, BgL_bgl_za762getza7d2protoco1956z00, BGl_z62getzd2protocolszb0zz__socketz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1846z00zz__socketz00, BgL_bgl_string1846za700za7za7_1957za7, "socket-accept-many", 18 );
DEFINE_STRING( BGl_string1847z00zz__socketz00, BgL_bgl_string1847za700za7za7_1958za7, "_socket-accept-many", 19 );
DEFINE_STRING( BGl_string1848z00zz__socketz00, BgL_bgl_string1848za700za7za7_1959za7, "vector", 6 );
DEFINE_STRING( BGl_string1849z00zz__socketz00, BgL_bgl_string1849za700za7za7_1960za7, "wrong number of arguments: [2..5] expected, provided", 52 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2closezd2envzd2zz__socketz00, BgL_bgl_za762datagramza7d2so1961z00, BGl_z62datagramzd2socketzd2closez62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2optionzd2envzd2zz__socketz00, BgL_bgl_za762datagramza7d2so1962z00, BGl_z62datagramzd2socketzd2optionz62zz__socketz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1850z00zz__socketz00, BgL_bgl_string1850za700za7za7_1963za7, "loop", 4 );
DEFINE_STRING( BGl_string1851z00zz__socketz00, BgL_bgl_string1851za700za7za7_1964za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1853z00zz__socketz00, BgL_bgl_string1853za700za7za7_1965za7, "socket-shutdown", 15 );
DEFINE_STRING( BGl_string1854z00zz__socketz00, BgL_bgl_string1854za700za7za7_1966za7, "wrong number of arguments: [1..2] expected, provided", 52 );
DEFINE_STRING( BGl_string1855z00zz__socketz00, BgL_bgl_string1855za700za7za7_1967za7, "_socket-shutdown", 16 );
DEFINE_STRING( BGl_string1856z00zz__socketz00, BgL_bgl_string1856za700za7za7_1968za7, "&socket-close", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2hostzd2addresszd2envz00zz__socketz00, BgL_bgl_za762datagramza7d2so1969z00, BGl_z62datagramzd2socketzd2hostzd2addresszb0zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1857z00zz__socketz00, BgL_bgl_string1857za700za7za7_1970za7, "&host", 5 );
DEFINE_STRING( BGl_string1858z00zz__socketz00, BgL_bgl_string1858za700za7za7_1971za7, "&hostinfo", 9 );
DEFINE_STRING( BGl_string1859z00zz__socketz00, BgL_bgl_string1859za700za7za7_1972za7, "get-protocol", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_socketzd2hostzd2addresszd2envzd2zz__socketz00, BgL_bgl_za762socketza7d2host1973z00, BGl_z62socketzd2hostzd2addressz62zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1860z00zz__socketz00, BgL_bgl_string1860za700za7za7_1974za7, "&socket-option", 14 );
DEFINE_STRING( BGl_string1861z00zz__socketz00, BgL_bgl_string1861za700za7za7_1975za7, "keyword", 7 );
DEFINE_STRING( BGl_string1862z00zz__socketz00, BgL_bgl_string1862za700za7za7_1976za7, "&socket-option-set!", 19 );
DEFINE_STRING( BGl_string1863z00zz__socketz00, BgL_bgl_string1863za700za7za7_1977za7, "&datagram-socket-hostname", 25 );
DEFINE_STRING( BGl_string1864z00zz__socketz00, BgL_bgl_string1864za700za7za7_1978za7, "datagram-socket", 15 );
DEFINE_STRING( BGl_string1865z00zz__socketz00, BgL_bgl_string1865za700za7za7_1979za7, "&datagram-socket-host-address", 29 );
DEFINE_STRING( BGl_string1866z00zz__socketz00, BgL_bgl_string1866za700za7za7_1980za7, "&datagram-socket-port-number", 28 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzf3zd2envzf3zz__socketz00, BgL_bgl_za762datagramza7d2so1981z00, BGl_z62datagramzd2socketzf3z43zz__socketz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1868z00zz__socketz00, BgL_bgl_string1868za700za7za7_1982za7, "make-datagram-server-socket", 27 );
DEFINE_STRING( BGl_string1869z00zz__socketz00, BgL_bgl_string1869za700za7za7_1983za7, "wrong number of arguments: [0..1] expected, provided", 52 );
DEFINE_STRING( BGl_string1789z00zz__socketz00, BgL_bgl_string1789za700za7za7_1984za7, "socket", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_hostnamezd2envzd2zz__socketz00, BgL_bgl_za762hostnameza762za7za71985z00, BGl_z62hostnamez62zz__socketz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_datagramzd2socketzd2hostnamezd2envzd2zz__socketz00, BgL_bgl_za762datagramza7d2so1986z00, BGl_z62datagramzd2socketzd2hostnamez62zz__socketz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__socketz00(long BgL_checksumz00_1826, char * BgL_fromz00_1827)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__socketz00))
{ 
BGl_requirezd2initializa7ationz75zz__socketz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__socketz00(); 
BGl_importedzd2moduleszd2initz00zz__socketz00(); 
BGl_toplevelzd2initzd2zz__socketz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
BGl_symbol1799z00zz__socketz00 = 
bstring_to_symbol(BGl_string1800z00zz__socketz00); 
BGl_keyword1803z00zz__socketz00 = 
bstring_to_keyword(BGl_string1804z00zz__socketz00); 
BGl_keyword1805z00zz__socketz00 = 
bstring_to_keyword(BGl_string1806z00zz__socketz00); 
BGl_keyword1807z00zz__socketz00 = 
bstring_to_keyword(BGl_string1808z00zz__socketz00); 
BGl_keyword1809z00zz__socketz00 = 
bstring_to_keyword(BGl_string1810z00zz__socketz00); 
BGl_list1802z00zz__socketz00 = 
MAKE_PAIR(BGl_keyword1803z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1805z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1807z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1809z00zz__socketz00, BNIL)))); 
BGl_symbol1811z00zz__socketz00 = 
bstring_to_symbol(BGl_string1812z00zz__socketz00); 
BGl_symbol1817z00zz__socketz00 = 
bstring_to_symbol(BGl_string1818z00zz__socketz00); 
BGl_symbol1819z00zz__socketz00 = 
bstring_to_symbol(BGl_string1820z00zz__socketz00); 
BGl_symbol1821z00zz__socketz00 = 
bstring_to_symbol(BGl_string1822z00zz__socketz00); 
BGl_keyword1828z00zz__socketz00 = 
bstring_to_keyword(BGl_string1829z00zz__socketz00); 
BGl_keyword1830z00zz__socketz00 = 
bstring_to_keyword(BGl_string1831z00zz__socketz00); 
BGl_list1827z00zz__socketz00 = 
MAKE_PAIR(BGl_keyword1828z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1830z00zz__socketz00, BNIL)); 
BGl_list1832z00zz__socketz00 = 
MAKE_PAIR(BGl_keyword1830z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1828z00zz__socketz00, BNIL)); 
BGl_keyword1834z00zz__socketz00 = 
bstring_to_keyword(BGl_string1835z00zz__socketz00); 
BGl_list1833z00zz__socketz00 = 
MAKE_PAIR(BGl_keyword1834z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1805z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1807z00zz__socketz00, BNIL))); 
BGl_symbol1836z00zz__socketz00 = 
bstring_to_symbol(BGl_string1837z00zz__socketz00); 
BGl_keyword1841z00zz__socketz00 = 
bstring_to_keyword(BGl_string1842z00zz__socketz00); 
BGl_keyword1843z00zz__socketz00 = 
bstring_to_keyword(BGl_string1844z00zz__socketz00); 
BGl_list1840z00zz__socketz00 = 
MAKE_PAIR(BGl_keyword1834z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1841z00zz__socketz00, 
MAKE_PAIR(BGl_keyword1843z00zz__socketz00, BNIL))); 
BGl_symbol1845z00zz__socketz00 = 
bstring_to_symbol(BGl_string1846z00zz__socketz00); 
BGl_symbol1852z00zz__socketz00 = 
bstring_to_symbol(BGl_string1853z00zz__socketz00); 
BGl_symbol1867z00zz__socketz00 = 
bstring_to_symbol(BGl_string1868z00zz__socketz00); 
return ( 
BGl_symbol1871z00zz__socketz00 = 
bstring_to_symbol(BGl_string1872z00zz__socketz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
BGl_za2socketzd2initializa7edza2z75zz__socketz00 = ((bool_t)0); 
{ /* Llib/socket.scm 243 */
obj_t BgL_res1527z00_1068;
BgL_res1527z00_1068 = 
bgl_make_mutex(BGl_string1789z00zz__socketz00); 
return ( 
BGl_za2socketzd2mutexza2zd2zz__socketz00 = BgL_res1527z00_1068, BUNSPEC) ;} } 
}



/* %socket-init! */
BGL_EXPORTED_DEF obj_t BGl_z52socketzd2initz12z92zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 248 */
{ /* Llib/socket.scm 249 */
obj_t BgL_g1153z00_630;
BgL_g1153z00_630 = BGl_za2socketzd2mutexza2zd2zz__socketz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_g1153z00_630); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_g1153z00_630, ((long)0)); } } } 
if(BGl_za2socketzd2initializa7edza2z75zz__socketz00)
{ /* Llib/socket.scm 250 */BFALSE; }  else 
{ /* Llib/socket.scm 250 */
BGl_za2socketzd2initializa7edza2z75zz__socketz00 = ((bool_t)1); 
socket_startup(); BUNSPEC; 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BGl_proc1790z00zz__socketz00); BUNSPEC; } 
{ /* Llib/socket.scm 260 */
obj_t BgL_mz00_1075;
BgL_mz00_1075 = BGl_za2socketzd2mutexza2zd2zz__socketz00; 
return 
BBOOL(
bgl_mutex_unlock(BgL_mz00_1075));} } 
}



/* &%socket-init! */
obj_t BGl_z62z52socketzd2initz12zf0zz__socketz00(obj_t BgL_envz00_1501)
{ AN_OBJECT;
{ /* Llib/socket.scm 248 */
return 
BGl_z52socketzd2initz12z92zz__socketz00();} 
}



/* &<anonymous:1167> */
obj_t BGl_z62zc3anonymousza31167ze3ze1zz__socketz00(obj_t BgL_envz00_1502, obj_t BgL_xz00_1503)
{ AN_OBJECT;
{ /* Llib/socket.scm 254 */
{ 
obj_t BgL_xz00_633;
BgL_xz00_633 = BgL_xz00_1503; 
socket_cleanup(); BUNSPEC; 
return BgL_xz00_633;} } 
}



/* socket? */
BGL_EXPORTED_DEF bool_t BGl_socketzf3zf3zz__socketz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/socket.scm 265 */
return 
SOCKETP(BgL_objz00_3);} 
}



/* &socket? */
obj_t BGl_z62socketzf3z91zz__socketz00(obj_t BgL_envz00_1504, obj_t BgL_objz00_1505)
{ AN_OBJECT;
{ /* Llib/socket.scm 265 */
return 
BBOOL(
SOCKETP(BgL_objz00_1505));} 
}



/* socket-server? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2serverzf3z21zz__socketz00(obj_t BgL_objz00_4)
{ AN_OBJECT;
{ /* Llib/socket.scm 271 */
return 
BGL_SOCKET_SERVERP(BgL_objz00_4);} 
}



/* &socket-server? */
obj_t BGl_z62socketzd2serverzf3z43zz__socketz00(obj_t BgL_envz00_1506, obj_t BgL_objz00_1507)
{ AN_OBJECT;
{ /* Llib/socket.scm 271 */
return 
BBOOL(
BGL_SOCKET_SERVERP(BgL_objz00_1507));} 
}



/* socket-client? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2clientzf3z21zz__socketz00(obj_t BgL_objz00_5)
{ AN_OBJECT;
{ /* Llib/socket.scm 277 */
return 
BGL_SOCKET_CLIENTP(BgL_objz00_5);} 
}



/* &socket-client? */
obj_t BGl_z62socketzd2clientzf3z43zz__socketz00(obj_t BgL_envz00_1508, obj_t BgL_objz00_1509)
{ AN_OBJECT;
{ /* Llib/socket.scm 277 */
return 
BBOOL(
BGL_SOCKET_CLIENTP(BgL_objz00_1509));} 
}



/* socket-hostname */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostnamezd2zz__socketz00(obj_t BgL_socketz00_6)
{ AN_OBJECT;
{ /* Llib/socket.scm 283 */
return 
SOCKET_HOSTNAME(BgL_socketz00_6);} 
}



/* &socket-hostname */
obj_t BGl_z62socketzd2hostnamezb0zz__socketz00(obj_t BgL_envz00_1510, obj_t BgL_socketz00_1511)
{ AN_OBJECT;
{ /* Llib/socket.scm 283 */
{ /* Llib/socket.scm 284 */
obj_t BgL_socketz00_1763;
if(
SOCKETP(BgL_socketz00_1511))
{ /* Llib/socket.scm 284 */
BgL_socketz00_1763 = BgL_socketz00_1511; }  else 
{ 
obj_t BgL_auxz00_1891;
BgL_auxz00_1891 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)12261)), BGl_string1792z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1511); 
FAILURE(BgL_auxz00_1891,BFALSE,BFALSE);} 
return 
SOCKET_HOSTNAME(BgL_socketz00_1763);} } 
}



/* socket-host-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2hostzd2addressz00zz__socketz00(obj_t BgL_socketz00_7)
{ AN_OBJECT;
{ /* Llib/socket.scm 289 */
return 
SOCKET_HOSTIP(BgL_socketz00_7);} 
}



/* &socket-host-address */
obj_t BGl_z62socketzd2hostzd2addressz62zz__socketz00(obj_t BgL_envz00_1512, obj_t BgL_socketz00_1513)
{ AN_OBJECT;
{ /* Llib/socket.scm 289 */
{ /* Llib/socket.scm 290 */
obj_t BgL_socketz00_1764;
if(
SOCKETP(BgL_socketz00_1513))
{ /* Llib/socket.scm 290 */
BgL_socketz00_1764 = BgL_socketz00_1513; }  else 
{ 
obj_t BgL_auxz00_1899;
BgL_auxz00_1899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)12559)), BGl_string1793z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1513); 
FAILURE(BgL_auxz00_1899,BFALSE,BFALSE);} 
return 
SOCKET_HOSTIP(BgL_socketz00_1764);} } 
}



/* socket-local-address */
BGL_EXPORTED_DEF obj_t BGl_socketzd2localzd2addressz00zz__socketz00(obj_t BgL_socketz00_8)
{ AN_OBJECT;
{ /* Llib/socket.scm 295 */
return 
socket_local_addr(BgL_socketz00_8);} 
}



/* &socket-local-address */
obj_t BGl_z62socketzd2localzd2addressz62zz__socketz00(obj_t BgL_envz00_1514, obj_t BgL_socketz00_1515)
{ AN_OBJECT;
{ /* Llib/socket.scm 295 */
{ /* Llib/socket.scm 296 */
obj_t BgL_socketz00_1765;
if(
SOCKETP(BgL_socketz00_1515))
{ /* Llib/socket.scm 296 */
BgL_socketz00_1765 = BgL_socketz00_1515; }  else 
{ 
obj_t BgL_auxz00_1907;
BgL_auxz00_1907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)12864)), BGl_string1794z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1515); 
FAILURE(BgL_auxz00_1907,BFALSE,BFALSE);} 
return 
socket_local_addr(BgL_socketz00_1765);} } 
}



/* socket-down? */
BGL_EXPORTED_DEF bool_t BGl_socketzd2downzf3z21zz__socketz00(obj_t BgL_socketz00_9)
{ AN_OBJECT;
{ /* Llib/socket.scm 301 */
return 
SOCKET_DOWNP(BgL_socketz00_9);} 
}



/* &socket-down? */
obj_t BGl_z62socketzd2downzf3z43zz__socketz00(obj_t BgL_envz00_1516, obj_t BgL_socketz00_1517)
{ AN_OBJECT;
{ /* Llib/socket.scm 301 */
{ /* Llib/socket.scm 302 */
bool_t BgL_auxz00_1913;
{ /* Llib/socket.scm 302 */
obj_t BgL_socketz00_1766;
if(
SOCKETP(BgL_socketz00_1517))
{ /* Llib/socket.scm 302 */
BgL_socketz00_1766 = BgL_socketz00_1517; }  else 
{ 
obj_t BgL_auxz00_1916;
BgL_auxz00_1916 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)13171)), BGl_string1795z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1517); 
FAILURE(BgL_auxz00_1916,BFALSE,BFALSE);} 
BgL_auxz00_1913 = 
SOCKET_DOWNP(BgL_socketz00_1766); } 
return 
BBOOL(BgL_auxz00_1913);} } 
}



/* socket-port-number */
BGL_EXPORTED_DEF obj_t BGl_socketzd2portzd2numberz00zz__socketz00(obj_t BgL_socketz00_10)
{ AN_OBJECT;
{ /* Llib/socket.scm 307 */
return 
BINT(
SOCKET_PORT(BgL_socketz00_10));} 
}



/* &socket-port-number */
obj_t BGl_z62socketzd2portzd2numberz62zz__socketz00(obj_t BgL_envz00_1518, obj_t BgL_socketz00_1519)
{ AN_OBJECT;
{ /* Llib/socket.scm 307 */
{ /* Llib/socket.scm 308 */
obj_t BgL_socketz00_1767;
if(
SOCKETP(BgL_socketz00_1519))
{ /* Llib/socket.scm 308 */
BgL_socketz00_1767 = BgL_socketz00_1519; }  else 
{ 
obj_t BgL_auxz00_1926;
BgL_auxz00_1926 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)13479)), BGl_string1796z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1519); 
FAILURE(BgL_auxz00_1926,BFALSE,BFALSE);} 
return 
BINT(
SOCKET_PORT(BgL_socketz00_1767));} } 
}



/* socket-input */
BGL_EXPORTED_DEF obj_t BGl_socketzd2inputzd2zz__socketz00(obj_t BgL_socketz00_11)
{ AN_OBJECT;
{ /* Llib/socket.scm 313 */
return 
SOCKET_INPUT(BgL_socketz00_11);} 
}



/* &socket-input */
obj_t BGl_z62socketzd2inputzb0zz__socketz00(obj_t BgL_envz00_1520, obj_t BgL_socketz00_1521)
{ AN_OBJECT;
{ /* Llib/socket.scm 313 */
{ /* Llib/socket.scm 314 */
obj_t BgL_socketz00_1768;
if(
SOCKETP(BgL_socketz00_1521))
{ /* Llib/socket.scm 314 */
BgL_socketz00_1768 = BgL_socketz00_1521; }  else 
{ 
obj_t BgL_auxz00_1935;
BgL_auxz00_1935 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)13781)), BGl_string1797z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1521); 
FAILURE(BgL_auxz00_1935,BFALSE,BFALSE);} 
return 
SOCKET_INPUT(BgL_socketz00_1768);} } 
}



/* socket-output */
BGL_EXPORTED_DEF obj_t BGl_socketzd2outputzd2zz__socketz00(obj_t BgL_socketz00_12)
{ AN_OBJECT;
{ /* Llib/socket.scm 319 */
return 
SOCKET_OUTPUT(BgL_socketz00_12);} 
}



/* &socket-output */
obj_t BGl_z62socketzd2outputzb0zz__socketz00(obj_t BgL_envz00_1522, obj_t BgL_socketz00_1523)
{ AN_OBJECT;
{ /* Llib/socket.scm 319 */
{ /* Llib/socket.scm 320 */
obj_t BgL_socketz00_1769;
if(
SOCKETP(BgL_socketz00_1523))
{ /* Llib/socket.scm 320 */
BgL_socketz00_1769 = BgL_socketz00_1523; }  else 
{ 
obj_t BgL_auxz00_1943;
BgL_auxz00_1943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14078)), BGl_string1798z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1523); 
FAILURE(BgL_auxz00_1943,BFALSE,BFALSE);} 
return 
SOCKET_OUTPUT(BgL_socketz00_1769);} } 
}



/* _make-client-socket */
obj_t BGl__makezd2clientzd2socketz00zz__socketz00(obj_t BgL_envz00_20, obj_t BgL_opt1090z00_19)
{ AN_OBJECT;
{ /* Llib/socket.scm 325 */
{ /* Llib/socket.scm 325 */
int BgL_l1091z00_636;
BgL_l1091z00_636 = 
VECTOR_LENGTH(BgL_opt1090z00_19); 
{ /* Llib/socket.scm 325 */
obj_t BgL_g1099z00_640;obj_t BgL_g1100z00_641;
BgL_g1099z00_640 = 
VECTOR_REF(BgL_opt1090z00_19,
(int)(((long)0))); 
BgL_g1100z00_641 = 
VECTOR_REF(BgL_opt1090z00_19,
(int)(((long)1))); 
{ /* Llib/socket.scm 325 */
obj_t BgL_domainz00_642;
BgL_domainz00_642 = BGl_symbol1799z00zz__socketz00; 
{ /* Llib/socket.scm 325 */
obj_t BgL_inbufz00_643;
BgL_inbufz00_643 = BTRUE; 
{ /* Llib/socket.scm 325 */
obj_t BgL_outbufz00_644;
BgL_outbufz00_644 = BTRUE; 
{ /* Llib/socket.scm 325 */
obj_t BgL_timeoutz00_645;
BgL_timeoutz00_645 = 
BINT(((long)0)); 
{ /* Llib/socket.scm 325 */

{ 
long BgL_iz00_646;
BgL_iz00_646 = ((long)2); 
BgL_check1093z00_647:
if(
(BgL_iz00_646==
(long)(BgL_l1091z00_636)))
{ /* Llib/socket.scm 325 */BNIL; }  else 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_1957;
{ /* Llib/socket.scm 325 */
obj_t BgL_arg1174z00_652;
{ /* Llib/socket.scm 325 */
int BgL_kz00_1096;
BgL_kz00_1096 = 
(int)(BgL_iz00_646); 
{ /* Llib/socket.scm 325 */
int BgL_l1609z00_1578;
BgL_l1609z00_1578 = 
VECTOR_LENGTH(BgL_opt1090z00_19); 
if(
BOUND_CHECK(BgL_kz00_1096, BgL_l1609z00_1578))
{ /* Llib/socket.scm 325 */
BgL_arg1174z00_652 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_kz00_1096); }  else 
{ 
obj_t BgL_auxz00_1963;
BgL_auxz00_1963 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1801z00zz__socketz00, BgL_opt1090z00_19, 
BINT(BgL_kz00_1096), 
BINT(BgL_l1609z00_1578)); 
FAILURE(BgL_auxz00_1963,BFALSE,BFALSE);} } } 
BgL_testz00_1957 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1174z00_652, BGl_list1802z00zz__socketz00)); } 
if(BgL_testz00_1957)
{ 
long BgL_iz00_1971;
BgL_iz00_1971 = 
(BgL_iz00_646+((long)2)); 
BgL_iz00_646 = BgL_iz00_1971; 
goto BgL_check1093z00_647;}  else 
{ /* Llib/socket.scm 325 */
obj_t BgL_arg1173z00_651;
{ /* Llib/socket.scm 325 */
int BgL_kz00_1101;
BgL_kz00_1101 = 
(int)(BgL_iz00_646); 
{ /* Llib/socket.scm 325 */
int BgL_l1613z00_1582;
BgL_l1613z00_1582 = 
VECTOR_LENGTH(BgL_opt1090z00_19); 
if(
BOUND_CHECK(BgL_kz00_1101, BgL_l1613z00_1582))
{ /* Llib/socket.scm 325 */
BgL_arg1173z00_651 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_kz00_1101); }  else 
{ 
obj_t BgL_auxz00_1978;
BgL_auxz00_1978 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1801z00zz__socketz00, BgL_opt1090z00_19, 
BINT(BgL_kz00_1101), 
BINT(BgL_l1613z00_1582)); 
FAILURE(BgL_auxz00_1978,BFALSE,BFALSE);} } } 
BGl_errorz00zz__errorz00(BGl_symbol1811z00zz__socketz00, BGl_string1813z00zz__socketz00, BgL_arg1173z00_651); } } } 
{ /* Llib/socket.scm 325 */
obj_t BgL_index1095z00_653;
BgL_index1095z00_653 = 
BGl_search1092z00zz__socketz00(BgL_l1091z00_636, BgL_opt1090z00_19, BGl_keyword1803z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_1986;
{ /* Llib/socket.scm 325 */
long BgL_n1z00_1102;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_1987;
if(
INTEGERP(BgL_index1095z00_653))
{ /* Llib/socket.scm 325 */
BgL_auxz00_1987 = BgL_index1095z00_653
; }  else 
{ 
obj_t BgL_auxz00_1990;
BgL_auxz00_1990 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1095z00_653); 
FAILURE(BgL_auxz00_1990,BFALSE,BFALSE);} 
BgL_n1z00_1102 = 
(long)CINT(BgL_auxz00_1987); } 
BgL_testz00_1986 = 
(BgL_n1z00_1102>=((long)0)); } 
if(BgL_testz00_1986)
{ 
int BgL_auxz00_1996;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_1997;
if(
INTEGERP(BgL_index1095z00_653))
{ /* Llib/socket.scm 325 */
BgL_auxz00_1997 = BgL_index1095z00_653
; }  else 
{ 
obj_t BgL_auxz00_2000;
BgL_auxz00_2000 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1095z00_653); 
FAILURE(BgL_auxz00_2000,BFALSE,BFALSE);} 
BgL_auxz00_1996 = 
CINT(BgL_auxz00_1997); } 
BgL_domainz00_642 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_auxz00_1996); }  else 
{ /* Llib/socket.scm 325 */BFALSE; } } } 
{ /* Llib/socket.scm 325 */
obj_t BgL_index1096z00_655;
BgL_index1096z00_655 = 
BGl_search1092z00zz__socketz00(BgL_l1091z00_636, BgL_opt1090z00_19, BGl_keyword1805z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_2007;
{ /* Llib/socket.scm 325 */
long BgL_n1z00_1105;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2008;
if(
INTEGERP(BgL_index1096z00_655))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2008 = BgL_index1096z00_655
; }  else 
{ 
obj_t BgL_auxz00_2011;
BgL_auxz00_2011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1096z00_655); 
FAILURE(BgL_auxz00_2011,BFALSE,BFALSE);} 
BgL_n1z00_1105 = 
(long)CINT(BgL_auxz00_2008); } 
BgL_testz00_2007 = 
(BgL_n1z00_1105>=((long)0)); } 
if(BgL_testz00_2007)
{ 
int BgL_auxz00_2017;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2018;
if(
INTEGERP(BgL_index1096z00_655))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2018 = BgL_index1096z00_655
; }  else 
{ 
obj_t BgL_auxz00_2021;
BgL_auxz00_2021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1096z00_655); 
FAILURE(BgL_auxz00_2021,BFALSE,BFALSE);} 
BgL_auxz00_2017 = 
CINT(BgL_auxz00_2018); } 
BgL_inbufz00_643 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_auxz00_2017); }  else 
{ /* Llib/socket.scm 325 */BFALSE; } } } 
{ /* Llib/socket.scm 325 */
obj_t BgL_index1097z00_657;
BgL_index1097z00_657 = 
BGl_search1092z00zz__socketz00(BgL_l1091z00_636, BgL_opt1090z00_19, BGl_keyword1807z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_2028;
{ /* Llib/socket.scm 325 */
long BgL_n1z00_1108;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2029;
if(
INTEGERP(BgL_index1097z00_657))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2029 = BgL_index1097z00_657
; }  else 
{ 
obj_t BgL_auxz00_2032;
BgL_auxz00_2032 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1097z00_657); 
FAILURE(BgL_auxz00_2032,BFALSE,BFALSE);} 
BgL_n1z00_1108 = 
(long)CINT(BgL_auxz00_2029); } 
BgL_testz00_2028 = 
(BgL_n1z00_1108>=((long)0)); } 
if(BgL_testz00_2028)
{ 
int BgL_auxz00_2038;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2039;
if(
INTEGERP(BgL_index1097z00_657))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2039 = BgL_index1097z00_657
; }  else 
{ 
obj_t BgL_auxz00_2042;
BgL_auxz00_2042 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1097z00_657); 
FAILURE(BgL_auxz00_2042,BFALSE,BFALSE);} 
BgL_auxz00_2038 = 
CINT(BgL_auxz00_2039); } 
BgL_outbufz00_644 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_auxz00_2038); }  else 
{ /* Llib/socket.scm 325 */BFALSE; } } } 
{ /* Llib/socket.scm 325 */
obj_t BgL_index1098z00_659;
BgL_index1098z00_659 = 
BGl_search1092z00zz__socketz00(BgL_l1091z00_636, BgL_opt1090z00_19, BGl_keyword1809z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_2049;
{ /* Llib/socket.scm 325 */
long BgL_n1z00_1111;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2050;
if(
INTEGERP(BgL_index1098z00_659))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2050 = BgL_index1098z00_659
; }  else 
{ 
obj_t BgL_auxz00_2053;
BgL_auxz00_2053 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1098z00_659); 
FAILURE(BgL_auxz00_2053,BFALSE,BFALSE);} 
BgL_n1z00_1111 = 
(long)CINT(BgL_auxz00_2050); } 
BgL_testz00_2049 = 
(BgL_n1z00_1111>=((long)0)); } 
if(BgL_testz00_2049)
{ 
int BgL_auxz00_2059;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2060;
if(
INTEGERP(BgL_index1098z00_659))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2060 = BgL_index1098z00_659
; }  else 
{ 
obj_t BgL_auxz00_2063;
BgL_auxz00_2063 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1098z00_659); 
FAILURE(BgL_auxz00_2063,BFALSE,BFALSE);} 
BgL_auxz00_2059 = 
CINT(BgL_auxz00_2060); } 
BgL_timeoutz00_645 = 
VECTOR_REF(BgL_opt1090z00_19,BgL_auxz00_2059); }  else 
{ /* Llib/socket.scm 325 */BFALSE; } } } 
{ /* Llib/socket.scm 325 */
obj_t BgL_arg1180z00_661;obj_t BgL_arg1181z00_662;
BgL_arg1180z00_661 = 
VECTOR_REF(BgL_opt1090z00_19,
(int)(((long)0))); 
BgL_arg1181z00_662 = 
VECTOR_REF(BgL_opt1090z00_19,
(int)(((long)1))); 
{ /* Llib/socket.scm 325 */
obj_t BgL_domainz00_663;
BgL_domainz00_663 = BgL_domainz00_642; 
{ /* Llib/socket.scm 325 */
obj_t BgL_inbufz00_664;
BgL_inbufz00_664 = BgL_inbufz00_643; 
{ /* Llib/socket.scm 325 */
obj_t BgL_outbufz00_665;
BgL_outbufz00_665 = BgL_outbufz00_644; 
{ /* Llib/socket.scm 325 */
obj_t BgL_timeoutz00_666;
BgL_timeoutz00_666 = BgL_timeoutz00_645; 
{ /* Llib/socket.scm 325 */
obj_t BgL_res1541z00_1129;
{ /* Llib/socket.scm 325 */
obj_t BgL_hostz00_1114;int BgL_portz00_1115;
if(
STRINGP(BgL_arg1180z00_661))
{ /* Llib/socket.scm 325 */
BgL_hostz00_1114 = BgL_arg1180z00_661; }  else 
{ 
obj_t BgL_auxz00_2075;
BgL_auxz00_2075 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1816z00zz__socketz00, BgL_arg1180z00_661); 
FAILURE(BgL_auxz00_2075,BFALSE,BFALSE);} 
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2079;
if(
INTEGERP(BgL_arg1181z00_662))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2079 = BgL_arg1181z00_662
; }  else 
{ 
obj_t BgL_auxz00_2082;
BgL_auxz00_2082 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_arg1181z00_662); 
FAILURE(BgL_auxz00_2082,BFALSE,BFALSE);} 
BgL_portz00_1115 = 
CINT(BgL_auxz00_2079); } 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/socket.scm 325 */
obj_t BgL_inbufz00_1120;obj_t BgL_outbufz00_1121;
BgL_inbufz00_1120 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1817z00zz__socketz00, BgL_inbufz00_664, 
(int)(((long)512))); 
BgL_outbufz00_1121 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1817z00zz__socketz00, BgL_outbufz00_665, 
(int)(((long)1024))); 
if(
(BgL_domainz00_663==BGl_symbol1799z00zz__socketz00))
{ /* Llib/socket.scm 325 */
int BgL_auxz00_2094;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2095;
if(
INTEGERP(BgL_timeoutz00_666))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2095 = BgL_timeoutz00_666
; }  else 
{ 
obj_t BgL_auxz00_2098;
BgL_auxz00_2098 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_timeoutz00_666); 
FAILURE(BgL_auxz00_2098,BFALSE,BFALSE);} 
BgL_auxz00_2094 = 
CINT(BgL_auxz00_2095); } 
BgL_res1541z00_1129 = 
bgl_make_client_socket(BgL_hostz00_1114, BgL_portz00_1115, BgL_auxz00_2094, BgL_inbufz00_1120, BgL_outbufz00_1121); }  else 
{ /* Llib/socket.scm 325 */
bool_t BgL_testz00_2104;
{ /* Llib/socket.scm 325 */
bool_t BgL__ortest_1039z00_1125;
BgL__ortest_1039z00_1125 = 
(BgL_domainz00_663==BGl_symbol1819z00zz__socketz00); 
if(BgL__ortest_1039z00_1125)
{ /* Llib/socket.scm 325 */
BgL_testz00_2104 = BgL__ortest_1039z00_1125
; }  else 
{ /* Llib/socket.scm 325 */
BgL_testz00_2104 = 
(BgL_domainz00_663==BGl_symbol1821z00zz__socketz00)
; } } 
if(BgL_testz00_2104)
{ /* Llib/socket.scm 325 */
int BgL_auxz00_2108;
{ /* Llib/socket.scm 325 */
obj_t BgL_auxz00_2109;
if(
INTEGERP(BgL_timeoutz00_666))
{ /* Llib/socket.scm 325 */
BgL_auxz00_2109 = BgL_timeoutz00_666
; }  else 
{ 
obj_t BgL_auxz00_2112;
BgL_auxz00_2112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_timeoutz00_666); 
FAILURE(BgL_auxz00_2112,BFALSE,BFALSE);} 
BgL_auxz00_2108 = 
CINT(BgL_auxz00_2109); } 
BgL_res1541z00_1129 = 
bgl_make_unix_socket(BgL_hostz00_1114, BgL_auxz00_2108, BgL_inbufz00_1120, BgL_outbufz00_1121); }  else 
{ /* Llib/socket.scm 325 */
obj_t BgL_aux1677z00_1646;
BgL_aux1677z00_1646 = 
BGl_errorz00zz__errorz00(BGl_symbol1817z00zz__socketz00, BGl_string1823z00zz__socketz00, BgL_domainz00_663); 
if(
SOCKETP(BgL_aux1677z00_1646))
{ /* Llib/socket.scm 325 */
BgL_res1541z00_1129 = BgL_aux1677z00_1646; }  else 
{ 
obj_t BgL_auxz00_2121;
BgL_auxz00_2121 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14327)), BGl_string1814z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_aux1677z00_1646); 
FAILURE(BgL_auxz00_2121,BFALSE,BFALSE);} } } } } 
return BgL_res1541z00_1129;} } } } } } } } } } } } } } 
}



/* search1092 */
obj_t BGl_search1092z00zz__socketz00(int BgL_l1091z00_1575, obj_t BgL_opt1090z00_1574, obj_t BgL_k1z00_637, long BgL_iz00_638)
{ AN_OBJECT;
{ /* Llib/socket.scm 325 */
BGl_search1092z00zz__socketz00:
if(
(BgL_iz00_638==
(long)(BgL_l1091z00_1575)))
{ /* Llib/socket.scm 325 */
return 
BINT(((long)-1));}  else 
{ /* Llib/socket.scm 325 */
if(
(BgL_iz00_638==
(
(long)(BgL_l1091z00_1575)-((long)1))))
{ /* Llib/socket.scm 325 */
int BgL_arg1186z00_669;
BgL_arg1186z00_669 = 
VECTOR_LENGTH(BgL_opt1090z00_1574); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1811z00zz__socketz00, BGl_string1824z00zz__socketz00, 
BINT(BgL_arg1186z00_669));}  else 
{ /* Llib/socket.scm 325 */
obj_t BgL_vz00_670;
BgL_vz00_670 = 
VECTOR_REF(BgL_opt1090z00_1574,
(int)(BgL_iz00_638)); 
if(
(BgL_vz00_670==BgL_k1z00_637))
{ /* Llib/socket.scm 325 */
return 
BINT(
(BgL_iz00_638+((long)1)));}  else 
{ 
long BgL_iz00_2142;
BgL_iz00_2142 = 
(BgL_iz00_638+((long)2)); 
BgL_iz00_638 = BgL_iz00_2142; 
goto BGl_search1092z00zz__socketz00;} } } } 
}



/* make-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2clientzd2socketz00zz__socketz00(obj_t BgL_hostz00_13, int BgL_portz00_14, obj_t BgL_domainz00_15, obj_t BgL_inbufz00_16, obj_t BgL_outbufz00_17, obj_t BgL_timeoutz00_18)
{ AN_OBJECT;
{ /* Llib/socket.scm 325 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/socket.scm 327 */
obj_t BgL_inbufz00_1130;obj_t BgL_outbufz00_1131;
BgL_inbufz00_1130 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1817z00zz__socketz00, BgL_inbufz00_16, 
(int)(((long)512))); 
BgL_outbufz00_1131 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1817z00zz__socketz00, BgL_outbufz00_17, 
(int)(((long)1024))); 
if(
(BgL_domainz00_15==BGl_symbol1799z00zz__socketz00))
{ /* Llib/socket.scm 327 */
int BgL_auxz00_2151;
{ /* Llib/socket.scm 327 */
obj_t BgL_auxz00_2152;
if(
INTEGERP(BgL_timeoutz00_18))
{ /* Llib/socket.scm 327 */
BgL_auxz00_2152 = BgL_timeoutz00_18
; }  else 
{ 
obj_t BgL_auxz00_2155;
BgL_auxz00_2155 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14452)), BGl_string1818z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_timeoutz00_18); 
FAILURE(BgL_auxz00_2155,BFALSE,BFALSE);} 
BgL_auxz00_2151 = 
CINT(BgL_auxz00_2152); } 
return 
bgl_make_client_socket(BgL_hostz00_13, BgL_portz00_14, BgL_auxz00_2151, BgL_inbufz00_1130, BgL_outbufz00_1131);}  else 
{ /* Llib/socket.scm 327 */
bool_t BgL_testz00_2161;
{ /* Llib/socket.scm 327 */
bool_t BgL__ortest_1039z00_1135;
BgL__ortest_1039z00_1135 = 
(BgL_domainz00_15==BGl_symbol1819z00zz__socketz00); 
if(BgL__ortest_1039z00_1135)
{ /* Llib/socket.scm 327 */
BgL_testz00_2161 = BgL__ortest_1039z00_1135
; }  else 
{ /* Llib/socket.scm 327 */
BgL_testz00_2161 = 
(BgL_domainz00_15==BGl_symbol1821z00zz__socketz00)
; } } 
if(BgL_testz00_2161)
{ /* Llib/socket.scm 327 */
int BgL_auxz00_2165;
{ /* Llib/socket.scm 327 */
obj_t BgL_auxz00_2166;
if(
INTEGERP(BgL_timeoutz00_18))
{ /* Llib/socket.scm 327 */
BgL_auxz00_2166 = BgL_timeoutz00_18
; }  else 
{ 
obj_t BgL_auxz00_2169;
BgL_auxz00_2169 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14452)), BGl_string1818z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_timeoutz00_18); 
FAILURE(BgL_auxz00_2169,BFALSE,BFALSE);} 
BgL_auxz00_2165 = 
CINT(BgL_auxz00_2166); } 
return 
bgl_make_unix_socket(BgL_hostz00_13, BgL_auxz00_2165, BgL_inbufz00_1130, BgL_outbufz00_1131);}  else 
{ /* Llib/socket.scm 327 */
obj_t BgL_aux1683z00_1652;
BgL_aux1683z00_1652 = 
BGl_errorz00zz__errorz00(BGl_symbol1817z00zz__socketz00, BGl_string1823z00zz__socketz00, BgL_domainz00_15); 
if(
SOCKETP(BgL_aux1683z00_1652))
{ /* Llib/socket.scm 327 */
return BgL_aux1683z00_1652;}  else 
{ 
obj_t BgL_auxz00_2178;
BgL_auxz00_2178 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)14452)), BGl_string1818z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_aux1683z00_1652); 
FAILURE(BgL_auxz00_2178,BFALSE,BFALSE);} } } } } 
}



/* make-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2serverzd2socketz00zz__socketz00(obj_t BgL_portz00_21)
{ AN_OBJECT;
{ /* Llib/socket.scm 342 */
{ /* Llib/socket.scm 342 */
obj_t BgL_dsssl1101z00_680;
BgL_dsssl1101z00_680 = BgL_portz00_21; 
{ /* Llib/socket.scm 342 */
obj_t BgL_portz00_681;
{ /* Llib/socket.scm 342 */
bool_t BgL_testz00_2182;
if(
NULLP(BgL_dsssl1101z00_680))
{ /* Llib/socket.scm 342 */
BgL_testz00_2182 = ((bool_t)1)
; }  else 
{ /* Llib/socket.scm 342 */
obj_t BgL_auxz00_2185;
{ /* Llib/socket.scm 342 */
obj_t BgL_auxz00_2186;
{ /* Llib/socket.scm 342 */
obj_t BgL_pairz00_1141;
{ /* Llib/socket.scm 342 */
obj_t BgL_aux1685z00_1654;
BgL_aux1685z00_1654 = BgL_dsssl1101z00_680; 
if(
PAIRP(BgL_aux1685z00_1654))
{ /* Llib/socket.scm 342 */
BgL_pairz00_1141 = BgL_aux1685z00_1654; }  else 
{ 
obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15125)), BGl_string1825z00zz__socketz00, BGl_string1826z00zz__socketz00, BgL_aux1685z00_1654); 
FAILURE(BgL_auxz00_2189,BFALSE,BFALSE);} } 
BgL_auxz00_2186 = 
CAR(BgL_pairz00_1141); } 
BgL_auxz00_2185 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_2186, BGl_list1827z00zz__socketz00); } 
BgL_testz00_2182 = 
CBOOL(BgL_auxz00_2185); } 
if(BgL_testz00_2182)
{ /* Llib/socket.scm 342 */
BgL_portz00_681 = 
BINT(((long)0)); }  else 
{ /* Llib/socket.scm 342 */
obj_t BgL_tmp1102z00_685;
{ /* Llib/socket.scm 342 */
obj_t BgL_pairz00_1142;
{ /* Llib/socket.scm 342 */
obj_t BgL_aux1687z00_1656;
BgL_aux1687z00_1656 = BgL_dsssl1101z00_680; 
if(
PAIRP(BgL_aux1687z00_1656))
{ /* Llib/socket.scm 342 */
BgL_pairz00_1142 = BgL_aux1687z00_1656; }  else 
{ 
obj_t BgL_auxz00_2199;
BgL_auxz00_2199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15125)), BGl_string1825z00zz__socketz00, BGl_string1826z00zz__socketz00, BgL_aux1687z00_1656); 
FAILURE(BgL_auxz00_2199,BFALSE,BFALSE);} } 
BgL_tmp1102z00_685 = 
CAR(BgL_pairz00_1142); } 
{ /* Llib/socket.scm 342 */
obj_t BgL_pairz00_1143;
{ /* Llib/socket.scm 342 */
obj_t BgL_aux1689z00_1658;
BgL_aux1689z00_1658 = BgL_dsssl1101z00_680; 
if(
PAIRP(BgL_aux1689z00_1658))
{ /* Llib/socket.scm 342 */
BgL_pairz00_1143 = BgL_aux1689z00_1658; }  else 
{ 
obj_t BgL_auxz00_2206;
BgL_auxz00_2206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15125)), BGl_string1825z00zz__socketz00, BGl_string1826z00zz__socketz00, BgL_aux1689z00_1658); 
FAILURE(BgL_auxz00_2206,BFALSE,BFALSE);} } 
BgL_dsssl1101z00_680 = 
CDR(BgL_pairz00_1143); } 
BgL_portz00_681 = BgL_tmp1102z00_685; } } 
BGl_dssslzd2checkzd2keyzd2argsz12zc0zz__dssslz00(BgL_dsssl1101z00_680, BGl_list1832z00zz__socketz00); 
{ /* Llib/socket.scm 342 */
obj_t BgL_namez00_682;
BgL_namez00_682 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1101z00_680, BGl_keyword1830z00zz__socketz00, BFALSE); 
{ /* Llib/socket.scm 343 */
obj_t BgL_backlogz00_683;
BgL_backlogz00_683 = 
BGl_dssslzd2getzd2keyzd2argzd2zz__dssslz00(BgL_dsssl1101z00_680, BGl_keyword1828z00zz__socketz00, 
BINT(((long)5))); 
BGl_z52socketzd2initz12z92zz__socketz00(); 
{ /* Llib/socket.scm 344 */
int BgL_auxz00_2225;int BgL_auxz00_2216;
{ /* Llib/socket.scm 344 */
obj_t BgL_auxz00_2226;
if(
INTEGERP(BgL_backlogz00_683))
{ /* Llib/socket.scm 344 */
BgL_auxz00_2226 = BgL_backlogz00_683
; }  else 
{ 
obj_t BgL_auxz00_2229;
BgL_auxz00_2229 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15263)), BGl_string1825z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_backlogz00_683); 
FAILURE(BgL_auxz00_2229,BFALSE,BFALSE);} 
BgL_auxz00_2225 = 
CINT(BgL_auxz00_2226); } 
{ /* Llib/socket.scm 344 */
obj_t BgL_auxz00_2217;
if(
INTEGERP(BgL_portz00_681))
{ /* Llib/socket.scm 344 */
BgL_auxz00_2217 = BgL_portz00_681
; }  else 
{ 
obj_t BgL_auxz00_2220;
BgL_auxz00_2220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15258)), BGl_string1825z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_portz00_681); 
FAILURE(BgL_auxz00_2220,BFALSE,BFALSE);} 
BgL_auxz00_2216 = 
CINT(BgL_auxz00_2217); } 
return 
bgl_make_server_socket(BgL_namez00_682, BgL_auxz00_2216, BgL_auxz00_2225);} } } } } } 
}



/* &make-server-socket */
obj_t BGl_z62makezd2serverzd2socketz62zz__socketz00(obj_t BgL_envz00_1524, obj_t BgL_portz00_1525)
{ AN_OBJECT;
{ /* Llib/socket.scm 342 */
return 
BGl_makezd2serverzd2socketz00zz__socketz00(BgL_portz00_1525);} 
}



/* _socket-accept */
obj_t BGl__socketzd2acceptzd2zz__socketz00(obj_t BgL_envz00_27, obj_t BgL_opt1103z00_26)
{ AN_OBJECT;
{ /* Llib/socket.scm 349 */
{ /* Llib/socket.scm 349 */
int BgL_l1104z00_688;
BgL_l1104z00_688 = 
VECTOR_LENGTH(BgL_opt1103z00_26); 
{ /* Llib/socket.scm 349 */
obj_t BgL_g1111z00_692;
BgL_g1111z00_692 = 
VECTOR_REF(BgL_opt1103z00_26,
(int)(((long)0))); 
{ /* Llib/socket.scm 349 */
obj_t BgL_errpz00_693;
BgL_errpz00_693 = BTRUE; 
{ /* Llib/socket.scm 349 */
obj_t BgL_inbufz00_694;
BgL_inbufz00_694 = BTRUE; 
{ /* Llib/socket.scm 349 */
obj_t BgL_outbufz00_695;
BgL_outbufz00_695 = BTRUE; 
{ /* Llib/socket.scm 349 */

{ 
long BgL_iz00_696;
BgL_iz00_696 = ((long)1); 
BgL_check1106z00_697:
if(
(BgL_iz00_696==
(long)(BgL_l1104z00_688)))
{ /* Llib/socket.scm 349 */BNIL; }  else 
{ /* Llib/socket.scm 349 */
bool_t BgL_testz00_2242;
{ /* Llib/socket.scm 349 */
obj_t BgL_arg1214z00_702;
{ /* Llib/socket.scm 349 */
int BgL_kz00_1164;
BgL_kz00_1164 = 
(int)(BgL_iz00_696); 
{ /* Llib/socket.scm 349 */
int BgL_l1617z00_1586;
BgL_l1617z00_1586 = 
VECTOR_LENGTH(BgL_opt1103z00_26); 
if(
BOUND_CHECK(BgL_kz00_1164, BgL_l1617z00_1586))
{ /* Llib/socket.scm 349 */
BgL_arg1214z00_702 = 
VECTOR_REF(BgL_opt1103z00_26,BgL_kz00_1164); }  else 
{ 
obj_t BgL_auxz00_2248;
BgL_auxz00_2248 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1801z00zz__socketz00, BgL_opt1103z00_26, 
BINT(BgL_kz00_1164), 
BINT(BgL_l1617z00_1586)); 
FAILURE(BgL_auxz00_2248,BFALSE,BFALSE);} } } 
BgL_testz00_2242 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1214z00_702, BGl_list1833z00zz__socketz00)); } 
if(BgL_testz00_2242)
{ 
long BgL_iz00_2256;
BgL_iz00_2256 = 
(BgL_iz00_696+((long)2)); 
BgL_iz00_696 = BgL_iz00_2256; 
goto BgL_check1106z00_697;}  else 
{ /* Llib/socket.scm 349 */
obj_t BgL_arg1212z00_701;
{ /* Llib/socket.scm 349 */
int BgL_kz00_1169;
BgL_kz00_1169 = 
(int)(BgL_iz00_696); 
{ /* Llib/socket.scm 349 */
int BgL_l1621z00_1590;
BgL_l1621z00_1590 = 
VECTOR_LENGTH(BgL_opt1103z00_26); 
if(
BOUND_CHECK(BgL_kz00_1169, BgL_l1621z00_1590))
{ /* Llib/socket.scm 349 */
BgL_arg1212z00_701 = 
VECTOR_REF(BgL_opt1103z00_26,BgL_kz00_1169); }  else 
{ 
obj_t BgL_auxz00_2263;
BgL_auxz00_2263 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1801z00zz__socketz00, BgL_opt1103z00_26, 
BINT(BgL_kz00_1169), 
BINT(BgL_l1621z00_1590)); 
FAILURE(BgL_auxz00_2263,BFALSE,BFALSE);} } } 
BGl_errorz00zz__errorz00(BGl_symbol1836z00zz__socketz00, BGl_string1813z00zz__socketz00, BgL_arg1212z00_701); } } } 
{ /* Llib/socket.scm 349 */
obj_t BgL_index1108z00_703;
BgL_index1108z00_703 = 
BGl_search1105z00zz__socketz00(BgL_l1104z00_688, BgL_opt1103z00_26, BGl_keyword1834z00zz__socketz00, ((long)1)); 
{ /* Llib/socket.scm 349 */
bool_t BgL_testz00_2271;
{ /* Llib/socket.scm 349 */
long BgL_n1z00_1170;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2272;
if(
INTEGERP(BgL_index1108z00_703))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2272 = BgL_index1108z00_703
; }  else 
{ 
obj_t BgL_auxz00_2275;
BgL_auxz00_2275 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1108z00_703); 
FAILURE(BgL_auxz00_2275,BFALSE,BFALSE);} 
BgL_n1z00_1170 = 
(long)CINT(BgL_auxz00_2272); } 
BgL_testz00_2271 = 
(BgL_n1z00_1170>=((long)0)); } 
if(BgL_testz00_2271)
{ 
int BgL_auxz00_2281;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2282;
if(
INTEGERP(BgL_index1108z00_703))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2282 = BgL_index1108z00_703
; }  else 
{ 
obj_t BgL_auxz00_2285;
BgL_auxz00_2285 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1108z00_703); 
FAILURE(BgL_auxz00_2285,BFALSE,BFALSE);} 
BgL_auxz00_2281 = 
CINT(BgL_auxz00_2282); } 
BgL_errpz00_693 = 
VECTOR_REF(BgL_opt1103z00_26,BgL_auxz00_2281); }  else 
{ /* Llib/socket.scm 349 */BFALSE; } } } 
{ /* Llib/socket.scm 349 */
obj_t BgL_index1109z00_705;
BgL_index1109z00_705 = 
BGl_search1105z00zz__socketz00(BgL_l1104z00_688, BgL_opt1103z00_26, BGl_keyword1805z00zz__socketz00, ((long)1)); 
{ /* Llib/socket.scm 349 */
bool_t BgL_testz00_2292;
{ /* Llib/socket.scm 349 */
long BgL_n1z00_1173;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2293;
if(
INTEGERP(BgL_index1109z00_705))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2293 = BgL_index1109z00_705
; }  else 
{ 
obj_t BgL_auxz00_2296;
BgL_auxz00_2296 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1109z00_705); 
FAILURE(BgL_auxz00_2296,BFALSE,BFALSE);} 
BgL_n1z00_1173 = 
(long)CINT(BgL_auxz00_2293); } 
BgL_testz00_2292 = 
(BgL_n1z00_1173>=((long)0)); } 
if(BgL_testz00_2292)
{ 
int BgL_auxz00_2302;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2303;
if(
INTEGERP(BgL_index1109z00_705))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2303 = BgL_index1109z00_705
; }  else 
{ 
obj_t BgL_auxz00_2306;
BgL_auxz00_2306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1109z00_705); 
FAILURE(BgL_auxz00_2306,BFALSE,BFALSE);} 
BgL_auxz00_2302 = 
CINT(BgL_auxz00_2303); } 
BgL_inbufz00_694 = 
VECTOR_REF(BgL_opt1103z00_26,BgL_auxz00_2302); }  else 
{ /* Llib/socket.scm 349 */BFALSE; } } } 
{ /* Llib/socket.scm 349 */
obj_t BgL_index1110z00_707;
BgL_index1110z00_707 = 
BGl_search1105z00zz__socketz00(BgL_l1104z00_688, BgL_opt1103z00_26, BGl_keyword1807z00zz__socketz00, ((long)1)); 
{ /* Llib/socket.scm 349 */
bool_t BgL_testz00_2313;
{ /* Llib/socket.scm 349 */
long BgL_n1z00_1176;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2314;
if(
INTEGERP(BgL_index1110z00_707))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2314 = BgL_index1110z00_707
; }  else 
{ 
obj_t BgL_auxz00_2317;
BgL_auxz00_2317 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1110z00_707); 
FAILURE(BgL_auxz00_2317,BFALSE,BFALSE);} 
BgL_n1z00_1176 = 
(long)CINT(BgL_auxz00_2314); } 
BgL_testz00_2313 = 
(BgL_n1z00_1176>=((long)0)); } 
if(BgL_testz00_2313)
{ 
int BgL_auxz00_2323;
{ /* Llib/socket.scm 349 */
obj_t BgL_auxz00_2324;
if(
INTEGERP(BgL_index1110z00_707))
{ /* Llib/socket.scm 349 */
BgL_auxz00_2324 = BgL_index1110z00_707
; }  else 
{ 
obj_t BgL_auxz00_2327;
BgL_auxz00_2327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1110z00_707); 
FAILURE(BgL_auxz00_2327,BFALSE,BFALSE);} 
BgL_auxz00_2323 = 
CINT(BgL_auxz00_2324); } 
BgL_outbufz00_695 = 
VECTOR_REF(BgL_opt1103z00_26,BgL_auxz00_2323); }  else 
{ /* Llib/socket.scm 349 */BFALSE; } } } 
{ /* Llib/socket.scm 349 */
obj_t BgL_arg1218z00_709;
BgL_arg1218z00_709 = 
VECTOR_REF(BgL_opt1103z00_26,
(int)(((long)0))); 
{ /* Llib/socket.scm 349 */
obj_t BgL_errpz00_710;
BgL_errpz00_710 = BgL_errpz00_693; 
{ /* Llib/socket.scm 349 */
obj_t BgL_inbufz00_711;
BgL_inbufz00_711 = BgL_inbufz00_694; 
{ /* Llib/socket.scm 349 */
obj_t BgL_outbufz00_712;
BgL_outbufz00_712 = BgL_outbufz00_695; 
{ /* Llib/socket.scm 349 */
obj_t BgL_socketz00_1179;
if(
SOCKETP(BgL_arg1218z00_709))
{ /* Llib/socket.scm 349 */
BgL_socketz00_1179 = BgL_arg1218z00_709; }  else 
{ 
obj_t BgL_auxz00_2337;
BgL_auxz00_2337 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)15496)), BGl_string1838z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_arg1218z00_709); 
FAILURE(BgL_auxz00_2337,BFALSE,BFALSE);} 
return 
bgl_socket_accept(BgL_socketz00_1179, 
CBOOL(BgL_errpz00_710), 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1836z00zz__socketz00, BgL_inbufz00_711, 
(int)(((long)512))), 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1836z00zz__socketz00, BgL_outbufz00_712, 
(int)(((long)1024))));} } } } } } } } } } } } 
}



/* search1105 */
obj_t BGl_search1105z00zz__socketz00(int BgL_l1104z00_1573, obj_t BgL_opt1103z00_1572, obj_t BgL_k1z00_689, long BgL_iz00_690)
{ AN_OBJECT;
{ /* Llib/socket.scm 349 */
BGl_search1105z00zz__socketz00:
if(
(BgL_iz00_690==
(long)(BgL_l1104z00_1573)))
{ /* Llib/socket.scm 349 */
return 
BINT(((long)-1));}  else 
{ /* Llib/socket.scm 349 */
if(
(BgL_iz00_690==
(
(long)(BgL_l1104z00_1573)-((long)1))))
{ /* Llib/socket.scm 349 */
int BgL_arg1222z00_715;
BgL_arg1222z00_715 = 
VECTOR_LENGTH(BgL_opt1103z00_1572); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1836z00zz__socketz00, BGl_string1839z00zz__socketz00, 
BINT(BgL_arg1222z00_715));}  else 
{ /* Llib/socket.scm 349 */
obj_t BgL_vz00_716;
BgL_vz00_716 = 
VECTOR_REF(BgL_opt1103z00_1572,
(int)(BgL_iz00_690)); 
if(
(BgL_vz00_716==BgL_k1z00_689))
{ /* Llib/socket.scm 349 */
return 
BINT(
(BgL_iz00_690+((long)1)));}  else 
{ 
long BgL_iz00_2364;
BgL_iz00_2364 = 
(BgL_iz00_690+((long)2)); 
BgL_iz00_690 = BgL_iz00_2364; 
goto BGl_search1105z00zz__socketz00;} } } } 
}



/* socket-accept */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2zz__socketz00(obj_t BgL_socketz00_22, obj_t BgL_errpz00_23, obj_t BgL_inbufz00_24, obj_t BgL_outbufz00_25)
{ AN_OBJECT;
{ /* Llib/socket.scm 349 */
return 
bgl_socket_accept(BgL_socketz00_22, 
CBOOL(BgL_errpz00_23), 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1836z00zz__socketz00, BgL_inbufz00_24, 
(int)(((long)512))), 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1836z00zz__socketz00, BgL_outbufz00_25, 
(int)(((long)1024))));} 
}



/* _socket-accept-many */
obj_t BGl__socketzd2acceptzd2manyz00zz__socketz00(obj_t BgL_envz00_34, obj_t BgL_opt1112z00_33)
{ AN_OBJECT;
{ /* Llib/socket.scm 360 */
{ /* Llib/socket.scm 360 */
int BgL_l1113z00_722;
BgL_l1113z00_722 = 
VECTOR_LENGTH(BgL_opt1112z00_33); 
{ /* Llib/socket.scm 360 */
obj_t BgL_g1120z00_726;obj_t BgL_g1121z00_727;
BgL_g1120z00_726 = 
VECTOR_REF(BgL_opt1112z00_33,
(int)(((long)0))); 
BgL_g1121z00_727 = 
VECTOR_REF(BgL_opt1112z00_33,
(int)(((long)1))); 
{ /* Llib/socket.scm 360 */
obj_t BgL_errpz00_728;
BgL_errpz00_728 = BTRUE; 
{ /* Llib/socket.scm 360 */
obj_t BgL_inbufsz00_729;
BgL_inbufsz00_729 = BTRUE; 
{ /* Llib/socket.scm 360 */
obj_t BgL_outbufsz00_730;
BgL_outbufsz00_730 = BTRUE; 
{ /* Llib/socket.scm 360 */

{ 
long BgL_iz00_731;
BgL_iz00_731 = ((long)2); 
BgL_check1115z00_732:
if(
(BgL_iz00_731==
(long)(BgL_l1113z00_722)))
{ /* Llib/socket.scm 360 */BNIL; }  else 
{ /* Llib/socket.scm 360 */
bool_t BgL_testz00_2380;
{ /* Llib/socket.scm 360 */
obj_t BgL_arg1234z00_737;
{ /* Llib/socket.scm 360 */
int BgL_kz00_1207;
BgL_kz00_1207 = 
(int)(BgL_iz00_731); 
{ /* Llib/socket.scm 360 */
int BgL_l1625z00_1594;
BgL_l1625z00_1594 = 
VECTOR_LENGTH(BgL_opt1112z00_33); 
if(
BOUND_CHECK(BgL_kz00_1207, BgL_l1625z00_1594))
{ /* Llib/socket.scm 360 */
BgL_arg1234z00_737 = 
VECTOR_REF(BgL_opt1112z00_33,BgL_kz00_1207); }  else 
{ 
obj_t BgL_auxz00_2386;
BgL_auxz00_2386 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1801z00zz__socketz00, BgL_opt1112z00_33, 
BINT(BgL_kz00_1207), 
BINT(BgL_l1625z00_1594)); 
FAILURE(BgL_auxz00_2386,BFALSE,BFALSE);} } } 
BgL_testz00_2380 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1234z00_737, BGl_list1840z00zz__socketz00)); } 
if(BgL_testz00_2380)
{ 
long BgL_iz00_2394;
BgL_iz00_2394 = 
(BgL_iz00_731+((long)2)); 
BgL_iz00_731 = BgL_iz00_2394; 
goto BgL_check1115z00_732;}  else 
{ /* Llib/socket.scm 360 */
obj_t BgL_arg1231z00_736;
{ /* Llib/socket.scm 360 */
int BgL_kz00_1212;
BgL_kz00_1212 = 
(int)(BgL_iz00_731); 
{ /* Llib/socket.scm 360 */
int BgL_l1629z00_1598;
BgL_l1629z00_1598 = 
VECTOR_LENGTH(BgL_opt1112z00_33); 
if(
BOUND_CHECK(BgL_kz00_1212, BgL_l1629z00_1598))
{ /* Llib/socket.scm 360 */
BgL_arg1231z00_736 = 
VECTOR_REF(BgL_opt1112z00_33,BgL_kz00_1212); }  else 
{ 
obj_t BgL_auxz00_2401;
BgL_auxz00_2401 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1801z00zz__socketz00, BgL_opt1112z00_33, 
BINT(BgL_kz00_1212), 
BINT(BgL_l1629z00_1598)); 
FAILURE(BgL_auxz00_2401,BFALSE,BFALSE);} } } 
BGl_errorz00zz__errorz00(BGl_symbol1845z00zz__socketz00, BGl_string1813z00zz__socketz00, BgL_arg1231z00_736); } } } 
{ /* Llib/socket.scm 360 */
obj_t BgL_index1117z00_738;
BgL_index1117z00_738 = 
BGl_search1114z00zz__socketz00(BgL_l1113z00_722, BgL_opt1112z00_33, BGl_keyword1834z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 360 */
bool_t BgL_testz00_2409;
{ /* Llib/socket.scm 360 */
long BgL_n1z00_1213;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2410;
if(
INTEGERP(BgL_index1117z00_738))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2410 = BgL_index1117z00_738
; }  else 
{ 
obj_t BgL_auxz00_2413;
BgL_auxz00_2413 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1117z00_738); 
FAILURE(BgL_auxz00_2413,BFALSE,BFALSE);} 
BgL_n1z00_1213 = 
(long)CINT(BgL_auxz00_2410); } 
BgL_testz00_2409 = 
(BgL_n1z00_1213>=((long)0)); } 
if(BgL_testz00_2409)
{ 
int BgL_auxz00_2419;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2420;
if(
INTEGERP(BgL_index1117z00_738))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2420 = BgL_index1117z00_738
; }  else 
{ 
obj_t BgL_auxz00_2423;
BgL_auxz00_2423 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1117z00_738); 
FAILURE(BgL_auxz00_2423,BFALSE,BFALSE);} 
BgL_auxz00_2419 = 
CINT(BgL_auxz00_2420); } 
BgL_errpz00_728 = 
VECTOR_REF(BgL_opt1112z00_33,BgL_auxz00_2419); }  else 
{ /* Llib/socket.scm 360 */BFALSE; } } } 
{ /* Llib/socket.scm 360 */
obj_t BgL_index1118z00_740;
BgL_index1118z00_740 = 
BGl_search1114z00zz__socketz00(BgL_l1113z00_722, BgL_opt1112z00_33, BGl_keyword1841z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 360 */
bool_t BgL_testz00_2430;
{ /* Llib/socket.scm 360 */
long BgL_n1z00_1216;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2431;
if(
INTEGERP(BgL_index1118z00_740))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2431 = BgL_index1118z00_740
; }  else 
{ 
obj_t BgL_auxz00_2434;
BgL_auxz00_2434 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1118z00_740); 
FAILURE(BgL_auxz00_2434,BFALSE,BFALSE);} 
BgL_n1z00_1216 = 
(long)CINT(BgL_auxz00_2431); } 
BgL_testz00_2430 = 
(BgL_n1z00_1216>=((long)0)); } 
if(BgL_testz00_2430)
{ 
int BgL_auxz00_2440;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2441;
if(
INTEGERP(BgL_index1118z00_740))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2441 = BgL_index1118z00_740
; }  else 
{ 
obj_t BgL_auxz00_2444;
BgL_auxz00_2444 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1118z00_740); 
FAILURE(BgL_auxz00_2444,BFALSE,BFALSE);} 
BgL_auxz00_2440 = 
CINT(BgL_auxz00_2441); } 
BgL_inbufsz00_729 = 
VECTOR_REF(BgL_opt1112z00_33,BgL_auxz00_2440); }  else 
{ /* Llib/socket.scm 360 */BFALSE; } } } 
{ /* Llib/socket.scm 360 */
obj_t BgL_index1119z00_742;
BgL_index1119z00_742 = 
BGl_search1114z00zz__socketz00(BgL_l1113z00_722, BgL_opt1112z00_33, BGl_keyword1843z00zz__socketz00, ((long)2)); 
{ /* Llib/socket.scm 360 */
bool_t BgL_testz00_2451;
{ /* Llib/socket.scm 360 */
long BgL_n1z00_1219;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2452;
if(
INTEGERP(BgL_index1119z00_742))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2452 = BgL_index1119z00_742
; }  else 
{ 
obj_t BgL_auxz00_2455;
BgL_auxz00_2455 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1119z00_742); 
FAILURE(BgL_auxz00_2455,BFALSE,BFALSE);} 
BgL_n1z00_1219 = 
(long)CINT(BgL_auxz00_2452); } 
BgL_testz00_2451 = 
(BgL_n1z00_1219>=((long)0)); } 
if(BgL_testz00_2451)
{ 
int BgL_auxz00_2461;
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2462;
if(
INTEGERP(BgL_index1119z00_742))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2462 = BgL_index1119z00_742
; }  else 
{ 
obj_t BgL_auxz00_2465;
BgL_auxz00_2465 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_index1119z00_742); 
FAILURE(BgL_auxz00_2465,BFALSE,BFALSE);} 
BgL_auxz00_2461 = 
CINT(BgL_auxz00_2462); } 
BgL_outbufsz00_730 = 
VECTOR_REF(BgL_opt1112z00_33,BgL_auxz00_2461); }  else 
{ /* Llib/socket.scm 360 */BFALSE; } } } 
{ /* Llib/socket.scm 360 */
obj_t BgL_arg1240z00_744;obj_t BgL_arg1241z00_745;
BgL_arg1240z00_744 = 
VECTOR_REF(BgL_opt1112z00_33,
(int)(((long)0))); 
BgL_arg1241z00_745 = 
VECTOR_REF(BgL_opt1112z00_33,
(int)(((long)1))); 
{ /* Llib/socket.scm 360 */
obj_t BgL_errpz00_746;
BgL_errpz00_746 = BgL_errpz00_728; 
{ /* Llib/socket.scm 360 */
obj_t BgL_inbufsz00_747;
BgL_inbufsz00_747 = BgL_inbufsz00_729; 
{ /* Llib/socket.scm 360 */
obj_t BgL_outbufsz00_748;
BgL_outbufsz00_748 = BgL_outbufsz00_730; 
{ /* Llib/socket.scm 360 */
obj_t BgL_auxz00_2482;obj_t BgL_auxz00_2475;
if(
VECTORP(BgL_arg1241z00_745))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2482 = BgL_arg1241z00_745
; }  else 
{ 
obj_t BgL_auxz00_2485;
BgL_auxz00_2485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1848z00zz__socketz00, BgL_arg1241z00_745); 
FAILURE(BgL_auxz00_2485,BFALSE,BFALSE);} 
if(
SOCKETP(BgL_arg1240z00_744))
{ /* Llib/socket.scm 360 */
BgL_auxz00_2475 = BgL_arg1240z00_744
; }  else 
{ 
obj_t BgL_auxz00_2478;
BgL_auxz00_2478 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16186)), BGl_string1847z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_arg1240z00_744); 
FAILURE(BgL_auxz00_2478,BFALSE,BFALSE);} 
return 
BGl_socketzd2acceptzd2manyz00zz__socketz00(BgL_auxz00_2475, BgL_auxz00_2482, BgL_errpz00_746, BgL_inbufsz00_747, BgL_outbufsz00_748);} } } } } } } } } } } } 
}



/* search1114 */
obj_t BGl_search1114z00zz__socketz00(int BgL_l1113z00_1571, obj_t BgL_opt1112z00_1570, obj_t BgL_k1z00_723, long BgL_iz00_724)
{ AN_OBJECT;
{ /* Llib/socket.scm 360 */
BGl_search1114z00zz__socketz00:
if(
(BgL_iz00_724==
(long)(BgL_l1113z00_1571)))
{ /* Llib/socket.scm 360 */
return 
BINT(((long)-1));}  else 
{ /* Llib/socket.scm 360 */
if(
(BgL_iz00_724==
(
(long)(BgL_l1113z00_1571)-((long)1))))
{ /* Llib/socket.scm 360 */
int BgL_arg1244z00_751;
BgL_arg1244z00_751 = 
VECTOR_LENGTH(BgL_opt1112z00_1570); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1845z00zz__socketz00, BGl_string1849z00zz__socketz00, 
BINT(BgL_arg1244z00_751));}  else 
{ /* Llib/socket.scm 360 */
obj_t BgL_vz00_752;
BgL_vz00_752 = 
VECTOR_REF(BgL_opt1112z00_1570,
(int)(BgL_iz00_724)); 
if(
(BgL_vz00_752==BgL_k1z00_723))
{ /* Llib/socket.scm 360 */
return 
BINT(
(BgL_iz00_724+((long)1)));}  else 
{ 
long BgL_iz00_2507;
BgL_iz00_2507 = 
(BgL_iz00_724+((long)2)); 
BgL_iz00_724 = BgL_iz00_2507; 
goto BGl_search1114z00zz__socketz00;} } } } 
}



/* socket-accept-many */
BGL_EXPORTED_DEF obj_t BGl_socketzd2acceptzd2manyz00zz__socketz00(obj_t BgL_socketz00_28, obj_t BgL_resultz00_29, obj_t BgL_errpz00_30, obj_t BgL_inbufsz00_31, obj_t BgL_outbufsz00_32)
{ AN_OBJECT;
{ /* Llib/socket.scm 360 */
if(
VECTORP(BgL_inbufsz00_31))
{ /* Llib/socket.scm 361 */((bool_t)0); }  else 
{ /* Llib/socket.scm 361 */
{ /* Llib/socket.scm 362 */
int BgL_arg1250z00_757;
BgL_arg1250z00_757 = 
VECTOR_LENGTH(BgL_resultz00_29); 
BgL_inbufsz00_31 = 
make_vector(BgL_arg1250z00_757, BUNSPEC); } 
{ 
long BgL_iz00_760;
BgL_iz00_760 = ((long)0); 
BgL_zc3anonymousza31256ze3z83_761:
{ /* Llib/socket.scm 364 */
bool_t BgL_testz00_2513;
{ /* Llib/socket.scm 364 */
int BgL_arg1260z00_765;
BgL_arg1260z00_765 = 
VECTOR_LENGTH(BgL_resultz00_29); 
BgL_testz00_2513 = 
(BgL_iz00_760<
(long)(BgL_arg1260z00_765)); } 
if(BgL_testz00_2513)
{ /* Llib/socket.scm 365 */
obj_t BgL_bufz00_763;
BgL_bufz00_763 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1845z00zz__socketz00, BTRUE, 
(int)(((long)512))); 
{ /* Llib/socket.scm 366 */
obj_t BgL_vectorz00_1230;int BgL_kz00_1231;
{ /* Llib/socket.scm 366 */
obj_t BgL_aux1725z00_1695;
BgL_aux1725z00_1695 = BgL_inbufsz00_31; 
if(
VECTORP(BgL_aux1725z00_1695))
{ /* Llib/socket.scm 366 */
BgL_vectorz00_1230 = BgL_aux1725z00_1695; }  else 
{ 
obj_t BgL_auxz00_2521;
BgL_auxz00_2521 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16510)), BGl_string1850z00zz__socketz00, BGl_string1848z00zz__socketz00, BgL_aux1725z00_1695); 
FAILURE(BgL_auxz00_2521,BFALSE,BFALSE);} } 
BgL_kz00_1231 = 
(int)(BgL_iz00_760); 
{ /* Llib/socket.scm 366 */
int BgL_l1633z00_1602;
BgL_l1633z00_1602 = 
VECTOR_LENGTH(BgL_vectorz00_1230); 
if(
BOUND_CHECK(BgL_kz00_1231, BgL_l1633z00_1602))
{ /* Llib/socket.scm 366 */
VECTOR_SET(BgL_vectorz00_1230,BgL_kz00_1231,BgL_bufz00_763); }  else 
{ 
obj_t BgL_auxz00_2530;
BgL_auxz00_2530 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16497)), BGl_string1851z00zz__socketz00, 
BINT(BgL_kz00_1231), BgL_vectorz00_1230, 
BINT(BgL_l1633z00_1602)); 
FAILURE(BgL_auxz00_2530,BFALSE,BFALSE);} } } 
{ 
long BgL_iz00_2536;
BgL_iz00_2536 = 
(BgL_iz00_760+((long)1)); 
BgL_iz00_760 = BgL_iz00_2536; 
goto BgL_zc3anonymousza31256ze3z83_761;} }  else 
{ /* Llib/socket.scm 364 */((bool_t)0); } } } } 
if(
VECTORP(BgL_outbufsz00_32))
{ /* Llib/socket.scm 368 */((bool_t)0); }  else 
{ /* Llib/socket.scm 368 */
{ /* Llib/socket.scm 369 */
int BgL_arg1263z00_768;
BgL_arg1263z00_768 = 
VECTOR_LENGTH(BgL_resultz00_29); 
BgL_outbufsz00_32 = 
make_vector(BgL_arg1263z00_768, BUNSPEC); } 
{ 
long BgL_iz00_771;
BgL_iz00_771 = ((long)0); 
BgL_zc3anonymousza31266ze3z83_772:
{ /* Llib/socket.scm 371 */
bool_t BgL_testz00_2542;
{ /* Llib/socket.scm 371 */
int BgL_arg1269z00_776;
BgL_arg1269z00_776 = 
VECTOR_LENGTH(BgL_resultz00_29); 
BgL_testz00_2542 = 
(BgL_iz00_771<
(long)(BgL_arg1269z00_776)); } 
if(BgL_testz00_2542)
{ /* Llib/socket.scm 372 */
obj_t BgL_bufz00_774;
BgL_bufz00_774 = 
BGl_getzd2portzd2bufferz00zz__r4_ports_6_10_1z00(BGl_symbol1845z00zz__socketz00, BTRUE, 
(int)(((long)512))); 
{ /* Llib/socket.scm 373 */
obj_t BgL_vectorz00_1244;int BgL_kz00_1245;
{ /* Llib/socket.scm 373 */
obj_t BgL_aux1727z00_1698;
BgL_aux1727z00_1698 = BgL_outbufsz00_32; 
if(
VECTORP(BgL_aux1727z00_1698))
{ /* Llib/socket.scm 373 */
BgL_vectorz00_1244 = BgL_aux1727z00_1698; }  else 
{ 
obj_t BgL_auxz00_2550;
BgL_auxz00_2550 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16787)), BGl_string1850z00zz__socketz00, BGl_string1848z00zz__socketz00, BgL_aux1727z00_1698); 
FAILURE(BgL_auxz00_2550,BFALSE,BFALSE);} } 
BgL_kz00_1245 = 
(int)(BgL_iz00_771); 
{ /* Llib/socket.scm 373 */
int BgL_l1637z00_1606;
BgL_l1637z00_1606 = 
VECTOR_LENGTH(BgL_vectorz00_1244); 
if(
BOUND_CHECK(BgL_kz00_1245, BgL_l1637z00_1606))
{ /* Llib/socket.scm 373 */
VECTOR_SET(BgL_vectorz00_1244,BgL_kz00_1245,BgL_bufz00_774); }  else 
{ 
obj_t BgL_auxz00_2559;
BgL_auxz00_2559 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16774)), BGl_string1851z00zz__socketz00, 
BINT(BgL_kz00_1245), BgL_vectorz00_1244, 
BINT(BgL_l1637z00_1606)); 
FAILURE(BgL_auxz00_2559,BFALSE,BFALSE);} } } 
{ 
long BgL_iz00_2565;
BgL_iz00_2565 = 
(BgL_iz00_771+((long)1)); 
BgL_iz00_771 = BgL_iz00_2565; 
goto BgL_zc3anonymousza31266ze3z83_772;} }  else 
{ /* Llib/socket.scm 371 */((bool_t)0); } } } } 
{ /* Llib/socket.scm 377 */
long BgL_auxz00_2567;
{ /* Llib/socket.scm 377 */
obj_t BgL_auxz00_2576;obj_t BgL_auxz00_2568;
{ /* Llib/socket.scm 377 */
obj_t BgL_aux1731z00_1702;
BgL_aux1731z00_1702 = BgL_outbufsz00_32; 
if(
VECTORP(BgL_aux1731z00_1702))
{ /* Llib/socket.scm 377 */
BgL_auxz00_2576 = BgL_aux1731z00_1702
; }  else 
{ 
obj_t BgL_auxz00_2579;
BgL_auxz00_2579 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16910)), BGl_string1846z00zz__socketz00, BGl_string1848z00zz__socketz00, BgL_aux1731z00_1702); 
FAILURE(BgL_auxz00_2579,BFALSE,BFALSE);} } 
{ /* Llib/socket.scm 377 */
obj_t BgL_aux1729z00_1700;
BgL_aux1729z00_1700 = BgL_inbufsz00_31; 
if(
VECTORP(BgL_aux1729z00_1700))
{ /* Llib/socket.scm 377 */
BgL_auxz00_2568 = BgL_aux1729z00_1700
; }  else 
{ 
obj_t BgL_auxz00_2572;
BgL_auxz00_2572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)16903)), BGl_string1846z00zz__socketz00, BGl_string1848z00zz__socketz00, BgL_aux1729z00_1700); 
FAILURE(BgL_auxz00_2572,BFALSE,BFALSE);} } 
BgL_auxz00_2567 = 
bgl_socket_accept_many(BgL_socketz00_28, 
CBOOL(BgL_errpz00_30), BgL_auxz00_2568, BgL_auxz00_2576, BgL_resultz00_29); } 
return 
BINT(BgL_auxz00_2567);} } 
}



/* _socket-shutdown */
obj_t BGl__socketzd2shutdownzd2zz__socketz00(obj_t BgL_envz00_38, obj_t BgL_optz00_37)
{ AN_OBJECT;
{ /* Llib/socket.scm 388 */
{ /* Llib/socket.scm 388 */
obj_t BgL_g1122z00_1770;
BgL_g1122z00_1770 = 
VECTOR_REF(BgL_optz00_37,
(int)(((long)0))); 
{ 

{ /* Llib/socket.scm 388 */
int BgL_aux1124z00_1773;
BgL_aux1124z00_1773 = 
VECTOR_LENGTH(BgL_optz00_37); 
switch( 
(long)(BgL_aux1124z00_1773)) { case ((long)1) : 

{ /* Llib/socket.scm 388 */

{ /* Llib/socket.scm 388 */
obj_t BgL_arg1271z00_1774;
BgL_arg1271z00_1774 = 
VECTOR_REF(BgL_optz00_37,
(int)(((long)0))); 
{ /* Llib/socket.scm 388 */
obj_t BgL_socketz00_1775;
if(
SOCKETP(BgL_arg1271z00_1774))
{ /* Llib/socket.scm 388 */
BgL_socketz00_1775 = BgL_arg1271z00_1774; }  else 
{ 
obj_t BgL_auxz00_2592;
BgL_auxz00_2592 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)17322)), BGl_string1855z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_arg1271z00_1774); 
FAILURE(BgL_auxz00_2592,BFALSE,BFALSE);} 
return 
socket_shutdown(BgL_socketz00_1775, 
CBOOL(BTRUE));} } } break;case ((long)2) : 

{ /* Llib/socket.scm 388 */
obj_t BgL_closez00_1777;
BgL_closez00_1777 = 
VECTOR_REF(BgL_optz00_37,
(int)(((long)1))); 
{ /* Llib/socket.scm 388 */

{ /* Llib/socket.scm 388 */
obj_t BgL_arg1273z00_1778;
BgL_arg1273z00_1778 = 
VECTOR_REF(BgL_optz00_37,
(int)(((long)0))); 
{ /* Llib/socket.scm 388 */
obj_t BgL_socketz00_1779;
if(
SOCKETP(BgL_arg1273z00_1778))
{ /* Llib/socket.scm 388 */
BgL_socketz00_1779 = BgL_arg1273z00_1778; }  else 
{ 
obj_t BgL_auxz00_2604;
BgL_auxz00_2604 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)17322)), BGl_string1855z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_arg1273z00_1778); 
FAILURE(BgL_auxz00_2604,BFALSE,BFALSE);} 
return 
socket_shutdown(BgL_socketz00_1779, 
CBOOL(BgL_closez00_1777));} } } } break;
default: 
{ /* Llib/socket.scm 388 */
int BgL_arg1275z00_1772;
BgL_arg1275z00_1772 = 
VECTOR_LENGTH(BgL_optz00_37); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1852z00zz__socketz00, BGl_string1854z00zz__socketz00, 
BINT(BgL_arg1275z00_1772));} } } } } } 
}



/* socket-shutdown */
BGL_EXPORTED_DEF obj_t BGl_socketzd2shutdownzd2zz__socketz00(obj_t BgL_socketz00_35, obj_t BgL_closez00_36)
{ AN_OBJECT;
{ /* Llib/socket.scm 388 */
return 
socket_shutdown(BgL_socketz00_35, 
CBOOL(BgL_closez00_36));} 
}



/* socket-close */
BGL_EXPORTED_DEF obj_t BGl_socketzd2closezd2zz__socketz00(obj_t BgL_socketz00_39)
{ AN_OBJECT;
{ /* Llib/socket.scm 394 */
return 
socket_close(BgL_socketz00_39);} 
}



/* &socket-close */
obj_t BGl_z62socketzd2closezb0zz__socketz00(obj_t BgL_envz00_1526, obj_t BgL_socketz00_1527)
{ AN_OBJECT;
{ /* Llib/socket.scm 394 */
{ /* Llib/socket.scm 395 */
obj_t BgL_socketz00_1780;
if(
SOCKETP(BgL_socketz00_1527))
{ /* Llib/socket.scm 395 */
BgL_socketz00_1780 = BgL_socketz00_1527; }  else 
{ 
obj_t BgL_auxz00_2620;
BgL_auxz00_2620 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)17700)), BGl_string1856z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1527); 
FAILURE(BgL_auxz00_2620,BFALSE,BFALSE);} 
return 
socket_close(BgL_socketz00_1780);} } 
}



/* host */
BGL_EXPORTED_DEF obj_t BGl_hostz00zz__socketz00(obj_t BgL_hostnamez00_40)
{ AN_OBJECT;
{ /* Llib/socket.scm 400 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_host(BgL_hostnamez00_40);} 
}



/* &host */
obj_t BGl_z62hostz62zz__socketz00(obj_t BgL_envz00_1528, obj_t BgL_hostnamez00_1529)
{ AN_OBJECT;
{ /* Llib/socket.scm 400 */
{ /* Llib/socket.scm 402 */
obj_t BgL_hostnamez00_1781;
if(
STRINGP(BgL_hostnamez00_1529))
{ /* Llib/socket.scm 402 */
BgL_hostnamez00_1781 = BgL_hostnamez00_1529; }  else 
{ 
obj_t BgL_auxz00_2629;
BgL_auxz00_2629 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)18009)), BGl_string1857z00zz__socketz00, BGl_string1816z00zz__socketz00, BgL_hostnamez00_1529); 
FAILURE(BgL_auxz00_2629,BFALSE,BFALSE);} 
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_host(BgL_hostnamez00_1781);} } 
}



/* hostinfo */
BGL_EXPORTED_DEF obj_t BGl_hostinfoz00zz__socketz00(obj_t BgL_hostnamez00_41)
{ AN_OBJECT;
{ /* Llib/socket.scm 408 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_hostinfo(BgL_hostnamez00_41);} 
}



/* &hostinfo */
obj_t BGl_z62hostinfoz62zz__socketz00(obj_t BgL_envz00_1530, obj_t BgL_hostnamez00_1531)
{ AN_OBJECT;
{ /* Llib/socket.scm 408 */
{ /* Llib/socket.scm 410 */
obj_t BgL_hostnamez00_1782;
if(
STRINGP(BgL_hostnamez00_1531))
{ /* Llib/socket.scm 410 */
BgL_hostnamez00_1782 = BgL_hostnamez00_1531; }  else 
{ 
obj_t BgL_auxz00_2639;
BgL_auxz00_2639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)18325)), BGl_string1858z00zz__socketz00, BGl_string1816z00zz__socketz00, BgL_hostnamez00_1531); 
FAILURE(BgL_auxz00_2639,BFALSE,BFALSE);} 
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_hostinfo(BgL_hostnamez00_1782);} } 
}



/* hostname */
BGL_EXPORTED_DEF obj_t BGl_hostnamez00zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 416 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_gethostname();} 
}



/* &hostname */
obj_t BGl_z62hostnamez62zz__socketz00(obj_t BgL_envz00_1532)
{ AN_OBJECT;
{ /* Llib/socket.scm 416 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_gethostname();} 
}



/* get-interfaces */
BGL_EXPORTED_DEF obj_t BGl_getzd2interfaceszd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 424 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_gethostinterfaces();} 
}



/* &get-interfaces */
obj_t BGl_z62getzd2interfaceszb0zz__socketz00(obj_t BgL_envz00_1533)
{ AN_OBJECT;
{ /* Llib/socket.scm 424 */
BGl_z52socketzd2initz12z92zz__socketz00(); 
return 
bgl_gethostinterfaces();} 
}



/* get-protocols */
BGL_EXPORTED_DEF obj_t BGl_getzd2protocolszd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 432 */
return 
bgl_getprotoents();} 
}



/* &get-protocols */
obj_t BGl_z62getzd2protocolszb0zz__socketz00(obj_t BgL_envz00_1534)
{ AN_OBJECT;
{ /* Llib/socket.scm 432 */
return 
bgl_getprotoents();} 
}



/* get-protocol */
BGL_EXPORTED_DEF obj_t BGl_getzd2protocolzd2zz__socketz00(obj_t BgL_protocolz00_42)
{ AN_OBJECT;
{ /* Llib/socket.scm 438 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_protocolz00_42))
{ /* Llib/socket.scm 441 */
long BgL_auxz00_2657;
{ /* Llib/socket.scm 441 */
obj_t BgL_auxz00_2658;
if(
INTEGERP(BgL_protocolz00_42))
{ /* Llib/socket.scm 441 */
BgL_auxz00_2658 = BgL_protocolz00_42
; }  else 
{ 
obj_t BgL_auxz00_2661;
BgL_auxz00_2661 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)19567)), BGl_string1859z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_protocolz00_42); 
FAILURE(BgL_auxz00_2661,BFALSE,BFALSE);} 
BgL_auxz00_2657 = 
(long)CINT(BgL_auxz00_2658); } 
return 
bgl_getprotobynumber(BgL_auxz00_2657);}  else 
{ /* Llib/socket.scm 440 */
if(
STRINGP(BgL_protocolz00_42))
{ /* Llib/socket.scm 442 */
return 
bgl_getprotobyname(
BSTRING_TO_STRING(BgL_protocolz00_42));}  else 
{ /* Llib/socket.scm 442 */
return BFALSE;} } } 
}



/* &get-protocol */
obj_t BGl_z62getzd2protocolzb0zz__socketz00(obj_t BgL_envz00_1535, obj_t BgL_protocolz00_1536)
{ AN_OBJECT;
{ /* Llib/socket.scm 438 */
return 
BGl_getzd2protocolzd2zz__socketz00(BgL_protocolz00_1536);} 
}



/* socket-option */
BGL_EXPORTED_DEF obj_t BGl_socketzd2optionzd2zz__socketz00(obj_t BgL_socketz00_43, obj_t BgL_optionz00_44)
{ AN_OBJECT;
{ /* Llib/socket.scm 450 */
return 
bgl_getsockopt(BgL_socketz00_43, BgL_optionz00_44);} 
}



/* &socket-option */
obj_t BGl_z62socketzd2optionzb0zz__socketz00(obj_t BgL_envz00_1537, obj_t BgL_socketz00_1538, obj_t BgL_optionz00_1539)
{ AN_OBJECT;
{ /* Llib/socket.scm 450 */
{ /* Llib/socket.scm 451 */
obj_t BgL_socketz00_1783;obj_t BgL_optionz00_1784;
if(
SOCKETP(BgL_socketz00_1538))
{ /* Llib/socket.scm 451 */
BgL_socketz00_1783 = BgL_socketz00_1538; }  else 
{ 
obj_t BgL_auxz00_2675;
BgL_auxz00_2675 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)19935)), BGl_string1860z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1538); 
FAILURE(BgL_auxz00_2675,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_optionz00_1539))
{ /* Llib/socket.scm 451 */
BgL_optionz00_1784 = BgL_optionz00_1539; }  else 
{ 
obj_t BgL_auxz00_2681;
BgL_auxz00_2681 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)19935)), BGl_string1860z00zz__socketz00, BGl_string1861z00zz__socketz00, BgL_optionz00_1539); 
FAILURE(BgL_auxz00_2681,BFALSE,BFALSE);} 
return 
bgl_getsockopt(BgL_socketz00_1783, BgL_optionz00_1784);} } 
}



/* socket-option-set! */
BGL_EXPORTED_DEF obj_t BGl_socketzd2optionzd2setz12z12zz__socketz00(obj_t BgL_socketz00_45, obj_t BgL_optionz00_46, obj_t BgL_valz00_47)
{ AN_OBJECT;
{ /* Llib/socket.scm 456 */
return 
bgl_setsockopt(BgL_socketz00_45, BgL_optionz00_46, BgL_valz00_47);} 
}



/* &socket-option-set! */
obj_t BGl_z62socketzd2optionzd2setz12z70zz__socketz00(obj_t BgL_envz00_1540, obj_t BgL_socketz00_1541, obj_t BgL_optionz00_1542, obj_t BgL_valz00_1543)
{ AN_OBJECT;
{ /* Llib/socket.scm 456 */
{ /* Llib/socket.scm 457 */
obj_t BgL_socketz00_1785;obj_t BgL_optionz00_1786;
if(
SOCKETP(BgL_socketz00_1541))
{ /* Llib/socket.scm 457 */
BgL_socketz00_1785 = BgL_socketz00_1541; }  else 
{ 
obj_t BgL_auxz00_2689;
BgL_auxz00_2689 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)20244)), BGl_string1862z00zz__socketz00, BGl_string1789z00zz__socketz00, BgL_socketz00_1541); 
FAILURE(BgL_auxz00_2689,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_optionz00_1542))
{ /* Llib/socket.scm 457 */
BgL_optionz00_1786 = BgL_optionz00_1542; }  else 
{ 
obj_t BgL_auxz00_2695;
BgL_auxz00_2695 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)20244)), BGl_string1862z00zz__socketz00, BGl_string1861z00zz__socketz00, BgL_optionz00_1542); 
FAILURE(BgL_auxz00_2695,BFALSE,BFALSE);} 
return 
bgl_setsockopt(BgL_socketz00_1785, BgL_optionz00_1786, BgL_valz00_1543);} } 
}



/* datagram-socket? */
BGL_EXPORTED_DEF bool_t BGl_datagramzd2socketzf3z21zz__socketz00(obj_t BgL_objz00_48)
{ AN_OBJECT;
{ /* Llib/socket.scm 462 */
return 
BGL_DATAGRAM_SOCKETP(BgL_objz00_48);} 
}



/* &datagram-socket? */
obj_t BGl_z62datagramzd2socketzf3z43zz__socketz00(obj_t BgL_envz00_1544, obj_t BgL_objz00_1545)
{ AN_OBJECT;
{ /* Llib/socket.scm 462 */
return 
BBOOL(
BGL_DATAGRAM_SOCKETP(BgL_objz00_1545));} 
}



/* datagram-socket-server? */
BGL_EXPORTED_DEF bool_t BGl_datagramzd2socketzd2serverzf3zf3zz__socketz00(obj_t BgL_objz00_49)
{ AN_OBJECT;
{ /* Llib/socket.scm 468 */
return 
BGL_DATAGRAM_SOCKET_SERVERP(BgL_objz00_49);} 
}



/* &datagram-socket-server? */
obj_t BGl_z62datagramzd2socketzd2serverzf3z91zz__socketz00(obj_t BgL_envz00_1546, obj_t BgL_objz00_1547)
{ AN_OBJECT;
{ /* Llib/socket.scm 468 */
return 
BBOOL(
BGL_DATAGRAM_SOCKET_SERVERP(BgL_objz00_1547));} 
}



/* datagram-socket-client? */
BGL_EXPORTED_DEF bool_t BGl_datagramzd2socketzd2clientzf3zf3zz__socketz00(obj_t BgL_objz00_50)
{ AN_OBJECT;
{ /* Llib/socket.scm 474 */
return 
BGL_DATAGRAM_SOCKET_CLIENTP(BgL_objz00_50);} 
}



/* &datagram-socket-client? */
obj_t BGl_z62datagramzd2socketzd2clientzf3z91zz__socketz00(obj_t BgL_envz00_1548, obj_t BgL_objz00_1549)
{ AN_OBJECT;
{ /* Llib/socket.scm 474 */
return 
BBOOL(
BGL_DATAGRAM_SOCKET_CLIENTP(BgL_objz00_1549));} 
}



/* datagram-socket-hostname */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2hostnamez00zz__socketz00(obj_t BgL_socketz00_51)
{ AN_OBJECT;
{ /* Llib/socket.scm 480 */
return 
BGL_DATAGRAM_SOCKET_HOSTNAME(BgL_socketz00_51);} 
}



/* &datagram-socket-hostname */
obj_t BGl_z62datagramzd2socketzd2hostnamez62zz__socketz00(obj_t BgL_envz00_1550, obj_t BgL_socketz00_1551)
{ AN_OBJECT;
{ /* Llib/socket.scm 480 */
{ /* Llib/socket.scm 481 */
obj_t BgL_socketz00_1791;
if(
BGL_DATAGRAM_SOCKETP(BgL_socketz00_1551))
{ /* Llib/socket.scm 481 */
BgL_socketz00_1791 = BgL_socketz00_1551; }  else 
{ 
obj_t BgL_auxz00_2712;
BgL_auxz00_2712 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)21448)), BGl_string1863z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_socketz00_1551); 
FAILURE(BgL_auxz00_2712,BFALSE,BFALSE);} 
return 
BGL_DATAGRAM_SOCKET_HOSTNAME(BgL_socketz00_1791);} } 
}



/* datagram-socket-host-address */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2hostzd2addresszd2zz__socketz00(obj_t BgL_socketz00_52)
{ AN_OBJECT;
{ /* Llib/socket.scm 486 */
return 
BGL_DATAGRAM_SOCKET_HOSTIP(BgL_socketz00_52);} 
}



/* &datagram-socket-host-address */
obj_t BGl_z62datagramzd2socketzd2hostzd2addresszb0zz__socketz00(obj_t BgL_envz00_1552, obj_t BgL_socketz00_1553)
{ AN_OBJECT;
{ /* Llib/socket.scm 486 */
{ /* Llib/socket.scm 487 */
obj_t BgL_socketz00_1792;
if(
BGL_DATAGRAM_SOCKETP(BgL_socketz00_1553))
{ /* Llib/socket.scm 487 */
BgL_socketz00_1792 = BgL_socketz00_1553; }  else 
{ 
obj_t BgL_auxz00_2720;
BgL_auxz00_2720 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)21763)), BGl_string1865z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_socketz00_1553); 
FAILURE(BgL_auxz00_2720,BFALSE,BFALSE);} 
return 
BGL_DATAGRAM_SOCKET_HOSTIP(BgL_socketz00_1792);} } 
}



/* datagram-socket-port-number */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2portzd2numberzd2zz__socketz00(obj_t BgL_socketz00_53)
{ AN_OBJECT;
{ /* Llib/socket.scm 492 */
return 
BINT(
BGL_DATAGRAM_SOCKET_PORTNUM(BgL_socketz00_53));} 
}



/* &datagram-socket-port-number */
obj_t BGl_z62datagramzd2socketzd2portzd2numberzb0zz__socketz00(obj_t BgL_envz00_1554, obj_t BgL_socketz00_1555)
{ AN_OBJECT;
{ /* Llib/socket.scm 492 */
{ /* Llib/socket.scm 493 */
obj_t BgL_socketz00_1793;
if(
BGL_DATAGRAM_SOCKETP(BgL_socketz00_1555))
{ /* Llib/socket.scm 493 */
BgL_socketz00_1793 = BgL_socketz00_1555; }  else 
{ 
obj_t BgL_auxz00_2729;
BgL_auxz00_2729 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22075)), BGl_string1866z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_socketz00_1555); 
FAILURE(BgL_auxz00_2729,BFALSE,BFALSE);} 
return 
BINT(
BGL_DATAGRAM_SOCKET_PORTNUM(BgL_socketz00_1793));} } 
}



/* _make-datagram-server-socket */
obj_t BGl__makezd2datagramzd2serverzd2socketzd2zz__socketz00(obj_t BgL_envz00_56, obj_t BgL_optz00_55)
{ AN_OBJECT;
{ /* Llib/socket.scm 498 */
{ /* Llib/socket.scm 498 */

{ 

{ /* Llib/socket.scm 498 */
int BgL_aux1126z00_1796;
BgL_aux1126z00_1796 = 
VECTOR_LENGTH(BgL_optz00_55); 
switch( 
(long)(BgL_aux1126z00_1796)) { case ((long)0) : 

{ /* Llib/socket.scm 498 */

{ /* Llib/socket.scm 498 */
obj_t BgL_res1573z00_1797;
{ /* Llib/socket.scm 498 */
obj_t BgL_portz00_1798;
BgL_portz00_1798 = 
BINT(((long)0)); 
{ /* Llib/socket.scm 498 */
int BgL_auxz00_2737;
{ /* Llib/socket.scm 498 */
obj_t BgL_auxz00_2738;
if(
INTEGERP(BgL_portz00_1798))
{ /* Llib/socket.scm 498 */
BgL_auxz00_2738 = BgL_portz00_1798
; }  else 
{ 
obj_t BgL_auxz00_2741;
BgL_auxz00_2741 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22337)), BGl_string1870z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_portz00_1798); 
FAILURE(BgL_auxz00_2741,BFALSE,BFALSE);} 
BgL_auxz00_2737 = 
CINT(BgL_auxz00_2738); } 
BgL_res1573z00_1797 = 
bgl_make_datagram_server_socket(BgL_auxz00_2737); } } 
return BgL_res1573z00_1797;} } break;case ((long)1) : 

{ /* Llib/socket.scm 498 */
obj_t BgL_portz00_1799;
BgL_portz00_1799 = 
VECTOR_REF(BgL_optz00_55,
(int)(((long)0))); 
{ /* Llib/socket.scm 498 */

{ /* Llib/socket.scm 498 */
obj_t BgL_res1574z00_1800;
{ /* Llib/socket.scm 498 */
int BgL_auxz00_2749;
{ /* Llib/socket.scm 498 */
obj_t BgL_auxz00_2750;
if(
INTEGERP(BgL_portz00_1799))
{ /* Llib/socket.scm 498 */
BgL_auxz00_2750 = BgL_portz00_1799
; }  else 
{ 
obj_t BgL_auxz00_2753;
BgL_auxz00_2753 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22337)), BGl_string1870z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_portz00_1799); 
FAILURE(BgL_auxz00_2753,BFALSE,BFALSE);} 
BgL_auxz00_2749 = 
CINT(BgL_auxz00_2750); } 
BgL_res1574z00_1800 = 
bgl_make_datagram_server_socket(BgL_auxz00_2749); } 
return BgL_res1574z00_1800;} } } break;
default: 
{ /* Llib/socket.scm 498 */
int BgL_arg1279z00_1795;
BgL_arg1279z00_1795 = 
VECTOR_LENGTH(BgL_optz00_55); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1867z00zz__socketz00, BGl_string1869z00zz__socketz00, 
BINT(BgL_arg1279z00_1795));} } } } } } 
}



/* make-datagram-server-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2datagramzd2serverzd2socketzd2zz__socketz00(obj_t BgL_portz00_54)
{ AN_OBJECT;
{ /* Llib/socket.scm 498 */
{ /* Llib/socket.scm 499 */
int BgL_auxz00_2764;
{ /* Llib/socket.scm 499 */
obj_t BgL_auxz00_2765;
if(
INTEGERP(BgL_portz00_54))
{ /* Llib/socket.scm 499 */
BgL_auxz00_2765 = BgL_portz00_54
; }  else 
{ 
obj_t BgL_auxz00_2768;
BgL_auxz00_2768 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22435)), BGl_string1868z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_portz00_54); 
FAILURE(BgL_auxz00_2768,BFALSE,BFALSE);} 
BgL_auxz00_2764 = 
CINT(BgL_auxz00_2765); } 
return 
bgl_make_datagram_server_socket(BgL_auxz00_2764);} } 
}



/* _make-datagram-client-socket */
obj_t BGl__makezd2datagramzd2clientzd2socketzd2zz__socketz00(obj_t BgL_envz00_61, obj_t BgL_optz00_60)
{ AN_OBJECT;
{ /* Llib/socket.scm 504 */
{ /* Llib/socket.scm 504 */
obj_t BgL_g1127z00_1801;obj_t BgL_g1128z00_1802;
BgL_g1127z00_1801 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)0))); 
BgL_g1128z00_1802 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)1))); 
{ 

{ /* Llib/socket.scm 504 */
int BgL_aux1130z00_1805;
BgL_aux1130z00_1805 = 
VECTOR_LENGTH(BgL_optz00_60); 
switch( 
(long)(BgL_aux1130z00_1805)) { case ((long)2) : 

{ /* Llib/socket.scm 504 */

{ /* Llib/socket.scm 504 */
obj_t BgL_arg1281z00_1806;obj_t BgL_arg1282z00_1807;
BgL_arg1281z00_1806 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)0))); 
BgL_arg1282z00_1807 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)1))); 
{ /* Llib/socket.scm 504 */
obj_t BgL_res1575z00_1808;
{ /* Llib/socket.scm 504 */
obj_t BgL_hostnamez00_1809;int BgL_portz00_1810;
if(
STRINGP(BgL_arg1281z00_1806))
{ /* Llib/socket.scm 504 */
BgL_hostnamez00_1809 = BgL_arg1281z00_1806; }  else 
{ 
obj_t BgL_auxz00_2785;
BgL_auxz00_2785 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22665)), BGl_string1874z00zz__socketz00, BGl_string1816z00zz__socketz00, BgL_arg1281z00_1806); 
FAILURE(BgL_auxz00_2785,BFALSE,BFALSE);} 
{ /* Llib/socket.scm 504 */
obj_t BgL_auxz00_2789;
if(
INTEGERP(BgL_arg1282z00_1807))
{ /* Llib/socket.scm 504 */
BgL_auxz00_2789 = BgL_arg1282z00_1807
; }  else 
{ 
obj_t BgL_auxz00_2792;
BgL_auxz00_2792 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22665)), BGl_string1874z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_arg1282z00_1807); 
FAILURE(BgL_auxz00_2792,BFALSE,BFALSE);} 
BgL_portz00_1810 = 
CINT(BgL_auxz00_2789); } 
BgL_res1575z00_1808 = 
bgl_make_datagram_client_socket(BgL_hostnamez00_1809, BgL_portz00_1810, 
CBOOL(BFALSE)); } 
return BgL_res1575z00_1808;} } } break;case ((long)3) : 

{ /* Llib/socket.scm 504 */
obj_t BgL_broadcastz00_1812;
BgL_broadcastz00_1812 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)2))); 
{ /* Llib/socket.scm 504 */

{ /* Llib/socket.scm 504 */
obj_t BgL_arg1283z00_1813;obj_t BgL_arg1284z00_1814;
BgL_arg1283z00_1813 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)0))); 
BgL_arg1284z00_1814 = 
VECTOR_REF(BgL_optz00_60,
(int)(((long)1))); 
{ /* Llib/socket.scm 504 */
obj_t BgL_res1576z00_1815;
{ /* Llib/socket.scm 504 */
obj_t BgL_hostnamez00_1816;int BgL_portz00_1817;
if(
STRINGP(BgL_arg1283z00_1813))
{ /* Llib/socket.scm 504 */
BgL_hostnamez00_1816 = BgL_arg1283z00_1813; }  else 
{ 
obj_t BgL_auxz00_2807;
BgL_auxz00_2807 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22665)), BGl_string1874z00zz__socketz00, BGl_string1816z00zz__socketz00, BgL_arg1283z00_1813); 
FAILURE(BgL_auxz00_2807,BFALSE,BFALSE);} 
{ /* Llib/socket.scm 504 */
obj_t BgL_auxz00_2811;
if(
INTEGERP(BgL_arg1284z00_1814))
{ /* Llib/socket.scm 504 */
BgL_auxz00_2811 = BgL_arg1284z00_1814
; }  else 
{ 
obj_t BgL_auxz00_2814;
BgL_auxz00_2814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)22665)), BGl_string1874z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_arg1284z00_1814); 
FAILURE(BgL_auxz00_2814,BFALSE,BFALSE);} 
BgL_portz00_1817 = 
CINT(BgL_auxz00_2811); } 
BgL_res1576z00_1815 = 
bgl_make_datagram_client_socket(BgL_hostnamez00_1816, BgL_portz00_1817, 
CBOOL(BgL_broadcastz00_1812)); } 
return BgL_res1576z00_1815;} } } } break;
default: 
{ /* Llib/socket.scm 504 */
int BgL_arg1285z00_1804;
BgL_arg1285z00_1804 = 
VECTOR_LENGTH(BgL_optz00_60); 
return 
BGl_errorz00zz__errorz00(BGl_symbol1871z00zz__socketz00, BGl_string1873z00zz__socketz00, 
BINT(BgL_arg1285z00_1804));} } } } } } 
}



/* make-datagram-client-socket */
BGL_EXPORTED_DEF obj_t BGl_makezd2datagramzd2clientzd2socketzd2zz__socketz00(obj_t BgL_hostnamez00_57, int BgL_portz00_58, obj_t BgL_broadcastz00_59)
{ AN_OBJECT;
{ /* Llib/socket.scm 504 */
return 
bgl_make_datagram_client_socket(BgL_hostnamez00_57, BgL_portz00_58, 
CBOOL(BgL_broadcastz00_59));} 
}



/* datagram-socket-close */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2closez00zz__socketz00(obj_t BgL_socketz00_62)
{ AN_OBJECT;
{ /* Llib/socket.scm 510 */
return 
bgl_datagram_socket_close(BgL_socketz00_62);} 
}



/* &datagram-socket-close */
obj_t BGl_z62datagramzd2socketzd2closez62zz__socketz00(obj_t BgL_envz00_1556, obj_t BgL_socketz00_1557)
{ AN_OBJECT;
{ /* Llib/socket.scm 510 */
{ /* Llib/socket.scm 511 */
obj_t BgL_socketz00_1818;
if(
BGL_DATAGRAM_SOCKETP(BgL_socketz00_1557))
{ /* Llib/socket.scm 511 */
BgL_socketz00_1818 = BgL_socketz00_1557; }  else 
{ 
obj_t BgL_auxz00_2831;
BgL_auxz00_2831 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)23076)), BGl_string1875z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_socketz00_1557); 
FAILURE(BgL_auxz00_2831,BFALSE,BFALSE);} 
return 
bgl_datagram_socket_close(BgL_socketz00_1818);} } 
}



/* datagram-socket-receive */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2receivez00zz__socketz00(obj_t BgL_dsocketz00_63, int BgL_lengthz00_64)
{ AN_OBJECT;
{ /* Llib/socket.scm 516 */
return 
bgl_datagram_socket_receive(BgL_dsocketz00_63, 
(long)(BgL_lengthz00_64));} 
}



/* &datagram-socket-receive */
obj_t BGl_z62datagramzd2socketzd2receivez62zz__socketz00(obj_t BgL_envz00_1558, obj_t BgL_dsocketz00_1559, obj_t BgL_lengthz00_1560)
{ AN_OBJECT;
{ /* Llib/socket.scm 516 */
{ /* Llib/socket.scm 517 */
obj_t BgL_dsocketz00_1819;int BgL_lengthz00_1820;
if(
BGL_DATAGRAM_SOCKETP(BgL_dsocketz00_1559))
{ /* Llib/socket.scm 517 */
BgL_dsocketz00_1819 = BgL_dsocketz00_1559; }  else 
{ 
obj_t BgL_auxz00_2840;
BgL_auxz00_2840 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)23394)), BGl_string1876z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_dsocketz00_1559); 
FAILURE(BgL_auxz00_2840,BFALSE,BFALSE);} 
{ /* Llib/socket.scm 517 */
obj_t BgL_auxz00_2844;
if(
INTEGERP(BgL_lengthz00_1560))
{ /* Llib/socket.scm 517 */
BgL_auxz00_2844 = BgL_lengthz00_1560
; }  else 
{ 
obj_t BgL_auxz00_2847;
BgL_auxz00_2847 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)23394)), BGl_string1876z00zz__socketz00, BGl_string1815z00zz__socketz00, BgL_lengthz00_1560); 
FAILURE(BgL_auxz00_2847,BFALSE,BFALSE);} 
BgL_lengthz00_1820 = 
CINT(BgL_auxz00_2844); } 
return 
bgl_datagram_socket_receive(BgL_dsocketz00_1819, 
(long)(BgL_lengthz00_1820));} } 
}



/* datagram-socket-output-port */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2outputzd2portzd2zz__socketz00(obj_t BgL_dsocketz00_65)
{ AN_OBJECT;
{ /* Llib/socket.scm 522 */
{ /* Llib/socket.scm 523 */
obj_t BgL_pz00_807;
BgL_pz00_807 = 
BGL_DATAGRAM_SOCKET_PORT(BgL_dsocketz00_65); 
return BgL_pz00_807;} } 
}



/* &datagram-socket-output-port */
obj_t BGl_z62datagramzd2socketzd2outputzd2portzb0zz__socketz00(obj_t BgL_envz00_1561, obj_t BgL_dsocketz00_1562)
{ AN_OBJECT;
{ /* Llib/socket.scm 522 */
{ /* Llib/socket.scm 523 */
obj_t BgL_auxz00_2855;
if(
BGL_DATAGRAM_SOCKETP(BgL_dsocketz00_1562))
{ /* Llib/socket.scm 523 */
BgL_auxz00_2855 = BgL_dsocketz00_1562
; }  else 
{ 
obj_t BgL_auxz00_2858;
BgL_auxz00_2858 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)23709)), BGl_string1877z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_dsocketz00_1562); 
FAILURE(BgL_auxz00_2858,BFALSE,BFALSE);} 
return 
BGl_datagramzd2socketzd2outputzd2portzd2zz__socketz00(BgL_auxz00_2855);} } 
}



/* datagram-socket-option */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2optionz00zz__socketz00(obj_t BgL_dsocketz00_66, obj_t BgL_optionz00_67)
{ AN_OBJECT;
{ /* Llib/socket.scm 531 */
return 
bgl_getsockopt(BgL_dsocketz00_66, BgL_optionz00_67);} 
}



/* &datagram-socket-option */
obj_t BGl_z62datagramzd2socketzd2optionz62zz__socketz00(obj_t BgL_envz00_1563, obj_t BgL_dsocketz00_1564, obj_t BgL_optionz00_1565)
{ AN_OBJECT;
{ /* Llib/socket.scm 531 */
{ /* Llib/socket.scm 532 */
obj_t BgL_dsocketz00_1821;obj_t BgL_optionz00_1822;
if(
BGL_DATAGRAM_SOCKETP(BgL_dsocketz00_1564))
{ /* Llib/socket.scm 532 */
BgL_dsocketz00_1821 = BgL_dsocketz00_1564; }  else 
{ 
obj_t BgL_auxz00_2866;
BgL_auxz00_2866 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)24146)), BGl_string1878z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_dsocketz00_1564); 
FAILURE(BgL_auxz00_2866,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_optionz00_1565))
{ /* Llib/socket.scm 532 */
BgL_optionz00_1822 = BgL_optionz00_1565; }  else 
{ 
obj_t BgL_auxz00_2872;
BgL_auxz00_2872 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)24146)), BGl_string1878z00zz__socketz00, BGl_string1861z00zz__socketz00, BgL_optionz00_1565); 
FAILURE(BgL_auxz00_2872,BFALSE,BFALSE);} 
return 
bgl_getsockopt(BgL_dsocketz00_1821, BgL_optionz00_1822);} } 
}



/* datagram-socket-option-set! */
BGL_EXPORTED_DEF obj_t BGl_datagramzd2socketzd2optionzd2setz12zc0zz__socketz00(obj_t BgL_dsocketz00_68, obj_t BgL_optionz00_69, obj_t BgL_valz00_70)
{ AN_OBJECT;
{ /* Llib/socket.scm 537 */
return 
bgl_setsockopt(BgL_dsocketz00_68, BgL_optionz00_69, BgL_valz00_70);} 
}



/* &datagram-socket-option-set! */
obj_t BGl_z62datagramzd2socketzd2optionzd2setz12za2zz__socketz00(obj_t BgL_envz00_1566, obj_t BgL_dsocketz00_1567, obj_t BgL_optionz00_1568, obj_t BgL_valz00_1569)
{ AN_OBJECT;
{ /* Llib/socket.scm 537 */
{ /* Llib/socket.scm 538 */
obj_t BgL_dsocketz00_1823;obj_t BgL_optionz00_1824;
if(
BGL_DATAGRAM_SOCKETP(BgL_dsocketz00_1567))
{ /* Llib/socket.scm 538 */
BgL_dsocketz00_1823 = BgL_dsocketz00_1567; }  else 
{ 
obj_t BgL_auxz00_2880;
BgL_auxz00_2880 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)24467)), BGl_string1879z00zz__socketz00, BGl_string1864z00zz__socketz00, BgL_dsocketz00_1567); 
FAILURE(BgL_auxz00_2880,BFALSE,BFALSE);} 
if(
KEYWORDP(BgL_optionz00_1568))
{ /* Llib/socket.scm 538 */
BgL_optionz00_1824 = BgL_optionz00_1568; }  else 
{ 
obj_t BgL_auxz00_2886;
BgL_auxz00_2886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1791z00zz__socketz00, 
BINT(((long)24467)), BGl_string1879z00zz__socketz00, BGl_string1861z00zz__socketz00, BgL_optionz00_1568); 
FAILURE(BgL_auxz00_2886,BFALSE,BFALSE);} 
return 
bgl_setsockopt(BgL_dsocketz00_1823, BgL_optionz00_1824, BgL_valz00_1569);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__socketz00()
{ AN_OBJECT;
{ /* Llib/socket.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)373318193), 
BSTRING_TO_STRING(BGl_string1880z00zz__socketz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)223284409), 
BSTRING_TO_STRING(BGl_string1880z00zz__socketz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)220651073), 
BSTRING_TO_STRING(BGl_string1880z00zz__socketz00));} 
}

#ifdef __cplusplus
}
#endif
