/*===========================================================================*/
/*   (Eval/expdtrace.scm)                                                    */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/expdtrace.scm -indent -o objs/obj_u/Eval/expdtrace.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t);
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31154ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t);
	extern int bgl_debug();
	static obj_t BGl_cnstzd2initzd2zz__expander_tracez00();
	static obj_t BGl_genericzd2initzd2zz__expander_tracez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
	static obj_t BGl_objectzd2initzd2zz__expander_tracez00();
	static obj_t BGl_z62zc3anonymousza31112ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern int BGl_bigloozd2compilerzd2debugz00zz__paramz00();
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_tracez00();
	static obj_t BGl_symbol1557z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31221ze3ze1zz__expander_tracez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1559z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1561z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1563z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1565z00zz__expander_tracez00 = BUNSPEC;
	static obj_t
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t, obj_t);
	static obj_t BGl_symbol1570z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1572z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1574z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1576z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1578z00zz__expander_tracez00 = BUNSPEC;
	static obj_t BGl_symbol1582z00zz__expander_tracez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1554z00zz__expander_tracez00,
		BgL_bgl_string1554za700za7za7_1585za7,
		"/tmp/bigloo/runtime/Eval/expdtrace.scm", 38);
	      DEFINE_STRING(BGl_string1555z00zz__expander_tracez00,
		BgL_bgl_string1555za700za7za7_1586za7, "&make-expand-when-trace", 23);
	      DEFINE_STRING(BGl_string1556z00zz__expander_tracez00,
		BgL_bgl_string1556za700za7za7_1587za7, "symbol", 6);
	      DEFINE_STRING(BGl_string1558z00zz__expander_tracez00,
		BgL_bgl_string1558za700za7za7_1588za7, "compiler", 8);
	      DEFINE_STRING(BGl_string1560z00zz__expander_tracez00,
		BgL_bgl_string1560za700za7za7_1589za7, "bigloo-debug", 12);
	      DEFINE_STRING(BGl_string1562z00zz__expander_tracez00,
		BgL_bgl_string1562za700za7za7_1590za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string1564z00zz__expander_tracez00,
		BgL_bgl_string1564za700za7za7_1591za7, "begin", 5);
	      DEFINE_STRING(BGl_string1566z00zz__expander_tracez00,
		BgL_bgl_string1566za700za7za7_1592za7, "if", 2);
	      DEFINE_STRING(BGl_string1567z00zz__expander_tracez00,
		BgL_bgl_string1567za700za7za7_1593za7, "when-trace", 10);
	      DEFINE_STRING(BGl_string1568z00zz__expander_tracez00,
		BgL_bgl_string1568za700za7za7_1594za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string1569z00zz__expander_tracez00,
		BgL_bgl_string1569za700za7za7_1595za7, "&make-expand-with-trace", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2whenzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1596z00,
		BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1571z00zz__expander_tracez00,
		BgL_bgl_string1571za700za7za7_1597za7, "f", 1);
	      DEFINE_STRING(BGl_string1573z00zz__expander_tracez00,
		BgL_bgl_string1573za700za7za7_1598za7, "lambda", 6);
	      DEFINE_STRING(BGl_string1575z00zz__expander_tracez00,
		BgL_bgl_string1575za700za7za7_1599za7, ">fx", 3);
	      DEFINE_STRING(BGl_string1577z00zz__expander_tracez00,
		BgL_bgl_string1577za700za7za7_1600za7, "%with-trace", 11);
	      DEFINE_STRING(BGl_string1579z00zz__expander_tracez00,
		BgL_bgl_string1579za700za7za7_1601za7, "let", 3);
	      DEFINE_STRING(BGl_string1580z00zz__expander_tracez00,
		BgL_bgl_string1580za700za7za7_1602za7, "with-trace", 10);
	      DEFINE_STRING(BGl_string1581z00zz__expander_tracez00,
		BgL_bgl_string1581za700za7za7_1603za7, "&make-expand-trace-item", 23);
	      DEFINE_STRING(BGl_string1583z00zz__expander_tracez00,
		BgL_bgl_string1583za700za7za7_1604za7, "trace-item", 10);
	      DEFINE_STRING(BGl_string1584z00zz__expander_tracez00,
		BgL_bgl_string1584za700za7za7_1605za7, "__expander_trace", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2tracezd2itemzd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1606z00,
		BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2expandzd2withzd2tracezd2envz00zz__expander_tracez00,
		BgL_bgl_za762makeza7d2expand1607z00,
		BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_tracez00(long
		BgL_checksumz00_1261, char *BgL_fromz00_1262)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_tracez00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_tracez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__expander_tracez00();
					BGl_importedzd2moduleszd2initz00zz__expander_tracez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_symbol1557z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1558z00zz__expander_tracez00);
			BGl_symbol1559z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1560z00zz__expander_tracez00);
			BGl_symbol1561z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1562z00zz__expander_tracez00);
			BGl_symbol1563z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1564z00zz__expander_tracez00);
			BGl_symbol1565z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1566z00zz__expander_tracez00);
			BGl_symbol1570z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1571z00zz__expander_tracez00);
			BGl_symbol1572z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1573z00zz__expander_tracez00);
			BGl_symbol1574z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1575z00zz__expander_tracez00);
			BGl_symbol1576z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1577z00zz__expander_tracez00);
			BGl_symbol1578z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1579z00zz__expander_tracez00);
			return (BGl_symbol1582z00zz__expander_tracez00 =
				bstring_to_symbol(BGl_string1583z00zz__expander_tracez00), BUNSPEC);
		}
	}



/* make-expand-when-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_3)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_zc3anonymousza31112ze3z83_1234;

				BgL_zc3anonymousza31112ze3z83_1234 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31112ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31112ze3z83_1234, (int) (((long) 0)),
					BgL_modez00_3);
				return BgL_zc3anonymousza31112ze3z83_1234;
			}
		}
	}



/* &make-expand-when-trace */
	obj_t BGl_z62makezd2expandzd2whenzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1235, obj_t BgL_modez00_1236)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 54 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_auxz00_1284;

				if (SYMBOLP(BgL_modez00_1236))
					{	/* Eval/expdtrace.scm 55 */
						BgL_auxz00_1284 = BgL_modez00_1236;
					}
				else
					{
						obj_t BgL_auxz00_1287;

						BgL_auxz00_1287 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1554z00zz__expander_tracez00, BINT(((long) 1919)),
							BGl_string1555z00zz__expander_tracez00,
							BGl_string1556z00zz__expander_tracez00, BgL_modez00_1236);
						FAILURE(BgL_auxz00_1287, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2whenzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_1284);
			}
		}
	}



/* &<anonymous:1112> */
	obj_t BGl_z62zc3anonymousza31112ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1237, obj_t BgL_xz00_1239, obj_t BgL_ez00_1240)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 55 */
			{	/* Eval/expdtrace.scm 55 */
				obj_t BgL_modez00_1238;

				BgL_modez00_1238 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1237, (int) (((long) 0))));
				{
					obj_t BgL_xz00_583;
					obj_t BgL_ez00_584;

					BgL_xz00_583 = BgL_xz00_1239;
					BgL_ez00_584 = BgL_ez00_1240;
					{
						obj_t BgL_levelz00_586;
						obj_t BgL_expz00_587;

						if (PAIRP(BgL_xz00_583))
							{	/* Eval/expdtrace.scm 55 */
								obj_t BgL_cdrzd2109zd2_592;

								BgL_cdrzd2109zd2_592 = CDR(BgL_xz00_583);
								if (PAIRP(BgL_cdrzd2109zd2_592))
									{	/* Eval/expdtrace.scm 55 */
										BgL_levelz00_586 = CAR(BgL_cdrzd2109zd2_592);
										BgL_expz00_587 = CDR(BgL_cdrzd2109zd2_592);
										{	/* Eval/expdtrace.scm 58 */
											bool_t BgL_testz00_1300;

											if (
												(BgL_modez00_1238 ==
													BGl_symbol1557z00zz__expander_tracez00))
												{	/* Eval/expdtrace.scm 59 */
													int BgL_arg1152z00_608;

													BgL_arg1152z00_608 =
														BGl_bigloozd2compilerzd2debugz00zz__paramz00();
													BgL_testz00_1300 =
														((long) (BgL_arg1152z00_608) > ((long) 0));
												}
											else
												{	/* Eval/expdtrace.scm 60 */
													int BgL_arg1153z00_609;

													BgL_arg1153z00_609 = bgl_debug();
													BgL_testz00_1300 =
														((long) (BgL_arg1153z00_609) > ((long) 0));
												}
											if (BgL_testz00_1300)
												{	/* Eval/expdtrace.scm 61 */
													obj_t BgL_arg1138z00_597;

													{	/* Eval/expdtrace.scm 61 */
														obj_t BgL_arg1139z00_598;

														{	/* Eval/expdtrace.scm 61 */
															obj_t BgL_arg1140z00_599;
															obj_t BgL_arg1142z00_600;

															{	/* Eval/expdtrace.scm 61 */
																obj_t BgL_arg1143z00_601;

																{	/* Eval/expdtrace.scm 61 */
																	obj_t BgL_arg1144z00_602;
																	obj_t BgL_arg1145z00_603;

																	BgL_arg1144z00_602 =
																		MAKE_PAIR
																		(BGl_symbol1559z00zz__expander_tracez00,
																		BNIL);
																	BgL_arg1145z00_603 =
																		MAKE_PAIR(BgL_levelz00_586, BNIL);
																	BgL_arg1143z00_601 =
																		MAKE_PAIR(BgL_arg1144z00_602,
																		BgL_arg1145z00_603);
																}
																BgL_arg1140z00_599 =
																	MAKE_PAIR
																	(BGl_symbol1561z00zz__expander_tracez00,
																	BgL_arg1143z00_601);
															}
															{	/* Eval/expdtrace.scm 62 */
																obj_t BgL_arg1146z00_604;
																obj_t BgL_arg1147z00_605;

																{	/* Eval/expdtrace.scm 62 */
																	obj_t BgL_arg1149z00_606;

																	BgL_arg1149z00_606 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_expz00_587, BNIL);
																	BgL_arg1146z00_604 =
																		MAKE_PAIR
																		(BGl_symbol1563z00zz__expander_tracez00,
																		BgL_arg1149z00_606);
																}
																BgL_arg1147z00_605 = MAKE_PAIR(BUNSPEC, BNIL);
																BgL_arg1142z00_600 =
																	MAKE_PAIR(BgL_arg1146z00_604,
																	BgL_arg1147z00_605);
															}
															BgL_arg1139z00_598 =
																MAKE_PAIR(BgL_arg1140z00_599,
																BgL_arg1142z00_600);
														}
														BgL_arg1138z00_597 =
															MAKE_PAIR(BGl_symbol1565z00zz__expander_tracez00,
															BgL_arg1139z00_598);
													}
													return
														PROCEDURE_ENTRY(BgL_ez00_584) (BgL_ez00_584,
														BgL_arg1138z00_597, BgL_ez00_584, BEOA);
												}
											else
												{	/* Eval/expdtrace.scm 58 */
													return BUNSPEC;
												}
										}
									}
								else
									{	/* Eval/expdtrace.scm 55 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1567z00zz__expander_tracez00,
											BGl_string1568z00zz__expander_tracez00, BgL_xz00_583);
									}
							}
						else
							{	/* Eval/expdtrace.scm 55 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string1567z00zz__expander_tracez00,
									BGl_string1568z00zz__expander_tracez00, BgL_xz00_583);
							}
					}
				}
			}
		}
	}



/* make-expand-with-trace */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00(obj_t
		BgL_modez00_4)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 72 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_zc3anonymousza31154ze3z83_1241;

				BgL_zc3anonymousza31154ze3z83_1241 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31154ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31154ze3z83_1241, (int) (((long) 0)),
					BgL_modez00_4);
				return BgL_zc3anonymousza31154ze3z83_1241;
			}
		}
	}



/* &make-expand-with-trace */
	obj_t BGl_z62makezd2expandzd2withzd2tracezb0zz__expander_tracez00(obj_t
		BgL_envz00_1242, obj_t BgL_modez00_1243)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 72 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_auxz00_1333;

				if (SYMBOLP(BgL_modez00_1243))
					{	/* Eval/expdtrace.scm 73 */
						BgL_auxz00_1333 = BgL_modez00_1243;
					}
				else
					{
						obj_t BgL_auxz00_1336;

						BgL_auxz00_1336 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1554z00zz__expander_tracez00, BINT(((long) 2501)),
							BGl_string1569z00zz__expander_tracez00,
							BGl_string1556z00zz__expander_tracez00, BgL_modez00_1243);
						FAILURE(BgL_auxz00_1336, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2withzd2tracezd2zz__expander_tracez00
					(BgL_auxz00_1333);
			}
		}
	}



/* &<anonymous:1154> */
	obj_t BGl_z62zc3anonymousza31154ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1244, obj_t BgL_xz00_1246, obj_t BgL_ez00_1247)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 73 */
			{	/* Eval/expdtrace.scm 73 */
				obj_t BgL_modez00_1245;

				BgL_modez00_1245 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1244, (int) (((long) 0))));
				{
					obj_t BgL_xz00_610;
					obj_t BgL_ez00_611;

					BgL_xz00_610 = BgL_xz00_1246;
					BgL_ez00_611 = BgL_ez00_1247;
					{
						obj_t BgL_levelz00_613;
						obj_t BgL_lblz00_614;
						obj_t BgL_argza2za2_615;

						if (PAIRP(BgL_xz00_610))
							{	/* Eval/expdtrace.scm 73 */
								obj_t BgL_cdrzd2126zd2_620;

								BgL_cdrzd2126zd2_620 = CDR(BgL_xz00_610);
								if (PAIRP(BgL_cdrzd2126zd2_620))
									{	/* Eval/expdtrace.scm 73 */
										obj_t BgL_cdrzd2131zd2_622;

										BgL_cdrzd2131zd2_622 = CDR(BgL_cdrzd2126zd2_620);
										if (PAIRP(BgL_cdrzd2131zd2_622))
											{	/* Eval/expdtrace.scm 73 */
												BgL_levelz00_613 = CAR(BgL_cdrzd2126zd2_620);
												BgL_lblz00_614 = CAR(BgL_cdrzd2131zd2_622);
												BgL_argza2za2_615 = CDR(BgL_cdrzd2131zd2_622);
												{	/* Eval/expdtrace.scm 76 */
													bool_t BgL_testz00_1352;

													if (
														(BgL_modez00_1245 ==
															BGl_symbol1557z00zz__expander_tracez00))
														{	/* Eval/expdtrace.scm 77 */
															int BgL_arg1219z00_656;

															BgL_arg1219z00_656 =
																BGl_bigloozd2compilerzd2debugz00zz__paramz00();
															BgL_testz00_1352 =
																((long) (BgL_arg1219z00_656) > ((long) 0));
														}
													else
														{	/* Eval/expdtrace.scm 78 */
															int BgL_arg1220z00_657;

															BgL_arg1220z00_657 = bgl_debug();
															BgL_testz00_1352 =
																((long) (BgL_arg1220z00_657) > ((long) 0));
														}
													if (BgL_testz00_1352)
														{	/* Eval/expdtrace.scm 79 */
															obj_t BgL_fz00_628;

															BgL_fz00_628 =
																BGl_gensymz00zz__r4_symbols_6_4z00
																(BGl_symbol1570z00zz__expander_tracez00);
															{	/* Eval/expdtrace.scm 79 */
																obj_t BgL_nxz00_629;

																{	/* Eval/expdtrace.scm 80 */
																	obj_t BgL_arg1164z00_630;

																	{	/* Eval/expdtrace.scm 80 */
																		obj_t BgL_arg1166z00_631;
																		obj_t BgL_arg1167z00_632;

																		{	/* Eval/expdtrace.scm 80 */
																			obj_t BgL_arg1171z00_633;

																			{	/* Eval/expdtrace.scm 80 */
																				obj_t BgL_arg1173z00_634;

																				{	/* Eval/expdtrace.scm 80 */
																					obj_t BgL_arg1174z00_635;

																					{	/* Eval/expdtrace.scm 80 */
																						obj_t BgL_arg1175z00_636;

																						{	/* Eval/expdtrace.scm 80 */
																							obj_t BgL_arg1180z00_637;

																							{	/* Eval/expdtrace.scm 80 */
																								obj_t BgL_arg1181z00_638;

																								{	/* Eval/expdtrace.scm 80 */
																									obj_t BgL_arg1182z00_639;

																									BgL_arg1182z00_639 =
																										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_argza2za2_615, BNIL);
																									BgL_arg1181z00_638 =
																										MAKE_PAIR
																										(BGl_symbol1563z00zz__expander_tracez00,
																										BgL_arg1182z00_639);
																								}
																								BgL_arg1180z00_637 =
																									MAKE_PAIR(BgL_arg1181z00_638,
																									BNIL);
																							}
																							BgL_arg1175z00_636 =
																								MAKE_PAIR(BNIL,
																								BgL_arg1180z00_637);
																						}
																						BgL_arg1174z00_635 =
																							MAKE_PAIR
																							(BGl_symbol1572z00zz__expander_tracez00,
																							BgL_arg1175z00_636);
																					}
																					BgL_arg1173z00_634 =
																						MAKE_PAIR(BgL_arg1174z00_635, BNIL);
																				}
																				BgL_arg1171z00_633 =
																					MAKE_PAIR(BgL_fz00_628,
																					BgL_arg1173z00_634);
																			}
																			BgL_arg1166z00_631 =
																				MAKE_PAIR(BgL_arg1171z00_633, BNIL);
																		}
																		{	/* Eval/expdtrace.scm 81 */
																			obj_t BgL_arg1186z00_640;

																			{	/* Eval/expdtrace.scm 81 */
																				obj_t BgL_arg1187z00_641;

																				{	/* Eval/expdtrace.scm 81 */
																					obj_t BgL_arg1194z00_642;
																					obj_t BgL_arg1201z00_643;

																					{	/* Eval/expdtrace.scm 81 */
																						obj_t BgL_arg1202z00_644;

																						{	/* Eval/expdtrace.scm 81 */
																							obj_t BgL_arg1205z00_645;
																							obj_t BgL_arg1208z00_646;

																							BgL_arg1205z00_645 =
																								MAKE_PAIR
																								(BGl_symbol1559z00zz__expander_tracez00,
																								BNIL);
																							BgL_arg1208z00_646 =
																								MAKE_PAIR(BINT(((long) 0)),
																								BNIL);
																							BgL_arg1202z00_644 =
																								MAKE_PAIR(BgL_arg1205z00_645,
																								BgL_arg1208z00_646);
																						}
																						BgL_arg1194z00_642 =
																							MAKE_PAIR
																							(BGl_symbol1574z00zz__expander_tracez00,
																							BgL_arg1202z00_644);
																					}
																					{	/* Eval/expdtrace.scm 82 */
																						obj_t BgL_arg1209z00_647;
																						obj_t BgL_arg1210z00_648;

																						{	/* Eval/expdtrace.scm 82 */
																							obj_t BgL_arg1211z00_649;

																							{	/* Eval/expdtrace.scm 82 */
																								obj_t BgL_arg1212z00_650;

																								{	/* Eval/expdtrace.scm 82 */
																									obj_t BgL_arg1214z00_651;

																									BgL_arg1214z00_651 =
																										MAKE_PAIR(BgL_fz00_628,
																										BNIL);
																									BgL_arg1212z00_650 =
																										MAKE_PAIR(BgL_lblz00_614,
																										BgL_arg1214z00_651);
																								}
																								BgL_arg1211z00_649 =
																									MAKE_PAIR(BgL_levelz00_613,
																									BgL_arg1212z00_650);
																							}
																							BgL_arg1209z00_647 =
																								MAKE_PAIR
																								(BGl_symbol1576z00zz__expander_tracez00,
																								BgL_arg1211z00_649);
																						}
																						{	/* Eval/expdtrace.scm 83 */
																							obj_t BgL_arg1215z00_652;

																							BgL_arg1215z00_652 =
																								MAKE_PAIR(BgL_fz00_628, BNIL);
																							BgL_arg1210z00_648 =
																								MAKE_PAIR(BgL_arg1215z00_652,
																								BNIL);
																						}
																						BgL_arg1201z00_643 =
																							MAKE_PAIR(BgL_arg1209z00_647,
																							BgL_arg1210z00_648);
																					}
																					BgL_arg1187z00_641 =
																						MAKE_PAIR(BgL_arg1194z00_642,
																						BgL_arg1201z00_643);
																				}
																				BgL_arg1186z00_640 =
																					MAKE_PAIR
																					(BGl_symbol1565z00zz__expander_tracez00,
																					BgL_arg1187z00_641);
																			}
																			BgL_arg1167z00_632 =
																				MAKE_PAIR(BgL_arg1186z00_640, BNIL);
																		}
																		BgL_arg1164z00_630 =
																			MAKE_PAIR(BgL_arg1166z00_631,
																			BgL_arg1167z00_632);
																	}
																	BgL_nxz00_629 =
																		MAKE_PAIR
																		(BGl_symbol1578z00zz__expander_tracez00,
																		BgL_arg1164z00_630);
																}
																{	/* Eval/expdtrace.scm 80 */

																	return
																		PROCEDURE_ENTRY(BgL_ez00_611) (BgL_ez00_611,
																		BgL_nxz00_629, BgL_ez00_611, BEOA);
																}
															}
														}
													else
														{	/* Eval/expdtrace.scm 85 */
															obj_t BgL_arg1216z00_653;

															{	/* Eval/expdtrace.scm 85 */
																obj_t BgL_arg1217z00_654;

																BgL_arg1217z00_654 =
																	BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																	(BgL_argza2za2_615, BNIL);
																BgL_arg1216z00_653 =
																	MAKE_PAIR
																	(BGl_symbol1563z00zz__expander_tracez00,
																	BgL_arg1217z00_654);
															}
															return
																PROCEDURE_ENTRY(BgL_ez00_611) (BgL_ez00_611,
																BgL_arg1216z00_653, BgL_ez00_611, BEOA);
														}
												}
											}
										else
											{	/* Eval/expdtrace.scm 73 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1580z00zz__expander_tracez00,
													BGl_string1568z00zz__expander_tracez00, BgL_xz00_610);
											}
									}
								else
									{	/* Eval/expdtrace.scm 73 */
										return
											BGl_errorz00zz__errorz00
											(BGl_string1580z00zz__expander_tracez00,
											BGl_string1568z00zz__expander_tracez00, BgL_xz00_610);
									}
							}
						else
							{	/* Eval/expdtrace.scm 73 */
								return
									BGl_errorz00zz__errorz00
									(BGl_string1580z00zz__expander_tracez00,
									BGl_string1568z00zz__expander_tracez00, BgL_xz00_610);
							}
					}
				}
			}
		}
	}



/* make-expand-trace-item */
	BGL_EXPORTED_DEF obj_t
		BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00(obj_t
		BgL_modez00_5)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 92 */
			{	/* Eval/expdtrace.scm 93 */
				obj_t BgL_zc3anonymousza31221ze3z83_1248;

				BgL_zc3anonymousza31221ze3z83_1248 =
					MAKE_FX_PROCEDURE
					(BGl_z62zc3anonymousza31221ze3ze1zz__expander_tracez00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31221ze3z83_1248, (int) (((long) 0)),
					BgL_modez00_5);
				return BgL_zc3anonymousza31221ze3z83_1248;
			}
		}
	}



/* &make-expand-trace-item */
	obj_t BGl_z62makezd2expandzd2tracezd2itemzb0zz__expander_tracez00(obj_t
		BgL_envz00_1249, obj_t BgL_modez00_1250)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 92 */
			{	/* Eval/expdtrace.scm 93 */
				obj_t BgL_auxz00_1410;

				if (SYMBOLP(BgL_modez00_1250))
					{	/* Eval/expdtrace.scm 93 */
						BgL_auxz00_1410 = BgL_modez00_1250;
					}
				else
					{
						obj_t BgL_auxz00_1413;

						BgL_auxz00_1413 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1554z00zz__expander_tracez00, BINT(((long) 3184)),
							BGl_string1581z00zz__expander_tracez00,
							BGl_string1556z00zz__expander_tracez00, BgL_modez00_1250);
						FAILURE(BgL_auxz00_1413, BFALSE, BFALSE);
					}
				return
					BGl_makezd2expandzd2tracezd2itemzd2zz__expander_tracez00
					(BgL_auxz00_1410);
			}
		}
	}



/* &<anonymous:1221> */
	obj_t BGl_z62zc3anonymousza31221ze3ze1zz__expander_tracez00(obj_t
		BgL_envz00_1251, obj_t BgL_xz00_1253, obj_t BgL_ez00_1254)
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 93 */
			{	/* Eval/expdtrace.scm 94 */
				obj_t BgL_modez00_1252;

				BgL_modez00_1252 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1251, (int) (((long) 0))));
				{
					obj_t BgL_xz00_658;
					obj_t BgL_ez00_659;

					BgL_xz00_658 = BgL_xz00_1253;
					BgL_ez00_659 = BgL_ez00_1254;
					{	/* Eval/expdtrace.scm 94 */
						bool_t BgL_testz00_1421;

						if ((BgL_modez00_1252 == BGl_symbol1557z00zz__expander_tracez00))
							{	/* Eval/expdtrace.scm 95 */
								int BgL_arg1248z00_686;

								BgL_arg1248z00_686 =
									BGl_bigloozd2compilerzd2debugz00zz__paramz00();
								BgL_testz00_1421 = ((long) (BgL_arg1248z00_686) > ((long) 0));
							}
						else
							{	/* Eval/expdtrace.scm 96 */
								int BgL_arg1250z00_687;

								BgL_arg1250z00_687 = bgl_debug();
								BgL_testz00_1421 = ((long) (BgL_arg1250z00_687) > ((long) 0));
							}
						if (BgL_testz00_1421)
							{	/* Eval/expdtrace.scm 97 */
								obj_t BgL_arg1223z00_662;

								{	/* Eval/expdtrace.scm 97 */
									obj_t BgL_arg1224z00_663;
									obj_t BgL_arg1225z00_664;

									{	/* Eval/expdtrace.scm 97 */
										obj_t BgL_arg1226z00_665;

										{	/* Eval/expdtrace.scm 97 */
											obj_t BgL_arg1228z00_666;
											obj_t BgL_arg1231z00_667;

											BgL_arg1228z00_666 =
												MAKE_PAIR(BGl_symbol1559z00zz__expander_tracez00, BNIL);
											BgL_arg1231z00_667 = MAKE_PAIR(BINT(((long) 0)), BNIL);
											BgL_arg1226z00_665 =
												MAKE_PAIR(BgL_arg1228z00_666, BgL_arg1231z00_667);
										}
										BgL_arg1224z00_663 =
											MAKE_PAIR(BGl_symbol1574z00zz__expander_tracez00,
											BgL_arg1226z00_665);
									}
									{	/* Eval/expdtrace.scm 98 */
										obj_t BgL_arg1234z00_668;
										obj_t BgL_arg1235z00_669;

										{	/* Eval/expdtrace.scm 98 */
											obj_t BgL_arg1236z00_670;

											{	/* Eval/expdtrace.scm 98 */
												obj_t BgL_arg1240z00_671;

												{	/* Eval/expdtrace.scm 98 */
													obj_t BgL_l1060z00_672;

													BgL_l1060z00_672 = CDR(BgL_xz00_658);
													if (NULLP(BgL_l1060z00_672))
														{	/* Eval/expdtrace.scm 98 */
															BgL_arg1240z00_671 = BNIL;
														}
													else
														{	/* Eval/expdtrace.scm 98 */
															obj_t BgL_head1062z00_674;

															{	/* Eval/expdtrace.scm 98 */
																obj_t BgL_res1511z00_983;

																BgL_res1511z00_983 = MAKE_PAIR(BNIL, BNIL);
																BgL_head1062z00_674 = BgL_res1511z00_983;
															}
															{
																obj_t BgL_l1060z00_1017;
																obj_t BgL_tail1063z00_1018;

																BgL_l1060z00_1017 = BgL_l1060z00_672;
																BgL_tail1063z00_1018 = BgL_head1062z00_674;
															BgL_zc3anonymousza31242ze3z83_1016:
																if (NULLP(BgL_l1060z00_1017))
																	{	/* Eval/expdtrace.scm 98 */
																		BgL_arg1240z00_671 =
																			CDR(BgL_head1062z00_674);
																	}
																else
																	{	/* Eval/expdtrace.scm 98 */
																		obj_t BgL_newtail1064z00_1025;

																		{	/* Eval/expdtrace.scm 98 */
																			obj_t BgL_arg1246z00_1026;

																			{	/* Eval/expdtrace.scm 98 */
																				obj_t BgL_xz00_1027;

																				BgL_xz00_1027 = CAR(BgL_l1060z00_1017);
																				BgL_arg1246z00_1026 =
																					PROCEDURE_ENTRY(BgL_ez00_659)
																					(BgL_ez00_659, BgL_xz00_1027,
																					BgL_ez00_659, BEOA);
																			}
																			{	/* Eval/expdtrace.scm 98 */
																				obj_t BgL_res1517z00_1035;

																				BgL_res1517z00_1035 =
																					MAKE_PAIR(BgL_arg1246z00_1026, BNIL);
																				BgL_newtail1064z00_1025 =
																					BgL_res1517z00_1035;
																			}
																		}
																		SET_CDR(BgL_tail1063z00_1018,
																			BgL_newtail1064z00_1025);
																		{
																			obj_t BgL_tail1063z00_1452;
																			obj_t BgL_l1060z00_1450;

																			BgL_l1060z00_1450 =
																				CDR(BgL_l1060z00_1017);
																			BgL_tail1063z00_1452 =
																				BgL_newtail1064z00_1025;
																			BgL_tail1063z00_1018 =
																				BgL_tail1063z00_1452;
																			BgL_l1060z00_1017 = BgL_l1060z00_1450;
																			goto BgL_zc3anonymousza31242ze3z83_1016;
																		}
																	}
															}
														}
												}
												BgL_arg1236z00_670 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg1240z00_671, BNIL);
											}
											BgL_arg1234z00_668 =
												MAKE_PAIR(BGl_symbol1582z00zz__expander_tracez00,
												BgL_arg1236z00_670);
										}
										BgL_arg1235z00_669 = MAKE_PAIR(BUNSPEC, BNIL);
										BgL_arg1225z00_664 =
											MAKE_PAIR(BgL_arg1234z00_668, BgL_arg1235z00_669);
									}
									BgL_arg1223z00_662 =
										MAKE_PAIR(BgL_arg1224z00_663, BgL_arg1225z00_664);
								}
								return
									MAKE_PAIR(BGl_symbol1565z00zz__expander_tracez00,
									BgL_arg1223z00_662);
							}
						else
							{	/* Eval/expdtrace.scm 94 */
								return BUNSPEC;
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_tracez00()
	{
		AN_OBJECT;
		{	/* Eval/expdtrace.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 223284409),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 277022107),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
			return BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1584z00zz__expander_tracez00));
		}
	}

#ifdef __cplusplus
}
#endif
