/*===========================================================================*/
/*   (Cnst/walk.scm)                                                         */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cnst/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcnst_walkz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 = BUNSPEC;
	static obj_t BGl_unsafez12z12zzcnst_walkz00();
	static obj_t BGl_toplevelzd2initzd2zzcnst_walkz00();
	static obj_t BGl_z62cnstzd2walkz12za2zzcnst_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcnst_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static obj_t BGl_objectzd2initzd2zzcnst_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BUNSPEC;
	extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcnst_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcnst_walkz00();
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BUNSPEC;
	static obj_t BGl_safez12z12zzcnst_walkz00();
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2structza2zd2zzengine_paramz00;
	extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62safez12z70zzcnst_walkz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_z62unsafez12z70zzcnst_walkz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzcnst_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00();
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00();
	static obj_t BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BUNSPEC;
	extern obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
	extern BgL_nodez00_bglt BGl_cnstz12z12zzcnst_nodez00(BgL_nodez00_bglt);
	static obj_t __cnst[4];


	extern obj_t BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_safez12zd2envzc0zzcnst_walkz00,
		BgL_bgl_za762safeza712za770za7za7c1901za7, BGl_z62safez12z70zzcnst_walkz00,
		0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_unsafez12zd2envzc0zzcnst_walkz00,
		BgL_bgl_za762unsafeza712za770za71902z00, BGl_z62unsafez12z70zzcnst_walkz00,
		0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1888z00zzcnst_walkz00,
		BgL_bgl_string1888za700za7za7c1903za7, "Cnst", 4);
	      DEFINE_STRING(BGl_string1889z00zzcnst_walkz00,
		BgL_bgl_string1889za700za7za7c1904za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1890z00zzcnst_walkz00,
		BgL_bgl_string1890za700za7za7c1905za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1891z00zzcnst_walkz00,
		BgL_bgl_string1891za700za7za7c1906za7, "      [", 7);
	      DEFINE_STRING(BGl_string1892z00zzcnst_walkz00,
		BgL_bgl_string1892za700za7za7c1907za7, " error", 6);
	      DEFINE_STRING(BGl_string1893z00zzcnst_walkz00,
		BgL_bgl_string1893za700za7za7c1908za7, "s", 1);
	      DEFINE_STRING(BGl_string1894z00zzcnst_walkz00,
		BgL_bgl_string1894za700za7za7c1909za7, "", 0);
	      DEFINE_STRING(BGl_string1895z00zzcnst_walkz00,
		BgL_bgl_string1895za700za7za7c1910za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1896z00zzcnst_walkz00,
		BgL_bgl_string1896za700za7za7c1911za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1897z00zzcnst_walkz00,
		BgL_bgl_string1897za700za7za7c1912za7, "cnst_walk", 9);
	      DEFINE_STRING(BGl_string1898z00zzcnst_walkz00,
		BgL_bgl_string1898za700za7za7c1913za7,
		"(stop-cnst-alloc! safe!) cnst pass-started (start-cnst-cache! start-cnst-alloc! unsafe!) ",
		89);
	extern obj_t BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzd2walkz12zd2envz12zzcnst_walkz00,
		BgL_bgl_za762cnstza7d2walkza711914za7,
		BGl_z62cnstzd2walkz12za2zzcnst_walkz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long
		BgL_checksumz00_1909, char *BgL_fromz00_1910)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcnst_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzcnst_walkz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcnst_walkz00();
					BGl_cnstzd2initzd2zzcnst_walkz00();
					BGl_importedzd2moduleszd2initz00zzcnst_walkz00();
					BGl_toplevelzd2initzd2zzcnst_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"cnst_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cnst_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"cnst_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cnst_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cnst_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cnst_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cnst_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			{	/* Cnst/walk.scm 15 */
				obj_t BgL_cportz00_1901;

				BgL_cportz00_1901 =
					bgl_open_input_string(BGl_string1898z00zzcnst_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1902;

					BgL_iz00_1902 = ((long) 3);
				BgL_loopz00_1903:
					if ((BgL_iz00_1902 == ((long) -1)))
						{	/* Cnst/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cnst/walk.scm 15 */
							{	/* Cnst/walk.scm 15 */
								obj_t BgL_arg1900z00_1905;

								{	/* Cnst/walk.scm 15 */

									{	/* Cnst/walk.scm 15 */
										obj_t BgL_locationz00_1907;

										BgL_locationz00_1907 = BBOOL(((bool_t) 0));
										{	/* Cnst/walk.scm 15 */

											BgL_arg1900z00_1905 =
												BGl_readz00zz__readerz00(BgL_cportz00_1901,
												BgL_locationz00_1907);
										}
									}
								}
								{	/* Cnst/walk.scm 15 */
									int BgL_auxz00_1931;

									BgL_auxz00_1931 = (int) (BgL_iz00_1902);
									CNST_TABLE_SET(BgL_auxz00_1931, BgL_arg1900z00_1905);
							}}
							{	/* Cnst/walk.scm 15 */
								int BgL_auxz00_1908;

								BgL_auxz00_1908 = (int) ((BgL_iz00_1902 - ((long) 1)));
								{
									long BgL_iz00_1936;

									BgL_iz00_1936 = (long) (BgL_auxz00_1908);
									BgL_iz00_1902 = BgL_iz00_1936;
									goto BgL_loopz00_1903;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 = BFALSE;
			BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 = BFALSE;
			BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 = BFALSE;
			BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 = BFALSE;
			return (BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 =
				BFALSE, BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcnst_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1103;

				BgL_headz00_1103 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1104;
					obj_t BgL_tailz00_1105;

					BgL_prevz00_1104 = BgL_headz00_1103;
					BgL_tailz00_1105 = BgL_l1z00_1;
				BgL_loopz00_1106:
					if (PAIRP(BgL_tailz00_1105))
						{
							obj_t BgL_newzd2prevzd2_1108;

							BgL_newzd2prevzd2_1108 =
								MAKE_PAIR(CAR(BgL_tailz00_1105), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1104, BgL_newzd2prevzd2_1108);
							{
								obj_t BgL_tailz00_1945;
								obj_t BgL_prevz00_1944;

								BgL_prevz00_1944 = BgL_newzd2prevzd2_1108;
								BgL_tailz00_1945 = CDR(BgL_tailz00_1105);
								BgL_tailz00_1105 = BgL_tailz00_1945;
								BgL_prevz00_1104 = BgL_prevz00_1944;
								goto BgL_loopz00_1106;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1103);
				}
			}
		}
	}



/* cnst-walk! */
	BGL_EXPORTED_DEF obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 34 */
			{	/* Cnst/walk.scm 35 */
				obj_t BgL_list1744z00_1111;

				{	/* Cnst/walk.scm 35 */
					obj_t BgL_arg1745z00_1112;

					{	/* Cnst/walk.scm 35 */
						obj_t BgL_arg1746z00_1113;

						BgL_arg1746z00_1113 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1745z00_1112 =
							MAKE_PAIR(BGl_string1888z00zzcnst_walkz00, BgL_arg1746z00_1113);
					}
					BgL_list1744z00_1111 =
						MAKE_PAIR(BGl_string1889z00zzcnst_walkz00, BgL_arg1745z00_1112);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1744z00_1111);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1888z00zzcnst_walkz00;
			{	/* Cnst/walk.scm 35 */
				obj_t BgL_g1110z00_1114;
				obj_t BgL_g1111z00_1115;

				{	/* Cnst/walk.scm 35 */
					obj_t BgL_list1756z00_1127;

					{	/* Cnst/walk.scm 35 */
						obj_t BgL_arg1759z00_1128;

						{	/* Cnst/walk.scm 35 */
							obj_t BgL_arg1766z00_1129;

							BgL_arg1766z00_1129 =
								MAKE_PAIR(BGl_unsafez12zd2envzc0zzcnst_walkz00, BNIL);
							BgL_arg1759z00_1128 =
								MAKE_PAIR(BGl_startzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
								BgL_arg1766z00_1129);
						}
						BgL_list1756z00_1127 =
							MAKE_PAIR(BGl_startzd2cnstzd2cachez12zd2envzc0zzcnst_cachez00,
							BgL_arg1759z00_1128);
					}
					BgL_g1110z00_1114 = BgL_list1756z00_1127;
				}
				BgL_g1111z00_1115 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1117;
					obj_t BgL_hnamesz00_1118;

					BgL_hooksz00_1117 = BgL_g1110z00_1114;
					BgL_hnamesz00_1118 = BgL_g1111z00_1115;
				BgL_zc3anonymousza31747ze3z83_1119:
					if (NULLP(BgL_hooksz00_1117))
						{	/* Cnst/walk.scm 35 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Cnst/walk.scm 35 */
							bool_t BgL_testz00_1962;

							{	/* Cnst/walk.scm 35 */
								obj_t BgL_fun1755z00_1125;

								BgL_fun1755z00_1125 = CAR(BgL_hooksz00_1117);
								BgL_testz00_1962 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1755z00_1125)
									(BgL_fun1755z00_1125, BEOA));
							}
							if (BgL_testz00_1962)
								{
									obj_t BgL_hnamesz00_1970;
									obj_t BgL_hooksz00_1968;

									BgL_hooksz00_1968 = CDR(BgL_hooksz00_1117);
									BgL_hnamesz00_1970 = CDR(BgL_hnamesz00_1118);
									BgL_hnamesz00_1118 = BgL_hnamesz00_1970;
									BgL_hooksz00_1117 = BgL_hooksz00_1968;
									goto BgL_zc3anonymousza31747ze3z83_1119;
								}
							else
								{	/* Cnst/walk.scm 35 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1888z00zzcnst_walkz00,
										BGl_string1890z00zzcnst_walkz00, CAR(BgL_hnamesz00_1118));
								}
						}
				}
			}
			{	/* Cnst/walk.scm 36 */
				obj_t BgL_list1767z00_1130;

				{	/* Cnst/walk.scm 36 */
					obj_t BgL_arg1768z00_1131;

					{	/* Cnst/walk.scm 36 */
						obj_t BgL_arg1769z00_1132;

						{	/* Cnst/walk.scm 36 */
							obj_t BgL_arg1770z00_1133;

							BgL_arg1770z00_1133 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_arg1769z00_1132 =
								MAKE_PAIR(BCHAR(((unsigned char) ']')), BgL_arg1770z00_1133);
						}
						BgL_arg1768z00_1131 =
							MAKE_PAIR(BGl_za2initzd2modeza2zd2zzengine_paramz00,
							BgL_arg1769z00_1132);
					}
					BgL_list1767z00_1130 =
						MAKE_PAIR(BGl_string1891z00zzcnst_walkz00, BgL_arg1768z00_1131);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 2)), BgL_list1767z00_1130);
			}
			{
				obj_t BgL_l1737z00_1135;

				BgL_l1737z00_1135 = BgL_globalsz00_3;
			BgL_zc3anonymousza31771ze3z83_1136:
				if (PAIRP(BgL_l1737z00_1135))
					{	/* Cnst/walk.scm 37 */
						{	/* Cnst/walk.scm 38 */
							obj_t BgL_globalz00_1138;

							BgL_globalz00_1138 = CAR(BgL_l1737z00_1135);
							{	/* Cnst/walk.scm 39 */
								obj_t BgL_arg1773z00_1139;

								BgL_arg1773z00_1139 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1138))))->
									BgL_idz00);
								BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1773z00_1139);
							}
							{	/* Cnst/walk.scm 40 */
								BgL_valuez00_bglt BgL_funz00_1140;

								BgL_funz00_1140 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1138))))->
									BgL_valuez00);
								{	/* Cnst/walk.scm 40 */
									BgL_nodez00_bglt BgL_newzd2bodyzd2_1141;

									{	/* Cnst/walk.scm 41 */
										obj_t BgL_arg1774z00_1142;

										BgL_arg1774z00_1142 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt) BgL_funz00_1140)))->BgL_bodyz00);
										BgL_newzd2bodyzd2_1141 =
											BGl_cnstz12z12zzcnst_nodez00(
											((BgL_nodez00_bglt) BgL_arg1774z00_1142));
									}
									{	/* Cnst/walk.scm 41 */

										{	/* Cnst/walk.scm 42 */
											BgL_sfunz00_bglt BgL_oz00_1863;
											obj_t BgL_vz00_1864;

											BgL_oz00_1863 = ((BgL_sfunz00_bglt) BgL_funz00_1140);
											BgL_vz00_1864 = ((obj_t) BgL_newzd2bodyzd2_1141);
											((((BgL_sfunz00_bglt) CREF(BgL_oz00_1863))->BgL_bodyz00) =
												((obj_t) BgL_vz00_1864), BUNSPEC);
										}
									}
								}
							}
							BGl_leavezd2functionzd2zztools_errorz00();
						}
						{
							obj_t BgL_l1737z00_2000;

							BgL_l1737z00_2000 = CDR(BgL_l1737z00_1135);
							BgL_l1737z00_1135 = BgL_l1737z00_2000;
							goto BgL_zc3anonymousza31771ze3z83_1136;
						}
					}
				else
					{	/* Cnst/walk.scm 37 */
						((bool_t) 1);
					}
			}
			{	/* Cnst/walk.scm 45 */
				obj_t BgL_valuez00_1145;

				{	/* Cnst/walk.scm 45 */
					obj_t BgL_arg1804z00_1168;

					BgL_arg1804z00_1168 =
						BGl_appendzd221011zd2zzcnst_walkz00
						(BGl_initializa7ezd2astz75zzcnst_initializa7eza7(),
						BgL_globalsz00_3);
					BgL_valuez00_1145 =
						BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF(((long) 2)),
						BgL_arg1804z00_1168);
				}
				if (
					((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
						((long) 0)))
					{	/* Cnst/walk.scm 45 */
						{	/* Cnst/walk.scm 45 */
							obj_t BgL_port1739z00_1147;

							{	/* Cnst/walk.scm 45 */
								obj_t BgL_res1883z00_1871;

								{	/* Cnst/walk.scm 45 */
									obj_t BgL_auxz00_2009;

									BgL_auxz00_2009 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1883z00_1871 =
										BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2009);
								}
								BgL_port1739z00_1147 = BgL_res1883z00_1871;
							}
							bgl_display_obj
								(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
								BgL_port1739z00_1147);
							BGL_DISPLAY_STRING(BGl_string1892z00zzcnst_walkz00,
								BgL_port1739z00_1147);
							{	/* Cnst/walk.scm 45 */
								obj_t BgL_arg1779z00_1148;

								{	/* Cnst/walk.scm 45 */
									bool_t BgL_testz00_2014;

									if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
										(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
										{	/* Cnst/walk.scm 45 */
											if (INTEGERP
												(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
												{	/* Cnst/walk.scm 45 */
													BgL_testz00_2014 =
														(
														(long)
														CINT
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
														> ((long) 1));
												}
											else
												{	/* Cnst/walk.scm 45 */
													BgL_testz00_2014 =
														BGl_2ze3ze3zz__r4_numbers_6_5z00
														(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
														BINT(((long) 1)));
										}}
									else
										{	/* Cnst/walk.scm 45 */
											BgL_testz00_2014 = ((bool_t) 0);
										}
									if (BgL_testz00_2014)
										{	/* Cnst/walk.scm 45 */
											BgL_arg1779z00_1148 = BGl_string1893z00zzcnst_walkz00;
										}
									else
										{	/* Cnst/walk.scm 45 */
											BgL_arg1779z00_1148 = BGl_string1894z00zzcnst_walkz00;
										}
								}
								bgl_display_obj(BgL_arg1779z00_1148, BgL_port1739z00_1147);
							}
							BGL_DISPLAY_STRING(BGl_string1895z00zzcnst_walkz00,
								BgL_port1739z00_1147);
							bgl_display_char(((unsigned char) '\n'), BgL_port1739z00_1147);
						}
						{	/* Cnst/walk.scm 45 */
							obj_t BgL_list1784z00_1152;

							BgL_list1784z00_1152 = MAKE_PAIR(BINT(((long) -1)), BNIL);
							return BGl_exitz00zz__errorz00(BgL_list1784z00_1152);
						}
					}
				else
					{	/* Cnst/walk.scm 45 */
						obj_t BgL_g1113z00_1153;
						obj_t BgL_g1114z00_1154;

						{	/* Cnst/walk.scm 45 */
							obj_t BgL_list1800z00_1166;

							{	/* Cnst/walk.scm 45 */
								obj_t BgL_arg1803z00_1167;

								BgL_arg1803z00_1167 =
									MAKE_PAIR(BGl_safez12zd2envzc0zzcnst_walkz00, BNIL);
								BgL_list1800z00_1166 =
									MAKE_PAIR(BGl_stopzd2cnstzd2allocz12zd2envzc0zzcnst_allocz00,
									BgL_arg1803z00_1167);
							}
							BgL_g1113z00_1153 = BgL_list1800z00_1166;
						}
						BgL_g1114z00_1154 = CNST_TABLE_REF(((long) 3));
						{
							obj_t BgL_hooksz00_1156;
							obj_t BgL_hnamesz00_1157;

							BgL_hooksz00_1156 = BgL_g1113z00_1153;
							BgL_hnamesz00_1157 = BgL_g1114z00_1154;
						BgL_zc3anonymousza31785ze3z83_1158:
							if (NULLP(BgL_hooksz00_1156))
								{	/* Cnst/walk.scm 45 */
									return BgL_valuez00_1145;
								}
							else
								{	/* Cnst/walk.scm 45 */
									bool_t BgL_testz00_2034;

									{	/* Cnst/walk.scm 45 */
										obj_t BgL_fun1799z00_1164;

										BgL_fun1799z00_1164 = CAR(BgL_hooksz00_1156);
										BgL_testz00_2034 =
											CBOOL(PROCEDURE_ENTRY(BgL_fun1799z00_1164)
											(BgL_fun1799z00_1164, BEOA));
									}
									if (BgL_testz00_2034)
										{
											obj_t BgL_hnamesz00_2042;
											obj_t BgL_hooksz00_2040;

											BgL_hooksz00_2040 = CDR(BgL_hooksz00_1156);
											BgL_hnamesz00_2042 = CDR(BgL_hnamesz00_1157);
											BgL_hnamesz00_1157 = BgL_hnamesz00_2042;
											BgL_hooksz00_1156 = BgL_hooksz00_2040;
											goto BgL_zc3anonymousza31785ze3z83_1158;
										}
									else
										{	/* Cnst/walk.scm 45 */
											obj_t BgL_arg1797z00_1163;

											BgL_arg1797z00_1163 = CAR(BgL_hnamesz00_1157);
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_za2currentzd2passza2zd2zzengine_passz00,
												BGl_string1896z00zzcnst_walkz00, BgL_arg1797z00_1163);
										}
								}
						}
					}
			}
		}
	}



/* &cnst-walk! */
	obj_t BGl_z62cnstzd2walkz12za2zzcnst_walkz00(obj_t BgL_envz00_1894,
		obj_t BgL_globalsz00_1895)
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 34 */
			return BGl_cnstzd2walkz12zc0zzcnst_walkz00(BgL_globalsz00_1895);
		}
	}



/* unsafe! */
	obj_t BGl_unsafez12z12zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 52 */
			BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00 =
				BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
			BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE;
			BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00 =
				BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
			BGl_za2unsafezd2arityza2zd2zzengine_paramz00 = BTRUE;
			BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00 =
				BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
			BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BTRUE;
			BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00 =
				BGl_za2unsafezd2structza2zd2zzengine_paramz00;
			BGl_za2unsafezd2structza2zd2zzengine_paramz00 = BTRUE;
			BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00 =
				BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
			return (BGl_za2unsafezd2versionza2zd2zzengine_paramz00 = BTRUE, BUNSPEC);
		}
	}



/* &unsafe! */
	obj_t BGl_z62unsafez12z70zzcnst_walkz00(obj_t BgL_envz00_1896)
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 52 */
			return BGl_unsafez12z12zzcnst_walkz00();
		}
	}



/* safe! */
	obj_t BGl_safez12z12zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 67 */
			BGl_za2unsafezd2typeza2zd2zzengine_paramz00 =
				BGl_za2oldzd2unsafezd2typeza2z00zzcnst_walkz00;
			BGl_za2unsafezd2arityza2zd2zzengine_paramz00 =
				BGl_za2oldzd2unsafezd2arityza2z00zzcnst_walkz00;
			BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 =
				BGl_za2oldzd2unsafezd2rangeza2z00zzcnst_walkz00;
			BGl_za2unsafezd2structza2zd2zzengine_paramz00 =
				BGl_za2oldzd2unsafezd2structza2z00zzcnst_walkz00;
			return (BGl_za2unsafezd2versionza2zd2zzengine_paramz00 =
				BGl_za2oldzd2unsafezd2versionza2z00zzcnst_walkz00, BUNSPEC);
		}
	}



/* &safe! */
	obj_t BGl_z62safez12z70zzcnst_walkz00(obj_t BgL_envz00_1899)
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 67 */
			return BGl_safez12z12zzcnst_walkz00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcnst_walkz00()
	{
		AN_OBJECT;
		{	/* Cnst/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 418333058),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699852),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzcnst_cachez00(((long) 256365394),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(((long)
					259844936), BSTRING_TO_STRING(BGl_string1897z00zzcnst_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
