/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/bigloo.scm -indent -o objs/obj_s/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
static obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_symbol2012z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_symbol2014z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_symbol2016z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_symbol2018z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
static obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62timez62zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
static obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_list2011z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
static obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *, obj_t);
static obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_symbol1968z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
static obj_t BGl_cnstzd2initzd2zz__biglooz00();
static obj_t BGl_genericzd2initzd2zz__biglooz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
static obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__biglooz00();
BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
extern void bgl_gc_verbose_set(bool_t);
static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t, obj_t);
extern obj_t bgl_bmem_reset();
static obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__biglooz00();
static obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
static obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t, obj_t, obj_t);
static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
extern obj_t make_string(long, unsigned char);
static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t);
BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(obj_t, long, obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00();
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
extern bool_t bigloo_strncmp(obj_t, obj_t, long);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_unspecifiedzd2envzd2zz__biglooz00, BgL_bgl_za762unspecifiedza762022z00, BGl_z62unspecifiedz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a2023z00, BGl_z62procedurezd2attrzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1969z00zz__biglooz00, BgL_bgl_string1969za700za7za7_2024za7, "bigloo-exit", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezd2nilzd2envz00zz__biglooz00, BgL_bgl_za762opaqueza7d2nilza72025za7, BGl_z62opaquezd2nilzb0zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1970z00zz__biglooz00, BgL_bgl_string1970za700za7za7_2026za7, " (level 0)", 10 );
DEFINE_STRING( BGl_string1971z00zz__biglooz00, BgL_bgl_string1971za700za7za7_2027za7, "/tmp/bigloo/runtime/Llib/bigloo.scm", 35 );
DEFINE_STRING( BGl_string1972z00zz__biglooz00, BgL_bgl_string1972za700za7za7_2028za7, "string-set!", 11 );
DEFINE_STRING( BGl_string1973z00zz__biglooz00, BgL_bgl_string1973za700za7za7_2029za7, "Some modules have been compiled by: ", 36 );
DEFINE_STRING( BGl_string1974z00zz__biglooz00, BgL_bgl_string1974za700za7za7_2030za7, "and other by: ", 14 );
DEFINE_STRING( BGl_string1975z00zz__biglooz00, BgL_bgl_string1975za700za7za7_2031za7, "&check-version!", 15 );
DEFINE_STRING( BGl_string1976z00zz__biglooz00, BgL_bgl_string1976za700za7za7_2032za7, "bstring", 7 );
DEFINE_STRING( BGl_string1977z00zz__biglooz00, BgL_bgl_string1977za700za7za7_2033za7, "&procedure-arity", 16 );
DEFINE_STRING( BGl_string1978z00zz__biglooz00, BgL_bgl_string1978za700za7za7_2034za7, "procedure", 9 );
DEFINE_STRING( BGl_string1979z00zz__biglooz00, BgL_bgl_string1979za700za7za7_2035za7, "&procedure-attr", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00, BgL_bgl_za762biglooza7d2mang2036z00, BGl_z62bigloozd2mangledzf3z43zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit2037z00, BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1980z00zz__biglooz00, BgL_bgl_string1980za700za7za7_2038za7, "&procedure-attr-set!", 20 );
DEFINE_STRING( BGl_string1981z00zz__biglooz00, BgL_bgl_string1981za700za7za7_2039za7, "0123456789abcdef", 16 );
DEFINE_STRING( BGl_string1982z00zz__biglooz00, BgL_bgl_string1982za700za7za7_2040za7, "string-ref", 10 );
DEFINE_STRING( BGl_string1983z00zz__biglooz00, BgL_bgl_string1983za700za7za7_2041za7, "/tmp/bigloo/runtime/Ieee/string.scm", 35 );
DEFINE_STRING( BGl_string1984z00zz__biglooz00, BgL_bgl_string1984za700za7za7_2042za7, "bigloo-mangle", 13 );
DEFINE_STRING( BGl_string1985z00zz__biglooz00, BgL_bgl_string1985za700za7za7_2043za7, "bchar", 5 );
DEFINE_STRING( BGl_string1986z00zz__biglooz00, BgL_bgl_string1986za700za7za7_2044za7, "bigloo-mangle-string", 20 );
DEFINE_STRING( BGl_string1987z00zz__biglooz00, BgL_bgl_string1987za700za7za7_2045za7, "Can't mangle empty string", 25 );
DEFINE_STRING( BGl_string1988z00zz__biglooz00, BgL_bgl_string1988za700za7za7_2046za7, "BgL_", 4 );
DEFINE_STRING( BGl_string1989z00zz__biglooz00, BgL_bgl_string1989za700za7za7_2047za7, "&bigloo-mangle", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2modu2048z00, BGl_z62bigloozd2modulezd2manglez62zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1990z00zz__biglooz00, BgL_bgl_string1990za700za7za7_2049za7, "bigloo-module-mangle", 20 );
DEFINE_STRING( BGl_string1991z00zz__biglooz00, BgL_bgl_string1991za700za7za7_2050za7, "BGl_", 4 );
DEFINE_STRING( BGl_string1992z00zz__biglooz00, BgL_bgl_string1992za700za7za7_2051za7, "&bigloo-module-mangle", 21 );
DEFINE_STRING( BGl_string1993z00zz__biglooz00, BgL_bgl_string1993za700za7za7_2052za7, "&bigloo-mangled?", 16 );
DEFINE_STRING( BGl_string1994z00zz__biglooz00, BgL_bgl_string1994za700za7za7_2053za7, "&bigloo-need-mangling?", 22 );
DEFINE_STRING( BGl_string1995z00zz__biglooz00, BgL_bgl_string1995za700za7za7_2054za7, "bigloo-demangle", 15 );
DEFINE_STRING( BGl_string1996z00zz__biglooz00, BgL_bgl_string1996za700za7za7_2055za7, "Not a Bigloo mangled identifier", 31 );
DEFINE_STRING( BGl_string1997z00zz__biglooz00, BgL_bgl_string1997za700za7za7_2056za7, "get-8bits-integer", 17 );
DEFINE_STRING( BGl_string1998z00zz__biglooz00, BgL_bgl_string1998za700za7za7_2057za7, "bint", 4 );
DEFINE_STRING( BGl_string1999z00zz__biglooz00, BgL_bgl_string1999za700za7za7_2058za7, "bigloo-demangle-at", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bmemzd2resetz12zd2envz12zz__biglooz00, BgL_bgl_za762bmemza7d2resetza72059za7, BGl_z62bmemzd2resetz12za2zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2need2060z00, BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2clas2061z00, BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezf3zd2envz21zz__biglooz00, BgL_bgl_za762opaqueza7f3za791za72062z00, BGl_z62opaquezf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2arityzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a2063z00, BGl_z62procedurezd2arityzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2manglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2mang2064z00, BGl_z62bigloozd2manglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl_za762registerza7d2ex2065z00, BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2demanglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2dema2066z00, BGl_z62bigloozd2demanglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_checkzd2versionz12zd2envz12zz__biglooz00, BgL_bgl_za762checkza7d2versi2067z00, BGl_z62checkzd2versionz12za2zz__biglooz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cnstzf3zd2envz21zz__biglooz00, BgL_bgl_za762cnstza7f3za791za7za7_2068za7, BGl_z62cnstzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2000z00zz__biglooz00, BgL_bgl_string2000za700za7za7_2069za7, "loop", 4 );
DEFINE_STRING( BGl_string2001z00zz__biglooz00, BgL_bgl_string2001za700za7za7_2070za7, "Illegal mangling on", 19 );
DEFINE_STRING( BGl_string2002z00zz__biglooz00, BgL_bgl_string2002za700za7za7_2071za7, "&bigloo-demangle", 16 );
DEFINE_STRING( BGl_string2003z00zz__biglooz00, BgL_bgl_string2003za700za7za7_2072za7, "&bigloo-class-mangled?", 22 );
DEFINE_STRING( BGl_string2004z00zz__biglooz00, BgL_bgl_string2004za700za7za7_2073za7, "bigloo-class-demangle", 21 );
DEFINE_STRING( BGl_string2005z00zz__biglooz00, BgL_bgl_string2005za700za7za7_2074za7, "_bglt", 5 );
DEFINE_STRING( BGl_string2006z00zz__biglooz00, BgL_bgl_string2006za700za7za7_2075za7, "&bigloo-class-demangle", 22 );
DEFINE_STRING( BGl_string2007z00zz__biglooz00, BgL_bgl_string2007za700za7za7_2076za7, "bigloo-exit-register!", 21 );
DEFINE_STRING( BGl_string2008z00zz__biglooz00, BgL_bgl_string2008za700za7za7_2077za7, "Wrong procedure arity", 21 );
DEFINE_STRING( BGl_string2009z00zz__biglooz00, BgL_bgl_string2009za700za7za7_2078za7, "&register-exit-function!", 24 );
DEFINE_STRING( BGl_string2010z00zz__biglooz00, BgL_bgl_string2010za700za7za7_2079za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string2013z00zz__biglooz00, BgL_bgl_string2013za700za7za7_2080za7, "funcall", 7 );
DEFINE_STRING( BGl_string2015z00zz__biglooz00, BgL_bgl_string2015za700za7za7_2081za7, "fun", 3 );
DEFINE_STRING( BGl_string2017z00zz__biglooz00, BgL_bgl_string2017za700za7za7_2082za7, "val", 3 );
DEFINE_STRING( BGl_string2019z00zz__biglooz00, BgL_bgl_string2019za700za7za7_2083za7, "time", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2gczd2verbosezd2setz12zd2envz12zz__biglooz00, BgL_bgl_za762biglooza7d2gcza7d2084za7, BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2020z00zz__biglooz00, BgL_bgl_string2020za700za7za7_2085za7, "&time", 5 );
DEFINE_STRING( BGl_string2021z00zz__biglooz00, BgL_bgl_string2021za700za7za7_2086za7, "__bigloo", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit2087z00, BGl_z62bigloozd2exitzd2applyz62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2clas2088z00, BGl_z62bigloozd2classzd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00, BgL_bgl_za762procedureza7d2a2089z00, BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_timezd2envzd2zz__biglooz00, BgL_bgl_za762timeza762za7za7__bi2090z00, BGl_z62timez62zz__biglooz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long BgL_checksumz00_2077, char * BgL_fromz00_2078)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
{ 
BGl_requirezd2initializa7ationz75zz__biglooz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__biglooz00(); 
BGl_importedzd2moduleszd2initz00zz__biglooz00(); 
BGl_toplevelzd2initzd2zz__biglooz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
BGl_symbol1968z00zz__biglooz00 = 
bstring_to_symbol(BGl_string1969z00zz__biglooz00); 
BGl_symbol2012z00zz__biglooz00 = 
bstring_to_symbol(BGl_string2013z00zz__biglooz00); 
BGl_symbol2014z00zz__biglooz00 = 
bstring_to_symbol(BGl_string2015z00zz__biglooz00); 
BGl_symbol2016z00zz__biglooz00 = 
bstring_to_symbol(BGl_string2017z00zz__biglooz00); 
BGl_list2011z00zz__biglooz00 = 
MAKE_PAIR(BGl_symbol2012z00zz__biglooz00, 
MAKE_PAIR(BGl_symbol2014z00zz__biglooz00, 
MAKE_PAIR(BGl_symbol2014z00zz__biglooz00, 
MAKE_PAIR(BGl_symbol2016z00zz__biglooz00, BNIL)))); 
return ( 
BGl_symbol2018z00zz__biglooz00 = 
bstring_to_symbol(BGl_string2019z00zz__biglooz00), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
BGl_za2releaseza2z00zz__biglooz00 = BFALSE; 
BGl_za2levelza2z00zz__biglooz00 = BFALSE; 
BGl_za2modulesza2z00zz__biglooz00 = BNIL; 
{ /* Llib/bigloo.scm 578 */
obj_t BgL_res1582z00_1109;
BgL_res1582z00_1109 = 
bgl_make_mutex(BGl_symbol1968z00zz__biglooz00); 
BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BgL_res1582z00_1109; } 
return ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BNIL, BUNSPEC) ;} 
}



/* check-version! */
BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t BgL_modulez00_3, char * BgL_releasez00_4, obj_t BgL_levelz00_5)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 306 */
if(
STRINGP(BGl_za2releaseza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 312 */
bool_t BgL_testz00_2097;
{ /* Llib/bigloo.scm 312 */
bool_t BgL_testz00_2098;
{ /* Llib/bigloo.scm 312 */
long BgL_minz00_627;
{ /* Llib/bigloo.scm 312 */
long BgL_arg1154z00_631;
{ /* Llib/bigloo.scm 312 */
long BgL_xz00_632;long BgL_yz00_633;
BgL_xz00_632 = 
STRING_LENGTH(
string_to_bstring(BgL_releasez00_4)); 
BgL_yz00_633 = 
STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00); 
if(
(BgL_xz00_632<BgL_yz00_633))
{ /* Llib/bigloo.scm 312 */
BgL_arg1154z00_631 = BgL_xz00_632; }  else 
{ /* Llib/bigloo.scm 312 */
BgL_arg1154z00_631 = BgL_yz00_633; } } 
BgL_minz00_627 = 
(BgL_arg1154z00_631-((long)1)); } 
if(
bigloo_strcmp(
BGl_substringz00zz__r4_strings_6_7z00(
string_to_bstring(BgL_releasez00_4), ((long)0), BgL_minz00_627), 
BGl_substringz00zz__r4_strings_6_7z00(BGl_za2releaseza2z00zz__biglooz00, ((long)0), BgL_minz00_627)))
{ /* Llib/bigloo.scm 315 */
BgL_testz00_2098 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 315 */
BgL_testz00_2098 = ((bool_t)1)
; } } 
if(BgL_testz00_2098)
{ /* Llib/bigloo.scm 312 */
BgL_testz00_2097 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 312 */
if(
CHARP(BgL_levelz00_5))
{ /* Llib/bigloo.scm 317 */
if(
CHARP(BGl_za2levelza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 317 */
if(
(
CCHAR(BGl_za2levelza2z00zz__biglooz00)==
CCHAR(BgL_levelz00_5)))
{ /* Llib/bigloo.scm 317 */
BgL_testz00_2097 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 317 */
BgL_testz00_2097 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 317 */
BgL_testz00_2097 = ((bool_t)0)
; } }  else 
{ /* Llib/bigloo.scm 317 */
BgL_testz00_2097 = ((bool_t)0)
; } } } 
if(BgL_testz00_2097)
{ /* Llib/bigloo.scm 325 */
obj_t BgL_arg1142z00_612;obj_t BgL_arg1143z00_613;obj_t BgL_arg1144z00_614;
{ /* Llib/bigloo.scm 325 */
obj_t BgL_arg1145z00_615;
{ /* Llib/bigloo.scm 325 */
obj_t BgL_releasez00_1139;obj_t BgL_levelz00_1140;
BgL_releasez00_1139 = BGl_za2releaseza2z00zz__biglooz00; 
BgL_levelz00_1140 = BGl_za2levelza2z00zz__biglooz00; 
if(
CHARP(BgL_levelz00_1140))
{ /* Llib/bigloo.scm 325 */
obj_t BgL_sz00_1142;
BgL_sz00_1142 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string1970z00zz__biglooz00); 
{ /* Llib/bigloo.scm 325 */
unsigned char BgL_charz00_1147;
BgL_charz00_1147 = 
CCHAR(BgL_levelz00_1140); 
{ /* Llib/bigloo.scm 325 */
long BgL_l1768z00_1869;
BgL_l1768z00_1869 = 
STRING_LENGTH(BgL_sz00_1142); 
if(
BOUND_CHECK(((long)8), BgL_l1768z00_1869))
{ /* Llib/bigloo.scm 325 */
STRING_SET(BgL_sz00_1142, ((long)8), BgL_charz00_1147); }  else 
{ 
obj_t BgL_auxz00_2126;
BgL_auxz00_2126 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)11381)), BGl_string1972z00zz__biglooz00, 
BINT(((long)8)), BgL_sz00_1142, 
BINT(BgL_l1768z00_1869)); 
FAILURE(BgL_auxz00_2126,BFALSE,BFALSE);} } } 
BgL_arg1145z00_615 = 
string_append(BgL_releasez00_1139, BgL_sz00_1142); }  else 
{ /* Llib/bigloo.scm 325 */
BgL_arg1145z00_615 = BgL_releasez00_1139; } } 
BgL_arg1142z00_612 = 
string_append(BGl_string1973z00zz__biglooz00, BgL_arg1145z00_615); } 
{ /* Llib/bigloo.scm 327 */
obj_t BgL_arg1146z00_616;
if(
CHARP(BgL_levelz00_5))
{ /* Llib/bigloo.scm 327 */
obj_t BgL_sz00_1151;
BgL_sz00_1151 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string1970z00zz__biglooz00); 
{ /* Llib/bigloo.scm 327 */
unsigned char BgL_charz00_1156;
BgL_charz00_1156 = 
CCHAR(BgL_levelz00_5); 
{ /* Llib/bigloo.scm 327 */
long BgL_l1772z00_1873;
BgL_l1772z00_1873 = 
STRING_LENGTH(BgL_sz00_1151); 
if(
BOUND_CHECK(((long)8), BgL_l1772z00_1873))
{ /* Llib/bigloo.scm 327 */
STRING_SET(BgL_sz00_1151, ((long)8), BgL_charz00_1156); }  else 
{ 
obj_t BgL_auxz00_2142;
BgL_auxz00_2142 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)11454)), BGl_string1972z00zz__biglooz00, 
BINT(((long)8)), BgL_sz00_1151, 
BINT(BgL_l1772z00_1873)); 
FAILURE(BgL_auxz00_2142,BFALSE,BFALSE);} } } 
BgL_arg1146z00_616 = 
string_append(
string_to_bstring(BgL_releasez00_4), BgL_sz00_1151); }  else 
{ /* Llib/bigloo.scm 327 */
BgL_arg1146z00_616 = 
string_to_bstring(BgL_releasez00_4); } 
BgL_arg1143z00_613 = 
string_append(BGl_string1974z00zz__biglooz00, BgL_arg1146z00_616); } 
BgL_arg1144z00_614 = 
MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00); 
return 
BGl_errorz00zz__errorz00(BgL_arg1142z00_612, BgL_arg1143z00_613, BgL_arg1144z00_614);}  else 
{ /* Llib/bigloo.scm 312 */
return ( 
BGl_za2modulesza2z00zz__biglooz00 = 
MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00), BUNSPEC) ;} }  else 
{ /* Llib/bigloo.scm 308 */
{ /* Llib/bigloo.scm 309 */
obj_t BgL_list1156z00_635;
BgL_list1156z00_635 = 
MAKE_PAIR(BgL_modulez00_3, BNIL); 
BGl_za2modulesza2z00zz__biglooz00 = BgL_list1156z00_635; } 
BGl_za2releaseza2z00zz__biglooz00 = 
string_to_bstring(BgL_releasez00_4); 
return ( 
BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_5, BUNSPEC) ;} } 
}



/* &check-version! */
obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t BgL_envz00_1820, obj_t BgL_modulez00_1821, obj_t BgL_releasez00_1822, obj_t BgL_levelz00_1823)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 306 */
{ /* Llib/bigloo.scm 308 */
char * BgL_auxz00_2157;
{ /* Llib/bigloo.scm 308 */
obj_t BgL_auxz00_2158;
if(
STRINGP(BgL_releasez00_1822))
{ /* Llib/bigloo.scm 308 */
BgL_auxz00_2158 = BgL_releasez00_1822
; }  else 
{ 
obj_t BgL_auxz00_2161;
BgL_auxz00_2161 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)10717)), BGl_string1975z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_releasez00_1822); 
FAILURE(BgL_auxz00_2161,BFALSE,BFALSE);} 
BgL_auxz00_2157 = 
BSTRING_TO_STRING(BgL_auxz00_2158); } 
return 
BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_1821, BgL_auxz00_2157, BgL_levelz00_1823);} } 
}



/* procedure-arity */
BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t BgL_procz00_6)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 342 */
return 
PROCEDURE_ARITY(BgL_procz00_6);} 
}



/* &procedure-arity */
obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t BgL_envz00_1824, obj_t BgL_procz00_1825)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 342 */
{ /* Llib/bigloo.scm 343 */
int BgL_auxz00_2168;
{ /* Llib/bigloo.scm 343 */
obj_t BgL_procz00_2071;
if(
PROCEDUREP(BgL_procz00_1825))
{ /* Llib/bigloo.scm 343 */
BgL_procz00_2071 = BgL_procz00_1825; }  else 
{ 
obj_t BgL_auxz00_2171;
BgL_auxz00_2171 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)12134)), BGl_string1977z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_procz00_1825); 
FAILURE(BgL_auxz00_2171,BFALSE,BFALSE);} 
BgL_auxz00_2168 = 
PROCEDURE_ARITY(BgL_procz00_2071); } 
return 
BINT(BgL_auxz00_2168);} } 
}



/* procedure-attr */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t BgL_procz00_7)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 348 */
return 
PROCEDURE_ATTR(BgL_procz00_7);} 
}



/* &procedure-attr */
obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t BgL_envz00_1826, obj_t BgL_procz00_1827)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 348 */
{ /* Llib/bigloo.scm 349 */
obj_t BgL_procz00_2072;
if(
PROCEDUREP(BgL_procz00_1827))
{ /* Llib/bigloo.scm 349 */
BgL_procz00_2072 = BgL_procz00_1827; }  else 
{ 
obj_t BgL_auxz00_2180;
BgL_auxz00_2180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)12422)), BGl_string1979z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_procz00_1827); 
FAILURE(BgL_auxz00_2180,BFALSE,BFALSE);} 
return 
PROCEDURE_ATTR(BgL_procz00_2072);} } 
}



/* procedure-attr-set! */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t BgL_procz00_8, obj_t BgL_objz00_9)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 354 */
PROCEDURE_ATTR_SET(BgL_procz00_8, BgL_objz00_9); 
return BgL_objz00_9;} 
}



/* &procedure-attr-set! */
obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t BgL_envz00_1828, obj_t BgL_procz00_1829, obj_t BgL_objz00_1830)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 354 */
{ /* Llib/bigloo.scm 355 */
obj_t BgL_procz00_2073;
if(
PROCEDUREP(BgL_procz00_1829))
{ /* Llib/bigloo.scm 355 */
BgL_procz00_2073 = BgL_procz00_1829; }  else 
{ 
obj_t BgL_auxz00_2188;
BgL_auxz00_2188 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)12748)), BGl_string1980z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_procz00_1829); 
FAILURE(BgL_auxz00_2188,BFALSE,BFALSE);} 
PROCEDURE_ATTR_SET(BgL_procz00_2073, BgL_objz00_1830); 
return BgL_objz00_1830;} } 
}



/* unspecified */
BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 361 */
return BUNSPEC;} 
}



/* &unspecified */
obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t BgL_envz00_1831)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 361 */
return BUNSPEC;} 
}



/* cnst? */
BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_10)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 367 */
return 
CNSTP(BgL_objz00_10);} 
}



/* &cnst? */
obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t BgL_envz00_1832, obj_t BgL_objz00_1833)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 367 */
return 
BBOOL(
CNSTP(BgL_objz00_1833));} 
}



/* opaque? */
BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_11)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 373 */
return 
OPAQUEP(BgL_objz00_11);} 
}



/* &opaque? */
obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t BgL_envz00_1834, obj_t BgL_objz00_1835)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 373 */
return 
BBOOL(
OPAQUEP(BgL_objz00_1835));} 
}



/* opaque-nil */
BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 379 */
return 
BGL_OPAQUE_NIL();} 
}



/* &opaque-nil */
obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t BgL_envz00_1836)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 379 */
return 
BGL_OPAQUE_NIL();} 
}



/* mangle-at! */
long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_13, obj_t BgL_oldz00_14, long BgL_lenz00_15, long BgL_offsetz00_16)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 392 */
{ 
long BgL_rz00_638;long BgL_wz00_639;long BgL_newzd2lenzd2_640;long BgL_checksumz00_641;
BgL_rz00_638 = ((long)0); 
BgL_wz00_639 = BgL_offsetz00_16; 
BgL_newzd2lenzd2_640 = BgL_offsetz00_16; 
BgL_checksumz00_641 = ((long)0); 
BgL_zc3anonymousza31157ze3z83_642:
if(
(BgL_rz00_638==BgL_lenz00_15))
{ /* Llib/bigloo.scm 397 */
{ /* Llib/bigloo.scm 399 */
long BgL_l1776z00_1877;
BgL_l1776z00_1877 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_wz00_639, BgL_l1776z00_1877))
{ /* Llib/bigloo.scm 399 */
STRING_SET(BgL_newz00_13, BgL_wz00_639, ((unsigned char)'z')); }  else 
{ 
obj_t BgL_auxz00_2207;
BgL_auxz00_2207 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14541)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_wz00_639), BgL_newz00_13, 
BINT(BgL_l1776z00_1877)); 
FAILURE(BgL_auxz00_2207,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 401 */
long BgL_arg1160z00_644;unsigned char BgL_arg1162z00_645;
BgL_arg1160z00_644 = 
(BgL_wz00_639+((long)1)); 
{ /* Llib/bigloo.scm 402 */
long BgL_i1779z00_1880;
BgL_i1779z00_1880 = 
(BgL_checksumz00_641 & ((long)15)); 
if(
BOUND_CHECK(BgL_i1779z00_1880, ((long)16)))
{ /* Llib/bigloo.scm 402 */
BgL_arg1162z00_645 = 
STRING_REF(BGl_string1981z00zz__biglooz00, BgL_i1779z00_1880); }  else 
{ 
obj_t BgL_auxz00_2218;
BgL_auxz00_2218 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14608)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1779z00_1880), BGl_string1981z00zz__biglooz00, 
BINT(((long)16))); 
FAILURE(BgL_auxz00_2218,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 400 */
long BgL_l1784z00_1885;
BgL_l1784z00_1885 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_arg1160z00_644, BgL_l1784z00_1885))
{ /* Llib/bigloo.scm 400 */
STRING_SET(BgL_newz00_13, BgL_arg1160z00_644, BgL_arg1162z00_645); }  else 
{ 
obj_t BgL_auxz00_2228;
BgL_auxz00_2228 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14571)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_arg1160z00_644), BgL_newz00_13, 
BINT(BgL_l1784z00_1885)); 
FAILURE(BgL_auxz00_2228,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 404 */
long BgL_arg1166z00_647;unsigned char BgL_arg1167z00_648;
BgL_arg1166z00_647 = 
(BgL_wz00_639+((long)2)); 
{ /* Llib/bigloo.scm 405 */
long BgL_i1787z00_1888;
BgL_i1787z00_1888 = 
(
(BgL_checksumz00_641 >> 
(int)(((long)4))) & ((long)15)); 
if(
BOUND_CHECK(BgL_i1787z00_1888, ((long)16)))
{ /* Llib/bigloo.scm 405 */
BgL_arg1167z00_648 = 
STRING_REF(BGl_string1981z00zz__biglooz00, BgL_i1787z00_1888); }  else 
{ 
obj_t BgL_auxz00_2241;
BgL_auxz00_2241 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14688)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1787z00_1888), BGl_string1981z00zz__biglooz00, 
BINT(((long)16))); 
FAILURE(BgL_auxz00_2241,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 403 */
long BgL_l1792z00_1893;
BgL_l1792z00_1893 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_arg1166z00_647, BgL_l1792z00_1893))
{ /* Llib/bigloo.scm 403 */
STRING_SET(BgL_newz00_13, BgL_arg1166z00_647, BgL_arg1167z00_648); }  else 
{ 
obj_t BgL_auxz00_2251;
BgL_auxz00_2251 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14651)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_arg1166z00_647), BgL_newz00_13, 
BINT(BgL_l1792z00_1893)); 
FAILURE(BgL_auxz00_2251,BFALSE,BFALSE);} } } 
return 
(BgL_wz00_639+((long)3));}  else 
{ /* Llib/bigloo.scm 407 */
unsigned char BgL_cz00_651;
{ /* Llib/bigloo.scm 407 */
long BgL_l1796z00_1897;
BgL_l1796z00_1897 = 
STRING_LENGTH(BgL_oldz00_14); 
if(
BOUND_CHECK(BgL_rz00_638, BgL_l1796z00_1897))
{ /* Llib/bigloo.scm 407 */
BgL_cz00_651 = 
STRING_REF(BgL_oldz00_14, BgL_rz00_638); }  else 
{ 
obj_t BgL_auxz00_2262;
BgL_auxz00_2262 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14766)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_rz00_638), BgL_oldz00_14, 
BINT(BgL_l1796z00_1897)); 
FAILURE(BgL_auxz00_2262,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 408 */
bool_t BgL_testz00_2268;
{ /* Llib/bigloo.scm 408 */
bool_t BgL_testz00_2269;
{ /* Llib/bigloo.scm 408 */
bool_t BgL_testz00_2270;
{ /* Llib/bigloo.scm 408 */
bool_t BgL_res1607z00_1207;
BgL_res1607z00_1207 = 
isalpha(BgL_cz00_651); 
BgL_testz00_2270 = BgL_res1607z00_1207; } 
if(BgL_testz00_2270)
{ /* Llib/bigloo.scm 408 */
if(
(BgL_cz00_651==((unsigned char)'z')))
{ /* Llib/bigloo.scm 408 */
BgL_testz00_2269 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 408 */
BgL_testz00_2269 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 408 */
BgL_testz00_2269 = ((bool_t)0)
; } } 
if(BgL_testz00_2269)
{ /* Llib/bigloo.scm 408 */
BgL_testz00_2268 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 409 */
bool_t BgL_testz00_2274;
{ /* Llib/bigloo.scm 409 */
bool_t BgL_res1609z00_1212;
BgL_res1609z00_1212 = 
isdigit(BgL_cz00_651); 
BgL_testz00_2274 = BgL_res1609z00_1212; } 
if(BgL_testz00_2274)
{ /* Llib/bigloo.scm 409 */
BgL_testz00_2268 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 409 */
BgL_testz00_2268 = 
(BgL_cz00_651==((unsigned char)'_'))
; } } } 
if(BgL_testz00_2268)
{ /* Llib/bigloo.scm 408 */
{ /* Llib/bigloo.scm 412 */
long BgL_l1800z00_1901;
BgL_l1800z00_1901 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_wz00_639, BgL_l1800z00_1901))
{ /* Llib/bigloo.scm 412 */
STRING_SET(BgL_newz00_13, BgL_wz00_639, BgL_cz00_651); }  else 
{ 
obj_t BgL_auxz00_2281;
BgL_auxz00_2281 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)14914)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_wz00_639), BgL_newz00_13, 
BINT(BgL_l1800z00_1901)); 
FAILURE(BgL_auxz00_2281,BFALSE,BFALSE);} } 
{ 
long BgL_newzd2lenzd2_2291;long BgL_wz00_2289;long BgL_rz00_2287;
BgL_rz00_2287 = 
(BgL_rz00_638+((long)1)); 
BgL_wz00_2289 = 
(BgL_wz00_639+((long)1)); 
BgL_newzd2lenzd2_2291 = 
(BgL_newzd2lenzd2_640+((long)1)); 
BgL_newzd2lenzd2_640 = BgL_newzd2lenzd2_2291; 
BgL_wz00_639 = BgL_wz00_2289; 
BgL_rz00_638 = BgL_rz00_2287; 
goto BgL_zc3anonymousza31157ze3z83_642;} }  else 
{ /* Llib/bigloo.scm 417 */
long BgL_icz00_656;
BgL_icz00_656 = 
(BgL_cz00_651); 
{ /* Llib/bigloo.scm 418 */
long BgL_l1804z00_1905;
BgL_l1804z00_1905 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_wz00_639, BgL_l1804z00_1905))
{ /* Llib/bigloo.scm 418 */
STRING_SET(BgL_newz00_13, BgL_wz00_639, ((unsigned char)'z')); }  else 
{ 
obj_t BgL_auxz00_2298;
BgL_auxz00_2298 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15049)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_wz00_639), BgL_newz00_13, 
BINT(BgL_l1804z00_1905)); 
FAILURE(BgL_auxz00_2298,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 420 */
long BgL_arg1182z00_657;unsigned char BgL_arg1186z00_658;
BgL_arg1182z00_657 = 
(BgL_wz00_639+((long)1)); 
{ /* Llib/bigloo.scm 421 */
long BgL_i1807z00_1908;
BgL_i1807z00_1908 = 
(BgL_icz00_656 & ((long)15)); 
if(
BOUND_CHECK(BgL_i1807z00_1908, ((long)16)))
{ /* Llib/bigloo.scm 421 */
BgL_arg1186z00_658 = 
STRING_REF(BGl_string1981z00zz__biglooz00, BgL_i1807z00_1908); }  else 
{ 
obj_t BgL_auxz00_2309;
BgL_auxz00_2309 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15116)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1807z00_1908), BGl_string1981z00zz__biglooz00, 
BINT(((long)16))); 
FAILURE(BgL_auxz00_2309,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 419 */
long BgL_l1812z00_1913;
BgL_l1812z00_1913 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_arg1182z00_657, BgL_l1812z00_1913))
{ /* Llib/bigloo.scm 419 */
STRING_SET(BgL_newz00_13, BgL_arg1182z00_657, BgL_arg1186z00_658); }  else 
{ 
obj_t BgL_auxz00_2319;
BgL_auxz00_2319 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15079)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_arg1182z00_657), BgL_newz00_13, 
BINT(BgL_l1812z00_1913)); 
FAILURE(BgL_auxz00_2319,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 423 */
long BgL_arg1194z00_660;unsigned char BgL_arg1201z00_661;
BgL_arg1194z00_660 = 
(BgL_wz00_639+((long)2)); 
{ /* Llib/bigloo.scm 424 */
long BgL_i1815z00_1916;
BgL_i1815z00_1916 = 
(
(BgL_icz00_656 >> 
(int)(((long)4))) & ((long)15)); 
if(
BOUND_CHECK(BgL_i1815z00_1916, ((long)16)))
{ /* Llib/bigloo.scm 424 */
BgL_arg1201z00_661 = 
STRING_REF(BGl_string1981z00zz__biglooz00, BgL_i1815z00_1916); }  else 
{ 
obj_t BgL_auxz00_2332;
BgL_auxz00_2332 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15190)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1815z00_1916), BGl_string1981z00zz__biglooz00, 
BINT(((long)16))); 
FAILURE(BgL_auxz00_2332,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 422 */
long BgL_l1820z00_1921;
BgL_l1820z00_1921 = 
STRING_LENGTH(BgL_newz00_13); 
if(
BOUND_CHECK(BgL_arg1194z00_660, BgL_l1820z00_1921))
{ /* Llib/bigloo.scm 422 */
STRING_SET(BgL_newz00_13, BgL_arg1194z00_660, BgL_arg1201z00_661); }  else 
{ 
obj_t BgL_auxz00_2342;
BgL_auxz00_2342 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15153)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_arg1194z00_660), BgL_newz00_13, 
BINT(BgL_l1820z00_1921)); 
FAILURE(BgL_auxz00_2342,BFALSE,BFALSE);} } } 
{ 
long BgL_checksumz00_2354;long BgL_newzd2lenzd2_2352;long BgL_wz00_2350;long BgL_rz00_2348;
BgL_rz00_2348 = 
(BgL_rz00_638+((long)1)); 
BgL_wz00_2350 = 
(BgL_wz00_639+((long)3)); 
BgL_newzd2lenzd2_2352 = 
(BgL_newzd2lenzd2_640+((long)3)); 
BgL_checksumz00_2354 = 
(BgL_checksumz00_641 ^ 
(BgL_cz00_651)); 
BgL_checksumz00_641 = BgL_checksumz00_2354; 
BgL_newzd2lenzd2_640 = BgL_newzd2lenzd2_2352; 
BgL_wz00_639 = BgL_wz00_2350; 
BgL_rz00_638 = BgL_rz00_2348; 
goto BgL_zc3anonymousza31157ze3z83_642;} } } } } } 
}



/* bigloo-mangle */
BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_17)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 433 */
{ /* Llib/bigloo.scm 434 */
long BgL_lenz00_674;
BgL_lenz00_674 = 
STRING_LENGTH(BgL_stringz00_17); 
{ /* Llib/bigloo.scm 434 */
obj_t BgL_newz00_675;
{ /* Llib/bigloo.scm 435 */
long BgL_arg1218z00_678;
BgL_arg1218z00_678 = 
(
(BgL_lenz00_674*((long)3))+((long)7)); 
{ /* Ieee/string.scm 157 */

{ /* Ieee/string.scm 157 */
obj_t BgL_res1630z00_1288;
{ /* Ieee/string.scm 157 */
obj_t BgL_charz00_1287;
BgL_charz00_1287 = 
BCHAR(((unsigned char)' ')); 
{ /* Ieee/string.scm 157 */
unsigned char BgL_auxz00_2361;
{ /* Ieee/string.scm 157 */
obj_t BgL_auxz00_2362;
if(
CHARP(BgL_charz00_1287))
{ /* Ieee/string.scm 157 */
BgL_auxz00_2362 = BgL_charz00_1287
; }  else 
{ 
obj_t BgL_auxz00_2365;
BgL_auxz00_2365 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1983z00zz__biglooz00, 
BINT(((long)7101)), BGl_string1984z00zz__biglooz00, BGl_string1985z00zz__biglooz00, BgL_charz00_1287); 
FAILURE(BgL_auxz00_2365,BFALSE,BFALSE);} 
BgL_auxz00_2361 = 
CCHAR(BgL_auxz00_2362); } 
BgL_res1630z00_1288 = 
make_string(BgL_arg1218z00_678, BgL_auxz00_2361); } } 
BgL_newz00_675 = BgL_res1630z00_1288; } } } 
{ /* Llib/bigloo.scm 435 */

if(
(BgL_lenz00_674==((long)0)))
{ /* Llib/bigloo.scm 437 */
obj_t BgL_aux1916z00_2018;
BgL_aux1916z00_2018 = 
BGl_errorz00zz__errorz00(BGl_string1986z00zz__biglooz00, BGl_string1987z00zz__biglooz00, BgL_stringz00_17); 
if(
STRINGP(BgL_aux1916z00_2018))
{ /* Llib/bigloo.scm 437 */
return BgL_aux1916z00_2018;}  else 
{ 
obj_t BgL_auxz00_2376;
BgL_auxz00_2376 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15702)), BGl_string1984z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_aux1916z00_2018); 
FAILURE(BgL_auxz00_2376,BFALSE,BFALSE);} }  else 
{ /* Llib/bigloo.scm 438 */
long BgL_stopz00_677;
BgL_stopz00_677 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_675, BgL_stringz00_17, BgL_lenz00_674, ((long)4)); 
BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(BGl_string1988z00zz__biglooz00, ((long)0), BgL_newz00_675, ((long)0), ((long)4)); 
return 
BGl_substringz00zz__r4_strings_6_7z00(BgL_newz00_675, ((long)0), BgL_stopz00_677);} } } } } 
}



/* &bigloo-mangle */
obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t BgL_envz00_1837, obj_t BgL_stringz00_1838)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 433 */
{ /* Llib/bigloo.scm 434 */
obj_t BgL_auxz00_2383;
if(
STRINGP(BgL_stringz00_1838))
{ /* Llib/bigloo.scm 434 */
BgL_auxz00_2383 = BgL_stringz00_1838
; }  else 
{ 
obj_t BgL_auxz00_2386;
BgL_auxz00_2386 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)15597)), BGl_string1989z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1838); 
FAILURE(BgL_auxz00_2386,BFALSE,BFALSE);} 
return 
bigloo_mangle(BgL_auxz00_2383);} } 
}



/* bigloo-module-mangle */
BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_18, obj_t BgL_modulez00_19)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 445 */
{ /* Llib/bigloo.scm 446 */
long BgL_lenz00_682;
BgL_lenz00_682 = 
(
STRING_LENGTH(BgL_idz00_18)+
STRING_LENGTH(BgL_modulez00_19)); 
{ /* Llib/bigloo.scm 446 */
obj_t BgL_newz00_683;
{ /* Llib/bigloo.scm 447 */
long BgL_arg1226z00_691;
BgL_arg1226z00_691 = 
(
(BgL_lenz00_682*((long)3))+((long)12)); 
{ /* Ieee/string.scm 157 */

{ /* Ieee/string.scm 157 */
obj_t BgL_res1637z00_1307;
{ /* Ieee/string.scm 157 */
obj_t BgL_charz00_1306;
BgL_charz00_1306 = 
BCHAR(((unsigned char)' ')); 
{ /* Ieee/string.scm 157 */
unsigned char BgL_auxz00_2397;
{ /* Ieee/string.scm 157 */
obj_t BgL_auxz00_2398;
if(
CHARP(BgL_charz00_1306))
{ /* Ieee/string.scm 157 */
BgL_auxz00_2398 = BgL_charz00_1306
; }  else 
{ 
obj_t BgL_auxz00_2401;
BgL_auxz00_2401 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1983z00zz__biglooz00, 
BINT(((long)7101)), BGl_string1990z00zz__biglooz00, BGl_string1985z00zz__biglooz00, BgL_charz00_1306); 
FAILURE(BgL_auxz00_2401,BFALSE,BFALSE);} 
BgL_auxz00_2397 = 
CCHAR(BgL_auxz00_2398); } 
BgL_res1637z00_1307 = 
make_string(BgL_arg1226z00_691, BgL_auxz00_2397); } } 
BgL_newz00_683 = BgL_res1637z00_1307; } } } 
{ /* Llib/bigloo.scm 447 */

if(
(BgL_lenz00_682==((long)0)))
{ /* Llib/bigloo.scm 449 */
obj_t BgL_aux1922z00_2024;
BgL_aux1922z00_2024 = 
BGl_errorz00zz__errorz00(BGl_string1986z00zz__biglooz00, BGl_string1987z00zz__biglooz00, BGl_stringzd2envzd2zz__r4_strings_6_7z00); 
if(
STRINGP(BgL_aux1922z00_2024))
{ /* Llib/bigloo.scm 449 */
return BgL_aux1922z00_2024;}  else 
{ 
obj_t BgL_auxz00_2412;
BgL_auxz00_2412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16284)), BGl_string1990z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_aux1922z00_2024); 
FAILURE(BgL_auxz00_2412,BFALSE,BFALSE);} }  else 
{ /* Llib/bigloo.scm 450 */
long BgL_modzd2startzd2_685;
BgL_modzd2startzd2_685 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_683, BgL_idz00_18, 
STRING_LENGTH(BgL_idz00_18), ((long)4)); 
{ /* Llib/bigloo.scm 451 */
long BgL_l1824z00_1925;
BgL_l1824z00_1925 = 
STRING_LENGTH(BgL_newz00_683); 
if(
BOUND_CHECK(BgL_modzd2startzd2_685, BgL_l1824z00_1925))
{ /* Llib/bigloo.scm 451 */
STRING_SET(BgL_newz00_683, BgL_modzd2startzd2_685, ((unsigned char)'z')); }  else 
{ 
obj_t BgL_auxz00_2422;
BgL_auxz00_2422 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16419)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_modzd2startzd2_685), BgL_newz00_683, 
BINT(BgL_l1824z00_1925)); 
FAILURE(BgL_auxz00_2422,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 452 */
long BgL_arg1222z00_686;
BgL_arg1222z00_686 = 
(((long)1)+BgL_modzd2startzd2_685); 
{ /* Llib/bigloo.scm 452 */
long BgL_l1828z00_1929;
BgL_l1828z00_1929 = 
STRING_LENGTH(BgL_newz00_683); 
if(
BOUND_CHECK(BgL_arg1222z00_686, BgL_l1828z00_1929))
{ /* Llib/bigloo.scm 452 */
STRING_SET(BgL_newz00_683, BgL_arg1222z00_686, ((unsigned char)'z')); }  else 
{ 
obj_t BgL_auxz00_2433;
BgL_auxz00_2433 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16457)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_arg1222z00_686), BgL_newz00_683, 
BINT(BgL_l1828z00_1929)); 
FAILURE(BgL_auxz00_2433,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 453 */
long BgL_stopz00_687;
BgL_stopz00_687 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_683, BgL_modulez00_19, 
STRING_LENGTH(BgL_modulez00_19), 
(BgL_modzd2startzd2_685+((long)2))); 
BGl_blitzd2stringz12zc0zz__r4_strings_6_7z00(BGl_string1991z00zz__biglooz00, ((long)0), BgL_newz00_683, ((long)0), ((long)4)); 
return 
BGl_substringz00zz__r4_strings_6_7z00(BgL_newz00_683, ((long)0), BgL_stopz00_687);} } } } } } 
}



/* &bigloo-module-mangle */
obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t BgL_envz00_1839, obj_t BgL_idz00_1840, obj_t BgL_modulez00_1841)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 445 */
{ /* Llib/bigloo.scm 446 */
obj_t BgL_auxz00_2451;obj_t BgL_auxz00_2444;
if(
STRINGP(BgL_modulez00_1841))
{ /* Llib/bigloo.scm 446 */
BgL_auxz00_2451 = BgL_modulez00_1841
; }  else 
{ 
obj_t BgL_auxz00_2454;
BgL_auxz00_2454 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16153)), BGl_string1992z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_modulez00_1841); 
FAILURE(BgL_auxz00_2454,BFALSE,BFALSE);} 
if(
STRINGP(BgL_idz00_1840))
{ /* Llib/bigloo.scm 446 */
BgL_auxz00_2444 = BgL_idz00_1840
; }  else 
{ 
obj_t BgL_auxz00_2447;
BgL_auxz00_2447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16153)), BGl_string1992z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_idz00_1840); 
FAILURE(BgL_auxz00_2447,BFALSE,BFALSE);} 
return 
bigloo_module_mangle(BgL_auxz00_2444, BgL_auxz00_2451);} } 
}



/* bigloo-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_20)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 462 */
{ /* Llib/bigloo.scm 463 */
long BgL_lenz00_697;
BgL_lenz00_697 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
(BgL_lenz00_697>((long)7)))
{ /* Llib/bigloo.scm 465 */
bool_t BgL_testz00_2462;
{ /* Llib/bigloo.scm 465 */
bool_t BgL__ortest_1044z00_714;
BgL__ortest_1044z00_714 = 
bigloo_strncmp(BgL_stringz00_20, BGl_string1988z00zz__biglooz00, ((long)4)); 
if(BgL__ortest_1044z00_714)
{ /* Llib/bigloo.scm 465 */
BgL_testz00_2462 = BgL__ortest_1044z00_714
; }  else 
{ /* Llib/bigloo.scm 465 */
BgL_testz00_2462 = 
bigloo_strncmp(BgL_stringz00_20, BGl_string1991z00zz__biglooz00, ((long)4))
; } } 
if(BgL_testz00_2462)
{ /* Llib/bigloo.scm 467 */
bool_t BgL_testz00_2466;
{ /* Llib/bigloo.scm 467 */
unsigned char BgL_auxz00_2467;
{ /* Llib/bigloo.scm 467 */
long BgL_i1831z00_1932;
BgL_i1831z00_1932 = 
(BgL_lenz00_697-((long)3)); 
{ /* Llib/bigloo.scm 467 */
long BgL_l1832z00_1933;
BgL_l1832z00_1933 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
BOUND_CHECK(BgL_i1831z00_1932, BgL_l1832z00_1933))
{ /* Llib/bigloo.scm 467 */
BgL_auxz00_2467 = 
STRING_REF(BgL_stringz00_20, BgL_i1831z00_1932)
; }  else 
{ 
obj_t BgL_auxz00_2473;
BgL_auxz00_2473 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17071)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1831z00_1932), BgL_stringz00_20, 
BINT(BgL_l1832z00_1933)); 
FAILURE(BgL_auxz00_2473,BFALSE,BFALSE);} } } 
BgL_testz00_2466 = 
(BgL_auxz00_2467==((unsigned char)'z')); } 
if(BgL_testz00_2466)
{ /* Llib/bigloo.scm 468 */
bool_t BgL_testz00_2480;
{ /* Llib/bigloo.scm 468 */
bool_t BgL__ortest_1045z00_707;
{ /* Llib/bigloo.scm 468 */
unsigned char BgL_arg1246z00_710;
{ /* Llib/bigloo.scm 468 */
long BgL_i1835z00_1936;
BgL_i1835z00_1936 = 
(BgL_lenz00_697-((long)2)); 
{ /* Llib/bigloo.scm 468 */
long BgL_l1836z00_1937;
BgL_l1836z00_1937 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
BOUND_CHECK(BgL_i1835z00_1936, BgL_l1836z00_1937))
{ /* Llib/bigloo.scm 468 */
BgL_arg1246z00_710 = 
STRING_REF(BgL_stringz00_20, BgL_i1835z00_1936); }  else 
{ 
obj_t BgL_auxz00_2486;
BgL_auxz00_2486 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17134)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1835z00_1936), BgL_stringz00_20, 
BINT(BgL_l1836z00_1937)); 
FAILURE(BgL_auxz00_2486,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 468 */
bool_t BgL_res1652z00_1356;
BgL_res1652z00_1356 = 
isalpha(BgL_arg1246z00_710); 
BgL__ortest_1045z00_707 = BgL_res1652z00_1356; } } 
if(BgL__ortest_1045z00_707)
{ /* Llib/bigloo.scm 468 */
BgL_testz00_2480 = BgL__ortest_1045z00_707
; }  else 
{ /* Llib/bigloo.scm 469 */
unsigned char BgL_arg1243z00_708;
{ /* Llib/bigloo.scm 469 */
long BgL_i1839z00_1940;
BgL_i1839z00_1940 = 
(BgL_lenz00_697-((long)2)); 
{ /* Llib/bigloo.scm 469 */
long BgL_l1840z00_1941;
BgL_l1840z00_1941 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
BOUND_CHECK(BgL_i1839z00_1940, BgL_l1840z00_1941))
{ /* Llib/bigloo.scm 469 */
BgL_arg1243z00_708 = 
STRING_REF(BgL_stringz00_20, BgL_i1839z00_1940); }  else 
{ 
obj_t BgL_auxz00_2499;
BgL_auxz00_2499 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17190)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1839z00_1940), BgL_stringz00_20, 
BINT(BgL_l1840z00_1941)); 
FAILURE(BgL_auxz00_2499,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 469 */
bool_t BgL_res1655z00_1364;
BgL_res1655z00_1364 = 
isdigit(BgL_arg1243z00_708); 
BgL_testz00_2480 = BgL_res1655z00_1364; } } } 
if(BgL_testz00_2480)
{ /* Llib/bigloo.scm 470 */
bool_t BgL__ortest_1046z00_702;
{ /* Llib/bigloo.scm 470 */
unsigned char BgL_arg1240z00_705;
{ /* Llib/bigloo.scm 470 */
long BgL_i1843z00_1944;
BgL_i1843z00_1944 = 
(BgL_lenz00_697-((long)1)); 
{ /* Llib/bigloo.scm 470 */
long BgL_l1844z00_1945;
BgL_l1844z00_1945 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
BOUND_CHECK(BgL_i1843z00_1944, BgL_l1844z00_1945))
{ /* Llib/bigloo.scm 470 */
BgL_arg1240z00_705 = 
STRING_REF(BgL_stringz00_20, BgL_i1843z00_1944); }  else 
{ 
obj_t BgL_auxz00_2511;
BgL_auxz00_2511 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17250)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1843z00_1944), BgL_stringz00_20, 
BINT(BgL_l1844z00_1945)); 
FAILURE(BgL_auxz00_2511,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 470 */
bool_t BgL_res1658z00_1372;
BgL_res1658z00_1372 = 
isalpha(BgL_arg1240z00_705); 
BgL__ortest_1046z00_702 = BgL_res1658z00_1372; } } 
if(BgL__ortest_1046z00_702)
{ /* Llib/bigloo.scm 470 */
return BgL__ortest_1046z00_702;}  else 
{ /* Llib/bigloo.scm 471 */
unsigned char BgL_arg1235z00_703;
{ /* Llib/bigloo.scm 471 */
long BgL_i1847z00_1948;
BgL_i1847z00_1948 = 
(BgL_lenz00_697-((long)1)); 
{ /* Llib/bigloo.scm 471 */
long BgL_l1848z00_1949;
BgL_l1848z00_1949 = 
STRING_LENGTH(BgL_stringz00_20); 
if(
BOUND_CHECK(BgL_i1847z00_1948, BgL_l1848z00_1949))
{ /* Llib/bigloo.scm 471 */
BgL_arg1235z00_703 = 
STRING_REF(BgL_stringz00_20, BgL_i1847z00_1948); }  else 
{ 
obj_t BgL_auxz00_2524;
BgL_auxz00_2524 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17306)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1847z00_1948), BgL_stringz00_20, 
BINT(BgL_l1848z00_1949)); 
FAILURE(BgL_auxz00_2524,BFALSE,BFALSE);} } } 
{ /* Llib/bigloo.scm 471 */
bool_t BgL_res1661z00_1380;
BgL_res1661z00_1380 = 
isdigit(BgL_arg1235z00_703); 
return BgL_res1661z00_1380;} } }  else 
{ /* Llib/bigloo.scm 468 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 467 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 465 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 464 */
return ((bool_t)0);} } } 
}



/* &bigloo-mangled? */
obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t BgL_envz00_1844, obj_t BgL_stringz00_1845)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 462 */
{ /* Llib/bigloo.scm 463 */
bool_t BgL_auxz00_2531;
{ /* Llib/bigloo.scm 463 */
obj_t BgL_auxz00_2532;
if(
STRINGP(BgL_stringz00_1845))
{ /* Llib/bigloo.scm 463 */
BgL_auxz00_2532 = BgL_stringz00_1845
; }  else 
{ 
obj_t BgL_auxz00_2535;
BgL_auxz00_2535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)16923)), BGl_string1993z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1845); 
FAILURE(BgL_auxz00_2535,BFALSE,BFALSE);} 
BgL_auxz00_2531 = 
bigloo_mangledp(BgL_auxz00_2532); } 
return 
BBOOL(BgL_auxz00_2531);} } 
}



/* bigloo-need-mangling? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t BgL_stringz00_21)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 476 */
{ /* Llib/bigloo.scm 477 */
long BgL_lenz00_715;
BgL_lenz00_715 = 
STRING_LENGTH(BgL_stringz00_21); 
if(
(BgL_lenz00_715>((long)0)))
{ /* Llib/bigloo.scm 479 */
bool_t BgL__ortest_1048z00_717;
{ /* Llib/bigloo.scm 479 */
bool_t BgL_testz00_2544;
{ /* Llib/bigloo.scm 479 */
bool_t BgL_testz00_2545;
{ /* Llib/bigloo.scm 479 */
unsigned char BgL_arg1267z00_731;
if(
BOUND_CHECK(((long)0), BgL_lenz00_715))
{ /* Llib/bigloo.scm 479 */
BgL_arg1267z00_731 = 
STRING_REF(BgL_stringz00_21, ((long)0)); }  else 
{ 
obj_t BgL_auxz00_2549;
BgL_auxz00_2549 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17702)), BGl_string1982z00zz__biglooz00, 
BINT(((long)0)), BgL_stringz00_21, 
BINT(BgL_lenz00_715)); 
FAILURE(BgL_auxz00_2549,BFALSE,BFALSE);} 
{ /* Llib/bigloo.scm 479 */
bool_t BgL_res1665z00_1390;
BgL_res1665z00_1390 = 
isalpha(BgL_arg1267z00_731); 
BgL_testz00_2545 = BgL_res1665z00_1390; } } 
if(BgL_testz00_2545)
{ /* Llib/bigloo.scm 479 */
BgL_testz00_2544 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 480 */
unsigned char BgL_auxz00_2556;
{ /* Llib/bigloo.scm 480 */
long BgL_l1856z00_1957;
BgL_l1856z00_1957 = 
STRING_LENGTH(BgL_stringz00_21); 
if(
BOUND_CHECK(((long)0), BgL_l1856z00_1957))
{ /* Llib/bigloo.scm 480 */
BgL_auxz00_2556 = 
STRING_REF(BgL_stringz00_21, ((long)0))
; }  else 
{ 
obj_t BgL_auxz00_2561;
BgL_auxz00_2561 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17736)), BGl_string1982z00zz__biglooz00, 
BINT(((long)0)), BgL_stringz00_21, 
BINT(BgL_l1856z00_1957)); 
FAILURE(BgL_auxz00_2561,BFALSE,BFALSE);} } 
BgL_testz00_2544 = 
(BgL_auxz00_2556==((unsigned char)'_')); } } 
if(BgL_testz00_2544)
{ /* Llib/bigloo.scm 479 */
BgL__ortest_1048z00_717 = ((bool_t)0); }  else 
{ /* Llib/bigloo.scm 479 */
BgL__ortest_1048z00_717 = ((bool_t)1); } } 
if(BgL__ortest_1048z00_717)
{ /* Llib/bigloo.scm 479 */
return BgL__ortest_1048z00_717;}  else 
{ 
long BgL_iz00_719;
BgL_iz00_719 = ((long)1); 
BgL_zc3anonymousza31256ze3z83_720:
if(
(BgL_iz00_719>=BgL_lenz00_715))
{ /* Llib/bigloo.scm 482 */
return ((bool_t)0);}  else 
{ /* Llib/bigloo.scm 484 */
unsigned char BgL_cz00_722;
{ /* Llib/bigloo.scm 484 */
long BgL_l1860z00_1961;
BgL_l1860z00_1961 = 
STRING_LENGTH(BgL_stringz00_21); 
if(
BOUND_CHECK(BgL_iz00_719, BgL_l1860z00_1961))
{ /* Llib/bigloo.scm 484 */
BgL_cz00_722 = 
STRING_REF(BgL_stringz00_21, BgL_iz00_719); }  else 
{ 
obj_t BgL_auxz00_2575;
BgL_auxz00_2575 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17840)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_iz00_719), BgL_stringz00_21, 
BINT(BgL_l1860z00_1961)); 
FAILURE(BgL_auxz00_2575,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 485 */
bool_t BgL_testz00_2581;
{ /* Llib/bigloo.scm 485 */
bool_t BgL_testz00_2582;
{ /* Llib/bigloo.scm 485 */
bool_t BgL_res1670z00_1404;
BgL_res1670z00_1404 = 
isalpha(BgL_cz00_722); 
BgL_testz00_2582 = BgL_res1670z00_1404; } 
if(BgL_testz00_2582)
{ /* Llib/bigloo.scm 485 */
BgL_testz00_2581 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 486 */
bool_t BgL_testz00_2584;
{ /* Llib/bigloo.scm 486 */
bool_t BgL_res1671z00_1406;
BgL_res1671z00_1406 = 
isdigit(BgL_cz00_722); 
BgL_testz00_2584 = BgL_res1671z00_1406; } 
if(BgL_testz00_2584)
{ /* Llib/bigloo.scm 486 */
BgL_testz00_2581 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 486 */
BgL_testz00_2581 = 
(BgL_cz00_722==((unsigned char)'_'))
; } } } 
if(BgL_testz00_2581)
{ 
long BgL_iz00_2587;
BgL_iz00_2587 = 
(BgL_iz00_719+((long)1)); 
BgL_iz00_719 = BgL_iz00_2587; 
goto BgL_zc3anonymousza31256ze3z83_720;}  else 
{ /* Llib/bigloo.scm 485 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/bigloo.scm 478 */
return ((bool_t)0);} } } 
}



/* &bigloo-need-mangling? */
obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t BgL_envz00_1846, obj_t BgL_stringz00_1847)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 476 */
{ /* Llib/bigloo.scm 477 */
bool_t BgL_auxz00_2589;
{ /* Llib/bigloo.scm 477 */
obj_t BgL_auxz00_2590;
if(
STRINGP(BgL_stringz00_1847))
{ /* Llib/bigloo.scm 477 */
BgL_auxz00_2590 = BgL_stringz00_1847
; }  else 
{ 
obj_t BgL_auxz00_2593;
BgL_auxz00_2593 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)17608)), BGl_string1994z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1847); 
FAILURE(BgL_auxz00_2593,BFALSE,BFALSE);} 
BgL_auxz00_2589 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2590); } 
return 
BBOOL(BgL_auxz00_2589);} } 
}



/* bigloo-demangle */
BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_22)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 494 */
{ /* Llib/bigloo.scm 495 */
long BgL_lenz00_732;
BgL_lenz00_732 = 
STRING_LENGTH(BgL_stringz00_22); 
{ /* Llib/bigloo.scm 495 */
long BgL_clenz00_733;
BgL_clenz00_733 = 
(BgL_lenz00_732-((long)3)); 
{ /* Llib/bigloo.scm 496 */

{ 

if(
(BgL_lenz00_732<((long)8)))
{ /* Llib/bigloo.scm 545 */
return 
BGl_errorz00zz__errorz00(BGl_string1995z00zz__biglooz00, BGl_string1996z00zz__biglooz00, BgL_stringz00_22);}  else 
{ /* Llib/bigloo.scm 545 */
if(
bigloo_strncmp(BgL_stringz00_22, BGl_string1988z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 547 */
{ /* Llib/bigloo.scm 535 */
obj_t BgL_strz00_791;
BgL_strz00_791 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_22, BgL_clenz00_733, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 537 */
obj_t BgL_offsetz00_792;
{ /* Llib/bigloo.scm 537 */
int BgL_auxz00_2608;
BgL_auxz00_2608 = 
(int)(((long)1)); 
BgL_offsetz00_792 = 
BGL_MVALUES_VAL(BgL_auxz00_2608); } 
{ /* Llib/bigloo.scm 537 */
int BgL_res1706z00_1515;
{ /* Llib/bigloo.scm 537 */
int BgL_auxz00_2611;
BgL_auxz00_2611 = 
(int)(((long)2)); 
BgL_res1706z00_1515 = 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_2611); } BgL_res1706z00_1515; } 
{ /* Llib/bigloo.scm 537 */
int BgL_auxz00_2614;
BgL_auxz00_2614 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_2614, BUNSPEC); } 
return BgL_strz00_791;} } }  else 
{ /* Llib/bigloo.scm 547 */
if(
bigloo_strncmp(BgL_stringz00_22, BGl_string1991z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 549 */
{ /* Llib/bigloo.scm 539 */
obj_t BgL_idz00_796;
BgL_idz00_796 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_22, BgL_clenz00_733, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 541 */
obj_t BgL_offsetz00_797;
{ /* Llib/bigloo.scm 541 */
int BgL_auxz00_2621;
BgL_auxz00_2621 = 
(int)(((long)1)); 
BgL_offsetz00_797 = 
BGL_MVALUES_VAL(BgL_auxz00_2621); } 
{ /* Llib/bigloo.scm 541 */
obj_t BgL_modulez00_798;
BgL_modulez00_798 = 
BGl_bigloozd2demanglezd2atz00zz__biglooz00(BgL_stringz00_22, BgL_clenz00_733, BgL_offsetz00_797); 
{ /* Llib/bigloo.scm 543 */
obj_t BgL_offsetz00_799;
{ /* Llib/bigloo.scm 543 */
int BgL_auxz00_2625;
BgL_auxz00_2625 = 
(int)(((long)1)); 
BgL_offsetz00_799 = 
BGL_MVALUES_VAL(BgL_auxz00_2625); } 
{ /* Llib/bigloo.scm 543 */
int BgL_res1707z00_1521;
{ /* Llib/bigloo.scm 543 */
int BgL_auxz00_2628;
BgL_auxz00_2628 = 
(int)(((long)2)); 
BgL_res1707z00_1521 = 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_2628); } BgL_res1707z00_1521; } 
{ /* Llib/bigloo.scm 543 */
int BgL_auxz00_2631;
BgL_auxz00_2631 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_2631, BgL_modulez00_798); } 
return BgL_idz00_796;} } } } }  else 
{ /* Llib/bigloo.scm 549 */
return BgL_stringz00_22;} } } } } } } } 
}



/* char->digit */
long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_744)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 502 */
{ /* Llib/bigloo.scm 500 */
bool_t BgL_testz00_2634;
{ /* Llib/bigloo.scm 500 */
bool_t BgL_res1676z00_1419;
BgL_res1676z00_1419 = 
isdigit(BgL_cz00_744); 
BgL_testz00_2634 = BgL_res1676z00_1419; } 
if(BgL_testz00_2634)
{ /* Llib/bigloo.scm 500 */
return 
(
(BgL_cz00_744)-((long)48));}  else 
{ /* Llib/bigloo.scm 500 */
return 
(((long)10)+
(
(BgL_cz00_744)-((long)97)));} } } 
}



/* get-8bits-integer */
long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_1864, obj_t BgL_rz00_750)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 508 */
{ /* Llib/bigloo.scm 507 */

{ /* Llib/bigloo.scm 508 */
long BgL_auxz00_2663;long BgL_auxz00_2641;
{ /* Llib/bigloo.scm 508 */
long BgL_auxz00_2664;
{ /* Llib/bigloo.scm 507 */
unsigned char BgL_auxz00_2665;
{ /* Llib/bigloo.scm 505 */
long BgL_i1867z00_1968;
{ /* Llib/bigloo.scm 505 */
long BgL_za71za7_1439;
{ /* Llib/bigloo.scm 505 */
obj_t BgL_auxz00_2666;
if(
INTEGERP(BgL_rz00_750))
{ /* Llib/bigloo.scm 505 */
BgL_auxz00_2666 = BgL_rz00_750
; }  else 
{ 
obj_t BgL_auxz00_2669;
BgL_auxz00_2669 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18658)), BGl_string1997z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_750); 
FAILURE(BgL_auxz00_2669,BFALSE,BFALSE);} 
BgL_za71za7_1439 = 
(long)CINT(BgL_auxz00_2666); } 
BgL_i1867z00_1968 = 
(BgL_za71za7_1439+((long)2)); } 
{ /* Llib/bigloo.scm 505 */
long BgL_l1868z00_1969;
BgL_l1868z00_1969 = 
STRING_LENGTH(BgL_stringz00_1864); 
if(
BOUND_CHECK(BgL_i1867z00_1968, BgL_l1868z00_1969))
{ /* Llib/bigloo.scm 505 */
BgL_auxz00_2665 = 
STRING_REF(BgL_stringz00_1864, BgL_i1867z00_1968)
; }  else 
{ 
obj_t BgL_auxz00_2679;
BgL_auxz00_2679 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18639)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1867z00_1968), BgL_stringz00_1864, 
BINT(BgL_l1868z00_1969)); 
FAILURE(BgL_auxz00_2679,BFALSE,BFALSE);} } } 
BgL_auxz00_2664 = 
BGl_charzd2ze3digitz31zz__biglooz00(BgL_auxz00_2665); } 
BgL_auxz00_2663 = 
(BgL_auxz00_2664 << 
(int)(((long)4))); } 
{ /* Llib/bigloo.scm 506 */
unsigned char BgL_auxz00_2642;
{ /* Llib/bigloo.scm 504 */
long BgL_i1863z00_1964;
{ /* Llib/bigloo.scm 504 */
long BgL_za71za7_1433;
{ /* Llib/bigloo.scm 504 */
obj_t BgL_auxz00_2643;
if(
INTEGERP(BgL_rz00_750))
{ /* Llib/bigloo.scm 504 */
BgL_auxz00_2643 = BgL_rz00_750
; }  else 
{ 
obj_t BgL_auxz00_2646;
BgL_auxz00_2646 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18621)), BGl_string1997z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_750); 
FAILURE(BgL_auxz00_2646,BFALSE,BFALSE);} 
BgL_za71za7_1433 = 
(long)CINT(BgL_auxz00_2643); } 
BgL_i1863z00_1964 = 
(BgL_za71za7_1433+((long)1)); } 
{ /* Llib/bigloo.scm 504 */
long BgL_l1864z00_1965;
BgL_l1864z00_1965 = 
STRING_LENGTH(BgL_stringz00_1864); 
if(
BOUND_CHECK(BgL_i1863z00_1964, BgL_l1864z00_1965))
{ /* Llib/bigloo.scm 504 */
BgL_auxz00_2642 = 
STRING_REF(BgL_stringz00_1864, BgL_i1863z00_1964)
; }  else 
{ 
obj_t BgL_auxz00_2656;
BgL_auxz00_2656 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18602)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1863z00_1964), BgL_stringz00_1864, 
BINT(BgL_l1864z00_1965)); 
FAILURE(BgL_auxz00_2656,BFALSE,BFALSE);} } } 
BgL_auxz00_2641 = 
BGl_charzd2ze3digitz31zz__biglooz00(BgL_auxz00_2642); } 
return 
(BgL_auxz00_2641+BgL_auxz00_2663);} } } 
}



/* bigloo-demangle-at */
obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_1866, long BgL_clenz00_1865, obj_t BgL_offsetz00_759)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 533 */
{ /* Llib/bigloo.scm 510 */
obj_t BgL_newz00_761;
{ /* Ieee/string.scm 157 */

{ /* Ieee/string.scm 157 */
obj_t BgL_res1688z00_1453;
{ /* Ieee/string.scm 157 */
obj_t BgL_charz00_1452;
BgL_charz00_1452 = 
BCHAR(((unsigned char)' ')); 
{ /* Ieee/string.scm 157 */
unsigned char BgL_auxz00_2690;
{ /* Ieee/string.scm 157 */
obj_t BgL_auxz00_2691;
if(
CHARP(BgL_charz00_1452))
{ /* Ieee/string.scm 157 */
BgL_auxz00_2691 = BgL_charz00_1452
; }  else 
{ 
obj_t BgL_auxz00_2694;
BgL_auxz00_2694 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1983z00zz__biglooz00, 
BINT(((long)7101)), BGl_string1999z00zz__biglooz00, BGl_string1985z00zz__biglooz00, BgL_charz00_1452); 
FAILURE(BgL_auxz00_2694,BFALSE,BFALSE);} 
BgL_auxz00_2690 = 
CCHAR(BgL_auxz00_2691); } 
BgL_res1688z00_1453 = 
make_string(BgL_clenz00_1865, BgL_auxz00_2690); } } 
BgL_newz00_761 = BgL_res1688z00_1453; } } 
{ 
obj_t BgL_rz00_763;long BgL_wz00_764;long BgL_checksumz00_765;
BgL_rz00_763 = BgL_offsetz00_759; 
BgL_wz00_764 = ((long)0); 
BgL_checksumz00_765 = ((long)0); 
BgL_zc3anonymousza31284ze3z83_766:
{ /* Llib/bigloo.scm 514 */
bool_t BgL_testz00_2700;
{ /* Llib/bigloo.scm 514 */
long BgL_n1z00_1454;
{ /* Llib/bigloo.scm 514 */
obj_t BgL_auxz00_2701;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 514 */
BgL_auxz00_2701 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2704;
BgL_auxz00_2704 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18908)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2704,BFALSE,BFALSE);} 
BgL_n1z00_1454 = 
(long)CINT(BgL_auxz00_2701); } 
BgL_testz00_2700 = 
(BgL_n1z00_1454==BgL_clenz00_1865); } 
if(BgL_testz00_2700)
{ /* Llib/bigloo.scm 514 */
if(
(BgL_checksumz00_765==
BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1866, BgL_rz00_763)))
{ /* Llib/bigloo.scm 517 */
obj_t BgL_val0_1077z00_769;long BgL_val1_1078z00_770;
BgL_val0_1077z00_769 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_newz00_761, ((long)0), BgL_wz00_764); 
{ /* Llib/bigloo.scm 517 */
long BgL_za71za7_1460;
{ /* Llib/bigloo.scm 517 */
obj_t BgL_auxz00_2714;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 517 */
BgL_auxz00_2714 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2717;
BgL_auxz00_2717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19043)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2717,BFALSE,BFALSE);} 
BgL_za71za7_1460 = 
(long)CINT(BgL_auxz00_2714); } 
BgL_val1_1078z00_770 = 
(BgL_za71za7_1460+((long)3)); } 
{ /* Llib/bigloo.scm 517 */
int BgL_res1692z00_1464;
{ /* Llib/bigloo.scm 517 */
int BgL_auxz00_2723;
BgL_auxz00_2723 = 
(int)(((long)2)); 
BgL_res1692z00_1464 = 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_2723); } BgL_res1692z00_1464; } 
{ /* Llib/bigloo.scm 517 */
obj_t BgL_auxz00_2728;int BgL_auxz00_2726;
BgL_auxz00_2728 = 
BINT(BgL_val1_1078z00_770); 
BgL_auxz00_2726 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_2726, BgL_auxz00_2728); } 
return BgL_val0_1077z00_769;}  else 
{ /* Llib/bigloo.scm 516 */
return 
BGl_errorz00zz__errorz00(BGl_string1995z00zz__biglooz00, BGl_string2001z00zz__biglooz00, BgL_stringz00_1866);} }  else 
{ /* Llib/bigloo.scm 519 */
unsigned char BgL_cz00_772;
{ /* Llib/bigloo.scm 519 */
long BgL_kz00_1468;
{ /* Llib/bigloo.scm 519 */
obj_t BgL_auxz00_2732;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 519 */
BgL_auxz00_2732 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2735;
BgL_auxz00_2735 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19103)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2735,BFALSE,BFALSE);} 
BgL_kz00_1468 = 
(long)CINT(BgL_auxz00_2732); } 
{ /* Llib/bigloo.scm 519 */
long BgL_l1872z00_1973;
BgL_l1872z00_1973 = 
STRING_LENGTH(BgL_stringz00_1866); 
if(
BOUND_CHECK(BgL_kz00_1468, BgL_l1872z00_1973))
{ /* Llib/bigloo.scm 519 */
BgL_cz00_772 = 
STRING_REF(BgL_stringz00_1866, BgL_kz00_1468); }  else 
{ 
obj_t BgL_auxz00_2744;
BgL_auxz00_2744 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19084)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_kz00_1468), BgL_stringz00_1866, 
BINT(BgL_l1872z00_1973)); 
FAILURE(BgL_auxz00_2744,BFALSE,BFALSE);} } } 
if(
(BgL_cz00_772==((unsigned char)'z')))
{ /* Llib/bigloo.scm 521 */
bool_t BgL_testz00_2752;
{ /* Llib/bigloo.scm 521 */
unsigned char BgL_auxz00_2753;
{ /* Llib/bigloo.scm 521 */
long BgL_i1875z00_1976;
{ /* Llib/bigloo.scm 521 */
long BgL_za71za7_1473;
{ /* Llib/bigloo.scm 521 */
obj_t BgL_auxz00_2754;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 521 */
BgL_auxz00_2754 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2757;
BgL_auxz00_2757 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19171)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2757,BFALSE,BFALSE);} 
BgL_za71za7_1473 = 
(long)CINT(BgL_auxz00_2754); } 
BgL_i1875z00_1976 = 
(BgL_za71za7_1473+((long)1)); } 
{ /* Llib/bigloo.scm 521 */
long BgL_l1876z00_1977;
BgL_l1876z00_1977 = 
STRING_LENGTH(BgL_stringz00_1866); 
if(
BOUND_CHECK(BgL_i1875z00_1976, BgL_l1876z00_1977))
{ /* Llib/bigloo.scm 521 */
BgL_auxz00_2753 = 
STRING_REF(BgL_stringz00_1866, BgL_i1875z00_1976)
; }  else 
{ 
obj_t BgL_auxz00_2767;
BgL_auxz00_2767 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19152)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1875z00_1976), BgL_stringz00_1866, 
BINT(BgL_l1876z00_1977)); 
FAILURE(BgL_auxz00_2767,BFALSE,BFALSE);} } } 
BgL_testz00_2752 = 
(BgL_auxz00_2753==((unsigned char)'z')); } 
if(BgL_testz00_2752)
{ /* Llib/bigloo.scm 522 */
obj_t BgL_val0_1079z00_775;long BgL_val1_1080z00_776;
BgL_val0_1079z00_775 = 
BGl_substringz00zz__r4_strings_6_7z00(BgL_newz00_761, ((long)0), 
(BgL_wz00_764-((long)1))); 
{ /* Llib/bigloo.scm 522 */
long BgL_za71za7_1485;
{ /* Llib/bigloo.scm 522 */
obj_t BgL_auxz00_2776;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 522 */
BgL_auxz00_2776 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2779;
BgL_auxz00_2779 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19232)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2779,BFALSE,BFALSE);} 
BgL_za71za7_1485 = 
(long)CINT(BgL_auxz00_2776); } 
BgL_val1_1080z00_776 = 
(BgL_za71za7_1485+((long)2)); } 
{ /* Llib/bigloo.scm 522 */
int BgL_res1700z00_1489;
{ /* Llib/bigloo.scm 522 */
int BgL_auxz00_2785;
BgL_auxz00_2785 = 
(int)(((long)2)); 
BgL_res1700z00_1489 = 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_2785); } BgL_res1700z00_1489; } 
{ /* Llib/bigloo.scm 522 */
obj_t BgL_auxz00_2790;int BgL_auxz00_2788;
BgL_auxz00_2790 = 
BINT(BgL_val1_1080z00_776); 
BgL_auxz00_2788 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_2788, BgL_auxz00_2790); } 
return BgL_val0_1079z00_775;}  else 
{ /* Llib/bigloo.scm 523 */
long BgL_iz00_778;
BgL_iz00_778 = 
BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_1866, BgL_rz00_763); 
{ /* Llib/bigloo.scm 523 */
unsigned char BgL_ncz00_779;
BgL_ncz00_779 = 
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(BgL_iz00_778); 
{ /* Llib/bigloo.scm 524 */

{ /* Llib/bigloo.scm 525 */
long BgL_l1880z00_1981;
BgL_l1880z00_1981 = 
STRING_LENGTH(BgL_newz00_761); 
if(
BOUND_CHECK(BgL_wz00_764, BgL_l1880z00_1981))
{ /* Llib/bigloo.scm 525 */
STRING_SET(BgL_newz00_761, BgL_wz00_764, BgL_ncz00_779); }  else 
{ 
obj_t BgL_auxz00_2799;
BgL_auxz00_2799 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19323)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_wz00_764), BgL_newz00_761, 
BINT(BgL_l1880z00_1981)); 
FAILURE(BgL_auxz00_2799,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 526 */
long BgL_arg1301z00_780;long BgL_arg1308z00_781;long BgL_arg1314z00_782;
{ /* Llib/bigloo.scm 526 */
long BgL_za71za7_1495;
{ /* Llib/bigloo.scm 526 */
obj_t BgL_auxz00_2805;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 526 */
BgL_auxz00_2805 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2808;
BgL_auxz00_2808 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19357)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2808,BFALSE,BFALSE);} 
BgL_za71za7_1495 = 
(long)CINT(BgL_auxz00_2805); } 
BgL_arg1301z00_780 = 
(BgL_za71za7_1495+((long)3)); } 
BgL_arg1308z00_781 = 
(BgL_wz00_764+((long)1)); 
BgL_arg1314z00_782 = 
(BgL_checksumz00_765 ^ BgL_iz00_778); 
{ 
long BgL_checksumz00_2819;long BgL_wz00_2818;obj_t BgL_rz00_2816;
BgL_rz00_2816 = 
BINT(BgL_arg1301z00_780); 
BgL_wz00_2818 = BgL_arg1308z00_781; 
BgL_checksumz00_2819 = BgL_arg1314z00_782; 
BgL_checksumz00_765 = BgL_checksumz00_2819; 
BgL_wz00_764 = BgL_wz00_2818; 
BgL_rz00_763 = BgL_rz00_2816; 
goto BgL_zc3anonymousza31284ze3z83_766;} } } } } }  else 
{ /* Llib/bigloo.scm 520 */
{ /* Llib/bigloo.scm 530 */
long BgL_l1884z00_1985;
BgL_l1884z00_1985 = 
STRING_LENGTH(BgL_newz00_761); 
if(
BOUND_CHECK(BgL_wz00_764, BgL_l1884z00_1985))
{ /* Llib/bigloo.scm 530 */
STRING_SET(BgL_newz00_761, BgL_wz00_764, BgL_cz00_772); }  else 
{ 
obj_t BgL_auxz00_2824;
BgL_auxz00_2824 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19443)), BGl_string1972z00zz__biglooz00, 
BINT(BgL_wz00_764), BgL_newz00_761, 
BINT(BgL_l1884z00_1985)); 
FAILURE(BgL_auxz00_2824,BFALSE,BFALSE);} } 
{ /* Llib/bigloo.scm 531 */
long BgL_arg1318z00_785;long BgL_arg1319z00_786;
{ /* Llib/bigloo.scm 531 */
long BgL_za71za7_1507;
{ /* Llib/bigloo.scm 531 */
obj_t BgL_auxz00_2830;
if(
INTEGERP(BgL_rz00_763))
{ /* Llib/bigloo.scm 531 */
BgL_auxz00_2830 = BgL_rz00_763
; }  else 
{ 
obj_t BgL_auxz00_2833;
BgL_auxz00_2833 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)19479)), BGl_string2000z00zz__biglooz00, BGl_string1998z00zz__biglooz00, BgL_rz00_763); 
FAILURE(BgL_auxz00_2833,BFALSE,BFALSE);} 
BgL_za71za7_1507 = 
(long)CINT(BgL_auxz00_2830); } 
BgL_arg1318z00_785 = 
(BgL_za71za7_1507+((long)1)); } 
BgL_arg1319z00_786 = 
(BgL_wz00_764+((long)1)); 
{ 
long BgL_wz00_2842;obj_t BgL_rz00_2840;
BgL_rz00_2840 = 
BINT(BgL_arg1318z00_785); 
BgL_wz00_2842 = BgL_arg1319z00_786; 
BgL_wz00_764 = BgL_wz00_2842; 
BgL_rz00_763 = BgL_rz00_2840; 
goto BgL_zc3anonymousza31284ze3z83_766;} } } } } } } } 
}



/* &bigloo-demangle */
obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t BgL_envz00_1848, obj_t BgL_stringz00_1849)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 494 */
{ /* Llib/bigloo.scm 495 */
obj_t BgL_auxz00_2843;
if(
STRINGP(BgL_stringz00_1849))
{ /* Llib/bigloo.scm 495 */
BgL_auxz00_2843 = BgL_stringz00_1849
; }  else 
{ 
obj_t BgL_auxz00_2846;
BgL_auxz00_2846 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)18251)), BGl_string2002z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1849); 
FAILURE(BgL_auxz00_2846,BFALSE,BFALSE);} 
return 
bigloo_demangle(BgL_auxz00_2843);} } 
}



/* bigloo-class-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_23)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 557 */
{ /* Llib/bigloo.scm 558 */
long BgL_lenz00_808;
BgL_lenz00_808 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
(BgL_lenz00_808>((long)8)))
{ /* Llib/bigloo.scm 560 */
bool_t BgL_testz00_2854;
{ /* Llib/bigloo.scm 560 */
unsigned char BgL_auxz00_2855;
{ /* Llib/bigloo.scm 560 */
long BgL_i1887z00_1988;
BgL_i1887z00_1988 = 
(BgL_lenz00_808-((long)1)); 
if(
BOUND_CHECK(BgL_i1887z00_1988, BgL_lenz00_808))
{ /* Llib/bigloo.scm 560 */
BgL_auxz00_2855 = 
STRING_REF(BgL_stringz00_23, BgL_i1887z00_1988)
; }  else 
{ 
obj_t BgL_auxz00_2860;
BgL_auxz00_2860 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20456)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1887z00_1988), BgL_stringz00_23, 
BINT(BgL_lenz00_808)); 
FAILURE(BgL_auxz00_2860,BFALSE,BFALSE);} } 
BgL_testz00_2854 = 
(BgL_auxz00_2855==((unsigned char)'t')); } 
if(BgL_testz00_2854)
{ /* Llib/bigloo.scm 561 */
bool_t BgL_testz00_2867;
{ /* Llib/bigloo.scm 561 */
unsigned char BgL_auxz00_2868;
{ /* Llib/bigloo.scm 561 */
long BgL_i1891z00_1992;
BgL_i1891z00_1992 = 
(BgL_lenz00_808-((long)2)); 
{ /* Llib/bigloo.scm 561 */
long BgL_l1892z00_1993;
BgL_l1892z00_1993 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
BOUND_CHECK(BgL_i1891z00_1992, BgL_l1892z00_1993))
{ /* Llib/bigloo.scm 561 */
BgL_auxz00_2868 = 
STRING_REF(BgL_stringz00_23, BgL_i1891z00_1992)
; }  else 
{ 
obj_t BgL_auxz00_2874;
BgL_auxz00_2874 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20505)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1891z00_1992), BgL_stringz00_23, 
BINT(BgL_l1892z00_1993)); 
FAILURE(BgL_auxz00_2874,BFALSE,BFALSE);} } } 
BgL_testz00_2867 = 
(BgL_auxz00_2868==((unsigned char)'l')); } 
if(BgL_testz00_2867)
{ /* Llib/bigloo.scm 562 */
bool_t BgL_testz00_2881;
{ /* Llib/bigloo.scm 562 */
unsigned char BgL_auxz00_2882;
{ /* Llib/bigloo.scm 562 */
long BgL_i1895z00_1996;
BgL_i1895z00_1996 = 
(BgL_lenz00_808-((long)3)); 
{ /* Llib/bigloo.scm 562 */
long BgL_l1896z00_1997;
BgL_l1896z00_1997 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
BOUND_CHECK(BgL_i1895z00_1996, BgL_l1896z00_1997))
{ /* Llib/bigloo.scm 562 */
BgL_auxz00_2882 = 
STRING_REF(BgL_stringz00_23, BgL_i1895z00_1996)
; }  else 
{ 
obj_t BgL_auxz00_2888;
BgL_auxz00_2888 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20554)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1895z00_1996), BgL_stringz00_23, 
BINT(BgL_l1896z00_1997)); 
FAILURE(BgL_auxz00_2888,BFALSE,BFALSE);} } } 
BgL_testz00_2881 = 
(BgL_auxz00_2882==((unsigned char)'g')); } 
if(BgL_testz00_2881)
{ /* Llib/bigloo.scm 563 */
bool_t BgL_testz00_2895;
{ /* Llib/bigloo.scm 563 */
unsigned char BgL_auxz00_2896;
{ /* Llib/bigloo.scm 563 */
long BgL_i1899z00_2000;
BgL_i1899z00_2000 = 
(BgL_lenz00_808-((long)4)); 
{ /* Llib/bigloo.scm 563 */
long BgL_l1900z00_2001;
BgL_l1900z00_2001 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
BOUND_CHECK(BgL_i1899z00_2000, BgL_l1900z00_2001))
{ /* Llib/bigloo.scm 563 */
BgL_auxz00_2896 = 
STRING_REF(BgL_stringz00_23, BgL_i1899z00_2000)
; }  else 
{ 
obj_t BgL_auxz00_2902;
BgL_auxz00_2902 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20603)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1899z00_2000), BgL_stringz00_23, 
BINT(BgL_l1900z00_2001)); 
FAILURE(BgL_auxz00_2902,BFALSE,BFALSE);} } } 
BgL_testz00_2895 = 
(BgL_auxz00_2896==((unsigned char)'b')); } 
if(BgL_testz00_2895)
{ /* Llib/bigloo.scm 564 */
bool_t BgL_testz00_2909;
{ /* Llib/bigloo.scm 564 */
unsigned char BgL_auxz00_2910;
{ /* Llib/bigloo.scm 564 */
long BgL_i1903z00_2004;
BgL_i1903z00_2004 = 
(BgL_lenz00_808-((long)5)); 
{ /* Llib/bigloo.scm 564 */
long BgL_l1904z00_2005;
BgL_l1904z00_2005 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
BOUND_CHECK(BgL_i1903z00_2004, BgL_l1904z00_2005))
{ /* Llib/bigloo.scm 564 */
BgL_auxz00_2910 = 
STRING_REF(BgL_stringz00_23, BgL_i1903z00_2004)
; }  else 
{ 
obj_t BgL_auxz00_2916;
BgL_auxz00_2916 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20652)), BGl_string1982z00zz__biglooz00, 
BINT(BgL_i1903z00_2004), BgL_stringz00_23, 
BINT(BgL_l1904z00_2005)); 
FAILURE(BgL_auxz00_2916,BFALSE,BFALSE);} } } 
BgL_testz00_2909 = 
(BgL_auxz00_2910==((unsigned char)'_')); } 
if(BgL_testz00_2909)
{ /* Llib/bigloo.scm 564 */
return 
bigloo_mangledp(
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_23, ((long)0), 
(BgL_lenz00_808-((long)5))));}  else 
{ /* Llib/bigloo.scm 564 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 563 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 562 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 561 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 560 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 559 */
return ((bool_t)0);} } } 
}



/* &bigloo-class-mangled? */
obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t BgL_envz00_1850, obj_t BgL_stringz00_1851)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 557 */
{ /* Llib/bigloo.scm 558 */
bool_t BgL_auxz00_2926;
{ /* Llib/bigloo.scm 558 */
obj_t BgL_auxz00_2927;
if(
STRINGP(BgL_stringz00_1851))
{ /* Llib/bigloo.scm 558 */
BgL_auxz00_2927 = BgL_stringz00_1851
; }  else 
{ 
obj_t BgL_auxz00_2930;
BgL_auxz00_2930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)20385)), BGl_string2003z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1851); 
FAILURE(BgL_auxz00_2930,BFALSE,BFALSE);} 
BgL_auxz00_2926 = 
bigloo_class_mangledp(BgL_auxz00_2927); } 
return 
BBOOL(BgL_auxz00_2926);} } 
}



/* bigloo-class-demangle */
BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_24)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 570 */
{ /* Llib/bigloo.scm 572 */
obj_t BgL_arg1336z00_827;
BgL_arg1336z00_827 = 
bigloo_demangle(
BGl_substringz00zz__r4_strings_6_7z00(BgL_stringz00_24, ((long)0), 
(
STRING_LENGTH(BgL_stringz00_24)-((long)5)))); 
{ /* Llib/bigloo.scm 571 */
obj_t BgL_auxz00_2940;
if(
STRINGP(BgL_arg1336z00_827))
{ /* Llib/bigloo.scm 571 */
BgL_auxz00_2940 = BgL_arg1336z00_827
; }  else 
{ 
obj_t BgL_auxz00_2943;
BgL_auxz00_2943 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)21015)), BGl_string2004z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_arg1336z00_827); 
FAILURE(BgL_auxz00_2943,BFALSE,BFALSE);} 
return 
string_append(BgL_auxz00_2940, BGl_string2005z00zz__biglooz00);} } } 
}



/* &bigloo-class-demangle */
obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t BgL_envz00_1852, obj_t BgL_stringz00_1853)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 570 */
{ /* Llib/bigloo.scm 572 */
obj_t BgL_auxz00_2948;
if(
STRINGP(BgL_stringz00_1853))
{ /* Llib/bigloo.scm 572 */
BgL_auxz00_2948 = BgL_stringz00_1853
; }  else 
{ 
obj_t BgL_auxz00_2951;
BgL_auxz00_2951 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)21077)), BGl_string2006z00zz__biglooz00, BGl_string1976z00zz__biglooz00, BgL_stringz00_1853); 
FAILURE(BgL_auxz00_2951,BFALSE,BFALSE);} 
return 
bigloo_class_demangle(BgL_auxz00_2948);} } 
}



/* bigloo-exit-mutex */
BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 583 */
return BGl_za2exitzd2mutexza2zd2zz__biglooz00;} 
}



/* &bigloo-exit-mutex */
obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t BgL_envz00_1854)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 583 */
return BGl_za2exitzd2mutexza2zd2zz__biglooz00;} 
}



/* register-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_25)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 594 */
{ /* Llib/bigloo.scm 595 */
obj_t BgL_arg1340z00_831;
BgL_arg1340z00_831 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_arg1340z00_831); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_arg1340z00_831, ((long)0)); } } } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_25, 
(int)(((long)1))))
{ /* Llib/bigloo.scm 596 */
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
MAKE_PAIR(BgL_funz00_25, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); }  else 
{ /* Llib/bigloo.scm 596 */
BGl_errorz00zz__errorz00(BGl_string2007z00zz__biglooz00, BGl_string2008z00zz__biglooz00, BgL_funz00_25); } 
{ /* Llib/bigloo.scm 601 */
obj_t BgL_arg1343z00_835;
BgL_arg1343z00_835 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
return 
BBOOL(
bgl_mutex_unlock(BgL_arg1343z00_835));} } 
}



/* &register-exit-function! */
obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t BgL_envz00_1855, obj_t BgL_funz00_1856)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 594 */
{ /* Llib/bigloo.scm 595 */
obj_t BgL_auxz00_2967;
if(
PROCEDUREP(BgL_funz00_1856))
{ /* Llib/bigloo.scm 595 */
BgL_auxz00_2967 = BgL_funz00_1856
; }  else 
{ 
obj_t BgL_auxz00_2970;
BgL_auxz00_2970 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)22214)), BGl_string2009z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_funz00_1856); 
FAILURE(BgL_auxz00_2970,BFALSE,BFALSE);} 
return 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2967);} } 
}



/* bigloo-exit-apply */
BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_26)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 606 */
{ /* Llib/bigloo.scm 607 */
obj_t BgL_mutz00_836;
{ /* Llib/bigloo.scm 607 */
bool_t BgL_testz00_2975;
{ /* Llib/bigloo.scm 607 */
obj_t BgL_arg1351z00_851;
BgL_arg1351z00_851 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 607 */
bool_t BgL_res1732z00_1601;
BgL_res1732z00_1601 = 
BGL_MUTEXP(BgL_arg1351z00_851); 
BgL_testz00_2975 = BgL_res1732z00_1601; } } 
if(BgL_testz00_2975)
{ /* Llib/bigloo.scm 607 */
BgL_mutz00_836 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; }  else 
{ /* Llib/bigloo.scm 609 */
obj_t BgL_res1733z00_1603;
BgL_res1733z00_1603 = 
bgl_make_mutex(BGl_symbol1968z00zz__biglooz00); 
BgL_mutz00_836 = BgL_res1733z00_1603; } } 
{ /* Llib/thread.scm 202 */

if(
(((long)0)==((long)0)))
{ /* Llib/thread.scm 202 */
bgl_mutex_lock(BgL_mutz00_836); }  else 
{ /* Llib/thread.scm 202 */
bgl_mutex_timed_lock(BgL_mutz00_836, ((long)0)); } } 
{ 
obj_t BgL_valz00_840;
BgL_valz00_840 = BgL_valz00_26; 
BgL_zc3anonymousza31344ze3z83_841:
{ /* Llib/bigloo.scm 612 */
obj_t BgL_valz00_842;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_840))
{ /* Llib/bigloo.scm 612 */
BgL_valz00_842 = BgL_valz00_840; }  else 
{ /* Llib/bigloo.scm 612 */
BgL_valz00_842 = 
BINT(((long)0)); } 
if(
PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 616 */
obj_t BgL_funz00_844;
BgL_funz00_844 = 
CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
{ /* Llib/bigloo.scm 618 */
obj_t BgL_nvalz00_845;
{ /* Llib/bigloo.scm 618 */
obj_t BgL_funz00_2066;
if(
PROCEDUREP(BgL_funz00_844))
{ /* Llib/bigloo.scm 618 */
BgL_funz00_2066 = BgL_funz00_844; }  else 
{ 
obj_t BgL_auxz00_2991;
BgL_auxz00_2991 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)23074)), BGl_string2000z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_funz00_844); 
FAILURE(BgL_auxz00_2991,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2066, ((long)1)))
{ /* Llib/bigloo.scm 618 */
BgL_nvalz00_845 = 
PROCEDURE_ENTRY(BgL_funz00_2066)(BgL_funz00_844, BgL_valz00_842, BEOA); }  else 
{ /* Llib/bigloo.scm 618 */
FAILURE(BGl_string2010z00zz__biglooz00,BGl_list2011z00zz__biglooz00,BgL_funz00_2066);} } 
{ /* Llib/bigloo.scm 619 */
obj_t BgL_arg1347z00_846;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nvalz00_845))
{ /* Llib/bigloo.scm 619 */
BgL_arg1347z00_846 = BgL_nvalz00_845; }  else 
{ /* Llib/bigloo.scm 619 */
BgL_arg1347z00_846 = BgL_valz00_842; } 
{ 
obj_t BgL_valz00_3004;
BgL_valz00_3004 = BgL_arg1347z00_846; 
BgL_valz00_840 = BgL_valz00_3004; 
goto BgL_zc3anonymousza31344ze3z83_841;} } } }  else 
{ /* Llib/bigloo.scm 615 */
bgl_mutex_unlock(BgL_mutz00_836); 
return BgL_valz00_842;} } } } } 
}



/* &bigloo-exit-apply */
obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t BgL_envz00_1857, obj_t BgL_valz00_1858)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 606 */
return 
bigloo_exit_apply(BgL_valz00_1858);} 
}



/* time */
BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_27)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 627 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, 
(int)(((long)0))))
{ /* Llib/bigloo.scm 628 */
return 
bgl_time(BgL_procz00_27);}  else 
{ /* Llib/bigloo.scm 628 */
return 
BGl_errorz00zz__errorz00(BGl_symbol2018z00zz__biglooz00, BGl_string2008z00zz__biglooz00, BgL_procz00_27);} } 
}



/* &time */
obj_t BGl_z62timez62zz__biglooz00(obj_t BgL_envz00_1859, obj_t BgL_procz00_1860)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 627 */
{ /* Llib/bigloo.scm 628 */
obj_t BgL_auxz00_3012;
if(
PROCEDUREP(BgL_procz00_1860))
{ /* Llib/bigloo.scm 628 */
BgL_auxz00_3012 = BgL_procz00_1860
; }  else 
{ 
obj_t BgL_auxz00_3015;
BgL_auxz00_3015 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1971z00zz__biglooz00, 
BINT(((long)23428)), BGl_string2020z00zz__biglooz00, BGl_string1978z00zz__biglooz00, BgL_procz00_1860); 
FAILURE(BgL_auxz00_3015,BFALSE,BFALSE);} 
return 
BGl_timez00zz__biglooz00(BgL_auxz00_3012);} } 
}



/* bmem-reset! */
BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 639 */
return 
bgl_bmem_reset();} 
}



/* &bmem-reset! */
obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t BgL_envz00_1861)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 639 */
return 
bgl_bmem_reset();} 
}



/* bigloo-gc-verbose-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t BgL_procz00_28)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 647 */
bgl_gc_verbose_set(BgL_procz00_28); 
return BUNSPEC;} 
}



/* &bigloo-gc-verbose-set! */
obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t BgL_envz00_1862, obj_t BgL_procz00_1863)
{ AN_OBJECT;
{ /* Llib/bigloo.scm 647 */
return 
BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(
CBOOL(BgL_procz00_1863));} 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
{ AN_OBJECT;
{ /* Llib/bigloo.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)373318193), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)507523616), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)441709255), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)223284409), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)220651073), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00)); 
return 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)159639574), 
BSTRING_TO_STRING(BGl_string2021z00zz__biglooz00));} 
}

#ifdef __cplusplus
}
#endif
