/*===========================================================================*/
/*   (Eval/evenv.scm)                                                        */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evenv.scm -indent -o objs/obj_u/Eval/evenv.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_z62exceptionz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
	}                      *BgL_z62exceptionz62_bglt;

	typedef struct BgL_z62warningz62_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_argsz00;
	}                    *BgL_z62warningz62_bglt;

	typedef struct BgL_z62evalzd2warningzb0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_fnamez00;
		obj_t BgL_locationz00;
		obj_t BgL_stackz00;
		obj_t BgL_argsz00;
	}                           *BgL_z62evalzd2warningzb0_bglt;


	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62definezd2primopzd2refz12z70zz__evenvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62makezd2evalzd2globalz62zz__evenvz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evalzd2globalzd2namez62zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evenvz00 = BUNSPEC;
	static obj_t BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evalzd2globalzf3z43zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evenvz00();
	static obj_t BGl_objectzd2initzd2zz__evenvz00();
	static obj_t BGl_z62unbindzd2primopz12za2zz__evenvz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evalzd2globalzd2modulez62zz__evenvz00(obj_t, obj_t);
	extern obj_t BGl_rempropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evenvz00();
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2tagzd2setz12zc0zz__evenvz00(obj_t,
		int);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2locz00zz__evenvz00(obj_t);
	static obj_t BGl_z62evalzd2globalzd2locz62zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL int BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t);
	static obj_t BGl_z62evalzd2globalzd2tagz62zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00();
	extern obj_t BGl_z62evalzd2warningzb0zz__objectz00;
	static obj_t BGl_z62evalzd2globalzd2valuez62zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_z62definezd2primopz12za2zz__evenvz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evenvz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00();
	BGL_EXPORTED_DECL obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2modulez00zz__evenvz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
	extern obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2globalz00zz__evenvz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t);
	extern obj_t BGl_warningzd2notifyzd2zz__errorz00(obj_t);
	static obj_t BGl_z62evalzd2lookupzb0zz__evenvz00(obj_t, obj_t);
	static obj_t BGl_symbol1480z00zz__evenvz00 = BUNSPEC;
	static obj_t BGl_symbol1485z00zz__evenvz00 = BUNSPEC;
	static obj_t BGl_symbol1490z00zz__evenvz00 = BUNSPEC;
	static obj_t
		BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00(obj_t);
	static obj_t BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl_za762unbindza7d2prim1503z00,
		BGl_z62unbindzd2primopz12za2zz__evenvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1500z00zz__evenvz00,
		BgL_bgl_string1500za700za7za7_1504za7, "&eval-global-value", 18);
	      DEFINE_STRING(BGl_string1501z00zz__evenvz00,
		BgL_bgl_string1501za700za7za7_1505za7, "&set-eval-global-value!", 23);
	      DEFINE_STRING(BGl_string1502z00zz__evenvz00,
		BgL_bgl_string1502za700za7za7_1506za7, "__evenv", 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2valuezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1507z00,
		BGl_z62evalzd2globalzd2valuez62zz__evenvz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzf3zd2envzf3zz__evenvz00,
		BgL_bgl_za762evalza7d2global1508z00, BGl_z62evalzd2globalzf3z43zz__evenvz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1481z00zz__evenvz00,
		BgL_bgl_string1481za700za7za7_1509za7, "nothing", 7);
	      DEFINE_STRING(BGl_string1482z00zz__evenvz00,
		BgL_bgl_string1482za700za7za7_1510za7, "/tmp/bigloo/runtime/Eval/evenv.scm",
		34);
	      DEFINE_STRING(BGl_string1483z00zz__evenvz00,
		BgL_bgl_string1483za700za7za7_1511za7, "&make-eval-global", 17);
	      DEFINE_STRING(BGl_string1484z00zz__evenvz00,
		BgL_bgl_string1484za700za7za7_1512za7, "symbol", 6);
	      DEFINE_STRING(BGl_string1486z00zz__evenvz00,
		BgL_bgl_string1486za700za7za7_1513za7, "_0000", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2namezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1514z00,
		BGl_z62evalzd2globalzd2namez62zz__evenvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1487z00zz__evenvz00,
		BgL_bgl_string1487za700za7za7_1515za7, "&bind-eval-global!", 18);
	      DEFINE_STRING(BGl_string1488z00zz__evenvz00,
		BgL_bgl_string1488za700za7za7_1516za7, "vector", 6);
	      DEFINE_STRING(BGl_string1489z00zz__evenvz00,
		BgL_bgl_string1489za700za7za7_1517za7, "&unbind-primop!", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2tagzd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1518z00,
		BGl_z62evalzd2globalzd2tagz62zz__evenvz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1491z00zz__evenvz00,
		BgL_bgl_string1491za700za7za7_1519za7, "_0000_assert", 12);
	      DEFINE_STRING(BGl_string1492z00zz__evenvz00,
		BgL_bgl_string1492za700za7za7_1520za7, "&define-primop!", 15);
	      DEFINE_STRING(BGl_string1493z00zz__evenvz00,
		BgL_bgl_string1493za700za7za7_1521za7, "Rebinding compiled constant", 27);
	      DEFINE_STRING(BGl_string1494z00zz__evenvz00,
		BgL_bgl_string1494za700za7za7_1522za7, "&define-primop-ref!", 19);
	      DEFINE_STRING(BGl_string1495z00zz__evenvz00,
		BgL_bgl_string1495za700za7za7_1523za7, "&eval-lookup", 12);
	      DEFINE_STRING(BGl_string1496z00zz__evenvz00,
		BgL_bgl_string1496za700za7za7_1524za7, "&eval-global-tag", 16);
	      DEFINE_STRING(BGl_string1497z00zz__evenvz00,
		BgL_bgl_string1497za700za7za7_1525za7, "&eval-global-tag-set!", 21);
	      DEFINE_STRING(BGl_string1498z00zz__evenvz00,
		BgL_bgl_string1498za700za7za7_1526za7, "bint", 4);
	      DEFINE_STRING(BGl_string1499z00zz__evenvz00,
		BgL_bgl_string1499za700za7za7_1527za7, "&eval-global-name", 17);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evalzd2globalzd2tagzd2setz12zd2envz12zz__evenvz00,
		BgL_bgl_za762evalza7d2global1528z00,
		BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2lookupzd2envz00zz__evenvz00,
		BgL_bgl_za762evalza7d2lookup1529z00, BGl_z62evalzd2lookupzb0zz__evenvz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2loczd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1530z00,
		BGl_z62evalzd2globalzd2locz62zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refz12zd2envzc0zz__evenvz00,
		BgL_bgl_za762defineza7d2prim1531z00,
		BGl_z62definezd2primopzd2refz12z70zz__evenvz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_definezd2primopz12zd2envz12zz__evenvz00,
		BgL_bgl_za762defineza7d2prim1532z00,
		BGl_z62definezd2primopz12za2zz__evenvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bindzd2evalzd2globalz12zd2envzc0zz__evenvz00,
		BgL_bgl_za762bindza7d2evalza7d1533za7,
		BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_evalzd2globalzd2modulezd2envzd2zz__evenvz00,
		BgL_bgl_za762evalza7d2global1534z00,
		BGl_z62evalzd2globalzd2modulez62zz__evenvz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2thezd2globalzd2environmentz12zd2envz12zz__evenvz00,
		BgL_bgl_za762initza7d2theza7d21535za7,
		BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evalzd2globalzd2valuez12zd2envz12zz__evenvz00,
		BgL_bgl_za762setza7d2evalza7d21536za7,
		BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2evalzd2globalzd2envzd2zz__evenvz00,
		BgL_bgl_za762makeza7d2evalza7d1537za7,
		BGl_z62makezd2evalzd2globalz62zz__evenvz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long
		BgL_checksumz00_1264, char *BgL_fromz00_1265)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evenvz00))
				{
					BGl_requirezd2initializa7ationz75zz__evenvz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evenvz00();
					BGl_importedzd2moduleszd2initz00zz__evenvz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			BGl_symbol1480z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1481z00zz__evenvz00);
			BGl_symbol1485z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1486z00zz__evenvz00);
			return (BGl_symbol1490z00zz__evenvz00 =
				bstring_to_symbol(BGl_string1491z00zz__evenvz00), BUNSPEC);
		}
	}



/* init-the-global-environment! */
	BGL_EXPORTED_DEF obj_t
		BGl_initzd2thezd2globalzd2environmentz12zc0zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 84 */
			return BGl_symbol1480z00zz__evenvz00;
		}
	}



/* &init-the-global-environment! */
	obj_t BGl_z62initzd2thezd2globalzd2environmentz12za2zz__evenvz00(obj_t
		BgL_envz00_1183)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 84 */
			return BGl_symbol1480z00zz__evenvz00;
		}
	}



/* eval-global? */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzf3z21zz__evenvz00(obj_t
		BgL_variablez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 103 */
			if (VECTORP(BgL_variablez00_3))
				{	/* Eval/evenv.scm 104 */
					int BgL_arg1114z00_1245;

					BgL_arg1114z00_1245 = VECTOR_LENGTH(BgL_variablez00_3);
					return BBOOL(((long) (BgL_arg1114z00_1245) == ((long) 5)));
				}
			else
				{	/* Eval/evenv.scm 104 */
					return BFALSE;
				}
		}
	}



/* &eval-global? */
	obj_t BGl_z62evalzd2globalzf3z43zz__evenvz00(obj_t BgL_envz00_1184,
		obj_t BgL_variablez00_1185)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 103 */
			if (VECTORP(BgL_variablez00_1185))
				{	/* Eval/evenv.scm 104 */
					int BgL_arg1114z00_1247;

					BgL_arg1114z00_1247 = VECTOR_LENGTH(BgL_variablez00_1185);
					return BBOOL(((long) (BgL_arg1114z00_1247) == ((long) 5)));
				}
			else
				{	/* Eval/evenv.scm 104 */
					return BFALSE;
				}
		}
	}



/* make-eval-global */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2globalz00zz__evenvz00(obj_t
		BgL_idz00_4, obj_t BgL_modz00_5, obj_t BgL_locz00_6)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 111 */
			{	/* Eval/evenv.scm 112 */
				obj_t BgL_v1062z00_1248;

				BgL_v1062z00_1248 = create_vector((int) (((long) 5)));
				VECTOR_SET(BgL_v1062z00_1248, (int) (((long) 4)), BgL_locz00_6);
				VECTOR_SET(BgL_v1062z00_1248, (int) (((long) 3)), BgL_modz00_5);
				VECTOR_SET(BgL_v1062z00_1248, (int) (((long) 2)), BUNSPEC);
				VECTOR_SET(BgL_v1062z00_1248, (int) (((long) 1)), BgL_idz00_4);
				VECTOR_SET(BgL_v1062z00_1248, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_v1062z00_1248;
			}
		}
	}



/* &make-eval-global */
	obj_t BGl_z62makezd2evalzd2globalz62zz__evenvz00(obj_t BgL_envz00_1186,
		obj_t BgL_idz00_1187, obj_t BgL_modz00_1188, obj_t BgL_locz00_1189)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 111 */
			{	/* Eval/evenv.scm 112 */
				obj_t BgL_idz00_1249;

				if (SYMBOLP(BgL_idz00_1187))
					{	/* Eval/evenv.scm 112 */
						BgL_idz00_1249 = BgL_idz00_1187;
					}
				else
					{
						obj_t BgL_auxz00_1301;

						BgL_auxz00_1301 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 4835)), BGl_string1483z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_idz00_1187);
						FAILURE(BgL_auxz00_1301, BFALSE, BFALSE);
					}
				{	/* Eval/evenv.scm 112 */
					obj_t BgL_v1062z00_1252;

					BgL_v1062z00_1252 = create_vector((int) (((long) 5)));
					VECTOR_SET(BgL_v1062z00_1252, (int) (((long) 4)), BgL_locz00_1189);
					VECTOR_SET(BgL_v1062z00_1252, (int) (((long) 3)), BgL_modz00_1188);
					VECTOR_SET(BgL_v1062z00_1252, (int) (((long) 2)), BUNSPEC);
					VECTOR_SET(BgL_v1062z00_1252, (int) (((long) 1)), BgL_idz00_1249);
					VECTOR_SET(BgL_v1062z00_1252, (int) (((long) 0)), BINT(((long) 2)));
					return BgL_v1062z00_1252;
				}
			}
		}
	}



/* bind-eval-global! */
	BGL_EXPORTED_DEF obj_t BGl_bindzd2evalzd2globalz12z12zz__evenvz00(obj_t
		BgL_namez00_7, obj_t BgL_varz00_8)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 117 */
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_namez00_7,
				BGl_symbol1485z00zz__evenvz00, BgL_varz00_8);
		}
	}



/* &bind-eval-global! */
	obj_t BGl_z62bindzd2evalzd2globalz12z70zz__evenvz00(obj_t BgL_envz00_1190,
		obj_t BgL_namez00_1191, obj_t BgL_varz00_1192)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 117 */
			{	/* Eval/evenv.scm 118 */
				obj_t BgL_auxz00_1326;
				obj_t BgL_auxz00_1319;

				if (VECTORP(BgL_varz00_1192))
					{	/* Eval/evenv.scm 118 */
						BgL_auxz00_1326 = BgL_varz00_1192;
					}
				else
					{
						obj_t BgL_auxz00_1329;

						BgL_auxz00_1329 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 5134)), BGl_string1487z00zz__evenvz00,
							BGl_string1488z00zz__evenvz00, BgL_varz00_1192);
						FAILURE(BgL_auxz00_1329, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_namez00_1191))
					{	/* Eval/evenv.scm 118 */
						BgL_auxz00_1319 = BgL_namez00_1191;
					}
				else
					{
						obj_t BgL_auxz00_1322;

						BgL_auxz00_1322 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 5134)), BGl_string1487z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_namez00_1191);
						FAILURE(BgL_auxz00_1322, BFALSE, BFALSE);
					}
				return
					BGl_bindzd2evalzd2globalz12z12zz__evenvz00(BgL_auxz00_1319,
					BgL_auxz00_1326);
			}
		}
	}



/* unbind-primop! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2primopz12zc0zz__evenvz00(obj_t
		BgL_namez00_11)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 129 */
			return
				BGl_rempropz12z12zz__r4_symbols_6_4z00(BgL_namez00_11,
				BGl_symbol1485z00zz__evenvz00);
		}
	}



/* &unbind-primop! */
	obj_t BGl_z62unbindzd2primopz12za2zz__evenvz00(obj_t BgL_envz00_1193,
		obj_t BgL_namez00_1194)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 129 */
			{	/* Eval/evenv.scm 130 */
				obj_t BgL_auxz00_1335;

				if (SYMBOLP(BgL_namez00_1194))
					{	/* Eval/evenv.scm 130 */
						BgL_auxz00_1335 = BgL_namez00_1194;
					}
				else
					{
						obj_t BgL_auxz00_1338;

						BgL_auxz00_1338 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 5723)), BGl_string1489z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_namez00_1194);
						FAILURE(BgL_auxz00_1338, BFALSE, BFALSE);
					}
				return BGl_unbindzd2primopz12zc0zz__evenvz00(BgL_auxz00_1335);
			}
		}
	}



/* define-primop! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t
		BgL_varz00_13, obj_t BgL_valz00_14)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 141 */
			{	/* Eval/evenv.scm 142 */
				obj_t BgL_cellz00_598;

				{	/* Eval/evenv.scm 142 */
					obj_t BgL_propz00_893;

					BgL_propz00_893 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13,
						BGl_symbol1490z00zz__evenvz00);
					if (CBOOL(BgL_propz00_893))
						{	/* Eval/evenv.scm 142 */
							BgL_cellz00_598 = BgL_propz00_893;
						}
					else
						{	/* Eval/evenv.scm 142 */
							obj_t BgL_propz00_894;

							BgL_propz00_894 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_13,
								BGl_symbol1485z00zz__evenvz00);
							if (CBOOL(BgL_propz00_894))
								{	/* Eval/evenv.scm 142 */
									BgL_cellz00_598 = BgL_propz00_894;
								}
							else
								{	/* Eval/evenv.scm 142 */
									BgL_cellz00_598 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 143 */
					bool_t BgL_testz00_1349;

					if (VECTORP(BgL_cellz00_598))
						{	/* Eval/evenv.scm 143 */
							int BgL_arg1114z00_897;

							BgL_arg1114z00_897 = VECTOR_LENGTH(BgL_cellz00_598);
							BgL_testz00_1349 = ((long) (BgL_arg1114z00_897) == ((long) 5));
						}
					else
						{	/* Eval/evenv.scm 143 */
							BgL_testz00_1349 = ((bool_t) 0);
						}
					if (BgL_testz00_1349)
						{	/* Eval/evenv.scm 143 */
							return
								VECTOR_SET(BgL_cellz00_598, (int) (((long) 2)), BgL_valz00_14);
						}
					else
						{	/* Eval/evenv.scm 144 */
							obj_t BgL_arg1116z00_600;

							{	/* Eval/evenv.scm 144 */
								obj_t BgL_v1063z00_601;

								BgL_v1063z00_601 = create_vector((int) (((long) 5)));
								VECTOR_SET(BgL_v1063z00_601, (int) (((long) 4)), BFALSE);
								VECTOR_SET(BgL_v1063z00_601, (int) (((long) 3)), BFALSE);
								VECTOR_SET(BgL_v1063z00_601, (int) (((long) 2)), BgL_valz00_14);
								VECTOR_SET(BgL_v1063z00_601, (int) (((long) 1)), BgL_varz00_13);
								VECTOR_SET(BgL_v1063z00_601,
									(int) (((long) 0)), BINT(((long) 0)));
								BgL_arg1116z00_600 = BgL_v1063z00_601;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_13,
								BGl_symbol1485z00zz__evenvz00, BgL_arg1116z00_600);
						}
				}
			}
		}
	}



/* &define-primop! */
	obj_t BGl_z62definezd2primopz12za2zz__evenvz00(obj_t BgL_envz00_1195,
		obj_t BgL_varz00_1196, obj_t BgL_valz00_1197)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 141 */
			{	/* Eval/evenv.scm 142 */
				obj_t BgL_auxz00_1371;

				if (SYMBOLP(BgL_varz00_1196))
					{	/* Eval/evenv.scm 142 */
						BgL_auxz00_1371 = BgL_varz00_1196;
					}
				else
					{
						obj_t BgL_auxz00_1374;

						BgL_auxz00_1374 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 6300)), BGl_string1492z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_varz00_1196);
						FAILURE(BgL_auxz00_1374, BFALSE, BFALSE);
					}
				return
					BGl_definezd2primopz12zc0zz__evenvz00(BgL_auxz00_1371,
					BgL_valz00_1197);
			}
		}
	}



/* define-primop-ref! */
	BGL_EXPORTED_DEF obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t
		BgL_varz00_15, obj_t BgL_addrz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 150 */
			{	/* Eval/evenv.scm 151 */
				obj_t BgL_cellz00_602;

				{	/* Eval/evenv.scm 151 */
					obj_t BgL_propz00_927;

					BgL_propz00_927 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_15,
						BGl_symbol1490z00zz__evenvz00);
					if (CBOOL(BgL_propz00_927))
						{	/* Eval/evenv.scm 151 */
							BgL_cellz00_602 = BgL_propz00_927;
						}
					else
						{	/* Eval/evenv.scm 151 */
							obj_t BgL_propz00_928;

							BgL_propz00_928 =
								BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_15,
								BGl_symbol1485z00zz__evenvz00);
							if (CBOOL(BgL_propz00_928))
								{	/* Eval/evenv.scm 151 */
									BgL_cellz00_602 = BgL_propz00_928;
								}
							else
								{	/* Eval/evenv.scm 151 */
									BgL_cellz00_602 = BFALSE;
								}
						}
				}
				{	/* Eval/evenv.scm 152 */
					bool_t BgL_testz00_1385;

					if (VECTORP(BgL_cellz00_602))
						{	/* Eval/evenv.scm 152 */
							int BgL_arg1114z00_931;

							BgL_arg1114z00_931 = VECTOR_LENGTH(BgL_cellz00_602);
							BgL_testz00_1385 = ((long) (BgL_arg1114z00_931) == ((long) 5));
						}
					else
						{	/* Eval/evenv.scm 152 */
							BgL_testz00_1385 = ((bool_t) 0);
						}
					if (BgL_testz00_1385)
						{	/* Eval/evenv.scm 152 */
							VECTOR_SET(BgL_cellz00_602, (int) (((long) 2)), BgL_addrz00_16);
							{	/* Eval/evenv.scm 158 */
								BgL_z62evalzd2warningzb0_bglt BgL_arg1136z00_604;

								{	/* Eval/evenv.scm 158 */
									BgL_z62evalzd2warningzb0_bglt BgL_new1039z00_605;

									{	/* Eval/evenv.scm 158 */
										BgL_z62evalzd2warningzb0_bglt BgL_new1038z00_608;

										BgL_new1038z00_608 =
											((BgL_z62evalzd2warningzb0_bglt)
											BREF(GC_MALLOC(sizeof(struct
														BgL_z62evalzd2warningzb0_bgl))));
										{	/* Eval/evenv.scm 158 */
											long BgL_arg1139z00_609;

											{	/* Eval/evenv.scm 158 */
												long BgL_res1422z00_946;

												{	/* Eval/evenv.scm 158 */
													obj_t BgL_classz00_943;

													BgL_classz00_943 =
														BGl_z62evalzd2warningzb0zz__objectz00;
													{	/* Eval/evenv.scm 158 */
														obj_t BgL_vectorz00_944;
														int BgL_kz00_945;

														BgL_vectorz00_944 = BgL_classz00_943;
														BgL_kz00_945 = (int) (((long) 1));
														BgL_res1422z00_946 =
															(long) CINT(VECTOR_REF(BgL_vectorz00_944,
																BgL_kz00_945));
												}}
												BgL_arg1139z00_609 = BgL_res1422z00_946;
											}
											{	/* Eval/evenv.scm 158 */
												BgL_objectz00_bglt BgL_objz00_947;

												BgL_objz00_947 =
													((BgL_objectz00_bglt) BgL_new1038z00_608);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_947,
													BgL_arg1139z00_609);
										}}
										{	/* Eval/evenv.scm 158 */
											BgL_objectz00_bglt BgL_auxz00_1399;

											BgL_auxz00_1399 =
												((BgL_objectz00_bglt) BgL_new1038z00_608);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_1399, BFALSE);
										}
										BgL_new1039z00_605 = BgL_new1038z00_608;
									}
									((((BgL_z62exceptionz62_bglt) CREF(
													((BgL_z62exceptionz62_bglt) BgL_new1039z00_605)))->
											BgL_fnamez00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_z62exceptionz62_bglt) CREF(((BgL_z62exceptionz62_bglt)
														BgL_new1039z00_605)))->BgL_locationz00) =
										((obj_t) BFALSE), BUNSPEC);
									((((BgL_z62exceptionz62_bglt) CREF(((BgL_z62exceptionz62_bglt)
														BgL_new1039z00_605)))->BgL_stackz00) =
										((obj_t) BFALSE), BUNSPEC);
									{
										obj_t BgL_auxz00_1408;

										{	/* Eval/evenv.scm 162 */
											obj_t BgL_list1137z00_606;

											{	/* Eval/evenv.scm 162 */
												obj_t BgL_arg1138z00_607;

												BgL_arg1138z00_607 = MAKE_PAIR(BgL_varz00_15, BNIL);
												BgL_list1137z00_606 =
													MAKE_PAIR(BGl_string1493z00zz__evenvz00,
													BgL_arg1138z00_607);
											}
											BgL_auxz00_1408 = BgL_list1137z00_606;
										}
										((((BgL_z62warningz62_bglt) CREF(
														((BgL_z62warningz62_bglt) BgL_new1039z00_605)))->
												BgL_argsz00) = ((obj_t) BgL_auxz00_1408), BUNSPEC);
									}
									BgL_arg1136z00_604 = BgL_new1039z00_605;
								}
								return
									BGl_warningzd2notifyzd2zz__errorz00(
									((obj_t) BgL_arg1136z00_604));
							}
						}
					else
						{	/* Eval/evenv.scm 153 */
							obj_t BgL_arg1140z00_610;

							{	/* Eval/evenv.scm 153 */
								obj_t BgL_v1064z00_611;

								BgL_v1064z00_611 = create_vector((int) (((long) 5)));
								VECTOR_SET(BgL_v1064z00_611, (int) (((long) 4)), BFALSE);
								VECTOR_SET(BgL_v1064z00_611, (int) (((long) 3)), BFALSE);
								VECTOR_SET(BgL_v1064z00_611,
									(int) (((long) 2)), BgL_addrz00_16);
								VECTOR_SET(BgL_v1064z00_611, (int) (((long) 1)), BgL_varz00_15);
								VECTOR_SET(BgL_v1064z00_611,
									(int) (((long) 0)), BINT(((long) 1)));
								BgL_arg1140z00_610 = BgL_v1064z00_611;
							}
							return
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_varz00_15,
								BGl_symbol1485z00zz__evenvz00, BgL_arg1140z00_610);
						}
				}
			}
		}
	}



/* &define-primop-ref! */
	obj_t BGl_z62definezd2primopzd2refz12z70zz__evenvz00(obj_t BgL_envz00_1198,
		obj_t BgL_varz00_1199, obj_t BgL_addrz00_1200)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 150 */
			{	/* Eval/evenv.scm 151 */
				obj_t BgL_auxz00_1429;

				if (SYMBOLP(BgL_varz00_1199))
					{	/* Eval/evenv.scm 151 */
						BgL_auxz00_1429 = BgL_varz00_1199;
					}
				else
					{
						obj_t BgL_auxz00_1432;

						BgL_auxz00_1432 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 6724)), BGl_string1494z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_varz00_1199);
						FAILURE(BgL_auxz00_1432, BFALSE, BFALSE);
					}
				return
					BGl_definezd2primopzd2refz12z12zz__evenvz00(BgL_auxz00_1429,
					BgL_addrz00_1200);
			}
		}
	}



/* eval-lookup */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2lookupzd2zz__evenvz00(obj_t BgL_varz00_19)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 173 */
			{	/* Eval/evenv.scm 174 */
				obj_t BgL_propz00_968;

				BgL_propz00_968 =
					BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_19,
					BGl_symbol1490z00zz__evenvz00);
				if (CBOOL(BgL_propz00_968))
					{	/* Eval/evenv.scm 174 */
						return BgL_propz00_968;
					}
				else
					{	/* Eval/evenv.scm 174 */
						obj_t BgL_propz00_969;

						BgL_propz00_969 =
							BGl_getpropz00zz__r4_symbols_6_4z00(BgL_varz00_19,
							BGl_symbol1485z00zz__evenvz00);
						if (CBOOL(BgL_propz00_969))
							{	/* Eval/evenv.scm 174 */
								return BgL_propz00_969;
							}
						else
							{	/* Eval/evenv.scm 174 */
								return BFALSE;
							}
					}
			}
		}
	}



/* &eval-lookup */
	obj_t BGl_z62evalzd2lookupzb0zz__evenvz00(obj_t BgL_envz00_1201,
		obj_t BgL_varz00_1202)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 173 */
			{	/* Eval/evenv.scm 174 */
				obj_t BgL_auxz00_1443;

				if (SYMBOLP(BgL_varz00_1202))
					{	/* Eval/evenv.scm 174 */
						BgL_auxz00_1443 = BgL_varz00_1202;
					}
				else
					{
						obj_t BgL_auxz00_1446;

						BgL_auxz00_1446 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 7660)), BGl_string1495z00zz__evenvz00,
							BGl_string1484z00zz__evenvz00, BgL_varz00_1202);
						FAILURE(BgL_auxz00_1446, BFALSE, BFALSE);
					}
				return BGl_evalzd2lookupzd2zz__evenvz00(BgL_auxz00_1443);
			}
		}
	}



/* eval-global-tag */
	BGL_EXPORTED_DEF int BGl_evalzd2globalzd2tagz00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_20)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 185 */
			{	/* Eval/evenv.scm 186 */
				int BgL_kz00_1253;

				BgL_kz00_1253 = (int) (((long) 0));
				return CINT(VECTOR_REF(BgL_evalzd2globalzd2_20, BgL_kz00_1253));
			}
		}
	}



/* &eval-global-tag */
	obj_t BGl_z62evalzd2globalzd2tagz62zz__evenvz00(obj_t BgL_envz00_1203,
		obj_t BgL_evalzd2globalzd2_1204)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 185 */
			{	/* Eval/evenv.scm 186 */
				int BgL_auxz00_1454;

				{	/* Eval/evenv.scm 186 */
					obj_t BgL_evalzd2globalzd2_1254;

					if (VECTORP(BgL_evalzd2globalzd2_1204))
						{	/* Eval/evenv.scm 186 */
							BgL_evalzd2globalzd2_1254 = BgL_evalzd2globalzd2_1204;
						}
					else
						{
							obj_t BgL_auxz00_1457;

							BgL_auxz00_1457 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
								BINT(((long) 8068)), BGl_string1496z00zz__evenvz00,
								BGl_string1488z00zz__evenvz00, BgL_evalzd2globalzd2_1204);
							FAILURE(BgL_auxz00_1457, BFALSE, BFALSE);
						}
					{	/* Eval/evenv.scm 186 */
						int BgL_kz00_1255;

						BgL_kz00_1255 = (int) (((long) 0));
						BgL_auxz00_1454 =
							CINT(VECTOR_REF(BgL_evalzd2globalzd2_1254, BgL_kz00_1255));
				}}
				return BINT(BgL_auxz00_1454);
			}
		}
	}



/* eval-global-tag-set! */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2tagzd2setz12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_21, int BgL_tagz00_22)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 191 */
			return
				VECTOR_SET(BgL_evalzd2globalzd2_21,
				(int) (((long) 0)), BINT(BgL_tagz00_22));
		}
	}



/* &eval-global-tag-set! */
	obj_t BGl_z62evalzd2globalzd2tagzd2setz12za2zz__evenvz00(obj_t
		BgL_envz00_1205, obj_t BgL_evalzd2globalzd2_1206, obj_t BgL_tagz00_1207)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 191 */
			{	/* Eval/evenv.scm 192 */
				obj_t BgL_evalzd2globalzd2_1256;
				int BgL_tagz00_1257;

				if (VECTORP(BgL_evalzd2globalzd2_1206))
					{	/* Eval/evenv.scm 192 */
						BgL_evalzd2globalzd2_1256 = BgL_evalzd2globalzd2_1206;
					}
				else
					{
						obj_t BgL_auxz00_1470;

						BgL_auxz00_1470 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 8379)), BGl_string1497z00zz__evenvz00,
							BGl_string1488z00zz__evenvz00, BgL_evalzd2globalzd2_1206);
						FAILURE(BgL_auxz00_1470, BFALSE, BFALSE);
					}
				{	/* Eval/evenv.scm 192 */
					obj_t BgL_auxz00_1474;

					if (INTEGERP(BgL_tagz00_1207))
						{	/* Eval/evenv.scm 192 */
							BgL_auxz00_1474 = BgL_tagz00_1207;
						}
					else
						{
							obj_t BgL_auxz00_1477;

							BgL_auxz00_1477 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
								BINT(((long) 8379)), BGl_string1497z00zz__evenvz00,
								BGl_string1498z00zz__evenvz00, BgL_tagz00_1207);
							FAILURE(BgL_auxz00_1477, BFALSE, BFALSE);
						}
					BgL_tagz00_1257 = CINT(BgL_auxz00_1474);
				}
				return
					VECTOR_SET(BgL_evalzd2globalzd2_1256,
					(int) (((long) 0)), BINT(BgL_tagz00_1257));
		}}
	}



/* eval-global-name */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2namez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_23)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 197 */
			return VECTOR_REF(BgL_evalzd2globalzd2_23, (int) (((long) 1)));
		}
	}



/* &eval-global-name */
	obj_t BGl_z62evalzd2globalzd2namez62zz__evenvz00(obj_t BgL_envz00_1208,
		obj_t BgL_evalzd2globalzd2_1209)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 197 */
			{	/* Eval/evenv.scm 198 */
				obj_t BgL_evalzd2globalzd2_1258;

				if (VECTORP(BgL_evalzd2globalzd2_1209))
					{	/* Eval/evenv.scm 198 */
						BgL_evalzd2globalzd2_1258 = BgL_evalzd2globalzd2_1209;
					}
				else
					{
						obj_t BgL_auxz00_1489;

						BgL_auxz00_1489 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 8687)), BGl_string1499z00zz__evenvz00,
							BGl_string1488z00zz__evenvz00, BgL_evalzd2globalzd2_1209);
						FAILURE(BgL_auxz00_1489, BFALSE, BFALSE);
					}
				return VECTOR_REF(BgL_evalzd2globalzd2_1258, (int) (((long) 1)));
		}}
	}



/* eval-global-value */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2valuez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_24)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 203 */
			return VECTOR_REF(BgL_evalzd2globalzd2_24, (int) (((long) 2)));
		}
	}



/* &eval-global-value */
	obj_t BGl_z62evalzd2globalzd2valuez62zz__evenvz00(obj_t BgL_envz00_1210,
		obj_t BgL_evalzd2globalzd2_1211)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 203 */
			{	/* Eval/evenv.scm 204 */
				obj_t BgL_evalzd2globalzd2_1259;

				if (VECTORP(BgL_evalzd2globalzd2_1211))
					{	/* Eval/evenv.scm 204 */
						BgL_evalzd2globalzd2_1259 = BgL_evalzd2globalzd2_1211;
					}
				else
					{
						obj_t BgL_auxz00_1499;

						BgL_auxz00_1499 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 8991)), BGl_string1500z00zz__evenvz00,
							BGl_string1488z00zz__evenvz00, BgL_evalzd2globalzd2_1211);
						FAILURE(BgL_auxz00_1499, BFALSE, BFALSE);
					}
				return VECTOR_REF(BgL_evalzd2globalzd2_1259, (int) (((long) 2)));
		}}
	}



/* set-eval-global-value! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2evalzd2globalzd2valuez12zc0zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_25, obj_t BgL_valuez00_26)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 209 */
			return
				VECTOR_SET(BgL_evalzd2globalzd2_25,
				(int) (((long) 2)), BgL_valuez00_26);
		}
	}



/* &set-eval-global-value! */
	obj_t BGl_z62setzd2evalzd2globalzd2valuez12za2zz__evenvz00(obj_t
		BgL_envz00_1212, obj_t BgL_evalzd2globalzd2_1213, obj_t BgL_valuez00_1214)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 209 */
			{	/* Eval/evenv.scm 210 */
				obj_t BgL_evalzd2globalzd2_1260;

				if (VECTORP(BgL_evalzd2globalzd2_1213))
					{	/* Eval/evenv.scm 210 */
						BgL_evalzd2globalzd2_1260 = BgL_evalzd2globalzd2_1213;
					}
				else
					{
						obj_t BgL_auxz00_1509;

						BgL_auxz00_1509 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1482z00zz__evenvz00,
							BINT(((long) 9306)), BGl_string1501z00zz__evenvz00,
							BGl_string1488z00zz__evenvz00, BgL_evalzd2globalzd2_1213);
						FAILURE(BgL_auxz00_1509, BFALSE, BFALSE);
					}
				return
					VECTOR_SET(BgL_evalzd2globalzd2_1260,
					(int) (((long) 2)), BgL_valuez00_1214);
		}}
	}



/* eval-global-module */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2modulez00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_27)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 215 */
			return VECTOR_REF(BgL_evalzd2globalzd2_27, (int) (((long) 3)));
		}
	}



/* &eval-global-module */
	obj_t BGl_z62evalzd2globalzd2modulez62zz__evenvz00(obj_t BgL_envz00_1215,
		obj_t BgL_evalzd2globalzd2_1216)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 215 */
			return VECTOR_REF(BgL_evalzd2globalzd2_1216, (int) (((long) 3)));
		}
	}



/* eval-global-loc */
	BGL_EXPORTED_DEF obj_t BGl_evalzd2globalzd2locz00zz__evenvz00(obj_t
		BgL_evalzd2globalzd2_28)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 221 */
			return VECTOR_REF(BgL_evalzd2globalzd2_28, (int) (((long) 4)));
		}
	}



/* &eval-global-loc */
	obj_t BGl_z62evalzd2globalzd2locz62zz__evenvz00(obj_t BgL_envz00_1217,
		obj_t BgL_evalzd2globalzd2_1218)
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 221 */
			return VECTOR_REF(BgL_evalzd2globalzd2_1218, (int) (((long) 4)));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evenvz00()
	{
		AN_OBJECT;
		{	/* Eval/evenv.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)
					460263214), BSTRING_TO_STRING(BGl_string1502z00zz__evenvz00));
		}
	}

#ifdef __cplusplus
}
#endif
