/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */

	static obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	static obj_t BGl_z62zc3anonymousza31261ze3ze1zz__pp_circlez00(obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__pp_circlez00();
	static obj_t BGl_objectzd2initzd2zz__pp_circlez00();
	static obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31264ze3ze1zz__pp_circlez00(obj_t);
	BGL_EXPORTED_DECL char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t,
		int);
	extern obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__pp_circlez00();
	BGL_EXPORTED_DECL obj_t dprint(obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_registerz00zz__pp_circlez00(obj_t, obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31213ze3ze1zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t,
		bool_t);
	static obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t, bool_t,
		obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762cza7d2debugging1723z00,
		BGl_z62czd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762jvmza7d2debuggi1724z00,
		BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1709z00zz__pp_circlez00,
		BgL_bgl_string1709za700za7za7_1725za7, "/tmp/bigloo/runtime/Pp/circle.scm",
		33);
	      DEFINE_STRING(BGl_string1710z00zz__pp_circlez00,
		BgL_bgl_string1710za700za7za7_1726za7, "_display-circle", 15);
	      DEFINE_STRING(BGl_string1711z00zz__pp_circlez00,
		BgL_bgl_string1711za700za7za7_1727za7, "vector", 6);
	      DEFINE_STRING(BGl_string1712z00zz__pp_circlez00,
		BgL_bgl_string1712za700za7za7_1728za7, "output-port", 11);
	      DEFINE_STRING(BGl_string1713z00zz__pp_circlez00,
		BgL_bgl_string1713za700za7za7_1729za7, "_write-circle", 13);
	      DEFINE_STRING(BGl_string1714z00zz__pp_circlez00,
		BgL_bgl_string1714za700za7za7_1730za7, " . ", 3);
	      DEFINE_STRING(BGl_string1715z00zz__pp_circlez00,
		BgL_bgl_string1715za700za7za7_1731za7, "#{", 2);
	      DEFINE_STRING(BGl_string1716z00zz__pp_circlez00,
		BgL_bgl_string1716za700za7za7_1732za7, "#<cell:", 7);
	      DEFINE_STRING(BGl_string1717z00zz__pp_circlez00,
		BgL_bgl_string1717za700za7za7_1733za7, ">", 1);
	      DEFINE_STRING(BGl_string1718z00zz__pp_circlez00,
		BgL_bgl_string1718za700za7za7_1734za7, "#<mutex:", 8);
	      DEFINE_STRING(BGl_string1719z00zz__pp_circlez00,
		BgL_bgl_string1719za700za7za7_1735za7, "#<condition-variable:", 21);
	      DEFINE_STRING(BGl_string1720z00zz__pp_circlez00,
		BgL_bgl_string1720za700za7za7_1736za7, "&jvm-debugging-print", 20);
	      DEFINE_STRING(BGl_string1721z00zz__pp_circlez00,
		BgL_bgl_string1721za700za7za7_1737za7, "bint", 4);
	      DEFINE_STRING(BGl_string1722z00zz__pp_circlez00,
		BgL_bgl_string1722za700za7za7_1738za7, "__pp_circle", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__displayza7d2circl1739za7, opt_generic_entry,
		BGl__displayzd2circlezd2zz__pp_circlez00, BFALSE, -1);
	extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
	extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__writeza7d2circleza71740z00, opt_generic_entry,
		BGl__writezd2circlezd2zz__pp_circlez00, BFALSE, -1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long
		BgL_checksumz00_1868, char *BgL_fromz00_1869)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
				{
					BGl_requirezd2initializa7ationz75zz__pp_circlez00 =
						BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* _display-circle */
	obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_6,
		obj_t BgL_optz00_5)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 79 */
			{	/* Pp/circle.scm 79 */
				obj_t BgL_g1101z00_751;

				{
					obj_t BgL_auxz00_1874;

					if (VECTORP(BgL_optz00_5))
						{	/* Pp/circle.scm 79 */
							BgL_auxz00_1874 = BgL_optz00_5;
						}
					else
						{
							obj_t BgL_auxz00_1877;

							BgL_auxz00_1877 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3181)),
								BGl_string1710z00zz__pp_circlez00,
								BGl_string1711z00zz__pp_circlez00, BgL_optz00_5);
							FAILURE(BgL_auxz00_1877, BFALSE, BFALSE);
						}
					BgL_g1101z00_751 = VECTOR_REF(BgL_auxz00_1874, (int) (((long) 0)));
				}
				{	/* Pp/circle.scm 79 */
					int BgL_aux1103z00_753;

					{
						obj_t BgL_auxz00_1883;

						if (VECTORP(BgL_optz00_5))
							{	/* Pp/circle.scm 79 */
								BgL_auxz00_1883 = BgL_optz00_5;
							}
						else
							{
								obj_t BgL_auxz00_1886;

								BgL_auxz00_1886 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3181)),
									BGl_string1710z00zz__pp_circlez00,
									BGl_string1711z00zz__pp_circlez00, BgL_optz00_5);
								FAILURE(BgL_auxz00_1886, BFALSE, BFALSE);
							}
						BgL_aux1103z00_753 = VECTOR_LENGTH(BgL_auxz00_1883);
					}
					switch ((long) (BgL_aux1103z00_753))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 79 */
								obj_t BgL_portz00_755;

								{	/* Pp/circle.scm 79 */
									obj_t BgL_res1574z00_1254;

									{	/* Pp/circle.scm 79 */
										obj_t BgL_auxz00_1891;

										BgL_auxz00_1891 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1574z00_1254 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1891);
									}
									BgL_portz00_755 = BgL_res1574z00_1254;
								}
								{	/* Pp/circle.scm 79 */

									{	/* Pp/circle.scm 79 */
										obj_t BgL_arg1154z00_756;

										{
											obj_t BgL_auxz00_1894;

											if (VECTORP(BgL_optz00_5))
												{	/* Pp/circle.scm 79 */
													BgL_auxz00_1894 = BgL_optz00_5;
												}
											else
												{
													obj_t BgL_auxz00_1897;

													BgL_auxz00_1897 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1710z00zz__pp_circlez00,
														BGl_string1711z00zz__pp_circlez00, BgL_optz00_5);
													FAILURE(BgL_auxz00_1897, BFALSE, BFALSE);
												}
											BgL_arg1154z00_756 =
												VECTOR_REF(BgL_auxz00_1894, (int) (((long) 0)));
										}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_arg1154z00_756, BgL_portz00_755, ((bool_t) 1));
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Pp/circle.scm 79 */
								obj_t BgL_portz00_757;

								{
									obj_t BgL_auxz00_1904;

									if (VECTORP(BgL_optz00_5))
										{	/* Pp/circle.scm 79 */
											BgL_auxz00_1904 = BgL_optz00_5;
										}
									else
										{
											obj_t BgL_auxz00_1907;

											BgL_auxz00_1907 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3181)),
												BGl_string1710z00zz__pp_circlez00,
												BGl_string1711z00zz__pp_circlez00, BgL_optz00_5);
											FAILURE(BgL_auxz00_1907, BFALSE, BFALSE);
										}
									BgL_portz00_757 =
										VECTOR_REF(BgL_auxz00_1904, (int) (((long) 1)));
								}
								{	/* Pp/circle.scm 79 */

									{	/* Pp/circle.scm 79 */
										obj_t BgL_arg1155z00_758;

										{
											obj_t BgL_auxz00_1913;

											if (VECTORP(BgL_optz00_5))
												{	/* Pp/circle.scm 79 */
													BgL_auxz00_1913 = BgL_optz00_5;
												}
											else
												{
													obj_t BgL_auxz00_1916;

													BgL_auxz00_1916 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1710z00zz__pp_circlez00,
														BGl_string1711z00zz__pp_circlez00, BgL_optz00_5);
													FAILURE(BgL_auxz00_1916, BFALSE, BFALSE);
												}
											BgL_arg1155z00_758 =
												VECTOR_REF(BgL_auxz00_1913, (int) (((long) 0)));
										}
										{	/* Pp/circle.scm 79 */
											obj_t BgL_portz00_1258;

											if (OUTPUT_PORTP(BgL_portz00_757))
												{	/* Pp/circle.scm 79 */
													BgL_portz00_1258 = BgL_portz00_757;
												}
											else
												{
													obj_t BgL_auxz00_1924;

													BgL_auxz00_1924 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3181)),
														BGl_string1710z00zz__pp_circlez00,
														BGl_string1712z00zz__pp_circlez00, BgL_portz00_757);
													FAILURE(BgL_auxz00_1924, BFALSE, BFALSE);
												}
											return
												BGl_circlezd2writezf2displayz20zz__pp_circlez00
												(BgL_arg1155z00_758, BgL_portz00_1258, ((bool_t) 1));
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* display-circle */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t
		BgL_oz00_3, obj_t BgL_portz00_4)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 79 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_3,
				BgL_portz00_4, ((bool_t) 1));
		}
	}



/* _write-circle */
	obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_10,
		obj_t BgL_optz00_9)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 85 */
			{	/* Pp/circle.scm 85 */
				obj_t BgL_g1104z00_759;

				{
					obj_t BgL_auxz00_1932;

					if (VECTORP(BgL_optz00_9))
						{	/* Pp/circle.scm 85 */
							BgL_auxz00_1932 = BgL_optz00_9;
						}
					else
						{
							obj_t BgL_auxz00_1935;

							BgL_auxz00_1935 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3521)),
								BGl_string1713z00zz__pp_circlez00,
								BGl_string1711z00zz__pp_circlez00, BgL_optz00_9);
							FAILURE(BgL_auxz00_1935, BFALSE, BFALSE);
						}
					BgL_g1104z00_759 = VECTOR_REF(BgL_auxz00_1932, (int) (((long) 0)));
				}
				{	/* Pp/circle.scm 85 */
					int BgL_aux1106z00_761;

					{
						obj_t BgL_auxz00_1941;

						if (VECTORP(BgL_optz00_9))
							{	/* Pp/circle.scm 85 */
								BgL_auxz00_1941 = BgL_optz00_9;
							}
						else
							{
								obj_t BgL_auxz00_1944;

								BgL_auxz00_1944 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3521)),
									BGl_string1713z00zz__pp_circlez00,
									BGl_string1711z00zz__pp_circlez00, BgL_optz00_9);
								FAILURE(BgL_auxz00_1944, BFALSE, BFALSE);
							}
						BgL_aux1106z00_761 = VECTOR_LENGTH(BgL_auxz00_1941);
					}
					switch ((long) (BgL_aux1106z00_761))
						{
						case ((long) 1):

							{	/* Pp/circle.scm 85 */
								obj_t BgL_portz00_763;

								{	/* Pp/circle.scm 85 */
									obj_t BgL_res1575z00_1260;

									{	/* Pp/circle.scm 85 */
										obj_t BgL_auxz00_1949;

										BgL_auxz00_1949 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1575z00_1260 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1949);
									}
									BgL_portz00_763 = BgL_res1575z00_1260;
								}
								{	/* Pp/circle.scm 85 */

									{	/* Pp/circle.scm 85 */
										obj_t BgL_arg1157z00_764;

										{
											obj_t BgL_auxz00_1952;

											if (VECTORP(BgL_optz00_9))
												{	/* Pp/circle.scm 85 */
													BgL_auxz00_1952 = BgL_optz00_9;
												}
											else
												{
													obj_t BgL_auxz00_1955;

													BgL_auxz00_1955 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1713z00zz__pp_circlez00,
														BGl_string1711z00zz__pp_circlez00, BgL_optz00_9);
													FAILURE(BgL_auxz00_1955, BFALSE, BFALSE);
												}
											BgL_arg1157z00_764 =
												VECTOR_REF(BgL_auxz00_1952, (int) (((long) 0)));
										}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_arg1157z00_764, BgL_portz00_763, ((bool_t) 0));
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Pp/circle.scm 85 */
								obj_t BgL_portz00_765;

								{
									obj_t BgL_auxz00_1962;

									if (VECTORP(BgL_optz00_9))
										{	/* Pp/circle.scm 85 */
											BgL_auxz00_1962 = BgL_optz00_9;
										}
									else
										{
											obj_t BgL_auxz00_1965;

											BgL_auxz00_1965 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1709z00zz__pp_circlez00, BINT(((long) 3521)),
												BGl_string1713z00zz__pp_circlez00,
												BGl_string1711z00zz__pp_circlez00, BgL_optz00_9);
											FAILURE(BgL_auxz00_1965, BFALSE, BFALSE);
										}
									BgL_portz00_765 =
										VECTOR_REF(BgL_auxz00_1962, (int) (((long) 1)));
								}
								{	/* Pp/circle.scm 85 */

									{	/* Pp/circle.scm 85 */
										obj_t BgL_arg1158z00_766;

										{
											obj_t BgL_auxz00_1971;

											if (VECTORP(BgL_optz00_9))
												{	/* Pp/circle.scm 85 */
													BgL_auxz00_1971 = BgL_optz00_9;
												}
											else
												{
													obj_t BgL_auxz00_1974;

													BgL_auxz00_1974 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1713z00zz__pp_circlez00,
														BGl_string1711z00zz__pp_circlez00, BgL_optz00_9);
													FAILURE(BgL_auxz00_1974, BFALSE, BFALSE);
												}
											BgL_arg1158z00_766 =
												VECTOR_REF(BgL_auxz00_1971, (int) (((long) 0)));
										}
										{	/* Pp/circle.scm 85 */
											obj_t BgL_portz00_1264;

											if (OUTPUT_PORTP(BgL_portz00_765))
												{	/* Pp/circle.scm 85 */
													BgL_portz00_1264 = BgL_portz00_765;
												}
											else
												{
													obj_t BgL_auxz00_1982;

													BgL_auxz00_1982 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1709z00zz__pp_circlez00,
														BINT(((long) 3521)),
														BGl_string1713z00zz__pp_circlez00,
														BGl_string1712z00zz__pp_circlez00, BgL_portz00_765);
													FAILURE(BgL_auxz00_1982, BFALSE, BFALSE);
												}
											return
												BGl_circlezd2writezf2displayz20zz__pp_circlez00
												(BgL_arg1158z00_766, BgL_portz00_1264, ((bool_t) 0));
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* write-circle */
	BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_oz00_7,
		obj_t BgL_portz00_8)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 85 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_7,
				BgL_portz00_8, ((bool_t) 0));
		}
	}



/* circle-write/display */
	obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_11,
		obj_t BgL_portz00_12, bool_t BgL_flagz00_13)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 110 */
			{	/* Pp/circle.scm 111 */
				obj_t BgL_cachez00_767;

				BgL_cachez00_767 = MAKE_CELL(BNIL);
				{	/* Pp/circle.scm 111 */
					obj_t BgL_nextzd2cardinalzd2_768;

					{	/* Pp/circle.scm 112 */
						obj_t BgL_serialz00_907;

						{	/* Pp/circle.scm 112 */
							obj_t BgL_cellvalz00_1990;

							BgL_cellvalz00_1990 = BINT(((long) -1));
							BgL_serialz00_907 = MAKE_CELL(BgL_cellvalz00_1990);
						}
						{	/* Pp/circle.scm 113 */
							obj_t BgL_zc3anonymousza31261ze3z83_1806;

							{
								int BgL_auxz00_1992;

								BgL_auxz00_1992 = (int) (((long) 1));
								BgL_zc3anonymousza31261ze3z83_1806 =
									MAKE_EL_PROCEDURE(BgL_auxz00_1992);
							}
							PROCEDURE_EL_SET(BgL_zc3anonymousza31261ze3z83_1806,
								(int) (((long) 0)), BgL_serialz00_907);
							BgL_nextzd2cardinalzd2_768 = BgL_zc3anonymousza31261ze3z83_1806;
					}}
					{	/* Pp/circle.scm 112 */

						BGl_registerz00zz__pp_circlez00(BgL_cachez00_767, BgL_objz00_11);
						BGl_z62outputzd2componentzb0zz__pp_circlez00
							(BgL_nextzd2cardinalzd2_768, BgL_flagz00_13, BgL_portz00_12,
							BgL_cachez00_767, BgL_objz00_11);
			}}}
			return BUNSPEC;
		}
	}



/* register */
	obj_t BGl_registerz00zz__pp_circlez00(obj_t BgL_cachez00_1841,
		obj_t BgL_objz00_851)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 151 */
		BGl_registerz00zz__pp_circlez00:
			{	/* Pp/circle.scm 120 */
				bool_t BgL_testz00_1999;

				if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_objz00_851))
					{	/* Pp/circle.scm 120 */
						BgL_testz00_1999 = ((bool_t) 1);
					}
				else
					{	/* Pp/circle.scm 120 */
						if (SYMBOLP(BgL_objz00_851))
							{	/* Pp/circle.scm 121 */
								BgL_testz00_1999 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 121 */
								if (STRINGP(BgL_objz00_851))
									{	/* Pp/circle.scm 122 */
										BgL_testz00_1999 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 122 */
										if (UCS2_STRINGP(BgL_objz00_851))
											{	/* Pp/circle.scm 123 */
												BgL_testz00_1999 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 123 */
												if (BGL_DATEP(BgL_objz00_851))
													{	/* Pp/circle.scm 124 */
														BgL_testz00_1999 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 124 */
														if (CNSTP(BgL_objz00_851))
															{	/* Pp/circle.scm 125 */
																BgL_testz00_1999 = ((bool_t) 1);
															}
														else
															{	/* Pp/circle.scm 125 */
																if (NULLP(BgL_objz00_851))
																	{	/* Pp/circle.scm 126 */
																		BgL_testz00_1999 = ((bool_t) 1);
																	}
																else
																	{	/* Pp/circle.scm 126 */
																		BgL_testz00_1999 =
																			BGl_classzf3zf3zz__objectz00
																			(BgL_objz00_851);
																	}
															}
													}
											}
									}
							}
					}
				if (BgL_testz00_1999)
					{	/* Pp/circle.scm 120 */
						return BFALSE;
					}
				else
					{	/* Pp/circle.scm 128 */
						obj_t BgL_matchz00_854;

						BgL_matchz00_854 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_851,
							CELL_REF(BgL_cachez00_1841));
						if (CBOOL(BgL_matchz00_854))
							{	/* Pp/circle.scm 129 */
								return SET_CDR(BgL_matchz00_854, BTRUE);
							}
						else
							{	/* Pp/circle.scm 129 */
								{	/* Pp/circle.scm 132 */
									obj_t BgL_auxz00_1821;

									{	/* Pp/circle.scm 132 */
										obj_t BgL_arg1226z00_855;

										BgL_arg1226z00_855 = MAKE_PAIR(BgL_objz00_851, BFALSE);
										BgL_auxz00_1821 =
											MAKE_PAIR(BgL_arg1226z00_855,
											CELL_REF(BgL_cachez00_1841));
									}
									CELL_SET(BgL_cachez00_1841, BgL_auxz00_1821);
								}
								if (PAIRP(BgL_objz00_851))
									{	/* Pp/circle.scm 134 */
										BGl_registerz00zz__pp_circlez00(BgL_cachez00_1841,
											CAR(BgL_objz00_851));
										{
											obj_t BgL_objz00_2025;

											BgL_objz00_2025 = CDR(BgL_objz00_851);
											BgL_objz00_851 = BgL_objz00_2025;
											goto BGl_registerz00zz__pp_circlez00;
										}
									}
								else
									{	/* Pp/circle.scm 134 */
										if (VECTORP(BgL_objz00_851))
											{	/* Pp/circle.scm 138 */
												int BgL_stop1043z00_860;

												BgL_stop1043z00_860 = VECTOR_LENGTH(BgL_objz00_851);
												{
													long BgL_iz00_1298;

													{	/* Pp/circle.scm 138 */
														bool_t BgL_auxz00_2030;

														BgL_iz00_1298 = ((long) 0);
													BgL_for1042z00_1297:
														if ((BgL_iz00_1298 < (long) (BgL_stop1043z00_860)))
															{	/* Pp/circle.scm 138 */
																BGl_registerz00zz__pp_circlez00
																	(BgL_cachez00_1841, VECTOR_REF(BgL_objz00_851,
																		(int) (BgL_iz00_1298)));
																{
																	long BgL_iz00_2037;

																	BgL_iz00_2037 = (BgL_iz00_1298 + ((long) 1));
																	BgL_iz00_1298 = BgL_iz00_2037;
																	goto BgL_for1042z00_1297;
																}
															}
														else
															{	/* Pp/circle.scm 138 */
																BgL_auxz00_2030 = ((bool_t) 0);
															}
														return BBOOL(BgL_auxz00_2030);
													}
												}
											}
										else
											{	/* Pp/circle.scm 137 */
												if (STRUCTP(BgL_objz00_851))
													{	/* Pp/circle.scm 141 */
														int BgL_stop1045z00_869;

														BgL_stop1045z00_869 = STRUCT_LENGTH(BgL_objz00_851);
														{
															long BgL_iz00_1323;

															{	/* Pp/circle.scm 141 */
																bool_t BgL_auxz00_2043;

																BgL_iz00_1323 = ((long) 0);
															BgL_for1044z00_1322:
																if (
																	(BgL_iz00_1323 <
																		(long) (BgL_stop1045z00_869)))
																	{	/* Pp/circle.scm 141 */
																		BGl_registerz00zz__pp_circlez00
																			(BgL_cachez00_1841,
																			STRUCT_REF(BgL_objz00_851,
																				(int) (BgL_iz00_1323)));
																		{
																			long BgL_iz00_2050;

																			BgL_iz00_2050 =
																				(BgL_iz00_1323 + ((long) 1));
																			BgL_iz00_1323 = BgL_iz00_2050;
																			goto BgL_for1044z00_1322;
																		}
																	}
																else
																	{	/* Pp/circle.scm 141 */
																		BgL_auxz00_2043 = ((bool_t) 0);
																	}
																return BBOOL(BgL_auxz00_2043);
															}
														}
													}
												else
													{	/* Pp/circle.scm 140 */
														if (BGL_OBJECTP(BgL_objz00_851))
															{	/* Pp/circle.scm 144 */
																obj_t BgL_klassz00_878;

																{	/* Pp/circle.scm 144 */
																	BgL_objectz00_bglt BgL_objectz00_1337;

																	BgL_objectz00_1337 =
																		((BgL_objectz00_bglt) BgL_objz00_851);
																	{	/* Pp/circle.scm 144 */
																		long BgL_arg1560z00_1338;

																		{	/* Pp/circle.scm 144 */
																			long BgL_arg1561z00_1339;

																			{	/* Pp/circle.scm 144 */
																				long BgL_res1592z00_1341;

																				BgL_res1592z00_1341 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_objectz00_1337);
																				BgL_arg1561z00_1339 =
																					BgL_res1592z00_1341;
																			}
																			BgL_arg1560z00_1338 =
																				(BgL_arg1561z00_1339 - OBJECT_TYPE);
																		}
																		BgL_klassz00_878 =
																			VECTOR_REF
																			(BGl_za2classesza2z00zz__objectz00,
																			(int) (BgL_arg1560z00_1338));
																}}
																{	/* Pp/circle.scm 144 */
																	obj_t BgL_fieldsz00_879;

																	BgL_fieldsz00_879 =
																		VECTOR_REF(BgL_klassz00_878,
																		(int) (((long) 15)));
																	{	/* Pp/circle.scm 145 */

																		{	/* Pp/circle.scm 146 */
																			int BgL_stop1047z00_880;

																			BgL_stop1047z00_880 =
																				VECTOR_LENGTH(BgL_fieldsz00_879);
																			{
																				long BgL_iz00_1361;

																				{	/* Pp/circle.scm 146 */
																					bool_t BgL_auxz00_2063;

																					BgL_iz00_1361 = ((long) 0);
																				BgL_for1046z00_1360:
																					if (
																						(BgL_iz00_1361 <
																							(long) (BgL_stop1047z00_880)))
																						{	/* Pp/circle.scm 146 */
																							{	/* Pp/circle.scm 146 */
																								obj_t BgL_fz00_1366;

																								BgL_fz00_1366 =
																									VECTOR_REF(BgL_fieldsz00_879,
																									(int) (BgL_iz00_1361));
																								{	/* Pp/circle.scm 146 */
																									obj_t BgL_gvz00_1369;

																									BgL_gvz00_1369 =
																										BGl_classzd2fieldzd2accessorz00zz__objectz00
																										(BgL_fz00_1366);
																									{	/* Pp/circle.scm 146 */

																										{	/* Pp/circle.scm 146 */
																											obj_t BgL_arg1246z00_1370;

																											BgL_arg1246z00_1370 =
																												PROCEDURE_ENTRY
																												(BgL_gvz00_1369)
																												(BgL_gvz00_1369,
																												BgL_objz00_851, BEOA);
																											BGl_registerz00zz__pp_circlez00
																												(BgL_cachez00_1841,
																												BgL_arg1246z00_1370);
																							}}}}
																							{
																								long BgL_iz00_2075;

																								BgL_iz00_2075 =
																									(BgL_iz00_1361 + ((long) 1));
																								BgL_iz00_1361 = BgL_iz00_2075;
																								goto BgL_for1046z00_1360;
																							}
																						}
																					else
																						{	/* Pp/circle.scm 146 */
																							BgL_auxz00_2063 = ((bool_t) 0);
																						}
																					return BBOOL(BgL_auxz00_2063);
																				}
																			}
																		}
																	}
																}
															}
														else
															{	/* Pp/circle.scm 143 */
																if (CELLP(BgL_objz00_851))
																	{
																		obj_t BgL_objz00_2080;

																		BgL_objz00_2080 = CELL_REF(BgL_objz00_851);
																		BgL_objz00_851 = BgL_objz00_2080;
																		goto BGl_registerz00zz__pp_circlez00;
																	}
																else
																	{	/* Pp/circle.scm 150 */
																		return BFALSE;
																	}
															}
													}
											}
									}
							}
					}
			}
		}
	}



/* &output-component */
	obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_1810, bool_t BgL_flagz00_1809,
		obj_t BgL_portz00_1808, obj_t BgL_cachez00_1807, obj_t BgL_objz00_774)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 165 */
			{	/* Pp/circle.scm 166 */
				obj_t BgL_g1048z00_776;

				BgL_g1048z00_776 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_774,
					CELL_REF(BgL_cachez00_1807));
				return
					BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1810,
					BgL_cachez00_1807, BgL_flagz00_1809, BgL_portz00_1808, BgL_objz00_774,
					BgL_g1048z00_776);
			}
		}
	}



/* loop-matched */
	obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t BgL_nextzd2cardinalzd2_1840,
		obj_t BgL_cachez00_1839, bool_t BgL_flagz00_1838, obj_t BgL_portz00_1837,
		obj_t BgL_objz00_778, obj_t BgL_matchz00_779)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 166 */
		BGl_loopzd2matchedzd2zz__pp_circlez00:
			if (CBOOL(BgL_matchz00_779))
				{	/* Pp/circle.scm 169 */
					obj_t BgL_valuez00_781;

					BgL_valuez00_781 = CDR(BgL_matchz00_779);
					if (INTEGERP(BgL_valuez00_781))
						{	/* Pp/circle.scm 171 */
							bgl_display_char(((unsigned char) '#'), BgL_portz00_1837);
							BGl_z62outputzd2componentzb0zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_1840, BgL_flagz00_1838,
								BgL_portz00_1837, BgL_cachez00_1839, BgL_valuez00_781);
							return bgl_display_char(((unsigned char) '#'), BgL_portz00_1837);
						}
					else
						{	/* Pp/circle.scm 171 */
							if (CBOOL(BgL_valuez00_781))
								{	/* Pp/circle.scm 178 */
									obj_t BgL_serialz00_783;

									BgL_serialz00_783 =
										BGl_z62zc3anonymousza31261ze3ze1zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1840);
									SET_CDR(BgL_matchz00_779, BgL_serialz00_783);
									bgl_display_char(((unsigned char) '#'), BgL_portz00_1837);
									BGl_z62outputzd2componentzb0zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_1840, BgL_flagz00_1838,
										BgL_portz00_1837, BgL_cachez00_1839, BgL_serialz00_783);
									bgl_display_char(((unsigned char) '='), BgL_portz00_1837);
									{
										obj_t BgL_matchz00_2101;

										BgL_matchz00_2101 = BFALSE;
										BgL_matchz00_779 = BgL_matchz00_2101;
										goto BGl_loopzd2matchedzd2zz__pp_circlez00;
									}
								}
							else
								{
									obj_t BgL_matchz00_2102;

									BgL_matchz00_2102 = BFALSE;
									BgL_matchz00_779 = BgL_matchz00_2102;
									goto BGl_loopzd2matchedzd2zz__pp_circlez00;
								}
						}
				}
			else
				{	/* Pp/circle.scm 168 */
					if (INTEGERP(BgL_objz00_778))
						{	/* Pp/circle.scm 190 */
							return bgl_display_fixnum(BgL_objz00_778, BgL_portz00_1837);
						}
					else
						{	/* Pp/circle.scm 190 */
							if (CHARP(BgL_objz00_778))
								{	/* Pp/circle.scm 193 */
									if (BgL_flagz00_1838)
										{	/* Pp/circle.scm 195 */
											unsigned char BgL_auxz00_2109;

											BgL_auxz00_2109 = CCHAR(BgL_objz00_778);
											return
												bgl_display_char(BgL_auxz00_2109, BgL_portz00_1837);
										}
									else
										{	/* Pp/circle.scm 194 */
											return bgl_write_char(BgL_objz00_778, BgL_portz00_1837);
										}
								}
							else
								{	/* Pp/circle.scm 193 */
									if (SYMBOLP(BgL_objz00_778))
										{	/* Pp/circle.scm 198 */
											if (BgL_flagz00_1838)
												{	/* Pp/circle.scm 199 */
													return
														BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_778, BgL_portz00_1837);
												}
											else
												{	/* Pp/circle.scm 199 */
													return
														BGl_writezd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_778, BgL_portz00_1837);
												}
										}
									else
										{	/* Pp/circle.scm 198 */
											if (STRINGP(BgL_objz00_778))
												{	/* Pp/circle.scm 203 */
													if (BgL_flagz00_1838)
														{	/* Pp/circle.scm 204 */
															return
																BGL_DISPLAY_STRING(BgL_objz00_778,
																BgL_portz00_1837);
														}
													else
														{	/* Pp/circle.scm 204 */
															return
																BGl_writezd2stringzd2zz__r4_output_6_10_3z00
																(string_for_read(BgL_objz00_778),
																BgL_portz00_1837);
														}
												}
											else
												{	/* Pp/circle.scm 203 */
													if (PAIRP(BgL_objz00_778))
														{	/* Pp/circle.scm 208 */
															bgl_display_char(((unsigned char) '('),
																BgL_portz00_1837);
															{
																obj_t BgL_lz00_791;

																BgL_lz00_791 = BgL_objz00_778;
															BgL_zc3anonymousza31168ze3z83_792:
																{	/* Pp/circle.scm 211 */
																	obj_t BgL_arg1171z00_793;

																	BgL_arg1171z00_793 = CAR(BgL_lz00_791);
																	BGl_z62outputzd2componentzb0zz__pp_circlez00
																		(BgL_nextzd2cardinalzd2_1840,
																		BgL_flagz00_1838, BgL_portz00_1837,
																		BgL_cachez00_1839, BgL_arg1171z00_793);
																}
																{	/* Pp/circle.scm 212 */
																	obj_t BgL_restz00_794;

																	BgL_restz00_794 = CDR(BgL_lz00_791);
																	if (NULLP(BgL_restz00_794))
																		{	/* Pp/circle.scm 213 */
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BgL_portz00_1837);
																		}
																	else
																		{	/* Pp/circle.scm 215 */
																			obj_t BgL_matchz00_796;

																			BgL_matchz00_796 =
																				BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																				(BgL_restz00_794,
																				CELL_REF(BgL_cachez00_1839));
																			{	/* Pp/circle.scm 216 */
																				bool_t BgL_testz00_2134;

																				if (PAIRP(BgL_restz00_794))
																					{	/* Pp/circle.scm 216 */
																						if (CBOOL(BgL_matchz00_796))
																							{	/* Pp/circle.scm 217 */
																								obj_t BgL_pairz00_1408;

																								BgL_pairz00_1408 =
																									BgL_matchz00_796;
																								BgL_testz00_2134 =
																									CBOOL(CDR(BgL_pairz00_1408));
																							}
																						else
																							{	/* Pp/circle.scm 217 */
																								BgL_testz00_2134 = ((bool_t) 0);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 216 */
																						BgL_testz00_2134 = ((bool_t) 1);
																					}
																				if (BgL_testz00_2134)
																					{	/* Pp/circle.scm 216 */
																						BGL_DISPLAY_STRING
																							(BGl_string1714z00zz__pp_circlez00,
																							BgL_portz00_1837);
																						BGl_loopzd2matchedzd2zz__pp_circlez00
																							(BgL_nextzd2cardinalzd2_1840,
																							BgL_cachez00_1839,
																							BgL_flagz00_1838,
																							BgL_portz00_1837, BgL_restz00_794,
																							BgL_matchz00_796);
																						return bgl_display_char(((unsigned
																									char) ')'), BgL_portz00_1837);
																					}
																				else
																					{	/* Pp/circle.scm 216 */
																						bgl_display_char(((unsigned char)
																								' '), BgL_portz00_1837);
																						{
																							obj_t BgL_lz00_2145;

																							BgL_lz00_2145 = BgL_restz00_794;
																							BgL_lz00_791 = BgL_lz00_2145;
																							goto
																								BgL_zc3anonymousza31168ze3z83_792;
																						}
																					}
																			}
																		}
																}
															}
														}
													else
														{	/* Pp/circle.scm 208 */
															if (BGl_classzf3zf3zz__objectz00(BgL_objz00_778))
																{	/* Pp/circle.scm 226 */
																	return
																		bgl_display_obj(BgL_objz00_778,
																		BgL_portz00_1837);
																}
															else
																{	/* Pp/circle.scm 226 */
																	if (VECTORP(BgL_objz00_778))
																		{	/* Pp/circle.scm 229 */
																			bgl_display_char(((unsigned char) '#'),
																				BgL_portz00_1837);
																			{	/* Pp/circle.scm 231 */
																				int BgL_tagz00_803;

																				{	/* Pp/circle.scm 231 */
																					int BgL_res1607z00_1417;

																					BgL_res1607z00_1417 =
																						VECTOR_TAG(BgL_objz00_778);
																					BgL_tagz00_803 = BgL_res1607z00_1417;
																				}
																				if (
																					((long) (BgL_tagz00_803) >
																						((long) 0)))
																					{	/* Pp/circle.scm 232 */
																						if (
																							((long) (BgL_tagz00_803) <
																								((long) 100)))
																							{	/* Pp/circle.scm 233 */
																								if (
																									((long) (BgL_tagz00_803) >
																										((long) 10)))
																									{	/* Pp/circle.scm 235 */
																										bgl_display_char(((unsigned
																													char) '0'),
																											BgL_portz00_1837);
																									}
																								else
																									{	/* Pp/circle.scm 235 */
																										BFALSE;
																									}
																								bgl_display_char(((unsigned
																											char) '0'),
																									BgL_portz00_1837);
																							}
																						else
																							{	/* Pp/circle.scm 237 */
																								obj_t BgL_list1180z00_807;

																								BgL_list1180z00_807 =
																									MAKE_PAIR(BgL_portz00_1837,
																									BNIL);
																								BGl_writez00zz__r4_output_6_10_3z00
																									(BINT(BgL_tagz00_803),
																									BgL_list1180z00_807);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 232 */
																						BFALSE;
																					}
																			}
																			{	/* Pp/circle.scm 238 */
																				int BgL_lenz00_808;

																				BgL_lenz00_808 =
																					VECTOR_LENGTH(BgL_objz00_778);
																				bgl_display_char(((unsigned char) '('),
																					BgL_portz00_1837);
																				{
																					long BgL_iz00_810;

																					BgL_iz00_810 = ((long) 0);
																				BgL_zc3anonymousza31181ze3z83_811:
																					if (
																						(BgL_iz00_810 ==
																							(long) (BgL_lenz00_808)))
																						{	/* Pp/circle.scm 241 */
																							((bool_t) 0);
																						}
																					else
																						{	/* Pp/circle.scm 241 */
																							{	/* Pp/circle.scm 243 */
																								obj_t BgL_arg1186z00_813;

																								BgL_arg1186z00_813 =
																									VECTOR_REF(BgL_objz00_778,
																									(int) (BgL_iz00_810));
																								BGl_z62outputzd2componentzb0zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1840,
																									BgL_flagz00_1838,
																									BgL_portz00_1837,
																									BgL_cachez00_1839,
																									BgL_arg1186z00_813);
																							}
																							{	/* Pp/circle.scm 244 */
																								long BgL_nextz00_814;

																								BgL_nextz00_814 =
																									(((long) 1) + BgL_iz00_810);
																								if (
																									(BgL_nextz00_814 ==
																										(long) (BgL_lenz00_808)))
																									{	/* Pp/circle.scm 245 */
																										BFALSE;
																									}
																								else
																									{	/* Pp/circle.scm 245 */
																										bgl_display_char(((unsigned
																													char) ' '),
																											BgL_portz00_1837);
																									}
																								{
																									long BgL_iz00_2180;

																									BgL_iz00_2180 =
																										(((long) 1) + BgL_iz00_810);
																									BgL_iz00_810 = BgL_iz00_2180;
																									goto
																										BgL_zc3anonymousza31181ze3z83_811;
																								}
																							}
																						}
																				}
																				return
																					bgl_display_char(((unsigned char)
																						')'), BgL_portz00_1837);
																		}}
																	else
																		{	/* Pp/circle.scm 229 */
																			if (STRUCTP(BgL_objz00_778))
																				{	/* Pp/circle.scm 250 */
																					BGL_DISPLAY_STRING
																						(BGl_string1715z00zz__pp_circlez00,
																						BgL_portz00_1837);
																					{	/* Pp/circle.scm 252 */
																						obj_t BgL_arg1201z00_819;

																						BgL_arg1201z00_819 =
																							STRUCT_KEY(BgL_objz00_778);
																						{	/* Pp/circle.scm 252 */
																							obj_t BgL_list1202z00_820;

																							BgL_list1202z00_820 =
																								MAKE_PAIR(BgL_portz00_1837,
																								BNIL);
																							BGl_writez00zz__r4_output_6_10_3z00
																								(BgL_arg1201z00_819,
																								BgL_list1202z00_820);
																						}
																					}
																					bgl_display_char(((unsigned char)
																							' '), BgL_portz00_1837);
																					{	/* Pp/circle.scm 254 */
																						int BgL_lenz00_821;

																						BgL_lenz00_821 =
																							STRUCT_LENGTH(BgL_objz00_778);
																						{
																							long BgL_iz00_823;

																							BgL_iz00_823 = ((long) 0);
																						BgL_zc3anonymousza31203ze3z83_824:
																							if (
																								(BgL_iz00_823 ==
																									(long) (BgL_lenz00_821)))
																								{	/* Pp/circle.scm 256 */
																									((bool_t) 0);
																								}
																							else
																								{	/* Pp/circle.scm 256 */
																									{	/* Pp/circle.scm 258 */
																										obj_t BgL_arg1205z00_826;

																										BgL_arg1205z00_826 =
																											STRUCT_REF(BgL_objz00_778,
																											(int) (BgL_iz00_823));
																										BGl_z62outputzd2componentzb0zz__pp_circlez00
																											(BgL_nextzd2cardinalzd2_1840,
																											BgL_flagz00_1838,
																											BgL_portz00_1837,
																											BgL_cachez00_1839,
																											BgL_arg1205z00_826);
																									}
																									{	/* Pp/circle.scm 259 */
																										long BgL_nextz00_827;

																										BgL_nextz00_827 =
																											(((long) 1) +
																											BgL_iz00_823);
																										if ((BgL_nextz00_827 ==
																												(long)
																												(BgL_lenz00_821)))
																											{	/* Pp/circle.scm 260 */
																												BFALSE;
																											}
																										else
																											{	/* Pp/circle.scm 260 */
																												bgl_display_char((
																														(unsigned char)
																														' '),
																													BgL_portz00_1837);
																											}
																										{
																											long BgL_iz00_2202;

																											BgL_iz00_2202 =
																												(((long) 1) +
																												BgL_iz00_823);
																											BgL_iz00_823 =
																												BgL_iz00_2202;
																											goto
																												BgL_zc3anonymousza31203ze3z83_824;
																										}
																									}
																								}
																						}
																					}
																					return
																						bgl_display_char(((unsigned char)
																							'}'), BgL_portz00_1837);
																				}
																			else
																				{	/* Pp/circle.scm 250 */
																					if (CELLP(BgL_objz00_778))
																						{	/* Pp/circle.scm 265 */
																							BGL_DISPLAY_STRING
																								(BGl_string1716z00zz__pp_circlez00,
																								BgL_portz00_1837);
																							{	/* Pp/circle.scm 267 */
																								obj_t BgL_arg1210z00_832;

																								BgL_arg1210z00_832 =
																									CELL_REF(BgL_objz00_778);
																								BGl_z62outputzd2componentzb0zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_1840,
																									BgL_flagz00_1838,
																									BgL_portz00_1837,
																									BgL_cachez00_1839,
																									BgL_arg1210z00_832);
																							}
																							return
																								BGL_DISPLAY_STRING
																								(BGl_string1717z00zz__pp_circlez00,
																								BgL_portz00_1837);
																						}
																					else
																						{	/* Pp/circle.scm 265 */
																							if (BGL_OBJECTP(BgL_objz00_778))
																								{	/* Pp/circle.scm 272 */
																									obj_t
																										BgL_zc3anonymousza31213ze3z83_1804;
																									BgL_zc3anonymousza31213ze3z83_1804
																										=
																										MAKE_VA_PROCEDURE
																										(BGl_z62zc3anonymousza31213ze3ze1zz__pp_circlez00,
																										(int) (((long) -2)),
																										(int) (((long) 4)));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31213ze3z83_1804,
																										(int) (((long) 0)),
																										BgL_cachez00_1839);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31213ze3z83_1804,
																										(int) (((long) 1)),
																										BgL_portz00_1837);
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31213ze3z83_1804,
																										(int) (((long) 2)),
																										BBOOL(BgL_flagz00_1838));
																									PROCEDURE_SET
																										(BgL_zc3anonymousza31213ze3z83_1804,
																										(int) (((long) 3)),
																										BgL_nextzd2cardinalzd2_1840);
																									return
																										BGl_objectzd2printzd2zz__objectz00
																										(((BgL_objectz00_bglt)
																											BgL_objz00_778),
																										BgL_portz00_1837,
																										BgL_zc3anonymousza31213ze3z83_1804);
																								}
																							else
																								{	/* Pp/circle.scm 270 */
																									if (UCS2_STRINGP
																										(BgL_objz00_778))
																										{	/* Pp/circle.scm 274 */
																											if (BgL_flagz00_1838)
																												{	/* Pp/circle.scm 275 */
																													return
																														BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_778,
																														BgL_portz00_1837);
																												}
																											else
																												{	/* Pp/circle.scm 275 */
																													return
																														BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_778,
																														BgL_portz00_1837);
																												}
																										}
																									else
																										{	/* Pp/circle.scm 274 */
																											if (UCS2P(BgL_objz00_778))
																												{	/* Pp/circle.scm 279 */
																													if (BgL_flagz00_1838)
																														{	/* Pp/circle.scm 280 */
																															return
																																bgl_display_ucs2
																																(BgL_objz00_778,
																																BgL_portz00_1837);
																														}
																													else
																														{	/* Pp/circle.scm 280 */
																															return
																																bgl_write_ucs2
																																(BgL_objz00_778,
																																BgL_portz00_1837);
																														}
																												}
																											else
																												{	/* Pp/circle.scm 279 */
																													if (REALP
																														(BgL_objz00_778))
																														{	/* Pp/circle.scm 284 */
																															return
																																BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00
																																(BgL_objz00_778,
																																BgL_portz00_1837);
																														}
																													else
																														{	/* Pp/circle.scm 284 */
																															if (BGL_DATEP
																																(BgL_objz00_778))
																																{	/* Pp/circle.scm 287 */
																																	if (BgL_flagz00_1838)
																																		{	/* Pp/circle.scm 288 */
																																			return
																																				bgl_display_obj
																																				(BgL_objz00_778,
																																				BgL_portz00_1837);
																																		}
																																	else
																																		{	/* Pp/circle.scm 290 */
																																			obj_t
																																				BgL_list1218z00_843;
																																			BgL_list1218z00_843
																																				=
																																				MAKE_PAIR
																																				(BgL_portz00_1837,
																																				BNIL);
																																			return
																																				BGl_writez00zz__r4_output_6_10_3z00
																																				(BgL_objz00_778,
																																				BgL_list1218z00_843);
																																		}
																																}
																															else
																																{	/* Pp/circle.scm 292 */
																																	bool_t
																																		BgL_testz00_2246;
																																	{	/* Pp/circle.scm 292 */
																																		bool_t
																																			BgL_res1627z00_1487;
																																		BgL_res1627z00_1487
																																			=
																																			BGL_MUTEXP
																																			(BgL_objz00_778);
																																		BgL_testz00_2246
																																			=
																																			BgL_res1627z00_1487;
																																	}
																																	if (BgL_testz00_2246)
																																		{	/* Pp/circle.scm 292 */
																																			BGL_DISPLAY_STRING
																																				(BGl_string1718z00zz__pp_circlez00,
																																				BgL_portz00_1837);
																																			{	/* Pp/circle.scm 294 */
																																				obj_t
																																					BgL_arg1220z00_845;
																																				BgL_arg1220z00_845
																																					=
																																					BGL_MUTEX_NAME
																																					(BgL_objz00_778);
																																				bgl_display_obj
																																					(BgL_arg1220z00_845,
																																					BgL_portz00_1837);
																																			}
																																			return
																																				BGL_DISPLAY_STRING
																																				(BGl_string1717z00zz__pp_circlez00,
																																				BgL_portz00_1837);
																																		}
																																	else
																																		{	/* Pp/circle.scm 297 */
																																			bool_t
																																				BgL_testz00_2252;
																																			{	/* Pp/circle.scm 297 */
																																				bool_t
																																					BgL_res1628z00_1494;
																																				BgL_res1628z00_1494
																																					=
																																					BGL_CONDVARP
																																					(BgL_objz00_778);
																																				BgL_testz00_2252
																																					=
																																					BgL_res1628z00_1494;
																																			}
																																			if (BgL_testz00_2252)
																																				{	/* Pp/circle.scm 297 */
																																					BGL_DISPLAY_STRING
																																						(BGl_string1719z00zz__pp_circlez00,
																																						BgL_portz00_1837);
																																					{	/* Pp/circle.scm 299 */
																																						obj_t
																																							BgL_arg1222z00_847;
																																						BgL_arg1222z00_847
																																							=
																																							BGL_CONDVAR_NAME
																																							(BgL_objz00_778);
																																						bgl_display_obj
																																							(BgL_arg1222z00_847,
																																							BgL_portz00_1837);
																																					}
																																					return
																																						BGL_DISPLAY_STRING
																																						(BGl_string1717z00zz__pp_circlez00,
																																						BgL_portz00_1837);
																																				}
																																			else
																																				{	/* Pp/circle.scm 303 */
																																					obj_t
																																						BgL_list1223z00_848;
																																					BgL_list1223z00_848
																																						=
																																						MAKE_PAIR
																																						(BgL_portz00_1837,
																																						BNIL);
																																					return
																																						BGl_writez00zz__r4_output_6_10_3z00
																																						(BgL_objz00_778,
																																						BgL_list1223z00_848);
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &<anonymous:1213> */
	obj_t BGl_z62zc3anonymousza31213ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1811,
		obj_t BgL_xz00_1816, obj_t BgL_pz00_1817)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 271 */
			{	/* Pp/circle.scm 272 */
				obj_t BgL_cachez00_1812;
				obj_t BgL_portz00_1813;
				bool_t BgL_flagz00_1814;
				obj_t BgL_nextzd2cardinalzd2_1815;

				BgL_cachez00_1812 = PROCEDURE_REF(BgL_envz00_1811, (int) (((long) 0)));
				BgL_portz00_1813 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1811, (int) (((long) 1))));
				BgL_flagz00_1814 =
					CBOOL(PROCEDURE_REF(BgL_envz00_1811, (int) (((long) 2))));
				BgL_nextzd2cardinalzd2_1815 =
					((obj_t) PROCEDURE_REF(BgL_envz00_1811, (int) (((long) 3))));
				{
					obj_t BgL_xz00_835;
					obj_t BgL_pz00_836;

					BgL_xz00_835 = BgL_xz00_1816;
					BgL_pz00_836 = BgL_pz00_1817;
					return
						BGl_z62outputzd2componentzb0zz__pp_circlez00
						(BgL_nextzd2cardinalzd2_1815, BgL_flagz00_1814, BgL_portz00_1813,
						BgL_cachez00_1812, BgL_xz00_835);
				}
			}
		}
	}



/* &<anonymous:1261> */
	obj_t BGl_z62zc3anonymousza31261ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1818)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 113 */
			{	/* Pp/circle.scm 114 */
				obj_t BgL_serialz00_1819;

				BgL_serialz00_1819 =
					PROCEDURE_EL_REF(BgL_envz00_1818, (int) (((long) 0)));
				{

					{	/* Pp/circle.scm 114 */
						obj_t BgL_auxz00_1820;

						BgL_auxz00_1820 =
							BINT((((long) 1) + (long) CINT(CELL_REF(BgL_serialz00_1819))));
						CELL_SET(BgL_serialz00_1819, BgL_auxz00_1820);
					}
					return CELL_REF(BgL_serialz00_1819);
				}
			}
		}
	}



/* c-debugging-print */
	BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_14)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 309 */
			{	/* Pp/circle.scm 310 */
				obj_t BgL_portz00_1500;

				{	/* Pp/circle.scm 310 */
					obj_t BgL_res1629z00_1502;

					{	/* Pp/circle.scm 310 */
						obj_t BgL_auxz00_2277;

						BgL_auxz00_2277 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res1629z00_1502 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2277);
					}
					BgL_portz00_1500 = BgL_res1629z00_1502;
				}
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_14,
					BgL_portz00_1500, ((bool_t) 0));
				bgl_display_char(((unsigned char) '\n'), BgL_portz00_1500);
				return BgL_objz00_14;
			}
		}
	}



/* &c-debugging-print */
	obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_1822,
		obj_t BgL_objz00_1823)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 309 */
			return dprint(BgL_objz00_1823);
		}
	}



/* jvm-debugging-print */
	BGL_EXPORTED_DEF char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t
		BgL_objz00_15, int BgL_printerzd2numzd2_16)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 318 */
			{	/* Pp/circle.scm 320 */
				obj_t BgL_zc3anonymousza31264ze3z83_1824;

				BgL_zc3anonymousza31264ze3z83_1824 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31264ze3ze1zz__pp_circlez00,
					(int) (((long) 0)), (int) (((long) 2)));
				PROCEDURE_SET(BgL_zc3anonymousza31264ze3z83_1824,
					(int) (((long) 0)), BINT(BgL_printerzd2numzd2_16));
				PROCEDURE_SET(BgL_zc3anonymousza31264ze3z83_1824,
					(int) (((long) 1)), BgL_objz00_15);
				return
					BSTRING_TO_STRING
					(BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3anonymousza31264ze3z83_1824));
			}
		}
	}



/* &jvm-debugging-print */
	obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_1831,
		obj_t BgL_objz00_1832, obj_t BgL_printerzd2numzd2_1833)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 318 */
			{	/* Pp/circle.scm 320 */
				char *BgL_auxz00_2293;

				{	/* Pp/circle.scm 320 */
					int BgL_auxz00_2294;

					{	/* Pp/circle.scm 320 */
						obj_t BgL_auxz00_2295;

						if (INTEGERP(BgL_printerzd2numzd2_1833))
							{	/* Pp/circle.scm 320 */
								BgL_auxz00_2295 = BgL_printerzd2numzd2_1833;
							}
						else
							{
								obj_t BgL_auxz00_2298;

								BgL_auxz00_2298 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1709z00zz__pp_circlez00, BINT(((long) 10635)),
									BGl_string1720z00zz__pp_circlez00,
									BGl_string1721z00zz__pp_circlez00, BgL_printerzd2numzd2_1833);
								FAILURE(BgL_auxz00_2298, BFALSE, BFALSE);
							}
						BgL_auxz00_2294 = CINT(BgL_auxz00_2295);
					}
					BgL_auxz00_2293 =
						BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(BgL_objz00_1832,
						BgL_auxz00_2294);
				}
				return string_to_bstring(BgL_auxz00_2293);
			}
		}
	}



/* &<anonymous:1264> */
	obj_t BGl_z62zc3anonymousza31264ze3ze1zz__pp_circlez00(obj_t BgL_envz00_1834)
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 320 */
			{	/* Pp/circle.scm 320 */
				int BgL_printerzd2numzd2_1835;
				obj_t BgL_objz00_1836;

				BgL_printerzd2numzd2_1835 =
					CINT(PROCEDURE_REF(BgL_envz00_1834, (int) (((long) 0))));
				BgL_objz00_1836 = PROCEDURE_REF(BgL_envz00_1834, (int) (((long) 1)));
				{

					{	/* Pp/circle.scm 320 */
						obj_t BgL_fun1269z00_915;

						switch ((long) (BgL_printerzd2numzd2_1835))
							{
							case ((long) 1):

								BgL_fun1269z00_915 = BGl_writezd2envzd2zz__r4_output_6_10_3z00;
								break;
							case ((long) 2):

								BgL_fun1269z00_915 =
									BGl_writezd2circlezd2envz00zz__pp_circlez00;
								break;
							case ((long) 3):

								BgL_fun1269z00_915 =
									BGl_displayzd2circlezd2envz00zz__pp_circlez00;
								break;
							default:
								BgL_fun1269z00_915 =
									BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
							}
						{	/* Pp/circle.scm 326 */
							obj_t BgL_arg1267z00_916;

							{	/* Pp/circle.scm 326 */
								obj_t BgL_res1630z00_1507;

								{	/* Pp/circle.scm 326 */
									obj_t BgL_auxz00_2312;

									BgL_auxz00_2312 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res1630z00_1507 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2312);
								}
								BgL_arg1267z00_916 = BgL_res1630z00_1507;
							}
							return
								PROCEDURE_ENTRY(BgL_fun1269z00_915) (BgL_fun1269z00_915,
								BgL_objz00_1836, BgL_arg1267z00_916, BEOA);
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00()
	{
		AN_OBJECT;
		{	/* Pp/circle.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1722z00zz__pp_circlez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1722z00zz__pp_circlez00));
		}
	}

#ifdef __cplusplus
}
#endif
