/*===========================================================================*/
/*   (Unsafe/pcre.scm)                                                       */
/*   Bigloo (3.9a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Oct 22 07:47:07 CEST 2012       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.9a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/pcre.scm -indent -o objs/obj_u/Unsafe/pcre.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t bgl_regfree(obj_t);
	extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_list1646z00zz__regexpz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t);
	static obj_t BGl_z62pregexpzd2matchzb0zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t);
	extern obj_t bgl_regmatch(obj_t, char *, bool_t, int, int);
	static obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__regexpz00 = BUNSPEC;
	static obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t,
		obj_t, long);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_matchz00zz__regexpz00(obj_t, obj_t, bool_t, obj_t);
	static obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__regexpz00();
	static obj_t BGl_genericzd2initzd2zz__regexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00();
	static obj_t BGl_objectzd2initzd2zz__regexpz00();
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t, obj_t, long,
		obj_t);
	extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpz00zz__regexpz00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62pregexpz62zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bgl_regcomp(obj_t);
	static obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__regexpz00();
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t, obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2envzd2zz__regexpz00,
		BgL_bgl_za762pregexpza762za7za7_1649z00, BGl_z62pregexpz62zz__regexpz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2splitzd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2spl1650z00, BGl_z62pregexpzd2splitzb0zz__regexpz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2quotezd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2quo1651z00, BGl_z62pregexpzd2quotezb0zz__regexpz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regexpzd2patternzd2envz00zz__regexpz00,
		BgL_bgl_za762regexpza7d2patt1652z00,
		BGl_z62regexpzd2patternzb0zz__regexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2replacezd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2rep1653z00,
		BGl_z62pregexpzd2replacezb0zz__regexpz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regexpzf3zd2envz21zz__regexpz00,
		BgL_bgl_za762regexpza7f3za791za71654z00, BGl_z62regexpzf3z91zz__regexpz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1635z00zz__regexpz00,
		BgL_bgl_string1635za700za7za7_1655za7,
		"/tmp/bigloo/runtime/Unsafe/pcre.scm", 35);
	      DEFINE_STRING(BGl_string1636z00zz__regexpz00,
		BgL_bgl_string1636za700za7za7_1656za7, "&regexp-pattern", 15);
	      DEFINE_STRING(BGl_string1637z00zz__regexpz00,
		BgL_bgl_string1637za700za7za7_1657za7, "regexp", 6);
	      DEFINE_STRING(BGl_string1638z00zz__regexpz00,
		BgL_bgl_string1638za700za7za7_1658za7, "&pregexp", 8);
	      DEFINE_STRING(BGl_string1639z00zz__regexpz00,
		BgL_bgl_string1639za700za7za7_1659za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1640z00zz__regexpz00,
		BgL_bgl_string1640za700za7za7_1660za7, "&pregexp-match-positions", 24);
	      DEFINE_STRING(BGl_string1641z00zz__regexpz00,
		BgL_bgl_string1641za700za7za7_1661za7, "&pregexp-match", 14);
	      DEFINE_STRING(BGl_string1642z00zz__regexpz00,
		BgL_bgl_string1642za700za7za7_1662za7, "", 0);
	      DEFINE_STRING(BGl_string1643z00zz__regexpz00,
		BgL_bgl_string1643za700za7za7_1663za7, "&pregexp-split", 14);
	      DEFINE_STRING(BGl_string1644z00zz__regexpz00,
		BgL_bgl_string1644za700za7za7_1664za7, "&pregexp-replace", 16);
	      DEFINE_STRING(BGl_string1645z00zz__regexpz00,
		BgL_bgl_string1645za700za7za7_1665za7, "&pregexp-replace*", 17);
	      DEFINE_STRING(BGl_string1647z00zz__regexpz00,
		BgL_bgl_string1647za700za7za7_1666za7, "&pregexp-quote", 14);
	      DEFINE_STRING(BGl_string1648z00zz__regexpz00,
		BgL_bgl_string1648za700za7za7_1667za7, "__regexp", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2replaceza2zd2envza2zz__regexpz00,
		BgL_bgl_za762pregexpza7d2rep1668z00,
		BGl_z62pregexpzd2replaceza2z12zz__regexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pregexpzd2matchzd2positionszd2envzd2zz__regexpz00,
		BgL_bgl_za762pregexpza7d2mat1669z00, va_generic_entry,
		BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00, BUNSPEC, -3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2matchzd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2mat1670z00, va_generic_entry,
		BGl_z62pregexpzd2matchzb0zz__regexpz00, BUNSPEC, -3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long
		BgL_checksumz00_1607, char *BgL_fromz00_1608)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__regexpz00))
				{
					BGl_requirezd2initializa7ationz75zz__regexpz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__regexpz00();
					BGl_importedzd2moduleszd2initz00zz__regexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return (BGl_list1646z00zz__regexpz00 =
				MAKE_PAIR(BCHAR(((unsigned char) '\\')),
					MAKE_PAIR(BCHAR(((unsigned char) '.')),
						MAKE_PAIR(BCHAR(((unsigned char) '?')),
							MAKE_PAIR(BCHAR(((unsigned char) '*')),
								MAKE_PAIR(BCHAR(((unsigned char) '+')),
									MAKE_PAIR(BCHAR(((unsigned char) '|')),
										MAKE_PAIR(BCHAR(((unsigned char) '^')),
											MAKE_PAIR(BCHAR(((unsigned char) '$')),
												MAKE_PAIR(BCHAR(((unsigned char) '[')),
													MAKE_PAIR(BCHAR(((unsigned char) ']')),
														MAKE_PAIR(BCHAR(((unsigned char) '{')),
															MAKE_PAIR(BCHAR(((unsigned char) '}')),
																MAKE_PAIR(BCHAR(((unsigned char) '(')),
																	MAKE_PAIR(BCHAR(((unsigned char) ')')),
																		BNIL)))))))))))))), BUNSPEC);
		}
	}



/* regexp? */
	BGL_EXPORTED_DEF bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 80 */
			return BGL_REGEXPP(BgL_objz00_3);
		}
	}



/* &regexp? */
	obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t BgL_envz00_1556,
		obj_t BgL_objz00_1557)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 80 */
			return BBOOL(BGL_REGEXPP(BgL_objz00_1557));
		}
	}



/* regexp-pattern */
	BGL_EXPORTED_DEF obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t BgL_rez00_4)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 86 */
			return BGL_REGEXP_PAT(BgL_rez00_4);
		}
	}



/* &regexp-pattern */
	obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t BgL_envz00_1558,
		obj_t BgL_rez00_1559)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 86 */
			{	/* Unsafe/pcre.scm 87 */
				obj_t BgL_rez00_1605;

				if (BGL_REGEXPP(BgL_rez00_1559))
					{	/* Unsafe/pcre.scm 87 */
						BgL_rez00_1605 = BgL_rez00_1559;
					}
				else
					{
						obj_t BgL_auxz00_1648;

						BgL_auxz00_1648 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 3514)), BGl_string1636z00zz__regexpz00,
							BGl_string1637z00zz__regexpz00, BgL_rez00_1559);
						FAILURE(BgL_auxz00_1648, BFALSE, BFALSE);
					}
				return BGL_REGEXP_PAT(BgL_rez00_1605);
			}
		}
	}



/* pregexp */
	BGL_EXPORTED_DEF obj_t BGl_pregexpz00zz__regexpz00(obj_t BgL_rez00_5)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 101 */
			return bgl_regcomp(BgL_rez00_5);
		}
	}



/* &pregexp */
	obj_t BGl_z62pregexpz62zz__regexpz00(obj_t BgL_envz00_1560,
		obj_t BgL_rez00_1561)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 101 */
			{	/* Unsafe/pcre.scm 102 */
				obj_t BgL_rez00_1606;

				if (STRINGP(BgL_rez00_1561))
					{	/* Unsafe/pcre.scm 102 */
						BgL_rez00_1606 = BgL_rez00_1561;
					}
				else
					{
						obj_t BgL_auxz00_1656;

						BgL_auxz00_1656 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 4127)), BGl_string1638z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_rez00_1561);
						FAILURE(BgL_auxz00_1656, BFALSE, BFALSE);
					}
				return bgl_regcomp(BgL_rez00_1606);
			}
		}
	}



/* match */
	obj_t BGl_matchz00zz__regexpz00(obj_t BgL_patz00_6, obj_t BgL_strz00_7,
		bool_t BgL_stringpz00_8, obj_t BgL_optzd2argszd2_9)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 107 */
			{	/* Unsafe/pcre.scm 108 */
				obj_t BgL_begz00_628;
				obj_t BgL_endz00_629;

				BgL_begz00_628 = BINT(((long) 0));
				BgL_endz00_629 = BINT(STRING_LENGTH(BgL_strz00_7));
				if (PAIRP(BgL_optzd2argszd2_9))
					{	/* Unsafe/pcre.scm 110 */
						BgL_begz00_628 = CAR(BgL_optzd2argszd2_9);
						{	/* Unsafe/pcre.scm 112 */
							bool_t BgL_testz00_1667;

							{	/* Unsafe/pcre.scm 112 */
								obj_t BgL_auxz00_1668;

								BgL_auxz00_1668 = CDR(BgL_optzd2argszd2_9);
								BgL_testz00_1667 = PAIRP(BgL_auxz00_1668);
							}
							if (BgL_testz00_1667)
								{	/* Unsafe/pcre.scm 112 */
									BgL_endz00_629 = CAR(CDR(BgL_optzd2argszd2_9));
								}
							else
								{	/* Unsafe/pcre.scm 112 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 110 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 114 */
					bool_t BgL_testz00_1673;

					{	/* Unsafe/pcre.scm 114 */
						bool_t BgL_res1522z00_1056;

						BgL_res1522z00_1056 = BGL_REGEXPP(BgL_patz00_6);
						BgL_testz00_1673 = BgL_res1522z00_1056;
					}
					if (BgL_testz00_1673)
						{	/* Unsafe/pcre.scm 114 */
							return
								bgl_regmatch(BgL_patz00_6,
								BSTRING_TO_STRING(BgL_strz00_7), BgL_stringpz00_8,
								CINT(BgL_begz00_628), CINT(BgL_endz00_629));
						}
					else
						{	/* Unsafe/pcre.scm 116 */
							obj_t BgL_rxz00_634;

							BgL_rxz00_634 = bgl_regcomp(BgL_patz00_6);
							{	/* Unsafe/pcre.scm 116 */
								obj_t BgL_valz00_635;

								BgL_valz00_635 =
									bgl_regmatch(BgL_rxz00_634,
									BSTRING_TO_STRING(BgL_strz00_7), BgL_stringpz00_8,
									CINT(BgL_begz00_628), CINT(BgL_endz00_629));
								{	/* Unsafe/pcre.scm 117 */

									bgl_regfree(BgL_rxz00_634);
									return BgL_valz00_635;
								}
							}
						}
				}
			}
		}
	}



/* pregexp-match-positions */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t
		BgL_patz00_10, obj_t BgL_strz00_11, obj_t BgL_optzd2argszd2_12)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 124 */
			{	/* Unsafe/pcre.scm 125 */
				obj_t BgL_begz00_1062;
				obj_t BgL_endz00_1063;

				BgL_begz00_1062 = BINT(((long) 0));
				BgL_endz00_1063 = BINT(STRING_LENGTH(BgL_strz00_11));
				if (PAIRP(BgL_optzd2argszd2_12))
					{	/* Unsafe/pcre.scm 125 */
						BgL_begz00_1062 = CAR(BgL_optzd2argszd2_12);
						{	/* Unsafe/pcre.scm 125 */
							bool_t BgL_testz00_1691;

							{	/* Unsafe/pcre.scm 125 */
								obj_t BgL_auxz00_1692;

								BgL_auxz00_1692 = CDR(BgL_optzd2argszd2_12);
								BgL_testz00_1691 = PAIRP(BgL_auxz00_1692);
							}
							if (BgL_testz00_1691)
								{	/* Unsafe/pcre.scm 125 */
									BgL_endz00_1063 = CAR(CDR(BgL_optzd2argszd2_12));
								}
							else
								{	/* Unsafe/pcre.scm 125 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 125 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 125 */
					bool_t BgL_testz00_1697;

					{	/* Unsafe/pcre.scm 125 */
						bool_t BgL_res1522z00_1080;

						BgL_res1522z00_1080 = BGL_REGEXPP(BgL_patz00_10);
						BgL_testz00_1697 = BgL_res1522z00_1080;
					}
					if (BgL_testz00_1697)
						{	/* Unsafe/pcre.scm 125 */
							return
								bgl_regmatch(BgL_patz00_10,
								BSTRING_TO_STRING(BgL_strz00_11), ((bool_t) 0),
								CINT(BgL_begz00_1062), CINT(BgL_endz00_1063));
						}
					else
						{	/* Unsafe/pcre.scm 125 */
							obj_t BgL_rxz00_1082;

							BgL_rxz00_1082 = bgl_regcomp(BgL_patz00_10);
							{	/* Unsafe/pcre.scm 125 */
								obj_t BgL_valz00_1084;

								BgL_valz00_1084 =
									bgl_regmatch(BgL_rxz00_1082,
									BSTRING_TO_STRING(BgL_strz00_11), ((bool_t) 0),
									CINT(BgL_begz00_1062), CINT(BgL_endz00_1063));
								{	/* Unsafe/pcre.scm 125 */

									bgl_regfree(BgL_rxz00_1082);
									return BgL_valz00_1084;
								}
							}
						}
				}
			}
		}
	}



/* &pregexp-match-positions */
	obj_t BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00(obj_t
		BgL_envz00_1562, obj_t BgL_patz00_1563, obj_t BgL_strz00_1564,
		obj_t BgL_optzd2argszd2_1565)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 124 */
			{	/* Unsafe/pcre.scm 125 */
				obj_t BgL_auxz00_1709;

				if (STRINGP(BgL_strz00_1564))
					{	/* Unsafe/pcre.scm 125 */
						BgL_auxz00_1709 = BgL_strz00_1564;
					}
				else
					{
						obj_t BgL_auxz00_1712;

						BgL_auxz00_1712 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 5024)), BGl_string1640z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_strz00_1564);
						FAILURE(BgL_auxz00_1712, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1563,
					BgL_auxz00_1709, BgL_optzd2argszd2_1565);
			}
		}
	}



/* pregexp-match */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t
		BgL_patz00_13, obj_t BgL_strz00_14, obj_t BgL_optzd2argszd2_15)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 130 */
			{	/* Unsafe/pcre.scm 131 */
				obj_t BgL_begz00_1089;
				obj_t BgL_endz00_1090;

				BgL_begz00_1089 = BINT(((long) 0));
				BgL_endz00_1090 = BINT(STRING_LENGTH(BgL_strz00_14));
				if (PAIRP(BgL_optzd2argszd2_15))
					{	/* Unsafe/pcre.scm 131 */
						BgL_begz00_1089 = CAR(BgL_optzd2argszd2_15);
						{	/* Unsafe/pcre.scm 131 */
							bool_t BgL_testz00_1723;

							{	/* Unsafe/pcre.scm 131 */
								obj_t BgL_auxz00_1724;

								BgL_auxz00_1724 = CDR(BgL_optzd2argszd2_15);
								BgL_testz00_1723 = PAIRP(BgL_auxz00_1724);
							}
							if (BgL_testz00_1723)
								{	/* Unsafe/pcre.scm 131 */
									BgL_endz00_1090 = CAR(CDR(BgL_optzd2argszd2_15));
								}
							else
								{	/* Unsafe/pcre.scm 131 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 131 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 131 */
					bool_t BgL_testz00_1729;

					{	/* Unsafe/pcre.scm 131 */
						bool_t BgL_res1522z00_1107;

						BgL_res1522z00_1107 = BGL_REGEXPP(BgL_patz00_13);
						BgL_testz00_1729 = BgL_res1522z00_1107;
					}
					if (BgL_testz00_1729)
						{	/* Unsafe/pcre.scm 131 */
							return
								bgl_regmatch(BgL_patz00_13,
								BSTRING_TO_STRING(BgL_strz00_14), ((bool_t) 1),
								CINT(BgL_begz00_1089), CINT(BgL_endz00_1090));
						}
					else
						{	/* Unsafe/pcre.scm 131 */
							obj_t BgL_rxz00_1109;

							BgL_rxz00_1109 = bgl_regcomp(BgL_patz00_13);
							{	/* Unsafe/pcre.scm 131 */
								obj_t BgL_valz00_1111;

								BgL_valz00_1111 =
									bgl_regmatch(BgL_rxz00_1109,
									BSTRING_TO_STRING(BgL_strz00_14), ((bool_t) 1),
									CINT(BgL_begz00_1089), CINT(BgL_endz00_1090));
								{	/* Unsafe/pcre.scm 131 */

									bgl_regfree(BgL_rxz00_1109);
									return BgL_valz00_1111;
								}
							}
						}
				}
			}
		}
	}



/* &pregexp-match */
	obj_t BGl_z62pregexpzd2matchzb0zz__regexpz00(obj_t BgL_envz00_1566,
		obj_t BgL_patz00_1567, obj_t BgL_strz00_1568, obj_t BgL_optzd2argszd2_1569)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 130 */
			{	/* Unsafe/pcre.scm 131 */
				obj_t BgL_auxz00_1741;

				if (STRINGP(BgL_strz00_1568))
					{	/* Unsafe/pcre.scm 131 */
						BgL_auxz00_1741 = BgL_strz00_1568;
					}
				else
					{
						obj_t BgL_auxz00_1744;

						BgL_auxz00_1744 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 5322)), BGl_string1641z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_strz00_1568);
						FAILURE(BgL_auxz00_1744, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_1567, BgL_auxz00_1741,
					BgL_optzd2argszd2_1569);
			}
		}
	}



/* pregexp-read-escaped-number */
	obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t BgL_sz00_16,
		obj_t BgL_iz00_17, long BgL_nz00_18)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 136 */
			if ((((long) CINT(BgL_iz00_17) + ((long) 1)) < BgL_nz00_18))
				{	/* Unsafe/pcre.scm 139 */
					unsigned char BgL_cz00_637;

					BgL_cz00_637 =
						STRING_REF(BgL_sz00_16, ((long) CINT(BgL_iz00_17) + ((long) 1)));
					{	/* Unsafe/pcre.scm 140 */
						bool_t BgL_testz00_1756;

						{	/* Unsafe/pcre.scm 140 */
							bool_t BgL_res1527z00_1125;

							BgL_res1527z00_1125 = isdigit(BgL_cz00_637);
							BgL_testz00_1756 = BgL_res1527z00_1125;
						}
						if (BgL_testz00_1756)
							{	/* Unsafe/pcre.scm 141 */
								long BgL_g1043z00_639;
								obj_t BgL_g1044z00_640;

								BgL_g1043z00_639 = ((long) CINT(BgL_iz00_17) + ((long) 2));
								{	/* Unsafe/pcre.scm 141 */
									obj_t BgL_list1155z00_665;

									BgL_list1155z00_665 = MAKE_PAIR(BCHAR(BgL_cz00_637), BNIL);
									BgL_g1044z00_640 = BgL_list1155z00_665;
								}
								{
									long BgL_iz00_642;
									obj_t BgL_rz00_643;

									BgL_iz00_642 = BgL_g1043z00_639;
									BgL_rz00_643 = BgL_g1044z00_640;
								BgL_zc3anonymousza31138ze3z83_644:
									if ((BgL_iz00_642 >= BgL_nz00_18))
										{	/* Unsafe/pcre.scm 143 */
											obj_t BgL_arg1140z00_646;

											{	/* Unsafe/pcre.scm 143 */
												obj_t BgL_arg1143z00_649;

												BgL_arg1143z00_649 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(bgl_reverse_bang(BgL_rz00_643));
												{	/* Ieee/number.scm 135 */

													BgL_arg1140z00_646 =
														BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
														(BgL_arg1143z00_649, BINT(((long) 10)));
											}}
											{	/* Unsafe/pcre.scm 143 */
												obj_t BgL_list1141z00_647;

												{	/* Unsafe/pcre.scm 143 */
													obj_t BgL_arg1142z00_648;

													BgL_arg1142z00_648 =
														MAKE_PAIR(BINT(BgL_iz00_642), BNIL);
													BgL_list1141z00_647 =
														MAKE_PAIR(BgL_arg1140z00_646, BgL_arg1142z00_648);
												}
												return BgL_list1141z00_647;
											}
										}
									else
										{	/* Unsafe/pcre.scm 144 */
											unsigned char BgL_cz00_653;

											BgL_cz00_653 = STRING_REF(BgL_sz00_16, BgL_iz00_642);
											{	/* Unsafe/pcre.scm 145 */
												bool_t BgL_testz00_1772;

												{	/* Unsafe/pcre.scm 145 */
													bool_t BgL_res1533z00_1140;

													BgL_res1533z00_1140 = isdigit(BgL_cz00_653);
													BgL_testz00_1772 = BgL_res1533z00_1140;
												}
												if (BgL_testz00_1772)
													{	/* Unsafe/pcre.scm 146 */
														long BgL_arg1147z00_655;
														obj_t BgL_arg1149z00_656;

														BgL_arg1147z00_655 = (BgL_iz00_642 + ((long) 1));
														BgL_arg1149z00_656 =
															MAKE_PAIR(BCHAR(BgL_cz00_653), BgL_rz00_643);
														{
															obj_t BgL_rz00_1778;
															long BgL_iz00_1777;

															BgL_iz00_1777 = BgL_arg1147z00_655;
															BgL_rz00_1778 = BgL_arg1149z00_656;
															BgL_rz00_643 = BgL_rz00_1778;
															BgL_iz00_642 = BgL_iz00_1777;
															goto BgL_zc3anonymousza31138ze3z83_644;
														}
													}
												else
													{	/* Unsafe/pcre.scm 147 */
														obj_t BgL_arg1150z00_657;

														{	/* Unsafe/pcre.scm 147 */
															obj_t BgL_arg1153z00_660;

															BgL_arg1153z00_660 =
																BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
																(bgl_reverse_bang(BgL_rz00_643));
															{	/* Ieee/number.scm 135 */

																BgL_arg1150z00_657 =
																	BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
																	(BgL_arg1153z00_660, BINT(((long) 10)));
														}}
														{	/* Unsafe/pcre.scm 147 */
															obj_t BgL_list1151z00_658;

															{	/* Unsafe/pcre.scm 147 */
																obj_t BgL_arg1152z00_659;

																BgL_arg1152z00_659 =
																	MAKE_PAIR(BINT(BgL_iz00_642), BNIL);
																BgL_list1151z00_658 =
																	MAKE_PAIR(BgL_arg1150z00_657,
																	BgL_arg1152z00_659);
															}
															return BgL_list1151z00_658;
														}
													}
											}
										}
								}
							}
						else
							{	/* Unsafe/pcre.scm 140 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Unsafe/pcre.scm 138 */
					return BFALSE;
				}
		}
	}



/* pregexp-list-ref */
	obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t BgL_sz00_19,
		obj_t BgL_iz00_20)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 153 */
			{
				obj_t BgL_sz00_1177;
				long BgL_kz00_1178;

				BgL_sz00_1177 = BgL_sz00_19;
				BgL_kz00_1178 = ((long) 0);
			BgL_loopz00_1176:
				if (NULLP(BgL_sz00_1177))
					{	/* Unsafe/pcre.scm 156 */
						return BFALSE;
					}
				else
					{	/* Unsafe/pcre.scm 156 */
						if ((BgL_kz00_1178 == (long) CINT(BgL_iz00_20)))
							{	/* Unsafe/pcre.scm 156 */
								return CAR(BgL_sz00_1177);
							}
						else
							{
								long BgL_kz00_1794;
								obj_t BgL_sz00_1792;

								BgL_sz00_1792 = CDR(BgL_sz00_1177);
								BgL_kz00_1794 = (BgL_kz00_1178 + ((long) 1));
								BgL_kz00_1178 = BgL_kz00_1794;
								BgL_sz00_1177 = BgL_sz00_1792;
								goto BgL_loopz00_1176;
							}
					}
			}
		}
	}



/* pregexp-replace-aux */
	obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t BgL_strz00_21,
		obj_t BgL_insz00_22, long BgL_nz00_23, obj_t BgL_backrefsz00_24)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 164 */
			{
				obj_t BgL_iz00_678;
				obj_t BgL_rz00_679;

				BgL_iz00_678 = BINT(((long) 0));
				BgL_rz00_679 = BGl_string1642z00zz__regexpz00;
			BgL_zc3anonymousza31165ze3z83_680:
				if (((long) CINT(BgL_iz00_678) >= BgL_nz00_23))
					{	/* Unsafe/pcre.scm 166 */
						return BgL_rz00_679;
					}
				else
					{	/* Unsafe/pcre.scm 167 */
						unsigned char BgL_cz00_682;

						BgL_cz00_682 = STRING_REF(BgL_insz00_22, (long) CINT(BgL_iz00_678));
						if ((BgL_cz00_682 == ((unsigned char) '\\')))
							{	/* Unsafe/pcre.scm 169 */
								obj_t BgL_brzd2izd2_684;

								BgL_brzd2izd2_684 =
									BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00
									(BgL_insz00_22, BgL_iz00_678, BgL_nz00_23);
								{	/* Unsafe/pcre.scm 169 */
									obj_t BgL_brz00_685;

									if (CBOOL(BgL_brzd2izd2_684))
										{	/* Unsafe/pcre.scm 170 */
											BgL_brz00_685 = CAR(BgL_brzd2izd2_684);
										}
									else
										{	/* Unsafe/pcre.scm 170 */
											if (
												(STRING_REF(BgL_insz00_22,
														((long) CINT(BgL_iz00_678) + ((long) 1))) ==
													((unsigned char) '&')))
												{	/* Unsafe/pcre.scm 171 */
													BgL_brz00_685 = BINT(((long) 0));
												}
											else
												{	/* Unsafe/pcre.scm 171 */
													BgL_brz00_685 = BFALSE;
												}
										}
									{	/* Unsafe/pcre.scm 170 */
										obj_t BgL_iz00_686;

										if (CBOOL(BgL_brzd2izd2_684))
											{	/* Unsafe/pcre.scm 173 */
												obj_t BgL_pairz00_1216;

												BgL_pairz00_1216 = BgL_brzd2izd2_684;
												BgL_iz00_686 = CAR(CDR(BgL_pairz00_1216));
											}
										else
											{	/* Unsafe/pcre.scm 173 */
												if (CBOOL(BgL_brz00_685))
													{	/* Unsafe/pcre.scm 174 */
														BgL_iz00_686 =
															BINT(((long) CINT(BgL_iz00_678) + ((long) 2)));
													}
												else
													{	/* Unsafe/pcre.scm 174 */
														BgL_iz00_686 =
															BINT(((long) CINT(BgL_iz00_678) + ((long) 1)));
											}}
										{	/* Unsafe/pcre.scm 173 */

											if (CBOOL(BgL_brz00_685))
												{	/* Unsafe/pcre.scm 182 */
													obj_t BgL_arg1171z00_687;

													{	/* Unsafe/pcre.scm 182 */
														obj_t BgL_backrefz00_688;

														BgL_backrefz00_688 =
															BGl_pregexpzd2listzd2refz00zz__regexpz00
															(BgL_backrefsz00_24, BgL_brz00_685);
														if (CBOOL(BgL_backrefz00_688))
															{	/* Unsafe/pcre.scm 185 */
																obj_t BgL_arg1173z00_689;

																{	/* Unsafe/pcre.scm 185 */
																	obj_t BgL_arg1174z00_690;
																	obj_t BgL_arg1175z00_691;

																	BgL_arg1174z00_690 = CAR(BgL_backrefz00_688);
																	BgL_arg1175z00_691 = CDR(BgL_backrefz00_688);
																	BgL_arg1173z00_689 =
																		c_substring(BgL_strz00_21,
																		(long) CINT(BgL_arg1174z00_690),
																		(long) CINT(BgL_arg1175z00_691));
																}
																BgL_arg1171z00_687 =
																	string_append(BgL_rz00_679,
																	BgL_arg1173z00_689);
															}
														else
															{	/* Unsafe/pcre.scm 183 */
																BgL_arg1171z00_687 = BgL_rz00_679;
															}
													}
													{
														obj_t BgL_rz00_1837;
														obj_t BgL_iz00_1836;

														BgL_iz00_1836 = BgL_iz00_686;
														BgL_rz00_1837 = BgL_arg1171z00_687;
														BgL_rz00_679 = BgL_rz00_1837;
														BgL_iz00_678 = BgL_iz00_1836;
														goto BgL_zc3anonymousza31165ze3z83_680;
													}
												}
											else
												{	/* Unsafe/pcre.scm 177 */
													unsigned char BgL_c2z00_692;

													BgL_c2z00_692 =
														STRING_REF(BgL_insz00_22,
														(long) CINT(BgL_iz00_686));
													{	/* Unsafe/pcre.scm 178 */
														long BgL_arg1180z00_693;
														obj_t BgL_arg1181z00_694;

														BgL_arg1180z00_693 =
															((long) CINT(BgL_iz00_686) + ((long) 1));
														if ((BgL_c2z00_692 == ((unsigned char) '$')))
															{	/* Unsafe/pcre.scm 179 */
																BgL_arg1181z00_694 = BgL_rz00_679;
															}
														else
															{	/* Unsafe/pcre.scm 180 */
																obj_t BgL_arg1186z00_696;

																{	/* Unsafe/pcre.scm 180 */
																	obj_t BgL_list1187z00_697;

																	BgL_list1187z00_697 =
																		MAKE_PAIR(BCHAR(BgL_c2z00_692), BNIL);
																	BgL_arg1186z00_696 =
																		BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
																		(BgL_list1187z00_697);
																}
																BgL_arg1181z00_694 =
																	string_append(BgL_rz00_679,
																	BgL_arg1186z00_696);
															}
														{
															obj_t BgL_rz00_1850;
															obj_t BgL_iz00_1848;

															BgL_iz00_1848 = BINT(BgL_arg1180z00_693);
															BgL_rz00_1850 = BgL_arg1181z00_694;
															BgL_rz00_679 = BgL_rz00_1850;
															BgL_iz00_678 = BgL_iz00_1848;
															goto BgL_zc3anonymousza31165ze3z83_680;
														}
													}
												}
										}
									}
								}
							}
						else
							{	/* Unsafe/pcre.scm 187 */
								long BgL_arg1202z00_701;
								obj_t BgL_arg1205z00_702;

								BgL_arg1202z00_701 = ((long) CINT(BgL_iz00_678) + ((long) 1));
								{	/* Unsafe/pcre.scm 187 */
									obj_t BgL_arg1208z00_703;

									{	/* Unsafe/pcre.scm 187 */
										obj_t BgL_list1209z00_704;

										BgL_list1209z00_704 = MAKE_PAIR(BCHAR(BgL_cz00_682), BNIL);
										BgL_arg1208z00_703 =
											BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
											(BgL_list1209z00_704);
									}
									BgL_arg1205z00_702 =
										string_append(BgL_rz00_679, BgL_arg1208z00_703);
								}
								{
									obj_t BgL_rz00_1859;
									obj_t BgL_iz00_1857;

									BgL_iz00_1857 = BINT(BgL_arg1202z00_701);
									BgL_rz00_1859 = BgL_arg1205z00_702;
									BgL_rz00_679 = BgL_rz00_1859;
									BgL_iz00_678 = BgL_iz00_1857;
									goto BgL_zc3anonymousza31165ze3z83_680;
								}
							}
					}
			}
		}
	}



/* pregexp-split */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t
		BgL_patz00_25, obj_t BgL_strz00_26)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 192 */
			{	/* Unsafe/pcre.scm 194 */
				long BgL_nz00_706;

				BgL_nz00_706 = STRING_LENGTH(BgL_strz00_26);
				{
					obj_t BgL_iz00_709;
					obj_t BgL_rz00_710;
					bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711;

					BgL_iz00_709 = BINT(((long) 0));
					BgL_rz00_710 = BNIL;
					BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711 = ((bool_t) 0);
				BgL_zc3anonymousza31210ze3z83_712:
					if (((long) CINT(BgL_iz00_709) >= BgL_nz00_706))
						{	/* Unsafe/pcre.scm 196 */
							return bgl_reverse_bang(BgL_rz00_710);
						}
					else
						{	/* Unsafe/pcre.scm 197 */
							obj_t BgL_g1046z00_714;

							{	/* Unsafe/pcre.scm 197 */
								obj_t BgL_list1224z00_731;

								{	/* Unsafe/pcre.scm 197 */
									obj_t BgL_arg1225z00_732;

									BgL_arg1225z00_732 = MAKE_PAIR(BINT(BgL_nz00_706), BNIL);
									BgL_list1224z00_731 =
										MAKE_PAIR(BgL_iz00_709, BgL_arg1225z00_732);
								}
								BgL_g1046z00_714 =
									BGl_matchz00zz__regexpz00(BgL_patz00_25, BgL_strz00_26,
									((bool_t) 0), BgL_list1224z00_731);
							}
							if (CBOOL(BgL_g1046z00_714))
								{	/* Unsafe/pcre.scm 200 */
									obj_t BgL_jkz00_717;

									BgL_jkz00_717 = CAR(BgL_g1046z00_714);
									{	/* Unsafe/pcre.scm 201 */
										obj_t BgL_jz00_718;
										obj_t BgL_kz00_719;

										BgL_jz00_718 = CAR(BgL_jkz00_717);
										BgL_kz00_719 = CDR(BgL_jkz00_717);
										if (
											((long) CINT(BgL_jz00_718) == (long) CINT(BgL_kz00_719)))
											{	/* Unsafe/pcre.scm 203 */
												long BgL_arg1214z00_721;
												obj_t BgL_arg1215z00_722;

												BgL_arg1214z00_721 =
													((long) CINT(BgL_kz00_719) + ((long) 1));
												BgL_arg1215z00_722 =
													MAKE_PAIR(c_substring(BgL_strz00_26,
														(long) CINT(BgL_iz00_709),
														((long) CINT(BgL_jz00_718) + ((long) 1))),
													BgL_rz00_710);
												{
													bool_t
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1889;
													obj_t BgL_rz00_1888;
													obj_t BgL_iz00_1886;

													BgL_iz00_1886 = BINT(BgL_arg1214z00_721);
													BgL_rz00_1888 = BgL_arg1215z00_722;
													BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1889
														= ((bool_t) 1);
													BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711 =
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1889;
													BgL_rz00_710 = BgL_rz00_1888;
													BgL_iz00_709 = BgL_iz00_1886;
													goto BgL_zc3anonymousza31210ze3z83_712;
												}
											}
										else
											{	/* Unsafe/pcre.scm 205 */
												bool_t BgL_testz00_1890;

												if (
													((long) CINT(BgL_jz00_718) ==
														(long) CINT(BgL_iz00_709)))
													{	/* Unsafe/pcre.scm 205 */
														BgL_testz00_1890 =
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711;
													}
												else
													{	/* Unsafe/pcre.scm 205 */
														BgL_testz00_1890 = ((bool_t) 0);
													}
												if (BgL_testz00_1890)
													{
														bool_t
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1896;
														obj_t BgL_iz00_1895;

														BgL_iz00_1895 = BgL_kz00_719;
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1896
															= ((bool_t) 0);
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711
															=
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1896;
														BgL_iz00_709 = BgL_iz00_1895;
														goto BgL_zc3anonymousza31210ze3z83_712;
													}
												else
													{	/* Unsafe/pcre.scm 208 */
														obj_t BgL_arg1219z00_726;

														BgL_arg1219z00_726 =
															MAKE_PAIR(c_substring(BgL_strz00_26,
																(long) CINT(BgL_iz00_709),
																(long) CINT(BgL_jz00_718)), BgL_rz00_710);
														{
															bool_t
																BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1903;
															obj_t BgL_rz00_1902;
															obj_t BgL_iz00_1901;

															BgL_iz00_1901 = BgL_kz00_719;
															BgL_rz00_1902 = BgL_arg1219z00_726;
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1903
																= ((bool_t) 0);
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711
																=
																BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1903;
															BgL_rz00_710 = BgL_rz00_1902;
															BgL_iz00_709 = BgL_iz00_1901;
															goto BgL_zc3anonymousza31210ze3z83_712;
														}
													}
											}
									}
								}
							else
								{	/* Unsafe/pcre.scm 209 */
									obj_t BgL_arg1222z00_729;

									BgL_arg1222z00_729 =
										MAKE_PAIR(c_substring(BgL_strz00_26,
											(long) CINT(BgL_iz00_709), BgL_nz00_706), BgL_rz00_710);
									{
										bool_t
											BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1910;
										obj_t BgL_rz00_1909;
										obj_t BgL_iz00_1907;

										BgL_iz00_1907 = BINT(BgL_nz00_706);
										BgL_rz00_1909 = BgL_arg1222z00_729;
										BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1910 =
											((bool_t) 0);
										BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_711 =
											BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1910;
										BgL_rz00_710 = BgL_rz00_1909;
										BgL_iz00_709 = BgL_iz00_1907;
										goto BgL_zc3anonymousza31210ze3z83_712;
									}
								}
						}
				}
			}
		}
	}



/* &pregexp-split */
	obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t BgL_envz00_1570,
		obj_t BgL_patz00_1571, obj_t BgL_strz00_1572)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 192 */
			{	/* Unsafe/pcre.scm 194 */
				obj_t BgL_auxz00_1912;

				if (STRINGP(BgL_strz00_1572))
					{	/* Unsafe/pcre.scm 194 */
						BgL_auxz00_1912 = BgL_strz00_1572;
					}
				else
					{
						obj_t BgL_auxz00_1915;

						BgL_auxz00_1915 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 7769)), BGl_string1643z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_strz00_1572);
						FAILURE(BgL_auxz00_1915, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2splitzd2zz__regexpz00(BgL_patz00_1571, BgL_auxz00_1912);
			}
		}
	}



/* pregexp-replace */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t
		BgL_patz00_27, obj_t BgL_strz00_28, obj_t BgL_insz00_29)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 214 */
			{	/* Unsafe/pcre.scm 215 */
				long BgL_nz00_734;

				BgL_nz00_734 = STRING_LENGTH(BgL_strz00_28);
				{	/* Unsafe/pcre.scm 215 */
					obj_t BgL_ppz00_735;

					{	/* Unsafe/pcre.scm 216 */
						obj_t BgL_list1232z00_742;

						{	/* Unsafe/pcre.scm 216 */
							obj_t BgL_arg1234z00_743;

							BgL_arg1234z00_743 = MAKE_PAIR(BINT(BgL_nz00_734), BNIL);
							BgL_list1232z00_742 =
								MAKE_PAIR(BINT(((long) 0)), BgL_arg1234z00_743);
						}
						BgL_ppz00_735 =
							BGl_matchz00zz__regexpz00(BgL_patz00_27, BgL_strz00_28,
							((bool_t) 0), BgL_list1232z00_742);
					}
					{	/* Unsafe/pcre.scm 216 */

						if (CBOOL(BgL_ppz00_735))
							{	/* Unsafe/pcre.scm 218 */
								long BgL_inszd2lenzd2_736;
								obj_t BgL_mzd2izd2_737;
								obj_t BgL_mzd2nzd2_738;

								BgL_inszd2lenzd2_736 = STRING_LENGTH(BgL_insz00_29);
								{	/* Unsafe/pcre.scm 219 */
									obj_t BgL_pairz00_1290;

									BgL_pairz00_1290 = BgL_ppz00_735;
									BgL_mzd2izd2_737 = CAR(CAR(BgL_pairz00_1290));
								}
								{	/* Unsafe/pcre.scm 220 */
									obj_t BgL_pairz00_1294;

									BgL_pairz00_1294 = BgL_ppz00_735;
									BgL_mzd2nzd2_738 = CDR(CAR(BgL_pairz00_1294));
								}
								return
									string_append_3(c_substring(BgL_strz00_28, ((long) 0),
										(long) CINT(BgL_mzd2izd2_737)),
									BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_28,
										BgL_insz00_29, BgL_inszd2lenzd2_736, BgL_ppz00_735),
									c_substring(BgL_strz00_28, (long) CINT(BgL_mzd2nzd2_738),
										BgL_nz00_734));
							}
						else
							{	/* Unsafe/pcre.scm 217 */
								return BgL_strz00_28;
							}
					}
				}
			}
		}
	}



/* &pregexp-replace */
	obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t BgL_envz00_1573,
		obj_t BgL_patz00_1574, obj_t BgL_strz00_1575, obj_t BgL_insz00_1576)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 214 */
			{	/* Unsafe/pcre.scm 215 */
				obj_t BgL_auxz00_1946;
				obj_t BgL_auxz00_1939;

				if (STRINGP(BgL_insz00_1576))
					{	/* Unsafe/pcre.scm 215 */
						BgL_auxz00_1946 = BgL_insz00_1576;
					}
				else
					{
						obj_t BgL_auxz00_1949;

						BgL_auxz00_1949 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 8585)), BGl_string1644z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_insz00_1576);
						FAILURE(BgL_auxz00_1949, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_strz00_1575))
					{	/* Unsafe/pcre.scm 215 */
						BgL_auxz00_1939 = BgL_strz00_1575;
					}
				else
					{
						obj_t BgL_auxz00_1942;

						BgL_auxz00_1942 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 8585)), BGl_string1644z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_strz00_1575);
						FAILURE(BgL_auxz00_1942, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2replacezd2zz__regexpz00(BgL_patz00_1574,
					BgL_auxz00_1939, BgL_auxz00_1946);
			}
		}
	}



/* pregexp-replace* */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t
		BgL_patz00_30, obj_t BgL_strz00_31, obj_t BgL_insz00_32)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 229 */
			{	/* Unsafe/pcre.scm 232 */
				obj_t BgL_patz00_744;
				long BgL_nz00_745;
				long BgL_inszd2lenzd2_746;

				if (STRINGP(BgL_patz00_30))
					{	/* Unsafe/pcre.scm 232 */
						BgL_patz00_744 = bgl_regcomp(BgL_patz00_30);
					}
				else
					{	/* Unsafe/pcre.scm 232 */
						BgL_patz00_744 = BgL_patz00_30;
					}
				BgL_nz00_745 = STRING_LENGTH(BgL_strz00_31);
				BgL_inszd2lenzd2_746 = STRING_LENGTH(BgL_insz00_32);
				{
					obj_t BgL_iz00_748;
					obj_t BgL_rz00_749;

					BgL_iz00_748 = BINT(((long) 0));
					BgL_rz00_749 = BGl_string1642z00zz__regexpz00;
				BgL_zc3anonymousza31235ze3z83_750:
					if (((long) CINT(BgL_iz00_748) >= BgL_nz00_745))
						{	/* Unsafe/pcre.scm 238 */
							return BgL_rz00_749;
						}
					else
						{	/* Unsafe/pcre.scm 239 */
							obj_t BgL_ppz00_752;

							{	/* Unsafe/pcre.scm 239 */
								obj_t BgL_list1249z00_760;

								{	/* Unsafe/pcre.scm 239 */
									obj_t BgL_arg1250z00_761;

									BgL_arg1250z00_761 = MAKE_PAIR(BINT(BgL_nz00_745), BNIL);
									BgL_list1249z00_760 =
										MAKE_PAIR(BgL_iz00_748, BgL_arg1250z00_761);
								}
								BgL_ppz00_752 =
									BGl_matchz00zz__regexpz00(BgL_patz00_744, BgL_strz00_31,
									((bool_t) 0), BgL_list1249z00_760);
							}
							if (CBOOL(BgL_ppz00_752))
								{	/* Unsafe/pcre.scm 250 */
									obj_t BgL_arg1240z00_753;
									obj_t BgL_arg1241z00_754;

									{	/* Unsafe/pcre.scm 250 */
										obj_t BgL_pairz00_1319;

										BgL_pairz00_1319 = BgL_ppz00_752;
										BgL_arg1240z00_753 = CDR(CAR(BgL_pairz00_1319));
									}
									{	/* Unsafe/pcre.scm 253 */
										obj_t BgL_arg1243z00_755;
										obj_t BgL_arg1244z00_756;

										{	/* Unsafe/pcre.scm 253 */
											obj_t BgL_arg1246z00_757;

											{	/* Unsafe/pcre.scm 253 */
												obj_t BgL_pairz00_1323;

												BgL_pairz00_1323 = BgL_ppz00_752;
												BgL_arg1246z00_757 = CAR(CAR(BgL_pairz00_1323));
											}
											BgL_arg1243z00_755 =
												c_substring(BgL_strz00_31,
												(long) CINT(BgL_iz00_748),
												(long) CINT(BgL_arg1246z00_757));
										}
										BgL_arg1244z00_756 =
											BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_31,
											BgL_insz00_32, BgL_inszd2lenzd2_746, BgL_ppz00_752);
										BgL_arg1241z00_754 =
											string_append_3(BgL_rz00_749, BgL_arg1243z00_755,
											BgL_arg1244z00_756);
									}
									{
										obj_t BgL_rz00_1978;
										obj_t BgL_iz00_1977;

										BgL_iz00_1977 = BgL_arg1240z00_753;
										BgL_rz00_1978 = BgL_arg1241z00_754;
										BgL_rz00_749 = BgL_rz00_1978;
										BgL_iz00_748 = BgL_iz00_1977;
										goto BgL_zc3anonymousza31235ze3z83_750;
									}
								}
							else
								{	/* Unsafe/pcre.scm 240 */
									if (((long) CINT(BgL_iz00_748) == ((long) 0)))
										{	/* Unsafe/pcre.scm 241 */
											return BgL_strz00_31;
										}
									else
										{	/* Unsafe/pcre.scm 241 */
											return
												string_append(BgL_rz00_749,
												c_substring(BgL_strz00_31,
													(long) CINT(BgL_iz00_748), BgL_nz00_745));
		}}}}}}
	}



/* &pregexp-replace* */
	obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t BgL_envz00_1577,
		obj_t BgL_patz00_1578, obj_t BgL_strz00_1579, obj_t BgL_insz00_1580)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 229 */
			{	/* Unsafe/pcre.scm 232 */
				obj_t BgL_auxz00_1993;
				obj_t BgL_auxz00_1986;

				if (STRINGP(BgL_insz00_1580))
					{	/* Unsafe/pcre.scm 232 */
						BgL_auxz00_1993 = BgL_insz00_1580;
					}
				else
					{
						obj_t BgL_auxz00_1996;

						BgL_auxz00_1996 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 9209)), BGl_string1645z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_insz00_1580);
						FAILURE(BgL_auxz00_1996, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_strz00_1579))
					{	/* Unsafe/pcre.scm 232 */
						BgL_auxz00_1986 = BgL_strz00_1579;
					}
				else
					{
						obj_t BgL_auxz00_1989;

						BgL_auxz00_1989 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 9209)), BGl_string1645z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_strz00_1579);
						FAILURE(BgL_auxz00_1989, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2replaceza2z70zz__regexpz00(BgL_patz00_1578,
					BgL_auxz00_1986, BgL_auxz00_1993);
			}
		}
	}



/* pregexp-quote */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t BgL_sz00_33)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 259 */
			{	/* Unsafe/pcre.scm 260 */
				long BgL_g1048z00_764;

				BgL_g1048z00_764 = (STRING_LENGTH(BgL_sz00_33) - ((long) 1));
				{
					long BgL_iz00_767;
					obj_t BgL_rz00_768;

					BgL_iz00_767 = BgL_g1048z00_764;
					BgL_rz00_768 = BNIL;
				BgL_zc3anonymousza31252ze3z83_769:
					if ((BgL_iz00_767 < ((long) 0)))
						{	/* Unsafe/pcre.scm 261 */
							return BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_rz00_768);
						}
					else
						{	/* Unsafe/pcre.scm 263 */
							long BgL_arg1255z00_771;
							obj_t BgL_arg1258z00_772;

							BgL_arg1255z00_771 = (BgL_iz00_767 - ((long) 1));
							{	/* Unsafe/pcre.scm 264 */
								unsigned char BgL_cz00_773;

								BgL_cz00_773 = STRING_REF(BgL_sz00_33, BgL_iz00_767);
								if (CBOOL(BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BCHAR
											(BgL_cz00_773), BGl_list1646z00zz__regexpz00)))
									{	/* Unsafe/pcre.scm 267 */
										obj_t BgL_arg1260z00_775;

										BgL_arg1260z00_775 =
											MAKE_PAIR(BCHAR(BgL_cz00_773), BgL_rz00_768);
										BgL_arg1258z00_772 =
											MAKE_PAIR(BCHAR(((unsigned char) '\\')),
											BgL_arg1260z00_775);
									}
								else
									{	/* Unsafe/pcre.scm 265 */
										BgL_arg1258z00_772 =
											MAKE_PAIR(BCHAR(BgL_cz00_773), BgL_rz00_768);
									}
							}
							{
								obj_t BgL_rz00_2019;
								long BgL_iz00_2018;

								BgL_iz00_2018 = BgL_arg1255z00_771;
								BgL_rz00_2019 = BgL_arg1258z00_772;
								BgL_rz00_768 = BgL_rz00_2019;
								BgL_iz00_767 = BgL_iz00_2018;
								goto BgL_zc3anonymousza31252ze3z83_769;
							}
						}
				}
			}
		}
	}



/* &pregexp-quote */
	obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t BgL_envz00_1581,
		obj_t BgL_sz00_1582)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 259 */
			{	/* Unsafe/pcre.scm 260 */
				obj_t BgL_auxz00_2020;

				if (STRINGP(BgL_sz00_1582))
					{	/* Unsafe/pcre.scm 260 */
						BgL_auxz00_2020 = BgL_sz00_1582;
					}
				else
					{
						obj_t BgL_auxz00_2023;

						BgL_auxz00_2023 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1635z00zz__regexpz00,
							BINT(((long) 10170)), BGl_string1647z00zz__regexpz00,
							BGl_string1639z00zz__regexpz00, BgL_sz00_1582);
						FAILURE(BgL_auxz00_2023, BFALSE, BFALSE);
					}
				return BGl_pregexpzd2quotezd2zz__regexpz00(BgL_auxz00_2020);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1648z00zz__regexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
